/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_applyz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2frame1773z62zzast_applyz00(obj_t,
		BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	static obj_t BGl_genericzd2initzd2zzast_applyz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2framezd2sfun1777zb0zzast_applyz00(obj_t,
		BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2framezd2cfun1779zb0zzast_applyz00(obj_t,
		BgL_cfunz00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string2126z00zzast_applyz00,
		BgL_bgl_string2126za700za7za7a2139za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string2127z00zzast_applyz00,
		BgL_bgl_string2127za700za7za7a2140za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string2128z00zzast_applyz00,
		BgL_bgl_string2128za700za7za7a2141za7, "apply", 5);
	      DEFINE_STRING(BGl_string2130z00zzast_applyz00,
		BgL_bgl_string2130za700za7za7a2142za7, "make-fun-frame1773", 18);
	      DEFINE_STRING(BGl_string2131z00zzast_applyz00,
		BgL_bgl_string2131za700za7za7a2143za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2133z00zzast_applyz00,
		BgL_bgl_string2133za700za7za7a2144za7, "make-fun-frame", 14);
	      DEFINE_STRING(BGl_string2135z00zzast_applyz00,
		BgL_bgl_string2135za700za7za7a2145za7, "ast_apply", 9);
	      DEFINE_STRING(BGl_string2136z00zzast_applyz00,
		BgL_bgl_string2136za700za7za7a2146za7,
		"aux make-fun-frame1773 begin set! car if failure quote null? cdr write runner value apply ",
		90);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762knownza7d2appza7d2147za7,
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22148za7,
		BGl_z62makezd2funzd2frame1773z62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22149za7,
		BGl_z62makezd2funzd2framezd2sfun1777zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22150za7,
		BGl_z62makezd2funzd2framezd2cfun1779zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22151za7,
		BGl_z62makezd2funzd2framez62zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762applycationza7d2152z00,
		BGl_z62applycationzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_2467, char *BgL_fromz00_2468)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_genericzd2initzd2zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_2459;

				BgL_cportz00_2459 =
					bgl_open_input_string(BGl_string2136z00zzast_applyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2460;

					BgL_iz00_2460 = ((long) 13);
				BgL_loopz00_2461:
					if ((BgL_iz00_2460 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg2138z00_2463;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_2465;

										BgL_locationz00_2465 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg2138z00_2463 =
												BGl_readz00zz__readerz00(BgL_cportz00_2459,
												BgL_locationz00_2465);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_auxz00_2490;

									BgL_auxz00_2490 = (int) (BgL_iz00_2460);
									CNST_TABLE_SET(BgL_auxz00_2490, BgL_arg2138z00_2463);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_2466;

								BgL_auxz00_2466 = (int) ((BgL_iz00_2460 - ((long) 1)));
								{
									long BgL_iz00_2495;

									BgL_iz00_2495 = (long) (BgL_auxz00_2466);
									BgL_iz00_2460 = BgL_iz00_2495;
									goto BgL_loopz00_2461;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_1140;
				obj_t BgL_argz00_1141;

				if (PAIRP(BgL_expz00_3))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd2109zd2_1146;

						BgL_cdrzd2109zd2_1146 = CDR(BgL_expz00_3);
						if ((CAR(BgL_expz00_3) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd2109zd2_1146))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd2113zd2_1149;

										BgL_cdrzd2113zd2_1149 = CDR(BgL_cdrzd2109zd2_1146);
										if (PAIRP(BgL_cdrzd2113zd2_1149))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd2113zd2_1149)))
													{	/* Ast/apply.scm 32 */
														BgL_procz00_1140 = CAR(BgL_cdrzd2109zd2_1146);
														BgL_argz00_1141 = CAR(BgL_cdrzd2113zd2_1149);
														{	/* Ast/apply.scm 34 */
															obj_t BgL_locz00_1156;

															BgL_locz00_1156 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_3, BgL_locz00_5);
															{	/* Ast/apply.scm 34 */
																BgL_nodez00_bglt BgL_procz00_1157;

																{	/* Ast/apply.scm 37 */
																	obj_t BgL_arg1831z00_1176;

																	BgL_arg1831z00_1176 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_procz00_1140, BgL_locz00_1156);
																	BgL_procz00_1157 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_procz00_1140, BgL_stackz00_4,
																		BgL_arg1831z00_1176,
																		CNST_TABLE_REF(((long) 0)));
																}
																{	/* Ast/apply.scm 35 */
																	BgL_nodez00_bglt BgL_argz00_1158;

																	{	/* Ast/apply.scm 41 */
																		obj_t BgL_arg1830z00_1175;

																		BgL_arg1830z00_1175 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_argz00_1141, BgL_locz00_1156);
																		BgL_argz00_1158 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_argz00_1141, BgL_stackz00_4,
																			BgL_arg1830z00_1175,
																			CNST_TABLE_REF(((long) 1)));
																	}
																	{	/* Ast/apply.scm 39 */

																		{	/* Ast/apply.scm 43 */
																			bool_t BgL_testz00_2519;

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_testz00_2520;

																				{	/* Ast/apply.scm 43 */
																					bool_t BgL_res2042z00_2080;

																					{	/* Ast/apply.scm 43 */
																						obj_t BgL_objz00_2079;

																						BgL_objz00_2079 =
																							((obj_t) BgL_procz00_1157);
																						BgL_res2042z00_2080 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_objz00_2079,
																							BGl_varz00zzast_nodez00);
																					}
																					BgL_testz00_2520 =
																						BgL_res2042z00_2080;
																				}
																				if (BgL_testz00_2520)
																					{	/* Ast/apply.scm 44 */
																						bool_t BgL_testz00_2523;

																						{	/* Ast/apply.scm 44 */
																							BgL_valuez00_bglt
																								BgL_arg1828z00_1173;
																							BgL_arg1828z00_1173 =
																								(((BgL_variablez00_bglt)
																									CREF((((BgL_varz00_bglt)
																												CREF(((BgL_varz00_bglt)
																														BgL_procz00_1157)))->
																											BgL_variablez00)))->
																								BgL_valuez00);
																							{	/* Ast/apply.scm 44 */
																								bool_t BgL_res2045z00_2088;

																								{	/* Ast/apply.scm 44 */
																									obj_t BgL_objz00_2087;

																									BgL_objz00_2087 =
																										((obj_t)
																										BgL_arg1828z00_1173);
																									BgL_res2045z00_2088 =
																										BGl_isazf3zf3zz__objectz00
																										(BgL_objz00_2087,
																										BGl_funz00zzast_varz00);
																								}
																								BgL_testz00_2523 =
																									BgL_res2045z00_2088;
																							}
																						}
																						if (BgL_testz00_2523)
																							{	/* Ast/apply.scm 45 */
																								bool_t BgL__ortest_1094z00_1165;

																								{	/* Ast/apply.scm 45 */
																									bool_t BgL_testz00_2529;

																									{	/* Ast/apply.scm 45 */
																										BgL_variablez00_bglt
																											BgL_arg1827z00_1172;
																										BgL_arg1827z00_1172 =
																											(((BgL_varz00_bglt)
																												CREF(((BgL_varz00_bglt)
																														BgL_procz00_1157)))->
																											BgL_variablez00);
																										{	/* Ast/apply.scm 45 */
																											bool_t
																												BgL_res2047z00_2093;
																											{	/* Ast/apply.scm 45 */
																												obj_t BgL_objz00_2092;

																												BgL_objz00_2092 =
																													((obj_t)
																													BgL_arg1827z00_1172);
																												BgL_res2047z00_2093 =
																													BGl_isazf3zf3zz__objectz00
																													(BgL_objz00_2092,
																													BGl_globalz00zzast_varz00);
																											}
																											BgL_testz00_2529 =
																												BgL_res2047z00_2093;
																										}
																									}
																									if (BgL_testz00_2529)
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1094z00_1165 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1094z00_1165 =
																												((bool_t) 1);
																										}
																								}
																								if (BgL__ortest_1094z00_1165)
																									{	/* Ast/apply.scm 45 */
																										BgL_testz00_2519 =
																											BgL__ortest_1094z00_1165;
																									}
																								else
																									{	/* Ast/apply.scm 46 */
																										bool_t BgL_testz00_2535;

																										{	/* Ast/apply.scm 46 */
																											bool_t BgL_testz00_2536;

																											{	/* Ast/apply.scm 46 */
																												BgL_variablez00_bglt
																													BgL_arg1825z00_1170;
																												BgL_arg1825z00_1170 =
																													(((BgL_varz00_bglt)
																														CREF((
																																(BgL_varz00_bglt)
																																BgL_procz00_1157)))->
																													BgL_variablez00);
																												BgL_testz00_2536 =
																													BGl_globalzd2optionalzf3z21zzast_varz00
																													(((obj_t)
																														BgL_arg1825z00_1170));
																											}
																											if (BgL_testz00_2536)
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_2535 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_2535 =
																														((bool_t) 1);
																												}
																										}
																										if (BgL_testz00_2535)
																											{	/* Ast/apply.scm 47 */
																												bool_t BgL_testz00_2541;

																												{	/* Ast/apply.scm 47 */
																													BgL_variablez00_bglt
																														BgL_arg1823z00_1168;
																													BgL_arg1823z00_1168 =
																														(((BgL_varz00_bglt)
																															CREF((
																																	(BgL_varz00_bglt)
																																	BgL_procz00_1157)))->
																														BgL_variablez00);
																													BgL_testz00_2541 =
																														BGl_globalzd2keyzf3z21zzast_varz00
																														(((obj_t)
																															BgL_arg1823z00_1168));
																												}
																												if (BgL_testz00_2541)
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_2519 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_2519 =
																															((bool_t) 1);
																													}
																											}
																										else
																											{	/* Ast/apply.scm 46 */
																												BgL_testz00_2519 =
																													((bool_t) 0);
																											}
																									}
																							}
																						else
																							{	/* Ast/apply.scm 44 */
																								BgL_testz00_2519 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_testz00_2519 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_2519)
																				{	/* Ast/apply.scm 43 */
																					return
																						BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																						(BgL_stackz00_4, BgL_locz00_1156,
																						BgL_procz00_1157, BgL_argz00_1158,
																						BgL_sitez00_6);
																				}
																			else
																				{	/* Ast/apply.scm 49 */
																					BgL_appzd2lyzd2_bglt
																						BgL_new1097z00_1160;
																					{	/* Ast/apply.scm 49 */
																						BgL_appzd2lyzd2_bglt
																							BgL_new1096z00_1161;
																						BgL_new1096z00_1161 =
																							((BgL_appzd2lyzd2_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_appzd2lyzd2_bgl))));
																						{	/* Ast/apply.scm 49 */
																							long BgL_arg1817z00_1162;

																							{	/* Ast/apply.scm 49 */
																								long BgL_res2050z00_2103;

																								{	/* Ast/apply.scm 49 */
																									obj_t BgL_classz00_2100;

																									BgL_classz00_2100 =
																										BGl_appzd2lyzd2zzast_nodez00;
																									{	/* Ast/apply.scm 49 */
																										obj_t BgL_vectorz00_2101;
																										int BgL_kz00_2102;

																										BgL_vectorz00_2101 =
																											BgL_classz00_2100;
																										BgL_kz00_2102 =
																											(int) (((long) 1));
																										BgL_res2050z00_2103 =
																											(long)
																											CINT(VECTOR_REF
																											(BgL_vectorz00_2101,
																												BgL_kz00_2102));
																								}}
																								BgL_arg1817z00_1162 =
																									BgL_res2050z00_2103;
																							}
																							{	/* Ast/apply.scm 49 */
																								BgL_objectz00_bglt
																									BgL_objz00_2104;
																								BgL_objz00_2104 =
																									((BgL_objectz00_bglt)
																									BgL_new1096z00_1161);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_2104,
																									BgL_arg1817z00_1162);
																						}}
																						{	/* Ast/apply.scm 49 */
																							BgL_objectz00_bglt
																								BgL_auxz00_2553;
																							BgL_auxz00_2553 =
																								((BgL_objectz00_bglt)
																								BgL_new1096z00_1161);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_2553, BFALSE);
																						}
																						BgL_new1097z00_1160 =
																							BgL_new1096z00_1161;
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1097z00_1160)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_1156), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_new1097z00_1160)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2_za2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								CREF(BgL_new1097z00_1160))->
																							BgL_funz00) =
																						((BgL_nodez00_bglt)
																							BgL_procz00_1157), BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								CREF(BgL_new1097z00_1160))->
																							BgL_argz00) =
																						((BgL_nodez00_bglt)
																							BgL_argz00_1158), BUNSPEC);
																					return ((BgL_nodez00_bglt)
																						BgL_new1097z00_1160);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd2102zd2_1143:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string2126z00zzast_applyz00, BgL_expz00_3,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_3, BgL_locz00_5));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd2102zd2_1143;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd2102zd2_1143;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd2102zd2_1143;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd2102zd2_1143;
					}
			}
		}
	}



/* &applycation->node */
	BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2422, obj_t BgL_expz00_2423, obj_t BgL_stackz00_2424,
		obj_t BgL_locz00_2425, obj_t BgL_sitez00_2426)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			return
				BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_2423,
				BgL_stackz00_2424, BgL_locz00_2425, BgL_sitez00_2426);
		}
	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_10,
		obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_procz00_12,
		BgL_nodez00_bglt BgL_argz00_13, obj_t BgL_sitez00_14)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			{	/* Ast/apply.scm 108 */
				BgL_valuez00_bglt BgL_funz00_1178;

				BgL_funz00_1178 =
					(((BgL_variablez00_bglt) CREF(
							(((BgL_varz00_bglt) CREF(
										((BgL_varz00_bglt) BgL_procz00_12)))->BgL_variablez00)))->
					BgL_valuez00);
				{	/* Ast/apply.scm 108 */
					long BgL_arityz00_1179;

					BgL_arityz00_1179 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1178)))->BgL_arityz00);
					{	/* Ast/apply.scm 109 */
						obj_t BgL_framez00_1180;

						BgL_framez00_1180 =
							BGl_makezd2funzd2framez00zzast_applyz00(
							((BgL_funz00_bglt) BgL_funz00_1178));
						{	/* Ast/apply.scm 110 */

							if ((BgL_arityz00_1179 > ((long) 0)))
								{	/* Ast/apply.scm 115 */
									return
										((BgL_nodez00_bglt)
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
											BgL_argz00_13, BgL_framez00_1180, BgL_sitez00_14));
								}
							else
								{	/* Ast/apply.scm 115 */
									if ((BgL_arityz00_1179 == ((long) 0)))
										{	/* Ast/apply.scm 118 */
											obj_t BgL_arg1837z00_2141;

											{	/* Ast/apply.scm 118 */
												obj_t BgL_list1838z00_2142;

												BgL_list1838z00_2142 =
													MAKE_PAIR(((obj_t) BgL_procz00_12), BNIL);
												BgL_arg1837z00_2141 = BgL_list1838z00_2142;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1837z00_2141,
												BgL_stackz00_10, BgL_locz00_11, BgL_sitez00_14);
										}
									else
										{	/* Ast/apply.scm 117 */
											return
												((BgL_nodez00_bglt)
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
													BgL_argz00_13, BgL_framez00_1180, BgL_sitez00_14));
										}
								}
						}
					}
				}
			}
		}
	}



/* &known-app-ly->node */
	BgL_nodez00_bglt BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2427, obj_t BgL_stackz00_2428, obj_t BgL_locz00_2429,
		obj_t BgL_procz00_2430, obj_t BgL_argz00_2431, obj_t BgL_sitez00_2432)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			return
				BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_2428,
				BgL_locz00_2429, ((BgL_nodez00_bglt) BgL_procz00_2430),
				((BgL_nodez00_bglt) BgL_argz00_2431), BgL_sitez00_2432);
		}
	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_21,
		obj_t BgL_locz00_22, BgL_nodez00_bglt BgL_procz00_23,
		BgL_nodez00_bglt BgL_argz00_24, obj_t BgL_framez00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 147 */
			{	/* Ast/apply.scm 148 */
				BgL_localz00_bglt BgL_runnerz00_1186;
				BgL_typez00_bglt BgL_typez00_1187;

				{	/* Ast/apply.scm 148 */
					obj_t BgL_arg1905z00_1277;

					BgL_arg1905z00_1277 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					BgL_runnerz00_1186 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1905z00_1277,
						((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_1187 =
					(((BgL_nodez00_bglt) CREF(BgL_procz00_23))->BgL_typez00);
				{	/* Ast/apply.scm 151 */
					obj_t BgL_vz00_2153;

					BgL_vz00_2153 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_runnerz00_1186)))->
							BgL_accessz00) = ((obj_t) BgL_vz00_2153), BUNSPEC);
				}
				{	/* Ast/apply.scm 152 */
					BgL_letzd2varzd2_bglt BgL_new1108z00_1188;

					{	/* Ast/apply.scm 152 */
						BgL_letzd2varzd2_bglt BgL_new1107z00_1275;

						BgL_new1107z00_1275 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 152 */
							long BgL_arg1904z00_1276;

							{	/* Ast/apply.scm 152 */
								long BgL_res2063z00_2158;

								{	/* Ast/apply.scm 152 */
									obj_t BgL_classz00_2155;

									BgL_classz00_2155 = BGl_letzd2varzd2zzast_nodez00;
									{	/* Ast/apply.scm 152 */
										obj_t BgL_vectorz00_2156;
										int BgL_kz00_2157;

										BgL_vectorz00_2156 = BgL_classz00_2155;
										BgL_kz00_2157 = (int) (((long) 1));
										BgL_res2063z00_2158 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2156,
												BgL_kz00_2157));
								}}
								BgL_arg1904z00_1276 = BgL_res2063z00_2158;
							}
							{	/* Ast/apply.scm 152 */
								BgL_objectz00_bglt BgL_objz00_2159;

								BgL_objz00_2159 = ((BgL_objectz00_bglt) BgL_new1107z00_1275);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2159, BgL_arg1904z00_1276);
						}}
						{	/* Ast/apply.scm 152 */
							BgL_objectz00_bglt BgL_auxz00_2605;

							BgL_auxz00_2605 = ((BgL_objectz00_bglt) BgL_new1107z00_1275);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2605, BFALSE);
						}
						BgL_new1108z00_1188 = BgL_new1107z00_1275;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1108z00_1188)))->BgL_locz00) =
						((obj_t) BgL_locz00_22), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1108z00_1188)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_1187)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1108z00_1188)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1108z00_1188)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2619;

						{	/* Ast/apply.scm 155 */
							obj_t BgL_arg1839z00_1189;

							BgL_arg1839z00_1189 =
								MAKE_PAIR(
								((obj_t) BgL_runnerz00_1186), ((obj_t) BgL_argz00_24));
							{	/* Ast/apply.scm 155 */
								obj_t BgL_list1840z00_1190;

								BgL_list1840z00_1190 = MAKE_PAIR(BgL_arg1839z00_1189, BNIL);
								BgL_auxz00_2619 = BgL_list1840z00_1190;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1108z00_1188))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2619), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1108z00_1188))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BGl_loopz72z72zzast_applyz00(BgL_sitez00_26,
								BgL_procz00_23, BgL_framez00_25, BgL_stackz00_21,
								BgL_runnerz00_1186, BgL_typez00_1187, BgL_locz00_22,
								BgL_framez00_25)), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1108z00_1188))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return BgL_new1108z00_1188;
				}
			}
		}
	}



/* loop' */
	BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_2458,
		BgL_nodez00_bglt BgL_procz00_2457, obj_t BgL_framez00_2456,
		obj_t BgL_stackz00_2455, BgL_localz00_bglt BgL_runnerz00_2454,
		BgL_typez00_bglt BgL_typez00_2453, obj_t BgL_locz00_2452,
		obj_t BgL_localsz00_1192)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 156 */
			if (NULLP(BgL_localsz00_1192))
				{	/* Ast/apply.scm 158 */
					BgL_nodez00_bglt BgL_appz00_1195;

					{	/* Ast/apply.scm 160 */
						obj_t BgL_arg1863z00_1217;

						{	/* Ast/apply.scm 160 */
							obj_t BgL_arg1864z00_1218;

							{	/* Ast/apply.scm 160 */
								obj_t BgL_arg1865z00_1219;

								if (NULLP(BgL_framez00_2456))
									{	/* Ast/apply.scm 160 */
										BgL_arg1865z00_1219 = BNIL;
									}
								else
									{	/* Ast/apply.scm 160 */
										obj_t BgL_head1765z00_1222;

										{	/* Ast/apply.scm 160 */
											obj_t BgL_res2067z00_2169;

											BgL_res2067z00_2169 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1765z00_1222 = BgL_res2067z00_2169;
										}
										{
											obj_t BgL_l1763z00_1224;
											obj_t BgL_tail1766z00_1225;

											BgL_l1763z00_1224 = BgL_framez00_2456;
											BgL_tail1766z00_1225 = BgL_head1765z00_1222;
										BgL_zc3anonymousza31867ze3z83_1226:
											if (NULLP(BgL_l1763z00_1224))
												{	/* Ast/apply.scm 160 */
													BgL_arg1865z00_1219 = CDR(BgL_head1765z00_1222);
												}
											else
												{	/* Ast/apply.scm 160 */
													obj_t BgL_newtail1767z00_1228;

													{	/* Ast/apply.scm 160 */
														BgL_varz00_bglt BgL_arg1870z00_1230;

														{	/* Ast/apply.scm 160 */
															obj_t BgL_localz00_1231;

															BgL_localz00_1231 = CAR(BgL_l1763z00_1224);
															{	/* Ast/apply.scm 161 */
																BgL_varz00_bglt BgL_new1110z00_1232;

																{	/* Ast/apply.scm 161 */
																	BgL_varz00_bglt BgL_new1109z00_1234;

																	BgL_new1109z00_1234 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Ast/apply.scm 161 */
																		long BgL_arg1872z00_1235;

																		{	/* Ast/apply.scm 161 */
																			long BgL_res2069z00_2177;

																			{	/* Ast/apply.scm 161 */
																				obj_t BgL_classz00_2174;

																				BgL_classz00_2174 =
																					BGl_varz00zzast_nodez00;
																				{	/* Ast/apply.scm 161 */
																					obj_t BgL_vectorz00_2175;
																					int BgL_kz00_2176;

																					BgL_vectorz00_2175 =
																						BgL_classz00_2174;
																					BgL_kz00_2176 = (int) (((long) 1));
																					BgL_res2069z00_2177 =
																						(long)
																						CINT(VECTOR_REF(BgL_vectorz00_2175,
																							BgL_kz00_2176));
																			}}
																			BgL_arg1872z00_1235 = BgL_res2069z00_2177;
																		}
																		{	/* Ast/apply.scm 161 */
																			BgL_objectz00_bglt BgL_objz00_2178;

																			BgL_objz00_2178 =
																				((BgL_objectz00_bglt)
																				BgL_new1109z00_1234);
																			BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2178,
																				BgL_arg1872z00_1235);
																	}}
																	{	/* Ast/apply.scm 161 */
																		BgL_objectz00_bglt BgL_auxz00_2643;

																		BgL_auxz00_2643 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1234);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_2643,
																			BFALSE);
																	}
																	BgL_new1110z00_1232 = BgL_new1109z00_1234;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1110z00_1232)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2452), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2648;

																	{	/* Ast/apply.scm 163 */
																		BgL_typez00_bglt BgL_arg1871z00_1233;

																		BgL_arg1871z00_1233 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1231))))->
																			BgL_typez00);
																		BgL_auxz00_2648 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1871z00_1233);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1110z00_1232)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2648),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt)
																			CREF(BgL_new1110z00_1232))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1231)), BUNSPEC);
																BgL_arg1870z00_1230 = BgL_new1110z00_1232;
														}}
														{	/* Ast/apply.scm 160 */
															obj_t BgL_res2071z00_2185;

															{	/* Ast/apply.scm 160 */
																obj_t BgL_obj1z00_2183;

																BgL_obj1z00_2183 =
																	((obj_t) BgL_arg1870z00_1230);
																BgL_res2071z00_2185 =
																	MAKE_PAIR(BgL_obj1z00_2183, BNIL);
															}
															BgL_newtail1767z00_1228 = BgL_res2071z00_2185;
													}}
													SET_CDR(BgL_tail1766z00_1225,
														BgL_newtail1767z00_1228);
													{
														obj_t BgL_tail1766z00_2663;
														obj_t BgL_l1763z00_2661;

														BgL_l1763z00_2661 = CDR(BgL_l1763z00_1224);
														BgL_tail1766z00_2663 = BgL_newtail1767z00_1228;
														BgL_tail1766z00_1225 = BgL_tail1766z00_2663;
														BgL_l1763z00_1224 = BgL_l1763z00_2661;
														goto BgL_zc3anonymousza31867ze3z83_1226;
													}
												}
										}
									}
								BgL_arg1864z00_1218 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1865z00_1219, BNIL);
							}
							BgL_arg1863z00_1217 =
								MAKE_PAIR(((obj_t) BgL_procz00_2457), BgL_arg1864z00_1218);
						}
						BgL_appz00_1195 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg1863z00_1217,
							BgL_stackz00_2455, BgL_locz00_2452, CNST_TABLE_REF(((long) 1)));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 169 */
							return BgL_appz00_1195;
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg1843z00_1196;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg1844z00_1197;

								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg1845z00_1198;
									obj_t BgL_arg1846z00_1199;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg1847z00_1200;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg1848z00_1201;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg1849z00_1202;

												{	/* Ast/apply.scm 173 */
													BgL_varz00_bglt BgL_arg1850z00_1203;

													{	/* Ast/apply.scm 173 */
														BgL_varz00_bglt BgL_new1112z00_1204;

														{	/* Ast/apply.scm 173 */
															BgL_varz00_bglt BgL_new1111z00_1206;

															BgL_new1111z00_1206 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Ast/apply.scm 173 */
																long BgL_arg1852z00_1207;

																{	/* Ast/apply.scm 173 */
																	long BgL_res2072z00_2192;

																	{	/* Ast/apply.scm 173 */
																		obj_t BgL_classz00_2189;

																		BgL_classz00_2189 = BGl_varz00zzast_nodez00;
																		{	/* Ast/apply.scm 173 */
																			obj_t BgL_vectorz00_2190;
																			int BgL_kz00_2191;

																			BgL_vectorz00_2190 = BgL_classz00_2189;
																			BgL_kz00_2191 = (int) (((long) 1));
																			BgL_res2072z00_2192 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_2190,
																					BgL_kz00_2191));
																	}}
																	BgL_arg1852z00_1207 = BgL_res2072z00_2192;
																}
																{	/* Ast/apply.scm 173 */
																	BgL_objectz00_bglt BgL_objz00_2193;

																	BgL_objz00_2193 =
																		((BgL_objectz00_bglt) BgL_new1111z00_1206);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2193,
																		BgL_arg1852z00_1207);
															}}
															{	/* Ast/apply.scm 173 */
																BgL_objectz00_bglt BgL_auxz00_2677;

																BgL_auxz00_2677 =
																	((BgL_objectz00_bglt) BgL_new1111z00_1206);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2677,
																	BFALSE);
															}
															BgL_new1112z00_1204 = BgL_new1111z00_1206;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1112z00_1204)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2452), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2682;

															{	/* Ast/apply.scm 175 */
																BgL_typez00_bglt BgL_arg1851z00_1205;

																BgL_arg1851z00_1205 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_runnerz00_2454)))->BgL_typez00);
																BgL_auxz00_2682 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1851z00_1205);
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1112z00_1204)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2682), BUNSPEC);
														}
														((((BgL_varz00_bglt) CREF(BgL_new1112z00_1204))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_runnerz00_2454)), BUNSPEC);
														BgL_arg1850z00_1203 = BgL_new1112z00_1204;
													}
													BgL_arg1849z00_1202 =
														MAKE_PAIR(((obj_t) BgL_arg1850z00_1203), BNIL);
												}
												BgL_arg1848z00_1201 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg1849z00_1202);
											}
											BgL_arg1847z00_1200 =
												MAKE_PAIR(BgL_arg1848z00_1201, BNIL);
										}
										BgL_arg1845z00_1198 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
											BgL_arg1847z00_1200);
									}
									{	/* Ast/apply.scm 180 */
										obj_t BgL_arg1853z00_1208;

										{	/* Ast/apply.scm 180 */
											obj_t BgL_arg1854z00_1209;

											{	/* Ast/apply.scm 180 */
												obj_t BgL_arg1855z00_1210;

												{	/* Ast/apply.scm 180 */
													obj_t BgL_arg1856z00_1211;

													{	/* Ast/apply.scm 180 */
														obj_t BgL_arg1857z00_1212;

														{	/* Ast/apply.scm 180 */
															obj_t BgL_arg1858z00_1213;

															{	/* Ast/apply.scm 180 */
																obj_t BgL_arg1859z00_1214;

																{	/* Ast/apply.scm 180 */
																	obj_t BgL_arg1860z00_1215;

																	{	/* Ast/apply.scm 180 */
																		BgL_variablez00_bglt BgL_arg1862z00_1216;

																		BgL_arg1862z00_1216 =
																			(((BgL_varz00_bglt) CREF(
																					((BgL_varz00_bglt)
																						BgL_procz00_2457)))->
																			BgL_variablez00);
																		BgL_arg1860z00_1215 =
																			BGl_shapez00zztools_shapez00(((obj_t)
																				BgL_arg1862z00_1216));
																	}
																	BgL_arg1859z00_1214 =
																		MAKE_PAIR(BgL_arg1860z00_1215, BNIL);
																}
																BgL_arg1858z00_1213 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1859z00_1214);
															}
															BgL_arg1857z00_1212 =
																MAKE_PAIR(BgL_arg1858z00_1213, BNIL);
														}
														BgL_arg1856z00_1211 =
															MAKE_PAIR(BGl_string2127z00zzast_applyz00,
															BgL_arg1857z00_1212);
													}
													BgL_arg1855z00_1210 =
														MAKE_PAIR(BGl_string2128z00zzast_applyz00,
														BgL_arg1856z00_1211);
												}
												BgL_arg1854z00_1209 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
													BgL_arg1855z00_1210);
											}
											BgL_arg1853z00_1208 =
												MAKE_PAIR(BgL_arg1854z00_1209, BNIL);
										}
										BgL_arg1846z00_1199 =
											MAKE_PAIR(((obj_t) BgL_appz00_1195), BgL_arg1853z00_1208);
									}
									BgL_arg1844z00_1197 =
										MAKE_PAIR(BgL_arg1845z00_1198, BgL_arg1846z00_1199);
								}
								BgL_arg1843z00_1196 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg1844z00_1197);
							}
							return
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1843z00_1196,
								BgL_stackz00_2455, BgL_locz00_2452, BgL_sitez00_2458);
						}
				}
			else
				{	/* Ast/apply.scm 184 */
					BgL_letzd2varzd2_bglt BgL_new1114z00_1237;

					{	/* Ast/apply.scm 184 */
						BgL_letzd2varzd2_bglt BgL_new1113z00_1272;

						BgL_new1113z00_1272 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 184 */
							long BgL_arg1903z00_1273;

							{	/* Ast/apply.scm 184 */
								long BgL_res2075z00_2204;

								{	/* Ast/apply.scm 184 */
									obj_t BgL_classz00_2201;

									BgL_classz00_2201 = BGl_letzd2varzd2zzast_nodez00;
									{	/* Ast/apply.scm 184 */
										obj_t BgL_vectorz00_2202;
										int BgL_kz00_2203;

										BgL_vectorz00_2202 = BgL_classz00_2201;
										BgL_kz00_2203 = (int) (((long) 1));
										BgL_res2075z00_2204 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2202,
												BgL_kz00_2203));
								}}
								BgL_arg1903z00_1273 = BgL_res2075z00_2204;
							}
							{	/* Ast/apply.scm 184 */
								BgL_objectz00_bglt BgL_objz00_2205;

								BgL_objz00_2205 = ((BgL_objectz00_bglt) BgL_new1113z00_1272);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2205, BgL_arg1903z00_1273);
						}}
						{	/* Ast/apply.scm 184 */
							BgL_objectz00_bglt BgL_auxz00_2723;

							BgL_auxz00_2723 = ((BgL_objectz00_bglt) BgL_new1113z00_1272);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2723, BFALSE);
						}
						BgL_new1114z00_1237 = BgL_new1113z00_1272;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1114z00_1237)))->BgL_locz00) =
						((obj_t) BgL_locz00_2452), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1114z00_1237)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2453)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1114z00_1237)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1114z00_1237)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2737;

						{	/* Ast/apply.scm 188 */
							obj_t BgL_arg1873z00_1238;

							{	/* Ast/apply.scm 188 */
								obj_t BgL_arg1875z00_1240;
								BgL_nodez00_bglt BgL_arg1876z00_1241;

								{	/* Ast/apply.scm 188 */
									obj_t BgL_pairz00_2207;

									BgL_pairz00_2207 = BgL_localsz00_1192;
									BgL_arg1875z00_1240 = CAR(BgL_pairz00_2207);
								}
								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg1877z00_1242;

									{	/* Ast/apply.scm 191 */
										obj_t BgL_arg1878z00_1243;

										{	/* Ast/apply.scm 191 */
											BgL_varz00_bglt BgL_arg1879z00_1244;

											{	/* Ast/apply.scm 191 */
												BgL_varz00_bglt BgL_new1116z00_1245;

												{	/* Ast/apply.scm 191 */
													BgL_varz00_bglt BgL_new1115z00_1247;

													BgL_new1115z00_1247 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 191 */
														long BgL_arg1882z00_1248;

														{	/* Ast/apply.scm 191 */
															long BgL_res2076z00_2211;

															{	/* Ast/apply.scm 191 */
																obj_t BgL_classz00_2208;

																BgL_classz00_2208 = BGl_varz00zzast_nodez00;
																{	/* Ast/apply.scm 191 */
																	obj_t BgL_vectorz00_2209;
																	int BgL_kz00_2210;

																	BgL_vectorz00_2209 = BgL_classz00_2208;
																	BgL_kz00_2210 = (int) (((long) 1));
																	BgL_res2076z00_2211 =
																		(long) CINT(VECTOR_REF(BgL_vectorz00_2209,
																			BgL_kz00_2210));
															}}
															BgL_arg1882z00_1248 = BgL_res2076z00_2211;
														}
														{	/* Ast/apply.scm 191 */
															BgL_objectz00_bglt BgL_objz00_2212;

															BgL_objz00_2212 =
																((BgL_objectz00_bglt) BgL_new1115z00_1247);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2212,
																BgL_arg1882z00_1248);
													}}
													{	/* Ast/apply.scm 191 */
														BgL_objectz00_bglt BgL_auxz00_2745;

														BgL_auxz00_2745 =
															((BgL_objectz00_bglt) BgL_new1115z00_1247);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2745, BFALSE);
													}
													BgL_new1116z00_1245 = BgL_new1115z00_1247;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1116z00_1245)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2452), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2750;

													{	/* Ast/apply.scm 193 */
														BgL_typez00_bglt BgL_arg1881z00_1246;

														BgL_arg1881z00_1246 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2454)))->BgL_typez00);
														BgL_auxz00_2750 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1881z00_1246);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1116z00_1245)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2750), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1116z00_1245))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2454)), BUNSPEC);
												BgL_arg1879z00_1244 = BgL_new1116z00_1245;
											}
											BgL_arg1878z00_1243 =
												MAKE_PAIR(((obj_t) BgL_arg1879z00_1244), BNIL);
										}
										BgL_arg1877z00_1242 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1878z00_1243);
									}
									BgL_arg1876z00_1241 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1877z00_1242,
										BgL_stackz00_2455, BgL_locz00_2452,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1873z00_1238 =
									MAKE_PAIR(BgL_arg1875z00_1240, ((obj_t) BgL_arg1876z00_1241));
							}
							{	/* Ast/apply.scm 187 */
								obj_t BgL_list1874z00_1239;

								BgL_list1874z00_1239 = MAKE_PAIR(BgL_arg1873z00_1238, BNIL);
								BgL_auxz00_2737 = BgL_list1874z00_1239;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1114z00_1237))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2737), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_2769;

						{	/* Ast/apply.scm 198 */
							bool_t BgL_testz00_2770;

							{	/* Ast/apply.scm 198 */
								obj_t BgL_auxz00_2771;

								{	/* Ast/apply.scm 198 */
									obj_t BgL_pairz00_2219;

									BgL_pairz00_2219 = BgL_localsz00_1192;
									BgL_auxz00_2771 = CDR(BgL_pairz00_2219);
								}
								BgL_testz00_2770 = NULLP(BgL_auxz00_2771);
							}
							if (BgL_testz00_2770)
								{	/* Ast/apply.scm 199 */
									obj_t BgL_arg1884z00_1250;

									{	/* Ast/apply.scm 199 */
										obj_t BgL_pairz00_2222;

										BgL_pairz00_2222 = BgL_localsz00_1192;
										BgL_arg1884z00_1250 = CDR(BgL_pairz00_2222);
									}
									BgL_auxz00_2769 =
										BGl_loopz72z72zzast_applyz00(BgL_sitez00_2458,
										BgL_procz00_2457, BgL_framez00_2456, BgL_stackz00_2455,
										BgL_runnerz00_2454, BgL_typez00_2453, BgL_locz00_2452,
										BgL_arg1884z00_1250);
								}
							else
								{	/* Ast/apply.scm 202 */
									obj_t BgL_arg1885z00_1251;

									{	/* Ast/apply.scm 202 */
										obj_t BgL_arg1886z00_1252;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg1887z00_1253;
											obj_t BgL_arg1889z00_1254;

											{	/* Ast/apply.scm 202 */
												obj_t BgL_arg1890z00_1255;

												{	/* Ast/apply.scm 202 */
													BgL_varz00_bglt BgL_arg1891z00_1256;
													obj_t BgL_arg1892z00_1257;

													{	/* Ast/apply.scm 202 */
														BgL_varz00_bglt BgL_new1118z00_1258;

														{	/* Ast/apply.scm 202 */
															BgL_varz00_bglt BgL_new1117z00_1260;

															BgL_new1117z00_1260 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Ast/apply.scm 202 */
																long BgL_arg1894z00_1261;

																{	/* Ast/apply.scm 202 */
																	long BgL_res2080z00_2226;

																	{	/* Ast/apply.scm 202 */
																		obj_t BgL_classz00_2223;

																		BgL_classz00_2223 = BGl_varz00zzast_nodez00;
																		{	/* Ast/apply.scm 202 */
																			obj_t BgL_vectorz00_2224;
																			int BgL_kz00_2225;

																			BgL_vectorz00_2224 = BgL_classz00_2223;
																			BgL_kz00_2225 = (int) (((long) 1));
																			BgL_res2080z00_2226 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_2224,
																					BgL_kz00_2225));
																	}}
																	BgL_arg1894z00_1261 = BgL_res2080z00_2226;
																}
																{	/* Ast/apply.scm 202 */
																	BgL_objectz00_bglt BgL_objz00_2227;

																	BgL_objz00_2227 =
																		((BgL_objectz00_bglt) BgL_new1117z00_1260);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2227,
																		BgL_arg1894z00_1261);
															}}
															{	/* Ast/apply.scm 202 */
																BgL_objectz00_bglt BgL_auxz00_2782;

																BgL_auxz00_2782 =
																	((BgL_objectz00_bglt) BgL_new1117z00_1260);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2782,
																	BFALSE);
															}
															BgL_new1118z00_1258 = BgL_new1117z00_1260;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1118z00_1258)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2452), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2787;

															{	/* Ast/apply.scm 204 */
																BgL_typez00_bglt BgL_arg1893z00_1259;

																BgL_arg1893z00_1259 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_runnerz00_2454)))->BgL_typez00);
																BgL_auxz00_2787 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1893z00_1259);
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1118z00_1258)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2787), BUNSPEC);
														}
														((((BgL_varz00_bglt) CREF(BgL_new1118z00_1258))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_runnerz00_2454)), BUNSPEC);
														BgL_arg1891z00_1256 = BgL_new1118z00_1258;
													}
													{	/* Ast/apply.scm 207 */
														obj_t BgL_arg1895z00_1262;

														{	/* Ast/apply.scm 207 */
															obj_t BgL_arg1896z00_1263;

															{	/* Ast/apply.scm 207 */
																BgL_varz00_bglt BgL_arg1897z00_1264;

																{	/* Ast/apply.scm 207 */
																	BgL_varz00_bglt BgL_new1121z00_1265;

																	{	/* Ast/apply.scm 207 */
																		BgL_varz00_bglt BgL_new1119z00_1267;

																		BgL_new1119z00_1267 =
																			((BgL_varz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Ast/apply.scm 207 */
																			long BgL_arg1899z00_1268;

																			{	/* Ast/apply.scm 207 */
																				long BgL_res2082z00_2235;

																				{	/* Ast/apply.scm 207 */
																					obj_t BgL_classz00_2232;

																					BgL_classz00_2232 =
																						BGl_varz00zzast_nodez00;
																					{	/* Ast/apply.scm 207 */
																						obj_t BgL_vectorz00_2233;
																						int BgL_kz00_2234;

																						BgL_vectorz00_2233 =
																							BgL_classz00_2232;
																						BgL_kz00_2234 = (int) (((long) 1));
																						BgL_res2082z00_2235 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_2233,
																								BgL_kz00_2234));
																				}}
																				BgL_arg1899z00_1268 =
																					BgL_res2082z00_2235;
																			}
																			{	/* Ast/apply.scm 207 */
																				BgL_objectz00_bglt BgL_objz00_2236;

																				BgL_objz00_2236 =
																					((BgL_objectz00_bglt)
																					BgL_new1119z00_1267);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2236,
																					BgL_arg1899z00_1268);
																		}}
																		{	/* Ast/apply.scm 207 */
																			BgL_objectz00_bglt BgL_auxz00_2802;

																			BgL_auxz00_2802 =
																				((BgL_objectz00_bglt)
																				BgL_new1119z00_1267);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2802,
																				BFALSE);
																		}
																		BgL_new1121z00_1265 = BgL_new1119z00_1267;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1121z00_1265)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_2452), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_2807;

																		{	/* Ast/apply.scm 209 */
																			BgL_typez00_bglt BgL_arg1898z00_1266;

																			BgL_arg1898z00_1266 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_runnerz00_2454)))->
																				BgL_typez00);
																			BgL_auxz00_2807 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00),
																				BgL_arg1898z00_1266);
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1121z00_1265)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_2807),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1121z00_1265))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_runnerz00_2454)), BUNSPEC);
																	BgL_arg1897z00_1264 = BgL_new1121z00_1265;
																}
																BgL_arg1896z00_1263 =
																	MAKE_PAIR(
																	((obj_t) BgL_arg1897z00_1264), BNIL);
															}
															BgL_arg1895z00_1262 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
																BgL_arg1896z00_1263);
														}
														BgL_arg1892z00_1257 =
															MAKE_PAIR(BgL_arg1895z00_1262, BNIL);
													}
													BgL_arg1890z00_1255 =
														MAKE_PAIR(
														((obj_t) BgL_arg1891z00_1256), BgL_arg1892z00_1257);
												}
												BgL_arg1887z00_1253 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
													BgL_arg1890z00_1255);
											}
											{	/* Ast/apply.scm 211 */
												BgL_nodez00_bglt BgL_arg1900z00_1269;

												{	/* Ast/apply.scm 211 */
													obj_t BgL_arg1901z00_1270;

													{	/* Ast/apply.scm 211 */
														obj_t BgL_pairz00_2241;

														BgL_pairz00_2241 = BgL_localsz00_1192;
														BgL_arg1901z00_1270 = CDR(BgL_pairz00_2241);
													}
													BgL_arg1900z00_1269 =
														BGl_loopz72z72zzast_applyz00(BgL_sitez00_2458,
														BgL_procz00_2457, BgL_framez00_2456,
														BgL_stackz00_2455, BgL_runnerz00_2454,
														BgL_typez00_2453, BgL_locz00_2452,
														BgL_arg1901z00_1270);
												}
												BgL_arg1889z00_1254 =
													MAKE_PAIR(((obj_t) BgL_arg1900z00_1269), BNIL);
											}
											BgL_arg1886z00_1252 =
												MAKE_PAIR(BgL_arg1887z00_1253, BgL_arg1889z00_1254);
										}
										BgL_arg1885z00_1251 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
											BgL_arg1886z00_1252);
									}
									BgL_auxz00_2769 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1885z00_1251,
										BgL_stackz00_2455, BgL_locz00_2452,
										CNST_TABLE_REF(((long) 1)));
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1114z00_1237))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_2769), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1114z00_1237))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1114z00_1237);
				}
		}
	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, BgL_nodez00_bglt BgL_procz00_29,
		BgL_nodez00_bglt BgL_argz00_30, obj_t BgL_framez00_31, obj_t BgL_sitez00_32)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 232 */
			{	/* Ast/apply.scm 233 */
				obj_t BgL_framez00_2451;

				BgL_framez00_2451 = MAKE_CELL(BgL_framez00_31);
				{	/* Ast/apply.scm 233 */
					BgL_localz00_bglt BgL_runnerz00_1279;
					BgL_typez00_bglt BgL_typez00_1280;

					{	/* Ast/apply.scm 233 */
						obj_t BgL_arg1955z00_1357;

						BgL_arg1955z00_1357 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						BgL_runnerz00_1279 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1955z00_1357,
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
					}
					{	/* Ast/apply.scm 234 */
						BgL_typez00_bglt BgL_arg1958z00_1359;

						BgL_arg1958z00_1359 =
							(((BgL_nodez00_bglt) CREF(BgL_procz00_29))->BgL_typez00);
						BgL_typez00_1280 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
							BgL_arg1958z00_1359);
					}
					{	/* Ast/apply.scm 235 */
						bool_t BgL_testz00_2845;

						{	/* Ast/apply.scm 235 */
							obj_t BgL_objz00_2245;

							BgL_objz00_2245 = CELL_REF(BgL_framez00_2451);
							BgL_testz00_2845 = PAIRP(BgL_objz00_2245);
						}
						if (BgL_testz00_2845)
							{	/* Ast/apply.scm 236 */
								obj_t BgL_vz00_2248;

								BgL_vz00_2248 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_runnerz00_1279)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2248), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 235 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 237 */
						BgL_letzd2varzd2_bglt BgL_new1124z00_1282;

						{	/* Ast/apply.scm 237 */
							BgL_letzd2varzd2_bglt BgL_new1122z00_1355;

							BgL_new1122z00_1355 =
								((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Ast/apply.scm 237 */
								long BgL_arg1954z00_1356;

								{	/* Ast/apply.scm 237 */
									long BgL_res2086z00_2253;

									{	/* Ast/apply.scm 237 */
										obj_t BgL_classz00_2250;

										BgL_classz00_2250 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Ast/apply.scm 237 */
											obj_t BgL_vectorz00_2251;
											int BgL_kz00_2252;

											BgL_vectorz00_2251 = BgL_classz00_2250;
											BgL_kz00_2252 = (int) (((long) 1));
											BgL_res2086z00_2253 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2251,
													BgL_kz00_2252));
									}}
									BgL_arg1954z00_1356 = BgL_res2086z00_2253;
								}
								{	/* Ast/apply.scm 237 */
									BgL_objectz00_bglt BgL_objz00_2254;

									BgL_objz00_2254 = ((BgL_objectz00_bglt) BgL_new1122z00_1355);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2254,
										BgL_arg1954z00_1356);
							}}
							{	/* Ast/apply.scm 237 */
								BgL_objectz00_bglt BgL_auxz00_2856;

								BgL_auxz00_2856 = ((BgL_objectz00_bglt) BgL_new1122z00_1355);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2856, BFALSE);
							}
							BgL_new1124z00_1282 = BgL_new1122z00_1355;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1124z00_1282)))->BgL_locz00) =
							((obj_t) BgL_locz00_28), BUNSPEC);
						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
											BgL_new1124z00_1282)))->BgL_typez00) =
							((BgL_typez00_bglt)
								BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_typez00_1280)),
							BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1124z00_1282)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1124z00_1282)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_2870;

							{	/* Ast/apply.scm 240 */
								obj_t BgL_arg1909z00_1283;

								BgL_arg1909z00_1283 =
									MAKE_PAIR(
									((obj_t) BgL_runnerz00_1279), ((obj_t) BgL_argz00_30));
								{	/* Ast/apply.scm 240 */
									obj_t BgL_list1910z00_1284;

									BgL_list1910z00_1284 = MAKE_PAIR(BgL_arg1909z00_1283, BNIL);
									BgL_auxz00_2870 = BgL_list1910z00_1284;
							}}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_new1124z00_1282))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2870), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1124z00_1282))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BGl_loopz00zzast_applyz00(BgL_procz00_29, BgL_framez00_2451,
										BgL_stackz00_27, BgL_runnerz00_1279, BgL_typez00_1280,
										BgL_locz00_28, CELL_REF(BgL_framez00_2451), BNIL))),
							BUNSPEC);
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1124z00_1282))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1124z00_1282;
					}
				}
			}
		}
	}



/* loop */
	BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt
		BgL_procz00_2449, obj_t BgL_framez00_2448, obj_t BgL_stackz00_2447,
		BgL_localz00_bglt BgL_runnerz00_2446, BgL_typez00_bglt BgL_typez00_2445,
		obj_t BgL_locz00_2444, obj_t BgL_localsz00_1287, obj_t BgL_oldz00_1288)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 241 */
			if (NULLP(BgL_localsz00_1287))
				{	/* Ast/apply.scm 243 */
					if (NULLP(BgL_oldz00_1288))
						{	/* Ast/apply.scm 246 */
							obj_t BgL_auxz00_2450;

							{	/* Ast/apply.scm 246 */
								obj_t BgL_list1914z00_1292;

								BgL_list1914z00_1292 =
									MAKE_PAIR(((obj_t) BgL_runnerz00_2446), BNIL);
								BgL_auxz00_2450 = BgL_list1914z00_1292;
							}
							CELL_SET(BgL_framez00_2448, BgL_auxz00_2450);
						}
					else
						{	/* Ast/apply.scm 247 */
							obj_t BgL_arg1915z00_1293;

							BgL_arg1915z00_1293 =
								MAKE_PAIR(((obj_t) BgL_runnerz00_2446), BNIL);
							SET_CDR(BgL_oldz00_1288, BgL_arg1915z00_1293);
						}
					{	/* Ast/apply.scm 248 */
						BgL_appz00_bglt BgL_new1127z00_1294;

						{	/* Ast/apply.scm 248 */
							BgL_appz00_bglt BgL_new1126z00_1318;

							BgL_new1126z00_1318 =
								((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Ast/apply.scm 248 */
								long BgL_arg1927z00_1319;

								{	/* Ast/apply.scm 248 */
									long BgL_res2091z00_2269;

									{	/* Ast/apply.scm 248 */
										obj_t BgL_classz00_2266;

										BgL_classz00_2266 = BGl_appz00zzast_nodez00;
										{	/* Ast/apply.scm 248 */
											obj_t BgL_vectorz00_2267;
											int BgL_kz00_2268;

											BgL_vectorz00_2267 = BgL_classz00_2266;
											BgL_kz00_2268 = (int) (((long) 1));
											BgL_res2091z00_2269 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2267,
													BgL_kz00_2268));
									}}
									BgL_arg1927z00_1319 = BgL_res2091z00_2269;
								}
								{	/* Ast/apply.scm 248 */
									BgL_objectz00_bglt BgL_objz00_2270;

									BgL_objz00_2270 = ((BgL_objectz00_bglt) BgL_new1126z00_1318);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2270,
										BgL_arg1927z00_1319);
							}}
							{	/* Ast/apply.scm 248 */
								BgL_objectz00_bglt BgL_auxz00_2895;

								BgL_auxz00_2895 = ((BgL_objectz00_bglt) BgL_new1126z00_1318);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2895, BFALSE);
							}
							BgL_new1127z00_1294 = BgL_new1126z00_1318;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1127z00_1294)))->BgL_locz00) =
							((obj_t) BgL_locz00_2444), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_2900;

							{	/* Ast/apply.scm 250 */
								BgL_typez00_bglt BgL_arg1916z00_1295;

								BgL_arg1916z00_1295 =
									(((BgL_variablez00_bglt) CREF(
											(((BgL_varz00_bglt) CREF(
														((BgL_varz00_bglt) BgL_procz00_2449)))->
												BgL_variablez00)))->BgL_typez00);
								BgL_auxz00_2900 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_arg1916z00_1295);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1127z00_1294)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2900), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_new1127z00_1294)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1127z00_1294)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_2913;

							{	/* Ast/apply.scm 251 */
								BgL_varz00_bglt BgL_duplicated1129z00_1297;
								BgL_varz00_bglt BgL_new1128z00_1298;

								BgL_duplicated1129z00_1297 =
									((BgL_varz00_bglt) BgL_procz00_2449);
								{	/* Ast/apply.scm 251 */
									BgL_varz00_bglt BgL_new1130z00_1299;

									BgL_new1130z00_1299 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Ast/apply.scm 251 */
										long BgL_arg1918z00_1300;

										{	/* Ast/apply.scm 251 */
											long BgL_res2094z00_2281;

											{	/* Ast/apply.scm 251 */
												obj_t BgL_classz00_2278;

												BgL_classz00_2278 = BGl_varz00zzast_nodez00;
												{	/* Ast/apply.scm 251 */
													obj_t BgL_vectorz00_2279;
													int BgL_kz00_2280;

													BgL_vectorz00_2279 = BgL_classz00_2278;
													BgL_kz00_2280 = (int) (((long) 1));
													BgL_res2094z00_2281 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2279,
															BgL_kz00_2280));
											}}
											BgL_arg1918z00_1300 = BgL_res2094z00_2281;
										}
										{	/* Ast/apply.scm 251 */
											BgL_objectz00_bglt BgL_objz00_2282;

											BgL_objz00_2282 =
												((BgL_objectz00_bglt) BgL_new1130z00_1299);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2282,
												BgL_arg1918z00_1300);
									}}
									{	/* Ast/apply.scm 251 */
										BgL_objectz00_bglt BgL_auxz00_2921;

										BgL_auxz00_2921 =
											((BgL_objectz00_bglt) BgL_new1130z00_1299);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2921, BFALSE);
									}
									BgL_new1128z00_1298 = BgL_new1130z00_1299;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1128z00_1298)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_duplicated1129z00_1297)))->BgL_locz00)),
									BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1128z00_1298)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												CREF(((BgL_nodez00_bglt) BgL_duplicated1129z00_1297)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1128z00_1298))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(BgL_duplicated1129z00_1297))->BgL_variablez00)),
									BUNSPEC);
								BgL_auxz00_2913 = BgL_new1128z00_1298;
							}
							((((BgL_appz00_bglt) CREF(BgL_new1127z00_1294))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_2913), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_2935;

							{	/* Ast/apply.scm 252 */
								obj_t BgL_l1768z00_1301;

								BgL_l1768z00_1301 = CELL_REF(BgL_framez00_2448);
								if (NULLP(BgL_l1768z00_1301))
									{	/* Ast/apply.scm 252 */
										BgL_auxz00_2935 = BNIL;
									}
								else
									{	/* Ast/apply.scm 252 */
										obj_t BgL_head1770z00_1303;

										{	/* Ast/apply.scm 252 */
											obj_t BgL_res2096z00_2288;

											BgL_res2096z00_2288 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1770z00_1303 = BgL_res2096z00_2288;
										}
										{
											obj_t BgL_l1768z00_1305;
											obj_t BgL_tail1771z00_1306;

											BgL_l1768z00_1305 = BgL_l1768z00_1301;
											BgL_tail1771z00_1306 = BgL_head1770z00_1303;
										BgL_zc3anonymousza31920ze3z83_1307:
											if (NULLP(BgL_l1768z00_1305))
												{	/* Ast/apply.scm 252 */
													BgL_auxz00_2935 = CDR(BgL_head1770z00_1303);
												}
											else
												{	/* Ast/apply.scm 252 */
													obj_t BgL_newtail1772z00_1309;

													{	/* Ast/apply.scm 252 */
														BgL_varz00_bglt BgL_arg1924z00_1311;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_localz00_1312;

															{	/* Ast/apply.scm 252 */
																obj_t BgL_pairz00_2292;

																BgL_pairz00_2292 = BgL_l1768z00_1305;
																BgL_localz00_1312 = CAR(BgL_pairz00_2292);
															}
															{	/* Ast/apply.scm 253 */
																BgL_varz00_bglt BgL_new1132z00_1313;

																{	/* Ast/apply.scm 253 */
																	BgL_varz00_bglt BgL_new1131z00_1315;

																	BgL_new1131z00_1315 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Ast/apply.scm 253 */
																		long BgL_arg1926z00_1316;

																		{	/* Ast/apply.scm 253 */
																			long BgL_res2098z00_2296;

																			{	/* Ast/apply.scm 253 */
																				obj_t BgL_classz00_2293;

																				BgL_classz00_2293 =
																					BGl_varz00zzast_nodez00;
																				{	/* Ast/apply.scm 253 */
																					obj_t BgL_vectorz00_2294;
																					int BgL_kz00_2295;

																					BgL_vectorz00_2294 =
																						BgL_classz00_2293;
																					BgL_kz00_2295 = (int) (((long) 1));
																					BgL_res2098z00_2296 =
																						(long)
																						CINT(VECTOR_REF(BgL_vectorz00_2294,
																							BgL_kz00_2295));
																			}}
																			BgL_arg1926z00_1316 = BgL_res2098z00_2296;
																		}
																		{	/* Ast/apply.scm 253 */
																			BgL_objectz00_bglt BgL_objz00_2297;

																			BgL_objz00_2297 =
																				((BgL_objectz00_bglt)
																				BgL_new1131z00_1315);
																			BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2297,
																				BgL_arg1926z00_1316);
																	}}
																	{	/* Ast/apply.scm 253 */
																		BgL_objectz00_bglt BgL_auxz00_2949;

																		BgL_auxz00_2949 =
																			((BgL_objectz00_bglt)
																			BgL_new1131z00_1315);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_2949,
																			BFALSE);
																	}
																	BgL_new1132z00_1313 = BgL_new1131z00_1315;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1132z00_1313)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2444), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2954;

																	{	/* Ast/apply.scm 255 */
																		BgL_typez00_bglt BgL_arg1925z00_1314;

																		BgL_arg1925z00_1314 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1312))))->
																			BgL_typez00);
																		BgL_auxz00_2954 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1925z00_1314);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1132z00_1313)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2954),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt)
																			CREF(BgL_new1132z00_1313))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1312)), BUNSPEC);
																BgL_arg1924z00_1311 = BgL_new1132z00_1313;
														}}
														{	/* Ast/apply.scm 252 */
															obj_t BgL_res2100z00_2304;

															{	/* Ast/apply.scm 252 */
																obj_t BgL_obj1z00_2302;

																BgL_obj1z00_2302 =
																	((obj_t) BgL_arg1924z00_1311);
																BgL_res2100z00_2304 =
																	MAKE_PAIR(BgL_obj1z00_2302, BNIL);
															}
															BgL_newtail1772z00_1309 = BgL_res2100z00_2304;
													}}
													SET_CDR(BgL_tail1771z00_1306,
														BgL_newtail1772z00_1309);
													{	/* Ast/apply.scm 252 */
														obj_t BgL_arg1923z00_1310;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_pairz00_2307;

															BgL_pairz00_2307 = BgL_l1768z00_1305;
															BgL_arg1923z00_1310 = CDR(BgL_pairz00_2307);
														}
														{
															obj_t BgL_tail1771z00_2969;
															obj_t BgL_l1768z00_2968;

															BgL_l1768z00_2968 = BgL_arg1923z00_1310;
															BgL_tail1771z00_2969 = BgL_newtail1772z00_1309;
															BgL_tail1771z00_1306 = BgL_tail1771z00_2969;
															BgL_l1768z00_1305 = BgL_l1768z00_2968;
															goto BgL_zc3anonymousza31920ze3z83_1307;
														}
													}
												}
										}
									}
							}
							((((BgL_appz00_bglt) CREF(BgL_new1127z00_1294))->BgL_argsz00) =
								((obj_t) BgL_auxz00_2935), BUNSPEC);
						}
						return ((BgL_nodezf2effectzf2_bglt) BgL_new1127z00_1294);
					}
				}
			else
				{	/* Ast/apply.scm 258 */
					BgL_letzd2varzd2_bglt BgL_new1134z00_1320;

					{	/* Ast/apply.scm 258 */
						BgL_letzd2varzd2_bglt BgL_new1133z00_1352;

						BgL_new1133z00_1352 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 258 */
							long BgL_arg1953z00_1353;

							{	/* Ast/apply.scm 258 */
								long BgL_res2101z00_2311;

								{	/* Ast/apply.scm 258 */
									obj_t BgL_classz00_2308;

									BgL_classz00_2308 = BGl_letzd2varzd2zzast_nodez00;
									{	/* Ast/apply.scm 258 */
										obj_t BgL_vectorz00_2309;
										int BgL_kz00_2310;

										BgL_vectorz00_2309 = BgL_classz00_2308;
										BgL_kz00_2310 = (int) (((long) 1));
										BgL_res2101z00_2311 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2309,
												BgL_kz00_2310));
								}}
								BgL_arg1953z00_1353 = BgL_res2101z00_2311;
							}
							{	/* Ast/apply.scm 258 */
								BgL_objectz00_bglt BgL_objz00_2312;

								BgL_objz00_2312 = ((BgL_objectz00_bglt) BgL_new1133z00_1352);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2312, BgL_arg1953z00_1353);
						}}
						{	/* Ast/apply.scm 258 */
							BgL_objectz00_bglt BgL_auxz00_2978;

							BgL_auxz00_2978 = ((BgL_objectz00_bglt) BgL_new1133z00_1352);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2978, BFALSE);
						}
						BgL_new1134z00_1320 = BgL_new1133z00_1352;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1134z00_1320)))->BgL_locz00) =
						((obj_t) BgL_locz00_2444), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1134z00_1320)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2445)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1134z00_1320)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1134z00_1320)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2992;

						{	/* Ast/apply.scm 262 */
							obj_t BgL_arg1928z00_1321;

							{	/* Ast/apply.scm 262 */
								obj_t BgL_arg1930z00_1323;
								BgL_nodez00_bglt BgL_arg1931z00_1324;

								{	/* Ast/apply.scm 262 */
									obj_t BgL_pairz00_2314;

									BgL_pairz00_2314 = BgL_localsz00_1287;
									BgL_arg1930z00_1323 = CAR(BgL_pairz00_2314);
								}
								{	/* Ast/apply.scm 265 */
									obj_t BgL_arg1932z00_1325;

									{	/* Ast/apply.scm 265 */
										obj_t BgL_arg1933z00_1326;

										{	/* Ast/apply.scm 265 */
											BgL_varz00_bglt BgL_arg1934z00_1327;

											{	/* Ast/apply.scm 265 */
												BgL_varz00_bglt BgL_new1136z00_1328;

												{	/* Ast/apply.scm 265 */
													BgL_varz00_bglt BgL_new1135z00_1330;

													BgL_new1135z00_1330 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 265 */
														long BgL_arg1936z00_1331;

														{	/* Ast/apply.scm 265 */
															long BgL_res2102z00_2318;

															{	/* Ast/apply.scm 265 */
																obj_t BgL_classz00_2315;

																BgL_classz00_2315 = BGl_varz00zzast_nodez00;
																{	/* Ast/apply.scm 265 */
																	obj_t BgL_vectorz00_2316;
																	int BgL_kz00_2317;

																	BgL_vectorz00_2316 = BgL_classz00_2315;
																	BgL_kz00_2317 = (int) (((long) 1));
																	BgL_res2102z00_2318 =
																		(long) CINT(VECTOR_REF(BgL_vectorz00_2316,
																			BgL_kz00_2317));
															}}
															BgL_arg1936z00_1331 = BgL_res2102z00_2318;
														}
														{	/* Ast/apply.scm 265 */
															BgL_objectz00_bglt BgL_objz00_2319;

															BgL_objz00_2319 =
																((BgL_objectz00_bglt) BgL_new1135z00_1330);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2319,
																BgL_arg1936z00_1331);
													}}
													{	/* Ast/apply.scm 265 */
														BgL_objectz00_bglt BgL_auxz00_3000;

														BgL_auxz00_3000 =
															((BgL_objectz00_bglt) BgL_new1135z00_1330);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3000, BFALSE);
													}
													BgL_new1136z00_1328 = BgL_new1135z00_1330;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1136z00_1328)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2444), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3005;

													{	/* Ast/apply.scm 267 */
														BgL_typez00_bglt BgL_arg1935z00_1329;

														BgL_arg1935z00_1329 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2446)))->BgL_typez00);
														BgL_auxz00_3005 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1935z00_1329);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1136z00_1328)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3005), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1136z00_1328))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2446)), BUNSPEC);
												BgL_arg1934z00_1327 = BgL_new1136z00_1328;
											}
											BgL_arg1933z00_1326 =
												MAKE_PAIR(((obj_t) BgL_arg1934z00_1327), BNIL);
										}
										BgL_arg1932z00_1325 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1933z00_1326);
									}
									BgL_arg1931z00_1324 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1932z00_1325,
										BgL_stackz00_2447, BgL_locz00_2444,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1928z00_1321 =
									MAKE_PAIR(BgL_arg1930z00_1323, ((obj_t) BgL_arg1931z00_1324));
							}
							{	/* Ast/apply.scm 261 */
								obj_t BgL_list1929z00_1322;

								BgL_list1929z00_1322 = MAKE_PAIR(BgL_arg1928z00_1321, BNIL);
								BgL_auxz00_2992 = BgL_list1929z00_1322;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1134z00_1320))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2992), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3024;

						{	/* Ast/apply.scm 274 */
							obj_t BgL_arg1937z00_1332;

							{	/* Ast/apply.scm 274 */
								obj_t BgL_arg1938z00_1333;

								{	/* Ast/apply.scm 274 */
									obj_t BgL_arg1939z00_1334;
									obj_t BgL_arg1940z00_1335;

									{	/* Ast/apply.scm 274 */
										obj_t BgL_arg1941z00_1336;

										{	/* Ast/apply.scm 274 */
											BgL_varz00_bglt BgL_arg1942z00_1337;
											obj_t BgL_arg1943z00_1338;

											{	/* Ast/apply.scm 274 */
												BgL_varz00_bglt BgL_new1138z00_1339;

												{	/* Ast/apply.scm 274 */
													BgL_varz00_bglt BgL_new1137z00_1341;

													BgL_new1137z00_1341 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 274 */
														long BgL_arg1945z00_1342;

														{	/* Ast/apply.scm 274 */
															long BgL_res2105z00_2329;

															{	/* Ast/apply.scm 274 */
																obj_t BgL_classz00_2326;

																BgL_classz00_2326 = BGl_varz00zzast_nodez00;
																{	/* Ast/apply.scm 274 */
																	obj_t BgL_vectorz00_2327;
																	int BgL_kz00_2328;

																	BgL_vectorz00_2327 = BgL_classz00_2326;
																	BgL_kz00_2328 = (int) (((long) 1));
																	BgL_res2105z00_2329 =
																		(long) CINT(VECTOR_REF(BgL_vectorz00_2327,
																			BgL_kz00_2328));
															}}
															BgL_arg1945z00_1342 = BgL_res2105z00_2329;
														}
														{	/* Ast/apply.scm 274 */
															BgL_objectz00_bglt BgL_objz00_2330;

															BgL_objz00_2330 =
																((BgL_objectz00_bglt) BgL_new1137z00_1341);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2330,
																BgL_arg1945z00_1342);
													}}
													{	/* Ast/apply.scm 274 */
														BgL_objectz00_bglt BgL_auxz00_3031;

														BgL_auxz00_3031 =
															((BgL_objectz00_bglt) BgL_new1137z00_1341);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3031, BFALSE);
													}
													BgL_new1138z00_1339 = BgL_new1137z00_1341;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1138z00_1339)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2444), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3036;

													{	/* Ast/apply.scm 276 */
														BgL_typez00_bglt BgL_arg1944z00_1340;

														BgL_arg1944z00_1340 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2446)))->BgL_typez00);
														BgL_auxz00_3036 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1944z00_1340);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1138z00_1339)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3036), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1138z00_1339))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2446)), BUNSPEC);
												BgL_arg1942z00_1337 = BgL_new1138z00_1339;
											}
											{	/* Ast/apply.scm 278 */
												obj_t BgL_arg1946z00_1343;

												{	/* Ast/apply.scm 278 */
													obj_t BgL_arg1947z00_1344;

													{	/* Ast/apply.scm 278 */
														BgL_varz00_bglt BgL_arg1948z00_1345;

														{	/* Ast/apply.scm 278 */
															BgL_varz00_bglt BgL_new1140z00_1346;

															{	/* Ast/apply.scm 278 */
																BgL_varz00_bglt BgL_new1139z00_1348;

																BgL_new1139z00_1348 =
																	((BgL_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Ast/apply.scm 278 */
																	long BgL_arg1950z00_1349;

																	{	/* Ast/apply.scm 278 */
																		long BgL_res2107z00_2338;

																		{	/* Ast/apply.scm 278 */
																			obj_t BgL_classz00_2335;

																			BgL_classz00_2335 =
																				BGl_varz00zzast_nodez00;
																			{	/* Ast/apply.scm 278 */
																				obj_t BgL_vectorz00_2336;
																				int BgL_kz00_2337;

																				BgL_vectorz00_2336 = BgL_classz00_2335;
																				BgL_kz00_2337 = (int) (((long) 1));
																				BgL_res2107z00_2338 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2336,
																						BgL_kz00_2337));
																		}}
																		BgL_arg1950z00_1349 = BgL_res2107z00_2338;
																	}
																	{	/* Ast/apply.scm 278 */
																		BgL_objectz00_bglt BgL_objz00_2339;

																		BgL_objz00_2339 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_1348);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2339,
																			BgL_arg1950z00_1349);
																}}
																{	/* Ast/apply.scm 278 */
																	BgL_objectz00_bglt BgL_auxz00_3051;

																	BgL_auxz00_3051 =
																		((BgL_objectz00_bglt) BgL_new1139z00_1348);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3051,
																		BFALSE);
																}
																BgL_new1140z00_1346 = BgL_new1139z00_1348;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1140z00_1346)))->BgL_locz00) =
																((obj_t) BgL_locz00_2444), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_3056;

																{	/* Ast/apply.scm 280 */
																	BgL_typez00_bglt BgL_arg1949z00_1347;

																	BgL_arg1949z00_1347 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					BgL_runnerz00_2446)))->BgL_typez00);
																	BgL_auxz00_3056 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg1949z00_1347);
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1140z00_1346)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_3056),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) CREF(BgL_new1140z00_1346))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BgL_runnerz00_2446)), BUNSPEC);
															BgL_arg1948z00_1345 = BgL_new1140z00_1346;
														}
														BgL_arg1947z00_1344 =
															MAKE_PAIR(((obj_t) BgL_arg1948z00_1345), BNIL);
													}
													BgL_arg1946z00_1343 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
														BgL_arg1947z00_1344);
												}
												BgL_arg1943z00_1338 =
													MAKE_PAIR(BgL_arg1946z00_1343, BNIL);
											}
											BgL_arg1941z00_1336 =
												MAKE_PAIR(
												((obj_t) BgL_arg1942z00_1337), BgL_arg1943z00_1338);
										}
										BgL_arg1939z00_1334 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg1941z00_1336);
									}
									{	/* Ast/apply.scm 282 */
										BgL_nodezf2effectzf2_bglt BgL_arg1951z00_1350;

										{	/* Ast/apply.scm 282 */
											obj_t BgL_arg1952z00_1351;

											{	/* Ast/apply.scm 282 */
												obj_t BgL_pairz00_2344;

												BgL_pairz00_2344 = BgL_localsz00_1287;
												BgL_arg1952z00_1351 = CDR(BgL_pairz00_2344);
											}
											BgL_arg1951z00_1350 =
												BGl_loopz00zzast_applyz00(BgL_procz00_2449,
												BgL_framez00_2448, BgL_stackz00_2447,
												BgL_runnerz00_2446, BgL_typez00_2445, BgL_locz00_2444,
												BgL_arg1952z00_1351, BgL_localsz00_1287);
										}
										BgL_arg1940z00_1335 =
											MAKE_PAIR(((obj_t) BgL_arg1951z00_1350), BNIL);
									}
									BgL_arg1938z00_1333 =
										MAKE_PAIR(BgL_arg1939z00_1334, BgL_arg1940z00_1335);
								}
								BgL_arg1937z00_1332 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 11)), BgL_arg1938z00_1333);
							}
							BgL_auxz00_3024 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1937z00_1332,
								BgL_stackz00_2447, BgL_locz00_2444, CNST_TABLE_REF(((long) 1)));
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1134z00_1320))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3024), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1134z00_1320))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodezf2effectzf2_bglt) BgL_new1134z00_1320);
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_proc2129z00zzast_applyz00, BGl_funz00zzast_varz00,
				BGl_string2130z00zzast_applyz00);
		}
	}



/* &make-fun-frame1773 */
	obj_t BGl_z62makezd2funzd2frame1773z62zzast_applyz00(obj_t BgL_envz00_2434,
		BgL_funz00_bglt BgL_funz00_2435)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{
				BgL_funz00_bglt BgL_funz00_1361;

				BgL_funz00_1361 = BgL_funz00_2435;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
					BGl_string2131z00zzast_applyz00, ((obj_t) BgL_funz00_1361));
		}}
	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_7)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{	/* Ast/apply.scm 61 */
				obj_t BgL_method1774z00_1364;

				{	/* Ast/apply.scm 61 */
					obj_t BgL_res2115z00_2373;

					{	/* Ast/apply.scm 61 */
						BgL_objectz00_bglt BgL_objz00_2345;

						BgL_objz00_2345 = ((BgL_objectz00_bglt) BgL_funz00_7);
						{	/* Ast/apply.scm 61 */
							long BgL_objzd2classzd2numz00_2346;

							{	/* Ast/apply.scm 61 */
								long BgL_res2109z00_2349;

								BgL_res2109z00_2349 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2345);
								BgL_objzd2classzd2numz00_2346 = BgL_res2109z00_2349;
							}
							{	/* Ast/apply.scm 61 */
								obj_t BgL_arg1812z00_2347;

								BgL_arg1812z00_2347 =
									PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
									(int) (((long) 1)));
								{	/* Ast/apply.scm 61 */
									obj_t BgL_arrayz00_2350;
									int BgL_offsetz00_2351;

									BgL_arrayz00_2350 = BgL_arg1812z00_2347;
									BgL_offsetz00_2351 = (int) (BgL_objzd2classzd2numz00_2346);
									{	/* Ast/apply.scm 61 */
										long BgL_offsetz00_2352;

										BgL_offsetz00_2352 =
											((long) (BgL_offsetz00_2351) - OBJECT_TYPE);
										{	/* Ast/apply.scm 61 */
											long BgL_modz00_2353;

											{	/* Ast/apply.scm 61 */
												int BgL_arg1814z00_2354;

												BgL_arg1814z00_2354 = (int) (((long) 16));
												{	/* Ast/apply.scm 61 */
													long BgL_res2112z00_2364;

													{	/* Ast/apply.scm 61 */
														long BgL_auxz00_3098;

														BgL_auxz00_3098 = (long) (BgL_arg1814z00_2354);
														BgL_res2112z00_2364 =
															(BgL_offsetz00_2352 / BgL_auxz00_3098);
													}
													BgL_modz00_2353 = BgL_res2112z00_2364;
											}}
											{	/* Ast/apply.scm 61 */
												long BgL_restz00_2355;

												{	/* Ast/apply.scm 61 */
													int BgL_arg1813z00_2356;

													BgL_arg1813z00_2356 = (int) (((long) 16));
													{	/* Ast/apply.scm 61 */
														long BgL_res2114z00_2368;

														{	/* Ast/apply.scm 61 */
															long BgL_auxz00_3102;

															BgL_auxz00_3102 = (long) (BgL_arg1813z00_2356);
															BgL_res2114z00_2368 =
																(BgL_offsetz00_2352 % BgL_auxz00_3102);
														}
														BgL_restz00_2355 = BgL_res2114z00_2368;
												}}
												{	/* Ast/apply.scm 61 */

													BgL_res2115z00_2373 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2350,
															(int) (BgL_modz00_2353)),
														(int) (BgL_restz00_2355));
					}}}}}}}}
					BgL_method1774z00_1364 = BgL_res2115z00_2373;
				}
				return
					PROCEDURE_ENTRY(BgL_method1774z00_1364) (BgL_method1774z00_1364,
					((obj_t) BgL_funz00_7), BEOA);
			}
		}
	}



/* &make-fun-frame */
	obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t BgL_envz00_2436,
		obj_t BgL_funz00_2437)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				((BgL_funz00_bglt) BgL_funz00_2437));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc2132z00zzast_applyz00, BGl_string2133z00zzast_applyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc2134z00zzast_applyz00, BGl_string2133z00zzast_applyz00);
		}
	}



/* &make-fun-frame-cfun1779 */
	obj_t BGl_z62makezd2funzd2framezd2cfun1779zb0zzast_applyz00(obj_t
		BgL_envz00_2440, BgL_cfunz00_bglt BgL_funz00_2441)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 86 */
			{
				BgL_cfunz00_bglt BgL_funz00_1390;

				BgL_funz00_1390 = BgL_funz00_2441;
				{	/* Ast/apply.scm 87 */
					long BgL_arityz00_1393;

					BgL_arityz00_1393 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1390)))->BgL_arityz00);
					{	/* Ast/apply.scm 88 */
						obj_t BgL_g1102z00_1394;

						BgL_g1102z00_1394 =
							(((BgL_cfunz00_bglt) CREF(BgL_funz00_1390))->BgL_argszd2typezd2);
						{
							obj_t BgL_typesz00_1397;
							obj_t BgL_localsz00_1398;

							BgL_typesz00_1397 = BgL_g1102z00_1394;
							BgL_localsz00_1398 = BNIL;
						BgL_zc3anonymousza31974ze3z83_1399:
							if (NULLP(BgL_typesz00_1397))
								{	/* Ast/apply.scm 91 */
									return bgl_reverse_bang(BgL_localsz00_1398);
								}
							else
								{	/* Ast/apply.scm 93 */
									bool_t BgL_testz00_3124;

									if (NULLP(CDR(BgL_typesz00_1397)))
										{	/* Ast/apply.scm 93 */
											BgL_testz00_3124 = (BgL_arityz00_1393 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 93 */
											BgL_testz00_3124 = ((bool_t) 0);
										}
									if (BgL_testz00_3124)
										{	/* Ast/apply.scm 93 */
											return bgl_reverse_bang(BgL_localsz00_1398);
										}
									else
										{	/* Ast/apply.scm 96 */
											obj_t BgL_arg1977z00_1402;
											obj_t BgL_arg1979z00_1403;

											BgL_arg1977z00_1402 = CDR(BgL_typesz00_1397);
											{	/* Ast/apply.scm 97 */
												BgL_localz00_bglt BgL_arg1980z00_1404;

												{	/* Ast/apply.scm 97 */
													obj_t BgL_arg1981z00_1405;
													obj_t BgL_arg1982z00_1406;

													BgL_arg1981z00_1405 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													BgL_arg1982z00_1406 = CAR(BgL_typesz00_1397);
													BgL_arg1980z00_1404 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1981z00_1405,
														((BgL_typez00_bglt) BgL_arg1982z00_1406));
												}
												BgL_arg1979z00_1403 =
													MAKE_PAIR(
													((obj_t) BgL_arg1980z00_1404), BgL_localsz00_1398);
											}
											{
												obj_t BgL_localsz00_3140;
												obj_t BgL_typesz00_3139;

												BgL_typesz00_3139 = BgL_arg1977z00_1402;
												BgL_localsz00_3140 = BgL_arg1979z00_1403;
												BgL_localsz00_1398 = BgL_localsz00_3140;
												BgL_typesz00_1397 = BgL_typesz00_3139;
												goto BgL_zc3anonymousza31974ze3z83_1399;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* &make-fun-frame-sfun1777 */
	obj_t BGl_z62makezd2funzd2framezd2sfun1777zb0zzast_applyz00(obj_t
		BgL_envz00_2442, BgL_sfunz00_bglt BgL_funz00_2443)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 66 */
			{
				BgL_sfunz00_bglt BgL_funz00_1365;

				BgL_funz00_1365 = BgL_funz00_2443;
				{	/* Ast/apply.scm 67 */
					long BgL_arityz00_1368;

					BgL_arityz00_1368 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1365)))->BgL_arityz00);
					{	/* Ast/apply.scm 68 */
						obj_t BgL_g1098z00_1369;

						BgL_g1098z00_1369 =
							(((BgL_sfunz00_bglt) CREF(BgL_funz00_1365))->BgL_argsz00);
						{
							obj_t BgL_formalsz00_1372;
							obj_t BgL_localsz00_1373;

							BgL_formalsz00_1372 = BgL_g1098z00_1369;
							BgL_localsz00_1373 = BNIL;
						BgL_zc3anonymousza31960ze3z83_1374:
							if (NULLP(BgL_formalsz00_1372))
								{	/* Ast/apply.scm 71 */
									return bgl_reverse_bang(BgL_localsz00_1373);
								}
							else
								{	/* Ast/apply.scm 73 */
									bool_t BgL_testz00_3147;

									if (NULLP(CDR(BgL_formalsz00_1372)))
										{	/* Ast/apply.scm 73 */
											BgL_testz00_3147 = (BgL_arityz00_1368 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 73 */
											BgL_testz00_3147 = ((bool_t) 0);
										}
									if (BgL_testz00_3147)
										{	/* Ast/apply.scm 73 */
											return bgl_reverse_bang(BgL_localsz00_1373);
										}
									else
										{	/* Ast/apply.scm 76 */
											obj_t BgL_arg1963z00_1377;
											obj_t BgL_arg1964z00_1378;

											BgL_arg1963z00_1377 = CDR(BgL_formalsz00_1372);
											{	/* Ast/apply.scm 77 */
												BgL_localz00_bglt BgL_arg1965z00_1379;

												{	/* Ast/apply.scm 77 */
													obj_t BgL_arg1966z00_1380;
													obj_t BgL_arg1967z00_1381;

													BgL_arg1966z00_1380 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													{	/* Ast/apply.scm 78 */
														bool_t BgL_testz00_3157;

														{	/* Ast/apply.scm 78 */
															obj_t BgL_arg1971z00_1385;

															BgL_arg1971z00_1385 = CAR(BgL_formalsz00_1372);
															BgL_testz00_3157 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1971z00_1385,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_3157)
															{	/* Ast/apply.scm 78 */
																BgL_arg1967z00_1381 = CAR(BgL_formalsz00_1372);
															}
														else
															{
																BgL_typez00_bglt BgL_auxz00_3161;

																{
																	BgL_variablez00_bglt BgL_auxz00_3162;

																	{
																		BgL_localz00_bglt BgL_auxz00_3163;

																		{	/* Ast/apply.scm 80 */
																			obj_t BgL_pairz00_2392;

																			BgL_pairz00_2392 = BgL_formalsz00_1372;
																			BgL_auxz00_3163 =
																				((BgL_localz00_bglt)
																				CAR(BgL_pairz00_2392));
																		}
																		BgL_auxz00_3162 =
																			((BgL_variablez00_bglt) BgL_auxz00_3163);
																	}
																	BgL_auxz00_3161 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_3162))->BgL_typez00);
																}
																BgL_arg1967z00_1381 = ((obj_t) BgL_auxz00_3161);
															}
													}
													BgL_arg1965z00_1379 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1966z00_1380,
														((BgL_typez00_bglt) BgL_arg1967z00_1381));
												}
												BgL_arg1964z00_1378 =
													MAKE_PAIR(
													((obj_t) BgL_arg1965z00_1379), BgL_localsz00_1373);
											}
											{
												obj_t BgL_localsz00_3174;
												obj_t BgL_formalsz00_3173;

												BgL_formalsz00_3173 = BgL_arg1963z00_1377;
												BgL_localsz00_3174 = BgL_arg1964z00_1378;
												BgL_localsz00_1373 = BgL_localsz00_3174;
												BgL_formalsz00_1372 = BgL_formalsz00_3173;
												goto BgL_zc3anonymousza31960ze3z83_1374;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2135z00zzast_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
