/*===========================================================================*/
/*   (Ast/glo_def.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/glo_def.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;


	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_glozd2defzd2();
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2defzd2();
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	static BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(BgL_globalz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t,
		BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2defzd2();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2methodzd2definitionzd2envzd2zzast_glozd2defzd2,
		BgL_bgl_za762checkza7d2metho2228z00,
		BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunzd2nozd2warningz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza72229za7,
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza72230za7,
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2svarz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza72231za7,
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2208z00zzast_glozd2defzd2,
		BgL_bgl_string2208za700za7za7a2232za7, "check-method-definition", 23);
	      DEFINE_STRING(BGl_string2209z00zzast_glozd2defzd2,
		BgL_bgl_string2209za700za7za7a2233za7, "unexpected generic arg", 22);
	      DEFINE_STRING(BGl_string2210z00zzast_glozd2defzd2,
		BgL_bgl_string2210za700za7za7a2234za7,
		"(incompatible DSSSL #!optional prototype)", 41);
	      DEFINE_STRING(BGl_string2211z00zzast_glozd2defzd2,
		BgL_bgl_string2211za700za7za7a2235za7,
		"(incompatible DSSSL #!key prototype)", 36);
	      DEFINE_STRING(BGl_string2212z00zzast_glozd2defzd2,
		BgL_bgl_string2212za700za7za7a2236za7, "(incompatible Dsssl prototype)",
		30);
	      DEFINE_STRING(BGl_string2213z00zzast_glozd2defzd2,
		BgL_bgl_string2213za700za7za7a2237za7,
		"(incompatible function type result)", 35);
	      DEFINE_STRING(BGl_string2214z00zzast_glozd2defzd2,
		BgL_bgl_string2214za700za7za7a2238za7, "(arity differs)", 15);
	      DEFINE_STRING(BGl_string2215z00zzast_glozd2defzd2,
		BgL_bgl_string2215za700za7za7a2239za7,
		"(declared as function of another class)", 39);
	      DEFINE_STRING(BGl_string2216z00zzast_glozd2defzd2,
		BgL_bgl_string2216za700za7za7a2240za7, "(not declared as function)", 26);
	      DEFINE_STRING(BGl_string2217z00zzast_glozd2defzd2,
		BgL_bgl_string2217za700za7za7a2241za7, "(incompatible formal type)", 26);
	      DEFINE_STRING(BGl_string2218z00zzast_glozd2defzd2,
		BgL_bgl_string2218za700za7za7a2242za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string2219z00zzast_glozd2defzd2,
		BgL_bgl_string2219za700za7za7a2243za7, "(incompatible variable type)", 28);
	      DEFINE_STRING(BGl_string2220z00zzast_glozd2defzd2,
		BgL_bgl_string2220za700za7za7a2244za7, "(not declared as a variable)", 28);
	      DEFINE_STRING(BGl_string2221z00zzast_glozd2defzd2,
		BgL_bgl_string2221za700za7za7a2245za7,
		"Prototype and definition don't match", 36);
	      DEFINE_STRING(BGl_string2222z00zzast_glozd2defzd2,
		BgL_bgl_string2222za700za7za7a2246za7, " ", 1);
	      DEFINE_STRING(BGl_string2223z00zzast_glozd2defzd2,
		BgL_bgl_string2223za700za7za7a2247za7, "(generic not found for method)",
		30);
	      DEFINE_STRING(BGl_string2224z00zzast_glozd2defzd2,
		BgL_bgl_string2224za700za7za7a2248za7, "ast_glo-def", 11);
	      DEFINE_STRING(BGl_string2225z00zzast_glozd2defzd2,
		BgL_bgl_string2225za700za7za7a2249za7,
		"bigloo now sgfun static export bdb ", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2scnstz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza72250za7,
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long
		BgL_checksumz00_2864, char *BgL_fromz00_2865)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2defzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
					BGl_cnstzd2initzd2zzast_glozd2defzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_glo-def");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			{	/* Ast/glo_def.scm 15 */
				obj_t BgL_cportz00_2856;

				BgL_cportz00_2856 =
					bgl_open_input_string(BGl_string2225z00zzast_glozd2defzd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2857;

					BgL_iz00_2857 = ((long) 5);
				BgL_loopz00_2858:
					if ((BgL_iz00_2857 == ((long) -1)))
						{	/* Ast/glo_def.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/glo_def.scm 15 */
							{	/* Ast/glo_def.scm 15 */
								obj_t BgL_arg2227z00_2860;

								{	/* Ast/glo_def.scm 15 */

									{	/* Ast/glo_def.scm 15 */
										obj_t BgL_locationz00_2862;

										BgL_locationz00_2862 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_def.scm 15 */

											BgL_arg2227z00_2860 =
												BGl_readz00zz__readerz00(BgL_cportz00_2856,
												BgL_locationz00_2862);
										}
									}
								}
								{	/* Ast/glo_def.scm 15 */
									int BgL_auxz00_2884;

									BgL_auxz00_2884 = (int) (BgL_iz00_2857);
									CNST_TABLE_SET(BgL_auxz00_2884, BgL_arg2227z00_2860);
							}}
							{	/* Ast/glo_def.scm 15 */
								int BgL_auxz00_2863;

								BgL_auxz00_2863 = (int) ((BgL_iz00_2857 - ((long) 1)));
								{
									long BgL_iz00_2889;

									BgL_iz00_2889 = (long) (BgL_auxz00_2863);
									BgL_iz00_2857 = BgL_iz00_2889;
									goto BgL_loopz00_2858;
								}
							}
						}
				}
			}
		}
	}



/* def-global-sfun-no-warning! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t
		BgL_idz00_3, obj_t BgL_argsz00_4, obj_t BgL_locz00_5, obj_t BgL_modz00_6,
		obj_t BgL_classz00_7, obj_t BgL_srczd2expzd2_8, obj_t BgL_remz00_9,
		obj_t BgL_nodez00_10)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 67 */
			{	/* Ast/glo_def.scm 68 */
				int BgL_warningz00_2531;

				BgL_warningz00_2531 = BGl_bigloozd2warningzd2zz__paramz00();
				BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (((long) 0)));
				{	/* Ast/glo_def.scm 68 */
					BgL_globalz00_bglt BgL_funz00_2532;

					BgL_funz00_2532 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_3,
						BgL_argsz00_4, BgL_locz00_5, BgL_modz00_6, BgL_classz00_7,
						BgL_srczd2expzd2_8, BgL_remz00_9, BgL_nodez00_10);
					BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_warningz00_2531);
					return BgL_funz00_2532;
				}
			}
		}
	}



/* &def-global-sfun-no-warning! */
	BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2822, obj_t BgL_idz00_2823, obj_t BgL_argsz00_2824,
		obj_t BgL_locz00_2825, obj_t BgL_modz00_2826, obj_t BgL_classz00_2827,
		obj_t BgL_srczd2expzd2_2828, obj_t BgL_remz00_2829, obj_t BgL_nodez00_2830)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 67 */
			return
				BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
				(BgL_idz00_2823, BgL_argsz00_2824, BgL_locz00_2825, BgL_modz00_2826,
				BgL_classz00_2827, BgL_srczd2expzd2_2828, BgL_remz00_2829,
				BgL_nodez00_2830);
		}
	}



/* def-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_idz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_localsz00_13, obj_t BgL_modulez00_14,
		obj_t BgL_classz00_15, obj_t BgL_srczd2expzd2_16, obj_t BgL_remz00_17,
		obj_t BgL_nodez00_18)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 80 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_11);
			{	/* Ast/glo_def.scm 86 */
				obj_t BgL_locz00_1467;

				BgL_locz00_1467 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_16);
				{	/* Ast/glo_def.scm 86 */
					obj_t BgL_idzd2typezd2_1468;

					BgL_idzd2typezd2_1468 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_11, BgL_locz00_1467);
					{	/* Ast/glo_def.scm 87 */
						obj_t BgL_typezd2reszd2_1469;

						BgL_typezd2reszd2_1469 = CDR(BgL_idzd2typezd2_1468);
						{	/* Ast/glo_def.scm 88 */
							obj_t BgL_idz00_1470;

							BgL_idz00_1470 = CAR(BgL_idzd2typezd2_1468);
							{	/* Ast/glo_def.scm 89 */
								obj_t BgL_importz00_1471;

								{	/* Ast/glo_def.scm 90 */
									bool_t BgL_testz00_2902;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo_def.scm 91 */
											obj_t BgL_arg1964z00_1516;

											{	/* Ast/glo_def.scm 91 */
												obj_t BgL_arg1965z00_1517;

												BgL_arg1965z00_1517 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1964z00_1516 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg1965z00_1517)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_2902 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1964z00_1516));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_testz00_2902 = ((bool_t) 0);
										}
									if (BgL_testz00_2902)
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1471 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1471 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo_def.scm 90 */
									obj_t BgL_oldzd2globalzd2_1472;

									BgL_oldzd2globalzd2_1472 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1470,
										BgL_modulez00_14);
									{	/* Ast/glo_def.scm 94 */
										BgL_globalz00_bglt BgL_globalz00_1473;

										if (BGl_isazf3zf3zz__objectz00(BgL_oldzd2globalzd2_1472,
												BGl_globalz00zzast_varz00))
											{	/* Ast/glo_def.scm 96 */
												BgL_globalz00_1473 =
													BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(
													((BgL_globalz00_bglt) BgL_oldzd2globalzd2_1472),
													BgL_typezd2reszd2_1469, BgL_argsz00_12,
													BgL_localsz00_13, BgL_classz00_15,
													BgL_srczd2expzd2_16);
											}
										else
											{	/* Ast/glo_def.scm 96 */
												BgL_globalz00_1473 =
													BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
													(BgL_idz00_1470, BgL_argsz00_12, BgL_modulez00_14,
													BgL_importz00_1471, BgL_classz00_15,
													BgL_srczd2expzd2_16, BFALSE);
											}
										{	/* Ast/glo_def.scm 95 */
											obj_t BgL_defzd2loczd2_1474;

											BgL_defzd2loczd2_1474 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_16);
											{	/* Ast/glo_def.scm 111 */

												{	/* Ast/glo_def.scm 112 */
													bool_t BgL_testz00_2921;

													{	/* Ast/glo_def.scm 112 */
														BgL_valuez00_bglt BgL_arg1960z00_1512;

														BgL_arg1960z00_1512 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1473)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 112 */
															bool_t BgL_res2146z00_2547;

															{	/* Ast/glo_def.scm 112 */
																obj_t BgL_objz00_2546;

																BgL_objz00_2546 = ((obj_t) BgL_arg1960z00_1512);
																BgL_res2146z00_2547 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_2546,
																	BGl_sfunz00zzast_varz00);
															}
															BgL_testz00_2921 = BgL_res2146z00_2547;
														}
													}
													if (BgL_testz00_2921)
														{	/* Ast/glo_def.scm 112 */
															{	/* Ast/glo_def.scm 119 */
																BgL_variablez00_bglt BgL_varz00_2548;
																BgL_typez00_bglt BgL_newzd2typezd2_2549;

																BgL_varz00_2548 =
																	((BgL_variablez00_bglt) BgL_globalz00_1473);
																BgL_newzd2typezd2_2549 =
																	((BgL_typez00_bglt) BgL_typezd2reszd2_1469);
																{	/* Ast/glo_def.scm 119 */
																	BgL_typez00_bglt BgL_oldzd2typezd2_2550;

																	BgL_oldzd2typezd2_2550 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_varz00_2548))->BgL_typez00);
																	if ((((obj_t) BgL_oldzd2typezd2_2550) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Ast/glo_def.scm 119 */
																			((((BgL_variablez00_bglt)
																						CREF(BgL_varz00_2548))->
																					BgL_typez00) =
																				((BgL_typez00_bglt)
																					BgL_newzd2typezd2_2549), BUNSPEC);
																		}
																	else
																		{	/* Ast/glo_def.scm 119 */
																			BFALSE;
																		}
																}
															}
															if (
																(bgl_list_length(BgL_localsz00_13) ==
																	bgl_list_length(
																		(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) CREF(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1473)))->
																							BgL_valuez00))))->BgL_argsz00))))
																{	/* Ast/glo_def.scm 123 */
																	obj_t BgL_typesz00_1477;

																	{	/* Ast/glo_def.scm 123 */
																		obj_t BgL_l1914z00_1488;

																		BgL_l1914z00_1488 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) CREF(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1473)))->
																							BgL_valuez00))))->BgL_argsz00);
																		if (NULLP(BgL_l1914z00_1488))
																			{	/* Ast/glo_def.scm 123 */
																				BgL_typesz00_1477 = BNIL;
																			}
																		else
																			{	/* Ast/glo_def.scm 123 */
																				obj_t BgL_head1916z00_1490;

																				{	/* Ast/glo_def.scm 123 */
																					obj_t BgL_res2152z00_2575;

																					BgL_res2152z00_2575 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_head1916z00_1490 =
																						BgL_res2152z00_2575;
																				}
																				{
																					obj_t BgL_l1914z00_1492;
																					obj_t BgL_tail1917z00_1493;

																					BgL_l1914z00_1492 = BgL_l1914z00_1488;
																					BgL_tail1917z00_1493 =
																						BgL_head1916z00_1490;
																				BgL_zc3anonymousza31944ze3z83_1494:
																					if (NULLP(BgL_l1914z00_1492))
																						{	/* Ast/glo_def.scm 123 */
																							BgL_typesz00_1477 =
																								CDR(BgL_head1916z00_1490);
																						}
																					else
																						{	/* Ast/glo_def.scm 123 */
																							obj_t BgL_newtail1918z00_1496;

																							{	/* Ast/glo_def.scm 123 */
																								obj_t BgL_arg1947z00_1498;

																								{	/* Ast/glo_def.scm 123 */
																									obj_t BgL_az00_1499;

																									BgL_az00_1499 =
																										CAR(BgL_l1914z00_1492);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_az00_1499,
																											BGl_localz00zzast_varz00))
																										{	/* Ast/glo_def.scm 125 */
																											BgL_arg1947z00_1498 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_az00_1499))))->BgL_typez00));
																										}
																									else
																										{	/* Ast/glo_def.scm 125 */
																											if (BGl_isazf3zf3zz__objectz00(BgL_az00_1499, BGl_typez00zztype_typez00))
																												{	/* Ast/glo_def.scm 127 */
																													BgL_arg1947z00_1498 =
																														BgL_az00_1499;
																												}
																											else
																												{	/* Ast/glo_def.scm 127 */
																													BgL_arg1947z00_1498 =
																														BGl_internalzd2errorzd2zztools_errorz00
																														(BGl_string2208z00zzast_glozd2defzd2,
																														BGl_string2209z00zzast_glozd2defzd2,
																														BGl_shapez00zztools_shapez00
																														(BgL_az00_1499));
																												}
																										}
																								}
																								{	/* Ast/glo_def.scm 123 */
																									obj_t BgL_res2157z00_2589;

																									BgL_res2157z00_2589 =
																										MAKE_PAIR
																										(BgL_arg1947z00_1498, BNIL);
																									BgL_newtail1918z00_1496 =
																										BgL_res2157z00_2589;
																								}
																							}
																							SET_CDR(BgL_tail1917z00_1493,
																								BgL_newtail1918z00_1496);
																							{
																								obj_t BgL_tail1917z00_2966;
																								obj_t BgL_l1914z00_2964;

																								BgL_l1914z00_2964 =
																									CDR(BgL_l1914z00_1492);
																								BgL_tail1917z00_2966 =
																									BgL_newtail1918z00_1496;
																								BgL_tail1917z00_1493 =
																									BgL_tail1917z00_2966;
																								BgL_l1914z00_1492 =
																									BgL_l1914z00_2964;
																								goto
																									BgL_zc3anonymousza31944ze3z83_1494;
																							}
																						}
																				}
																			}
																	}
																	{
																		obj_t BgL_ll1919z00_1479;
																		obj_t BgL_ll1920z00_1480;

																		BgL_ll1919z00_1479 = BgL_localsz00_13;
																		BgL_ll1920z00_1480 = BgL_typesz00_1477;
																	BgL_zc3anonymousza31937ze3z83_1481:
																		if (NULLP(BgL_ll1919z00_1479))
																			{	/* Ast/glo_def.scm 135 */
																				((bool_t) 1);
																			}
																		else
																			{	/* Ast/glo_def.scm 135 */
																				{	/* Ast/glo_def.scm 135 */
																					obj_t BgL_arg1939z00_1483;
																					obj_t BgL_arg1940z00_1484;

																					BgL_arg1939z00_1483 =
																						CAR(BgL_ll1919z00_1479);
																					BgL_arg1940z00_1484 =
																						CAR(BgL_ll1920z00_1480);
																					{	/* Ast/glo_def.scm 135 */
																						BgL_variablez00_bglt
																							BgL_varz00_2597;
																						BgL_typez00_bglt
																							BgL_newzd2typezd2_2598;
																						BgL_varz00_2597 =
																							((BgL_variablez00_bglt)
																							BgL_arg1939z00_1483);
																						BgL_newzd2typezd2_2598 =
																							((BgL_typez00_bglt)
																							BgL_arg1940z00_1484);
																						{	/* Ast/glo_def.scm 135 */
																							BgL_typez00_bglt
																								BgL_oldzd2typezd2_2599;
																							BgL_oldzd2typezd2_2599 =
																								(((BgL_variablez00_bglt)
																									CREF(BgL_varz00_2597))->
																								BgL_typez00);
																							if ((((obj_t)
																										BgL_oldzd2typezd2_2599) ==
																									BGl_za2_za2z00zztype_cachez00))
																								{	/* Ast/glo_def.scm 135 */
																									((((BgL_variablez00_bglt)
																												CREF(BgL_varz00_2597))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_newzd2typezd2_2598),
																										BUNSPEC);
																								}
																							else
																								{	/* Ast/glo_def.scm 135 */
																									BFALSE;
																								}
																						}
																					}
																				}
																				{
																					obj_t BgL_ll1920z00_2980;
																					obj_t BgL_ll1919z00_2978;

																					BgL_ll1919z00_2978 =
																						CDR(BgL_ll1919z00_1479);
																					BgL_ll1920z00_2980 =
																						CDR(BgL_ll1920z00_1480);
																					BgL_ll1920z00_1480 =
																						BgL_ll1920z00_2980;
																					BgL_ll1919z00_1479 =
																						BgL_ll1919z00_2978;
																					goto
																						BgL_zc3anonymousza31937ze3z83_1481;
																				}
																			}
																	}
																}
															else
																{	/* Ast/glo_def.scm 121 */
																	((bool_t) 0);
																}
															BGl_removezd2varzd2fromz12z12zzast_removez00
																(BgL_remz00_17,
																((BgL_variablez00_bglt) BgL_globalz00_1473));
															{	/* Ast/glo_def.scm 139 */
																BgL_valuez00_bglt BgL_arg1956z00_1509;

																BgL_arg1956z00_1509 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1473)))->BgL_valuez00);
																{	/* Ast/glo_def.scm 139 */
																	BgL_sfunz00_bglt BgL_oz00_2612;

																	BgL_oz00_2612 =
																		((BgL_sfunz00_bglt) BgL_arg1956z00_1509);
																	((((BgL_sfunz00_bglt) CREF(BgL_oz00_2612))->
																			BgL_bodyz00) =
																		((obj_t) BgL_nodez00_18), BUNSPEC);
																}
															}
															{	/* Ast/glo_def.scm 141 */
																BgL_valuez00_bglt BgL_arg1958z00_1510;

																BgL_arg1958z00_1510 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1473)))->BgL_valuez00);
																{	/* Ast/glo_def.scm 141 */
																	BgL_sfunz00_bglt BgL_oz00_2618;

																	BgL_oz00_2618 =
																		((BgL_sfunz00_bglt) BgL_arg1958z00_1510);
																	((((BgL_sfunz00_bglt) CREF(BgL_oz00_2618))->
																			BgL_argsz00) =
																		((obj_t) BgL_localsz00_13), BUNSPEC);
																}
															}
															{	/* Ast/glo_def.scm 143 */
																BgL_valuez00_bglt BgL_arg1959z00_1511;

																BgL_arg1959z00_1511 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1473)))->BgL_valuez00);
																{	/* Ast/glo_def.scm 143 */
																	BgL_sfunz00_bglt BgL_oz00_2624;

																	BgL_oz00_2624 =
																		((BgL_sfunz00_bglt) BgL_arg1959z00_1511);
																	((((BgL_sfunz00_bglt) CREF(BgL_oz00_2624))->
																			BgL_locz00) =
																		((obj_t) BgL_defzd2loczd2_1474), BUNSPEC);
																}
															}
															BGl_leavezd2functionzd2zztools_errorz00();
														}
													else
														{	/* Ast/glo_def.scm 112 */
															BFALSE;
														}
												}
												return BgL_globalz00_1473;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &def-global-sfun! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2831, obj_t BgL_idz00_2832, obj_t BgL_argsz00_2833,
		obj_t BgL_localsz00_2834, obj_t BgL_modulez00_2835, obj_t BgL_classz00_2836,
		obj_t BgL_srczd2expzd2_2837, obj_t BgL_remz00_2838, obj_t BgL_nodez00_2839)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 80 */
			return
				BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_2832,
				BgL_argsz00_2833, BgL_localsz00_2834, BgL_modulez00_2835,
				BgL_classz00_2836, BgL_srczd2expzd2_2837, BgL_remz00_2838,
				BgL_nodez00_2839);
		}
	}



/* check-sfun-definition */
	BgL_globalz00_bglt
		BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_oldz00_19, obj_t BgL_typezd2reszd2_20, obj_t BgL_argsz00_21,
		obj_t BgL_localsz00_22, obj_t BgL_classz00_23, obj_t BgL_srczd2expzd2_24)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 151 */
			{	/* Ast/glo_def.scm 154 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1518;

				BgL_oldzd2valuezd2_1518 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oldz00_19)))->BgL_valuez00);
				{	/* Ast/glo_def.scm 156 */
					bool_t BgL_testz00_3000;

					{	/* Ast/glo_def.scm 156 */
						bool_t BgL_res2164z00_2631;

						{	/* Ast/glo_def.scm 156 */
							obj_t BgL_objz00_2630;

							BgL_objz00_2630 = ((obj_t) BgL_oldzd2valuezd2_1518);
							BgL_res2164z00_2631 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2630,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_3000 = BgL_res2164z00_2631;
					}
					if (BgL_testz00_3000)
						{	/* Ast/glo_def.scm 156 */
							if (
								((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1518)))->
										BgL_classz00) == BgL_classz00_23))
								{	/* Ast/glo_def.scm 160 */
									bool_t BgL_testz00_3007;

									{	/* Ast/glo_def.scm 160 */
										long BgL_arg1990z00_1542;
										long BgL_arg1991z00_1543;

										BgL_arg1990z00_1542 =
											(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1518))))->
											BgL_arityz00);
										BgL_arg1991z00_1543 =
											BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_21);
										BgL_testz00_3007 =
											(BgL_arg1990z00_1542 == BgL_arg1991z00_1543);
									}
									if (BgL_testz00_3007)
										{	/* Ast/glo_def.scm 162 */
											bool_t BgL_testz00_3013;

											{	/* Ast/glo_def.scm 162 */
												bool_t BgL_arg1987z00_1539;
												BgL_typez00_bglt BgL_arg1988z00_1540;

												BgL_arg1987z00_1539 =
													(CNST_TABLE_REF(((long) 3)) == BgL_classz00_23);
												BgL_arg1988z00_1540 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_oldz00_19)))->
													BgL_typez00);
												BgL_testz00_3013 =
													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
													(BgL_arg1987z00_1539,
													((BgL_typez00_bglt) BgL_typezd2reszd2_20),
													BgL_arg1988z00_1540);
											}
											if (BgL_testz00_3013)
												{	/* Ast/glo_def.scm 162 */
													if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
														(BgL_argsz00_21))
														{	/* Ast/glo_def.scm 168 */
															if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																{	/* Ast/glo_def.scm 171 */
																	bool_t BgL_testz00_3024;

																	{	/* Ast/glo_def.scm 171 */
																		obj_t BgL_arg1975z00_1527;
																		obj_t BgL_arg1976z00_1528;

																		BgL_arg1975z00_1527 =
																			BGl_dssslzd2optionalszd2zztools_dssslz00
																			(BgL_argsz00_21);
																		BgL_arg1976z00_1528 =
																			(((BgL_sfunz00_bglt)
																				CREF(((BgL_sfunz00_bglt)
																						BgL_oldzd2valuezd2_1518)))->
																			BgL_optionalsz00);
																		BgL_testz00_3024 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_arg1975z00_1527,
																			BgL_arg1976z00_1528);
																	}
																	if (BgL_testz00_3024)
																		{	/* Ast/glo_def.scm 171 */
																			((obj_t) BgL_oldz00_19);
																		}
																	else
																		{	/* Ast/glo_def.scm 173 */
																			obj_t BgL_list1973z00_1526;

																			BgL_list1973z00_1526 =
																				MAKE_PAIR
																				(BGl_string2210z00zzast_glozd2defzd2,
																				BNIL);
																			((obj_t)
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																				(BgL_oldz00_19, BgL_srczd2expzd2_24,
																					BgL_list1973z00_1526));
																		}
																}
															else
																{	/* Ast/glo_def.scm 170 */
																	if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																		{	/* Ast/glo_def.scm 177 */
																			bool_t BgL_testz00_3035;

																			{	/* Ast/glo_def.scm 177 */
																				obj_t BgL_arg1980z00_1532;
																				obj_t BgL_arg1981z00_1533;

																				BgL_arg1980z00_1532 =
																					BGl_dssslzd2keyszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_arg1981z00_1533 =
																					(((BgL_sfunz00_bglt)
																						CREF(((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1518)))->
																					BgL_keysz00);
																				BgL_testz00_3035 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1980z00_1532,
																					BgL_arg1981z00_1533);
																			}
																			if (BgL_testz00_3035)
																				{	/* Ast/glo_def.scm 177 */
																					((obj_t) BgL_oldz00_19);
																				}
																			else
																				{	/* Ast/glo_def.scm 179 */
																					obj_t BgL_list1979z00_1531;

																					BgL_list1979z00_1531 =
																						MAKE_PAIR
																						(BGl_string2211z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(BgL_oldz00_19, BgL_srczd2expzd2_24,
																							BgL_list1979z00_1531));
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 182 */
																			bool_t BgL_testz00_3044;

																			{	/* Ast/glo_def.scm 182 */
																				obj_t BgL_arg1984z00_1536;
																				obj_t BgL_arg1985z00_1537;

																				BgL_arg1984z00_1536 =
																					(((BgL_sfunz00_bglt) CREF(
																							((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1518)))->
																					BgL_dssslzd2keywordszd2);
																				BgL_arg1985z00_1537 =
																					BGl_dssslzd2formalszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_testz00_3044 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1984z00_1536,
																					BgL_arg1985z00_1537);
																			}
																			if (BgL_testz00_3044)
																				{	/* Ast/glo_def.scm 182 */
																					BFALSE;
																				}
																			else
																				{	/* Ast/glo_def.scm 184 */
																					obj_t BgL_list1983z00_1535;

																					BgL_list1983z00_1535 =
																						MAKE_PAIR
																						(BGl_string2212z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(BgL_oldz00_19, BgL_srczd2expzd2_24,
																							BgL_list1983z00_1535));
																				}
																		}
																}
														}
													else
														{	/* Ast/glo_def.scm 168 */
															BFALSE;
														}
												}
											else
												{	/* Ast/glo_def.scm 165 */
													obj_t BgL_list1986z00_1538;

													BgL_list1986z00_1538 =
														MAKE_PAIR(BGl_string2213z00zzast_glozd2defzd2,
														BNIL);
													((obj_t)
														BGl_mismatchzd2errorzd2zzast_glozd2defzd2
														(BgL_oldz00_19, BgL_srczd2expzd2_24,
															BgL_list1986z00_1538));
												}
										}
									else
										{	/* Ast/glo_def.scm 161 */
											obj_t BgL_list1989z00_1541;

											BgL_list1989z00_1541 =
												MAKE_PAIR(BGl_string2214z00zzast_glozd2defzd2, BNIL);
											((obj_t)
												BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_19,
													BgL_srczd2expzd2_24, BgL_list1989z00_1541));
										}
								}
							else
								{	/* Ast/glo_def.scm 159 */
									obj_t BgL_list1992z00_1544;

									BgL_list1992z00_1544 =
										MAKE_PAIR(BGl_string2215z00zzast_glozd2defzd2, BNIL);
									((obj_t)
										BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_19,
											BgL_srczd2expzd2_24, BgL_list1992z00_1544));
								}
						}
					else
						{	/* Ast/glo_def.scm 157 */
							obj_t BgL_list1994z00_1546;

							BgL_list1994z00_1546 =
								MAKE_PAIR(BGl_string2216z00zzast_glozd2defzd2, BNIL);
							((obj_t)
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_19,
									BgL_srczd2expzd2_24, BgL_list1994z00_1546));
						}
				}
				{	/* Ast/glo_def.scm 185 */
					obj_t BgL_g1107z00_1547;

					{	/* Ast/glo_def.scm 186 */
						obj_t BgL_l1922z00_1565;

						BgL_l1922z00_1565 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1518)))->BgL_argsz00);
						if (NULLP(BgL_l1922z00_1565))
							{	/* Ast/glo_def.scm 186 */
								BgL_g1107z00_1547 = BNIL;
							}
						else
							{	/* Ast/glo_def.scm 186 */
								obj_t BgL_head1924z00_1567;

								{	/* Ast/glo_def.scm 186 */
									obj_t BgL_res2169z00_2655;

									BgL_res2169z00_2655 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1924z00_1567 = BgL_res2169z00_2655;
								}
								{
									obj_t BgL_l1922z00_1569;
									obj_t BgL_tail1925z00_1570;

									BgL_l1922z00_1569 = BgL_l1922z00_1565;
									BgL_tail1925z00_1570 = BgL_head1924z00_1567;
								BgL_zc3anonymousza32010ze3z83_1571:
									if (NULLP(BgL_l1922z00_1569))
										{	/* Ast/glo_def.scm 186 */
											BgL_g1107z00_1547 = CDR(BgL_head1924z00_1567);
										}
									else
										{	/* Ast/glo_def.scm 186 */
											obj_t BgL_newtail1926z00_1573;

											{	/* Ast/glo_def.scm 186 */
												obj_t BgL_arg2013z00_1575;

												{	/* Ast/glo_def.scm 186 */
													obj_t BgL_az00_1576;

													BgL_az00_1576 = CAR(BgL_l1922z00_1569);
													if (BGl_isazf3zf3zz__objectz00(BgL_az00_1576,
															BGl_localz00zzast_varz00))
														{	/* Ast/glo_def.scm 188 */
															BgL_arg2013z00_1575 =
																((obj_t)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_az00_1576))))->
																	BgL_typez00));
														}
													else
														{	/* Ast/glo_def.scm 188 */
															if (BGl_isazf3zf3zz__objectz00(BgL_az00_1576,
																	BGl_typez00zztype_typez00))
																{	/* Ast/glo_def.scm 190 */
																	BgL_arg2013z00_1575 = BgL_az00_1576;
																}
															else
																{	/* Ast/glo_def.scm 190 */
																	BgL_arg2013z00_1575 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2208z00zzast_glozd2defzd2,
																		BGl_string2209z00zzast_glozd2defzd2,
																		BGl_shapez00zztools_shapez00
																		(BgL_az00_1576));
																}
														}
												}
												{	/* Ast/glo_def.scm 186 */
													obj_t BgL_res2174z00_2669;

													BgL_res2174z00_2669 =
														MAKE_PAIR(BgL_arg2013z00_1575, BNIL);
													BgL_newtail1926z00_1573 = BgL_res2174z00_2669;
												}
											}
											SET_CDR(BgL_tail1925z00_1570, BgL_newtail1926z00_1573);
											{
												obj_t BgL_tail1925z00_3087;
												obj_t BgL_l1922z00_3085;

												BgL_l1922z00_3085 = CDR(BgL_l1922z00_1569);
												BgL_tail1925z00_3087 = BgL_newtail1926z00_1573;
												BgL_tail1925z00_1570 = BgL_tail1925z00_3087;
												BgL_l1922z00_1569 = BgL_l1922z00_3085;
												goto BgL_zc3anonymousza32010ze3z83_1571;
											}
										}
								}
							}
					}
					{
						obj_t BgL_localsz00_1549;
						obj_t BgL_typesz00_1550;

						BgL_localsz00_1549 = BgL_localsz00_22;
						BgL_typesz00_1550 = BgL_g1107z00_1547;
					BgL_zc3anonymousza31995ze3z83_1551:
						if (NULLP(BgL_localsz00_1549))
							{	/* Ast/glo_def.scm 198 */
								if (NULLP(BgL_typesz00_1550))
									{	/* Ast/glo_def.scm 201 */
										((((BgL_globalz00_bglt) CREF(BgL_oldz00_19))->BgL_srcz00) =
											((obj_t) BgL_srczd2expzd2_24), BUNSPEC);
										return BgL_oldz00_19;
									}
								else
									{	/* Ast/glo_def.scm 205 */
										obj_t BgL_list1998z00_1554;

										BgL_list1998z00_1554 =
											MAKE_PAIR(BGl_string2214z00zzast_glozd2defzd2, BNIL);
										return
											BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_19,
											BgL_srczd2expzd2_24, BgL_list1998z00_1554);
									}
							}
						else
							{	/* Ast/glo_def.scm 206 */
								bool_t BgL_testz00_3095;

								if (NULLP(BgL_typesz00_1550))
									{	/* Ast/glo_def.scm 206 */
										BgL_testz00_3095 = ((bool_t) 1);
									}
								else
									{	/* Ast/glo_def.scm 207 */
										bool_t BgL_testz00_3098;

										{	/* Ast/glo_def.scm 208 */
											BgL_typez00_bglt BgL_arg2005z00_1561;
											obj_t BgL_arg2006z00_1562;

											{
												BgL_variablez00_bglt BgL_auxz00_3099;

												{
													BgL_localz00_bglt BgL_auxz00_3100;

													{	/* Ast/glo_def.scm 208 */
														obj_t BgL_pairz00_2682;

														BgL_pairz00_2682 = BgL_localsz00_1549;
														BgL_auxz00_3100 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_2682));
													}
													BgL_auxz00_3099 =
														((BgL_variablez00_bglt) BgL_auxz00_3100);
												}
												BgL_arg2005z00_1561 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3099))->
													BgL_typez00);
											}
											BgL_arg2006z00_1562 = CAR(BgL_typesz00_1550);
											BgL_testz00_3098 =
												BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t)
													0), BgL_arg2005z00_1561,
												((BgL_typez00_bglt) BgL_arg2006z00_1562));
										}
										if (BgL_testz00_3098)
											{	/* Ast/glo_def.scm 207 */
												BgL_testz00_3095 = ((bool_t) 0);
											}
										else
											{	/* Ast/glo_def.scm 207 */
												BgL_testz00_3095 = ((bool_t) 1);
											}
									}
								if (BgL_testz00_3095)
									{	/* Ast/glo_def.scm 210 */
										obj_t BgL_list2000z00_1556;

										BgL_list2000z00_1556 =
											MAKE_PAIR(BGl_string2217z00zzast_glozd2defzd2, BNIL);
										return
											BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_19,
											BgL_srczd2expzd2_24, BgL_list2000z00_1556);
									}
								else
									{
										obj_t BgL_typesz00_3112;
										obj_t BgL_localsz00_3110;

										BgL_localsz00_3110 = CDR(BgL_localsz00_1549);
										BgL_typesz00_3112 = CDR(BgL_typesz00_1550);
										BgL_typesz00_1550 = BgL_typesz00_3112;
										BgL_localsz00_1549 = BgL_localsz00_3110;
										goto BgL_zc3anonymousza31995ze3z83_1551;
									}
							}
					}
				}
			}
		}
	}



/* def-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_idz00_25,
		obj_t BgL_modulez00_26, obj_t BgL_nodez00_27, obj_t BgL_classz00_28,
		obj_t BgL_locz00_29)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 217 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_25);
			{	/* Ast/glo_def.scm 219 */
				obj_t BgL_idzd2typezd2_2689;

				BgL_idzd2typezd2_2689 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_25, BgL_locz00_29);
				{	/* Ast/glo_def.scm 219 */
					obj_t BgL_idzd2idzd2_2690;

					BgL_idzd2idzd2_2690 = CAR(BgL_idzd2typezd2_2689);
					{	/* Ast/glo_def.scm 219 */
						obj_t BgL_oldzd2globalzd2_2691;

						BgL_oldzd2globalzd2_2691 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_2690,
							BgL_modulez00_26);
						{	/* Ast/glo_def.scm 219 */
							BgL_globalz00_bglt BgL_globalz00_2692;

							BgL_globalz00_2692 =
								BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2
								(BgL_idz00_25, BgL_modulez00_26, CNST_TABLE_REF(((long) 2)),
								BgL_nodez00_27, BgL_classz00_28, BgL_locz00_29);
							{	/* Ast/glo_def.scm 219 */

								BGl_removezd2varzd2fromz12z12zzast_removez00(CNST_TABLE_REF((
											(long) 4)), ((BgL_variablez00_bglt) BgL_globalz00_2692));
								BGl_leavezd2functionzd2zztools_errorz00();
								return BgL_globalz00_2692;
							}
						}
					}
				}
			}
		}
	}



/* &def-global-scnst! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2840, obj_t BgL_idz00_2841, obj_t BgL_modulez00_2842,
		obj_t BgL_nodez00_2843, obj_t BgL_classz00_2844, obj_t BgL_locz00_2845)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 217 */
			return
				BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_idz00_2841,
				BgL_modulez00_2842, BgL_nodez00_2843, BgL_classz00_2844,
				BgL_locz00_2845);
		}
	}



/* def-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_idz00_30,
		obj_t BgL_modulez00_31, obj_t BgL_srczd2expzd2_32, obj_t BgL_remz00_33)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 237 */
			{	/* Ast/glo_def.scm 238 */
				obj_t BgL_locz00_1585;

				BgL_locz00_1585 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_32);
				{	/* Ast/glo_def.scm 238 */
					obj_t BgL_idzd2typezd2_1586;

					BgL_idzd2typezd2_1586 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_30, BgL_locz00_1585);
					{	/* Ast/glo_def.scm 239 */
						obj_t BgL_idzd2idzd2_1587;

						BgL_idzd2idzd2_1587 = CAR(BgL_idzd2typezd2_1586);
						{	/* Ast/glo_def.scm 240 */
							obj_t BgL_oldzd2globalzd2_1588;

							BgL_oldzd2globalzd2_1588 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_1587,
								BgL_modulez00_31);
							{	/* Ast/glo_def.scm 241 */
								obj_t BgL_importz00_1589;

								{	/* Ast/glo_def.scm 242 */
									bool_t BgL_testz00_3129;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 3)))
										{	/* Ast/glo_def.scm 243 */
											obj_t BgL_arg2028z00_1604;

											{	/* Ast/glo_def.scm 243 */
												obj_t BgL_arg2029z00_1605;

												BgL_arg2029z00_1605 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg2028z00_1604 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg2029z00_1605)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_3129 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg2028z00_1604));
										}
									else
										{	/* Ast/glo_def.scm 242 */
											BgL_testz00_3129 = ((bool_t) 0);
										}
									if (BgL_testz00_3129)
										{	/* Ast/glo_def.scm 242 */
											BgL_importz00_1589 = CNST_TABLE_REF(((long) 1));
										}
									else
										{	/* Ast/glo_def.scm 242 */
											BgL_importz00_1589 = CNST_TABLE_REF(((long) 2));
								}}
								{	/* Ast/glo_def.scm 242 */
									obj_t BgL_typez00_1590;

									{	/* Ast/glo_def.scm 246 */
										obj_t BgL_typez00_1597;

										BgL_typez00_1597 = CDR(BgL_idzd2typezd2_1586);
										if (
											((((BgL_typez00_bglt) CREF(
															((BgL_typez00_bglt) BgL_typez00_1597)))->
													BgL_classz00) == CNST_TABLE_REF(((long) 5))))
											{	/* Ast/glo_def.scm 249 */
												BgL_typez00_1590 = BgL_typez00_1597;
											}
										else
											{	/* Ast/glo_def.scm 249 */
												BgL_typez00_1590 =
													BGl_userzd2errorzd2zztools_errorz00
													(BgL_idzd2idzd2_1587,
													BGl_string2218z00zzast_glozd2defzd2,
													BGl_shapez00zztools_shapez00(BgL_typez00_1597), BNIL);
											}
									}
									{	/* Ast/glo_def.scm 246 */
										BgL_globalz00_bglt BgL_globalz00_1591;

										if (BGl_isazf3zf3zz__objectz00(BgL_oldzd2globalzd2_1588,
												BGl_globalz00zzast_varz00))
											{	/* Ast/glo_def.scm 255 */
												BgL_globalz00_1591 =
													BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(
													((BgL_globalz00_bglt) BgL_oldzd2globalzd2_1588),
													BgL_typez00_1590, BgL_srczd2expzd2_32);
											}
										else
											{	/* Ast/glo_def.scm 255 */
												BgL_globalz00_1591 =
													BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
													(BgL_idz00_30, BgL_modulez00_31, BgL_importz00_1589,
													BgL_srczd2expzd2_32, BFALSE);
											}
										{	/* Ast/glo_def.scm 254 */
											obj_t BgL_defzd2loczd2_1592;

											BgL_defzd2loczd2_1592 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_32);
											{	/* Ast/glo_def.scm 265 */

												{	/* Ast/glo_def.scm 267 */
													BgL_variablez00_bglt BgL_varz00_2706;
													BgL_typez00_bglt BgL_newzd2typezd2_2707;

													BgL_varz00_2706 =
														((BgL_variablez00_bglt) BgL_globalz00_1591);
													BgL_newzd2typezd2_2707 =
														((BgL_typez00_bglt) BgL_typez00_1590);
													{	/* Ast/glo_def.scm 267 */
														BgL_typez00_bglt BgL_oldzd2typezd2_2708;

														BgL_oldzd2typezd2_2708 =
															(((BgL_variablez00_bglt) CREF(BgL_varz00_2706))->
															BgL_typez00);
														if ((((obj_t) BgL_oldzd2typezd2_2708) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Ast/glo_def.scm 267 */
																((((BgL_variablez00_bglt)
																			CREF(BgL_varz00_2706))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_newzd2typezd2_2707),
																	BUNSPEC);
															}
														else
															{	/* Ast/glo_def.scm 267 */
																BFALSE;
															}
													}
												}
												{	/* Ast/glo_def.scm 269 */
													bool_t BgL_testz00_3162;

													{	/* Ast/glo_def.scm 269 */
														BgL_valuez00_bglt BgL_arg2019z00_1595;

														BgL_arg2019z00_1595 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1591)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 269 */
															bool_t BgL_res2184z00_2720;

															{	/* Ast/glo_def.scm 269 */
																obj_t BgL_objz00_2719;

																BgL_objz00_2719 = ((obj_t) BgL_arg2019z00_1595);
																BgL_res2184z00_2720 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_2719,
																	BGl_svarz00zzast_varz00);
															}
															BgL_testz00_3162 = BgL_res2184z00_2720;
														}
													}
													if (BgL_testz00_3162)
														{	/* Ast/glo_def.scm 271 */
															BgL_valuez00_bglt BgL_arg2018z00_1594;

															BgL_arg2018z00_1594 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_1591)))->BgL_valuez00);
															{	/* Ast/glo_def.scm 271 */
																BgL_svarz00_bglt BgL_oz00_2724;

																BgL_oz00_2724 =
																	((BgL_svarz00_bglt) BgL_arg2018z00_1594);
																((((BgL_svarz00_bglt) CREF(BgL_oz00_2724))->
																		BgL_locz00) =
																	((obj_t) BgL_defzd2loczd2_1592), BUNSPEC);
															}
														}
													else
														{	/* Ast/glo_def.scm 269 */
															BFALSE;
														}
												}
												BGl_removezd2varzd2fromz12z12zzast_removez00
													(BgL_remz00_33,
													((BgL_variablez00_bglt) BgL_globalz00_1591));
												return BgL_globalz00_1591;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &def-global-svar! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2846, obj_t BgL_idz00_2847, obj_t BgL_modulez00_2848,
		obj_t BgL_srczd2expzd2_2849, obj_t BgL_remz00_2850)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 237 */
			return
				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_2847,
				BgL_modulez00_2848, BgL_srczd2expzd2_2849, BgL_remz00_2850);
		}
	}



/* check-svar-definition */
	BgL_globalz00_bglt
		BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_oldz00_34, obj_t BgL_typez00_35, obj_t BgL_srczd2expzd2_36)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 279 */
			{	/* Ast/glo_def.scm 280 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1606;

				BgL_oldzd2valuezd2_1606 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oldz00_34)))->BgL_valuez00);
				{	/* Ast/glo_def.scm 282 */
					bool_t BgL_testz00_3176;

					{	/* Ast/glo_def.scm 282 */
						bool_t BgL_res2187z00_2731;

						{	/* Ast/glo_def.scm 282 */
							obj_t BgL_objz00_2730;

							BgL_objz00_2730 = ((obj_t) BgL_oldzd2valuezd2_1606);
							BgL_res2187z00_2731 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2730,
								BGl_svarz00zzast_varz00);
						}
						BgL_testz00_3176 = BgL_res2187z00_2731;
					}
					if (BgL_testz00_3176)
						{	/* Ast/glo_def.scm 284 */
							bool_t BgL_testz00_3179;

							{	/* Ast/glo_def.scm 284 */
								BgL_typez00_bglt BgL_arg2033z00_1610;

								BgL_arg2033z00_1610 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_oldz00_34)))->BgL_typez00);
								BgL_testz00_3179 =
									BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t) 0),
									((BgL_typez00_bglt) BgL_typez00_35), BgL_arg2033z00_1610);
							}
							if (BgL_testz00_3179)
								{	/* Ast/glo_def.scm 284 */
									return BgL_oldz00_34;
								}
							else
								{	/* Ast/glo_def.scm 285 */
									obj_t BgL_list2032z00_1609;

									BgL_list2032z00_1609 =
										MAKE_PAIR(BGl_string2219z00zzast_glozd2defzd2, BNIL);
									return
										BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_34,
										BgL_srczd2expzd2_36, BgL_list2032z00_1609);
								}
						}
					else
						{	/* Ast/glo_def.scm 283 */
							obj_t BgL_list2034z00_1611;

							BgL_list2034z00_1611 =
								MAKE_PAIR(BGl_string2220z00zzast_glozd2defzd2, BNIL);
							return
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_oldz00_34,
								BgL_srczd2expzd2_36, BgL_list2034z00_1611);
						}
				}
			}
		}
	}



/* compatible-type? */
	bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t BgL_subzf3zf3_37,
		BgL_typez00_bglt BgL_newz00_38, BgL_typez00_bglt BgL_oldz00_39)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 292 */
			{	/* Ast/glo_def.scm 293 */
				bool_t BgL__ortest_1108z00_1612;

				BgL__ortest_1108z00_1612 =
					(((obj_t) BgL_newz00_38) == BGl_za2_za2z00zztype_cachez00);
				if (BgL__ortest_1108z00_1612)
					{	/* Ast/glo_def.scm 293 */
						return BgL__ortest_1108z00_1612;
					}
				else
					{	/* Ast/glo_def.scm 294 */
						bool_t BgL__ortest_1109z00_1613;

						BgL__ortest_1109z00_1613 =
							(((obj_t) BgL_oldz00_39) == ((obj_t) BgL_newz00_38));
						if (BgL__ortest_1109z00_1613)
							{	/* Ast/glo_def.scm 294 */
								return BgL__ortest_1109z00_1613;
							}
						else
							{	/* Ast/glo_def.scm 294 */
								if (BgL_subzf3zf3_37)
									{	/* Ast/glo_def.scm 296 */
										bool_t BgL__ortest_1111z00_1615;

										BgL__ortest_1111z00_1615 =
											BGl_typezd2subclasszf3z21zzobject_classz00(BgL_newz00_38,
											BgL_oldz00_39);
										if (BgL__ortest_1111z00_1615)
											{	/* Ast/glo_def.scm 296 */
												return BgL__ortest_1111z00_1615;
											}
										else
											{	/* Ast/glo_def.scm 297 */
												bool_t BgL_testz00_3198;

												{	/* Ast/glo_def.scm 297 */
													bool_t BgL_res2189z00_2736;

													{	/* Ast/glo_def.scm 297 */
														obj_t BgL_objz00_2735;

														BgL_objz00_2735 = ((obj_t) BgL_newz00_38);
														BgL_res2189z00_2736 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_2735,
															BGl_tclassz00zzobject_classz00);
													}
													BgL_testz00_3198 = BgL_res2189z00_2736;
												}
												if (BgL_testz00_3198)
													{	/* Ast/glo_def.scm 297 */
														return
															(
															((obj_t) BgL_oldz00_39) ==
															BGl_za2objza2z00zztype_cachez00);
													}
												else
													{	/* Ast/glo_def.scm 297 */
														return ((bool_t) 0);
													}
											}
									}
								else
									{	/* Ast/glo_def.scm 295 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}
	}



/* mismatch-error */
	BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_globalz00_40, obj_t BgL_srczd2expzd2_41, obj_t BgL_addzd2msgzd2_42)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 302 */
			{	/* Ast/glo_def.scm 304 */
				obj_t BgL_arg2035z00_1618;
				obj_t BgL_arg2037z00_1619;

				if (PAIRP(BgL_addzd2msgzd2_42))
					{	/* Ast/glo_def.scm 304 */
						BgL_arg2035z00_1618 =
							string_append_3(BGl_string2221z00zzast_glozd2defzd2,
							BGl_string2222z00zzast_glozd2defzd2, CAR(BgL_addzd2msgzd2_42));
					}
				else
					{	/* Ast/glo_def.scm 304 */
						BgL_arg2035z00_1618 = BGl_string2221z00zzast_glozd2defzd2;
					}
				BgL_arg2037z00_1619 =
					BGl_shapez00zztools_shapez00(
					(((BgL_globalz00_bglt) CREF(BgL_globalz00_40))->BgL_srcz00));
				{	/* Ast/glo_def.scm 304 */
					obj_t BgL_list2038z00_1620;

					BgL_list2038z00_1620 = MAKE_PAIR(((obj_t) BgL_globalz00_40), BNIL);
					return
						((BgL_globalz00_bglt)
						BGl_userzd2errorzd2zztools_errorz00(BgL_arg2035z00_1618,
							BgL_arg2037z00_1619, BgL_srczd2expzd2_41, BgL_list2038z00_1620));
				}
			}
		}
	}



/* check-method-definition */
	BGL_EXPORTED_DEF bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_idz00_45,
		obj_t BgL_argsz00_46, obj_t BgL_localsz00_47, obj_t BgL_srcz00_48)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 322 */
			{	/* Ast/glo_def.scm 323 */
				obj_t BgL_locz00_1626;

				BgL_locz00_1626 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_48);
				{	/* Ast/glo_def.scm 323 */
					BgL_typez00_bglt BgL_typezd2reszd2_1627;

					BgL_typezd2reszd2_1627 =
						BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1626);
					{	/* Ast/glo_def.scm 324 */
						obj_t BgL_methodzd2idzd2_1628;

						BgL_methodzd2idzd2_1628 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1626);
						{	/* Ast/glo_def.scm 325 */
							obj_t BgL_genericz00_1629;

							BgL_genericz00_1629 =
								BGl_findzd2globalzd2zzast_envz00(BgL_idz00_45, BNIL);
							{	/* Ast/glo_def.scm 326 */

								if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1629,
										BGl_globalz00zzast_varz00))
									{	/* Ast/glo_def.scm 331 */
										BgL_valuez00_bglt BgL_genericzd2valuezd2_1631;

										BgL_genericzd2valuezd2_1631 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_genericz00_1629))))->
											BgL_valuez00);
										{	/* Ast/glo_def.scm 333 */
											bool_t BgL_testz00_3222;

											{	/* Ast/glo_def.scm 333 */
												bool_t BgL_res2194z00_2756;

												{	/* Ast/glo_def.scm 333 */
													obj_t BgL_objz00_2755;

													BgL_objz00_2755 =
														((obj_t) BgL_genericzd2valuezd2_1631);
													BgL_res2194z00_2756 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2755,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_3222 = BgL_res2194z00_2756;
											}
											if (BgL_testz00_3222)
												{	/* Ast/glo_def.scm 333 */
													if (
														((((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			BgL_genericzd2valuezd2_1631)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 3))))
														{	/* Ast/glo_def.scm 339 */
															bool_t BgL_testz00_3230;

															{	/* Ast/glo_def.scm 339 */
																long BgL_arg2070z00_1673;
																long BgL_arg2072z00_1674;

																BgL_arg2070z00_1673 =
																	(((BgL_funz00_bglt) CREF(
																			((BgL_funz00_bglt)
																				((BgL_sfunz00_bglt)
																					BgL_genericzd2valuezd2_1631))))->
																	BgL_arityz00);
																BgL_arg2072z00_1674 =
																	BGl_globalzd2arityzd2zztools_argsz00
																	(BgL_argsz00_46);
																BgL_testz00_3230 =
																	(BgL_arg2070z00_1673 == BgL_arg2072z00_1674);
															}
															if (BgL_testz00_3230)
																{	/* Ast/glo_def.scm 342 */
																	bool_t BgL_testz00_3236;

																	{	/* Ast/glo_def.scm 342 */
																		BgL_typez00_bglt BgL_arg2068z00_1671;

																		BgL_arg2068z00_1671 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_genericz00_1629))))->
																			BgL_typez00);
																		BgL_testz00_3236 =
																			BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																			(((bool_t) 1), BgL_typezd2reszd2_1627,
																			BgL_arg2068z00_1671);
																	}
																	if (BgL_testz00_3236)
																		{	/* Ast/glo_def.scm 347 */
																			obj_t BgL__ortest_1113z00_1636;

																			{	/* Ast/glo_def.scm 347 */
																				obj_t BgL_g1114z00_1637;

																				{	/* Ast/glo_def.scm 348 */
																					obj_t BgL_l1927z00_1654;

																					BgL_l1927z00_1654 =
																						(((BgL_sfunz00_bglt) CREF(
																								((BgL_sfunz00_bglt)
																									BgL_genericzd2valuezd2_1631)))->
																						BgL_argsz00);
																					if (NULLP(BgL_l1927z00_1654))
																						{	/* Ast/glo_def.scm 348 */
																							BgL_g1114z00_1637 = BNIL;
																						}
																					else
																						{	/* Ast/glo_def.scm 348 */
																							obj_t BgL_head1929z00_1656;

																							{	/* Ast/glo_def.scm 348 */
																								obj_t BgL_res2199z00_2774;

																								BgL_res2199z00_2774 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head1929z00_1656 =
																									BgL_res2199z00_2774;
																							}
																							{
																								obj_t BgL_l1927z00_1658;
																								obj_t BgL_tail1930z00_1659;

																								BgL_l1927z00_1658 =
																									BgL_l1927z00_1654;
																								BgL_tail1930z00_1659 =
																									BgL_head1929z00_1656;
																							BgL_zc3anonymousza32060ze3z83_1660:
																								if (NULLP
																									(BgL_l1927z00_1658))
																									{	/* Ast/glo_def.scm 348 */
																										BgL_g1114z00_1637 =
																											CDR(BgL_head1929z00_1656);
																									}
																								else
																									{	/* Ast/glo_def.scm 348 */
																										obj_t
																											BgL_newtail1931z00_1662;
																										{	/* Ast/glo_def.scm 348 */
																											obj_t BgL_arg2063z00_1664;

																											{	/* Ast/glo_def.scm 348 */
																												obj_t BgL_az00_1665;

																												BgL_az00_1665 =
																													CAR
																													(BgL_l1927z00_1658);
																												if (BGl_isazf3zf3zz__objectz00(BgL_az00_1665, BGl_localz00zzast_varz00))
																													{	/* Ast/glo_def.scm 350 */
																														BgL_arg2063z00_1664
																															=
																															((obj_t) ((
																																	(BgL_variablez00_bglt)
																																	CREF((
																																			(BgL_variablez00_bglt)
																																			((BgL_localz00_bglt) BgL_az00_1665))))->BgL_typez00));
																													}
																												else
																													{	/* Ast/glo_def.scm 350 */
																														if (BGl_isazf3zf3zz__objectz00(BgL_az00_1665, BGl_typez00zztype_typez00))
																															{	/* Ast/glo_def.scm 352 */
																																BgL_arg2063z00_1664
																																	=
																																	BgL_az00_1665;
																															}
																														else
																															{	/* Ast/glo_def.scm 352 */
																																BgL_arg2063z00_1664
																																	=
																																	BGl_internalzd2errorzd2zztools_errorz00
																																	(BGl_string2208z00zzast_glozd2defzd2,
																																	BGl_string2209z00zzast_glozd2defzd2,
																																	BGl_shapez00zztools_shapez00
																																	(BgL_az00_1665));
																															}
																													}
																											}
																											{	/* Ast/glo_def.scm 348 */
																												obj_t
																													BgL_res2204z00_2788;
																												BgL_res2204z00_2788 =
																													MAKE_PAIR
																													(BgL_arg2063z00_1664,
																													BNIL);
																												BgL_newtail1931z00_1662
																													= BgL_res2204z00_2788;
																											}
																										}
																										SET_CDR
																											(BgL_tail1930z00_1659,
																											BgL_newtail1931z00_1662);
																										{
																											obj_t
																												BgL_tail1930z00_3264;
																											obj_t BgL_l1927z00_3262;

																											BgL_l1927z00_3262 =
																												CDR(BgL_l1927z00_1658);
																											BgL_tail1930z00_3264 =
																												BgL_newtail1931z00_1662;
																											BgL_tail1930z00_1659 =
																												BgL_tail1930z00_3264;
																											BgL_l1927z00_1658 =
																												BgL_l1927z00_3262;
																											goto
																												BgL_zc3anonymousza32060ze3z83_1660;
																										}
																									}
																							}
																						}
																				}
																				{
																					obj_t BgL_localsz00_1639;
																					obj_t BgL_typesz00_1640;
																					bool_t BgL_subzf3zf3_1641;

																					BgL_localsz00_1639 = BgL_localsz00_47;
																					BgL_typesz00_1640 = BgL_g1114z00_1637;
																					BgL_subzf3zf3_1641 = ((bool_t) 1);
																				BgL_zc3anonymousza32048ze3z83_1642:
																					if (NULLP(BgL_localsz00_1639))
																						{	/* Ast/glo_def.scm 362 */
																							BgL__ortest_1113z00_1636 = BTRUE;
																						}
																					else
																						{	/* Ast/glo_def.scm 362 */
																							if (NULLP(BgL_typesz00_1640))
																								{	/* Ast/glo_def.scm 365 */
																									obj_t BgL_list2051z00_1645;

																									BgL_list2051z00_1645 =
																										MAKE_PAIR
																										(BGl_string2217z00zzast_glozd2defzd2,
																										BNIL);
																									BgL__ortest_1113z00_1636 =
																										((obj_t)
																										BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																										(((BgL_globalz00_bglt)
																												BgL_genericz00_1629),
																											BgL_srcz00_48,
																											BgL_list2051z00_1645));
																								}
																							else
																								{	/* Ast/glo_def.scm 368 */
																									bool_t BgL_testz00_3273;

																									{	/* Ast/glo_def.scm 369 */
																										BgL_typez00_bglt
																											BgL_arg2056z00_1650;
																										obj_t BgL_arg2057z00_1651;

																										{
																											BgL_variablez00_bglt
																												BgL_auxz00_3274;
																											{
																												BgL_localz00_bglt
																													BgL_auxz00_3275;
																												{	/* Ast/glo_def.scm 369 */
																													obj_t
																														BgL_pairz00_2796;
																													BgL_pairz00_2796 =
																														BgL_localsz00_1639;
																													BgL_auxz00_3275 =
																														((BgL_localz00_bglt)
																														CAR
																														(BgL_pairz00_2796));
																												}
																												BgL_auxz00_3274 =
																													(
																													(BgL_variablez00_bglt)
																													BgL_auxz00_3275);
																											}
																											BgL_arg2056z00_1650 =
																												(((BgL_variablez00_bglt)
																													CREF
																													(BgL_auxz00_3274))->
																												BgL_typez00);
																										}
																										BgL_arg2057z00_1651 =
																											CAR(BgL_typesz00_1640);
																										BgL_testz00_3273 =
																											BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																											(BgL_subzf3zf3_1641,
																											BgL_arg2056z00_1650,
																											((BgL_typez00_bglt)
																												BgL_arg2057z00_1651));
																									}
																									if (BgL_testz00_3273)
																										{
																											bool_t BgL_subzf3zf3_3287;
																											obj_t BgL_typesz00_3285;
																											obj_t BgL_localsz00_3283;

																											BgL_localsz00_3283 =
																												CDR(BgL_localsz00_1639);
																											BgL_typesz00_3285 =
																												CDR(BgL_typesz00_1640);
																											BgL_subzf3zf3_3287 =
																												((bool_t) 0);
																											BgL_subzf3zf3_1641 =
																												BgL_subzf3zf3_3287;
																											BgL_typesz00_1640 =
																												BgL_typesz00_3285;
																											BgL_localsz00_1639 =
																												BgL_localsz00_3283;
																											goto
																												BgL_zc3anonymousza32048ze3z83_1642;
																										}
																									else
																										{	/* Ast/glo_def.scm 368 */
																											{	/* Ast/glo_def.scm 371 */
																												obj_t
																													BgL_list2055z00_1649;
																												BgL_list2055z00_1649 =
																													MAKE_PAIR
																													(BGl_string2217z00zzast_glozd2defzd2,
																													BNIL);
																												BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																													(((BgL_globalz00_bglt)
																														BgL_genericz00_1629),
																													BgL_srcz00_48,
																													BgL_list2055z00_1649);
																											}
																											BgL__ortest_1113z00_1636 =
																												BFALSE;
																										}
																								}
																						}
																				}
																			}
																			if (CBOOL(BgL__ortest_1113z00_1636))
																				{	/* Ast/glo_def.scm 347 */
																					return
																						CBOOL(BgL__ortest_1113z00_1636);
																				}
																			else
																				{	/* Ast/glo_def.scm 347 */
																					return ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 342 */
																			{	/* Ast/glo_def.scm 343 */
																				obj_t BgL_list2067z00_1670;

																				BgL_list2067z00_1670 =
																					MAKE_PAIR
																					(BGl_string2213z00zzast_glozd2defzd2,
																					BNIL);
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt)
																						BgL_genericz00_1629), BgL_srcz00_48,
																					BgL_list2067z00_1670);
																			}
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Ast/glo_def.scm 339 */
																	{	/* Ast/glo_def.scm 340 */
																		obj_t BgL_list2069z00_1672;

																		BgL_list2069z00_1672 =
																			MAKE_PAIR
																			(BGl_string2214z00zzast_glozd2defzd2,
																			BNIL);
																		BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																				(BgL_globalz00_bglt)
																				BgL_genericz00_1629), BgL_srcz00_48,
																			BgL_list2069z00_1672);
																	}
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ast/glo_def.scm 336 */
															{	/* Ast/glo_def.scm 337 */
																obj_t BgL_list2073z00_1675;

																BgL_list2073z00_1675 =
																	MAKE_PAIR(BGl_string2223z00zzast_glozd2defzd2,
																	BNIL);
																BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																		(BgL_globalz00_bglt) BgL_genericz00_1629),
																	BgL_srcz00_48, BgL_list2073z00_1675);
															}
															return ((bool_t) 0);
														}
												}
											else
												{	/* Ast/glo_def.scm 333 */
													{	/* Ast/glo_def.scm 334 */
														obj_t BgL_list2075z00_1677;

														BgL_list2075z00_1677 =
															MAKE_PAIR(BGl_string2223z00zzast_glozd2defzd2,
															BNIL);
														BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																(BgL_globalz00_bglt) BgL_genericz00_1629),
															BgL_srcz00_48, BgL_list2075z00_1677);
													}
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* Ast/glo_def.scm 327 */
										return ((bool_t) 1);
									}
							}
						}
					}
				}
			}
		}
	}



/* &check-method-definition */
	obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t
		BgL_envz00_2851, obj_t BgL_idz00_2852, obj_t BgL_argsz00_2853,
		obj_t BgL_localsz00_2854, obj_t BgL_srcz00_2855)
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 322 */
			return
				BBOOL(BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
				(BgL_idz00_2852, BgL_argsz00_2853, BgL_localsz00_2854,
					BgL_srcz00_2855));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2()
	{
		AN_OBJECT;
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 501080190),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2224z00zzast_glozd2defzd2));
		}
	}

#ifdef __cplusplus
}
#endif
