/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly2722za2zzcfa_arithmeticz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit2702z70zzcfa_arithmeticz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re2718za2zzcfa_arithmeticz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2fail2704z70zzcfa_arithmeticz00(obj_t,
		BgL_failz00_bglt);
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2730z70zzcfa_arithmeticz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal2724z70zzcfa_arithmeticz00(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen2698z70zzcfa_arithmeticz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select2706z70zzcfa_arithmeticz00(obj_t,
		BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit2728za2zzcfa_arithmeticz00(obj_t,
		BgL_appz00_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex2712za2zzcfa_arithmeticz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app2726z70zzcfa_arithmeticz00(obj_t,
		BgL_appz00_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se2720za2zzcfa_arithmeticz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez122695za2zzcfa_arithmeticz00(obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b2716za2zzcfa_arithmeticz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2714za2zzcfa_arithmeticz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2setq2700z70zzcfa_arithmeticz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu2708za2zzcfa_arithmeticz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va2710za2zzcfa_arithmeticz00(obj_t,
		BgL_letzd2varzd2_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3162z00,
		BGl_z62cleanupzd2nodez122695za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3163z00,
		BGl_z62cleanupzd2nodez12zd2sequen2698z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3164z00,
		BGl_z62cleanupzd2nodez12zd2setq2700z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3165z00,
		BGl_z62cleanupzd2nodez12zd2condit2702z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3166z00,
		BGl_z62cleanupzd2nodez12zd2fail2704z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3167z00,
		BGl_z62cleanupzd2nodez12zd2select2706z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3168z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu2708za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3169z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va2710za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3170z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex2712za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3171z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2714za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3172z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b2716za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3173z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re2718za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3174z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se2720za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3175z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly2722za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3176z00,
		BGl_z62cleanupzd2nodez12zd2funcal2724z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3177z00,
		BGl_z62cleanupzd2nodez12zd2app2726z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza73178za7,
		BGl_z62nodezd2setupz12zd2prezd2arit2728za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit3179za7,
		BGl_z62cfaz12zd2arithmeticzd2app2730z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3180z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string3136z00zzcfa_arithmeticz00,
		BgL_bgl_string3136za700za7za7c3181za7, "cleanup-node!2695", 17);
	      DEFINE_STRING(BGl_string3138z00zzcfa_arithmeticz00,
		BgL_bgl_string3138za700za7za7c3182za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string3154z00zzcfa_arithmeticz00,
		BgL_bgl_string3154za700za7za7c3183za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3156z00zzcfa_arithmeticz00,
		BgL_bgl_string3156za700za7za7c3184za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3157z00zzcfa_arithmeticz00,
		BgL_bgl_string3157za700za7za7c3185za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string3158z00zzcfa_arithmeticz00,
		BgL_bgl_string3158za700za7za7c3186za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string3159z00zzcfa_arithmeticz00,
		BgL_bgl_string3159za700za7za7c3187za7, "all c-eq? arithmetic-app ", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari3188z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_4888, char *BgL_fromz00_4889)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_4879;

				BgL_cportz00_4879 =
					bgl_open_input_string(BGl_string3159z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4880;

					BgL_iz00_4880 = ((long) 2);
				BgL_loopz00_4881:
					if ((BgL_iz00_4880 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg3161z00_4883;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_4885;

										BgL_locationz00_4885 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg3161z00_4883 =
												BGl_readz00zz__readerz00(BgL_cportz00_4879,
												BgL_locationz00_4885);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_4911;

									BgL_auxz00_4911 = (int) (BgL_iz00_4880);
									CNST_TABLE_SET(BgL_auxz00_4911, BgL_arg3161z00_4883);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_4886;

								BgL_auxz00_4886 = (int) ((BgL_iz00_4880 - ((long) 1)));
								{
									long BgL_iz00_4916;

									BgL_iz00_4916 = (long) (BgL_auxz00_4886);
									BgL_iz00_4880 = BgL_iz00_4916;
									goto BgL_loopz00_4881;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l2659z00_2493;

				BgL_l2659z00_2493 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza32734ze3z83_2494:
				if (PAIRP(BgL_l2659z00_2493))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2496;

							BgL_nodez00_2496 = CAR(BgL_l2659z00_2493);
							{	/* Cfa/arithmetic.scm 64 */
								BgL_appz00_bglt BgL_i1149z00_2497;

								BgL_i1149z00_2497 = ((BgL_appz00_bglt) BgL_nodez00_2496);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_variablez00_bglt BgL_fz00_2498;

									BgL_fz00_2498 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1149z00_2497)))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Cfa/arithmetic.scm 65 */
										BgL_valuez00_bglt BgL_valz00_2499;

										BgL_valz00_2499 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_2498))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 66 */

											{	/* Cfa/arithmetic.scm 68 */
												bool_t BgL_testz00_4926;

												{	/* Cfa/arithmetic.scm 68 */
													BgL_typez00_bglt BgL_arg2737z00_2501;

													BgL_arg2737z00_2501 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_2498))->
														BgL_typez00);
													BgL_testz00_4926 =
														(((obj_t) BgL_arg2737z00_2501) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_4926)
													{	/* Cfa/arithmetic.scm 69 */
														BgL_typez00_bglt BgL_vz00_4520;

														BgL_vz00_4520 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt) CREF(BgL_fz00_2498))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4520), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 68 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 70 */
												bool_t BgL_testz00_4932;

												{	/* Cfa/arithmetic.scm 70 */
													BgL_typez00_bglt BgL_arg2739z00_2503;

													BgL_arg2739z00_2503 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_2496)))->
														BgL_typez00);
													BgL_testz00_4932 =
														(((obj_t) BgL_arg2739z00_2503) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_4932)
													{	/* Cfa/arithmetic.scm 71 */
														BgL_nodez00_bglt BgL_oz00_4525;
														BgL_typez00_bglt BgL_vz00_4526;

														BgL_oz00_4525 =
															((BgL_nodez00_bglt) BgL_nodez00_2496);
														BgL_vz00_4526 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_4525))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4526), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 70 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_testz00_4940;

												{	/* Cfa/arithmetic.scm 73 */
													bool_t BgL_res3073z00_4529;

													{	/* Cfa/arithmetic.scm 73 */
														obj_t BgL_objz00_4528;

														BgL_objz00_4528 = ((obj_t) BgL_valz00_2499);
														BgL_res3073z00_4529 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_4528,
															BGl_sfunz00zzast_varz00);
													}
													BgL_testz00_4940 = BgL_res3073z00_4529;
												}
												if (BgL_testz00_4940)
													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_arg2741z00_2505;

														{	/* Cfa/arithmetic.scm 74 */
															obj_t BgL_l2653z00_2506;

															BgL_l2653z00_2506 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt) BgL_valz00_2499)))->
																BgL_argsz00);
															if (NULLP(BgL_l2653z00_2506))
																{	/* Cfa/arithmetic.scm 74 */
																	BgL_arg2741z00_2505 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_head2655z00_2508;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg2748z00_2520;

																		BgL_arg2748z00_2520 =
																			BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2653z00_2506));
																		{	/* Cfa/arithmetic.scm 74 */
																			obj_t BgL_res3075z00_4537;

																			BgL_res3075z00_4537 =
																				MAKE_PAIR(BgL_arg2748z00_2520, BNIL);
																			BgL_head2655z00_2508 =
																				BgL_res3075z00_4537;
																		}
																	}
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_g2658z00_2509;

																		BgL_g2658z00_2509 = CDR(BgL_l2653z00_2506);
																		{
																			obj_t BgL_l2653z00_2511;
																			obj_t BgL_tail2656z00_2512;

																			BgL_l2653z00_2511 = BgL_g2658z00_2509;
																			BgL_tail2656z00_2512 =
																				BgL_head2655z00_2508;
																		BgL_zc3anonymousza32743ze3z83_2513:
																			if (NULLP(BgL_l2653z00_2511))
																				{	/* Cfa/arithmetic.scm 74 */
																					BgL_arg2741z00_2505 =
																						BgL_head2655z00_2508;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_newtail2657z00_2515;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg2746z00_2517;

																						BgL_arg2746z00_2517 =
																							BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																							(CAR(BgL_l2653z00_2511));
																						{	/* Cfa/arithmetic.scm 74 */
																							obj_t BgL_res3077z00_4544;

																							BgL_res3077z00_4544 =
																								MAKE_PAIR(BgL_arg2746z00_2517,
																								BNIL);
																							BgL_newtail2657z00_2515 =
																								BgL_res3077z00_4544;
																						}
																					}
																					SET_CDR(BgL_tail2656z00_2512,
																						BgL_newtail2657z00_2515);
																					{
																						obj_t BgL_tail2656z00_4959;
																						obj_t BgL_l2653z00_4957;

																						BgL_l2653z00_4957 =
																							CDR(BgL_l2653z00_2511);
																						BgL_tail2656z00_4959 =
																							BgL_newtail2657z00_2515;
																						BgL_tail2656z00_2512 =
																							BgL_tail2656z00_4959;
																						BgL_l2653z00_2511 =
																							BgL_l2653z00_4957;
																						goto
																							BgL_zc3anonymousza32743ze3z83_2513;
																					}
																				}
																		}
																	}
																}
														}
														{	/* Cfa/arithmetic.scm 74 */
															BgL_sfunz00_bglt BgL_oz00_4548;

															BgL_oz00_4548 =
																((BgL_sfunz00_bglt) BgL_valz00_2499);
															((((BgL_sfunz00_bglt) CREF(BgL_oz00_4548))->
																	BgL_argsz00) =
																((obj_t) BgL_arg2741z00_2505), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_testz00_4962;

														{	/* Cfa/arithmetic.scm 75 */
															bool_t BgL_res3078z00_4552;

															{	/* Cfa/arithmetic.scm 75 */
																obj_t BgL_objz00_4551;

																BgL_objz00_4551 = ((obj_t) BgL_valz00_2499);
																BgL_res3078z00_4552 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_4551,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_4962 = BgL_res3078z00_4552;
														}
														if (BgL_testz00_4962)
															{	/* Cfa/arithmetic.scm 76 */
																obj_t BgL_g1150z00_2523;

																BgL_g1150z00_2523 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_valz00_2499)))->
																	BgL_argszd2typezd2);
																{
																	obj_t BgL_lz00_2525;

																	{	/* Cfa/arithmetic.scm 76 */
																		bool_t BgL_auxz00_4967;

																		BgL_lz00_2525 = BgL_g1150z00_2523;
																	BgL_zc3anonymousza32751ze3z83_2526:
																		if (PAIRP(BgL_lz00_2525))
																			{	/* Cfa/arithmetic.scm 77 */
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_auxz00_4970;

																					BgL_auxz00_4970 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_2525));
																					SET_CAR(BgL_lz00_2525,
																						BgL_auxz00_4970);
																				}
																				{
																					obj_t BgL_lz00_4974;

																					BgL_lz00_4974 = CDR(BgL_lz00_2525);
																					BgL_lz00_2525 = BgL_lz00_4974;
																					goto
																						BgL_zc3anonymousza32751ze3z83_2526;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 77 */
																				BgL_auxz00_4967 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_4967);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 75 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2659z00_4977;

							BgL_l2659z00_4977 = CDR(BgL_l2659z00_2493);
							BgL_l2659z00_2493 = BgL_l2659z00_4977;
							goto BgL_zc3anonymousza32734ze3z83_2494;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l2661z00_2536;

				BgL_l2661z00_2536 = BgL_globalsz00_3;
			BgL_zc3anonymousza32758ze3z83_2537:
				if (PAIRP(BgL_l2661z00_2536))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg2760z00_2539;

							BgL_arg2760z00_2539 = CAR(BgL_l2661z00_2536);
							{	/* Cfa/arithmetic.scm 83 */
								BgL_valuez00_bglt BgL_funz00_4566;

								BgL_funz00_4566 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_arg2760z00_2539)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 83 */
									obj_t BgL_bodyz00_4567;

									BgL_bodyz00_4567 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_4566)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 83 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_4567));
									}
								}
							}
						}
						{
							obj_t BgL_l2661z00_4988;

							BgL_l2661z00_4988 = CDR(BgL_l2661z00_2536);
							BgL_l2661z00_2536 = BgL_l2661z00_4988;
							goto BgL_zc3anonymousza32758ze3z83_2537;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_2542)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2542, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2542 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2542;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2542,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_4996;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg2767z00_2548;

									BgL_arg2767z00_2548 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2542))))->BgL_typez00);
									BgL_testz00_4996 =
										(
										((obj_t) BgL_arg2767z00_2548) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_4996)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_localz00_bglt BgL_oz00_4504;
										BgL_typez00_bglt BgL_vz00_4505;

										BgL_oz00_4504 = ((BgL_localz00_bglt) BgL_tz00_2542);
										BgL_vz00_4505 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_4504)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4505), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2542;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2542;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4816, obj_t BgL_globalsz00_4817)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_4817);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc3135z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string3136z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!2695 */
	obj_t BGl_z62cleanupzd2nodez122695za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4819, BgL_nodez00_bglt BgL_nodez00_4820)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method2696z00_2556;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res3089z00_4609;

					{	/* Cfa/arithmetic.scm 97 */
						BgL_objectz00_bglt BgL_objz00_4581;

						BgL_objz00_4581 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Cfa/arithmetic.scm 97 */
							long BgL_objzd2classzd2numz00_4582;

							{	/* Cfa/arithmetic.scm 97 */
								long BgL_res3083z00_4585;

								BgL_res3083z00_4585 = BGL_OBJECT_CLASS_NUM(BgL_objz00_4581);
								BgL_objzd2classzd2numz00_4582 = BgL_res3083z00_4585;
							}
							{	/* Cfa/arithmetic.scm 97 */
								obj_t BgL_arg1812z00_4583;

								BgL_arg1812z00_4583 =
									PROCEDURE_REF
									(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
									(int) (((long) 1)));
								{	/* Cfa/arithmetic.scm 97 */
									obj_t BgL_arrayz00_4586;
									int BgL_offsetz00_4587;

									BgL_arrayz00_4586 = BgL_arg1812z00_4583;
									BgL_offsetz00_4587 = (int) (BgL_objzd2classzd2numz00_4582);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_offsetz00_4588;

										BgL_offsetz00_4588 =
											((long) (BgL_offsetz00_4587) - OBJECT_TYPE);
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_modz00_4589;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1814z00_4590;

												BgL_arg1814z00_4590 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res3086z00_4600;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_auxz00_5016;

														BgL_auxz00_5016 = (long) (BgL_arg1814z00_4590);
														BgL_res3086z00_4600 =
															(BgL_offsetz00_4588 / BgL_auxz00_5016);
													}
													BgL_modz00_4589 = BgL_res3086z00_4600;
											}}
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_restz00_4591;

												{	/* Cfa/arithmetic.scm 97 */
													int BgL_arg1813z00_4592;

													BgL_arg1813z00_4592 = (int) (((long) 16));
													{	/* Cfa/arithmetic.scm 97 */
														long BgL_res3088z00_4604;

														{	/* Cfa/arithmetic.scm 97 */
															long BgL_auxz00_5020;

															BgL_auxz00_5020 = (long) (BgL_arg1813z00_4592);
															BgL_res3088z00_4604 =
																(BgL_offsetz00_4588 % BgL_auxz00_5020);
														}
														BgL_restz00_4591 = BgL_res3088z00_4604;
												}}
												{	/* Cfa/arithmetic.scm 97 */

													BgL_res3089z00_4609 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_4586,
															(int) (BgL_modz00_4589)),
														(int) (BgL_restz00_4591));
					}}}}}}}}
					BgL_method2696z00_2556 = BgL_res3089z00_4609;
				}
				return
					PROCEDURE_ENTRY(BgL_method2696z00_2556) (BgL_method2696z00_2556,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_4821,
		obj_t BgL_nodez00_4822)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_4822));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3137z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc3139z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3140z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc3141z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc3142z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3143z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3144z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3145z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3146z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3147z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3148z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3149z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3150z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3151z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc3152z00zzcfa_arithmeticz00,
				BGl_string3138z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc3153z00zzcfa_arithmeticz00,
				BGl_string3154z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc3155z00zzcfa_arithmeticz00,
				BGl_string3156z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app2730 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2730z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4840, BgL_appz00_bglt BgL_nodez00_4841)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 276 */
			{
				BgL_appz00_bglt BgL_nodez00_2776;

				BgL_nodez00_2776 = BgL_nodez00_4841;
				{
					obj_t BgL_argszd2approxzd2_2826;
					obj_t BgL_argszd2approxzd2_2838;
					obj_t BgL_typez00_2839;
					obj_t BgL_speczd2typeszd2_2840;
					obj_t BgL_argszd2approxzd2_2855;
					obj_t BgL_speczd2typeszd2_2856;

					{	/* Cfa/arithmetic.scm 317 */
						obj_t BgL_argszd2approxzd2_2784;

						{	/* Cfa/arithmetic.scm 317 */
							obj_t BgL_l2687z00_2807;

							BgL_l2687z00_2807 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2776)))->BgL_argsz00);
							if (NULLP(BgL_l2687z00_2807))
								{	/* Cfa/arithmetic.scm 317 */
									BgL_argszd2approxzd2_2784 = BNIL;
								}
							else
								{	/* Cfa/arithmetic.scm 317 */
									obj_t BgL_head2689z00_2809;

									{	/* Cfa/arithmetic.scm 317 */
										BgL_approxz00_bglt BgL_arg2883z00_2821;

										{	/* Cfa/arithmetic.scm 317 */
											obj_t BgL_arg2884z00_2822;

											BgL_arg2884z00_2822 = CAR(BgL_l2687z00_2807);
											BgL_arg2883z00_2821 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg2884z00_2822));
										}
										{	/* Cfa/arithmetic.scm 317 */
											obj_t BgL_res3126z00_4778;

											{	/* Cfa/arithmetic.scm 317 */
												obj_t BgL_obj1z00_4776;

												BgL_obj1z00_4776 = ((obj_t) BgL_arg2883z00_2821);
												BgL_res3126z00_4778 = MAKE_PAIR(BgL_obj1z00_4776, BNIL);
											}
											BgL_head2689z00_2809 = BgL_res3126z00_4778;
										}
									}
									{	/* Cfa/arithmetic.scm 317 */
										obj_t BgL_g2692z00_2810;

										BgL_g2692z00_2810 = CDR(BgL_l2687z00_2807);
										{
											obj_t BgL_l2687z00_2812;
											obj_t BgL_tail2690z00_2813;

											BgL_l2687z00_2812 = BgL_g2692z00_2810;
											BgL_tail2690z00_2813 = BgL_head2689z00_2809;
										BgL_zc3anonymousza32878ze3z83_2814:
											if (NULLP(BgL_l2687z00_2812))
												{	/* Cfa/arithmetic.scm 317 */
													BgL_argszd2approxzd2_2784 = BgL_head2689z00_2809;
												}
											else
												{	/* Cfa/arithmetic.scm 317 */
													obj_t BgL_newtail2691z00_2816;

													{	/* Cfa/arithmetic.scm 317 */
														BgL_approxz00_bglt BgL_arg2881z00_2818;

														{	/* Cfa/arithmetic.scm 317 */
															obj_t BgL_arg2882z00_2819;

															BgL_arg2882z00_2819 = CAR(BgL_l2687z00_2812);
															BgL_arg2881z00_2818 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg2882z00_2819));
														}
														{	/* Cfa/arithmetic.scm 317 */
															obj_t BgL_res3128z00_4785;

															{	/* Cfa/arithmetic.scm 317 */
																obj_t BgL_obj1z00_4783;

																BgL_obj1z00_4783 =
																	((obj_t) BgL_arg2881z00_2818);
																BgL_res3128z00_4785 =
																	MAKE_PAIR(BgL_obj1z00_4783, BNIL);
															}
															BgL_newtail2691z00_2816 = BgL_res3128z00_4785;
														}
													}
													SET_CDR(BgL_tail2690z00_2813,
														BgL_newtail2691z00_2816);
													{
														obj_t BgL_tail2690z00_5071;
														obj_t BgL_l2687z00_5069;

														BgL_l2687z00_5069 = CDR(BgL_l2687z00_2812);
														BgL_tail2690z00_5071 = BgL_newtail2691z00_2816;
														BgL_tail2690z00_2813 = BgL_tail2690z00_5071;
														BgL_l2687z00_2812 = BgL_l2687z00_5069;
														goto BgL_zc3anonymousza32878ze3z83_2814;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/arithmetic.scm 319 */
							obj_t BgL_tyz00_2785;

							BgL_argszd2approxzd2_2826 = BgL_argszd2approxzd2_2784;
							{
								obj_t BgL_argsz00_2829;

								BgL_argsz00_2829 = BgL_argszd2approxzd2_2826;
							BgL_zc3anonymousza32888ze3z83_2830:
								if (NULLP(BgL_argsz00_2829))
									{	/* Cfa/arithmetic.scm 285 */
										BgL_tyz00_2785 = BFALSE;
									}
								else
									{	/* Cfa/arithmetic.scm 287 */
										obj_t BgL_tz00_2832;

										{	/* Cfa/arithmetic.scm 287 */
											BgL_typez00_bglt BgL_arg2892z00_2835;

											{
												BgL_approxz00_bglt BgL_auxz00_5074;

												{	/* Cfa/arithmetic.scm 287 */
													obj_t BgL_pairz00_4748;

													BgL_pairz00_4748 = BgL_argsz00_2829;
													BgL_auxz00_5074 =
														((BgL_approxz00_bglt) CAR(BgL_pairz00_4748));
												}
												BgL_arg2892z00_2835 =
													(((BgL_approxz00_bglt) CREF(BgL_auxz00_5074))->
													BgL_typez00);
											}
											if (
												(((obj_t) BgL_arg2892z00_2835) ==
													BGl_za2intza2z00zztype_cachez00))
												{	/* Cfa/arithmetic.scm 287 */
													BgL_tz00_2832 = BGl_za2longza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/arithmetic.scm 287 */
													BgL_tz00_2832 = ((obj_t) BgL_arg2892z00_2835);
												}
										}
										if ((BgL_tz00_2832 == BGl_za2_za2z00zztype_cachez00))
											{
												obj_t BgL_argsz00_5084;

												BgL_argsz00_5084 = CDR(BgL_argsz00_2829);
												BgL_argsz00_2829 = BgL_argsz00_5084;
												goto BgL_zc3anonymousza32888ze3z83_2830;
											}
										else
											{	/* Cfa/arithmetic.scm 288 */
												BgL_tyz00_2785 = BgL_tz00_2832;
											}
									}
							}
							{	/* Cfa/arithmetic.scm 325 */
								bool_t BgL_testz00_5086;

								BgL_argszd2approxzd2_2838 = BgL_argszd2approxzd2_2784;
								BgL_typez00_2839 = BgL_tyz00_2785;
								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5109;

									{
										obj_t BgL_auxz00_5110;

										{	/* Cfa/arithmetic.scm 325 */
											BgL_objectz00_bglt BgL_auxz00_5111;

											BgL_auxz00_5111 = ((BgL_objectz00_bglt) BgL_nodez00_2776);
											BgL_auxz00_5110 = BGL_OBJECT_WIDENING(BgL_auxz00_5111);
										}
										BgL_auxz00_5109 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5110);
									}
									BgL_speczd2typeszd2_2840 =
										(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5109))->
										BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 294 */
									bool_t BgL__ortest_1173z00_2842;

									if (CBOOL(BgL_typez00_2839))
										{	/* Cfa/arithmetic.scm 294 */
											BgL__ortest_1173z00_2842 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 294 */
											BgL__ortest_1173z00_2842 = ((bool_t) 1);
										}
									if (BgL__ortest_1173z00_2842)
										{	/* Cfa/arithmetic.scm 294 */
											BgL_testz00_5086 = BgL__ortest_1173z00_2842;
										}
									else
										{	/* Cfa/arithmetic.scm 294 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_typez00_2839, BgL_speczd2typeszd2_2840)))
												{
													obj_t BgL_argsz00_2845;

													BgL_argsz00_2845 = BgL_argszd2approxzd2_2838;
												BgL_zc3anonymousza32895ze3z83_2846:
													if (NULLP(BgL_argsz00_2845))
														{	/* Cfa/arithmetic.scm 297 */
															BgL_testz00_5086 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 299 */
															obj_t BgL_tz00_2848;

															{	/* Cfa/arithmetic.scm 299 */
																BgL_typez00_bglt BgL_arg2900z00_2852;

																{
																	BgL_approxz00_bglt BgL_auxz00_5095;

																	{	/* Cfa/arithmetic.scm 299 */
																		obj_t BgL_pairz00_4757;

																		BgL_pairz00_4757 = BgL_argsz00_2845;
																		BgL_auxz00_5095 =
																			((BgL_approxz00_bglt)
																			CAR(BgL_pairz00_4757));
																	}
																	BgL_arg2900z00_2852 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_auxz00_5095))->BgL_typez00);
																}
																if (
																	(((obj_t) BgL_arg2900z00_2852) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 299 */
																		BgL_tz00_2848 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 299 */
																		BgL_tz00_2848 =
																			((obj_t) BgL_arg2900z00_2852);
																	}
															}
															{	/* Cfa/arithmetic.scm 300 */
																bool_t BgL_testz00_5103;

																if ((BgL_tz00_2848 == BgL_typez00_2839))
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_5103 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_5103 =
																			(BgL_tz00_2848 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_testz00_5103)
																	{
																		obj_t BgL_argsz00_5107;

																		BgL_argsz00_5107 = CDR(BgL_argsz00_2845);
																		BgL_argsz00_2845 = BgL_argsz00_5107;
																		goto BgL_zc3anonymousza32895ze3z83_2846;
																	}
																else
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_5086 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 295 */
													BgL_testz00_5086 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_5086)
									{	/* Cfa/arithmetic.scm 325 */
										{	/* Cfa/arithmetic.scm 328 */
											bool_t BgL_testz00_5116;

											{	/* Cfa/arithmetic.scm 328 */
												bool_t BgL_testz00_5117;

												BgL_argszd2approxzd2_2855 = BgL_argszd2approxzd2_2784;
												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5133;

													{
														obj_t BgL_auxz00_5134;

														{	/* Cfa/arithmetic.scm 328 */
															BgL_objectz00_bglt BgL_auxz00_5135;

															BgL_auxz00_5135 =
																((BgL_objectz00_bglt) BgL_nodez00_2776);
															BgL_auxz00_5134 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5135);
														}
														BgL_auxz00_5133 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5134);
													}
													BgL_speczd2typeszd2_2856 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_5133))->BgL_speczd2typeszd2);
												}
												{
													obj_t BgL_argsz00_2859;

													BgL_argsz00_2859 = BgL_argszd2approxzd2_2855;
												BgL_zc3anonymousza32903ze3z83_2860:
													if (NULLP(BgL_argsz00_2859))
														{	/* Cfa/arithmetic.scm 307 */
															BgL_testz00_5117 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 309 */
															bool_t BgL_testz00_5120;

															{	/* Cfa/arithmetic.scm 309 */
																obj_t BgL_arg2907z00_2864;

																{	/* Cfa/arithmetic.scm 309 */
																	BgL_typez00_bglt BgL_arg2908z00_2865;

																	{
																		BgL_approxz00_bglt BgL_auxz00_5121;

																		{	/* Cfa/arithmetic.scm 309 */
																			obj_t BgL_pairz00_4766;

																			BgL_pairz00_4766 = BgL_argsz00_2859;
																			BgL_auxz00_5121 =
																				((BgL_approxz00_bglt)
																				CAR(BgL_pairz00_4766));
																		}
																		BgL_arg2908z00_2865 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_auxz00_5121))->BgL_typez00);
																	}
																	if (
																		(((obj_t) BgL_arg2908z00_2865) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg2907z00_2864 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg2907z00_2864 =
																				((obj_t) BgL_arg2908z00_2865);
																		}
																}
																BgL_testz00_5120 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2907z00_2864,
																		BgL_speczd2typeszd2_2856));
															}
															if (BgL_testz00_5120)
																{
																	obj_t BgL_argsz00_5131;

																	BgL_argsz00_5131 = CDR(BgL_argsz00_2859);
																	BgL_argsz00_2859 = BgL_argsz00_5131;
																	goto BgL_zc3anonymousza32903ze3z83_2860;
																}
															else
																{	/* Cfa/arithmetic.scm 309 */
																	BgL_testz00_5117 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_5117)
													{	/* Cfa/arithmetic.scm 329 */
														BgL_typez00_bglt BgL_arg2864z00_2790;

														{
															BgL_approxz00_bglt BgL_auxz00_5140;

															{
																BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5141;

																{
																	obj_t BgL_auxz00_5142;

																	{	/* Cfa/arithmetic.scm 329 */
																		BgL_objectz00_bglt BgL_auxz00_5143;

																		BgL_auxz00_5143 =
																			((BgL_objectz00_bglt) BgL_nodez00_2776);
																		BgL_auxz00_5142 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5143);
																	}
																	BgL_auxz00_5141 =
																		((BgL_arithmeticzd2appzd2_bglt)
																		BgL_auxz00_5142);
																}
																BgL_auxz00_5140 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_5141))->BgL_approxz00);
															}
															BgL_arg2864z00_2790 =
																(((BgL_approxz00_bglt) CREF(BgL_auxz00_5140))->
																BgL_typez00);
														}
														BgL_testz00_5116 =
															(
															((obj_t) BgL_arg2864z00_2790) ==
															BGl_za2_za2z00zztype_cachez00);
													}
												else
													{	/* Cfa/arithmetic.scm 328 */
														BgL_testz00_5116 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_5116)
												{	/* Cfa/arithmetic.scm 328 */
													{	/* Cfa/arithmetic.scm 332 */
														BgL_approxz00_bglt BgL_arg2862z00_2788;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5151;

															{
																obj_t BgL_auxz00_5152;

																{	/* Cfa/arithmetic.scm 332 */
																	BgL_objectz00_bglt BgL_auxz00_5153;

																	BgL_auxz00_5153 =
																		((BgL_objectz00_bglt) BgL_nodez00_2776);
																	BgL_auxz00_5152 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5153);
																}
																BgL_auxz00_5151 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_5152);
															}
															BgL_arg2862z00_2788 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	CREF(BgL_auxz00_5151))->BgL_approxz00);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg2862z00_2788,
															((BgL_typez00_bglt) BgL_tyz00_2785));
													}
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/arithmetic.scm 328 */
													BFALSE;
												}
										}
									}
								else
									{	/* Cfa/arithmetic.scm 334 */
										bool_t BgL_testz00_5162;

										if (
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2776)))->
																					BgL_funz00)))->BgL_variablez00)))))->
													BgL_idz00) == CNST_TABLE_REF(((long) 1))))
											{	/* Cfa/arithmetic.scm 334 */
												BgL_testz00_5162 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 334 */
												BgL_testz00_5162 = ((bool_t) 1);
											}
										if (BgL_testz00_5162)
											{	/* Cfa/arithmetic.scm 334 */
												{
													obj_t BgL_l2693z00_2795;

													BgL_l2693z00_2795 = BgL_argszd2approxzd2_2784;
												BgL_zc3anonymousza32868ze3z83_2796:
													if (PAIRP(BgL_l2693z00_2795))
														{	/* Cfa/arithmetic.scm 335 */
															{	/* Cfa/arithmetic.scm 335 */
																obj_t BgL_az00_2798;

																BgL_az00_2798 = CAR(BgL_l2693z00_2795);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_az00_2798),
																	CNST_TABLE_REF(((long) 2)));
															}
															{
																obj_t BgL_l2693z00_5178;

																BgL_l2693z00_5178 = CDR(BgL_l2693z00_2795);
																BgL_l2693z00_2795 = BgL_l2693z00_5178;
																goto BgL_zc3anonymousza32868ze3z83_2796;
															}
														}
													else
														{	/* Cfa/arithmetic.scm 335 */
															((bool_t) 1);
														}
												}
												{	/* Cfa/arithmetic.scm 336 */
													BgL_approxz00_bglt BgL_arg2871z00_2801;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5180;

														{
															obj_t BgL_auxz00_5181;

															{	/* Cfa/arithmetic.scm 336 */
																BgL_objectz00_bglt BgL_auxz00_5182;

																BgL_auxz00_5182 =
																	((BgL_objectz00_bglt) BgL_nodez00_2776);
																BgL_auxz00_5181 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5182);
															}
															BgL_auxz00_5180 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_5181);
														}
														BgL_arg2871z00_2801 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5180))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg2871z00_2801,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
												}
											}
										else
											{	/* Cfa/arithmetic.scm 334 */
												BFALSE;
											}
									}
							}
						}
					}
					{
						BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5189;

						{
							obj_t BgL_auxz00_5190;

							{	/* Cfa/arithmetic.scm 339 */
								BgL_objectz00_bglt BgL_auxz00_5191;

								BgL_auxz00_5191 = ((BgL_objectz00_bglt) BgL_nodez00_2776);
								BgL_auxz00_5190 = BGL_OBJECT_WIDENING(BgL_auxz00_5191);
							}
							BgL_auxz00_5189 =
								((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5190);
						}
						return
							(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5189))->
							BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-arit2728 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit2728za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4842, BgL_appz00_bglt BgL_nodez00_4843)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 233 */
			{
				BgL_appz00_bglt BgL_nodez00_2717;

				BgL_nodez00_2717 = BgL_nodez00_4843;
				{	/* Cfa/arithmetic.scm 244 */
					BgL_variablez00_bglt BgL_fz00_2722;

					BgL_fz00_2722 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2717)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/arithmetic.scm 244 */
						BgL_valuez00_bglt BgL_valz00_2723;

						BgL_valz00_2723 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2722))->BgL_valuez00);
						{	/* Cfa/arithmetic.scm 245 */

							{	/* Cfa/arithmetic.scm 247 */
								bool_t BgL_testz00_5200;

								{	/* Cfa/arithmetic.scm 247 */
									BgL_typez00_bglt BgL_arg2831z00_2725;

									BgL_arg2831z00_2725 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2722))->BgL_typez00);
									BgL_testz00_5200 =
										(
										((obj_t) BgL_arg2831z00_2725) ==
										BGl_za2objza2z00zztype_cachez00);
								}
								if (BgL_testz00_5200)
									{	/* Cfa/arithmetic.scm 247 */
										{	/* Cfa/arithmetic.scm 250 */
											BgL_typez00_bglt BgL_vz00_4679;

											BgL_vz00_4679 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(BgL_fz00_2722))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4679), BUNSPEC);
										}
										{	/* Cfa/arithmetic.scm 251 */
											BgL_nodez00_bglt BgL_oz00_4681;
											BgL_typez00_bglt BgL_vz00_4682;

											BgL_oz00_4681 = ((BgL_nodez00_bglt) BgL_nodez00_2717);
											BgL_vz00_4682 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_nodez00_bglt) CREF(BgL_oz00_4681))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4682), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 247 */
										BFALSE;
									}
							}
							{	/* Cfa/arithmetic.scm 253 */
								bool_t BgL_testz00_5209;

								{	/* Cfa/arithmetic.scm 253 */
									bool_t BgL_res3106z00_4685;

									{	/* Cfa/arithmetic.scm 253 */
										obj_t BgL_objz00_4684;

										BgL_objz00_4684 = ((obj_t) BgL_valz00_2723);
										BgL_res3106z00_4685 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_4684,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_5209 = BgL_res3106z00_4685;
								}
								if (BgL_testz00_5209)
									{	/* Cfa/arithmetic.scm 254 */
										obj_t BgL_arg2833z00_2727;

										{	/* Cfa/arithmetic.scm 254 */
											obj_t BgL_l2681z00_2728;

											BgL_l2681z00_2728 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_2723)))->
												BgL_argsz00);
											if (NULLP(BgL_l2681z00_2728))
												{	/* Cfa/arithmetic.scm 254 */
													BgL_arg2833z00_2727 = BNIL;
												}
											else
												{	/* Cfa/arithmetic.scm 254 */
													obj_t BgL_head2683z00_2730;

													{	/* Cfa/arithmetic.scm 254 */
														obj_t BgL_arg2840z00_2742;

														BgL_arg2840z00_2742 =
															BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
															(BgL_l2681z00_2728));
														{	/* Cfa/arithmetic.scm 254 */
															obj_t BgL_res3108z00_4693;

															BgL_res3108z00_4693 =
																MAKE_PAIR(BgL_arg2840z00_2742, BNIL);
															BgL_head2683z00_2730 = BgL_res3108z00_4693;
														}
													}
													{	/* Cfa/arithmetic.scm 254 */
														obj_t BgL_g2686z00_2731;

														BgL_g2686z00_2731 = CDR(BgL_l2681z00_2728);
														{
															obj_t BgL_l2681z00_2733;
															obj_t BgL_tail2684z00_2734;

															BgL_l2681z00_2733 = BgL_g2686z00_2731;
															BgL_tail2684z00_2734 = BgL_head2683z00_2730;
														BgL_zc3anonymousza32835ze3z83_2735:
															if (NULLP(BgL_l2681z00_2733))
																{	/* Cfa/arithmetic.scm 254 */
																	BgL_arg2833z00_2727 = BgL_head2683z00_2730;
																}
															else
																{	/* Cfa/arithmetic.scm 254 */
																	obj_t BgL_newtail2685z00_2737;

																	{	/* Cfa/arithmetic.scm 254 */
																		obj_t BgL_arg2838z00_2739;

																		BgL_arg2838z00_2739 =
																			BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2681z00_2733));
																		{	/* Cfa/arithmetic.scm 254 */
																			obj_t BgL_res3110z00_4700;

																			BgL_res3110z00_4700 =
																				MAKE_PAIR(BgL_arg2838z00_2739, BNIL);
																			BgL_newtail2685z00_2737 =
																				BgL_res3110z00_4700;
																		}
																	}
																	SET_CDR(BgL_tail2684z00_2734,
																		BgL_newtail2685z00_2737);
																	{
																		obj_t BgL_tail2684z00_5228;
																		obj_t BgL_l2681z00_5226;

																		BgL_l2681z00_5226 = CDR(BgL_l2681z00_2733);
																		BgL_tail2684z00_5228 =
																			BgL_newtail2685z00_2737;
																		BgL_tail2684z00_2734 = BgL_tail2684z00_5228;
																		BgL_l2681z00_2733 = BgL_l2681z00_5226;
																		goto BgL_zc3anonymousza32835ze3z83_2735;
																	}
																}
														}
													}
												}
										}
										{	/* Cfa/arithmetic.scm 254 */
											BgL_sfunz00_bglt BgL_oz00_4704;

											BgL_oz00_4704 = ((BgL_sfunz00_bglt) BgL_valz00_2723);
											((((BgL_sfunz00_bglt) CREF(BgL_oz00_4704))->BgL_argsz00) =
												((obj_t) BgL_arg2833z00_2727), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 255 */
										bool_t BgL_testz00_5231;

										{	/* Cfa/arithmetic.scm 255 */
											bool_t BgL_res3111z00_4708;

											{	/* Cfa/arithmetic.scm 255 */
												obj_t BgL_objz00_4707;

												BgL_objz00_4707 = ((obj_t) BgL_valz00_2723);
												BgL_res3111z00_4708 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_4707,
													BGl_cfunz00zzast_varz00);
											}
											BgL_testz00_5231 = BgL_res3111z00_4708;
										}
										if (BgL_testz00_5231)
											{	/* Cfa/arithmetic.scm 256 */
												obj_t BgL_g1167z00_2745;

												BgL_g1167z00_2745 =
													(((BgL_cfunz00_bglt) CREF(
															((BgL_cfunz00_bglt) BgL_valz00_2723)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_lz00_2747;

													BgL_lz00_2747 = BgL_g1167z00_2745;
												BgL_zc3anonymousza32843ze3z83_2748:
													if (PAIRP(BgL_lz00_2747))
														{	/* Cfa/arithmetic.scm 258 */
															obj_t BgL_auxz00_5238;

															BgL_auxz00_5238 =
																BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_lz00_2747));
															SET_CAR(BgL_lz00_2747, BgL_auxz00_5238);
														}
													else
														{
															obj_t BgL_lz00_5242;

															BgL_lz00_5242 = CDR(BgL_lz00_2747);
															BgL_lz00_2747 = BgL_lz00_5242;
															goto BgL_zc3anonymousza32843ze3z83_2748;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 255 */
												BGl_errorz00zz__errorz00
													(BGl_string3154z00zzcfa_arithmeticz00,
													BGl_string3157z00zzcfa_arithmeticz00,
													((obj_t) BgL_nodez00_2717));
											}
									}
							}
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
								MAKE_PAIR(
								((obj_t) BgL_nodez00_2717),
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
							{	/* Cfa/arithmetic.scm 264 */
								obj_t BgL_arg2848z00_2754;

								BgL_arg2848z00_2754 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2717)))->BgL_argsz00);
								BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2848z00_2754);
							}
							{	/* Cfa/arithmetic.scm 265 */
								obj_t BgL_speczd2typeszd2_2755;

								{
									BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5251;

									{
										obj_t BgL_auxz00_5252;

										{	/* Cfa/arithmetic.scm 265 */
											BgL_objectz00_bglt BgL_auxz00_5253;

											BgL_auxz00_5253 = ((BgL_objectz00_bglt) BgL_nodez00_2717);
											BgL_auxz00_5252 = BGL_OBJECT_WIDENING(BgL_auxz00_5253);
										}
										BgL_auxz00_5251 =
											((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5252);
									}
									BgL_speczd2typeszd2_2755 =
										(((BgL_prezd2arithmeticzd2appz00_bglt)
											CREF(BgL_auxz00_5251))->BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 265 */
									BgL_appz00_bglt BgL_nodez00_2756;

									{	/* Cfa/arithmetic.scm 266 */
										long BgL_arg2853z00_2766;

										{	/* Cfa/arithmetic.scm 266 */
											obj_t BgL_arg2854z00_2767;

											{	/* Cfa/arithmetic.scm 266 */
												obj_t BgL_arg2855z00_2768;

												{	/* Cfa/arithmetic.scm 266 */
													BgL_objectz00_bglt BgL_objectz00_4717;

													BgL_objectz00_4717 =
														((BgL_objectz00_bglt) BgL_nodez00_2717);
													{	/* Cfa/arithmetic.scm 266 */
														long BgL_arg1815z00_4718;

														{	/* Cfa/arithmetic.scm 266 */
															long BgL_arg1816z00_4719;

															{	/* Cfa/arithmetic.scm 266 */
																long BgL_res3113z00_4721;

																BgL_res3113z00_4721 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_4717);
																BgL_arg1816z00_4719 = BgL_res3113z00_4721;
															}
															BgL_arg1815z00_4718 =
																(BgL_arg1816z00_4719 - OBJECT_TYPE);
														}
														BgL_arg2855z00_2768 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															(int) (BgL_arg1815z00_4718));
												}}
												BgL_arg2854z00_2767 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg2855z00_2768);
											}
											{	/* Cfa/arithmetic.scm 266 */
												long BgL_res3115z00_4730;

												{	/* Cfa/arithmetic.scm 266 */
													obj_t BgL_classz00_4727;

													BgL_classz00_4727 = BgL_arg2854z00_2767;
													{	/* Cfa/arithmetic.scm 266 */
														obj_t BgL_vectorz00_4728;
														int BgL_kz00_4729;

														BgL_vectorz00_4728 = BgL_classz00_4727;
														BgL_kz00_4729 = (int) (((long) 1));
														BgL_res3115z00_4730 =
															(long) CINT(VECTOR_REF(BgL_vectorz00_4728,
																BgL_kz00_4729));
												}}
												BgL_arg2853z00_2766 = BgL_res3115z00_4730;
										}}
										{	/* Cfa/arithmetic.scm 266 */
											BgL_objectz00_bglt BgL_objz00_4731;

											BgL_objz00_4731 = ((BgL_objectz00_bglt) BgL_nodez00_2717);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4731,
												BgL_arg2853z00_2766);
									}}
									{	/* Cfa/arithmetic.scm 266 */
										BgL_objectz00_bglt BgL_auxz00_5269;

										BgL_auxz00_5269 = ((BgL_objectz00_bglt) BgL_nodez00_2717);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5269, BFALSE);
									}
									BgL_nodez00_2756 = BgL_nodez00_2717;
									{	/* Cfa/arithmetic.scm 266 */

										{	/* Cfa/arithmetic.scm 267 */
											BgL_appz00_bglt BgL_tmp1169z00_2757;

											BgL_tmp1169z00_2757 =
												((BgL_appz00_bglt) BgL_nodez00_2756);
											{	/* Cfa/arithmetic.scm 267 */
												BgL_appz00_bglt BgL_tmp1170z00_2758;
												BgL_arithmeticzd2appzd2_bglt BgL_wide1171z00_2759;

												BgL_tmp1170z00_2758 =
													((BgL_appz00_bglt) BgL_tmp1169z00_2757);
												BgL_wide1171z00_2759 =
													((BgL_arithmeticzd2appzd2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_arithmeticzd2appzd2_bgl))));
												{	/* Cfa/arithmetic.scm 267 */
													obj_t BgL_auxz00_5277;
													BgL_objectz00_bglt BgL_auxz00_5275;

													BgL_auxz00_5277 = ((obj_t) BgL_wide1171z00_2759);
													BgL_auxz00_5275 =
														((BgL_objectz00_bglt) BgL_tmp1170z00_2758);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_5275,
														BgL_auxz00_5277);
												}
												{	/* Cfa/arithmetic.scm 267 */
													long BgL_arg2849z00_2760;

													{	/* Cfa/arithmetic.scm 267 */
														long BgL_res3116z00_4736;

														{	/* Cfa/arithmetic.scm 267 */
															obj_t BgL_classz00_4733;

															BgL_classz00_4733 =
																BGl_arithmeticzd2appzd2zzcfa_info2z00;
															{	/* Cfa/arithmetic.scm 267 */
																obj_t BgL_vectorz00_4734;
																int BgL_kz00_4735;

																BgL_vectorz00_4734 = BgL_classz00_4733;
																BgL_kz00_4735 = (int) (((long) 1));
																BgL_res3116z00_4736 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_4734,
																		BgL_kz00_4735));
														}}
														BgL_arg2849z00_2760 = BgL_res3116z00_4736;
													}
													{	/* Cfa/arithmetic.scm 267 */
														BgL_objectz00_bglt BgL_objz00_4737;

														BgL_objz00_4737 =
															((BgL_objectz00_bglt) BgL_tmp1170z00_2758);
														((BgL_appz00_bglt)
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4737,
																BgL_arg2849z00_2760));
												}} BgL_tmp1170z00_2758;
											}
											{	/* Cfa/arithmetic.scm 267 */
												BgL_appz00_bglt BgL_new1172z00_2761;

												BgL_new1172z00_2761 =
													((BgL_appz00_bglt) BgL_tmp1169z00_2757);
												{
													BgL_approxz00_bglt BgL_auxz00_5293;
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5287;

													{	/* Cfa/arithmetic.scm 269 */
														bool_t BgL_testz00_5294;

														{	/* Cfa/arithmetic.scm 269 */
															BgL_typez00_bglt BgL_arg2852z00_2764;

															BgL_arg2852z00_2764 =
																(((BgL_variablez00_bglt) CREF(BgL_fz00_2722))->
																BgL_typez00);
															BgL_testz00_5294 =
																(((obj_t) BgL_arg2852z00_2764) ==
																BGl_za2_za2z00zztype_cachez00);
														}
														if (BgL_testz00_5294)
															{	/* Cfa/arithmetic.scm 269 */
																BgL_auxz00_5293 =
																	BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
															}
														else
															{	/* Cfa/arithmetic.scm 271 */
																BgL_typez00_bglt BgL_arg2851z00_2763;

																BgL_arg2851z00_2763 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_2722))->BgL_typez00);
																BgL_auxz00_5293 =
																	BGl_makezd2typezd2approxz00zzcfa_approxz00
																	(BgL_arg2851z00_2763);
															}
													}
													{
														obj_t BgL_auxz00_5288;

														{	/* Cfa/arithmetic.scm 267 */
															BgL_objectz00_bglt BgL_auxz00_5289;

															BgL_auxz00_5289 =
																((BgL_objectz00_bglt) BgL_new1172z00_2761);
															BgL_auxz00_5288 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5289);
														}
														BgL_auxz00_5287 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5288);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5287))->BgL_approxz00) =
														((BgL_approxz00_bglt) BgL_auxz00_5293), BUNSPEC);
												}
												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5302;

													{
														obj_t BgL_auxz00_5303;

														{	/* Cfa/arithmetic.scm 267 */
															BgL_objectz00_bglt BgL_auxz00_5304;

															BgL_auxz00_5304 =
																((BgL_objectz00_bglt) BgL_new1172z00_2761);
															BgL_auxz00_5303 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5304);
														}
														BgL_auxz00_5302 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5303);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5302))->BgL_speczd2typeszd2) =
														((obj_t) BgL_speczd2typeszd2_2755), BUNSPEC);
												}
												return ((obj_t) BgL_new1172z00_2761);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2770)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 242 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2770, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 236 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 236 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2770,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 238 */
							{	/* Cfa/arithmetic.scm 239 */
								BgL_localz00_bglt BgL_oz00_4666;
								BgL_typez00_bglt BgL_vz00_4667;

								BgL_oz00_4666 = ((BgL_localz00_bglt) BgL_lz00_2770);
								BgL_vz00_4667 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_oz00_4666)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_4667), BUNSPEC);
							}
							return BgL_lz00_2770;
						}
					else
						{	/* Cfa/arithmetic.scm 238 */
							return BgL_lz00_2770;
						}
				}
		}
	}



/* &cleanup-node!-app2726 */
	obj_t BGl_z62cleanupzd2nodez12zd2app2726z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4844, BgL_appz00_bglt BgL_nodez00_4845)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 220 */
			{
				BgL_appz00_bglt BgL_nodez00_2703;

				{	/* Cfa/arithmetic.scm 221 */
					bool_t BgL_auxz00_5318;

					BgL_nodez00_2703 = BgL_nodez00_4845;
					{	/* Cfa/arithmetic.scm 222 */
						BgL_varz00_bglt BgL_arg2824z00_2707;

						BgL_arg2824z00_2707 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2703))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
							((BgL_nodez00_bglt) BgL_arg2824z00_2707));
					}
					{	/* Cfa/arithmetic.scm 223 */
						obj_t BgL_g2680z00_2708;

						BgL_g2680z00_2708 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2703))->BgL_argsz00);
						{
							obj_t BgL_l2678z00_2710;

							BgL_l2678z00_2710 = BgL_g2680z00_2708;
						BgL_zc3anonymousza32825ze3z83_2711:
							if (PAIRP(BgL_l2678z00_2710))
								{	/* Cfa/arithmetic.scm 223 */
									{	/* Cfa/arithmetic.scm 223 */
										obj_t BgL_arg2827z00_2713;

										BgL_arg2827z00_2713 = CAR(BgL_l2678z00_2710);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2827z00_2713));
									}
									{
										obj_t BgL_l2678z00_5328;

										BgL_l2678z00_5328 = CDR(BgL_l2678z00_2710);
										BgL_l2678z00_2710 = BgL_l2678z00_5328;
										goto BgL_zc3anonymousza32825ze3z83_2711;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 223 */
									BgL_auxz00_5318 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5318);
				}
			}
		}
	}



/* &cleanup-node!-funcal2724 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal2724z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4846, BgL_funcallz00_bglt BgL_nodez00_4847)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 212 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2689;

				{	/* Cfa/arithmetic.scm 213 */
					bool_t BgL_auxz00_5331;

					BgL_nodez00_2689 = BgL_nodez00_4847;
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2689))->BgL_funz00));
					{	/* Cfa/arithmetic.scm 215 */
						obj_t BgL_g2677z00_2694;

						BgL_g2677z00_2694 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2689))->BgL_argsz00);
						{
							obj_t BgL_l2675z00_2696;

							BgL_l2675z00_2696 = BgL_g2677z00_2694;
						BgL_zc3anonymousza32820ze3z83_2697:
							if (PAIRP(BgL_l2675z00_2696))
								{	/* Cfa/arithmetic.scm 215 */
									{	/* Cfa/arithmetic.scm 215 */
										obj_t BgL_arg2822z00_2699;

										BgL_arg2822z00_2699 = CAR(BgL_l2675z00_2696);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2822z00_2699));
									}
									{
										obj_t BgL_l2675z00_5340;

										BgL_l2675z00_5340 = CDR(BgL_l2675z00_2696);
										BgL_l2675z00_2696 = BgL_l2675z00_5340;
										goto BgL_zc3anonymousza32820ze3z83_2697;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 215 */
									BgL_auxz00_5331 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5331);
				}
			}
		}
	}



/* &cleanup-node!-app-ly2722 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly2722za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4848, BgL_appzd2lyzd2_bglt BgL_nodez00_4849)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 204 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2682;

				BgL_nodez00_2682 = BgL_nodez00_4849;
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2682))->BgL_funz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2682))->BgL_argz00));
			}
		}
	}



/* &cleanup-node!-box-se2720 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se2720za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4850, BgL_boxzd2setz12zc0_bglt BgL_nodez00_4851)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 196 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2675;

				BgL_nodez00_2675 = BgL_nodez00_4851;
				{	/* Cfa/arithmetic.scm 198 */
					BgL_varz00_bglt BgL_arg2815z00_2679;

					BgL_arg2815z00_2679 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2675))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2815z00_2679));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2675))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-box-re2718 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re2718za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4852, BgL_boxzd2refzd2_bglt BgL_nodez00_4853)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 189 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2669;

				BgL_nodez00_2669 = BgL_nodez00_4853;
				{	/* Cfa/arithmetic.scm 190 */
					BgL_varz00_bglt BgL_arg2814z00_4653;

					BgL_arg2814z00_4653 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2669))->BgL_varz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2814z00_4653));
				}
			}
		}
	}



/* &cleanup-node!-make-b2716 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b2716za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4854, BgL_makezd2boxzd2_bglt BgL_nodez00_4855)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 182 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2663;

				BgL_nodez00_2663 = BgL_nodez00_4855;
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2663))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-jump-e2714 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e2714za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4856, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_4857)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 174 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2656;

				BgL_nodez00_2656 = BgL_nodez00_4857;
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2656))->BgL_exitz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2656))->
						BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-set-ex2712 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex2712za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4858, BgL_setzd2exzd2itz00_bglt BgL_nodez00_4859)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 166 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2649;

				BgL_nodez00_2649 = BgL_nodez00_4859;
				{	/* Cfa/arithmetic.scm 168 */
					BgL_varz00_bglt BgL_arg2809z00_2653;

					BgL_arg2809z00_2653 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2649))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2809z00_2653));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2649))->BgL_bodyz00));
			}
		}
	}



/* &cleanup-node!-let-va2710 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va2710za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4860, BgL_letzd2varzd2_bglt BgL_nodez00_4861)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 156 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2631;

				BgL_nodez00_2631 = BgL_nodez00_4861;
				{	/* Cfa/arithmetic.scm 158 */
					obj_t BgL_g2674z00_2635;

					BgL_g2674z00_2635 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2631))->BgL_bindingsz00);
					{
						obj_t BgL_l2672z00_2637;

						BgL_l2672z00_2637 = BgL_g2674z00_2635;
					BgL_zc3anonymousza32801ze3z83_2638:
						if (PAIRP(BgL_l2672z00_2637))
							{	/* Cfa/arithmetic.scm 158 */
								{	/* Cfa/arithmetic.scm 158 */
									obj_t BgL_bz00_2640;

									BgL_bz00_2640 = CAR(BgL_l2672z00_2637);
									{	/* Cfa/arithmetic.scm 158 */
										obj_t BgL_arg2803z00_2641;

										BgL_arg2803z00_2641 = CDR(BgL_bz00_2640);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2803z00_2641));
									}
								}
								{
									obj_t BgL_l2672z00_5373;

									BgL_l2672z00_5373 = CDR(BgL_l2672z00_2637);
									BgL_l2672z00_2637 = BgL_l2672z00_5373;
									goto BgL_zc3anonymousza32801ze3z83_2638;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 158 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2631))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 160 */
					bool_t BgL_testz00_5377;

					{	/* Cfa/arithmetic.scm 160 */
						BgL_typez00_bglt BgL_arg2808z00_2647;

						BgL_arg2808z00_2647 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2631)))->BgL_typez00);
						BgL_testz00_5377 =
							(((obj_t) BgL_arg2808z00_2647) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5377)
						{	/* Cfa/arithmetic.scm 160 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2631)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2631))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-let-fu2708 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu2708za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4862, BgL_letzd2funzd2_bglt BgL_nodez00_4863)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 146 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2614;

				BgL_nodez00_2614 = BgL_nodez00_4863;
				{	/* Cfa/arithmetic.scm 148 */
					obj_t BgL_g2671z00_2618;

					BgL_g2671z00_2618 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2614))->BgL_localsz00);
					{
						obj_t BgL_l2669z00_2620;

						BgL_l2669z00_2620 = BgL_g2671z00_2618;
					BgL_zc3anonymousza32792ze3z83_2621:
						if (PAIRP(BgL_l2669z00_2620))
							{	/* Cfa/arithmetic.scm 148 */
								{	/* Cfa/arithmetic.scm 148 */
									obj_t BgL_arg2794z00_2623;

									BgL_arg2794z00_2623 = CAR(BgL_l2669z00_2620);
									{	/* Cfa/arithmetic.scm 148 */
										BgL_valuez00_bglt BgL_funz00_4631;

										BgL_funz00_4631 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_arg2794z00_2623)))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 148 */
											obj_t BgL_bodyz00_4632;

											BgL_bodyz00_4632 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4631)))->
												BgL_bodyz00);
											{	/* Cfa/arithmetic.scm 148 */

												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_bodyz00_4632));
											}
										}
									}
								}
								{
									obj_t BgL_l2669z00_5396;

									BgL_l2669z00_5396 = CDR(BgL_l2669z00_2620);
									BgL_l2669z00_2620 = BgL_l2669z00_5396;
									goto BgL_zc3anonymousza32792ze3z83_2621;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 148 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2614))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 150 */
					bool_t BgL_testz00_5400;

					{	/* Cfa/arithmetic.scm 150 */
						BgL_typez00_bglt BgL_arg2800z00_2629;

						BgL_arg2800z00_2629 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2614)))->BgL_typez00);
						BgL_testz00_5400 =
							(((obj_t) BgL_arg2800z00_2629) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5400)
						{	/* Cfa/arithmetic.scm 150 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2614)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2614))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 150 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-select2706 */
	obj_t BGl_z62cleanupzd2nodez12zd2select2706z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4864, BgL_selectz00_bglt BgL_nodez00_4865)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 138 */
			{
				BgL_selectz00_bglt BgL_nodez00_2599;

				{	/* Cfa/arithmetic.scm 139 */
					bool_t BgL_auxz00_5409;

					BgL_nodez00_2599 = BgL_nodez00_4865;
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2599))->BgL_testz00));
					{	/* Cfa/arithmetic.scm 141 */
						obj_t BgL_g2668z00_2604;

						BgL_g2668z00_2604 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_2599))->BgL_clausesz00);
						{
							obj_t BgL_l2666z00_2606;

							BgL_l2666z00_2606 = BgL_g2668z00_2604;
						BgL_zc3anonymousza32788ze3z83_2607:
							if (PAIRP(BgL_l2666z00_2606))
								{	/* Cfa/arithmetic.scm 141 */
									{	/* Cfa/arithmetic.scm 141 */
										obj_t BgL_clausez00_2609;

										BgL_clausez00_2609 = CAR(BgL_l2666z00_2606);
										{	/* Cfa/arithmetic.scm 141 */
											obj_t BgL_arg2790z00_2610;

											BgL_arg2790z00_2610 = CDR(BgL_clausez00_2609);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2790z00_2610));
										}
									}
									{
										obj_t BgL_l2666z00_5419;

										BgL_l2666z00_5419 = CDR(BgL_l2666z00_2606);
										BgL_l2666z00_2606 = BgL_l2666z00_5419;
										goto BgL_zc3anonymousza32788ze3z83_2607;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 141 */
									BgL_auxz00_5409 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5409);
				}
			}
		}
	}



/* &cleanup-node!-fail2704 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail2704z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4866, BgL_failz00_bglt BgL_nodez00_4867)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 129 */
			{
				BgL_failz00_bglt BgL_nodez00_2591;

				BgL_nodez00_2591 = BgL_nodez00_4867;
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2591))->BgL_procz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2591))->BgL_msgz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2591))->BgL_objz00));
			}
		}
	}



/* &cleanup-node!-condit2702 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit2702z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4868, BgL_conditionalz00_bglt BgL_nodez00_4869)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 120 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2583;

				BgL_nodez00_2583 = BgL_nodez00_4869;
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2583))->BgL_testz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2583))->BgL_truez00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2583))->BgL_falsez00));
			}
		}
	}



/* &cleanup-node!-setq2700 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq2700z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4870, BgL_setqz00_bglt BgL_nodez00_4871)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			{
				BgL_setqz00_bglt BgL_nodez00_2577;

				BgL_nodez00_2577 = BgL_nodez00_4871;
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_2577))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-sequen2698 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen2698z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4872, BgL_sequencez00_bglt BgL_nodez00_4873)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2557;

				BgL_nodez00_2557 = BgL_nodez00_4873;
				{	/* Cfa/arithmetic.scm 105 */
					bool_t BgL_testz00_5436;

					{	/* Cfa/arithmetic.scm 105 */
						obj_t BgL_auxz00_5437;

						BgL_auxz00_5437 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2557))->BgL_nodesz00);
						BgL_testz00_5436 = PAIRP(BgL_auxz00_5437);
					}
					if (BgL_testz00_5436)
						{	/* Cfa/arithmetic.scm 105 */
							{	/* Cfa/arithmetic.scm 106 */
								obj_t BgL_g2665z00_2562;

								BgL_g2665z00_2562 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2557))->
									BgL_nodesz00);
								{
									obj_t BgL_l2663z00_2564;

									BgL_l2663z00_2564 = BgL_g2665z00_2562;
								BgL_zc3anonymousza32770ze3z83_2565:
									if (PAIRP(BgL_l2663z00_2564))
										{	/* Cfa/arithmetic.scm 106 */
											{	/* Cfa/arithmetic.scm 106 */
												obj_t BgL_arg2772z00_2567;

												BgL_arg2772z00_2567 = CAR(BgL_l2663z00_2564);
												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_arg2772z00_2567));
											}
											{
												obj_t BgL_l2663z00_5446;

												BgL_l2663z00_5446 = CDR(BgL_l2663z00_2564);
												BgL_l2663z00_2564 = BgL_l2663z00_5446;
												goto BgL_zc3anonymousza32770ze3z83_2565;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 106 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/arithmetic.scm 107 */
								bool_t BgL_testz00_5448;

								{	/* Cfa/arithmetic.scm 107 */
									BgL_typez00_bglt BgL_arg2778z00_2574;

									BgL_arg2778z00_2574 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_2557)))->BgL_typez00);
									BgL_testz00_5448 =
										(
										((obj_t) BgL_arg2778z00_2574) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5448)
									{	/* Cfa/arithmetic.scm 107 */
										return
											((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_2557)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														CREF(((BgL_nodez00_bglt)
																CAR
																(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_sequencez00_bglt)
																				CREF(BgL_nodez00_2557))->
																			BgL_nodesz00))))))->BgL_typez00)),
											BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 107 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/arithmetic.scm 105 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3158z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
