/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62zc3anonymousza32711ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32716ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d23104za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall3105z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu3106z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3107z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3108z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3094z00zzcfa_closurez00,
		BgL_bgl_string3094za700za7za7c3109za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string3097z00zzcfa_closurez00,
		BgL_bgl_string3097za700za7za7c3110za7, ": ", 2);
	      DEFINE_STRING(BGl_string3098z00zzcfa_closurez00,
		BgL_bgl_string3098za700za7za7c3111za7, "      ", 6);
	      DEFINE_STRING(BGl_string3099z00zzcfa_closurez00,
		BgL_bgl_string3099za700za7za7c3112za7, "        ", 8);
	      DEFINE_STRING(BGl_string3100z00zzcfa_closurez00,
		BgL_bgl_string3100za700za7za7c3113za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string3101z00zzcfa_closurez00,
		BgL_bgl_string3101za700za7za7c3114za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73115za7,
		BGl_z62zc3anonymousza32711ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73116za7,
		BGl_z62zc3anonymousza32716ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu3117z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur3118z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc3119z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_4848, char *BgL_fromz00_4849)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_4840;

				BgL_cportz00_4840 =
					bgl_open_input_string(BGl_string3101z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4841;

					BgL_iz00_4841 = ((long) 19);
				BgL_loopz00_4842:
					if ((BgL_iz00_4841 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg3103z00_4844;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_4846;

										BgL_locationz00_4846 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg3103z00_4844 =
												BGl_readz00zz__readerz00(BgL_cportz00_4840,
												BgL_locationz00_4846);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_4868;

									BgL_auxz00_4868 = (int) (BgL_iz00_4841);
									CNST_TABLE_SET(BgL_auxz00_4868, BgL_arg3103z00_4844);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_4847;

								BgL_auxz00_4847 = (int) ((BgL_iz00_4841 - ((long) 1)));
								{
									long BgL_iz00_4873;

									BgL_iz00_4873 = (long) (BgL_auxz00_4847);
									BgL_iz00_4841 = BgL_iz00_4873;
									goto BgL_loopz00_4842;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 54 */
			{	/* Cfa/closure.scm 55 */
				long BgL_n1z00_4421;

				BgL_n1z00_4421 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4421 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_4821)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 54 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 60 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 61 */
					{	/* Cfa/closure.scm 62 */
						obj_t BgL_list2677z00_2482;

						{	/* Cfa/closure.scm 62 */
							obj_t BgL_arg2678z00_2483;

							BgL_arg2678z00_2483 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list2677z00_2482 =
								MAKE_PAIR(BGl_string3094z00zzcfa_closurez00,
								BgL_arg2678z00_2483);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2677z00_2482);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l2649z00_2485;

						BgL_l2649z00_2485 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32679ze3z83_2486:
						if (PAIRP(BgL_l2649z00_2485))
							{	/* Cfa/closure.scm 71 */
								{	/* Cfa/closure.scm 73 */
									obj_t BgL_appz00_2488;

									BgL_appz00_2488 = CAR(BgL_l2649z00_2485);
									{	/* Cfa/closure.scm 73 */
										BgL_appz00_bglt BgL_i1149z00_2489;

										BgL_i1149z00_2489 = ((BgL_appz00_bglt) BgL_appz00_2488);
										{	/* Cfa/closure.scm 74 */
											BgL_variablez00_bglt BgL_funz00_2490;

											{
												BgL_varz00_bglt BgL_auxz00_4892;

												{
													obj_t BgL_auxz00_4893;

													{	/* Cfa/closure.scm 74 */
														obj_t BgL_pairz00_4430;

														BgL_pairz00_4430 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1149z00_2489)))->
															BgL_argsz00);
														BgL_auxz00_4893 = CAR(BgL_pairz00_4430);
													}
													BgL_auxz00_4892 = ((BgL_varz00_bglt) BgL_auxz00_4893);
												}
												BgL_funz00_2490 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_4892))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 74 */
												obj_t BgL_cloz00_2491;

												BgL_cloz00_2491 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_funz00_2490))))->
																		BgL_valuez00)))))->BgL_thezd2closurezd2);
												{	/* Cfa/closure.scm 75 */
													bool_t BgL_lostzf3zf3_2492;

													{	/* Cfa/closure.scm 76 */
														long BgL_auxz00_4905;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_4906;
															{
																obj_t BgL_auxz00_4907;

																{	/* Cfa/closure.scm 76 */
																	BgL_objectz00_bglt BgL_auxz00_4908;

																	BgL_auxz00_4908 =
																		((BgL_objectz00_bglt) BgL_i1149z00_2489);
																	BgL_auxz00_4907 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_4908);
																}
																BgL_auxz00_4906 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_4907);
															}
															BgL_auxz00_4905 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_4906))->BgL_lostzd2stampzd2);
														}
														BgL_lostzf3zf3_2492 =
															(BgL_auxz00_4905 > ((long) -1));
													}
													{	/* Cfa/closure.scm 76 */
														obj_t BgL_siza7eza7_2493;

														{	/* Cfa/closure.scm 77 */
															obj_t BgL_arg2692z00_2503;

															{	/* Cfa/closure.scm 77 */
																obj_t BgL_pairz00_4442;

																BgL_pairz00_4442 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1149z00_2489)))->
																	BgL_argsz00);
																BgL_arg2692z00_2503 =
																	CAR(CDR(CDR(BgL_pairz00_4442)));
															}
															BgL_siza7eza7_2493 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2692z00_2503));
														}
														{	/* Cfa/closure.scm 77 */

															{	/* Cfa/closure.scm 79 */
																bool_t BgL_testz00_4921;

																if (BgL_lostzf3zf3_2492)
																	{	/* Cfa/closure.scm 79 */
																		BgL_testz00_4921 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/closure.scm 80 */
																		bool_t BgL_testz00_4923;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_4924;
																			{
																				obj_t BgL_auxz00_4925;

																				{	/* Cfa/closure.scm 80 */
																					BgL_objectz00_bglt BgL_auxz00_4926;

																					BgL_auxz00_4926 =
																						((BgL_objectz00_bglt)
																						BgL_i1149z00_2489);
																					BgL_auxz00_4925 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_4926);
																				}
																				BgL_auxz00_4924 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_4925);
																			}
																			BgL_testz00_4923 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_4924))->
																				BgL_xzd2tzf3z21);
																		}
																		if (BgL_testz00_4923)
																			{	/* Cfa/closure.scm 80 */
																				if (
																					((((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_funz00_2490))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																					{	/* Cfa/closure.scm 81 */
																						BgL_testz00_4921 = ((bool_t) 1);
																					}
																				else
																					{	/* Cfa/closure.scm 81 */
																						if (INTEGERP(BgL_siza7eza7_2493))
																							{	/* Cfa/closure.scm 82 */
																								if (BGl_isazf3zf3zz__objectz00
																									(BgL_cloz00_2491,
																										BGl_globalz00zzast_varz00))
																									{	/* Cfa/closure.scm 83 */
																										if (
																											((((BgL_globalz00_bglt)
																														CREF((
																																(BgL_globalz00_bglt)
																																BgL_cloz00_2491)))->
																													BgL_importz00) ==
																												CNST_TABLE_REF(((long)
																														0))))
																											{	/* Cfa/closure.scm 84 */
																												BgL_testz00_4921 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/closure.scm 84 */
																												BgL_testz00_4921 =
																													((bool_t) 1);
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 83 */
																										BgL_testz00_4921 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Cfa/closure.scm 82 */
																								BgL_testz00_4921 = ((bool_t) 1);
																							}
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 80 */
																				BgL_testz00_4921 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_4921)
																	{	/* Cfa/closure.scm 79 */
																		BNIL;
																	}
																else
																	{	/* Cfa/closure.scm 79 */
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_4948;
																			{
																				obj_t BgL_auxz00_4949;

																				{	/* Cfa/closure.scm 101 */
																					BgL_objectz00_bglt BgL_auxz00_4950;

																					BgL_auxz00_4950 =
																						((BgL_objectz00_bglt)
																						BgL_i1149z00_2489);
																					BgL_auxz00_4949 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_4950);
																				}
																				BgL_auxz00_4948 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_4949);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_4948))->BgL_xz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_4955;
																			{
																				obj_t BgL_auxz00_4956;

																				{	/* Cfa/closure.scm 102 */
																					BgL_objectz00_bglt BgL_auxz00_4957;

																					BgL_auxz00_4957 =
																						((BgL_objectz00_bglt)
																						BgL_i1149z00_2489);
																					BgL_auxz00_4956 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_4957);
																				}
																				BgL_auxz00_4955 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_4956);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_4955))->BgL_tz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l2649z00_4962;

									BgL_l2649z00_4962 = CDR(BgL_l2649z00_2485);
									BgL_l2649z00_2485 = BgL_l2649z00_4962;
									goto BgL_zc3anonymousza32679ze3z83_2486;
								}
							}
						else
							{	/* Cfa/closure.scm 71 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l2651z00_2512;

						BgL_l2651z00_2512 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32699ze3z83_2513:
						if (PAIRP(BgL_l2651z00_2512))
							{	/* Cfa/closure.scm 109 */
								{	/* Cfa/closure.scm 110 */
									obj_t BgL_allocz00_2515;

									BgL_allocz00_2515 = CAR(BgL_l2651z00_2512);
									{	/* Cfa/closure.scm 110 */
										BgL_appz00_bglt BgL_i1151z00_2516;

										BgL_i1151z00_2516 = ((BgL_appz00_bglt) BgL_allocz00_2515);
										{	/* Cfa/closure.scm 111 */
											BgL_valuez00_bglt BgL_fz00_2517;

											{
												BgL_variablez00_bglt BgL_auxz00_4970;

												{
													BgL_varz00_bglt BgL_auxz00_4971;

													{
														obj_t BgL_auxz00_4972;

														{	/* Cfa/closure.scm 111 */
															obj_t BgL_pairz00_4467;

															BgL_pairz00_4467 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1151z00_2516)))->
																BgL_argsz00);
															BgL_auxz00_4972 = CAR(BgL_pairz00_4467);
														}
														BgL_auxz00_4971 =
															((BgL_varz00_bglt) BgL_auxz00_4972);
													}
													BgL_auxz00_4970 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4971))->
														BgL_variablez00);
												}
												BgL_fz00_2517 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_4970))->
													BgL_valuez00);
											}
											{	/* Cfa/closure.scm 113 */
												bool_t BgL_testz00_4979;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4980;

													{
														obj_t BgL_auxz00_4981;

														{	/* Cfa/closure.scm 113 */
															BgL_objectz00_bglt BgL_auxz00_4982;

															BgL_auxz00_4982 =
																((BgL_objectz00_bglt) BgL_i1151z00_2516);
															BgL_auxz00_4981 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4982);
														}
														BgL_auxz00_4980 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_4981);
													}
													BgL_testz00_4979 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_4980))->BgL_xz00);
												}
												if (BgL_testz00_4979)
													{	/* Cfa/closure.scm 113 */
														BgL_sfunz00_bglt BgL_oz00_4474;
														obj_t BgL_vz00_4475;

														BgL_oz00_4474 = ((BgL_sfunz00_bglt) BgL_fz00_2517);
														BgL_vz00_4475 = CNST_TABLE_REF(((long) 1));
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_4474))->
																BgL_strengthz00) =
															((obj_t) BgL_vz00_4475), BUNSPEC);
													}
												else
													{	/* Cfa/closure.scm 114 */
														bool_t BgL_testz00_4990;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_4991;
															{
																obj_t BgL_auxz00_4992;

																{	/* Cfa/closure.scm 114 */
																	BgL_objectz00_bglt BgL_auxz00_4993;

																	BgL_auxz00_4993 =
																		((BgL_objectz00_bglt) BgL_i1151z00_2516);
																	BgL_auxz00_4992 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_4993);
																}
																BgL_auxz00_4991 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_4992);
															}
															BgL_testz00_4990 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_4991))->BgL_tz00);
														}
														if (BgL_testz00_4990)
															{	/* Cfa/closure.scm 114 */
																BgL_sfunz00_bglt BgL_oz00_4477;
																obj_t BgL_vz00_4478;

																BgL_oz00_4477 =
																	((BgL_sfunz00_bglt) BgL_fz00_2517);
																BgL_vz00_4478 = CNST_TABLE_REF(((long) 2));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4477))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4478), BUNSPEC);
															}
														else
															{	/* Cfa/closure.scm 115 */
																BgL_sfunz00_bglt BgL_oz00_4480;
																obj_t BgL_vz00_4481;

																BgL_oz00_4480 =
																	((BgL_sfunz00_bglt) BgL_fz00_2517);
																BgL_vz00_4481 = CNST_TABLE_REF(((long) 3));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4480))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4481), BUNSPEC);
								}}}}}}
								{
									obj_t BgL_l2651z00_5004;

									BgL_l2651z00_5004 = CDR(BgL_l2651z00_2512);
									BgL_l2651z00_2512 = BgL_l2651z00_5004;
									goto BgL_zc3anonymousza32699ze3z83_2513;
								}
							}
						else
							{	/* Cfa/closure.scm 109 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 61 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_4822, obj_t BgL_globalsz00_4823)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 60 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_4823);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 131 */
			{
				obj_t BgL_l2653z00_2526;

				BgL_l2653z00_2526 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza32708ze3z83_2527:
				if (PAIRP(BgL_l2653z00_2526))
					{	/* Cfa/closure.scm 133 */
						{	/* Cfa/closure.scm 134 */
							BgL_funcallz00_bglt BgL_appz00_2529;

							BgL_appz00_2529 = ((BgL_funcallz00_bglt) CAR(BgL_l2653z00_2526));
							{	/* Cfa/closure.scm 135 */
								BgL_nodez00_bglt BgL_funz00_2530;

								BgL_funz00_2530 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2529))->BgL_funz00);
								{	/* Cfa/closure.scm 135 */
									BgL_approxz00_bglt BgL_approxz00_2531;

									BgL_approxz00_2531 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2530);
									{	/* Cfa/closure.scm 136 */
										obj_t BgL_allocz00_2532;

										BgL_allocz00_2532 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2531))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 137 */
											BgL_typez00_bglt BgL_typez00_2533;

											BgL_typez00_2533 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2531))->
												BgL_typez00);
											{	/* Cfa/closure.scm 138 */
												bool_t BgL_topzf3zf3_2534;

												BgL_topzf3zf3_2534 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2531))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 139 */

													if (BgL_topzf3zf3_2534)
														{	/* Cfa/closure.scm 141 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc3095z00zzcfa_closurez00,
																BgL_approxz00_2531);
														}
													else
														{	/* Cfa/closure.scm 152 */
															bool_t BgL_testz00_5023;

															{	/* Cfa/closure.scm 152 */
																obj_t BgL_arg2720z00_2550;

																BgL_arg2720z00_2550 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2532);
																BgL_testz00_5023 =
																	((long) CINT(BgL_arg2720z00_2550) ==
																	((long) 0));
															}
															if (BgL_testz00_5023)
																{	/* Cfa/closure.scm 152 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 155 */
																	bool_t BgL_testz00_5028;

																	{	/* Cfa/closure.scm 155 */
																		bool_t BgL_testz00_5029;

																		{	/* Cfa/closure.scm 155 */
																			obj_t BgL_arg2719z00_2549;

																			BgL_arg2719z00_2549 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2532);
																			BgL_testz00_5029 =
																				((long) CINT(BgL_arg2719z00_2549) ==
																				((long) 1));
																		}
																		if (BgL_testz00_5029)
																			{	/* Cfa/closure.scm 156 */
																				obj_t BgL__ortest_1152z00_2548;

																				BgL__ortest_1152z00_2548 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1152z00_2548))
																					{	/* Cfa/closure.scm 156 */
																						BgL_testz00_5028 =
																							CBOOL(BgL__ortest_1152z00_2548);
																					}
																				else
																					{	/* Cfa/closure.scm 156 */
																						BgL_testz00_5028 =
																							(
																							((obj_t) BgL_typez00_2533) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 155 */
																				BgL_testz00_5028 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_5028)
																		{	/* Cfa/closure.scm 155 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 155 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc3096z00zzcfa_closurez00,
																				BgL_approxz00_2531);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2653z00_5040;

							BgL_l2653z00_5040 = CDR(BgL_l2653z00_2526);
							BgL_l2653z00_2526 = BgL_l2653z00_5040;
							goto BgL_zc3anonymousza32708ze3z83_2527;
						}
					}
				else
					{	/* Cfa/closure.scm 133 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:2711> */
	obj_t BGl_z62zc3anonymousza32711ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4826,
		obj_t BgL_allocz00_4827)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 144 */
			{
				obj_t BgL_allocz00_2536;

				BgL_allocz00_2536 = BgL_allocz00_4827;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2536,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 145 */
						{	/* Cfa/closure.scm 149 */
							BgL_appz00_bglt BgL_oz00_4501;

							BgL_oz00_4501 = ((BgL_appz00_bglt) BgL_allocz00_2536);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5045;

								{
									obj_t BgL_auxz00_5046;

									{	/* Cfa/closure.scm 149 */
										BgL_objectz00_bglt BgL_auxz00_5047;

										BgL_auxz00_5047 = ((BgL_objectz00_bglt) BgL_oz00_4501);
										BgL_auxz00_5046 = BGL_OBJECT_WIDENING(BgL_auxz00_5047);
									}
									BgL_auxz00_5045 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5046);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5045))->
										BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 150 */
							BgL_appz00_bglt BgL_oz00_4504;

							BgL_oz00_4504 = ((BgL_appz00_bglt) BgL_allocz00_2536);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5053;

								{
									obj_t BgL_auxz00_5054;

									{	/* Cfa/closure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_5055;

										BgL_auxz00_5055 = ((BgL_objectz00_bglt) BgL_oz00_4504);
										BgL_auxz00_5054 = BGL_OBJECT_WIDENING(BgL_auxz00_5055);
									}
									BgL_auxz00_5053 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5054);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5053))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 145 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2716> */
	obj_t BGl_z62zc3anonymousza32716ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4828,
		obj_t BgL_allocz00_4829)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 163 */
			{
				obj_t BgL_allocz00_2543;

				BgL_allocz00_2543 = BgL_allocz00_4829;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2543,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 164 */
						{	/* Cfa/closure.scm 168 */
							BgL_appz00_bglt BgL_oz00_4515;

							BgL_oz00_4515 = ((BgL_appz00_bglt) BgL_allocz00_2543);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5063;

								{
									obj_t BgL_auxz00_5064;

									{	/* Cfa/closure.scm 168 */
										BgL_objectz00_bglt BgL_auxz00_5065;

										BgL_auxz00_5065 = ((BgL_objectz00_bglt) BgL_oz00_4515);
										BgL_auxz00_5064 = BGL_OBJECT_WIDENING(BgL_auxz00_5065);
									}
									BgL_auxz00_5063 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5064);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5063))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 164 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 181 */
			{
				bool_t BgL_continuezf3zf3_2554;

				BgL_continuezf3zf3_2554 = ((bool_t) 1);
			BgL_zc3anonymousza32722ze3z83_2555:
				if (BgL_continuezf3zf3_2554)
					{	/* Cfa/closure.scm 186 */
						bool_t BgL_continuezf3zf3_2556;

						BgL_continuezf3zf3_2556 = ((bool_t) 0);
						{
							obj_t BgL_l2657z00_2558;

							BgL_l2657z00_2558 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza32723ze3z83_2559:
							if (PAIRP(BgL_l2657z00_2558))
								{	/* Cfa/closure.scm 187 */
									{	/* Cfa/closure.scm 189 */
										obj_t BgL_appz00_2561;

										BgL_appz00_2561 = CAR(BgL_l2657z00_2558);
										{	/* Cfa/closure.scm 190 */
											BgL_nodez00_bglt BgL_funz00_2562;

											BgL_funz00_2562 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2561)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 190 */
												BgL_approxz00_bglt BgL_approxz00_2563;

												BgL_approxz00_2563 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2562);
												{	/* Cfa/closure.scm 191 */
													obj_t BgL_allocz00_2564;

													BgL_allocz00_2564 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2563))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 192 */
														BgL_typez00_bglt BgL_typez00_2565;

														BgL_typez00_2565 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2563))->
															BgL_typez00);
														{	/* Cfa/closure.scm 193 */
															bool_t BgL_tzd2initzf3z21_2566;

															{	/* Cfa/closure.scm 194 */
																bool_t BgL__ortest_1153z00_2589;

																BgL__ortest_1153z00_2589 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2563))->BgL_topzf3zf3);
																if (BgL__ortest_1153z00_2589)
																	{	/* Cfa/closure.scm 194 */
																		BgL_tzd2initzf3z21_2566 =
																			BgL__ortest_1153z00_2589;
																	}
																else
																	{	/* Cfa/closure.scm 195 */
																		bool_t BgL_testz00_5082;

																		if (
																			(((obj_t) BgL_typez00_2565) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 195 */
																				BgL_testz00_5082 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 195 */
																				BgL_testz00_5082 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_5082)
																			{	/* Cfa/closure.scm 195 */
																				BgL_tzd2initzf3z21_2566 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 195 */
																				BgL_tzd2initzf3z21_2566 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 194 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2568;
																	obj_t BgL_allocsz00_2569;

																	BgL_onezd2nonzd2tzf3zf3_2568 =
																		BgL_tzd2initzf3z21_2566;
																	BgL_allocsz00_2569 = BgL_allocz00_2564;
																BgL_zc3anonymousza32725ze3z83_2570:
																	if (NULLP(BgL_allocsz00_2569))
																		{	/* Cfa/closure.scm 203 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 203 */
																			if (BgL_onezd2nonzd2tzf3zf3_2568)
																				{
																					obj_t BgL_l2655z00_2573;

																					{	/* Cfa/closure.scm 206 */
																						bool_t BgL_auxz00_5091;

																						BgL_l2655z00_2573 =
																							BgL_allocz00_2564;
																					BgL_zc3anonymousza32727ze3z83_2574:
																						if (PAIRP(BgL_l2655z00_2573))
																							{	/* Cfa/closure.scm 206 */
																								{	/* Cfa/closure.scm 208 */
																									obj_t BgL_allocz00_2576;

																									BgL_allocz00_2576 =
																										CAR(BgL_l2655z00_2573);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2576,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 209 */
																											BgL_appz00_bglt
																												BgL_i1154z00_2578;
																											BgL_i1154z00_2578 =
																												((BgL_appz00_bglt)
																												BgL_allocz00_2576);
																											{	/* Cfa/closure.scm 210 */
																												bool_t BgL_testz00_5098;

																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5099;
																													{
																														obj_t
																															BgL_auxz00_5100;
																														{	/* Cfa/closure.scm 210 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5101;
																															BgL_auxz00_5101 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_i1154z00_2578);
																															BgL_auxz00_5100 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_5101);
																														}
																														BgL_auxz00_5099 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5100);
																													}
																													BgL_testz00_5098 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5099))->BgL_tz00);
																												}
																												if (BgL_testz00_5098)
																													{	/* Cfa/closure.scm 210 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5106;
																															{
																																obj_t
																																	BgL_auxz00_5107;
																																{	/* Cfa/closure.scm 212 */
																																	BgL_objectz00_bglt
																																		BgL_auxz00_5108;
																																	BgL_auxz00_5108
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_i1154z00_2578);
																																	BgL_auxz00_5107
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_auxz00_5108);
																																}
																																BgL_auxz00_5106
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5107);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5106))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_2556
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 210 */
																														BFALSE;
																													}
																											}
																										}
																									else
																										{	/* Cfa/closure.scm 208 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l2655z00_5113;

																									BgL_l2655z00_5113 =
																										CDR(BgL_l2655z00_2573);
																									BgL_l2655z00_2573 =
																										BgL_l2655z00_5113;
																									goto
																										BgL_zc3anonymousza32727ze3z83_2574;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 206 */
																								BgL_auxz00_5091 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_5091);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 215 */
																					bool_t BgL_testz00_5116;

																					{	/* Cfa/closure.scm 215 */
																						obj_t BgL_arg2736z00_2587;

																						BgL_arg2736z00_2587 =
																							CAR(BgL_allocsz00_2569);
																						BgL_testz00_5116 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg2736z00_2587,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_5116)
																						{	/* Cfa/closure.scm 216 */
																							BgL_appz00_bglt BgL_i1155z00_2583;

																							{	/* Cfa/closure.scm 216 */
																								obj_t BgL_pairz00_4544;

																								BgL_pairz00_4544 =
																									BgL_allocsz00_2569;
																								BgL_i1155z00_2583 =
																									((BgL_appz00_bglt)
																									CAR(BgL_pairz00_4544));
																							}
																							{	/* Cfa/closure.scm 217 */
																								bool_t BgL_testz00_5121;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5122;
																									{
																										obj_t BgL_auxz00_5123;

																										{	/* Cfa/closure.scm 217 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5124;
																											BgL_auxz00_5124 =
																												((BgL_objectz00_bglt)
																												BgL_i1155z00_2583);
																											BgL_auxz00_5123 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_5124);
																										}
																										BgL_auxz00_5122 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5123);
																									}
																									BgL_testz00_5121 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5122))->BgL_tz00);
																								}
																								if (BgL_testz00_5121)
																									{
																										obj_t BgL_allocsz00_5129;

																										BgL_allocsz00_5129 =
																											CDR(BgL_allocsz00_2569);
																										BgL_allocsz00_2569 =
																											BgL_allocsz00_5129;
																										goto
																											BgL_zc3anonymousza32725ze3z83_2570;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5131;
																										BgL_onezd2nonzd2tzf3zf3_5131
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2568
																											=
																											BgL_onezd2nonzd2tzf3zf3_5131;
																										goto
																											BgL_zc3anonymousza32725ze3z83_2570;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 215 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_5134;

																									BgL_allocsz00_5134 =
																										CDR(BgL_allocsz00_2569);
																									BgL_allocsz00_2569 =
																										BgL_allocsz00_5134;
																									goto
																										BgL_zc3anonymousza32725ze3z83_2570;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5136;
																									BgL_onezd2nonzd2tzf3zf3_5136 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2568 =
																										BgL_onezd2nonzd2tzf3zf3_5136;
																									goto
																										BgL_zc3anonymousza32725ze3z83_2570;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2657z00_5137;

										BgL_l2657z00_5137 = CDR(BgL_l2657z00_2558);
										BgL_l2657z00_2558 = BgL_l2657z00_5137;
										goto BgL_zc3anonymousza32723ze3z83_2559;
									}
								}
							else
								{	/* Cfa/closure.scm 187 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5139;

							BgL_continuezf3zf3_5139 = BgL_continuezf3zf3_2556;
							BgL_continuezf3zf3_2554 = BgL_continuezf3zf3_5139;
							goto BgL_zc3anonymousza32722ze3z83_2555;
						}
					}
				else
					{	/* Cfa/closure.scm 184 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 251 */
			{
				obj_t BgL_appz00_2635;
				obj_t BgL_appz00_2611;

				{
					obj_t BgL_l2659z00_2602;

					BgL_l2659z00_2602 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza32743ze3z83_2603:
					if (PAIRP(BgL_l2659z00_2602))
						{	/* Cfa/closure.scm 290 */
							{	/* Cfa/closure.scm 291 */
								obj_t BgL_appz00_2605;

								BgL_appz00_2605 = CAR(BgL_l2659z00_2602);
								{	/* Cfa/closure.scm 291 */
									BgL_appz00_bglt BgL_i1159z00_2606;

									BgL_i1159z00_2606 = ((BgL_appz00_bglt) BgL_appz00_2605);
									{	/* Cfa/closure.scm 293 */
										bool_t BgL_testz00_5144;

										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5145;

											{
												obj_t BgL_auxz00_5146;

												{	/* Cfa/closure.scm 293 */
													BgL_objectz00_bglt BgL_auxz00_5147;

													BgL_auxz00_5147 =
														((BgL_objectz00_bglt) BgL_i1159z00_2606);
													BgL_auxz00_5146 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5147);
												}
												BgL_auxz00_5145 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_5146);
											}
											BgL_testz00_5144 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_5145))->BgL_xz00);
										}
										if (BgL_testz00_5144)
											{	/* Cfa/closure.scm 293 */
												BgL_appz00_2611 = BgL_appz00_2605;
												{	/* Cfa/closure.scm 253 */
													BgL_appz00_bglt BgL_i1157z00_2613;

													BgL_i1157z00_2613 =
														((BgL_appz00_bglt) BgL_appz00_2611);
													{	/* Cfa/closure.scm 254 */
														obj_t BgL_siza7eza7_2614;

														{	/* Cfa/closure.scm 254 */
															obj_t BgL_arg2764z00_2632;

															{	/* Cfa/closure.scm 254 */
																obj_t BgL_pairz00_4548;

																BgL_pairz00_4548 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1157z00_2613)))->
																	BgL_argsz00);
																BgL_arg2764z00_2632 =
																	CAR(CDR(CDR(BgL_pairz00_4548)));
															}
															BgL_siza7eza7_2614 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2764z00_2632));
														}
														{	/* Cfa/closure.scm 254 */
															BgL_variablez00_bglt BgL_ffunz00_2615;

															{
																BgL_varz00_bglt BgL_auxz00_5160;

																{
																	obj_t BgL_auxz00_5161;

																	{	/* Cfa/closure.scm 255 */
																		obj_t BgL_pairz00_4554;

																		BgL_pairz00_4554 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1157z00_2613)))->BgL_argsz00);
																		BgL_auxz00_5161 = CAR(BgL_pairz00_4554);
																	}
																	BgL_auxz00_5160 =
																		((BgL_varz00_bglt) BgL_auxz00_5161);
																}
																BgL_ffunz00_2615 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_5160))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 255 */
																BgL_valuez00_bglt BgL_sfunz00_2616;

																BgL_sfunz00_2616 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_2615))->BgL_valuez00);
																{	/* Cfa/closure.scm 256 */

																	if (
																		((long) CINT(BgL_siza7eza7_2614) <
																			((long) 1)))
																		{	/* Cfa/closure.scm 258 */
																			{	/* Cfa/closure.scm 259 */
																				bool_t BgL_testz00_5171;

																				{	/* Cfa/closure.scm 259 */
																					bool_t BgL_testz00_5172;

																					{	/* Cfa/closure.scm 259 */
																						bool_t BgL_res3052z00_4565;

																						{	/* Cfa/closure.scm 259 */
																							obj_t BgL_objz00_4564;

																							BgL_objz00_4564 =
																								((obj_t) BgL_ffunz00_2615);
																							BgL_res3052z00_4565 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4564,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5172 =
																							BgL_res3052z00_4565;
																					}
																					if (BgL_testz00_5172)
																						{	/* Cfa/closure.scm 260 */
																							bool_t BgL_testz00_5175;

																							{	/* Cfa/closure.scm 260 */
																								obj_t BgL_arg2757z00_2625;

																								BgL_arg2757z00_2625 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2616))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5175 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2757z00_2625,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5175)
																								{	/* Cfa/closure.scm 261 */
																									BgL_valuez00_bglt
																										BgL_arg2755z00_2623;
																									BgL_arg2755z00_2623 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2616))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 261 */
																										bool_t BgL_res3055z00_4576;

																										{	/* Cfa/closure.scm 261 */
																											obj_t BgL_objz00_4575;

																											BgL_objz00_4575 =
																												((obj_t)
																												BgL_arg2755z00_2623);
																											BgL_res3055z00_4576 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4575,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5171 =
																											BgL_res3055z00_4576;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 260 */
																									BgL_testz00_5171 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 259 */
																							BgL_testz00_5171 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5171)
																					{	/* Cfa/closure.scm 262 */
																						BgL_valuez00_bglt
																							BgL_arg2751z00_2619;
																						BgL_arg2751z00_2619 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2616))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 262 */
																							BgL_scnstz00_bglt BgL_oz00_4582;
																							obj_t BgL_vz00_4583;

																							BgL_oz00_4582 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2751z00_2619);
																							BgL_vz00_4583 =
																								CNST_TABLE_REF(((long) 6));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4582))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4583),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 259 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 264 */
																				BgL_varz00_bglt BgL_arg2758z00_2626;

																				BgL_arg2758z00_2626 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 264 */
																					BgL_variablez00_bglt BgL_vz00_4586;

																					BgL_vz00_4586 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2758z00_2626))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4586), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 265 */
																				BgL_varz00_bglt BgL_arg2759z00_2627;

																				BgL_arg2759z00_2627 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 265 */
																					BgL_typez00_bglt BgL_vz00_4589;

																					BgL_vz00_4589 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2759z00_2627)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4589),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 258 */
																			{	/* Cfa/closure.scm 268 */
																				BgL_varz00_bglt BgL_arg2760z00_2628;

																				BgL_arg2760z00_2628 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 268 */
																					BgL_variablez00_bglt BgL_vz00_4592;

																					BgL_vz00_4592 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2760z00_2628))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4592), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 269 */
																				BgL_varz00_bglt BgL_arg2761z00_2629;

																				BgL_arg2761z00_2629 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 269 */
																					BgL_typez00_bglt BgL_vz00_4595;

																					BgL_vz00_4595 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2761z00_2629)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4595),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1157z00_2613)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																}
															}
														}
													}
													{
														obj_t BgL_auxz00_5221;

														{	/* Cfa/closure.scm 271 */
															obj_t BgL_pairz00_4597;

															BgL_pairz00_4597 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1157z00_2613)))->
																BgL_argsz00);
															{	/* Cfa/closure.scm 271 */
																obj_t BgL_pairz00_4600;

																BgL_pairz00_4600 = CDR(BgL_pairz00_4597);
																BgL_auxz00_5221 = CDR(BgL_pairz00_4600);
															}
														}
														((((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1157z00_2613)))->
																BgL_argsz00) =
															((obj_t) BgL_auxz00_5221), BUNSPEC);
													}
													BgL_appz00_2611;
												}
											}
										else
											{	/* Cfa/closure.scm 294 */
												bool_t BgL_testz00_5228;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5229;

													{
														obj_t BgL_auxz00_5230;

														{	/* Cfa/closure.scm 294 */
															BgL_objectz00_bglt BgL_auxz00_5231;

															BgL_auxz00_5231 =
																((BgL_objectz00_bglt) BgL_i1159z00_2606);
															BgL_auxz00_5230 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5231);
														}
														BgL_auxz00_5229 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5230);
													}
													BgL_testz00_5228 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5229))->BgL_tz00);
												}
												if (BgL_testz00_5228)
													{	/* Cfa/closure.scm 294 */
														BgL_appz00_2635 = BgL_appz00_2605;
														{	/* Cfa/closure.scm 274 */
															BgL_appz00_bglt BgL_i1158z00_2637;

															BgL_i1158z00_2637 =
																((BgL_appz00_bglt) BgL_appz00_2635);
															{	/* Cfa/closure.scm 275 */
																obj_t BgL_siza7eza7_2638;

																{	/* Cfa/closure.scm 275 */
																	obj_t BgL_arg2783z00_2656;

																	{	/* Cfa/closure.scm 275 */
																		obj_t BgL_pairz00_4601;

																		BgL_pairz00_4601 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1158z00_2637)))->BgL_argsz00);
																		BgL_arg2783z00_2656 =
																			CAR(CDR(CDR(BgL_pairz00_4601)));
																	}
																	BgL_siza7eza7_2638 =
																		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																		(((BgL_nodez00_bglt) BgL_arg2783z00_2656));
																}
																{	/* Cfa/closure.scm 275 */
																	BgL_variablez00_bglt BgL_ffunz00_2639;

																	{
																		BgL_varz00_bglt BgL_auxz00_5244;

																		{
																			obj_t BgL_auxz00_5245;

																			{	/* Cfa/closure.scm 276 */
																				obj_t BgL_pairz00_4607;

																				BgL_pairz00_4607 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2637)))->
																					BgL_argsz00);
																				BgL_auxz00_5245 = CAR(BgL_pairz00_4607);
																			}
																			BgL_auxz00_5244 =
																				((BgL_varz00_bglt) BgL_auxz00_5245);
																		}
																		BgL_ffunz00_2639 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_auxz00_5244))->
																			BgL_variablez00);
																	}
																	{	/* Cfa/closure.scm 276 */
																		BgL_valuez00_bglt BgL_sfunz00_2640;

																		BgL_sfunz00_2640 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_ffunz00_2639))->BgL_valuez00);
																		{	/* Cfa/closure.scm 277 */

																			{	/* Cfa/closure.scm 278 */
																				bool_t BgL_testz00_5252;

																				{	/* Cfa/closure.scm 278 */
																					bool_t BgL_testz00_5253;

																					{	/* Cfa/closure.scm 278 */
																						bool_t BgL_res3059z00_4615;

																						{	/* Cfa/closure.scm 278 */
																							obj_t BgL_objz00_4614;

																							BgL_objz00_4614 =
																								((obj_t) BgL_ffunz00_2639);
																							BgL_res3059z00_4615 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4614,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5253 =
																							BgL_res3059z00_4615;
																					}
																					if (BgL_testz00_5253)
																						{	/* Cfa/closure.scm 279 */
																							bool_t BgL_testz00_5256;

																							{	/* Cfa/closure.scm 279 */
																								obj_t BgL_arg2775z00_2648;

																								BgL_arg2775z00_2648 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2640))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5256 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2775z00_2648,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5256)
																								{	/* Cfa/closure.scm 280 */
																									BgL_valuez00_bglt
																										BgL_arg2773z00_2646;
																									BgL_arg2773z00_2646 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2640))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 280 */
																										bool_t BgL_res3062z00_4626;

																										{	/* Cfa/closure.scm 280 */
																											obj_t BgL_objz00_4625;

																											BgL_objz00_4625 =
																												((obj_t)
																												BgL_arg2773z00_2646);
																											BgL_res3062z00_4626 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4625,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5252 =
																											BgL_res3062z00_4626;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 279 */
																									BgL_testz00_5252 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 278 */
																							BgL_testz00_5252 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5252)
																					{	/* Cfa/closure.scm 281 */
																						BgL_valuez00_bglt
																							BgL_arg2769z00_2642;
																						BgL_arg2769z00_2642 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2640))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 281 */
																							BgL_scnstz00_bglt BgL_oz00_4632;
																							obj_t BgL_vz00_4633;

																							BgL_oz00_4632 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2769z00_2642);
																							BgL_vz00_4633 =
																								CNST_TABLE_REF(((long) 7));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4632))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4633),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 278 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 283 */
																				BgL_varz00_bglt BgL_arg2776z00_2649;

																				BgL_arg2776z00_2649 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2637)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 283 */
																					BgL_variablez00_bglt BgL_vz00_4636;

																					BgL_vz00_4636 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2776z00_2649))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4636), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 285 */
																				BgL_varz00_bglt BgL_arg2777z00_2650;

																				BgL_arg2777z00_2650 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2637)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 285 */
																					BgL_typez00_bglt BgL_vz00_4639;

																					BgL_vz00_4639 =
																						((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2777z00_2650)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4639),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1158z00_2637)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00)),
																				BUNSPEC);
																			{	/* Cfa/closure.scm 287 */
																				obj_t BgL_arg2778z00_2651;
																				obj_t BgL_arg2779z00_2652;

																				BgL_arg2778z00_2651 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2637)))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 287 */
																					obj_t BgL_pairz00_4641;

																					BgL_pairz00_4641 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1158z00_2637)))->
																						BgL_argsz00);
																					BgL_arg2779z00_2652 =
																						CDR(CDR(BgL_pairz00_4641));
																				}
																				SET_CDR(BgL_arg2778z00_2651,
																					BgL_arg2779z00_2652);
																			}
																			BgL_appz00_2635;
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/closure.scm 294 */
														BFALSE;
													}
											}
									}
								}
							}
							{
								obj_t BgL_l2659z00_5297;

								BgL_l2659z00_5297 = CDR(BgL_l2659z00_2602);
								BgL_l2659z00_2602 = BgL_l2659z00_5297;
								goto BgL_zc3anonymousza32743ze3z83_2603;
							}
						}
					else
						{	/* Cfa/closure.scm 290 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 300 */
			{
				obj_t BgL_l2666z00_2661;

				BgL_l2666z00_2661 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza32785ze3z83_2662:
				if (PAIRP(BgL_l2666z00_2661))
					{	/* Cfa/closure.scm 301 */
						{	/* Cfa/closure.scm 302 */
							BgL_funcallz00_bglt BgL_appz00_2664;

							BgL_appz00_2664 = ((BgL_funcallz00_bglt) CAR(BgL_l2666z00_2661));
							{	/* Cfa/closure.scm 303 */
								BgL_nodez00_bglt BgL_funz00_2665;

								BgL_funz00_2665 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2664))->BgL_funz00);
								{	/* Cfa/closure.scm 303 */
									BgL_approxz00_bglt BgL_approxz00_2666;

									BgL_approxz00_2666 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2665);
									{	/* Cfa/closure.scm 304 */
										obj_t BgL_alloczd2listzd2_2667;

										BgL_alloczd2listzd2_2667 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2666))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 305 */

											{	/* Cfa/closure.scm 306 */
												bool_t BgL_testz00_5307;

												if (PAIRP(BgL_alloczd2listzd2_2667))
													{	/* Cfa/closure.scm 307 */
														bool_t BgL_testz00_5310;

														{	/* Cfa/closure.scm 307 */
															obj_t BgL_arg2813z00_2707;

															BgL_arg2813z00_2707 =
																CAR(BgL_alloczd2listzd2_2667);
															BgL_testz00_5310 =
																BGl_isazf3zf3zz__objectz00(BgL_arg2813z00_2707,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_5310)
															{	/* Cfa/closure.scm 307 */
																BgL_testz00_5307 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 307 */
																BgL_testz00_5307 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 306 */
														BgL_testz00_5307 = ((bool_t) 1);
													}
												if (BgL_testz00_5307)
													{	/* Cfa/closure.scm 306 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 311 */
														BgL_appz00_bglt BgL_allocz00_2669;

														{	/* Cfa/closure.scm 311 */
															obj_t BgL_pairz00_4664;

															BgL_pairz00_4664 = BgL_alloczd2listzd2_2667;
															BgL_allocz00_2669 =
																((BgL_appz00_bglt) CAR(BgL_pairz00_4664));
														}
														{	/* Cfa/closure.scm 312 */
															BgL_appz00_bglt BgL_i1160z00_2670;

															BgL_i1160z00_2670 =
																((BgL_appz00_bglt) BgL_allocz00_2669);
															{	/* Cfa/closure.scm 314 */
																bool_t BgL_testz00_5317;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5318;
																	{
																		obj_t BgL_auxz00_5319;

																		{	/* Cfa/closure.scm 314 */
																			BgL_objectz00_bglt BgL_auxz00_5320;

																			BgL_auxz00_5320 =
																				((BgL_objectz00_bglt)
																				BgL_i1160z00_2670);
																			BgL_auxz00_5319 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_5320);
																		}
																		BgL_auxz00_5318 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5319);
																	}
																	BgL_testz00_5317 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_5318))->BgL_xz00);
																}
																if (BgL_testz00_5317)
																	{	/* Cfa/closure.scm 314 */
																		{	/* Cfa/closure.scm 318 */
																			BgL_varz00_bglt BgL_arg2789z00_2672;

																			{	/* Cfa/closure.scm 318 */
																				BgL_varz00_bglt
																					BgL_duplicated1162z00_2673;
																				BgL_varz00_bglt BgL_new1161z00_2674;

																				{	/* Cfa/closure.scm 318 */
																					obj_t BgL_pairz00_4665;

																					BgL_pairz00_4665 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1160z00_2670)))->
																						BgL_argsz00);
																					BgL_duplicated1162z00_2673 =
																						((BgL_varz00_bglt)
																						CAR(BgL_pairz00_4665));
																				}
																				{	/* Cfa/closure.scm 318 */
																					BgL_varz00_bglt BgL_new1163z00_2683;

																					BgL_new1163z00_2683 =
																						((BgL_varz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_varz00_bgl))));
																					{	/* Cfa/closure.scm 318 */
																						long BgL_arg2799z00_2684;

																						{	/* Cfa/closure.scm 318 */
																							long BgL_res3069z00_4669;

																							{	/* Cfa/closure.scm 318 */
																								obj_t BgL_classz00_4666;

																								BgL_classz00_4666 =
																									BGl_varz00zzast_nodez00;
																								{	/* Cfa/closure.scm 318 */
																									obj_t BgL_vectorz00_4667;
																									int BgL_kz00_4668;

																									BgL_vectorz00_4667 =
																										BgL_classz00_4666;
																									BgL_kz00_4668 =
																										(int) (((long) 1));
																									BgL_res3069z00_4669 =
																										(long)
																										CINT(VECTOR_REF
																										(BgL_vectorz00_4667,
																											BgL_kz00_4668));
																							}}
																							BgL_arg2799z00_2684 =
																								BgL_res3069z00_4669;
																						}
																						{	/* Cfa/closure.scm 318 */
																							BgL_objectz00_bglt
																								BgL_objz00_4670;
																							BgL_objz00_4670 =
																								((BgL_objectz00_bglt)
																								BgL_new1163z00_2683);
																							BGL_OBJECT_CLASS_NUM_SET
																								(BgL_objz00_4670,
																								BgL_arg2799z00_2684);
																					}}
																					{	/* Cfa/closure.scm 318 */
																						BgL_objectz00_bglt BgL_auxz00_5335;

																						BgL_auxz00_5335 =
																							((BgL_objectz00_bglt)
																							BgL_new1163z00_2683);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_5335, BFALSE);
																					}
																					BgL_new1161z00_2674 =
																						BgL_new1163z00_2683;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1161z00_2674)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_duplicated1162z00_2673)))->
																							BgL_locz00)), BUNSPEC);
																				{
																					BgL_typez00_bglt BgL_auxz00_5342;

																					{	/* Cfa/closure.scm 320 */
																						obj_t BgL_arg2790z00_2675;
																						BgL_typez00_bglt
																							BgL_arg2791z00_2676;
																						{	/* Cfa/closure.scm 320 */
																							BgL_approxz00_bglt
																								BgL_arg2792z00_2677;
																							obj_t BgL_arg2793z00_2678;

																							{
																								BgL_makezd2procedurezd2appz00_bglt
																									BgL_auxz00_5344;
																								{
																									obj_t BgL_auxz00_5345;

																									{	/* Cfa/closure.scm 320 */
																										BgL_objectz00_bglt
																											BgL_auxz00_5346;
																										BgL_auxz00_5346 =
																											((BgL_objectz00_bglt)
																											BgL_i1160z00_2670);
																										BgL_auxz00_5345 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_5346);
																									}
																									BgL_auxz00_5344 =
																										(
																										(BgL_makezd2procedurezd2appz00_bglt)
																										BgL_auxz00_5345);
																								}
																								BgL_arg2792z00_2677 =
																									(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5344))->BgL_approxz00);
																							}
																							{	/* Cfa/closure.scm 320 */
																								obj_t BgL_pairz00_4672;

																								BgL_pairz00_4672 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												BgL_i1160z00_2670)))->
																									BgL_argsz00);
																								BgL_arg2793z00_2678 =
																									CAR(BgL_pairz00_4672);
																							}
																							BgL_arg2790z00_2675 =
																								BGl_getzd2approxzd2typez00zzcfa_typez00
																								(BgL_arg2792z00_2677,
																								BgL_arg2793z00_2678);
																						}
																						{
																							BgL_nodez00_bglt BgL_auxz00_5355;

																							{
																								BgL_varz00_bglt BgL_auxz00_5356;

																								{
																									obj_t BgL_auxz00_5357;

																									{	/* Cfa/closure.scm 321 */
																										obj_t BgL_pairz00_4673;

																										BgL_pairz00_4673 =
																											(((BgL_appz00_bglt) CREF(
																													((BgL_appz00_bglt)
																														BgL_i1160z00_2670)))->
																											BgL_argsz00);
																										BgL_auxz00_5357 =
																											CAR(BgL_pairz00_4673);
																									}
																									BgL_auxz00_5356 =
																										((BgL_varz00_bglt)
																										BgL_auxz00_5357);
																								}
																								BgL_auxz00_5355 =
																									((BgL_nodez00_bglt)
																									BgL_auxz00_5356);
																							}
																							BgL_arg2791z00_2676 =
																								(((BgL_nodez00_bglt)
																									CREF(BgL_auxz00_5355))->
																								BgL_typez00);
																						}
																						BgL_auxz00_5342 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(((BgL_typez00_bglt)
																								BgL_arg2790z00_2675),
																							BgL_arg2791z00_2676);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1161z00_2674)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_auxz00_5342), BUNSPEC);
																				}
																				((((BgL_varz00_bglt)
																							CREF(BgL_new1161z00_2674))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) ((
																								(BgL_varz00_bglt)
																								CREF
																								(BgL_duplicated1162z00_2673))->
																							BgL_variablez00)), BUNSPEC);
																				BgL_arg2789z00_2672 =
																					BgL_new1161z00_2674;
																			}
																			{	/* Cfa/closure.scm 316 */
																				BgL_nodez00_bglt BgL_vz00_4678;

																				BgL_vz00_4678 =
																					((BgL_nodez00_bglt)
																					BgL_arg2789z00_2672);
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2664))->
																						BgL_funz00) =
																					((BgL_nodez00_bglt) BgL_vz00_4678),
																					BUNSPEC);
																		}}
																		{	/* Cfa/closure.scm 322 */
																			obj_t BgL_arg2800z00_2685;

																			{	/* Cfa/closure.scm 322 */
																				obj_t BgL_arg2801z00_2686;

																				{	/* Cfa/closure.scm 322 */
																					obj_t BgL_pairz00_4680;

																					BgL_pairz00_4680 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1160z00_2670)))->
																						BgL_argsz00);
																					BgL_arg2801z00_2686 =
																						CAR(BgL_pairz00_4680);
																				}
																				{	/* Cfa/closure.scm 322 */
																					obj_t BgL_list2802z00_2687;

																					BgL_list2802z00_2687 =
																						MAKE_PAIR(BgL_arg2801z00_2686,
																						BNIL);
																					BgL_arg2800z00_2685 =
																						BgL_list2802z00_2687;
																			}}
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2664))->
																					BgL_functionsz00) =
																				((obj_t) BgL_arg2800z00_2685), BUNSPEC);
																		}
																		{	/* Cfa/closure.scm 323 */
																			obj_t BgL_vz00_4687;

																			BgL_vz00_4687 =
																				CNST_TABLE_REF(((long) 1));
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2664))->
																					BgL_strengthz00) =
																				((obj_t) BgL_vz00_4687), BUNSPEC);
																	}}
																else
																	{	/* Cfa/closure.scm 324 */
																		bool_t BgL_testz00_5378;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5379;
																			{
																				obj_t BgL_auxz00_5380;

																				{	/* Cfa/closure.scm 324 */
																					BgL_objectz00_bglt BgL_auxz00_5381;

																					BgL_auxz00_5381 =
																						((BgL_objectz00_bglt)
																						BgL_i1160z00_2670);
																					BgL_auxz00_5380 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5381);
																				}
																				BgL_auxz00_5379 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5380);
																			}
																			BgL_testz00_5378 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5379))->BgL_tz00);
																		}
																		if (BgL_testz00_5378)
																			{	/* Cfa/closure.scm 324 */
																				{	/* Cfa/closure.scm 326 */
																					obj_t BgL_fz00_2690;

																					if (NULLP(BgL_alloczd2listzd2_2667))
																						{	/* Cfa/closure.scm 326 */
																							BgL_fz00_2690 = BNIL;
																						}
																					else
																						{	/* Cfa/closure.scm 326 */
																							obj_t BgL_head2663z00_2693;

																							{	/* Cfa/closure.scm 326 */
																								obj_t BgL_res3073z00_4693;

																								BgL_res3073z00_4693 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head2663z00_2693 =
																									BgL_res3073z00_4693;
																							}
																							{
																								obj_t BgL_l2661z00_2695;
																								obj_t BgL_tail2664z00_2696;

																								BgL_l2661z00_2695 =
																									BgL_alloczd2listzd2_2667;
																								BgL_tail2664z00_2696 =
																									BgL_head2663z00_2693;
																							BgL_zc3anonymousza32806ze3z83_2697:
																								if (NULLP
																									(BgL_l2661z00_2695))
																									{	/* Cfa/closure.scm 326 */
																										BgL_fz00_2690 =
																											CDR(BgL_head2663z00_2693);
																									}
																								else
																									{	/* Cfa/closure.scm 326 */
																										obj_t
																											BgL_newtail2665z00_2699;
																										{	/* Cfa/closure.scm 326 */
																											obj_t BgL_arg2809z00_2701;

																											{	/* Cfa/closure.scm 327 */
																												obj_t BgL_pairz00_4700;

																												{
																													BgL_appz00_bglt
																														BgL_auxz00_5392;
																													{
																														BgL_appz00_bglt
																															BgL_auxz00_5393;
																														{
																															obj_t
																																BgL_auxz00_5394;
																															{	/* Cfa/closure.scm 326 */
																																obj_t
																																	BgL_pairz00_4697;
																																BgL_pairz00_4697
																																	=
																																	BgL_l2661z00_2695;
																																BgL_auxz00_5394
																																	=
																																	CAR
																																	(BgL_pairz00_4697);
																															}
																															BgL_auxz00_5393 =
																																(
																																(BgL_appz00_bglt)
																																BgL_auxz00_5394);
																														}
																														BgL_auxz00_5392 =
																															((BgL_appz00_bglt)
																															BgL_auxz00_5393);
																													}
																													BgL_pairz00_4700 =
																														(((BgL_appz00_bglt)
																															CREF
																															(BgL_auxz00_5392))->
																														BgL_argsz00);
																												}
																												BgL_arg2809z00_2701 =
																													CAR(BgL_pairz00_4700);
																											}
																											{	/* Cfa/closure.scm 326 */
																												obj_t
																													BgL_res3075z00_4703;
																												BgL_res3075z00_4703 =
																													MAKE_PAIR
																													(BgL_arg2809z00_2701,
																													BNIL);
																												BgL_newtail2665z00_2699
																													= BgL_res3075z00_4703;
																											}
																										}
																										SET_CDR
																											(BgL_tail2664z00_2696,
																											BgL_newtail2665z00_2699);
																										{
																											obj_t
																												BgL_tail2664z00_5404;
																											obj_t BgL_l2661z00_5402;

																											BgL_l2661z00_5402 =
																												CDR(BgL_l2661z00_2695);
																											BgL_tail2664z00_5404 =
																												BgL_newtail2665z00_2699;
																											BgL_tail2664z00_2696 =
																												BgL_tail2664z00_5404;
																											BgL_l2661z00_2695 =
																												BgL_l2661z00_5402;
																											goto
																												BgL_zc3anonymousza32806ze3z83_2697;
																										}
																									}
																							}
																						}
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2664))->
																							BgL_functionsz00) =
																						((obj_t) BgL_fz00_2690), BUNSPEC);
																				}
																				{	/* Cfa/closure.scm 330 */
																					obj_t BgL_vz00_4711;

																					BgL_vz00_4711 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2664))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_4711), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 324 */
																				CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}}
						{
							obj_t BgL_l2666z00_5409;

							BgL_l2666z00_5409 = CDR(BgL_l2666z00_2661);
							BgL_l2666z00_2661 = BgL_l2666z00_5409;
							goto BgL_zc3anonymousza32785ze3z83_2662;
						}
					}
				else
					{	/* Cfa/closure.scm 301 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 339 */
			{
				obj_t BgL_l2668z00_2712;

				BgL_l2668z00_2712 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza32816ze3z83_2713:
				if (PAIRP(BgL_l2668z00_2712))
					{	/* Cfa/closure.scm 340 */
						{	/* Cfa/closure.scm 342 */
							obj_t BgL_appz00_2715;

							BgL_appz00_2715 = CAR(BgL_l2668z00_2712);
							{	/* Cfa/closure.scm 342 */
								BgL_approxz00_bglt BgL_approxz00_2717;

								{	/* Cfa/closure.scm 343 */
									obj_t BgL_arg2827z00_2732;

									{	/* Cfa/closure.scm 343 */
										obj_t BgL_pairz00_4721;

										BgL_pairz00_4721 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2715)))->BgL_argsz00);
										BgL_arg2827z00_2732 = CAR(BgL_pairz00_4721);
									}
									BgL_approxz00_2717 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2827z00_2732));
								}
								{	/* Cfa/closure.scm 343 */
									obj_t BgL_alloczd2listzd2_2718;

									BgL_alloczd2listzd2_2718 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_2717))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 344 */
										BgL_varz00_bglt BgL_funz00_2719;

										BgL_funz00_2719 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2715)))->BgL_funz00);
										{	/* Cfa/closure.scm 345 */
											BgL_variablez00_bglt BgL_vfunz00_2720;

											BgL_vfunz00_2720 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_2719))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 346 */

												{	/* Cfa/closure.scm 347 */
													bool_t BgL_testz00_5424;

													if (PAIRP(BgL_alloczd2listzd2_2718))
														{	/* Cfa/closure.scm 348 */
															bool_t BgL_testz00_5427;

															{	/* Cfa/closure.scm 348 */
																obj_t BgL_arg2825z00_2730;

																BgL_arg2825z00_2730 =
																	CAR(BgL_alloczd2listzd2_2718);
																BgL_testz00_5427 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2825z00_2730,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5427)
																{	/* Cfa/closure.scm 348 */
																	BgL_testz00_5424 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 348 */
																	BgL_testz00_5424 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 347 */
															BgL_testz00_5424 = ((bool_t) 1);
														}
													if (BgL_testz00_5424)
														{	/* Cfa/closure.scm 347 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 350 */
															BgL_appz00_bglt BgL_allocz00_2722;

															{	/* Cfa/closure.scm 350 */
																obj_t BgL_pairz00_4735;

																BgL_pairz00_4735 = BgL_alloczd2listzd2_2718;
																BgL_allocz00_2722 =
																	((BgL_appz00_bglt) CAR(BgL_pairz00_4735));
															}
															{	/* Cfa/closure.scm 351 */
																BgL_appz00_bglt BgL_i1164z00_2723;

																BgL_i1164z00_2723 =
																	((BgL_appz00_bglt) BgL_allocz00_2722);
																{	/* Cfa/closure.scm 353 */
																	bool_t BgL_testz00_5434;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5435;
																		{
																			obj_t BgL_auxz00_5436;

																			{	/* Cfa/closure.scm 353 */
																				BgL_objectz00_bglt BgL_auxz00_5437;

																				BgL_auxz00_5437 =
																					((BgL_objectz00_bglt)
																					BgL_i1164z00_2723);
																				BgL_auxz00_5436 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5437);
																			}
																			BgL_auxz00_5435 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5436);
																		}
																		BgL_testz00_5434 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5435))->BgL_xz00);
																	}
																	if (BgL_testz00_5434)
																		{	/* Cfa/closure.scm 353 */
																			if (
																				(((obj_t) BgL_vfunz00_2720) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 355 */
																					BgL_variablez00_bglt BgL_vz00_4737;

																					BgL_vz00_4737 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2719))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4737), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 356 */
																					BgL_variablez00_bglt BgL_vz00_4740;

																					BgL_vz00_4740 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2719))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4740), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 357 */
																			bool_t BgL_testz00_5449;

																			{
																				BgL_makezd2procedurezd2appz00_bglt
																					BgL_auxz00_5450;
																				{
																					obj_t BgL_auxz00_5451;

																					{	/* Cfa/closure.scm 357 */
																						BgL_objectz00_bglt BgL_auxz00_5452;

																						BgL_auxz00_5452 =
																							((BgL_objectz00_bglt)
																							BgL_i1164z00_2723);
																						BgL_auxz00_5451 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5452);
																					}
																					BgL_auxz00_5450 =
																						(
																						(BgL_makezd2procedurezd2appz00_bglt)
																						BgL_auxz00_5451);
																				}
																				BgL_testz00_5449 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5450))->BgL_tz00);
																			}
																			if (BgL_testz00_5449)
																				{	/* Cfa/closure.scm 357 */
																					if (
																						(((obj_t) BgL_vfunz00_2720) ==
																							BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																						{	/* Cfa/closure.scm 359 */
																							BgL_variablez00_bglt
																								BgL_vz00_4743;
																							BgL_vz00_4743 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2719))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_4743), BUNSPEC);
																						}
																					else
																						{	/* Cfa/closure.scm 360 */
																							BgL_variablez00_bglt
																								BgL_vz00_4746;
																							BgL_vz00_4746 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2719))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_4746), BUNSPEC);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 357 */
																					BFALSE;
																				}
																		}
																}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2668z00_5464;

							BgL_l2668z00_5464 = CDR(BgL_l2668z00_2712);
							BgL_l2668z00_2712 = BgL_l2668z00_5464;
							goto BgL_zc3anonymousza32816ze3z83_2713;
						}
					}
				else
					{	/* Cfa/closure.scm 340 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 366 */
			{
				obj_t BgL_xpz00_2740;
				obj_t BgL_tpz00_2741;
				obj_t BgL_allocsz00_2742;

				BgL_xpz00_2740 = BNIL;
				BgL_tpz00_2741 = BNIL;
				BgL_allocsz00_2742 = BgL_allocsz00_8;
			BgL_zc3anonymousza32831ze3z83_2743:
				if (NULLP(BgL_allocsz00_2742))
					{	/* Cfa/closure.scm 377 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_2740);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_2741);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 382 */
						BgL_appz00_bglt BgL_i1167z00_2745;

						{	/* Cfa/closure.scm 382 */
							obj_t BgL_pairz00_4759;

							BgL_pairz00_4759 = BgL_allocsz00_2742;
							BgL_i1167z00_2745 = ((BgL_appz00_bglt) CAR(BgL_pairz00_4759));
						}
						{	/* Cfa/closure.scm 384 */
							bool_t BgL_testz00_5474;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5475;

								{
									obj_t BgL_auxz00_5476;

									{	/* Cfa/closure.scm 384 */
										BgL_objectz00_bglt BgL_auxz00_5477;

										BgL_auxz00_5477 = ((BgL_objectz00_bglt) BgL_i1167z00_2745);
										BgL_auxz00_5476 = BGL_OBJECT_WIDENING(BgL_auxz00_5477);
									}
									BgL_auxz00_5475 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5476);
								}
								BgL_testz00_5474 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_5475))->BgL_xz00);
							}
							if (BgL_testz00_5474)
								{	/* Cfa/closure.scm 385 */
									obj_t BgL_arg2834z00_2747;
									obj_t BgL_arg2835z00_2748;

									{	/* Cfa/closure.scm 385 */
										BgL_variablez00_bglt BgL_arg2836z00_2749;

										{
											BgL_varz00_bglt BgL_auxz00_5482;

											{
												obj_t BgL_auxz00_5483;

												{	/* Cfa/closure.scm 385 */
													obj_t BgL_pairz00_4760;

													BgL_pairz00_4760 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_i1167z00_2745)))->
														BgL_argsz00);
													BgL_auxz00_5483 = CAR(BgL_pairz00_4760);
												}
												BgL_auxz00_5482 = ((BgL_varz00_bglt) BgL_auxz00_5483);
											}
											BgL_arg2836z00_2749 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5482))->
												BgL_variablez00);
										}
										BgL_arg2834z00_2747 =
											MAKE_PAIR(((obj_t) BgL_arg2836z00_2749), BgL_xpz00_2740);
									}
									BgL_arg2835z00_2748 = CDR(BgL_allocsz00_2742);
									{
										obj_t BgL_allocsz00_5493;
										obj_t BgL_xpz00_5492;

										BgL_xpz00_5492 = BgL_arg2834z00_2747;
										BgL_allocsz00_5493 = BgL_arg2835z00_2748;
										BgL_allocsz00_2742 = BgL_allocsz00_5493;
										BgL_xpz00_2740 = BgL_xpz00_5492;
										goto BgL_zc3anonymousza32831ze3z83_2743;
									}
								}
							else
								{	/* Cfa/closure.scm 386 */
									bool_t BgL_testz00_5494;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5495;

										{
											obj_t BgL_auxz00_5496;

											{	/* Cfa/closure.scm 386 */
												BgL_objectz00_bglt BgL_auxz00_5497;

												BgL_auxz00_5497 =
													((BgL_objectz00_bglt) BgL_i1167z00_2745);
												BgL_auxz00_5496 = BGL_OBJECT_WIDENING(BgL_auxz00_5497);
											}
											BgL_auxz00_5495 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5496);
										}
										BgL_testz00_5494 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_5495))->BgL_tz00);
									}
									if (BgL_testz00_5494)
										{	/* Cfa/closure.scm 387 */
											obj_t BgL_arg2840z00_2753;
											obj_t BgL_arg2841z00_2754;

											{	/* Cfa/closure.scm 387 */
												BgL_variablez00_bglt BgL_arg2842z00_2755;

												{
													BgL_varz00_bglt BgL_auxz00_5502;

													{
														obj_t BgL_auxz00_5503;

														{	/* Cfa/closure.scm 387 */
															obj_t BgL_pairz00_4765;

															BgL_pairz00_4765 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1167z00_2745)))->
																BgL_argsz00);
															BgL_auxz00_5503 = CAR(BgL_pairz00_4765);
														}
														BgL_auxz00_5502 =
															((BgL_varz00_bglt) BgL_auxz00_5503);
													}
													BgL_arg2842z00_2755 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5502))->
														BgL_variablez00);
												}
												BgL_arg2840z00_2753 =
													MAKE_PAIR(
													((obj_t) BgL_arg2842z00_2755), BgL_tpz00_2741);
											}
											BgL_arg2841z00_2754 = CDR(BgL_allocsz00_2742);
											{
												obj_t BgL_allocsz00_5513;
												obj_t BgL_tpz00_5512;

												BgL_tpz00_5512 = BgL_arg2840z00_2753;
												BgL_allocsz00_5513 = BgL_arg2841z00_2754;
												BgL_allocsz00_2742 = BgL_allocsz00_5513;
												BgL_tpz00_2741 = BgL_tpz00_5512;
												goto BgL_zc3anonymousza32831ze3z83_2743;
											}
										}
									else
										{
											obj_t BgL_allocsz00_5514;

											BgL_allocsz00_5514 = CDR(BgL_allocsz00_2742);
											BgL_allocsz00_2742 = BgL_allocsz00_5514;
											goto BgL_zc3anonymousza32831ze3z83_2743;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_2760,
		obj_t BgL_lz00_2761)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 373 */
			if (NULLP(BgL_lz00_2761))
				{	/* Cfa/closure.scm 368 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 368 */
					{	/* Cfa/closure.scm 370 */
						obj_t BgL_arg2848z00_2764;

						BgL_arg2848z00_2764 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_2761));
						{	/* Cfa/closure.scm 370 */
							obj_t BgL_list2849z00_2765;

							{	/* Cfa/closure.scm 370 */
								obj_t BgL_arg2850z00_2766;

								{	/* Cfa/closure.scm 370 */
									obj_t BgL_arg2851z00_2767;

									{	/* Cfa/closure.scm 370 */
										obj_t BgL_arg2852z00_2768;

										{	/* Cfa/closure.scm 370 */
											obj_t BgL_arg2853z00_2769;

											BgL_arg2853z00_2769 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2852z00_2768 =
												MAKE_PAIR(BgL_arg2848z00_2764, BgL_arg2853z00_2769);
										}
										BgL_arg2851z00_2767 =
											MAKE_PAIR(BGl_string3097z00zzcfa_closurez00,
											BgL_arg2852z00_2768);
									}
									BgL_arg2850z00_2766 =
										MAKE_PAIR(BgL_propz00_2760, BgL_arg2851z00_2767);
								}
								BgL_list2849z00_2765 =
									MAKE_PAIR(BGl_string3098z00zzcfa_closurez00,
									BgL_arg2850z00_2766);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2849z00_2765);
					}}
					{	/* Cfa/closure.scm 371 */
						obj_t BgL_g2672z00_2771;

						BgL_g2672z00_2771 = CDR(BgL_lz00_2761);
						{
							obj_t BgL_l2670z00_2773;

							BgL_l2670z00_2773 = BgL_g2672z00_2771;
						BgL_zc3anonymousza32855ze3z83_2774:
							if (PAIRP(BgL_l2670z00_2773))
								{	/* Cfa/closure.scm 373 */
									{	/* Cfa/closure.scm 372 */
										obj_t BgL_xz00_2776;

										BgL_xz00_2776 = CAR(BgL_l2670z00_2773);
										{	/* Cfa/closure.scm 372 */
											obj_t BgL_arg2857z00_2777;

											BgL_arg2857z00_2777 =
												BGl_shapez00zztools_shapez00(BgL_xz00_2776);
											{	/* Cfa/closure.scm 372 */
												obj_t BgL_list2858z00_2778;

												{	/* Cfa/closure.scm 372 */
													obj_t BgL_arg2859z00_2779;

													{	/* Cfa/closure.scm 372 */
														obj_t BgL_arg2860z00_2780;

														BgL_arg2860z00_2780 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2859z00_2779 =
															MAKE_PAIR(BgL_arg2857z00_2777,
															BgL_arg2860z00_2780);
													}
													BgL_list2858z00_2778 =
														MAKE_PAIR(BGl_string3099z00zzcfa_closurez00,
														BgL_arg2859z00_2779);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2858z00_2778);
									}}}
									{
										obj_t BgL_l2670z00_5539;

										BgL_l2670z00_5539 = CDR(BgL_l2670z00_2773);
										BgL_l2670z00_2773 = BgL_l2670z00_5539;
										goto BgL_zc3anonymousza32855ze3z83_2774;
									}
								}
							else
								{	/* Cfa/closure.scm 373 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_4830)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 407 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 408 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_9),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 408 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_4831,
		obj_t BgL_astz00_4832)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 407 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4832));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 414 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 415 */
					return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 415 */
					return BFALSE;
				}
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_4833, obj_t BgL_astz00_4834)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 414 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4834));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 421 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 422 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_11),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 422 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_4835, obj_t BgL_astz00_4836)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 421 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4836));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 428 */
			{	/* Cfa/closure.scm 429 */
				BgL_typez00_bglt BgL_typez00_2787;
				obj_t BgL_alloczd2listzd2_2788;

				BgL_typez00_2787 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_12))->BgL_typez00);
				BgL_alloczd2listzd2_2788 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_12))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_2787) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 431 */
						if (PAIRP(BgL_alloczd2listzd2_2788))
							{	/* Cfa/closure.scm 432 */
								if (NULLP(CDR(BgL_alloczd2listzd2_2788)))
									{	/* Cfa/closure.scm 434 */
										bool_t BgL_testz00_5573;

										{	/* Cfa/closure.scm 434 */
											obj_t BgL_arg2866z00_2794;

											BgL_arg2866z00_2794 = CAR(BgL_alloczd2listzd2_2788);
											BgL_testz00_5573 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2866z00_2794,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_5573)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5576;

												{
													obj_t BgL_auxz00_5577;

													{	/* Cfa/closure.scm 435 */
														BgL_objectz00_bglt BgL_auxz00_5578;

														BgL_auxz00_5578 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_2788)));
														BgL_auxz00_5577 =
															BGL_OBJECT_WIDENING(BgL_auxz00_5578);
													}
													BgL_auxz00_5576 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5577);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_5576))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 434 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 433 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 432 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 431 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_4837, obj_t BgL_approxz00_4838)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 428 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_4838)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 452 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 465 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_4839)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 465 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3100z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
