/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62zc3anonymousza32729ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo2653z50zzcfa_funcallz00(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62zc3anonymousza32738ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32748ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2963z00zzcfa_funcallz00,
		BgL_bgl_string2963za700za7za7c2975za7, "cfa", 3);
	      DEFINE_STRING(BGl_string2964z00zzcfa_funcallz00,
		BgL_bgl_string2964za700za7za7c2976za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string2965z00zzcfa_funcallz00,
		BgL_bgl_string2965za700za7za7c2977za7, " provided", 9);
	      DEFINE_STRING(BGl_string2966z00zzcfa_funcallz00,
		BgL_bgl_string2966za700za7za7c2978za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string2967z00zzcfa_funcallz00,
		BgL_bgl_string2967za700za7za7c2979za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string2969z00zzcfa_funcallz00,
		BgL_bgl_string2969za700za7za7c2980za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2971z00zzcfa_funcallz00,
		BgL_bgl_string2971za700za7za7c2981za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string2972z00zzcfa_funcallz00,
		BgL_bgl_string2972za700za7za7c2982za7, "all ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2968z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func2983za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo2653z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2970z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3anonymousza72984za7,
		BGl_z62zc3anonymousza32748ze3ze1zzcfa_funcallz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_4486, char *BgL_fromz00_4487)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_4478;

				BgL_cportz00_4478 =
					bgl_open_input_string(BGl_string2972z00zzcfa_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4479;

					BgL_iz00_4479 = ((long) 0);
				BgL_loopz00_4480:
					if ((BgL_iz00_4479 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg2974z00_4482;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_4484;

										BgL_locationz00_4484 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg2974z00_4482 =
												BGl_readz00zz__readerz00(BgL_cportz00_4478,
												BgL_locationz00_4484);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_auxz00_4507;

									BgL_auxz00_4507 = (int) (BgL_iz00_4479);
									CNST_TABLE_SET(BgL_auxz00_4507, BgL_arg2974z00_4482);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_4485;

								BgL_auxz00_4485 = (int) ((BgL_iz00_4479 - ((long) 1)));
								{
									long BgL_iz00_4512;

									BgL_iz00_4512 = (long) (BgL_auxz00_4485);
									BgL_iz00_4479 = BgL_iz00_4512;
									goto BgL_loopz00_4480;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 109 */
			{	/* Cfa/funcall.scm 111 */
				long BgL_miz00_2487;

				BgL_miz00_2487 =
					(((long) 1) +
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 112 */
					long BgL_lz00_2489;

					BgL_lz00_2489 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 113 */

						if ((BgL_lz00_2489 >= BgL_miz00_2487))
							{	/* Cfa/funcall.scm 114 */
								return
									(BgL_lz00_2489 <=
									(BgL_miz00_2487 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 114 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 119 */
			{	/* Cfa/funcall.scm 121 */
				long BgL_miz00_2494;

				BgL_miz00_2494 =
					(((long) 1) +
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 122 */
					long BgL_lz00_2496;

					BgL_lz00_2496 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 123 */

						if ((BgL_lz00_2496 >= BgL_miz00_2494))
							{	/* Cfa/funcall.scm 124 */
								return
									(BgL_lz00_2496 <=
									(BgL_miz00_2494 +
										(((long) 2) *
											bgl_list_length(
												(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 124 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 129 */
			{	/* Cfa/funcall.scm 130 */
				obj_t BgL_gz00_2502;

				BgL_gz00_2502 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2502))
					{	/* Cfa/funcall.scm 132 */
						return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_gz00_2502))))->BgL_valuez00),
							BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 132 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2502))
							{	/* Cfa/funcall.scm 134 */
								return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_2502))))->
										BgL_valuez00), BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 137 */
								long BgL_arg2670z00_2507;

								BgL_arg2670z00_2507 =
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg2670z00_2507), BgL_argszd2approxzd2_9);
							}
					}
			}
		}
	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 142 */
			{	/* Cfa/funcall.scm 143 */
				obj_t BgL_calleez00_2508;

				{	/* Cfa/funcall.scm 143 */
					obj_t BgL_pairz00_4333;

					BgL_pairz00_4333 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_2508 = CAR(BgL_pairz00_4333);
				}
				{	/* Cfa/funcall.scm 143 */
					BgL_variablez00_bglt BgL_vz00_2509;

					BgL_vz00_2509 =
						(((BgL_varz00_bglt) CREF(
								((BgL_varz00_bglt) BgL_calleez00_2508)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 144 */
						BgL_valuez00_bglt BgL_funz00_2510;

						BgL_funz00_2510 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_2509))->BgL_valuez00);
						{	/* Cfa/funcall.scm 145 */
							long BgL_arityz00_2511;

							BgL_arityz00_2511 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_2510)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 146 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_2510, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 154 */
										bool_t BgL_testz00_4565;

										{	/* Cfa/funcall.scm 154 */
											bool_t BgL_testz00_4566;

											{	/* Cfa/funcall.scm 154 */
												obj_t BgL_arg2693z00_2546;

												BgL_arg2693z00_2546 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_2510)))->
													BgL_thezd2closurezd2globalz00);
												BgL_testz00_4566 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg2693z00_2546);
											}
											if (BgL_testz00_4566)
												{	/* Cfa/funcall.scm 154 */
													BgL_testz00_4565 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 155 */
													obj_t BgL_arg2692z00_2545;

													BgL_arg2692z00_2545 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_funz00_2510)))->
														BgL_thezd2closurezd2globalz00);
													BgL_testz00_4565 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg2692z00_2545);
												}
										}
										if (BgL_testz00_4565)
											{	/* Cfa/funcall.scm 154 */
												{
													obj_t BgL_l2648z00_2515;

													BgL_l2648z00_2515 = BgL_argszd2approxzd2_11;
												BgL_zc3anonymousza32673ze3z83_2516:
													if (PAIRP(BgL_l2648z00_2515))
														{	/* Cfa/funcall.scm 158 */
															{	/* Cfa/funcall.scm 158 */
																obj_t BgL_approxz00_2518;

																BgL_approxz00_2518 = CAR(BgL_l2648z00_2515);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_2518),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l2648z00_4579;

																BgL_l2648z00_4579 = CDR(BgL_l2648z00_2515);
																BgL_l2648z00_2515 = BgL_l2648z00_4579;
																goto BgL_zc3anonymousza32673ze3z83_2516;
															}
														}
													else
														{	/* Cfa/funcall.scm 158 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 154 */
												if ((BgL_arityz00_2511 >= ((long) 0)))
													{	/* Cfa/funcall.scm 160 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_2510),
															((BgL_varz00_bglt) BgL_calleez00_2508),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 160 */
														{
															obj_t BgL_oldzd2argszd2approxz00_2524;
															obj_t BgL_newzd2argszd2approxz00_2525;
															long BgL_arityz00_2526;

															BgL_oldzd2argszd2approxz00_2524 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_2525 = BNIL;
															BgL_arityz00_2526 = BgL_arityz00_2511;
														BgL_zc3anonymousza32677ze3z83_2527:
															if ((BgL_arityz00_2526 == ((long) -1)))
																{	/* Cfa/funcall.scm 170 */
																	{
																		obj_t BgL_l2650z00_2530;

																		BgL_l2650z00_2530 =
																			BgL_oldzd2argszd2approxz00_2524;
																	BgL_zc3anonymousza32679ze3z83_2531:
																		if (PAIRP(BgL_l2650z00_2530))
																			{	/* Cfa/funcall.scm 172 */
																				{	/* Cfa/funcall.scm 172 */
																					obj_t BgL_approxz00_2533;

																					BgL_approxz00_2533 =
																						CAR(BgL_l2650z00_2530);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_2533),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l2650z00_4596;

																					BgL_l2650z00_4596 =
																						CDR(BgL_l2650z00_2530);
																					BgL_l2650z00_2530 = BgL_l2650z00_4596;
																					goto
																						BgL_zc3anonymousza32679ze3z83_2531;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 172 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 176 */
																		obj_t BgL_arg2682z00_2536;

																		{	/* Cfa/funcall.scm 176 */
																			obj_t BgL_arg2683z00_2537;

																			{	/* Cfa/funcall.scm 176 */
																				BgL_approxz00_bglt BgL_arg2684z00_2538;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_4598;
																					{
																						obj_t BgL_auxz00_4599;

																						{	/* Cfa/funcall.scm 176 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4600;
																							BgL_auxz00_4600 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_4599 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_4600);
																						}
																						BgL_auxz00_4598 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_4599);
																					}
																					BgL_arg2684z00_2538 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							CREF(BgL_auxz00_4598))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg2683z00_2537 =
																					MAKE_PAIR(
																					((obj_t) BgL_arg2684z00_2538),
																					BgL_newzd2argszd2approxz00_2525);
																			}
																			BgL_arg2682z00_2536 =
																				bgl_reverse_bang(BgL_arg2683z00_2537);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_2510),
																			((BgL_varz00_bglt) BgL_calleez00_2508),
																			BgL_arg2682z00_2536);
																	}
																}
															else
																{	/* Cfa/funcall.scm 178 */
																	obj_t BgL_arg2685z00_2539;
																	obj_t BgL_arg2687z00_2540;
																	long BgL_arg2688z00_2541;

																	BgL_arg2685z00_2539 =
																		CDR(BgL_oldzd2argszd2approxz00_2524);
																	BgL_arg2687z00_2540 =
																		MAKE_PAIR(CAR
																		(BgL_oldzd2argszd2approxz00_2524),
																		BgL_newzd2argszd2approxz00_2525);
																	BgL_arg2688z00_2541 =
																		(BgL_arityz00_2526 + ((long) 1));
																	{
																		long BgL_arityz00_4617;
																		obj_t BgL_newzd2argszd2approxz00_4616;
																		obj_t BgL_oldzd2argszd2approxz00_4615;

																		BgL_oldzd2argszd2approxz00_4615 =
																			BgL_arg2685z00_2539;
																		BgL_newzd2argszd2approxz00_4616 =
																			BgL_arg2687z00_2540;
																		BgL_arityz00_4617 = BgL_arg2688z00_2541;
																		BgL_arityz00_2526 = BgL_arityz00_4617;
																		BgL_newzd2argszd2approxz00_2525 =
																			BgL_newzd2argszd2approxz00_4616;
																		BgL_oldzd2argszd2approxz00_2524 =
																			BgL_oldzd2argszd2approxz00_4615;
																		goto BgL_zc3anonymousza32677ze3z83_2527;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 151 */
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_2509, BgL_arityz00_2511,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}
	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, BgL_typez00_bglt BgL_typez00_14)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 185 */
			{	/* Cfa/funcall.scm 188 */
				bool_t BgL_testz00_4619;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4620;

					{
						obj_t BgL_auxz00_4621;

						{	/* Cfa/funcall.scm 188 */
							BgL_objectz00_bglt BgL_auxz00_4622;

							BgL_auxz00_4622 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_4621 = BGL_OBJECT_WIDENING(BgL_auxz00_4622);
						}
						BgL_auxz00_4620 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4621);
					}
					BgL_testz00_4619 =
						(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4620))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_testz00_4619)
					{	/* Cfa/funcall.scm 188 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 188 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4627;

							{
								obj_t BgL_auxz00_4628;

								{	/* Cfa/funcall.scm 189 */
									BgL_objectz00_bglt BgL_auxz00_4629;

									BgL_auxz00_4629 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_4628 = BGL_OBJECT_WIDENING(BgL_auxz00_4629);
								}
								BgL_auxz00_4627 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4628);
							}
							((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4627))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 190 */
							obj_t BgL_arg2696z00_2550;
							obj_t BgL_arg2697z00_2551;

							BgL_arg2696z00_2550 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg2697z00_2551 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_14));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg2696z00_2550, BGl_string2963z00zzcfa_funcallz00,
								BGl_string2964z00zzcfa_funcallz00, BgL_arg2697z00_2551);
						}
					}
			}
		}
	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 198 */
			{	/* Cfa/funcall.scm 200 */
				bool_t BgL_testz00_4639;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4640;

					{
						obj_t BgL_auxz00_4641;

						{	/* Cfa/funcall.scm 200 */
							BgL_objectz00_bglt BgL_auxz00_4642;

							BgL_auxz00_4642 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_4641 = BGL_OBJECT_WIDENING(BgL_auxz00_4642);
						}
						BgL_auxz00_4640 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4641);
					}
					BgL_testz00_4639 =
						(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4640))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_testz00_4639)
					{	/* Cfa/funcall.scm 200 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 201 */
						long BgL_lenzd2provzd2_2554;

						BgL_lenzd2provzd2_2554 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - ((long) 1));
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4649;

							{
								obj_t BgL_auxz00_4650;

								{	/* Cfa/funcall.scm 202 */
									BgL_objectz00_bglt BgL_auxz00_4651;

									BgL_auxz00_4651 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_4650 = BGL_OBJECT_WIDENING(BgL_auxz00_4651);
								}
								BgL_auxz00_4649 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4650);
							}
							((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4649))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 203 */
							obj_t BgL_arg2699z00_2555;
							obj_t BgL_arg2700z00_2556;
							obj_t BgL_arg2701z00_2557;

							BgL_arg2699z00_2555 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 207 */
								BgL_variablez00_bglt BgL_arg2702z00_2558;

								{	/* Cfa/funcall.scm 207 */
									bool_t BgL_testz00_4658;

									{	/* Cfa/funcall.scm 207 */
										bool_t BgL_res2940z00_4373;

										{	/* Cfa/funcall.scm 207 */
											obj_t BgL_objz00_4372;

											BgL_objz00_4372 = ((obj_t) BgL_vz00_16);
											BgL_res2940z00_4373 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_4372,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_4658 = BgL_res2940z00_4373;
									}
									if (BgL_testz00_4658)
										{	/* Cfa/funcall.scm 208 */
											BgL_localz00_bglt BgL_duplicated1157z00_2560;
											BgL_localz00_bglt BgL_new1156z00_2561;

											BgL_duplicated1157z00_2560 =
												((BgL_localz00_bglt) BgL_vz00_16);
											{	/* Cfa/funcall.scm 208 */
												BgL_localz00_bglt BgL_new1159z00_2562;

												BgL_new1159z00_2562 =
													((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 208 */
													long BgL_arg2704z00_2563;

													{	/* Cfa/funcall.scm 208 */
														long BgL_res2941z00_4377;

														{	/* Cfa/funcall.scm 208 */
															obj_t BgL_classz00_4374;

															BgL_classz00_4374 = BGl_localz00zzast_varz00;
															{	/* Cfa/funcall.scm 208 */
																obj_t BgL_vectorz00_4375;
																int BgL_kz00_4376;

																BgL_vectorz00_4375 = BgL_classz00_4374;
																BgL_kz00_4376 = (int) (((long) 1));
																BgL_res2941z00_4377 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_4375,
																		BgL_kz00_4376));
														}}
														BgL_arg2704z00_2563 = BgL_res2941z00_4377;
													}
													{	/* Cfa/funcall.scm 208 */
														BgL_objectz00_bglt BgL_objz00_4378;

														BgL_objz00_4378 =
															((BgL_objectz00_bglt) BgL_new1159z00_2562);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4378,
															BgL_arg2704z00_2563);
												}}
												{	/* Cfa/funcall.scm 208 */
													BgL_objectz00_bglt BgL_auxz00_4668;

													BgL_auxz00_4668 =
														((BgL_objectz00_bglt) BgL_new1159z00_2562);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_4668, BFALSE);
												}
												BgL_new1156z00_2561 = BgL_new1159z00_2562;
											}
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_new1156z00_2561)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->BgL_idz00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->BgL_namez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->BgL_typez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->BgL_valuez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_fastzd2alphazd2)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_removablez00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_occurrencez00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_occurrencewz00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2561)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt)
																	BgL_duplicated1157z00_2560)))->
														BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) CREF(BgL_new1156z00_2561))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt)
															CREF(BgL_duplicated1157z00_2560))->BgL_keyz00)),
												BUNSPEC);
											BgL_arg2702z00_2558 =
												((BgL_variablez00_bglt) BgL_new1156z00_2561);
										}
									else
										{	/* Cfa/funcall.scm 209 */
											bool_t BgL_testz00_4714;

											{	/* Cfa/funcall.scm 209 */
												bool_t BgL_res2942z00_4381;

												{	/* Cfa/funcall.scm 209 */
													obj_t BgL_objz00_4380;

													BgL_objz00_4380 = ((obj_t) BgL_vz00_16);
													BgL_res2942z00_4381 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_4380,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_4714 = BgL_res2942z00_4381;
											}
											if (BgL_testz00_4714)
												{	/* Cfa/funcall.scm 210 */
													BgL_globalz00_bglt BgL_duplicated1161z00_2565;
													BgL_globalz00_bglt BgL_new1160z00_2566;

													BgL_duplicated1161z00_2565 =
														((BgL_globalz00_bglt) BgL_vz00_16);
													{	/* Cfa/funcall.scm 210 */
														BgL_globalz00_bglt BgL_new1162z00_2567;

														BgL_new1162z00_2567 =
															((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 210 */
															long BgL_arg2706z00_2568;

															{	/* Cfa/funcall.scm 210 */
																long BgL_res2943z00_4385;

																{	/* Cfa/funcall.scm 210 */
																	obj_t BgL_classz00_4382;

																	BgL_classz00_4382 = BGl_globalz00zzast_varz00;
																	{	/* Cfa/funcall.scm 210 */
																		obj_t BgL_vectorz00_4383;
																		int BgL_kz00_4384;

																		BgL_vectorz00_4383 = BgL_classz00_4382;
																		BgL_kz00_4384 = (int) (((long) 1));
																		BgL_res2943z00_4385 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_4383,
																				BgL_kz00_4384));
																}}
																BgL_arg2706z00_2568 = BgL_res2943z00_4385;
															}
															{	/* Cfa/funcall.scm 210 */
																BgL_objectz00_bglt BgL_objz00_4386;

																BgL_objz00_4386 =
																	((BgL_objectz00_bglt) BgL_new1162z00_2567);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4386,
																	BgL_arg2706z00_2568);
														}}
														{	/* Cfa/funcall.scm 210 */
															BgL_objectz00_bglt BgL_auxz00_4724;

															BgL_auxz00_4724 =
																((BgL_objectz00_bglt) BgL_new1162z00_2567);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4724, BFALSE);
														}
														BgL_new1160z00_2566 = BgL_new1162z00_2567;
													}
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_namez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_typez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_valuez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_accessz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_fastzd2alphazd2)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_removablez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_occurrencez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_occurrencewz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1160z00_2566)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_duplicated1161z00_2565)))->
																BgL_userzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_jvmzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_jvmzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1160z00_2566))->
															BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(BgL_duplicated1161z00_2565))->
																BgL_initz00)), BUNSPEC);
													BgL_arg2702z00_2558 =
														((BgL_variablez00_bglt) BgL_new1160z00_2566);
												}
											else
												{	/* Cfa/funcall.scm 209 */
													BgL_arg2702z00_2558 = BgL_vz00_16;
												}
										}
								}
								BgL_arg2700z00_2556 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2702z00_2558));
							}
							{	/* Cfa/funcall.scm 215 */
								obj_t BgL_arg2707z00_2569;
								obj_t BgL_arg2708z00_2570;

								{	/* Cfa/funcall.scm 215 */

									BgL_arg2707z00_2569 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 217 */

									BgL_arg2708z00_2570 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_2554, ((long) 10));
								}
								{	/* Cfa/funcall.scm 214 */
									obj_t BgL_list2709z00_2571;

									{	/* Cfa/funcall.scm 214 */
										obj_t BgL_arg2710z00_2572;

										{	/* Cfa/funcall.scm 214 */
											obj_t BgL_arg2711z00_2573;

											{	/* Cfa/funcall.scm 214 */
												obj_t BgL_arg2712z00_2574;

												BgL_arg2712z00_2574 =
													MAKE_PAIR(BGl_string2965z00zzcfa_funcallz00, BNIL);
												BgL_arg2711z00_2573 =
													MAKE_PAIR(BgL_arg2708z00_2570, BgL_arg2712z00_2574);
											}
											BgL_arg2710z00_2572 =
												MAKE_PAIR(BGl_string2966z00zzcfa_funcallz00,
												BgL_arg2711z00_2573);
										}
										BgL_list2709z00_2571 =
											MAKE_PAIR(BgL_arg2707z00_2569, BgL_arg2710z00_2572);
									}
									BgL_arg2701z00_2557 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2709z00_2571);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg2699z00_2555, BgL_arg2700z00_2556,
								BGl_string2967z00zzcfa_funcallz00, BgL_arg2701z00_2557);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2968z00zzcfa_funcallz00, BGl_string2969z00zzcfa_funcallz00);
		}
	}



/* &cfa!-funcall/Cinfo2653 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo2653z50zzcfa_funcallz00(obj_t
		BgL_envz00_4462, BgL_funcallz00_bglt BgL_nodez00_4463)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 44 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2581;

				BgL_nodez00_2581 = BgL_nodez00_4463;
				{	/* Cfa/funcall.scm 48 */
					BgL_approxz00_bglt BgL_fapproxz00_2585;

					{	/* Cfa/funcall.scm 48 */
						BgL_nodez00_bglt BgL_arg2765z00_2657;

						BgL_arg2765z00_2657 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_2581)))->BgL_funz00);
						BgL_fapproxz00_2585 =
							BGl_cfaz12z12zzcfa_cfaz00(BgL_arg2765z00_2657);
					}
					{	/* Cfa/funcall.scm 48 */
						obj_t BgL_aapproxz00_2586;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_l2640z00_2640;

							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_pairz00_4391;

								BgL_pairz00_4391 =
									(((BgL_funcallz00_bglt) CREF(
											((BgL_funcallz00_bglt) BgL_nodez00_2581)))->BgL_argsz00);
								BgL_l2640z00_2640 = CDR(BgL_pairz00_4391);
							}
							if (NULLP(BgL_l2640z00_2640))
								{	/* Cfa/funcall.scm 49 */
									BgL_aapproxz00_2586 = BNIL;
								}
							else
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_head2642z00_2642;

									{	/* Cfa/funcall.scm 49 */
										BgL_approxz00_bglt BgL_arg2762z00_2654;

										{	/* Cfa/funcall.scm 49 */
											obj_t BgL_arg2763z00_2655;

											BgL_arg2763z00_2655 = CAR(BgL_l2640z00_2640);
											BgL_arg2762z00_2654 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg2763z00_2655));
										}
										{	/* Cfa/funcall.scm 49 */
											obj_t BgL_res2946z00_4397;

											{	/* Cfa/funcall.scm 49 */
												obj_t BgL_obj1z00_4395;

												BgL_obj1z00_4395 = ((obj_t) BgL_arg2762z00_2654);
												BgL_res2946z00_4397 = MAKE_PAIR(BgL_obj1z00_4395, BNIL);
											}
											BgL_head2642z00_2642 = BgL_res2946z00_4397;
										}
									}
									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_g2645z00_2643;

										BgL_g2645z00_2643 = CDR(BgL_l2640z00_2640);
										{
											obj_t BgL_l2640z00_2645;
											obj_t BgL_tail2643z00_2646;

											BgL_l2640z00_2645 = BgL_g2645z00_2643;
											BgL_tail2643z00_2646 = BgL_head2642z00_2642;
										BgL_zc3anonymousza32757ze3z83_2647:
											if (NULLP(BgL_l2640z00_2645))
												{	/* Cfa/funcall.scm 49 */
													BgL_aapproxz00_2586 = BgL_head2642z00_2642;
												}
											else
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_newtail2644z00_2649;

													{	/* Cfa/funcall.scm 49 */
														BgL_approxz00_bglt BgL_arg2760z00_2651;

														{	/* Cfa/funcall.scm 49 */
															obj_t BgL_arg2761z00_2652;

															BgL_arg2761z00_2652 = CAR(BgL_l2640z00_2645);
															BgL_arg2760z00_2651 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg2761z00_2652));
														}
														{	/* Cfa/funcall.scm 49 */
															obj_t BgL_res2948z00_4404;

															{	/* Cfa/funcall.scm 49 */
																obj_t BgL_obj1z00_4402;

																BgL_obj1z00_4402 =
																	((obj_t) BgL_arg2760z00_2651);
																BgL_res2948z00_4404 =
																	MAKE_PAIR(BgL_obj1z00_4402, BNIL);
															}
															BgL_newtail2644z00_2649 = BgL_res2948z00_4404;
														}
													}
													SET_CDR(BgL_tail2643z00_2646,
														BgL_newtail2644z00_2649);
													{
														obj_t BgL_tail2643z00_4823;
														obj_t BgL_l2640z00_4821;

														BgL_l2640z00_4821 = CDR(BgL_l2640z00_2645);
														BgL_tail2643z00_4823 = BgL_newtail2644z00_2649;
														BgL_tail2643z00_2646 = BgL_tail2643z00_4823;
														BgL_l2640z00_2645 = BgL_l2640z00_4821;
														goto BgL_zc3anonymousza32757ze3z83_2647;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/funcall.scm 49 */

							{	/* Cfa/funcall.scm 54 */
								BgL_typez00_bglt BgL_funzd2typezd2_2587;

								BgL_funzd2typezd2_2587 =
									(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2585))->
									BgL_typez00);
								{	/* Cfa/funcall.scm 55 */
									bool_t BgL_testz00_4825;

									if (
										(((obj_t) BgL_funzd2typezd2_2587) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/funcall.scm 55 */
											BgL_testz00_4825 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 55 */
											if (
												(((obj_t) BgL_funzd2typezd2_2587) ==
													BGl_za2objza2z00zztype_cachez00))
												{	/* Cfa/funcall.scm 56 */
													BgL_testz00_4825 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 56 */
													if (
														(((obj_t) BgL_funzd2typezd2_2587) ==
															BGl_za2procedureza2z00zztype_cachez00))
														{	/* Cfa/funcall.scm 57 */
															BgL_testz00_4825 = ((bool_t) 0);
														}
													else
														{	/* Cfa/funcall.scm 57 */
															BgL_testz00_4825 = ((bool_t) 1);
														}
												}
										}
									if (BgL_testz00_4825)
										{	/* Cfa/funcall.scm 55 */
											BGl_funcallzd2typezd2errorz00zzcfa_funcallz00
												(BgL_nodez00_2581, BgL_funzd2typezd2_2587);
										}
									else
										{	/* Cfa/funcall.scm 55 */
											BFALSE;
										}
								}
							}
							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_testz00_4836;

								{	/* Cfa/funcall.scm 60 */
									bool_t BgL_testz00_4837;

									{	/* Cfa/funcall.scm 60 */
										BgL_typez00_bglt BgL_arg2723z00_2595;

										BgL_arg2723z00_2595 =
											(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2585))->
											BgL_typez00);
										BgL_testz00_4837 =
											(((obj_t) BgL_arg2723z00_2595) ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_testz00_4837)
										{	/* Cfa/funcall.scm 60 */
											BgL_testz00_4836 =
												(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2585))->
												BgL_topzf3zf3);
										}
									else
										{	/* Cfa/funcall.scm 60 */
											BgL_testz00_4836 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_4836)
									{	/* Cfa/funcall.scm 62 */
										BgL_approxz00_bglt BgL_arg2721z00_2593;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4842;

											{
												obj_t BgL_auxz00_4843;

												{	/* Cfa/funcall.scm 62 */
													BgL_objectz00_bglt BgL_auxz00_4844;

													BgL_auxz00_4844 =
														((BgL_objectz00_bglt) BgL_nodez00_2581);
													BgL_auxz00_4843 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4844);
												}
												BgL_auxz00_4842 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4843);
											}
											BgL_arg2721z00_2593 =
												(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4842))->
												BgL_approxz00);
										}
										BGl_approxzd2setzd2typez12z12zzcfa_approxz00
											(BgL_arg2721z00_2593,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BFALSE;
									}
							}
							{	/* Cfa/funcall.scm 65 */
								bool_t BgL_testz00_4851;

								if (
									(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2585))->
										BgL_topzf3zf3))
									{	/* Cfa/funcall.scm 65 */
										BgL_testz00_4851 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 66 */
										bool_t BgL_testz00_4854;

										{	/* Cfa/funcall.scm 66 */
											BgL_typez00_bglt BgL_arg2745z00_2627;

											BgL_arg2745z00_2627 =
												(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2585))->
												BgL_typez00);
											BgL_testz00_4854 =
												(((obj_t) BgL_arg2745z00_2627) ==
												BGl_za2procedureza2z00zztype_cachez00);
										}
										if (BgL_testz00_4854)
											{	/* Cfa/funcall.scm 66 */
												BgL_testz00_4851 = ((bool_t) 0);
											}
										else
											{	/* Cfa/funcall.scm 66 */
												BgL_testz00_4851 = ((bool_t) 1);
											}
									}
								if (BgL_testz00_4851)
									{	/* Cfa/funcall.scm 65 */
										{
											obj_t BgL_l2646z00_2598;

											BgL_l2646z00_2598 = BgL_aapproxz00_2586;
										BgL_zc3anonymousza32725ze3z83_2599:
											if (PAIRP(BgL_l2646z00_2598))
												{	/* Cfa/funcall.scm 67 */
													{	/* Cfa/funcall.scm 67 */
														obj_t BgL_approxz00_2601;

														BgL_approxz00_2601 = CAR(BgL_l2646z00_2598);
														BGl_loosez12z12zzcfa_loosez00(
															((BgL_approxz00_bglt) BgL_approxz00_2601),
															CNST_TABLE_REF(((long) 0)));
													}
													{
														obj_t BgL_l2646z00_4864;

														BgL_l2646z00_4864 = CDR(BgL_l2646z00_2598);
														BgL_l2646z00_2598 = BgL_l2646z00_4864;
														goto BgL_zc3anonymousza32725ze3z83_2599;
													}
												}
											else
												{	/* Cfa/funcall.scm 67 */
													((bool_t) 1);
												}
										}
										{	/* Cfa/funcall.scm 70 */
											obj_t BgL_zc3anonymousza32729ze3z83_4459;

											BgL_zc3anonymousza32729ze3z83_4459 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32729ze3ze1zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_4459,
												(int) (((long) 0)), ((obj_t) BgL_nodez00_2581));
											PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_4459,
												(int) (((long) 1)), BgL_aapproxz00_2586);
											PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_4459,
												(int) (((long) 2)), ((obj_t) BgL_nodez00_2581));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3anonymousza32729ze3z83_4459,
												BgL_fapproxz00_2585);
										}
										{	/* Cfa/funcall.scm 77 */
											BgL_approxz00_bglt BgL_arg2734z00_2613;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4878;

												{
													obj_t BgL_auxz00_4879;

													{	/* Cfa/funcall.scm 77 */
														BgL_objectz00_bglt BgL_auxz00_4880;

														BgL_auxz00_4880 =
															((BgL_objectz00_bglt) BgL_nodez00_2581);
														BgL_auxz00_4879 =
															BGL_OBJECT_WIDENING(BgL_auxz00_4880);
													}
													BgL_auxz00_4878 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4879);
												}
												BgL_arg2734z00_2613 =
													(((BgL_funcallzf2cinfozf2_bglt)
														CREF(BgL_auxz00_4878))->BgL_approxz00);
											}
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
												(BgL_arg2734z00_2613);
									}}
								else
									{	/* Cfa/funcall.scm 65 */
										if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
												(BgL_fapproxz00_2585)))
											{	/* Cfa/funcall.scm 82 */
												BgL_approxz00_bglt BgL_arg2736z00_2615;

												{
													BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4889;

													{
														obj_t BgL_auxz00_4890;

														{	/* Cfa/funcall.scm 82 */
															BgL_objectz00_bglt BgL_auxz00_4891;

															BgL_auxz00_4891 =
																((BgL_objectz00_bglt) BgL_nodez00_2581);
															BgL_auxz00_4890 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4891);
														}
														BgL_auxz00_4889 =
															((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4890);
													}
													BgL_arg2736z00_2615 =
														(((BgL_funcallzf2cinfozf2_bglt)
															CREF(BgL_auxz00_4889))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg2736z00_2615,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 86 */
												obj_t BgL_zc3anonymousza32738ze3z83_4458;

												BgL_zc3anonymousza32738ze3z83_4458 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32738ze3ze1zzcfa_funcallz00,
													(int) (((long) 1)), (int) (((long) 3)));
												PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_4458,
													(int) (((long) 0)), ((obj_t) BgL_nodez00_2581));
												PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_4458,
													(int) (((long) 1)), BgL_aapproxz00_2586);
												PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_4458,
													(int) (((long) 2)), ((obj_t) BgL_nodez00_2581));
												BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
													(BgL_zc3anonymousza32738ze3z83_4458,
													BgL_fapproxz00_2585);
							}}}
							{	/* Cfa/funcall.scm 96 */
								bool_t BgL_testz00_4910;

								if (CBOOL
									(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
									{	/* Cfa/funcall.scm 97 */
										bool_t BgL_testz00_4913;

										{	/* Cfa/funcall.scm 97 */
											BgL_typez00_bglt BgL_arg2754z00_2638;

											{
												BgL_approxz00_bglt BgL_auxz00_4914;

												{
													BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4915;

													{
														obj_t BgL_auxz00_4916;

														{	/* Cfa/funcall.scm 97 */
															BgL_objectz00_bglt BgL_auxz00_4917;

															BgL_auxz00_4917 =
																((BgL_objectz00_bglt) BgL_nodez00_2581);
															BgL_auxz00_4916 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4917);
														}
														BgL_auxz00_4915 =
															((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4916);
													}
													BgL_auxz00_4914 =
														(((BgL_funcallzf2cinfozf2_bglt)
															CREF(BgL_auxz00_4915))->BgL_approxz00);
												}
												BgL_arg2754z00_2638 =
													(((BgL_approxz00_bglt) CREF(BgL_auxz00_4914))->
													BgL_typez00);
											}
											BgL_testz00_4913 =
												BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_arg2754z00_2638);
										}
										if (BgL_testz00_4913)
											{	/* Cfa/funcall.scm 98 */
												bool_t BgL_testz00_4924;

												{	/* Cfa/funcall.scm 98 */
													BgL_typez00_bglt BgL_arg2752z00_2636;

													{
														BgL_approxz00_bglt BgL_auxz00_4925;

														{
															BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4926;

															{
																obj_t BgL_auxz00_4927;

																{	/* Cfa/funcall.scm 98 */
																	BgL_objectz00_bglt BgL_auxz00_4928;

																	BgL_auxz00_4928 =
																		((BgL_objectz00_bglt) BgL_nodez00_2581);
																	BgL_auxz00_4927 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_4928);
																}
																BgL_auxz00_4926 =
																	((BgL_funcallzf2cinfozf2_bglt)
																	BgL_auxz00_4927);
															}
															BgL_auxz00_4925 =
																(((BgL_funcallzf2cinfozf2_bglt)
																	CREF(BgL_auxz00_4926))->BgL_approxz00);
														}
														BgL_arg2752z00_2636 =
															(((BgL_approxz00_bglt) CREF(BgL_auxz00_4925))->
															BgL_typez00);
													}
													BgL_testz00_4924 =
														(
														((obj_t) BgL_arg2752z00_2636) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_4924)
													{	/* Cfa/funcall.scm 98 */
														BgL_testz00_4910 = ((bool_t) 0);
													}
												else
													{	/* Cfa/funcall.scm 98 */
														BgL_testz00_4910 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/funcall.scm 97 */
												BgL_testz00_4910 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/funcall.scm 96 */
										BgL_testz00_4910 = ((bool_t) 0);
									}
								if (BgL_testz00_4910)
									{	/* Cfa/funcall.scm 96 */
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BGl_proc2970z00zzcfa_funcallz00, BgL_fapproxz00_2585);
									}
								else
									{	/* Cfa/funcall.scm 96 */
										BFALSE;
									}
							}
							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4937;

								{
									obj_t BgL_auxz00_4938;

									{	/* Cfa/funcall.scm 104 */
										BgL_objectz00_bglt BgL_auxz00_4939;

										BgL_auxz00_4939 = ((BgL_objectz00_bglt) BgL_nodez00_2581);
										BgL_auxz00_4938 = BGL_OBJECT_WIDENING(BgL_auxz00_4939);
									}
									BgL_auxz00_4937 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4938);
								}
								return
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4937))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2748> */
	obj_t BGl_z62zc3anonymousza32748ze3ze1zzcfa_funcallz00(obj_t BgL_envz00_4464,
		obj_t BgL_az00_4465)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 99 */
			{
				obj_t BgL_az00_2630;

				BgL_az00_2630 = BgL_az00_4465;
				if (BGl_isazf3zf3zz__objectz00(BgL_az00_2630,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/funcall.scm 100 */
						return
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
							(((BgL_appz00_bglt) BgL_az00_2630));
					}
				else
					{	/* Cfa/funcall.scm 100 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2729> */
	BgL_approxz00_bglt BGl_z62zc3anonymousza32729ze3ze1zzcfa_funcallz00(obj_t
		BgL_envz00_4466, obj_t BgL_allocz00_4470)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1149z00_4467;
				obj_t BgL_aapproxz00_4468;
				BgL_funcallz00_bglt BgL_nodez00_4469;

				BgL_i1149z00_4467 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4466, (int) (((long) 0))));
				BgL_aapproxz00_4468 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4466, (int) (((long) 1))));
				BgL_nodez00_4469 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4466, (int) (((long) 2))));
				{
					obj_t BgL_allocz00_2605;

					BgL_allocz00_2605 = BgL_allocz00_4470;
					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2605,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 71 */
							BgL_approxz00_bglt BgL_eapproxz00_2608;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4959;

								{
									obj_t BgL_auxz00_4960;

									{	/* Cfa/funcall.scm 71 */
										BgL_objectz00_bglt BgL_auxz00_4961;

										BgL_auxz00_4961 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_2605));
										BgL_auxz00_4960 = BGL_OBJECT_WIDENING(BgL_auxz00_4961);
									}
									BgL_auxz00_4959 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4960);
								}
								BgL_eapproxz00_2608 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_4959))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 72 */
								BgL_approxz00_bglt BgL_arg2731z00_2609;
								BgL_approxz00_bglt BgL_arg2732z00_2610;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4967;

									{
										obj_t BgL_auxz00_4968;

										{	/* Cfa/funcall.scm 72 */
											BgL_objectz00_bglt BgL_auxz00_4969;

											BgL_auxz00_4969 =
												((BgL_objectz00_bglt) BgL_i1149z00_4467);
											BgL_auxz00_4968 = BGL_OBJECT_WIDENING(BgL_auxz00_4969);
										}
										BgL_auxz00_4967 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4968);
									}
									BgL_arg2731z00_2609 =
										(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4967))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 74 */
									obj_t BgL_arg2733z00_2611;

									BgL_arg2733z00_2611 =
										MAKE_PAIR(
										((obj_t) BgL_eapproxz00_2608), BgL_aapproxz00_4468);
									BgL_arg2732z00_2610 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_2605), BgL_arg2733z00_2611,
										BgL_nodez00_4469);
								}
								return
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2731z00_2609,
									BgL_arg2732z00_2610);
							}
						}
					else
						{	/* Cfa/funcall.scm 70 */
							return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
				}
			}
		}
	}



/* &<anonymous:2738> */
	BgL_approxz00_bglt BGl_z62zc3anonymousza32738ze3ze1zzcfa_funcallz00(obj_t
		BgL_envz00_4471, obj_t BgL_allocz00_4475)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1149z00_4472;
				obj_t BgL_aapproxz00_4473;
				BgL_funcallz00_bglt BgL_nodez00_4474;

				BgL_i1149z00_4472 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4471, (int) (((long) 0))));
				BgL_aapproxz00_4473 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4471, (int) (((long) 1))));
				BgL_nodez00_4474 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4471, (int) (((long) 2))));
				{
					obj_t BgL_allocz00_2617;

					BgL_allocz00_2617 = BgL_allocz00_4475;
					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2617,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 87 */
							BgL_approxz00_bglt BgL_eapproxz00_2620;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4991;

								{
									obj_t BgL_auxz00_4992;

									{	/* Cfa/funcall.scm 87 */
										BgL_objectz00_bglt BgL_auxz00_4993;

										BgL_auxz00_4993 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_2617));
										BgL_auxz00_4992 = BGL_OBJECT_WIDENING(BgL_auxz00_4993);
									}
									BgL_auxz00_4991 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4992);
								}
								BgL_eapproxz00_2620 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_4991))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 88 */
								BgL_approxz00_bglt BgL_arg2740z00_2621;
								BgL_approxz00_bglt BgL_arg2741z00_2622;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4999;

									{
										obj_t BgL_auxz00_5000;

										{	/* Cfa/funcall.scm 88 */
											BgL_objectz00_bglt BgL_auxz00_5001;

											BgL_auxz00_5001 =
												((BgL_objectz00_bglt) BgL_i1149z00_4472);
											BgL_auxz00_5000 = BGL_OBJECT_WIDENING(BgL_auxz00_5001);
										}
										BgL_auxz00_4999 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5000);
									}
									BgL_arg2740z00_2621 =
										(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4999))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 90 */
									obj_t BgL_arg2742z00_2623;

									BgL_arg2742z00_2623 =
										MAKE_PAIR(
										((obj_t) BgL_eapproxz00_2620), BgL_aapproxz00_4473);
									BgL_arg2741z00_2622 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_2617), BgL_arg2742z00_2623,
										BgL_nodez00_4474);
								}
								return
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2740z00_2621,
									BgL_arg2741z00_2622);
							}
						}
					else
						{	/* Cfa/funcall.scm 86 */
							return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2971z00zzcfa_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
