/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall1796za2zzcoerce_funcallz00(obj_t,
		BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[18];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f2005za7,
		BGl_z62coercez12zd2funcall1796za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2000z00zzcoerce_funcallz00,
		BgL_bgl_string2000za700za7za7c2006za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string2001z00zzcoerce_funcallz00,
		BgL_bgl_string2001za700za7za7c2007za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string2002z00zzcoerce_funcallz00,
		BgL_bgl_string2002za700za7za7c2008za7,
		"let if correct-arity? ::int len fun (light elight) __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		125);
	      DEFINE_STRING(BGl_string1998z00zzcoerce_funcallz00,
		BgL_bgl_string1998za700za7za7c2009za7, ":Wrong number of arguments", 26);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_2220, char *BgL_fromz00_2221)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_2212;

				BgL_cportz00_2212 =
					bgl_open_input_string(BGl_string2002z00zzcoerce_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2213;

					BgL_iz00_2213 = ((long) 17);
				BgL_loopz00_2214:
					if ((BgL_iz00_2213 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg2004z00_2216;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_2218;

										BgL_locationz00_2218 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg2004z00_2216 =
												BGl_readz00zz__readerz00(BgL_cportz00_2212,
												BgL_locationz00_2218);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_2244;

									BgL_auxz00_2244 = (int) (BgL_iz00_2213);
									CNST_TABLE_SET(BgL_auxz00_2244, BgL_arg2004z00_2216);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_2219;

								BgL_auxz00_2219 = (int) ((BgL_iz00_2213 - ((long) 1)));
								{
									long BgL_iz00_2249;

									BgL_iz00_2249 = (long) (BgL_auxz00_2219);
									BgL_iz00_2213 = BgL_iz00_2249;
									goto BgL_loopz00_2214;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 89 */
			{	/* Coerce/funcall.scm 90 */
				BgL_nodez00_bglt BgL_nodez00_1232;

				{	/* Coerce/funcall.scm 91 */
					obj_t BgL_arg1822z00_1233;

					{	/* Coerce/funcall.scm 91 */
						bool_t BgL_testz00_2251;

						{	/* Coerce/funcall.scm 91 */
							bool_t BgL_testz00_2252;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 91 */
									BgL_testz00_2252 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 91 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 95 */
											obj_t BgL_arg1862z00_1270;

											{	/* Coerce/funcall.scm 95 */
												obj_t BgL_arg1863z00_1271;

												BgL_arg1863z00_1271 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1862z00_1270 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg1863z00_1271)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_2252 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1862z00_1270));
										}
									else
										{	/* Coerce/funcall.scm 92 */
											BgL_testz00_2252 = ((bool_t) 0);
										}
								}
							if (BgL_testz00_2252)
								{	/* Coerce/funcall.scm 91 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 96 */
											BgL_testz00_2251 =
												(STRUCT_KEY(BgL_locz00_23) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 96 */
											BgL_testz00_2251 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 91 */
									BgL_testz00_2251 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2251)
							{	/* Coerce/funcall.scm 98 */
								obj_t BgL_arg1824z00_1235;

								{	/* Coerce/funcall.scm 98 */
									obj_t BgL_arg1825z00_1236;
									obj_t BgL_arg1826z00_1237;

									{	/* Coerce/funcall.scm 98 */
										obj_t BgL_arg1827z00_1238;
										obj_t BgL_arg1828z00_1239;

										{	/* Coerce/funcall.scm 98 */
											obj_t BgL_arg1829z00_1240;

											{	/* Coerce/funcall.scm 98 */
												obj_t BgL_arg1830z00_1241;

												BgL_arg1830z00_1241 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg1829z00_1240 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1830z00_1241);
											}
											BgL_arg1827z00_1238 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg1829z00_1240);
										}
										{	/* Coerce/funcall.scm 100 */
											obj_t BgL_arg1831z00_1242;
											obj_t BgL_arg1832z00_1243;

											{	/* Coerce/funcall.scm 100 */
												obj_t BgL_arg1833z00_1244;

												{	/* Coerce/funcall.scm 100 */
													obj_t BgL_arg1836z00_1245;

													BgL_arg1836z00_1245 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 99 */
														obj_t BgL_res1975z00_2106;

														{	/* Coerce/funcall.scm 99 */
															obj_t BgL_symbolz00_2104;

															BgL_symbolz00_2104 = BgL_arg1836z00_1245;
															{	/* Coerce/funcall.scm 99 */
																obj_t BgL_arg1310z00_2105;

																BgL_arg1310z00_2105 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2104);
																BgL_res1975z00_2106 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1310z00_2105);
														}}
														BgL_arg1833z00_1244 = BgL_res1975z00_2106;
												}}
												BgL_arg1831z00_1242 =
													string_append(BgL_arg1833z00_1244,
													BGl_string1998z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 104 */
												obj_t BgL_arg1837z00_1246;

												{	/* Coerce/funcall.scm 104 */
													obj_t BgL_arg1839z00_1247;

													{	/* Coerce/funcall.scm 104 */
														obj_t BgL_arg1840z00_1248;
														obj_t BgL_arg1841z00_1249;

														BgL_arg1840z00_1248 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg1841z00_1249 =
															MAKE_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (((long) 1))), BNIL);
														BgL_arg1839z00_1247 =
															MAKE_PAIR(BgL_arg1840z00_1248,
															BgL_arg1841z00_1249);
													}
													BgL_arg1837z00_1246 =
														MAKE_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg1839z00_1247);
												}
												BgL_arg1832z00_1243 =
													MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg1837z00_1246);
											}
											BgL_arg1828z00_1239 =
												MAKE_PAIR(BgL_arg1831z00_1242, BgL_arg1832z00_1243);
										}
										BgL_arg1825z00_1236 =
											MAKE_PAIR(BgL_arg1827z00_1238, BgL_arg1828z00_1239);
									}
									{	/* Coerce/funcall.scm 106 */
										obj_t BgL_arg1843z00_1251;

										{	/* Coerce/funcall.scm 106 */
											obj_t BgL_arg1844z00_1252;

											{	/* Coerce/funcall.scm 106 */
												obj_t BgL_arg1845z00_1253;
												obj_t BgL_arg1846z00_1254;

												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg1847z00_1255;

													BgL_arg1847z00_1255 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
													BgL_arg1845z00_1253 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg1847z00_1255);
												}
												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg1848z00_1256;
													obj_t BgL_arg1849z00_1257;

													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg1850z00_1258;

														BgL_arg1850z00_1258 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg1848z00_1256 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1850z00_1258);
													}
													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg1851z00_1259;

														{	/* Coerce/funcall.scm 106 */
															obj_t BgL_arg1852z00_1260;

															BgL_arg1852z00_1260 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
															BgL_arg1851z00_1259 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1852z00_1260);
														}
														BgL_arg1849z00_1257 =
															MAKE_PAIR(BgL_arg1851z00_1259, BNIL);
													}
													BgL_arg1846z00_1254 =
														MAKE_PAIR(BgL_arg1848z00_1256, BgL_arg1849z00_1257);
												}
												BgL_arg1844z00_1252 =
													MAKE_PAIR(BgL_arg1845z00_1253, BgL_arg1846z00_1254);
											}
											BgL_arg1843z00_1251 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1844z00_1252);
										}
										BgL_arg1826z00_1237 = MAKE_PAIR(BgL_arg1843z00_1251, BNIL);
									}
									BgL_arg1824z00_1235 =
										MAKE_PAIR(BgL_arg1825z00_1236, BgL_arg1826z00_1237);
								}
								BgL_arg1822z00_1233 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg1824z00_1235);
							}
						else
							{	/* Coerce/funcall.scm 108 */
								obj_t BgL_arg1853z00_1261;

								{	/* Coerce/funcall.scm 108 */
									obj_t BgL_arg1854z00_1262;
									obj_t BgL_arg1855z00_1263;

									{	/* Coerce/funcall.scm 108 */
										obj_t BgL_arg1856z00_1264;

										{	/* Coerce/funcall.scm 108 */
											obj_t BgL_arg1857z00_1265;

											BgL_arg1857z00_1265 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 107 */
												obj_t BgL_res1976z00_2112;

												{	/* Coerce/funcall.scm 107 */
													obj_t BgL_symbolz00_2110;

													BgL_symbolz00_2110 = BgL_arg1857z00_1265;
													{	/* Coerce/funcall.scm 107 */
														obj_t BgL_arg1310z00_2111;

														BgL_arg1310z00_2111 =
															SYMBOL_TO_STRING(BgL_symbolz00_2110);
														BgL_res1976z00_2112 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1310z00_2111);
													}
												}
												BgL_arg1856z00_1264 = BgL_res1976z00_2112;
											}
										}
										BgL_arg1854z00_1262 =
											string_append(BgL_arg1856z00_1264,
											BGl_string1998z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 107 */
										obj_t BgL_arg1858z00_1266;

										BgL_arg1858z00_1266 =
											MAKE_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg1855z00_1263 =
											MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg1858z00_1266);
									}
									BgL_arg1853z00_1261 =
										MAKE_PAIR(BgL_arg1854z00_1262, BgL_arg1855z00_1263);
								}
								BgL_arg1822z00_1233 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg1853z00_1261);
					}}
					BgL_nodez00_1232 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1822z00_1233, BgL_locz00_23);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1232);
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1232, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 119 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 125 */
					obj_t BgL_arg1865z00_1274;

					{	/* Coerce/funcall.scm 125 */
						BgL_nodez00_bglt BgL_arg1866z00_1275;

						BgL_arg1866z00_1275 =
							BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 125 */
							obj_t BgL_list1867z00_1276;

							BgL_list1867z00_1276 =
								MAKE_PAIR(((obj_t) BgL_arg1866z00_1275), BNIL);
							BgL_arg1865z00_1274 = BgL_list1867z00_1276;
						}
					}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00) =
						((obj_t) BgL_arg1865z00_1274), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 126 */
					obj_t BgL_g1111z00_1277;
					obj_t BgL_g1112z00_1278;

					BgL_g1111z00_1277 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00);
					BgL_g1112z00_1278 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_actualsz00_1280;
						obj_t BgL_prevz00_1281;

						BgL_actualsz00_1280 = BgL_g1111z00_1277;
						BgL_prevz00_1281 = BgL_g1112z00_1278;
					BgL_zc3anonymousza31868ze3z83_1282:
						if (NULLP(BgL_actualsz00_1280))
							{	/* Coerce/funcall.scm 129 */
								obj_t BgL_arg1870z00_1284;

								{	/* Coerce/funcall.scm 129 */
									BgL_nodez00_bglt BgL_arg1871z00_1285;

									BgL_arg1871z00_1285 =
										BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 129 */
										obj_t BgL_list1872z00_1286;

										BgL_list1872z00_1286 =
											MAKE_PAIR(((obj_t) BgL_arg1871z00_1285), BNIL);
										BgL_arg1870z00_1284 = BgL_list1872z00_1286;
									}
								}
								return SET_CDR(BgL_prevz00_1281, BgL_arg1870z00_1284);
							}
						else
							{	/* Coerce/funcall.scm 128 */
								{	/* Coerce/funcall.scm 131 */
									BgL_nodez00_bglt BgL_arg1873z00_1287;

									{	/* Coerce/funcall.scm 131 */
										obj_t BgL_arg1874z00_1288;

										BgL_arg1874z00_1288 = CAR(BgL_actualsz00_1280);
										BgL_arg1873z00_1287 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_arg1874z00_1288),
											BgL_callerz00_27,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_29));
									}
									{	/* Coerce/funcall.scm 131 */
										obj_t BgL_pairz00_2133;
										obj_t BgL_objz00_2134;

										BgL_pairz00_2133 = BgL_actualsz00_1280;
										BgL_objz00_2134 = ((obj_t) BgL_arg1873z00_1287);
										SET_CAR(BgL_pairz00_2133, BgL_objz00_2134);
									}
								}
								{
									obj_t BgL_prevz00_2349;
									obj_t BgL_actualsz00_2347;

									BgL_actualsz00_2347 = CDR(BgL_actualsz00_1280);
									BgL_prevz00_2349 = BgL_actualsz00_1280;
									BgL_prevz00_1281 = BgL_prevz00_2349;
									BgL_actualsz00_1280 = BgL_actualsz00_2347;
									goto BgL_zc3anonymousza31868ze3z83_1282;
								}
							}
					}
				}
		}
	}



/* toplevel-exp */
	BgL_nodez00_bglt BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1292)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 123 */
			{	/* Coerce/funcall.scm 121 */
				BgL_nodez00_bglt BgL_nz00_1294;

				{	/* Coerce/funcall.scm 121 */
					obj_t BgL_arg1878z00_1295;

					BgL_arg1878z00_1295 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1292)))->BgL_locz00);
					BgL_nz00_1294 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1878z00_1295);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1294);
				return BgL_nz00_1294;
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1999z00zzcoerce_funcallz00,
				BGl_string2000z00zzcoerce_funcallz00);
		}
	}



/* &coerce!-funcall1796 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall1796za2zzcoerce_funcallz00(obj_t
		BgL_envz00_2201, BgL_funcallz00_bglt BgL_nodez00_2202,
		obj_t BgL_callerz00_2203, obj_t BgL_toz00_2204, obj_t BgL_safez00_2205)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 37 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1297;
				obj_t BgL_callerz00_1298;
				obj_t BgL_toz00_1299;
				obj_t BgL_safez00_1300;

				BgL_nodez00_1297 = BgL_nodez00_2202;
				BgL_callerz00_1298 = BgL_callerz00_2203;
				BgL_toz00_1299 = BgL_toz00_2204;
				BgL_safez00_1300 = BgL_safez00_2205;
				{	/* Coerce/funcall.scm 39 */
					obj_t BgL_errorzd2msgzd2_1303;
					obj_t BgL_strengthz00_1304;
					BgL_typez00_bglt BgL_ntyz00_1305;

					{	/* Coerce/funcall.scm 39 */
						obj_t BgL_arg1914z00_1350;

						BgL_arg1914z00_1350 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1297));
						{	/* Coerce/funcall.scm 39 */
							obj_t BgL_list1915z00_1351;

							{	/* Coerce/funcall.scm 39 */
								obj_t BgL_arg1916z00_1352;

								BgL_arg1916z00_1352 = MAKE_PAIR(BgL_arg1914z00_1350, BNIL);
								BgL_list1915z00_1351 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg1916z00_1352);
							}
							BgL_errorzd2msgzd2_1303 = BgL_list1915z00_1351;
					}}
					BgL_strengthz00_1304 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1297))->BgL_strengthz00);
					BgL_ntyz00_1305 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1297)))->BgL_typez00);
					BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1297,
						BgL_callerz00_1298, BgL_toz00_1299, BgL_safez00_1300);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BgL_strengthz00_1304, CNST_TABLE_REF(((long) 11)))))
						{	/* Coerce/funcall.scm 44 */
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1297), BgL_ntyz00_1305,
								((BgL_typez00_bglt) BgL_toz00_1299), CBOOL(BgL_safez00_1300));
						}
					else
						{	/* Coerce/funcall.scm 47 */
							BgL_nodez00_bglt BgL_czd2funzd2_1307;

							{	/* Coerce/funcall.scm 47 */
								BgL_nodez00_bglt BgL_arg1913z00_1349;

								BgL_arg1913z00_1349 =
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1297))->BgL_funz00);
								BgL_czd2funzd2_1307 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg1913z00_1349,
									BgL_callerz00_1298,
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
									CBOOL(BgL_safez00_1300));
							}
							if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
								{	/* Coerce/funcall.scm 49 */
									((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1297))->
											BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1307), BUNSPEC);
									return
										BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt)
											BgL_nodez00_1297), BgL_ntyz00_1305,
										((BgL_typez00_bglt) BgL_toz00_1299),
										CBOOL(BgL_safez00_1300));
								}
							else
								{	/* Coerce/funcall.scm 53 */
									BgL_localz00_bglt BgL_funz00_1308;

									BgL_funz00_1308 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 12)),
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
									{	/* Coerce/funcall.scm 53 */
										obj_t BgL_locz00_1309;

										BgL_locz00_1309 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1297)))->BgL_locz00);
										{	/* Coerce/funcall.scm 54 */
											BgL_atomz00_bglt BgL_lenz00_1310;

											{	/* Coerce/funcall.scm 55 */
												BgL_atomz00_bglt BgL_new1103z00_1344;

												{	/* Coerce/funcall.scm 55 */
													BgL_atomz00_bglt BgL_new1102z00_1347;

													BgL_new1102z00_1347 =
														((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_atomz00_bgl))));
													{	/* Coerce/funcall.scm 55 */
														long BgL_arg1912z00_1348;

														{	/* Coerce/funcall.scm 55 */
															long BgL_res1985z00_2155;

															{	/* Coerce/funcall.scm 55 */
																obj_t BgL_classz00_2152;

																BgL_classz00_2152 = BGl_atomz00zzast_nodez00;
																{	/* Coerce/funcall.scm 55 */
																	obj_t BgL_vectorz00_2153;
																	int BgL_kz00_2154;

																	BgL_vectorz00_2153 = BgL_classz00_2152;
																	BgL_kz00_2154 = (int) (((long) 1));
																	BgL_res1985z00_2155 =
																		(long) CINT(VECTOR_REF(BgL_vectorz00_2153,
																			BgL_kz00_2154));
															}}
															BgL_arg1912z00_1348 = BgL_res1985z00_2155;
														}
														{	/* Coerce/funcall.scm 55 */
															BgL_objectz00_bglt BgL_objz00_2156;

															BgL_objz00_2156 =
																((BgL_objectz00_bglt) BgL_new1102z00_1347);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2156,
																BgL_arg1912z00_1348);
													}}
													{	/* Coerce/funcall.scm 55 */
														BgL_objectz00_bglt BgL_auxz00_2395;

														BgL_auxz00_2395 =
															((BgL_objectz00_bglt) BgL_new1102z00_1347);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2395, BFALSE);
													}
													BgL_new1103z00_1344 = BgL_new1102z00_1347;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1103z00_1344)))->
														BgL_locz00) = ((obj_t) BgL_locz00_1309), BUNSPEC);
												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_new1103z00_1344)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_atomz00_bglt) CREF(BgL_new1103z00_1344))->
														BgL_valuez00) =
													((obj_t) BINT((bgl_list_length((((BgL_funcallz00_bglt)
																			CREF(BgL_nodez00_1297))->BgL_argsz00)) -
																((long) 2)))), BUNSPEC);
												BgL_lenz00_1310 = BgL_new1103z00_1344;
											}
											{	/* Coerce/funcall.scm 55 */
												obj_t BgL_azd2lenzd2_1311;

												BgL_azd2lenzd2_1311 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Coerce/funcall.scm 60 */
													obj_t BgL_azd2tlenzd2_1312;

													{	/* Coerce/funcall.scm 62 */
														obj_t BgL_arg1904z00_1339;

														{	/* Coerce/funcall.scm 62 */
															obj_t BgL_arg1905z00_1340;

															{	/* Coerce/funcall.scm 62 */
																obj_t BgL_arg1907z00_1341;
																obj_t BgL_arg1908z00_1342;

																{	/* Coerce/funcall.scm 62 */
																	obj_t BgL_res1987z00_2165;

																	{	/* Coerce/funcall.scm 62 */
																		obj_t BgL_arg1310z00_2164;

																		BgL_arg1310z00_2164 =
																			SYMBOL_TO_STRING(BgL_azd2lenzd2_1311);
																		BgL_res1987z00_2165 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1310z00_2164);
																	}
																	BgL_arg1907z00_1341 = BgL_res1987z00_2165;
																}
																{	/* Coerce/funcall.scm 62 */
																	obj_t BgL_res1988z00_2168;

																	{	/* Coerce/funcall.scm 62 */
																		obj_t BgL_symbolz00_2166;

																		BgL_symbolz00_2166 =
																			CNST_TABLE_REF(((long) 14));
																		{	/* Coerce/funcall.scm 62 */
																			obj_t BgL_arg1310z00_2167;

																			BgL_arg1310z00_2167 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2166);
																			BgL_res1988z00_2168 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1310z00_2167);
																	}}
																	BgL_arg1908z00_1342 = BgL_res1988z00_2168;
																}
																BgL_arg1905z00_1340 =
																	string_append(BgL_arg1907z00_1341,
																	BgL_arg1908z00_1342);
															}
															BgL_arg1904z00_1339 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg1905z00_1340));
														}
														BgL_azd2tlenzd2_1312 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg1904z00_1339);
													}
													{	/* Coerce/funcall.scm 61 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1313;

														{	/* Coerce/funcall.scm 63 */
															BgL_letzd2varzd2_bglt BgL_new1106z00_1319;

															{	/* Coerce/funcall.scm 63 */
																BgL_letzd2varzd2_bglt BgL_new1105z00_1337;

																BgL_new1105z00_1337 =
																	((BgL_letzd2varzd2_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Coerce/funcall.scm 63 */
																	long BgL_arg1903z00_1338;

																	{	/* Coerce/funcall.scm 63 */
																		long BgL_res1990z00_2174;

																		{	/* Coerce/funcall.scm 63 */
																			obj_t BgL_classz00_2171;

																			BgL_classz00_2171 =
																				BGl_letzd2varzd2zzast_nodez00;
																			{	/* Coerce/funcall.scm 63 */
																				obj_t BgL_vectorz00_2172;
																				int BgL_kz00_2173;

																				BgL_vectorz00_2172 = BgL_classz00_2171;
																				BgL_kz00_2173 = (int) (((long) 1));
																				BgL_res1990z00_2174 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2172,
																						BgL_kz00_2173));
																		}}
																		BgL_arg1903z00_1338 = BgL_res1990z00_2174;
																	}
																	{	/* Coerce/funcall.scm 63 */
																		BgL_objectz00_bglt BgL_objz00_2175;

																		BgL_objz00_2175 =
																			((BgL_objectz00_bglt)
																			BgL_new1105z00_1337);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2175,
																			BgL_arg1903z00_1338);
																}}
																{	/* Coerce/funcall.scm 63 */
																	BgL_objectz00_bglt BgL_auxz00_2426;

																	BgL_auxz00_2426 =
																		((BgL_objectz00_bglt) BgL_new1105z00_1337);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_2426,
																		BFALSE);
																}
																BgL_new1106z00_1319 = BgL_new1105z00_1337;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1106z00_1319)))->BgL_locz00) =
																((obj_t) BgL_locz00_1309), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1106z00_1319)))->BgL_typez00) =
																((BgL_typez00_bglt)
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt) BgL_toz00_1299),
																		BgL_ntyz00_1305)), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1106z00_1319)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1106z00_1319)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_2440;

																{	/* Coerce/funcall.scm 66 */
																	obj_t BgL_arg1885z00_1320;

																	BgL_arg1885z00_1320 =
																		MAKE_PAIR(
																		((obj_t) BgL_funz00_1308),
																		((obj_t) BgL_czd2funzd2_1307));
																	{	/* Coerce/funcall.scm 66 */
																		obj_t BgL_list1886z00_1321;

																		BgL_list1886z00_1321 =
																			MAKE_PAIR(BgL_arg1885z00_1320, BNIL);
																		BgL_auxz00_2440 = BgL_list1886z00_1321;
																}}
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_new1106z00_1319))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_2440), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_2446;

																{	/* Coerce/funcall.scm 68 */
																	obj_t BgL_arg1887z00_1322;

																	{	/* Coerce/funcall.scm 68 */
																		obj_t BgL_arg1889z00_1323;

																		{	/* Coerce/funcall.scm 68 */
																			obj_t BgL_arg1890z00_1324;
																			obj_t BgL_arg1891z00_1325;

																			{	/* Coerce/funcall.scm 68 */
																				obj_t BgL_arg1892z00_1326;

																				{	/* Coerce/funcall.scm 68 */
																					obj_t BgL_arg1893z00_1327;

																					BgL_arg1893z00_1327 =
																						MAKE_PAIR(
																						((obj_t) BgL_lenz00_1310), BNIL);
																					BgL_arg1892z00_1326 =
																						MAKE_PAIR(BgL_azd2tlenzd2_1312,
																						BgL_arg1893z00_1327);
																				}
																				BgL_arg1890z00_1324 =
																					MAKE_PAIR(BgL_arg1892z00_1326, BNIL);
																			}
																			{	/* Coerce/funcall.scm 69 */
																				obj_t BgL_arg1894z00_1328;

																				{	/* Coerce/funcall.scm 69 */
																					obj_t BgL_arg1895z00_1329;

																					{	/* Coerce/funcall.scm 69 */
																						obj_t BgL_arg1896z00_1330;
																						obj_t BgL_arg1897z00_1331;

																						{	/* Coerce/funcall.scm 69 */
																							obj_t BgL_arg1898z00_1332;

																							{	/* Coerce/funcall.scm 69 */
																								obj_t BgL_arg1899z00_1333;

																								BgL_arg1899z00_1333 =
																									MAKE_PAIR(BgL_azd2lenzd2_1311,
																									BNIL);
																								BgL_arg1898z00_1332 =
																									MAKE_PAIR(((obj_t)
																										BgL_funz00_1308),
																									BgL_arg1899z00_1333);
																							}
																							BgL_arg1896z00_1330 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										15)), BgL_arg1898z00_1332);
																						}
																						{	/* Coerce/funcall.scm 70 */
																							BgL_nodez00_bglt
																								BgL_arg1900z00_1334;
																							obj_t BgL_arg1901z00_1335;

																							BgL_arg1900z00_1334 =
																								BGl_convertz12z12zzcoerce_convertz00
																								(((BgL_nodez00_bglt)
																									BgL_nodez00_1297),
																								BgL_ntyz00_1305,
																								((BgL_typez00_bglt)
																									BgL_toz00_1299),
																								CBOOL(BgL_safez00_1300));
																							{	/* Coerce/funcall.scm 71 */
																								BgL_nodez00_bglt
																									BgL_arg1902z00_1336;
																								BgL_arg1902z00_1336 =
																									BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																									(BgL_funz00_1308,
																									BgL_errorzd2msgzd2_1303,
																									BgL_locz00_1309,
																									BgL_callerz00_1298,
																									BgL_toz00_1299);
																								BgL_arg1901z00_1335 =
																									MAKE_PAIR(((obj_t)
																										BgL_arg1902z00_1336), BNIL);
																							}
																							BgL_arg1897z00_1331 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg1900z00_1334),
																								BgL_arg1901z00_1335);
																						}
																						BgL_arg1895z00_1329 =
																							MAKE_PAIR(BgL_arg1896z00_1330,
																							BgL_arg1897z00_1331);
																					}
																					BgL_arg1894z00_1328 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								16)), BgL_arg1895z00_1329);
																				}
																				BgL_arg1891z00_1325 =
																					MAKE_PAIR(BgL_arg1894z00_1328, BNIL);
																			}
																			BgL_arg1889z00_1323 =
																				MAKE_PAIR(BgL_arg1890z00_1324,
																				BgL_arg1891z00_1325);
																		}
																		BgL_arg1887z00_1322 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																			BgL_arg1889z00_1323);
																	}
																	BgL_auxz00_2446 =
																		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_arg1887z00_1322, BgL_locz00_1309);
																}
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_new1106z00_1319))->BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2446),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		CREF(BgL_new1106z00_1319))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															BgL_lnodez00_1313 = BgL_new1106z00_1319;
														}
														{	/* Coerce/funcall.scm 63 */

															{	/* Coerce/funcall.scm 78 */
																BgL_varz00_bglt BgL_arg1881z00_1314;

																{	/* Coerce/funcall.scm 78 */
																	BgL_varz00_bglt BgL_new1108z00_1315;

																	{	/* Coerce/funcall.scm 78 */
																		BgL_varz00_bglt BgL_new1107z00_1317;

																		BgL_new1107z00_1317 =
																			((BgL_varz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Coerce/funcall.scm 78 */
																			long BgL_arg1884z00_1318;

																			{	/* Coerce/funcall.scm 78 */
																				long BgL_res1992z00_2182;

																				{	/* Coerce/funcall.scm 78 */
																					obj_t BgL_classz00_2179;

																					BgL_classz00_2179 =
																						BGl_varz00zzast_nodez00;
																					{	/* Coerce/funcall.scm 78 */
																						obj_t BgL_vectorz00_2180;
																						int BgL_kz00_2181;

																						BgL_vectorz00_2180 =
																							BgL_classz00_2179;
																						BgL_kz00_2181 = (int) (((long) 1));
																						BgL_res1992z00_2182 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_2180,
																								BgL_kz00_2181));
																				}}
																				BgL_arg1884z00_1318 =
																					BgL_res1992z00_2182;
																			}
																			{	/* Coerce/funcall.scm 78 */
																				BgL_objectz00_bglt BgL_objz00_2183;

																				BgL_objz00_2183 =
																					((BgL_objectz00_bglt)
																					BgL_new1107z00_1317);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2183,
																					BgL_arg1884z00_1318);
																		}}
																		{	/* Coerce/funcall.scm 78 */
																			BgL_objectz00_bglt BgL_auxz00_2481;

																			BgL_auxz00_2481 =
																				((BgL_objectz00_bglt)
																				BgL_new1107z00_1317);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2481,
																				BFALSE);
																		}
																		BgL_new1108z00_1315 = BgL_new1107z00_1317;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1108z00_1315)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1309), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_2486;

																		{	/* Coerce/funcall.scm 81 */
																			BgL_typez00_bglt BgL_arg1882z00_1316;

																			BgL_arg1882z00_1316 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_funz00_1308)))->BgL_typez00);
																			BgL_auxz00_2486 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(BgL_arg1882z00_1316,
																				((BgL_typez00_bglt)
																					BGl_za2objza2z00zztype_cachez00));
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1108z00_1315)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_2486),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1108z00_1315))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_funz00_1308)), BUNSPEC);
																	BgL_arg1881z00_1314 = BgL_new1108z00_1315;
																}
																{	/* Coerce/funcall.scm 78 */
																	BgL_nodez00_bglt BgL_vz00_2189;

																	BgL_vz00_2189 =
																		((BgL_nodez00_bglt) BgL_arg1881z00_1314);
																	((((BgL_funcallz00_bglt)
																				CREF(BgL_nodez00_1297))->BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_vz00_2189),
																		BUNSPEC);
															}}
															BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																((BgL_nodez00_bglt) BgL_lnodez00_1313));
															return ((BgL_nodez00_bglt) BgL_lnodez00_1313);
														}
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2001z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
