/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/spread.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_objectzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz121745z70zzeffect_spreadz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21748za2zzeffect_spreadz00(obj_t,
		BgL_varz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21750za2zzeffect_spreadz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21752za2zzeffect_spreadz00(obj_t,
		BgL_appz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21754za2zzeffect_spreadz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21756za2zzeffect_spreadz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21758za2zzeffect_spreadz00(obj_t,
		BgL_externz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21760za2zzeffect_spreadz00(obj_t,
		BgL_castz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21762za2zzeffect_spreadz00(obj_t,
		BgL_setqz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21764za2zzeffect_spreadz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21767za2zzeffect_spreadz00(obj_t,
		BgL_failz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21769za2zzeffect_spreadz00(obj_t,
		BgL_selectz00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21771za2zzeffect_spreadz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21773za2zzeffect_spreadz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21775za2zzeffect_spreadz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21777za2zzeffect_spreadz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21779za2zzeffect_spreadz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21782za2zzeffect_spreadz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21784za2zzeffect_spreadz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1963z00,
		BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1939z00zzeffect_spreadz00,
		BgL_bgl_string1939za700za7za7e1964za7, "spread-side-effect!1745", 23);
	      DEFINE_STRING(BGl_string1941z00zzeffect_spreadz00,
		BgL_bgl_string1941za700za7za7e1965za7, "spread-side-effect!", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1966z00,
		BGl_z62spreadzd2sidezd2effectz121745z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1967z00,
		BGl_z62spreadzd2sidezd2effectz12zd21748za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1968z00,
		BGl_z62spreadzd2sidezd2effectz12zd21750za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1969z00,
		BGl_z62spreadzd2sidezd2effectz12zd21752za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1970z00,
		BGl_z62spreadzd2sidezd2effectz12zd21754za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1971z00,
		BGl_z62spreadzd2sidezd2effectz12zd21756za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1972z00,
		BGl_z62spreadzd2sidezd2effectz12zd21758za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1973z00,
		BGl_z62spreadzd2sidezd2effectz12zd21760za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1974z00,
		BGl_z62spreadzd2sidezd2effectz12zd21762za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1975z00,
		BGl_z62spreadzd2sidezd2effectz12zd21764za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1959z00zzeffect_spreadz00,
		BgL_bgl_string1959za700za7za7e1976za7, "effect_spread", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1977z00,
		BGl_z62spreadzd2sidezd2effectz12zd21767za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1978z00,
		BGl_z62spreadzd2sidezd2effectz12zd21769za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1979z00,
		BGl_z62spreadzd2sidezd2effectz12zd21771za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1980z00,
		BGl_z62spreadzd2sidezd2effectz12zd21773za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1960z00zzeffect_spreadz00,
		BgL_bgl_string1960za700za7za7e1981za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1982z00,
		BGl_z62spreadzd2sidezd2effectz12zd21775za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1983z00,
		BGl_z62spreadzd2sidezd2effectz12zd21777za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1984z00,
		BGl_z62spreadzd2sidezd2effectz12zd21779za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1985z00,
		BGl_z62spreadzd2sidezd2effectz12zd21782za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1986z00,
		BGl_z62spreadzd2sidezd2effectz12zd21784za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_2138, char *BgL_fromz00_2139)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_genericzd2initzd2zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_spread");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_2129;

				BgL_cportz00_2129 =
					bgl_open_input_string(BGl_string1960z00zzeffect_spreadz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2130;

					BgL_iz00_2130 = ((long) 0);
				BgL_loopz00_2131:
					if ((BgL_iz00_2130 == ((long) -1)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg1962z00_2133;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_2135;

										BgL_locationz00_2135 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg1962z00_2133 =
												BGl_readz00zz__readerz00(BgL_cportz00_2129,
												BgL_locationz00_2135);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_auxz00_2159;

									BgL_auxz00_2159 = (int) (BgL_iz00_2130);
									CNST_TABLE_SET(BgL_auxz00_2159, BgL_arg1962z00_2133);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_2136;

								BgL_auxz00_2136 = (int) ((BgL_iz00_2130 - ((long) 1)));
								{
									long BgL_iz00_2164;

									BgL_iz00_2164 = (long) (BgL_auxz00_2136);
									BgL_iz00_2130 = BgL_iz00_2164;
									goto BgL_loopz00_2131;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_22)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 201 */
			{
				obj_t BgL_nodeza2za2_1131;
				bool_t BgL_resz00_1132;

				BgL_nodeza2za2_1131 = BgL_nodeza2za2_22;
				BgL_resz00_1132 = ((bool_t) 0);
			BgL_zc3anonymousza31794ze3z83_1133:
				if (NULLP(BgL_nodeza2za2_1131))
					{	/* Effect/spread.scm 204 */
						return BgL_resz00_1132;
					}
				else
					{	/* Effect/spread.scm 206 */
						obj_t BgL_arg1796z00_1135;
						bool_t BgL_arg1797z00_1136;

						BgL_arg1796z00_1135 = CDR(BgL_nodeza2za2_1131);
						{	/* Effect/spread.scm 206 */
							bool_t BgL__ortest_1118z00_1137;

							{	/* Effect/spread.scm 206 */
								obj_t BgL_arg1798z00_1138;

								BgL_arg1798z00_1138 = CAR(BgL_nodeza2za2_1131);
								BgL__ortest_1118z00_1137 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg1798z00_1138));
							}
							if (BgL__ortest_1118z00_1137)
								{	/* Effect/spread.scm 206 */
									BgL_arg1797z00_1136 = BgL__ortest_1118z00_1137;
								}
							else
								{	/* Effect/spread.scm 206 */
									BgL_arg1797z00_1136 = BgL_resz00_1132;
								}
						}
						{
							bool_t BgL_resz00_2174;
							obj_t BgL_nodeza2za2_2173;

							BgL_nodeza2za2_2173 = BgL_arg1796z00_1135;
							BgL_resz00_2174 = BgL_arg1797z00_1136;
							BgL_resz00_1132 = BgL_resz00_2174;
							BgL_nodeza2za2_1131 = BgL_nodeza2za2_2173;
							goto BgL_zc3anonymousza31794ze3z83_1133;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_proc1938z00zzeffect_spreadz00, BGl_nodez00zzast_nodez00,
				BGl_string1939z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!1745 */
	obj_t BGl_z62spreadzd2sidezd2effectz121745z70zzeffect_spreadz00(obj_t
		BgL_envz00_2071, BgL_nodez00_bglt BgL_nodez00_2072)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return BBOOL(((bool_t) 0));
		}
	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method1746z00_1144;

				{	/* Effect/spread.scm 23 */
					obj_t BgL_res1928z00_2014;

					{	/* Effect/spread.scm 23 */
						BgL_objectz00_bglt BgL_objz00_1986;

						BgL_objz00_1986 = ((BgL_objectz00_bglt) BgL_nodez00_3);
						{	/* Effect/spread.scm 23 */
							long BgL_objzd2classzd2numz00_1987;

							{	/* Effect/spread.scm 23 */
								long BgL_res1922z00_1990;

								BgL_res1922z00_1990 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1986);
								BgL_objzd2classzd2numz00_1987 = BgL_res1922z00_1990;
							}
							{	/* Effect/spread.scm 23 */
								obj_t BgL_arg1812z00_1988;

								BgL_arg1812z00_1988 =
									PROCEDURE_REF
									(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
									(int) (((long) 1)));
								{	/* Effect/spread.scm 23 */
									obj_t BgL_arrayz00_1991;
									int BgL_offsetz00_1992;

									BgL_arrayz00_1991 = BgL_arg1812z00_1988;
									BgL_offsetz00_1992 = (int) (BgL_objzd2classzd2numz00_1987);
									{	/* Effect/spread.scm 23 */
										long BgL_offsetz00_1993;

										BgL_offsetz00_1993 =
											((long) (BgL_offsetz00_1992) - OBJECT_TYPE);
										{	/* Effect/spread.scm 23 */
											long BgL_modz00_1994;

											{	/* Effect/spread.scm 23 */
												int BgL_arg1814z00_1995;

												BgL_arg1814z00_1995 = (int) (((long) 16));
												{	/* Effect/spread.scm 23 */
													long BgL_res1925z00_2005;

													{	/* Effect/spread.scm 23 */
														long BgL_auxz00_2185;

														BgL_auxz00_2185 = (long) (BgL_arg1814z00_1995);
														BgL_res1925z00_2005 =
															(BgL_offsetz00_1993 / BgL_auxz00_2185);
													}
													BgL_modz00_1994 = BgL_res1925z00_2005;
											}}
											{	/* Effect/spread.scm 23 */
												long BgL_restz00_1996;

												{	/* Effect/spread.scm 23 */
													int BgL_arg1813z00_1997;

													BgL_arg1813z00_1997 = (int) (((long) 16));
													{	/* Effect/spread.scm 23 */
														long BgL_res1927z00_2009;

														{	/* Effect/spread.scm 23 */
															long BgL_auxz00_2189;

															BgL_auxz00_2189 = (long) (BgL_arg1813z00_1997);
															BgL_res1927z00_2009 =
																(BgL_offsetz00_1993 % BgL_auxz00_2189);
														}
														BgL_restz00_1996 = BgL_res1927z00_2009;
												}}
												{	/* Effect/spread.scm 23 */

													BgL_res1928z00_2014 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1991,
															(int) (BgL_modz00_1994)),
														(int) (BgL_restz00_1996));
					}}}}}}}}
					BgL_method1746z00_1144 = BgL_res1928z00_2014;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1746z00_1144) (BgL_method1746z00_1144,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}
	}



/* &spread-side-effect! */
	obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t
		BgL_envz00_2073, obj_t BgL_nodez00_2074)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					((BgL_nodez00_bglt) BgL_nodez00_2074)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_varz00zzast_nodez00, BGl_proc1940z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1942z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appz00zzast_nodez00, BGl_proc1943z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1944z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1945z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_externz00zzast_nodez00, BGl_proc1946z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_castz00zzast_nodez00, BGl_proc1947z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setqz00zzast_nodez00, BGl_proc1948z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1949z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_failz00zzast_nodez00, BGl_proc1950z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_selectz00zzast_nodez00, BGl_proc1951z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1952z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1953z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1954z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1955z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1956z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1957z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1958z00zzeffect_spreadz00,
				BGl_string1941z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!-1784 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21784za2zzeffect_spreadz00(obj_t
		BgL_envz00_2093, BgL_boxzd2refzd2_bglt BgL_nodez00_2094)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 194 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1309;

				{	/* Effect/spread.scm 195 */
					bool_t BgL_auxz00_2223;

					BgL_nodez00_1309 = BgL_nodez00_2094;
					{	/* Effect/spread.scm 195 */
						BgL_varz00_bglt BgL_arg1868z00_2061;

						BgL_arg1868z00_2061 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1309))->BgL_varz00);
						BgL_auxz00_2223 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							((BgL_nodez00_bglt) BgL_arg1868z00_2061));
					}
					return BBOOL(BgL_auxz00_2223);
				}
			}
		}
	}



/* &spread-side-effect!-1782 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21782za2zzeffect_spreadz00(obj_t
		BgL_envz00_2095, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2096)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 182 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1303;

				{	/* Effect/spread.scm 183 */
					bool_t BgL_auxz00_2228;

					BgL_nodez00_1303 = BgL_nodez00_2096;
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1303))->
							BgL_valuez00));
					BgL_auxz00_2228 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2228);
				}
			}
		}
	}



/* &spread-side-effect!-1779 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21779za2zzeffect_spreadz00(obj_t
		BgL_envz00_2097, BgL_makezd2boxzd2_bglt BgL_nodez00_2098)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 173 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1296;

				{	/* Effect/spread.scm 174 */
					bool_t BgL_auxz00_2232;

					BgL_nodez00_1296 = BgL_nodez00_2098;
					{	/* Effect/spread.scm 175 */
						bool_t BgL_resz00_1300;

						BgL_resz00_1300 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1296))->
								BgL_valuez00));
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_nodez00_1296)))->BgL_sidezd2effectzd2) =
							((obj_t) BBOOL(BgL_resz00_1300)), BUNSPEC);
						BgL_auxz00_2232 = BgL_resz00_1300;
					}
					return BBOOL(BgL_auxz00_2232);
				}
			}
		}
	}



/* &spread-side-effect!-1777 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21777za2zzeffect_spreadz00(obj_t
		BgL_envz00_2099, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2100)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 164 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1289;

				{	/* Effect/spread.scm 165 */
					bool_t BgL_auxz00_2239;

					BgL_nodez00_1289 = BgL_nodez00_2100;
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1289))->
							BgL_exitz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(((
								(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1289))->
							BgL_valuez00));
					BgL_auxz00_2239 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2239);
				}
			}
		}
	}



/* &spread-side-effect!-1775 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21775za2zzeffect_spreadz00(obj_t
		BgL_envz00_2101, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2102)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 157 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1283;

				{	/* Effect/spread.scm 158 */
					bool_t BgL_auxz00_2245;

					BgL_nodez00_1283 = BgL_nodez00_2102;
					BgL_auxz00_2245 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1283))->
							BgL_bodyz00));
					return BBOOL(BgL_auxz00_2245);
				}
			}
		}
	}



/* &spread-side-effect!-1773 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21773za2zzeffect_spreadz00(obj_t
		BgL_envz00_2103, BgL_letzd2varzd2_bglt BgL_nodez00_2104)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 143 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1264;

				{	/* Effect/spread.scm 144 */
					bool_t BgL_auxz00_2249;

					BgL_nodez00_1264 = BgL_nodez00_2104;
					{	/* Effect/spread.scm 145 */
						bool_t BgL_g1111z00_1268;

						BgL_g1111z00_1268 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1264))->BgL_bodyz00));
						{
							obj_t BgL_bdgsz00_1271;
							bool_t BgL_resz00_1272;

							BgL_bdgsz00_1271 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1264))->
								BgL_bindingsz00);
							BgL_resz00_1272 = BgL_g1111z00_1268;
						BgL_zc3anonymousza31855ze3z83_1273:
							if (NULLP(BgL_bdgsz00_1271))
								{	/* Effect/spread.scm 147 */
									((((BgL_nodezf2effectzf2_bglt) CREF(
													((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1264)))->
											BgL_sidezd2effectzd2) =
										((obj_t) BBOOL(BgL_resz00_1272)), BUNSPEC);
									BgL_auxz00_2249 = BgL_resz00_1272;
								}
							else
								{	/* Effect/spread.scm 151 */
									obj_t BgL_arg1857z00_1275;
									bool_t BgL_arg1858z00_1276;

									BgL_arg1857z00_1275 = CDR(BgL_bdgsz00_1271);
									{	/* Effect/spread.scm 152 */
										bool_t BgL__ortest_1112z00_1277;

										{	/* Effect/spread.scm 152 */
											obj_t BgL_arg1859z00_1278;

											BgL_arg1859z00_1278 = CDR(CAR(BgL_bdgsz00_1271));
											BgL__ortest_1112z00_1277 =
												BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
												((BgL_nodez00_bglt) BgL_arg1859z00_1278));
										}
										if (BgL__ortest_1112z00_1277)
											{	/* Effect/spread.scm 152 */
												BgL_arg1858z00_1276 = BgL__ortest_1112z00_1277;
											}
										else
											{	/* Effect/spread.scm 152 */
												BgL_arg1858z00_1276 = BgL_resz00_1272;
											}
									}
									{
										bool_t BgL_resz00_2264;
										obj_t BgL_bdgsz00_2263;

										BgL_bdgsz00_2263 = BgL_arg1857z00_1275;
										BgL_resz00_2264 = BgL_arg1858z00_1276;
										BgL_resz00_1272 = BgL_resz00_2264;
										BgL_bdgsz00_1271 = BgL_bdgsz00_2263;
										goto BgL_zc3anonymousza31855ze3z83_1273;
									}
								}
						}
					}
					return BBOOL(BgL_auxz00_2249);
				}
			}
		}
	}



/* &spread-side-effect!-1771 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21771za2zzeffect_spreadz00(obj_t
		BgL_envz00_2105, BgL_letzd2funzd2_bglt BgL_nodez00_2106)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 131 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1247;

				{	/* Effect/spread.scm 132 */
					bool_t BgL_auxz00_2267;

					BgL_nodez00_1247 = BgL_nodez00_2106;
					{	/* Effect/spread.scm 133 */
						obj_t BgL_g1744z00_1251;

						BgL_g1744z00_1251 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1247))->BgL_localsz00);
						{
							obj_t BgL_l1742z00_1253;

							BgL_l1742z00_1253 = BgL_g1744z00_1251;
						BgL_zc3anonymousza31848ze3z83_1254:
							if (PAIRP(BgL_l1742z00_1253))
								{	/* Effect/spread.scm 133 */
									{	/* Effect/spread.scm 134 */
										obj_t BgL_localz00_1256;

										BgL_localz00_1256 = CAR(BgL_l1742z00_1253);
										{	/* Effect/spread.scm 134 */
											obj_t BgL_arg1850z00_1257;

											BgL_arg1850z00_1257 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_1256))))->
																BgL_valuez00))))->BgL_bodyz00);
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
													(BgL_nodez00_bglt) BgL_arg1850z00_1257));
										}
									}
									{
										obj_t BgL_l1742z00_2279;

										BgL_l1742z00_2279 = CDR(BgL_l1742z00_1253);
										BgL_l1742z00_1253 = BgL_l1742z00_2279;
										goto BgL_zc3anonymousza31848ze3z83_1254;
									}
								}
							else
								{	/* Effect/spread.scm 133 */
									((bool_t) 1);
								}
						}
					}
					{	/* Effect/spread.scm 136 */
						bool_t BgL_resz00_1261;

						BgL_resz00_1261 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1247))->BgL_bodyz00));
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1247)))->
								BgL_sidezd2effectzd2) =
							((obj_t) BBOOL(BgL_resz00_1261)), BUNSPEC);
						BgL_auxz00_2267 = BgL_resz00_1261;
					}
					return BBOOL(BgL_auxz00_2267);
				}
			}
		}
	}



/* &spread-side-effect!-1769 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21769za2zzeffect_spreadz00(obj_t
		BgL_envz00_2107, BgL_selectz00_bglt BgL_nodez00_2108)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 117 */
			{
				BgL_selectz00_bglt BgL_nodez00_1228;

				{	/* Effect/spread.scm 118 */
					bool_t BgL_auxz00_2287;

					BgL_nodez00_1228 = BgL_nodez00_2108;
					{	/* Effect/spread.scm 119 */
						bool_t BgL_g1107z00_1232;

						BgL_g1107z00_1232 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1228))->BgL_testz00));
						{
							obj_t BgL_clausesz00_1235;
							bool_t BgL_resz00_1236;

							BgL_clausesz00_1235 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1228))->BgL_clausesz00);
							BgL_resz00_1236 = BgL_g1107z00_1232;
						BgL_zc3anonymousza31841ze3z83_1237:
							if (NULLP(BgL_clausesz00_1235))
								{	/* Effect/spread.scm 121 */
									((((BgL_nodezf2effectzf2_bglt) CREF(
													((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1228)))->
											BgL_sidezd2effectzd2) =
										((obj_t) BBOOL(BgL_resz00_1236)), BUNSPEC);
									BgL_auxz00_2287 = BgL_resz00_1236;
								}
							else
								{	/* Effect/spread.scm 125 */
									obj_t BgL_arg1843z00_1239;
									bool_t BgL_arg1844z00_1240;

									BgL_arg1843z00_1239 = CDR(BgL_clausesz00_1235);
									{	/* Effect/spread.scm 126 */
										bool_t BgL__ortest_1108z00_1241;

										{	/* Effect/spread.scm 126 */
											obj_t BgL_arg1845z00_1242;

											BgL_arg1845z00_1242 = CDR(CAR(BgL_clausesz00_1235));
											BgL__ortest_1108z00_1241 =
												BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
												((BgL_nodez00_bglt) BgL_arg1845z00_1242));
										}
										if (BgL__ortest_1108z00_1241)
											{	/* Effect/spread.scm 126 */
												BgL_arg1844z00_1240 = BgL__ortest_1108z00_1241;
											}
										else
											{	/* Effect/spread.scm 126 */
												BgL_arg1844z00_1240 = BgL_resz00_1236;
											}
									}
									{
										bool_t BgL_resz00_2302;
										obj_t BgL_clausesz00_2301;

										BgL_clausesz00_2301 = BgL_arg1843z00_1239;
										BgL_resz00_2302 = BgL_arg1844z00_1240;
										BgL_resz00_1236 = BgL_resz00_2302;
										BgL_clausesz00_1235 = BgL_clausesz00_2301;
										goto BgL_zc3anonymousza31841ze3z83_1237;
									}
								}
						}
					}
					return BBOOL(BgL_auxz00_2287);
				}
			}
		}
	}



/* &spread-side-effect!-1767 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21767za2zzeffect_spreadz00(obj_t
		BgL_envz00_2109, BgL_failz00_bglt BgL_nodez00_2110)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 107 */
			{
				BgL_failz00_bglt BgL_nodez00_1217;

				{	/* Effect/spread.scm 108 */
					bool_t BgL_auxz00_2305;

					BgL_nodez00_1217 = BgL_nodez00_2110;
					{	/* Effect/spread.scm 109 */
						bool_t BgL_reszd2proczd2_1221;

						BgL_reszd2proczd2_1221 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1217))->BgL_procz00));
						{	/* Effect/spread.scm 109 */
							bool_t BgL_reszd2msgzd2_1222;

							BgL_reszd2msgzd2_1222 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1217))->BgL_msgz00));
							{	/* Effect/spread.scm 110 */
								bool_t BgL_reszd2objzd2_1223;

								BgL_reszd2objzd2_1223 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1217))->BgL_objz00));
								{	/* Effect/spread.scm 111 */

									BgL_auxz00_2305 = ((bool_t) 1);
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_2305);
				}
			}
		}
	}



/* &spread-side-effect!-1764 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21764za2zzeffect_spreadz00(obj_t
		BgL_envz00_2111, BgL_conditionalz00_bglt BgL_nodez00_2112)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 95 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1203;

				{	/* Effect/spread.scm 96 */
					bool_t BgL_auxz00_2313;

					BgL_nodez00_1203 = BgL_nodez00_2112;
					{	/* Effect/spread.scm 97 */
						bool_t BgL_reszd2testzd2_1207;

						BgL_reszd2testzd2_1207 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1203))->
								BgL_testz00));
						{	/* Effect/spread.scm 97 */
							bool_t BgL_reszd2truezd2_1208;

							BgL_reszd2truezd2_1208 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1203))->
									BgL_truez00));
							{	/* Effect/spread.scm 98 */
								bool_t BgL_reszd2falsezd2_1209;

								BgL_reszd2falsezd2_1209 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1203))->
										BgL_falsez00));
								{	/* Effect/spread.scm 99 */
									bool_t BgL_resz00_1210;

									if (BgL_reszd2testzd2_1207)
										{	/* Effect/spread.scm 100 */
											BgL_resz00_1210 = BgL_reszd2testzd2_1207;
										}
									else
										{	/* Effect/spread.scm 100 */
											if (BgL_reszd2truezd2_1208)
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1210 = BgL_reszd2truezd2_1208;
												}
											else
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1210 = BgL_reszd2falsezd2_1209;
												}
										}
									{	/* Effect/spread.scm 100 */

										((((BgL_nodezf2effectzf2_bglt) CREF(
														((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1203)))->
												BgL_sidezd2effectzd2) =
											((obj_t) BBOOL(BgL_resz00_1210)), BUNSPEC);
										BgL_auxz00_2313 = BgL_resz00_1210;
									}
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_2313);
				}
			}
		}
	}



/* &spread-side-effect!-1762 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21762za2zzeffect_spreadz00(obj_t
		BgL_envz00_2113, BgL_setqz00_bglt BgL_nodez00_2114)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 87 */
			{
				BgL_setqz00_bglt BgL_nodez00_1197;

				{	/* Effect/spread.scm 88 */
					bool_t BgL_auxz00_2326;

					BgL_nodez00_1197 = BgL_nodez00_2114;
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1197))->BgL_valuez00));
					BgL_auxz00_2326 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2326);
				}
			}
		}
	}



/* &spread-side-effect!-1760 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21760za2zzeffect_spreadz00(obj_t
		BgL_envz00_2115, BgL_castz00_bglt BgL_nodez00_2116)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 80 */
			{
				BgL_castz00_bglt BgL_nodez00_1191;

				{	/* Effect/spread.scm 81 */
					bool_t BgL_auxz00_2330;

					BgL_nodez00_1191 = BgL_nodez00_2116;
					BgL_auxz00_2330 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1191))->BgL_argz00));
					return BBOOL(BgL_auxz00_2330);
				}
			}
		}
	}



/* &spread-side-effect!-1758 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21758za2zzeffect_spreadz00(obj_t
		BgL_envz00_2117, BgL_externz00_bglt BgL_nodez00_2118)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 71 */
			{
				BgL_externz00_bglt BgL_nodez00_1183;

				BgL_nodez00_1183 = BgL_nodez00_2118;
				{	/* Effect/spread.scm 73 */
					obj_t BgL_resz00_1187;

					{	/* Effect/spread.scm 73 */
						bool_t BgL__ortest_1099z00_1188;

						BgL__ortest_1099z00_1188 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1183))->BgL_exprza2za2));
						if (BgL__ortest_1099z00_1188)
							{	/* Effect/spread.scm 73 */
								BgL_resz00_1187 = BBOOL(BgL__ortest_1099z00_1188);
							}
						else
							{	/* Effect/spread.scm 73 */
								BgL_resz00_1187 =
									(((BgL_nodezf2effectzf2_bglt) CREF(
											((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1183)))->
									BgL_sidezd2effectzd2);
							}
					}
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1183)))->
							BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1187), BUNSPEC);
					return BgL_resz00_1187;
				}
			}
		}
	}



/* &spread-side-effect!-1756 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21756za2zzeffect_spreadz00(obj_t
		BgL_envz00_2119, BgL_funcallz00_bglt BgL_nodez00_2120)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 62 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1176;

				{	/* Effect/spread.scm 63 */
					bool_t BgL_auxz00_2342;

					BgL_nodez00_1176 = BgL_nodez00_2120;
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1176))->BgL_funz00));
					BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1176))->BgL_argsz00));
					BgL_auxz00_2342 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2342);
				}
			}
		}
	}



/* &spread-side-effect!-1754 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21754za2zzeffect_spreadz00(obj_t
		BgL_envz00_2121, BgL_appzd2lyzd2_bglt BgL_nodez00_2122)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 53 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1169;

				{	/* Effect/spread.scm 54 */
					bool_t BgL_auxz00_2348;

					BgL_nodez00_1169 = BgL_nodez00_2122;
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1169))->BgL_funz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1169))->BgL_argz00));
					BgL_auxz00_2348 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2348);
				}
			}
		}
	}



/* &spread-side-effect!-1752 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21752za2zzeffect_spreadz00(obj_t
		BgL_envz00_2123, BgL_appz00_bglt BgL_nodez00_2124)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 43 */
			{
				BgL_appz00_bglt BgL_nodez00_1158;

				BgL_nodez00_1158 = BgL_nodez00_2124;
				{	/* Effect/spread.scm 45 */
					obj_t BgL_resz00_1162;

					{	/* Effect/spread.scm 45 */
						bool_t BgL__ortest_1095z00_1163;

						BgL__ortest_1095z00_1163 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1158))->BgL_argsz00));
						if (BgL__ortest_1095z00_1163)
							{	/* Effect/spread.scm 45 */
								BgL_resz00_1162 = BBOOL(BgL__ortest_1095z00_1163);
							}
						else
							{	/* Effect/spread.scm 45 */
								BgL_resz00_1162 =
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															(((BgL_varz00_bglt) CREF(
																		(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_1158))->BgL_funz00)))->
																BgL_variablez00)))->BgL_valuez00))))->
									BgL_sidezd2effectzd2);
							}
					}
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1158)))->
							BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1162), BUNSPEC);
					return BgL_resz00_1162;
				}
			}
		}
	}



/* &spread-side-effect!-1750 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21750za2zzeffect_spreadz00(obj_t
		BgL_envz00_2125, BgL_sequencez00_bglt BgL_nodez00_2126)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 35 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1152;

				{	/* Effect/spread.scm 36 */
					bool_t BgL_auxz00_2365;

					BgL_nodez00_1152 = BgL_nodez00_2126;
					{	/* Effect/spread.scm 36 */
						bool_t BgL_resz00_1155;

						BgL_resz00_1155 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1152))->BgL_nodesz00));
						{	/* Effect/spread.scm 37 */
							obj_t BgL_vz00_2023;

							BgL_vz00_2023 = BBOOL(BgL_resz00_1155);
							((((BgL_nodezf2effectzf2_bglt) CREF(
											((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1152)))->
									BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_2023), BUNSPEC);
						}
						BgL_auxz00_2365 = BgL_resz00_1155;
					}
					return BBOOL(BgL_auxz00_2365);
				}
			}
		}
	}



/* &spread-side-effect!-1748 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21748za2zzeffect_spreadz00(obj_t
		BgL_envz00_2127, BgL_varz00_bglt BgL_nodez00_2128)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 29 */
			{
				BgL_varz00_bglt BgL_nodez00_1145;

				{	/* Effect/spread.scm 30 */
					bool_t BgL_auxz00_2372;

					BgL_nodez00_1145 = BgL_nodez00_2128;
					if (
						((((BgL_variablez00_bglt) CREF(
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1145))->
											BgL_variablez00)))->BgL_accessz00) ==
							CNST_TABLE_REF(((long) 0))))
						{	/* Effect/spread.scm 30 */
							BgL_auxz00_2372 = ((bool_t) 0);
						}
					else
						{	/* Effect/spread.scm 30 */
							BgL_auxz00_2372 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2372);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1959z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1959z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string1959z00zzeffect_spreadz00));
		}
	}

#ifdef __cplusplus
}
#endif
