/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31888ze3z83zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk2038z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_STRING(BGl_string2014z00zzeffect_walkz00,
		BgL_bgl_string2014za700za7za7e2039za7, "Effect", 6);
	      DEFINE_STRING(BGl_string2015z00zzeffect_walkz00,
		BgL_bgl_string2015za700za7za7e2040za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2016z00zzeffect_walkz00,
		BgL_bgl_string2016za700za7za7e2041za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2017z00zzeffect_walkz00,
		BgL_bgl_string2017za700za7za7e2042za7, " error", 6);
	      DEFINE_STRING(BGl_string2018z00zzeffect_walkz00,
		BgL_bgl_string2018za700za7za7e2043za7, "s", 1);
	      DEFINE_STRING(BGl_string2019z00zzeffect_walkz00,
		BgL_bgl_string2019za700za7za7e2044za7, "", 0);
	      DEFINE_STRING(BGl_string2020z00zzeffect_walkz00,
		BgL_bgl_string2020za700za7za7e2045za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2021z00zzeffect_walkz00,
		BgL_bgl_string2021za700za7za7e2046za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2022z00zzeffect_walkz00,
		BgL_bgl_string2022za700za7za7e2047za7, ".sch", 4);
	      DEFINE_STRING(BGl_string2023z00zzeffect_walkz00,
		BgL_bgl_string2023za700za7za7e2048za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string2024z00zzeffect_walkz00,
		BgL_bgl_string2024za700za7za7e2049za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string2025z00zzeffect_walkz00,
		BgL_bgl_string2025za700za7za7e2050za7, " (effect", 8);
	      DEFINE_STRING(BGl_string2026z00zzeffect_walkz00,
		BgL_bgl_string2026za700za7za7e2051za7, "   (", 4);
	      DEFINE_STRING(BGl_string2027z00zzeffect_walkz00,
		BgL_bgl_string2027za700za7za7e2052za7, ")", 1);
	      DEFINE_STRING(BGl_string2028z00zzeffect_walkz00,
		BgL_bgl_string2028za700za7za7e2053za7, " (read ", 7);
	      DEFINE_STRING(BGl_string2029z00zzeffect_walkz00,
		BgL_bgl_string2029za700za7za7e2054za7, " (write ", 8);
	      DEFINE_STRING(BGl_string2030z00zzeffect_walkz00,
		BgL_bgl_string2030za700za7za7e2055za7, "))", 2);
	      DEFINE_STRING(BGl_string2031z00zzeffect_walkz00,
		BgL_bgl_string2031za700za7za7e2056za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string2032z00zzeffect_walkz00,
		BgL_bgl_string2032za700za7za7e2057za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string2033z00zzeffect_walkz00,
		BgL_bgl_string2033za700za7za7e2058za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string2034z00zzeffect_walkz00,
		BgL_bgl_string2034za700za7za7e2059za7,
		"top (reset-effect-tables!) pass-started ", 40);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec2060z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_2266, char *BgL_fromz00_2267)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_2258;

				BgL_cportz00_2258 =
					bgl_open_input_string(BGl_string2034z00zzeffect_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2259;

					BgL_iz00_2259 = ((long) 2);
				BgL_loopz00_2260:
					if ((BgL_iz00_2259 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg2037z00_2262;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_2264;

										BgL_locationz00_2264 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg2037z00_2262 =
												BGl_readz00zz__readerz00(BgL_cportz00_2258,
												BgL_locationz00_2264);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_2291;

									BgL_auxz00_2291 = (int) (BgL_iz00_2259);
									CNST_TABLE_SET(BgL_auxz00_2291, BgL_arg2037z00_2262);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_2265;

								BgL_auxz00_2265 = (int) ((BgL_iz00_2259 - ((long) 1)));
								{
									long BgL_iz00_2296;

									BgL_iz00_2296 = (long) (BgL_auxz00_2265);
									BgL_iz00_2259 = BgL_iz00_2296;
									goto BgL_loopz00_2260;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1829z00_1238;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1830z00_1239;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1831z00_1240;

						BgL_arg1831z00_1240 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1830z00_1239 =
							MAKE_PAIR(BGl_string2014z00zzeffect_walkz00, BgL_arg1831z00_1240);
					}
					BgL_list1829z00_1238 =
						MAKE_PAIR(BGl_string2015z00zzeffect_walkz00, BgL_arg1830z00_1239);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1829z00_1238);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2014z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_1244;
				obj_t BgL_hnamesz00_1245;

				BgL_hooksz00_1244 = BNIL;
				BgL_hnamesz00_1245 = BNIL;
			BgL_zc3anonymousza31832ze3z83_1246:
				if (NULLP(BgL_hooksz00_1244))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_2308;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun1841z00_1252;

							BgL_fun1841z00_1252 = CAR(BgL_hooksz00_1244);
							BgL_testz00_2308 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1841z00_1252) (BgL_fun1841z00_1252,
									BEOA));
						}
						if (BgL_testz00_2308)
							{
								obj_t BgL_hnamesz00_2316;
								obj_t BgL_hooksz00_2314;

								BgL_hooksz00_2314 = CDR(BgL_hooksz00_1244);
								BgL_hnamesz00_2316 = CDR(BgL_hnamesz00_1245);
								BgL_hnamesz00_1245 = BgL_hnamesz00_2316;
								BgL_hooksz00_1244 = BgL_hooksz00_2314;
								goto BgL_zc3anonymousza31832ze3z83_1246;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2014z00zzeffect_walkz00,
									BGl_string2016z00zzeffect_walkz00, CAR(BgL_hnamesz00_1245));
							}
					}
			}
			{
				obj_t BgL_l1813z00_1256;

				BgL_l1813z00_1256 = BgL_globalsz00_3;
			BgL_zc3anonymousza31843ze3z83_1257:
				if (PAIRP(BgL_l1813z00_1256))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1259;

							BgL_globalz00_1259 = CAR(BgL_l1813z00_1256);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1259));
						}
						{
							obj_t BgL_l1813z00_2325;

							BgL_l1813z00_2325 = CDR(BgL_l1813z00_1256);
							BgL_l1813z00_1256 = BgL_l1813z00_2325;
							goto BgL_zc3anonymousza31843ze3z83_1257;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 44 */
				obj_t BgL_g1817z00_1263;

				BgL_g1817z00_1263 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1815z00_1265;

					BgL_l1815z00_1265 = BgL_g1817z00_1263;
				BgL_zc3anonymousza31847ze3z83_1266:
					if (PAIRP(BgL_l1815z00_1265))
						{	/* Effect/walk.scm 48 */
							{	/* Effect/walk.scm 45 */
								obj_t BgL_varz00_1268;

								BgL_varz00_1268 = CAR(BgL_l1815z00_1265);
								{	/* Effect/walk.scm 45 */
									BgL_valuez00_bglt BgL_funz00_1269;

									BgL_funz00_1269 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1268)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1269)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 47 */
											BgL_funz00_bglt BgL_oz00_2139;

											BgL_oz00_2139 = ((BgL_funz00_bglt) BgL_funz00_1269);
											((((BgL_funz00_bglt) CREF(BgL_oz00_2139))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 46 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1815z00_2341;

								BgL_l1815z00_2341 = CDR(BgL_l1815z00_1265);
								BgL_l1815z00_1265 = BgL_l1815z00_2341;
								goto BgL_zc3anonymousza31847ze3z83_1266;
							}
						}
					else
						{	/* Effect/walk.scm 48 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1818z00_1275;

				BgL_l1818z00_1275 = BgL_globalsz00_3;
			BgL_zc3anonymousza31852ze3z83_1276:
				if (PAIRP(BgL_l1818z00_1275))
					{	/* Effect/walk.scm 51 */
						{	/* Effect/walk.scm 52 */
							obj_t BgL_globalz00_1278;

							BgL_globalz00_1278 = CAR(BgL_l1818z00_1275);
							{	/* Effect/walk.scm 52 */
								obj_t BgL_arg1854z00_1279;

								BgL_arg1854z00_1279 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1278))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1854z00_1279));
							}
						}
						{
							obj_t BgL_l1818z00_2353;

							BgL_l1818z00_2353 = CDR(BgL_l1818z00_1275);
							BgL_l1818z00_1275 = BgL_l1818z00_2353;
							goto BgL_zc3anonymousza31852ze3z83_1276;
						}
					}
				else
					{	/* Effect/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 57 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 57 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 60 */
					{	/* Effect/walk.scm 60 */
						obj_t BgL_port1820z00_1285;

						{	/* Effect/walk.scm 60 */
							obj_t BgL_res1990z00_2156;

							{	/* Effect/walk.scm 60 */
								obj_t BgL_auxz00_2360;

								BgL_auxz00_2360 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1990z00_2156 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2360);
							}
							BgL_port1820z00_1285 = BgL_res1990z00_2156;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1820z00_1285);
						BGL_DISPLAY_STRING(BGl_string2017z00zzeffect_walkz00,
							BgL_port1820z00_1285);
						{	/* Effect/walk.scm 60 */
							obj_t BgL_arg1858z00_1286;

							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_2365;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 60 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 60 */
												BgL_testz00_2365 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 60 */
												BgL_testz00_2365 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 60 */
										BgL_testz00_2365 = ((bool_t) 0);
									}
								if (BgL_testz00_2365)
									{	/* Effect/walk.scm 60 */
										BgL_arg1858z00_1286 = BGl_string2018z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 60 */
										BgL_arg1858z00_1286 = BGl_string2019z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1858z00_1286, BgL_port1820z00_1285);
						}
						BGL_DISPLAY_STRING(BGl_string2020z00zzeffect_walkz00,
							BgL_port1820z00_1285);
						bgl_display_char(((unsigned char) '\n'), BgL_port1820z00_1285);
					}
					{	/* Effect/walk.scm 60 */
						obj_t BgL_list1862z00_1290;

						BgL_list1862z00_1290 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1862z00_1290);
					}
				}
			else
				{	/* Effect/walk.scm 60 */
					obj_t BgL_g1115z00_1291;
					obj_t BgL_g1118z00_1292;

					{	/* Effect/walk.scm 60 */
						obj_t BgL_list1870z00_1304;

						BgL_list1870z00_1304 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1115z00_1291 = BgL_list1870z00_1304;
					}
					BgL_g1118z00_1292 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_1294;
						obj_t BgL_hnamesz00_1295;

						BgL_hooksz00_1294 = BgL_g1115z00_1291;
						BgL_hnamesz00_1295 = BgL_g1118z00_1292;
					BgL_zc3anonymousza31863ze3z83_1296:
						if (NULLP(BgL_hooksz00_1294))
							{	/* Effect/walk.scm 60 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_2384;

								{	/* Effect/walk.scm 60 */
									obj_t BgL_fun1869z00_1302;

									BgL_fun1869z00_1302 = CAR(BgL_hooksz00_1294);
									BgL_testz00_2384 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1869z00_1302)
										(BgL_fun1869z00_1302, BEOA));
								}
								if (BgL_testz00_2384)
									{
										obj_t BgL_hnamesz00_2392;
										obj_t BgL_hooksz00_2390;

										BgL_hooksz00_2390 = CDR(BgL_hooksz00_1294);
										BgL_hnamesz00_2392 = CDR(BgL_hnamesz00_1295);
										BgL_hnamesz00_1295 = BgL_hnamesz00_2392;
										BgL_hooksz00_1294 = BgL_hooksz00_2390;
										goto BgL_zc3anonymousza31863ze3z83_1296;
									}
								else
									{	/* Effect/walk.scm 60 */
										obj_t BgL_arg1868z00_1301;

										BgL_arg1868z00_1301 = CAR(BgL_hnamesz00_1295);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2021z00zzeffect_walkz00, BgL_arg1868z00_1301);
									}
							}
					}
				}
		}
	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_2251,
		obj_t BgL_globalsz00_2252, obj_t BgL_feffectz00_2253)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2252,
				CBOOL(BgL_feffectz00_2253));
		}
	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 65 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1821z00_1307;

					BgL_l1821z00_1307 = BgL_wz00_5;
				BgL_zc3anonymousza31872ze3z83_1308:
					if (PAIRP(BgL_l1821z00_1307))
						{	/* Effect/walk.scm 67 */
							{	/* Effect/walk.scm 69 */
								obj_t BgL_varz00_1310;

								BgL_varz00_1310 = CAR(BgL_l1821z00_1307);
								{	/* Effect/walk.scm 69 */
									BgL_valuez00_bglt BgL_funz00_1311;

									BgL_funz00_1311 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1310)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1311)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 70 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 70 */
											{	/* Effect/walk.scm 71 */
												BgL_funz00_bglt BgL_oz00_2185;

												BgL_oz00_2185 = ((BgL_funz00_bglt) BgL_funz00_1311);
												((((BgL_funz00_bglt) CREF(BgL_oz00_2185))->
														BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											}
											if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1310,
													BGl_localzf2fromzf2zzeffect_cgraphz00))
												{	/* Effect/walk.scm 74 */
													obj_t BgL_arg1876z00_1314;

													{
														BgL_localzf2fromzf2_bglt BgL_auxz00_2413;

														{
															obj_t BgL_auxz00_2414;

															{	/* Effect/walk.scm 74 */
																BgL_objectz00_bglt BgL_auxz00_2415;

																BgL_auxz00_2415 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_1310));
																BgL_auxz00_2414 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2415);
															}
															BgL_auxz00_2413 =
																((BgL_localzf2fromzf2_bglt) BgL_auxz00_2414);
														}
														BgL_arg1876z00_1314 =
															(((BgL_localzf2fromzf2_bglt)
																CREF(BgL_auxz00_2413))->BgL_fromz00);
													}
													BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
														(BgL_arg1876z00_1314);
												}
											else
												{	/* Effect/walk.scm 73 */
													if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1310,
															BGl_globalzf2fromzf2zzeffect_cgraphz00))
														{	/* Effect/walk.scm 76 */
															obj_t BgL_arg1878z00_1316;

															{
																BgL_globalzf2fromzf2_bglt BgL_auxz00_2424;

																{
																	obj_t BgL_auxz00_2425;

																	{	/* Effect/walk.scm 76 */
																		BgL_objectz00_bglt BgL_auxz00_2426;

																		BgL_auxz00_2426 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_varz00_1310));
																		BgL_auxz00_2425 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2426);
																	}
																	BgL_auxz00_2424 =
																		((BgL_globalzf2fromzf2_bglt)
																		BgL_auxz00_2425);
																}
																BgL_arg1878z00_1316 =
																	(((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_auxz00_2424))->BgL_fromz00);
															}
															BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																(BgL_arg1878z00_1316);
														}
													else
														{	/* Effect/walk.scm 75 */
															((bool_t) 0);
														}
												}
										}
								}
							}
							{
								obj_t BgL_l1821z00_2433;

								BgL_l1821z00_2433 = CDR(BgL_l1821z00_1307);
								BgL_l1821z00_1307 = BgL_l1821z00_2433;
								goto BgL_zc3anonymousza31872ze3z83_1308;
							}
						}
					else
						{	/* Effect/walk.scm 67 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 66 */
					return ((bool_t) 0);
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 82 */
			{	/* Effect/walk.scm 93 */
				obj_t BgL_onamez00_1321;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Effect/walk.scm 93 */
						BgL_onamez00_1321 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* Effect/walk.scm 95 */
						bool_t BgL_testz00_2437;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* Effect/walk.scm 95 */
								obj_t BgL_auxz00_2440;

								BgL_auxz00_2440 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_testz00_2437 = STRINGP(BgL_auxz00_2440);
							}
						else
							{	/* Effect/walk.scm 95 */
								BgL_testz00_2437 = ((bool_t) 0);
							}
						if (BgL_testz00_2437)
							{	/* Effect/walk.scm 95 */
								BgL_onamez00_1321 =
									string_append(BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
									BGl_string2022z00zzeffect_walkz00);
							}
						else
							{	/* Effect/walk.scm 95 */
								BgL_onamez00_1321 = BFALSE;
							}
					}
				{	/* Effect/walk.scm 93 */
					obj_t BgL_portz00_1322;

					if (STRINGP(BgL_onamez00_1321))
						{	/* Effect/walk.scm 99 */
							obj_t BgL_g1865z00_1343;

							BgL_g1865z00_1343 = BgL_onamez00_1321;
							{	/* Effect/walk.scm 99 */

								BgL_portz00_1322 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_g1865z00_1343, BTRUE);
							}
						}
					else
						{	/* Effect/walk.scm 100 */
							obj_t BgL_res2009z00_2224;

							{	/* Effect/walk.scm 100 */
								obj_t BgL_auxz00_2449;

								BgL_auxz00_2449 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2009z00_2224 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2449);
							}
							BgL_portz00_1322 = BgL_res2009z00_2224;
						}
					{	/* Effect/walk.scm 98 */

						if (OUTPUT_PORTP(BgL_portz00_1322))
							{	/* Effect/walk.scm 103 */
								obj_t BgL_val1120z00_1324;

								BgL_val1120z00_1324 =
									BGl_zc3exitza31888ze3z83zzeffect_walkz00(BgL_globalsz00_6);
								{	/* Effect/walk.scm 108 */
									bool_t BgL_testz00_2455;

									{	/* Effect/walk.scm 108 */
										obj_t BgL_arg1884z00_1326;

										{	/* Effect/walk.scm 108 */
											obj_t BgL_res2013z00_2239;

											{	/* Effect/walk.scm 108 */
												obj_t BgL_auxz00_2456;

												BgL_auxz00_2456 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res2013z00_2239 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2456);
											}
											BgL_arg1884z00_1326 = BgL_res2013z00_2239;
										}
										BgL_testz00_2455 =
											(BgL_portz00_1322 == BgL_arg1884z00_1326);
									}
									if (BgL_testz00_2455)
										{	/* Effect/walk.scm 108 */
											BFALSE;
										}
									else
										{	/* Effect/walk.scm 108 */
											bgl_close_output_port(BgL_portz00_1322);
										}
								}
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val1120z00_1324)))
									{	/* Effect/walk.scm 108 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val1120z00_1324), CDR(BgL_val1120z00_1324));
									}
								else
									{	/* Effect/walk.scm 108 */
										return BgL_val1120z00_1324;
									}
							}
						else
							{	/* Effect/walk.scm 101 */
								return
									BGl_errorz00zz__errorz00(BGl_string2023z00zzeffect_walkz00,
									BGl_string2024z00zzeffect_walkz00, BgL_onamez00_1321);
							}
					}
				}
			}
		}
	}



/* <exit:1888> */
	obj_t BGl_zc3exitza31888ze3z83zzeffect_walkz00(obj_t BgL_globalsz00_2257)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 108 */
			{
				obj_t BgL_gz00_1351;
				jmp_buf_t jmpbuf;
				void *BgL_an_exit1121z00_1331;

				if (SET_EXIT(BgL_an_exit1121z00_1331))
					{
						return BGL_EXIT_VALUE();
					}
				else
					{
#if( SIGSETJMP_SAVESIGS == 0 )
						bgl_restore_signal_handlers();
#endif

						BgL_an_exit1121z00_1331 = (void *) jmpbuf;
						{	/* Effect/walk.scm 108 */

							PUSH_EXIT(BgL_an_exit1121z00_1331, ((long) 0));
							{	/* Effect/walk.scm 106 */
								obj_t BgL_val1122z00_1332;

								{	/* Effect/walk.scm 105 */
									obj_t BgL_arg1889z00_1333;

									{	/* Effect/walk.scm 105 */
										obj_t BgL_res2010z00_2227;

										{	/* Effect/walk.scm 105 */
											obj_t BgL_auxz00_2471;

											BgL_auxz00_2471 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2010z00_2227 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2471);
										}
										BgL_arg1889z00_1333 = BgL_res2010z00_2227;
									}
									BGL_DISPLAY_STRING(BGl_string2031z00zzeffect_walkz00,
										BgL_arg1889z00_1333);
								}
								{
									obj_t BgL_l1824z00_1335;

									BgL_l1824z00_1335 = BgL_globalsz00_2257;
								BgL_zc3anonymousza31890ze3z83_1336:
									if (PAIRP(BgL_l1824z00_1335))
										{	/* Effect/walk.scm 106 */
											BgL_gz00_1351 = CAR(BgL_l1824z00_1335);
											{	/* Effect/walk.scm 84 */
												obj_t BgL_fez00_1353;

												BgL_fez00_1353 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt) BgL_gz00_1351)))->
																	BgL_valuez00))))->BgL_effectz00);
												if (BGl_isazf3zf3zz__objectz00(BgL_fez00_1353,
														BGl_feffectz00zzast_varz00))
													{	/* Effect/walk.scm 86 */
														BgL_feffectz00_bglt BgL_i1119z00_1355;

														BgL_i1119z00_1355 =
															((BgL_feffectz00_bglt) BgL_fez00_1353);
														{	/* Effect/walk.scm 87 */
															bool_t BgL_testz00_2484;

															if (
																((((BgL_feffectz00_bglt)
																			CREF(BgL_i1119z00_1355))->BgL_readz00) ==
																	CNST_TABLE_REF(((long) 2))))
																{	/* Effect/walk.scm 87 */
																	BgL_testz00_2484 =
																		(
																		(((BgL_feffectz00_bglt)
																				CREF(BgL_i1119z00_1355))->
																			BgL_writez00) ==
																		CNST_TABLE_REF(((long) 2)));
																}
															else
																{	/* Effect/walk.scm 87 */
																	BgL_testz00_2484 = ((bool_t) 0);
																}
															if (BgL_testz00_2484)
																{	/* Effect/walk.scm 87 */
																	BFALSE;
																}
															else
																{	/* Effect/walk.scm 87 */
																	{	/* Effect/walk.scm 89 */
																		obj_t BgL_arg1905z00_1357;

																		BgL_arg1905z00_1357 =
																			BGl_shapez00zztools_shapez00
																			(BgL_gz00_1351);
																		{	/* Effect/walk.scm 89 */
																			obj_t BgL_list1906z00_1358;

																			{	/* Effect/walk.scm 89 */
																				obj_t BgL_arg1907z00_1359;

																				{	/* Effect/walk.scm 89 */
																					obj_t BgL_arg1908z00_1360;

																					BgL_arg1908z00_1360 =
																						MAKE_PAIR
																						(BGl_string2025z00zzeffect_walkz00,
																						BNIL);
																					BgL_arg1907z00_1359 =
																						MAKE_PAIR(BgL_arg1905z00_1357,
																						BgL_arg1908z00_1360);
																				}
																				BgL_list1906z00_1358 =
																					MAKE_PAIR
																					(BGl_string2026z00zzeffect_walkz00,
																					BgL_arg1907z00_1359);
																			}
																			BGl_displayza2za2zz__r4_output_6_10_3z00
																				(BgL_list1906z00_1358);
																		}
																	}
																	if (NULLP(
																			(((BgL_feffectz00_bglt)
																					CREF(BgL_i1119z00_1355))->
																				BgL_readz00)))
																		{	/* Effect/walk.scm 90 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 90 */
																			obj_t BgL_arg1910z00_1362;

																			BgL_arg1910z00_1362 =
																				(((BgL_feffectz00_bglt)
																					CREF(BgL_i1119z00_1355))->
																				BgL_readz00);
																			{	/* Effect/walk.scm 90 */
																				obj_t BgL_list1911z00_1363;

																				{	/* Effect/walk.scm 90 */
																					obj_t BgL_arg1912z00_1364;

																					{	/* Effect/walk.scm 90 */
																						obj_t BgL_arg1913z00_1365;

																						BgL_arg1913z00_1365 =
																							MAKE_PAIR
																							(BGl_string2027z00zzeffect_walkz00,
																							BNIL);
																						BgL_arg1912z00_1364 =
																							MAKE_PAIR(BgL_arg1910z00_1362,
																							BgL_arg1913z00_1365);
																					}
																					BgL_list1911z00_1363 =
																						MAKE_PAIR
																						(BGl_string2028z00zzeffect_walkz00,
																						BgL_arg1912z00_1364);
																				}
																				BGl_displayza2za2zz__r4_output_6_10_3z00
																					(BgL_list1911z00_1363);
																			}
																		}
																	if (NULLP(
																			(((BgL_feffectz00_bglt)
																					CREF(BgL_i1119z00_1355))->
																				BgL_writez00)))
																		{	/* Effect/walk.scm 91 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 91 */
																			obj_t BgL_arg1916z00_1368;

																			BgL_arg1916z00_1368 =
																				(((BgL_feffectz00_bglt)
																					CREF(BgL_i1119z00_1355))->
																				BgL_writez00);
																			{	/* Effect/walk.scm 91 */
																				obj_t BgL_list1917z00_1369;

																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg1918z00_1370;

																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_arg1919z00_1371;

																						BgL_arg1919z00_1371 =
																							MAKE_PAIR
																							(BGl_string2027z00zzeffect_walkz00,
																							BNIL);
																						BgL_arg1918z00_1370 =
																							MAKE_PAIR(BgL_arg1916z00_1368,
																							BgL_arg1919z00_1371);
																					}
																					BgL_list1917z00_1369 =
																						MAKE_PAIR
																						(BGl_string2029z00zzeffect_walkz00,
																						BgL_arg1918z00_1370);
																				}
																				BGl_displayza2za2zz__r4_output_6_10_3z00
																					(BgL_list1917z00_1369);
																			}
																		}
																	{	/* Effect/walk.scm 92 */
																		obj_t BgL_port1823z00_1373;

																		{	/* Effect/walk.scm 92 */
																			obj_t BgL_res2004z00_2209;

																			{	/* Effect/walk.scm 92 */
																				obj_t BgL_auxz00_2513;

																				BgL_auxz00_2513 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2004z00_2209 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_2513);
																			}
																			BgL_port1823z00_1373 =
																				BgL_res2004z00_2209;
																		}
																		BGL_DISPLAY_STRING
																			(BGl_string2030z00zzeffect_walkz00,
																			BgL_port1823z00_1373);
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port1823z00_1373);
													}}}}
												else
													{	/* Effect/walk.scm 85 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1824z00_2519;

												BgL_l1824z00_2519 = CDR(BgL_l1824z00_1335);
												BgL_l1824z00_1335 = BgL_l1824z00_2519;
												goto BgL_zc3anonymousza31890ze3z83_1336;
											}
										}
									else
										{	/* Effect/walk.scm 106 */
											((bool_t) 1);
										}
								}
								{	/* Effect/walk.scm 107 */
									obj_t BgL_arg1894z00_1341;

									{	/* Effect/walk.scm 107 */
										obj_t BgL_res2012z00_2235;

										{	/* Effect/walk.scm 107 */
											obj_t BgL_auxz00_2521;

											BgL_auxz00_2521 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2012z00_2235 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2521);
										}
										BgL_arg1894z00_1341 = BgL_res2012z00_2235;
									}
									BgL_val1122z00_1332 =
										BGL_DISPLAY_STRING(BGl_string2032z00zzeffect_walkz00,
										BgL_arg1894z00_1341);
								}
								POP_EXIT();
								return BgL_val1122z00_1332;
							}
						}
					}
			}
		}
	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_2255,
		obj_t BgL_globalsz00_2256)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 82 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_2256);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2033z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
