/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31550ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62zc3anonymousza31529ze3ze1zzengine_heapz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31565ze3ze1zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_zc3exitza31519ze3z83zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_z62zc3anonymousza31594ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1864z00zzengine_heapz00,
		BgL_bgl_string1864za700za7za7e1885za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1865z00zzengine_heapz00,
		BgL_bgl_string1865za700za7za7e1886za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1868z00zzengine_heapz00,
		BgL_bgl_string1868za700za7za7e1887za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1869z00zzengine_heapz00,
		BgL_bgl_string1869za700za7za7e1888za7, "\"", 1);
	      DEFINE_STRING(BGl_string1870z00zzengine_heapz00,
		BgL_bgl_string1870za700za7za7e1889za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1871z00zzengine_heapz00,
		BgL_bgl_string1871za700za7za7e1890za7, " )\n", 3);
	      DEFINE_STRING(BGl_string1872z00zzengine_heapz00,
		BgL_bgl_string1872za700za7za7e1891za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71892za7,
		BGl_z62zc3anonymousza31529ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1873z00zzengine_heapz00,
		BgL_bgl_string1873za700za7za7e1893za7, " )", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71894za7,
		BGl_z62zc3anonymousza31550ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1874z00zzengine_heapz00,
		BgL_bgl_string1874za700za7za7e1895za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1875z00zzengine_heapz00,
		BgL_bgl_string1875za700za7za7e1896za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1877z00zzengine_heapz00,
		BgL_bgl_string1877za700za7za7e1897za7, "   ", 3);
	      DEFINE_STRING(BGl_string1878z00zzengine_heapz00,
		BgL_bgl_string1878za700za7za7e1898za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string1879z00zzengine_heapz00,
		BgL_bgl_string1879za700za7za7e1899za7, "", 0);
	      DEFINE_STRING(BGl_string1881z00zzengine_heapz00,
		BgL_bgl_string1881za700za7za7e1900za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1882z00zzengine_heapz00,
		BgL_bgl_string1882za700za7za7e1901za7,
		"type class super jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71902za7,
		BGl_z62zc3anonymousza31594ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71903za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71904za7,
		BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1541, char *BgL_fromz00_1542)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1533;

				BgL_cportz00_1533 =
					bgl_open_input_string(BGl_string1882z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1534;

					BgL_iz00_1534 = ((long) 13);
				BgL_loopz00_1535:
					if ((BgL_iz00_1534 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1884z00_1537;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1539;

										BgL_locationz00_1539 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1884z00_1537 =
												BGl_readz00zz__readerz00(BgL_cportz00_1533,
												BgL_locationz00_1539);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1568;

									BgL_auxz00_1568 = (int) (BgL_iz00_1534);
									CNST_TABLE_SET(BgL_auxz00_1568, BgL_arg1884z00_1537);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1540;

								BgL_auxz00_1540 = (int) ((BgL_iz00_1534 - ((long) 1)));
								{
									long BgL_iz00_1573;

									BgL_iz00_1573 = (long) (BgL_auxz00_1540);
									BgL_iz00_1534 = BgL_iz00_1573;
									goto BgL_loopz00_1535;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1467z00_717;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1578;

					BgL_l1467z00_717 = BgL_namesz00_3;
				BgL_zc3anonymousza31500ze3z83_718:
					if (PAIRP(BgL_l1467z00_717))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1467z00_717));
							{
								obj_t BgL_l1467z00_1583;

								BgL_l1467z00_1583 = CDR(BgL_l1467z00_717);
								BgL_l1467z00_717 = BgL_l1467z00_1583;
								goto BgL_zc3anonymousza31500ze3z83_718;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1578 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1578);
				}
			}
		}
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1507,
		obj_t BgL_namesz00_1508)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1508);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_723;

				BgL_fnamez00_723 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_723))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_725;

						BgL_portz00_725 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_723);
						if (BINARY_PORTP(BgL_portz00_725))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val1064z00_727;

								BgL_val1064z00_727 =
									BGl_zc3exitza31519ze3z83zzengine_heapz00(BgL_heapz00_4,
									BgL_portz00_725);
								close_binary_port(BgL_portz00_725);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val1064z00_727)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val1064z00_727), CDR(BgL_val1064z00_727));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val1064z00_727;
									}
							}
						else
							{	/* Engine/heap.scm 51 */
								obj_t BgL_arg1589z00_792;

								{	/* Engine/heap.scm 51 */
									obj_t BgL_list1590z00_793;

									BgL_list1590z00_793 = MAKE_PAIR(BgL_fnamez00_723, BNIL);
									BgL_arg1589z00_792 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1864z00zzengine_heapz00, BgL_list1590z00_793);
								}
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BgL_arg1589z00_792, BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_794;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list1591z00_795;

							BgL_list1591z00_795 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_794 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1864z00zzengine_heapz00, BgL_list1591z00_795);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_794,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:1519> */
	obj_t BGl_zc3exitza31519ze3z83zzengine_heapz00(obj_t BgL_heapz00_1531,
		obj_t BgL_portz00_1530)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1065z00_732;

			if (SET_EXIT(BgL_an_exit1065z00_732))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1065z00_732 = (void *) jmpbuf;
					{	/* Engine/heap.scm 113 */

						PUSH_EXIT(BgL_an_exit1065z00_732, ((long) 0));
						{	/* Engine/heap.scm 54 */
							obj_t BgL_val1066z00_733;

							{	/* Engine/heap.scm 54 */
								obj_t BgL_envsz00_734;

								BgL_envsz00_734 = input_obj(BgL_portz00_1530);
								{	/* Engine/heap.scm 54 */
									obj_t BgL__z00_735;

									{	/* Engine/heap.scm 55 */
										bool_t BgL_testz00_1613;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1614;

											{	/* Engine/heap.scm 55 */
												obj_t BgL_v1469z00_791;

												BgL_v1469z00_791 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v1469z00_791,
													(int) (((long) 0)), BgL_envsz00_734);
												BgL_testz00_1614 = ((bool_t) 1);
											}
											if (BgL_testz00_1614)
												{	/* Engine/heap.scm 56 */
													bool_t BgL__ortest_1067z00_788;

													{	/* Engine/heap.scm 56 */
														int BgL_arg1580z00_790;

														BgL_arg1580z00_790 = VECTOR_LENGTH(BgL_envsz00_734);
														BgL__ortest_1067z00_788 =
															((long) (BgL_arg1580z00_790) == ((long) 5));
													}
													if (BgL__ortest_1067z00_788)
														{	/* Engine/heap.scm 56 */
															BgL_testz00_1613 = BgL__ortest_1067z00_788;
														}
													else
														{	/* Engine/heap.scm 57 */
															int BgL_arg1574z00_789;

															BgL_arg1574z00_789 =
																VECTOR_LENGTH(BgL_envsz00_734);
															BgL_testz00_1613 =
																((long) (BgL_arg1574z00_789) == ((long) 6));
												}}
											else
												{	/* Engine/heap.scm 55 */
													BgL_testz00_1613 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1613)
											{	/* Engine/heap.scm 55 */
												BgL__z00_735 = BFALSE;
											}
										else
											{	/* Engine/heap.scm 55 */
												BgL__z00_735 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
													BGl_string1865z00zzengine_heapz00, BgL_heapz00_1531);
									}}
									{	/* Engine/heap.scm 55 */
										obj_t BgL_targetz00_736;

										BgL_targetz00_736 =
											VECTOR_REF(BgL_envsz00_734, (int) (((long) 0)));
										{	/* Engine/heap.scm 59 */
											obj_t BgL_versionz00_737;

											BgL_versionz00_737 =
												VECTOR_REF(BgL_envsz00_734, (int) (((long) 1)));
											{	/* Engine/heap.scm 60 */
												obj_t BgL_specificz00_738;

												BgL_specificz00_738 =
													VECTOR_REF(BgL_envsz00_734, (int) (((long) 2)));
												{	/* Engine/heap.scm 61 */
													obj_t BgL_genvz00_739;

													BgL_genvz00_739 =
														VECTOR_REF(BgL_envsz00_734, (int) (((long) 3)));
													{	/* Engine/heap.scm 62 */
														obj_t BgL_tenvz00_740;

														BgL_tenvz00_740 =
															VECTOR_REF(BgL_envsz00_734, (int) (((long) 4)));
														{	/* Engine/heap.scm 63 */
															obj_t BgL_includesz00_741;

															{	/* Engine/heap.scm 64 */
																bool_t BgL_testz00_1638;

																{	/* Engine/heap.scm 64 */
																	int BgL_arg1569z00_785;

																	BgL_arg1569z00_785 =
																		VECTOR_LENGTH(BgL_envsz00_734);
																	BgL_testz00_1638 =
																		((long) (BgL_arg1569z00_785) == ((long) 6));
																}
																if (BgL_testz00_1638)
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_741 =
																			VECTOR_REF(BgL_envsz00_734,
																			(int) (((long) 5)));
																	}
																else
																	{	/* Engine/heap.scm 64 */
																		BgL_includesz00_741 = BNIL;
																	}
															}
															{	/* Engine/heap.scm 64 */

																{	/* Engine/heap.scm 76 */
																	bool_t BgL_testz00_1644;

																	{	/* Engine/heap.scm 76 */
																		int BgL_arg1522z00_743;

																		BgL_arg1522z00_743 =
																			VECTOR_LENGTH(BgL_envsz00_734);
																		BgL_testz00_1644 =
																			(
																			(long) (BgL_arg1522z00_743) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1644)
																		{	/* Engine/heap.scm 76 */
																			BGl_addzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_739);
																		}
																	else
																		{	/* Engine/heap.scm 76 */
																			BGl_setzd2tenvz12zc0zztype_envz00
																				(BgL_tenvz00_740);
																			BGl_setzd2genvz12zc0zzast_envz00
																				(BgL_genvz00_739);
																		}
																}
																{	/* Engine/heap.scm 85 */
																	bool_t BgL_testz00_1651;

																	{	/* Engine/heap.scm 85 */
																		obj_t BgL_arg1548z00_754;

																		BgL_arg1548z00_754 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_testz00_1651 =
																			(((BgL_backendz00_bglt)
																				CREF(((BgL_backendz00_bglt)
																						BgL_arg1548z00_754)))->
																			BgL_qualifiedzd2typeszd2);
																	}
																	if (BgL_testz00_1651)
																		{	/* Engine/heap.scm 85 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc1866z00zzengine_heapz00, BNIL);
																		}
																	else
																		{	/* Engine/heap.scm 85 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_739,
																	BGl_proc1867z00zzengine_heapz00);
																{	/* Engine/heap.scm 99 */
																	obj_t BgL_arg1560z00_770;

																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_res1835z00_1375;

																		{	/* Engine/heap.scm 99 */
																			obj_t BgL_auxz00_1657;

																			BgL_auxz00_1657 =
																				BGL_CURRENT_DYNAMIC_ENV();
																			BgL_res1835z00_1375 =
																				BGL_ENV_CURRENT_ERROR_PORT
																				(BgL_auxz00_1657);
																		}
																		BgL_arg1560z00_770 = BgL_res1835z00_1375;
																	}
																	{	/* Engine/heap.scm 101 */
																		obj_t BgL_zc3anonymousza31565ze3z83_1509;

																		BgL_zc3anonymousza31565ze3z83_1509 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza31565ze3ze1zzengine_heapz00,
																			(int) (((long) 0)), (int) (((long) 4)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31565ze3z83_1509,
																			(int) (((long) 0)), BgL_heapz00_1531);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31565ze3z83_1509,
																			(int) (((long) 1)), BgL_genvz00_739);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31565ze3z83_1509,
																			(int) (((long) 2)), BgL_tenvz00_740);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza31565ze3z83_1509,
																			(int) (((long) 3)), BgL_includesz00_741);
																		BgL_val1066z00_733 =
																			BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																			(BgL_arg1560z00_770,
																			BgL_zc3anonymousza31565ze3z83_1509);
							}}}}}}}}}}}
							POP_EXIT();
							return BgL_val1066z00_733;
						}
					}
				}
		}
	}



/* &<anonymous:1565> */
	obj_t BGl_z62zc3anonymousza31565ze3ze1zzengine_heapz00(obj_t BgL_envz00_1512)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_1513;
				obj_t BgL_genvz00_1514;
				obj_t BgL_tenvz00_1515;
				obj_t BgL_includesz00_1516;

				BgL_heapz00_1513 = PROCEDURE_REF(BgL_envz00_1512, (int) (((long) 0)));
				BgL_genvz00_1514 = PROCEDURE_REF(BgL_envz00_1512, (int) (((long) 1)));
				BgL_tenvz00_1515 = PROCEDURE_REF(BgL_envz00_1512, (int) (((long) 2)));
				BgL_includesz00_1516 =
					PROCEDURE_REF(BgL_envz00_1512, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port1473z00_773;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res1836z00_1377;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1681;

								BgL_auxz00_1681 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1836z00_1377 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1681);
							}
							BgL_port1473z00_773 = BgL_res1836z00_1377;
						}
						BGL_DISPLAY_STRING(BGl_string1868z00zzengine_heapz00,
							BgL_port1473z00_773);
						bgl_display_obj(BgL_heapz00_1513, BgL_port1473z00_773);
						BGL_DISPLAY_STRING(BGl_string1869z00zzengine_heapz00,
							BgL_port1473z00_773);
						bgl_display_char(((unsigned char) '\n'), BgL_port1473z00_773);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port1474z00_774;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res1837z00_1384;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1688;

								BgL_auxz00_1688 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1837z00_1384 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1688);
							}
							BgL_port1474z00_774 = BgL_res1837z00_1384;
						}
						BGL_DISPLAY_STRING(BGl_string1870z00zzengine_heapz00,
							BgL_port1474z00_774);
						bgl_display_char(((unsigned char) '\n'), BgL_port1474z00_774);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1514);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port1475z00_775;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res1838z00_1389;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1694;

								BgL_auxz00_1694 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1838z00_1389 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1694);
							}
							BgL_port1475z00_775 = BgL_res1838z00_1389;
						}
						BGL_DISPLAY_STRING(BGl_string1871z00zzengine_heapz00,
							BgL_port1475z00_775);
						bgl_display_char(((unsigned char) '\n'), BgL_port1475z00_775);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port1476z00_776;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res1839z00_1394;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1699;

								BgL_auxz00_1699 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1839z00_1394 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1699);
							}
							BgL_port1476z00_776 = BgL_res1839z00_1394;
						}
						BGL_DISPLAY_STRING(BGl_string1872z00zzengine_heapz00,
							BgL_port1476z00_776);
						bgl_display_char(((unsigned char) '\n'), BgL_port1476z00_776);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1515);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port1477z00_777;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res1840z00_1399;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1705;

								BgL_auxz00_1705 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1840z00_1399 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1705);
							}
							BgL_port1477z00_777 = BgL_res1840z00_1399;
						}
						BGL_DISPLAY_STRING(BGl_string1873z00zzengine_heapz00,
							BgL_port1477z00_777);
						bgl_display_char(((unsigned char) '\n'), BgL_port1477z00_777);
					}
					if (PAIRP(BgL_includesz00_1516))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port1478z00_779;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res1842z00_1406;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1712;

										BgL_auxz00_1712 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1842z00_1406 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1712);
									}
									BgL_port1478z00_779 = BgL_res1842z00_1406;
								}
								BGL_DISPLAY_STRING(BGl_string1874z00zzengine_heapz00,
									BgL_port1478z00_779);
								bgl_display_char(((unsigned char) '\n'), BgL_port1478z00_779);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port1479z00_780;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res1843z00_1411;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1717;

										BgL_auxz00_1717 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1843z00_1411 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1717);
									}
									BgL_port1479z00_780 = BgL_res1843z00_1411;
								}
								bgl_display_obj(BgL_includesz00_1516, BgL_port1479z00_780);
								bgl_display_char(((unsigned char) '\n'), BgL_port1479z00_780);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port1480z00_781;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res1844z00_1414;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1722;

										BgL_auxz00_1722 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1844z00_1414 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1722);
									}
									BgL_port1480z00_781 = BgL_res1844z00_1414;
								}
								BGL_DISPLAY_STRING(BGl_string1873z00zzengine_heapz00,
									BgL_port1480z00_781);
								bgl_display_char(((unsigned char) '\n'), BgL_port1480z00_781);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port1481z00_782;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res1845z00_1419;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1727;

								BgL_auxz00_1727 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1845z00_1419 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1727);
							}
							BgL_port1481z00_782 = BgL_res1845z00_1419;
						}
						BGL_DISPLAY_STRING(BGl_string1875z00zzengine_heapz00,
							BgL_port1481z00_782);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port1481z00_782);
		}}}}
	}



/* &<anonymous:1550> */
	obj_t BGl_z62zc3anonymousza31550ze3ze1zzengine_heapz00(obj_t BgL_envz00_1517,
		obj_t BgL_kz00_1518, obj_t BgL_bucketz00_1519)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_756;
				obj_t BgL_bucketz00_757;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1732;

					BgL_kz00_756 = BgL_kz00_1518;
					BgL_bucketz00_757 = BgL_bucketz00_1519;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g1472z00_759;

						BgL_g1472z00_759 = CDR(BgL_bucketz00_757);
						{
							obj_t BgL_l1470z00_761;

							BgL_l1470z00_761 = BgL_g1472z00_759;
						BgL_zc3anonymousza31551ze3z83_762:
							if (PAIRP(BgL_l1470z00_761))
								{	/* Engine/heap.scm 98 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_764;

										BgL_newz00_764 = CAR(BgL_l1470z00_761);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg1555z00_765;

											BgL_arg1555z00_765 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_764)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list1556z00_766;

												BgL_list1556z00_766 =
													MAKE_PAIR(BgL_arg1555z00_765, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1556z00_766);
											}
										}
									}
									{
										obj_t BgL_l1470z00_1741;

										BgL_l1470z00_1741 = CDR(BgL_l1470z00_761);
										BgL_l1470z00_761 = BgL_l1470z00_1741;
										goto BgL_zc3anonymousza31551ze3z83_762;
									}
								}
							else
								{	/* Engine/heap.scm 98 */
									BgL_auxz00_1732 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1732);
				}
			}
		}
	}



/* &<anonymous:1529> */
	obj_t BGl_z62zc3anonymousza31529ze3ze1zzengine_heapz00(obj_t BgL_envz00_1520,
		obj_t BgL_newz00_1521)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_747;

				BgL_newz00_747 = BgL_newz00_1521;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg1536z00_749;
					obj_t BgL_arg1537z00_750;
					obj_t BgL_arg1539z00_751;

					BgL_arg1536z00_749 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_747)))->BgL_modulez00);
					BgL_arg1537z00_750 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_747)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1539z00_751 = BGl_shapez00zztools_shapez00(BgL_newz00_747);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list1540z00_752;

						BgL_list1540z00_752 = MAKE_PAIR(BgL_arg1539z00_751, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1536z00_749,
							BgL_arg1537z00_750, BgL_list1540z00_752);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1876z00zzengine_heapz00);
		}
	}



/* &<anonymous:1594> */
	obj_t BGl_z62zc3anonymousza31594ze3ze1zzengine_heapz00(obj_t BgL_envz00_1523,
		obj_t BgL_kz00_1524, obj_t BgL_bucketz00_1525)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_798;
				obj_t BgL_bucketz00_799;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1752;

					BgL_kz00_798 = BgL_kz00_1524;
					BgL_bucketz00_799 = BgL_bucketz00_1525;
					{
						obj_t BgL_newz00_810;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g1485z00_801;

							BgL_g1485z00_801 = CDR(BgL_bucketz00_799);
							{
								obj_t BgL_l1483z00_803;

								BgL_l1483z00_803 = BgL_g1485z00_801;
							BgL_zc3anonymousza31595ze3z83_804:
								if (PAIRP(BgL_l1483z00_803))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_810 = CAR(BgL_l1483z00_803);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_812;

											BgL_modulez00_812 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_810)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_813;

												BgL_idz00_813 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_810))))->
													BgL_idz00);
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_814;

													BgL_qtz00_814 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_812);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_815;

														BgL_jtz00_815 =
															(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_newz00_810)))->
															BgL_jvmzd2typezd2namez00);
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_816;

															BgL_valz00_816 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_newz00_810))))->
																BgL_valuez00);
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_817;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1767;

																	{	/* Engine/heap.scm 129 */
																		bool_t BgL_res1850z00_1439;

																		{	/* Engine/heap.scm 129 */
																			obj_t BgL_objz00_1438;

																			BgL_objz00_1438 =
																				((obj_t) BgL_valz00_816);
																			BgL_res1850z00_1439 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_objz00_1438,
																				BGl_sfunz00zzast_varz00);
																		}
																		BgL_testz00_1767 = BgL_res1850z00_1439;
																	}
																	if (BgL_testz00_1767)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_817 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1771;

																			{	/* Engine/heap.scm 130 */
																				bool_t BgL_res1851z00_1441;

																				{	/* Engine/heap.scm 130 */
																					obj_t BgL_objz00_1440;

																					BgL_objz00_1440 =
																						((obj_t) BgL_valz00_816);
																					BgL_res1851z00_1441 =
																						BGl_isazf3zf3zz__objectz00
																						(BgL_objz00_1440,
																						BGl_cfunz00zzast_varz00);
																				}
																				BgL_testz00_1771 = BgL_res1851z00_1441;
																			}
																			if (BgL_testz00_1771)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_817 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_817 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1482z00_818;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res1852z00_1443;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1776;

																				BgL_auxz00_1776 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res1852z00_1443 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1776);
																			}
																			BgL_port1482z00_818 = BgL_res1852z00_1443;
																		}
																		BGL_DISPLAY_STRING
																			(BGl_string1877z00zzengine_heapz00,
																			BgL_port1482z00_818);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1605z00_819;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1606z00_820;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1613z00_821;
																					obj_t BgL_arg1623z00_822;

																					BgL_arg1613z00_821 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_810);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1624z00_823;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1630z00_824;
																							obj_t BgL_arg1631z00_825;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1632z00_826;

																								BgL_arg1632z00_826 =
																									MAKE_PAIR(BgL_idz00_813,
																									BNIL);
																								BgL_arg1630z00_824 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 4)),
																									BgL_arg1632z00_826);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1635z00_827;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1636z00_828;
																									obj_t BgL_arg1640z00_829;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1641z00_830;

																										BgL_arg1641z00_830 =
																											MAKE_PAIR
																											(BgL_modulez00_812, BNIL);
																										BgL_arg1636z00_828 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 5)),
																											BgL_arg1641z00_830);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1646z00_831;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1647z00_832;
																											obj_t BgL_arg1649z00_833;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1657z00_834;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1658z00_835;
																													BgL_arg1658z00_835 =
																														(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_810))))->BgL_namez00);
																													BgL_arg1657z00_834 =
																														MAKE_PAIR
																														(BgL_arg1658z00_835,
																														BNIL);
																												}
																												BgL_arg1647z00_832 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 6)),
																													BgL_arg1657z00_834);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1662z00_836;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1663z00_837;
																													obj_t
																														BgL_arg1665z00_838;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1676z00_839;
																														BgL_arg1676z00_839 =
																															MAKE_PAIR
																															(BgL_qtz00_814,
																															BNIL);
																														BgL_arg1663z00_837 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 7)),
																															BgL_arg1676z00_839);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1678z00_840;
																														obj_t
																															BgL_arg1679z00_841;
																														{	/* Engine/heap.scm 142 */
																															bool_t
																																BgL_testz00_1796;
																															{	/* Engine/heap.scm 142 */
																																bool_t
																																	BgL_testz00_1797;
																																{	/* Engine/heap.scm 142 */
																																	bool_t
																																		BgL_res1853z00_1449;
																																	{	/* Engine/heap.scm 142 */
																																		obj_t
																																			BgL_objz00_1448;
																																		BgL_objz00_1448
																																			=
																																			((obj_t)
																																			BgL_valz00_816);
																																		BgL_res1853z00_1449
																																			=
																																			BGl_isazf3zf3zz__objectz00
																																			(BgL_objz00_1448,
																																			BGl_sfunz00zzast_varz00);
																																	}
																																	BgL_testz00_1797
																																		=
																																		BgL_res1853z00_1449;
																																}
																																if (BgL_testz00_1797)
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1796
																																			=
																																			((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_816)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																	}
																																else
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1796
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_testz00_1796)
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1678z00_840
																																		=
																																		BGl_string1878z00zzengine_heapz00;
																																}
																															else
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1678z00_840
																																		=
																																		BGl_string1879z00zzengine_heapz00;
																																}
																														}
																														{	/* Engine/heap.scm 145 */
																															obj_t
																																BgL_arg1689z00_845;
																															obj_t
																																BgL_arg1690z00_846;
																															{	/* Engine/heap.scm 145 */
																																bool_t
																																	BgL_testz00_1804;
																																{	/* Engine/heap.scm 145 */
																																	bool_t
																																		BgL_testz00_1805;
																																	{	/* Engine/heap.scm 145 */
																																		bool_t
																																			BgL_res1854z00_1453;
																																		{	/* Engine/heap.scm 145 */
																																			obj_t
																																				BgL_objz00_1452;
																																			BgL_objz00_1452
																																				=
																																				((obj_t)
																																				BgL_valz00_816);
																																			BgL_res1854z00_1453
																																				=
																																				BGl_isazf3zf3zz__objectz00
																																				(BgL_objz00_1452,
																																				BGl_sfunz00zzast_varz00);
																																		}
																																		BgL_testz00_1805
																																			=
																																			BgL_res1854z00_1453;
																																	}
																																	if (BgL_testz00_1805)
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1804
																																				=
																																				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_816)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																		}
																																	else
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1804
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_testz00_1804)
																																	{	/* Engine/heap.scm 146 */
																																		obj_t
																																			BgL_arg1702z00_848;
																																		{	/* Engine/heap.scm 146 */
																																			obj_t
																																				BgL_arg1708z00_849;
																																			{	/* Engine/heap.scm 146 */
																																				obj_t
																																					BgL_arg1711z00_850;
																																				BgL_arg1711z00_850
																																					=
																																					(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_816)))->BgL_bodyz00);
																																				BgL_arg1708z00_849
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BgL_arg1711z00_850);
																																			}
																																			BgL_arg1702z00_848
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1708z00_849,
																																				BNIL);
																																		}
																																		BgL_arg1689z00_845
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg1702z00_848);
																																	}
																																else
																																	{	/* Engine/heap.scm 145 */
																																		BgL_arg1689z00_845
																																			=
																																			BGl_string1879z00zzengine_heapz00;
																																	}
																															}
																															{	/* Engine/heap.scm 149 */
																																obj_t
																																	BgL_arg1719z00_853;
																																{	/* Engine/heap.scm 149 */
																																	obj_t
																																		BgL_arg1722z00_854;
																																	{	/* Engine/heap.scm 149 */
																																		obj_t
																																			BgL_arg1725z00_855;
																																		BgL_arg1725z00_855
																																			=
																																			MAKE_PAIR
																																			(BgL_jtz00_815,
																																			BNIL);
																																		BgL_arg1722z00_854
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					10)),
																																			BgL_arg1725z00_855);
																																	}
																																	BgL_arg1719z00_853
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1722z00_854,
																																		BNIL);
																																}
																																BgL_arg1690z00_846
																																	=
																																	MAKE_PAIR
																																	(BGl_string1878z00zzengine_heapz00,
																																	BgL_arg1719z00_853);
																															}
																															BgL_arg1679z00_841
																																=
																																MAKE_PAIR
																																(BgL_arg1689z00_845,
																																BgL_arg1690z00_846);
																														}
																														BgL_arg1665z00_838 =
																															MAKE_PAIR
																															(BgL_arg1678z00_840,
																															BgL_arg1679z00_841);
																													}
																													BgL_arg1662z00_836 =
																														MAKE_PAIR
																														(BgL_arg1663z00_837,
																														BgL_arg1665z00_838);
																												}
																												BgL_arg1649z00_833 =
																													MAKE_PAIR
																													(BGl_string1878z00zzengine_heapz00,
																													BgL_arg1662z00_836);
																											}
																											BgL_arg1646z00_831 =
																												MAKE_PAIR
																												(BgL_arg1647z00_832,
																												BgL_arg1649z00_833);
																										}
																										BgL_arg1640z00_829 =
																											MAKE_PAIR
																											(BGl_string1878z00zzengine_heapz00,
																											BgL_arg1646z00_831);
																									}
																									BgL_arg1635z00_827 =
																										MAKE_PAIR
																										(BgL_arg1636z00_828,
																										BgL_arg1640z00_829);
																								}
																								BgL_arg1631z00_825 =
																									MAKE_PAIR
																									(BGl_string1878z00zzengine_heapz00,
																									BgL_arg1635z00_827);
																							}
																							BgL_arg1624z00_823 =
																								MAKE_PAIR(BgL_arg1630z00_824,
																								BgL_arg1631z00_825);
																						}
																						BgL_arg1623z00_822 =
																							MAKE_PAIR
																							(BGl_string1878z00zzengine_heapz00,
																							BgL_arg1624z00_823);
																					}
																					BgL_arg1606z00_820 =
																						MAKE_PAIR(BgL_arg1613z00_821,
																						BgL_arg1623z00_822);
																				}
																				BgL_arg1605z00_819 =
																					MAKE_PAIR(BgL_kindz00_817,
																					BgL_arg1606z00_820);
																			}
																			bgl_display_obj(BgL_arg1605z00_819,
																				BgL_port1482z00_818);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port1482z00_818);
										}}}}}}}}
										{
											obj_t BgL_l1483z00_1838;

											BgL_l1483z00_1838 = CDR(BgL_l1483z00_803);
											BgL_l1483z00_803 = BgL_l1483z00_1838;
											goto BgL_zc3anonymousza31595ze3z83_804;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1752 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1752);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1880z00zzengine_heapz00);
		}
	}



/* &<anonymous:1729> */
	obj_t BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00(obj_t BgL_envz00_1527,
		obj_t BgL_kz00_1528, obj_t BgL_newz00_1529)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_860;
				obj_t BgL_newz00_861;

				BgL_kz00_860 = BgL_kz00_1528;
				BgL_newz00_861 = BgL_newz00_1529;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_863;

					BgL_idz00_863 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_newz00_861)))->BgL_idz00);
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_864;

						BgL_namez00_864 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt) BgL_newz00_861)))->BgL_namez00);
						{	/* Engine/heap.scm 161 */

							if (BGl_isazf3zf3zz__objectz00(BgL_newz00_861,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 163 */
									BgL_typez00_bglt BgL_i1068z00_866;

									BgL_i1068z00_866 = ((BgL_typez00_bglt) BgL_newz00_861);
									{	/* Engine/heap.scm 164 */
										obj_t BgL_port1492z00_867;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_res1858z00_1472;

											{	/* Engine/heap.scm 164 */
												obj_t BgL_auxz00_1849;

												BgL_auxz00_1849 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1858z00_1472 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1849);
											}
											BgL_port1492z00_867 = BgL_res1858z00_1472;
										}
										BGL_DISPLAY_STRING(BGl_string1877z00zzengine_heapz00,
											BgL_port1492z00_867);
										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg1732z00_868;

											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg1733z00_869;

												{	/* Engine/heap.scm 165 */
													obj_t BgL_arg1734z00_870;
													obj_t BgL_arg1736z00_871;

													BgL_arg1734z00_870 =
														BGl_shapez00zztools_shapez00(BgL_newz00_861);
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg1737z00_872;
														obj_t BgL_arg1738z00_873;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg1739z00_874;

															{	/* Engine/heap.scm 166 */
																obj_t BgL_arg1740z00_875;

																{	/* Engine/heap.scm 166 */
																	obj_t BgL_arg1741z00_876;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_1854;

																		{
																			obj_t BgL_auxz00_1855;

																			{	/* Engine/heap.scm 166 */
																				BgL_objectz00_bglt BgL_auxz00_1856;

																				BgL_auxz00_1856 =
																					((BgL_objectz00_bglt)
																					BgL_i1068z00_866);
																				BgL_auxz00_1855 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1856);
																			}
																			BgL_auxz00_1854 =
																				((BgL_tclassz00_bglt) BgL_auxz00_1855);
																		}
																		BgL_arg1741z00_876 =
																			(((BgL_tclassz00_bglt)
																				CREF(BgL_auxz00_1854))->
																			BgL_itszd2superzd2);
																	}
																	BgL_arg1740z00_875 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1741z00_876);
																}
																BgL_arg1739z00_874 =
																	MAKE_PAIR(BgL_arg1740z00_875, BNIL);
															}
															BgL_arg1737z00_872 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg1739z00_874);
														}
														{	/* Engine/heap.scm 167 */
															obj_t BgL_arg1742z00_877;

															{	/* Engine/heap.scm 167 */
																obj_t BgL_l1486z00_878;

																{
																	BgL_tclassz00_bglt BgL_auxz00_1865;

																	{
																		obj_t BgL_auxz00_1866;

																		{	/* Engine/heap.scm 167 */
																			BgL_objectz00_bglt BgL_auxz00_1867;

																			BgL_auxz00_1867 =
																				((BgL_objectz00_bglt) BgL_i1068z00_866);
																			BgL_auxz00_1866 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1867);
																		}
																		BgL_auxz00_1865 =
																			((BgL_tclassz00_bglt) BgL_auxz00_1866);
																	}
																	BgL_l1486z00_878 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1865))->BgL_slotsz00);
																}
																if (NULLP(BgL_l1486z00_878))
																	{	/* Engine/heap.scm 167 */
																		BgL_arg1742z00_877 = BNIL;
																	}
																else
																	{	/* Engine/heap.scm 167 */
																		obj_t BgL_head1488z00_880;

																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_arg1758z00_892;

																			BgL_arg1758z00_892 =
																				BGl_shapez00zztools_shapez00(CAR
																				(BgL_l1486z00_878));
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_res1860z00_1480;

																				BgL_res1860z00_1480 =
																					MAKE_PAIR(BgL_arg1758z00_892, BNIL);
																				BgL_head1488z00_880 =
																					BgL_res1860z00_1480;
																			}
																		}
																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_g1491z00_881;

																			BgL_g1491z00_881 = CDR(BgL_l1486z00_878);
																			{
																				obj_t BgL_l1486z00_883;
																				obj_t BgL_tail1489z00_884;

																				BgL_l1486z00_883 = BgL_g1491z00_881;
																				BgL_tail1489z00_884 =
																					BgL_head1488z00_880;
																			BgL_zc3anonymousza31744ze3z83_885:
																				if (NULLP(BgL_l1486z00_883))
																					{	/* Engine/heap.scm 167 */
																						BgL_arg1742z00_877 =
																							BgL_head1488z00_880;
																					}
																				else
																					{	/* Engine/heap.scm 167 */
																						obj_t BgL_newtail1490z00_887;

																						{	/* Engine/heap.scm 167 */
																							obj_t BgL_arg1747z00_889;

																							BgL_arg1747z00_889 =
																								BGl_shapez00zztools_shapez00(CAR
																								(BgL_l1486z00_883));
																							{	/* Engine/heap.scm 167 */
																								obj_t BgL_res1862z00_1487;

																								BgL_res1862z00_1487 =
																									MAKE_PAIR(BgL_arg1747z00_889,
																									BNIL);
																								BgL_newtail1490z00_887 =
																									BgL_res1862z00_1487;
																							}
																						}
																						SET_CDR(BgL_tail1489z00_884,
																							BgL_newtail1490z00_887);
																						{
																							obj_t BgL_tail1489z00_1886;
																							obj_t BgL_l1486z00_1884;

																							BgL_l1486z00_1884 =
																								CDR(BgL_l1486z00_883);
																							BgL_tail1489z00_1886 =
																								BgL_newtail1490z00_887;
																							BgL_tail1489z00_884 =
																								BgL_tail1489z00_1886;
																							BgL_l1486z00_883 =
																								BgL_l1486z00_1884;
																							goto
																								BgL_zc3anonymousza31744ze3z83_885;
																						}
																					}
																			}
																		}
																	}
															}
															BgL_arg1738z00_873 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1742z00_877, BNIL);
														}
														BgL_arg1736z00_871 =
															MAKE_PAIR(BgL_arg1737z00_872, BgL_arg1738z00_873);
													}
													BgL_arg1733z00_869 =
														MAKE_PAIR(BgL_arg1734z00_870, BgL_arg1736z00_871);
												}
												BgL_arg1732z00_868 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
													BgL_arg1733z00_869);
											}
											bgl_display_obj(BgL_arg1732z00_868, BgL_port1492z00_867);
										}
										return
											bgl_display_char(((unsigned char) '\n'),
											BgL_port1492z00_867);
								}}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port1493z00_894;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res1863z00_1493;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1894;

											BgL_auxz00_1894 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1863z00_1493 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1894);
										}
										BgL_port1493z00_894 = BgL_res1863z00_1493;
									}
									BGL_DISPLAY_STRING(BGl_string1877z00zzengine_heapz00,
										BgL_port1493z00_894);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg1760z00_895;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg1761z00_896;

											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg1762z00_897;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg1763z00_898;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg1764z00_899;

														BgL_arg1764z00_899 =
															MAKE_PAIR(BgL_namez00_864, BNIL);
														BgL_arg1763z00_898 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1764z00_899);
													}
													BgL_arg1762z00_897 =
														MAKE_PAIR(BgL_arg1763z00_898, BNIL);
												}
												BgL_arg1761z00_896 =
													MAKE_PAIR(BgL_idz00_863, BgL_arg1762z00_897);
											}
											BgL_arg1760z00_895 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg1761z00_896);
										}
										bgl_display_obj(BgL_arg1760z00_895, BgL_port1493z00_894);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port1493z00_894);
		}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1881z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
