/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	static obj_t BGl_objectzd2initzd2zzheap_restorez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	static obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	static obj_t BGl_z62zc3anonymousza31624ze3ze1zzheap_restorez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl_zc3exitza31424ze3z83zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31458ze3ze1zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31478ze3ze1zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	static obj_t BGl_zc3exitza31561ze3z83zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31598ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1742z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module1743z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1719z00zzheap_restorez00,
		BgL_bgl_string1719za700za7za7h1744za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1720z00zzheap_restorez00,
		BgL_bgl_string1720za700za7za7h1745za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1721z00zzheap_restorez00,
		BgL_bgl_string1721za700za7za7h1746za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1722z00zzheap_restorez00,
		BgL_bgl_string1722za700za7za7h1747za7, "]", 1);
	      DEFINE_STRING(BGl_string1723z00zzheap_restorez00,
		BgL_bgl_string1723za700za7za7h1748za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1724z00zzheap_restorez00,
		BgL_bgl_string1724za700za7za7h1749za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1725z00zzheap_restorez00,
		BgL_bgl_string1725za700za7za7h1750za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1726z00zzheap_restorez00,
		BgL_bgl_string1726za700za7za7h1751za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string1727z00zzheap_restorez00,
		BgL_bgl_string1727za700za7za7h1752za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string1728z00zzheap_restorez00,
		BgL_bgl_string1728za700za7za7h1753za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string1729z00zzheap_restorez00,
		BgL_bgl_string1729za700za7za7h1754za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string1730z00zzheap_restorez00,
		BgL_bgl_string1730za700za7za7h1755za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string1733z00zzheap_restorez00,
		BgL_bgl_string1733za700za7za7h1756za7, ".", 1);
	      DEFINE_STRING(BGl_string1734z00zzheap_restorez00,
		BgL_bgl_string1734za700za7za7h1757za7, "Library", 7);
	      DEFINE_STRING(BGl_string1735z00zzheap_restorez00,
		BgL_bgl_string1735za700za7za7h1758za7, "restore-additional-heap", 23);
	      DEFINE_STRING(BGl_string1738z00zzheap_restorez00,
		BgL_bgl_string1738za700za7za7h1759za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string1739z00zzheap_restorez00,
		BgL_bgl_string1739za700za7za7h1760za7,
		"restore-additional-heap call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		125);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71761za7,
		BGl_z62zc3anonymousza31458ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71762za7,
		BGl_z62zc3anonymousza31478ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71763za7,
		BGl_z62zc3anonymousza31598ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71764za7,
		BGl_z62zc3anonymousza31624ze3ze1zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea1765z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1766z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_1121, char *BgL_fromz00_1122)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					BGl_toplevelzd2initzd2zzheap_restorez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_1113;

				BgL_cportz00_1113 =
					bgl_open_input_string(BGl_string1739z00zzheap_restorez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1114;

					BgL_iz00_1114 = ((long) 6);
				BgL_loopz00_1115:
					if ((BgL_iz00_1114 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg1741z00_1117;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_1119;

										BgL_locationz00_1119 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg1741z00_1117 =
												BGl_readz00zz__readerz00(BgL_cportz00_1113,
												BgL_locationz00_1119);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_1149;

									BgL_auxz00_1149 = (int) (BgL_iz00_1114);
									CNST_TABLE_SET(BgL_auxz00_1149, BgL_arg1741z00_1117);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_1120;

								BgL_auxz00_1120 = (int) ((BgL_iz00_1114 - ((long) 1)));
								{
									long BgL_iz00_1154;

									BgL_iz00_1154 = (long) (BgL_auxz00_1120);
									BgL_iz00_1114 = BgL_iz00_1154;
									goto BgL_loopz00_1115;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_477;

				BgL_headz00_477 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_478;
					obj_t BgL_tailz00_479;

					BgL_prevz00_478 = BgL_headz00_477;
					BgL_tailz00_479 = BgL_l1z00_1;
				BgL_loopz00_480:
					if (PAIRP(BgL_tailz00_479))
						{
							obj_t BgL_newzd2prevzd2_482;

							BgL_newzd2prevzd2_482 =
								MAKE_PAIR(CAR(BgL_tailz00_479), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_478, BgL_newzd2prevzd2_482);
							{
								obj_t BgL_tailz00_1164;
								obj_t BgL_prevz00_1163;

								BgL_prevz00_1163 = BgL_newzd2prevzd2_482;
								BgL_tailz00_1164 = CDR(BgL_tailz00_479);
								BgL_tailz00_479 = BgL_tailz00_1164;
								BgL_prevz00_478 = BgL_prevz00_1163;
								goto BgL_loopz00_480;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_477);
				}
			}
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 36 */
			{	/* Heap/restore.scm 37 */
				BgL_backendz00_bglt BgL_i1071z00_485;

				BgL_i1071z00_485 =
					((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
				{	/* Heap/restore.scm 38 */
					bool_t BgL__ortest_1072z00_486;

					BgL__ortest_1072z00_486 =
						(BgL_targetz00_3 ==
						(((BgL_backendz00_bglt) CREF(BgL_i1071z00_485))->BgL_languagez00));
					if (BgL__ortest_1072z00_486)
						{	/* Heap/restore.scm 38 */
							return BgL__ortest_1072z00_486;
						}
					else
						{	/* Heap/restore.scm 38 */
							return
								(BgL_targetz00_3 ==
								(((BgL_backendz00_bglt) CREF(BgL_i1071z00_485))->
									BgL_heapzd2compatiblezd2));
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 44 */
					{	/* Heap/restore.scm 45 */
						obj_t BgL_list1377z00_490;

						{	/* Heap/restore.scm 45 */
							obj_t BgL_arg1387z00_491;

							{	/* Heap/restore.scm 45 */
								obj_t BgL_arg1388z00_492;

								BgL_arg1388z00_492 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1387z00_491 =
									MAKE_PAIR(BGl_string1719z00zzheap_restorez00,
									BgL_arg1388z00_492);
							}
							BgL_list1377z00_490 =
								MAKE_PAIR(BGl_string1720z00zzheap_restorez00,
								BgL_arg1387z00_491);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1377z00_490);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1719z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_496;
						obj_t BgL_hnamesz00_497;

						BgL_hooksz00_496 = BNIL;
						BgL_hnamesz00_497 = BNIL;
					BgL_zc3anonymousza31389ze3z83_498:
						if (NULLP(BgL_hooksz00_496))
							{	/* Heap/restore.scm 45 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 45 */
								bool_t BgL_testz00_1186;

								{	/* Heap/restore.scm 45 */
									obj_t BgL_fun1399z00_504;

									BgL_fun1399z00_504 = CAR(BgL_hooksz00_496);
									BgL_testz00_1186 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1399z00_504)
										(BgL_fun1399z00_504, BEOA));
								}
								if (BgL_testz00_1186)
									{
										obj_t BgL_hnamesz00_1194;
										obj_t BgL_hooksz00_1192;

										BgL_hooksz00_1192 = CDR(BgL_hooksz00_496);
										BgL_hnamesz00_1194 = CDR(BgL_hnamesz00_497);
										BgL_hnamesz00_497 = BgL_hnamesz00_1194;
										BgL_hooksz00_496 = BgL_hooksz00_1192;
										goto BgL_zc3anonymousza31389ze3z83_498;
									}
								else
									{	/* Heap/restore.scm 45 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1719z00zzheap_restorez00,
											BGl_string1721z00zzheap_restorez00,
											CAR(BgL_hnamesz00_497));
									}
							}
					}
					{	/* Heap/restore.scm 46 */
						obj_t BgL_fnamez00_507;

						BgL_fnamez00_507 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_507))
							{	/* Heap/restore.scm 48 */
								obj_t BgL_portz00_509;

								BgL_portz00_509 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_507);
								if (BINARY_PORTP(BgL_portz00_509))
									{	/* Heap/restore.scm 49 */
										{	/* Heap/restore.scm 54 */
											obj_t BgL_list1405z00_511;

											{	/* Heap/restore.scm 54 */
												obj_t BgL_arg1408z00_512;

												{	/* Heap/restore.scm 54 */
													obj_t BgL_arg1411z00_513;

													{	/* Heap/restore.scm 54 */
														obj_t BgL_arg1414z00_514;

														BgL_arg1414z00_514 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg1411z00_513 =
															MAKE_PAIR(BGl_string1722z00zzheap_restorez00,
															BgL_arg1414z00_514);
													}
													BgL_arg1408z00_512 =
														MAKE_PAIR(BgL_fnamez00_507, BgL_arg1411z00_513);
												}
												BgL_list1405z00_511 =
													MAKE_PAIR(BGl_string1723z00zzheap_restorez00,
													BgL_arg1408z00_512);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1405z00_511);
										}
										{	/* Heap/restore.scm 55 */
											obj_t BgL_val1075z00_515;

											BgL_val1075z00_515 =
												BGl_zc3exitza31424ze3z83zzheap_restorez00
												(BgL_portz00_509);
											close_binary_port(BgL_portz00_509);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1075z00_515)))
												{	/* Heap/restore.scm 109 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1075z00_515), CDR(BgL_val1075z00_515));
												}
											else
												{	/* Heap/restore.scm 109 */
													return BgL_val1075z00_515;
												}
										}
									}
								else
									{	/* Heap/restore.scm 50 */
										obj_t BgL_mz00_564;

										{	/* Heap/restore.scm 50 */
											obj_t BgL_list1494z00_565;

											BgL_list1494z00_565 = MAKE_PAIR(BgL_fnamez00_507, BNIL);
											BgL_mz00_564 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1724z00zzheap_restorez00,
												BgL_list1494z00_565);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_564, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 110 */
								obj_t BgL_mz00_566;

								{	/* Heap/restore.scm 110 */
									obj_t BgL_list1495z00_567;

									BgL_list1495z00_567 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_566 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1724z00zzheap_restorez00, BgL_list1495z00_567);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_566, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 44 */
					return BFALSE;
				}
		}
	}



/* <exit:1424> */
	obj_t BGl_zc3exitza31424ze3z83zzheap_restorez00(obj_t BgL_portz00_1111)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 109 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1076z00_520;

			if (SET_EXIT(BgL_an_exit1076z00_520))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1076z00_520 = (void *) jmpbuf;
					{	/* Heap/restore.scm 109 */

						PUSH_EXIT(BgL_an_exit1076z00_520, ((long) 0));
						{	/* Heap/restore.scm 56 */
							bool_t BgL_val1077z00_521;

							{	/* Heap/restore.scm 56 */
								obj_t BgL_envsz00_522;

								BgL_envsz00_522 = input_obj(BgL_portz00_1111);
								{	/* Heap/restore.scm 56 */
									obj_t BgL__z00_523;

									{	/* Heap/restore.scm 57 */
										bool_t BgL_testz00_1235;

										if (VECTORP(BgL_envsz00_522))
											{	/* Heap/restore.scm 58 */
												int BgL_arg1493z00_563;

												BgL_arg1493z00_563 = VECTOR_LENGTH(BgL_envsz00_522);
												BgL_testz00_1235 =
													((long) (BgL_arg1493z00_563) == ((long) 5));
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL_testz00_1235 = ((bool_t) 0);
											}
										if (BgL_testz00_1235)
											{	/* Heap/restore.scm 57 */
												BgL__z00_523 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 57 */
												BgL__z00_523 =
													BGl_errorz00zz__errorz00
													(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
													BGl_string1725z00zzheap_restorez00, BgL_envsz00_522);
											}
									}
									{	/* Heap/restore.scm 57 */
										obj_t BgL_targetz00_524;

										BgL_targetz00_524 =
											VECTOR_REF(BgL_envsz00_522, (int) (((long) 0)));
										{	/* Heap/restore.scm 62 */
											obj_t BgL_versionz00_525;

											BgL_versionz00_525 =
												VECTOR_REF(BgL_envsz00_522, (int) (((long) 1)));
											{	/* Heap/restore.scm 63 */
												obj_t BgL_specificz00_526;

												BgL_specificz00_526 =
													VECTOR_REF(BgL_envsz00_522, (int) (((long) 2)));
												{	/* Heap/restore.scm 64 */
													obj_t BgL_genvz00_527;

													BgL_genvz00_527 =
														VECTOR_REF(BgL_envsz00_522, (int) (((long) 3)));
													{	/* Heap/restore.scm 65 */
														obj_t BgL_tenvz00_528;

														BgL_tenvz00_528 =
															VECTOR_REF(BgL_envsz00_522, (int) (((long) 4)));
														{	/* Heap/restore.scm 66 */

															if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_524))
																{	/* Heap/restore.scm 68 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 73 */
																	obj_t BgL_arg1428z00_530;

																	{	/* Heap/restore.scm 73 */
																		obj_t BgL_arg1430z00_531;

																		{	/* Heap/restore.scm 73 */
																			obj_t BgL_arg1436z00_534;

																			BgL_arg1436z00_534 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			BgL_arg1430z00_531 =
																				(((BgL_backendz00_bglt)
																					CREF(((BgL_backendz00_bglt)
																							BgL_arg1436z00_534)))->
																				BgL_languagez00);
																		}
																		{	/* Heap/restore.scm 71 */
																			obj_t BgL_list1431z00_532;

																			{	/* Heap/restore.scm 71 */
																				obj_t BgL_arg1435z00_533;

																				BgL_arg1435z00_533 =
																					MAKE_PAIR(BgL_arg1430z00_531, BNIL);
																				BgL_list1431z00_532 =
																					MAKE_PAIR(BgL_targetz00_524,
																					BgL_arg1435z00_533);
																			}
																			BgL_arg1428z00_530 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1726z00zzheap_restorez00,
																				BgL_list1431z00_532);
																		}
																	}
																	BGl_errorz00zz__errorz00
																		(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																		BGl_string1727z00zzheap_restorez00,
																		BgL_arg1428z00_530);
																}
															{	/* Heap/restore.scm 74 */
																bool_t BgL_testz00_1261;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1261 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 74 */
																		BgL_testz00_1261 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_versionz00_525,
																			BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																	}
																if (BgL_testz00_1261)
																	{	/* Heap/restore.scm 74 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 78 */
																		obj_t BgL_arg1440z00_536;

																		{	/* Heap/restore.scm 78 */
																			obj_t BgL_list1441z00_537;

																			{	/* Heap/restore.scm 78 */
																				obj_t BgL_arg1442z00_538;

																				BgL_arg1442z00_538 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list1441z00_537 =
																					MAKE_PAIR(BgL_versionz00_525,
																					BgL_arg1442z00_538);
																			}
																			BgL_arg1440z00_536 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1728z00zzheap_restorez00,
																				BgL_list1441z00_537);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1729z00zzheap_restorez00,
																			BgL_arg1440z00_536);
																	}
															}
															{	/* Heap/restore.scm 81 */
																bool_t BgL_testz00_1269;

																if (CBOOL
																	(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1269 = ((bool_t) 1);
																	}
																else
																	{	/* Heap/restore.scm 81 */
																		BgL_testz00_1269 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_specificz00_526,
																			BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																	}
																if (BgL_testz00_1269)
																	{	/* Heap/restore.scm 81 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 85 */
																		obj_t BgL_arg1444z00_540;

																		{	/* Heap/restore.scm 85 */
																			obj_t BgL_list1445z00_541;

																			{	/* Heap/restore.scm 85 */
																				obj_t BgL_arg1450z00_542;

																				BgL_arg1450z00_542 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list1445z00_541 =
																					MAKE_PAIR(BgL_specificz00_526,
																					BgL_arg1450z00_542);
																			}
																			BgL_arg1444z00_540 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1728z00zzheap_restorez00,
																				BgL_list1445z00_541);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1730z00zzheap_restorez00,
																			BgL_arg1444z00_540);
																	}
															}
															BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_527);
															BGl_setzd2tenvz12zc0zztype_envz00
																(BgL_tenvz00_528);
															if (CBOOL
																(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																{	/* Heap/restore.scm 93 */
																	BFALSE;
																}
															else
																{	/* Heap/restore.scm 93 */
																	BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																		();
																}
															{	/* Heap/restore.scm 96 */
																bool_t BgL_testz00_1282;

																{	/* Heap/restore.scm 96 */
																	obj_t BgL_arg1471z00_553;

																	BgL_arg1471z00_553 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	BgL_testz00_1282 =
																		(((BgL_backendz00_bglt) CREF(
																				((BgL_backendz00_bglt)
																					BgL_arg1471z00_553)))->
																		BgL_qualifiedzd2typeszd2);
																}
																if (BgL_testz00_1282)
																	{	/* Heap/restore.scm 96 */
																		BGl_forzd2eachzd2globalz12z12zzast_envz00
																			(BGl_proc1731z00zzheap_restorez00, BNIL);
																		BgL_genvz00_527;
																	}
																else
																	{	/* Heap/restore.scm 96 */
																		BFALSE;
																	}
															}
															BGl_forzd2eachzd2globalz12z12zzast_envz00
																(BGl_proc1732z00zzheap_restorez00, BNIL);
															BgL_val1077z00_521 = ((bool_t) 1);
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val1077z00_521);
						}
					}
				}
		}
	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_1092)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* &<anonymous:1478> */
	obj_t BGl_z62zc3anonymousza31478ze3ze1zzheap_restorez00(obj_t BgL_envz00_1093,
		obj_t BgL_newz00_1094)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 106 */
			{
				obj_t BgL_newz00_556;

				BgL_newz00_556 = BgL_newz00_1094;
				{	/* Heap/restore.scm 107 */
					obj_t BgL_arg1480z00_1008;

					BgL_arg1480z00_1008 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_556)))->BgL_modulez00);
					{	/* Heap/restore.scm 107 */
						obj_t BgL_list1481z00_1009;

						BgL_list1481z00_1009 = MAKE_PAIR(BgL_arg1480z00_1008, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00
							(BgL_list1481z00_1009);
					}
				}
			}
		}
	}



/* &<anonymous:1458> */
	obj_t BGl_z62zc3anonymousza31458ze3ze1zzheap_restorez00(obj_t BgL_envz00_1095,
		obj_t BgL_newz00_1096)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 98 */
			{
				obj_t BgL_newz00_546;

				BgL_newz00_546 = BgL_newz00_1096;
				{	/* Heap/restore.scm 100 */
					obj_t BgL_arg1459z00_548;
					obj_t BgL_arg1461z00_549;
					obj_t BgL_arg1462z00_550;

					BgL_arg1459z00_548 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_546)))->BgL_modulez00);
					BgL_arg1461z00_549 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_546)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1462z00_550 = BGl_shapez00zztools_shapez00(BgL_newz00_546);
					{	/* Heap/restore.scm 99 */
						obj_t BgL_list1463z00_551;

						BgL_list1463z00_551 = MAKE_PAIR(BgL_arg1462z00_550, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1459z00_548,
							BgL_arg1461z00_549, BgL_list1463z00_551);
					}
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 117 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 118 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 118 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 120 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 120 */
					return BFALSE;
				}
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 130 */
					obj_t BgL_sufz00_571;

					{	/* Heap/restore.scm 130 */
						obj_t BgL_arg1537z00_598;

						{	/* Heap/restore.scm 130 */
							obj_t BgL_arg1539z00_599;

							BgL_arg1539z00_599 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1537z00_598 =
								(((BgL_backendz00_bglt) CREF(
										((BgL_backendz00_bglt) BgL_arg1539z00_599)))->
								BgL_heapzd2suffixzd2);
						}
						BgL_sufz00_571 =
							string_append(BGl_string1733z00zzheap_restorez00,
							BgL_arg1537z00_598);
					}
					{	/* Heap/restore.scm 131 */
						obj_t BgL_list1499z00_572;

						{	/* Heap/restore.scm 131 */
							obj_t BgL_arg1502z00_573;

							{	/* Heap/restore.scm 131 */
								obj_t BgL_arg1508z00_574;

								BgL_arg1508z00_574 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1502z00_573 =
									MAKE_PAIR(BGl_string1734z00zzheap_restorez00,
									BgL_arg1508z00_574);
							}
							BgL_list1499z00_572 =
								MAKE_PAIR(BGl_string1720z00zzheap_restorez00,
								BgL_arg1502z00_573);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1499z00_572);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1734z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_578;
						obj_t BgL_hnamesz00_579;

						BgL_hooksz00_578 = BNIL;
						BgL_hnamesz00_579 = BNIL;
					BgL_zc3anonymousza31509ze3z83_580:
						if (NULLP(BgL_hooksz00_578))
							{	/* Heap/restore.scm 131 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 131 */
								bool_t BgL_testz00_1334;

								{	/* Heap/restore.scm 131 */
									obj_t BgL_fun1521z00_586;

									BgL_fun1521z00_586 = CAR(BgL_hooksz00_578);
									BgL_testz00_1334 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1521z00_586)
										(BgL_fun1521z00_586, BEOA));
								}
								if (BgL_testz00_1334)
									{
										obj_t BgL_hnamesz00_1342;
										obj_t BgL_hooksz00_1340;

										BgL_hooksz00_1340 = CDR(BgL_hooksz00_578);
										BgL_hnamesz00_1342 = CDR(BgL_hnamesz00_579);
										BgL_hnamesz00_579 = BgL_hnamesz00_1342;
										BgL_hooksz00_578 = BgL_hooksz00_1340;
										goto BgL_zc3anonymousza31509ze3z83_580;
									}
								else
									{	/* Heap/restore.scm 131 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1734z00zzheap_restorez00,
											BGl_string1721z00zzheap_restorez00,
											CAR(BgL_hnamesz00_579));
									}
							}
					}
					{	/* Heap/restore.scm 132 */
						obj_t BgL_g1355z00_589;

						BgL_g1355z00_589 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l1353z00_591;

							{	/* Heap/restore.scm 134 */
								bool_t BgL_auxz00_1347;

								BgL_l1353z00_591 = BgL_g1355z00_589;
							BgL_zc3anonymousza31524ze3z83_592:
								if (PAIRP(BgL_l1353z00_591))
									{	/* Heap/restore.scm 134 */
										{	/* Heap/restore.scm 133 */
											obj_t BgL_hz00_594;

											BgL_hz00_594 = CAR(BgL_l1353z00_591);
											BGl_restorezd2additionalzd2heapz00zzheap_restorez00
												(string_append(BgL_hz00_594, BgL_sufz00_571));
										}
										{
											obj_t BgL_l1353z00_1353;

											BgL_l1353z00_1353 = CDR(BgL_l1353z00_591);
											BgL_l1353z00_591 = BgL_l1353z00_1353;
											goto BgL_zc3anonymousza31524ze3z83_592;
										}
									}
								else
									{	/* Heap/restore.scm 134 */
										BgL_auxz00_1347 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1347);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 129 */
					return BFALSE;
				}
		}
	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_1097)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			{	/* Heap/restore.scm 140 */
				obj_t BgL_fnamez00_600;

				BgL_fnamez00_600 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_600))
					{	/* Heap/restore.scm 142 */
						obj_t BgL_portz00_602;

						BgL_portz00_602 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_600);
						if (BINARY_PORTP(BgL_portz00_602))
							{	/* Heap/restore.scm 143 */
								{	/* Heap/restore.scm 148 */
									obj_t BgL_list1542z00_604;

									{	/* Heap/restore.scm 148 */
										obj_t BgL_arg1548z00_605;

										{	/* Heap/restore.scm 148 */
											obj_t BgL_arg1549z00_606;

											{	/* Heap/restore.scm 148 */
												obj_t BgL_arg1555z00_607;

												BgL_arg1555z00_607 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg1549z00_606 =
													MAKE_PAIR(BGl_string1722z00zzheap_restorez00,
													BgL_arg1555z00_607);
											}
											BgL_arg1548z00_605 =
												MAKE_PAIR(BgL_fnamez00_600, BgL_arg1549z00_606);
										}
										BgL_list1542z00_604 =
											MAKE_PAIR(BGl_string1723z00zzheap_restorez00,
											BgL_arg1548z00_605);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1542z00_604);
								}
								{	/* Heap/restore.scm 149 */
									obj_t BgL_val1080z00_608;

									BgL_val1080z00_608 =
										BGl_zc3exitza31561ze3z83zzheap_restorez00(BgL_heapz00_4,
										BgL_portz00_602);
									close_binary_port(BgL_portz00_602);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1080z00_608)))
										{	/* Heap/restore.scm 212 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1080z00_608), CDR(BgL_val1080z00_608));
										}
									else
										{	/* Heap/restore.scm 212 */
											return BgL_val1080z00_608;
										}
								}
							}
						else
							{	/* Heap/restore.scm 144 */
								obj_t BgL_mz00_667;

								{	/* Heap/restore.scm 144 */
									obj_t BgL_list1636z00_668;

									BgL_list1636z00_668 = MAKE_PAIR(BgL_fnamez00_600, BNIL);
									BgL_mz00_667 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1724z00zzheap_restorez00, BgL_list1636z00_668);
								}
								BGl_errorz00zz__errorz00(BGl_string1735z00zzheap_restorez00,
									BgL_mz00_667, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 213 */
						obj_t BgL_mz00_669;

						{	/* Heap/restore.scm 213 */
							obj_t BgL_list1637z00_670;

							BgL_list1637z00_670 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_669 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1724z00zzheap_restorez00, BgL_list1637z00_670);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 6)), BgL_mz00_669,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* <exit:1561> */
	obj_t BGl_zc3exitza31561ze3z83zzheap_restorez00(obj_t BgL_heapz00_1110,
		obj_t BgL_portz00_1109)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 212 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1081z00_613;

			if (SET_EXIT(BgL_an_exit1081z00_613))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1081z00_613 = (void *) jmpbuf;
					{	/* Heap/restore.scm 212 */

						PUSH_EXIT(BgL_an_exit1081z00_613, ((long) 0));
						{	/* Heap/restore.scm 150 */
							bool_t BgL_val1082z00_614;

							{	/* Heap/restore.scm 150 */
								obj_t BgL_envsz00_615;

								BgL_envsz00_615 = input_obj(BgL_portz00_1109);
								{	/* Heap/restore.scm 150 */
									obj_t BgL__z00_616;

									{	/* Heap/restore.scm 151 */
										bool_t BgL_testz00_1393;

										{	/* Heap/restore.scm 151 */
											bool_t BgL_testz00_1394;

											{	/* Heap/restore.scm 151 */
												obj_t BgL_v1356z00_666;

												BgL_v1356z00_666 = create_vector((int) (((long) 1)));
												VECTOR_SET(BgL_v1356z00_666,
													(int) (((long) 0)), BgL_envsz00_615);
												BgL_testz00_1394 = ((bool_t) 1);
											}
											if (BgL_testz00_1394)
												{	/* Heap/restore.scm 152 */
													int BgL_arg1635z00_665;

													BgL_arg1635z00_665 = VECTOR_LENGTH(BgL_envsz00_615);
													BgL_testz00_1393 =
														((long) (BgL_arg1635z00_665) == ((long) 6));
												}
											else
												{	/* Heap/restore.scm 151 */
													BgL_testz00_1393 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_1393)
											{	/* Heap/restore.scm 151 */
												BgL__z00_616 = BFALSE;
											}
										else
											{	/* Heap/restore.scm 151 */
												BgL__z00_616 =
													BGl_errorz00zz__errorz00(BgL_heapz00_1110,
													BGl_string1725z00zzheap_restorez00, BgL_envsz00_615);
											}
									}
									{	/* Heap/restore.scm 151 */
										obj_t BgL_targetz00_617;

										BgL_targetz00_617 =
											VECTOR_REF(BgL_envsz00_615, (int) (((long) 0)));
										{	/* Heap/restore.scm 154 */
											obj_t BgL_versionz00_618;

											BgL_versionz00_618 =
												VECTOR_REF(BgL_envsz00_615, (int) (((long) 1)));
											{	/* Heap/restore.scm 155 */
												obj_t BgL_specificz00_619;

												BgL_specificz00_619 =
													VECTOR_REF(BgL_envsz00_615, (int) (((long) 2)));
												{	/* Heap/restore.scm 156 */
													obj_t BgL_genvz00_620;

													BgL_genvz00_620 =
														VECTOR_REF(BgL_envsz00_615, (int) (((long) 3)));
													{	/* Heap/restore.scm 157 */
														obj_t BgL_tenvz00_621;

														BgL_tenvz00_621 =
															VECTOR_REF(BgL_envsz00_615, (int) (((long) 4)));
														{	/* Heap/restore.scm 158 */
															obj_t BgL_includesz00_622;

															BgL_includesz00_622 =
																VECTOR_REF(BgL_envsz00_615, (int) (((long) 5)));
															{	/* Heap/restore.scm 159 */

																if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_617))
																	{	/* Heap/restore.scm 161 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 166 */
																		obj_t BgL_arg1564z00_624;

																		{	/* Heap/restore.scm 166 */
																			obj_t BgL_arg1565z00_625;

																			{	/* Heap/restore.scm 166 */
																				obj_t BgL_arg1571z00_628;

																				BgL_arg1571z00_628 =
																					BGl_thezd2backendzd2zzbackend_backendz00
																					();
																				BgL_arg1565z00_625 =
																					(((BgL_backendz00_bglt)
																						CREF(((BgL_backendz00_bglt)
																								BgL_arg1571z00_628)))->
																					BgL_languagez00);
																			}
																			{	/* Heap/restore.scm 164 */
																				obj_t BgL_list1566z00_626;

																				{	/* Heap/restore.scm 164 */
																					obj_t BgL_arg1569z00_627;

																					BgL_arg1569z00_627 =
																						MAKE_PAIR(BgL_arg1565z00_625, BNIL);
																					BgL_list1566z00_626 =
																						MAKE_PAIR(BgL_targetz00_617,
																						BgL_arg1569z00_627);
																				}
																				BgL_arg1564z00_624 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string1726z00zzheap_restorez00,
																					BgL_list1566z00_626);
																			}
																		}
																		BGl_errorz00zz__errorz00(BgL_heapz00_1110,
																			BGl_string1727z00zzheap_restorez00,
																			BgL_arg1564z00_624);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_versionz00_618,
																		BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																	{	/* Heap/restore.scm 167 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 170 */
																		obj_t BgL_arg1574z00_630;

																		{	/* Heap/restore.scm 170 */
																			obj_t BgL_list1575z00_631;

																			{	/* Heap/restore.scm 170 */
																				obj_t BgL_arg1580z00_632;

																				BgL_arg1580z00_632 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																					BNIL);
																				BgL_list1575z00_631 =
																					MAKE_PAIR(BgL_versionz00_618,
																					BgL_arg1580z00_632);
																			}
																			BgL_arg1574z00_630 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1728z00zzheap_restorez00,
																				BgL_list1575z00_631);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1729z00zzheap_restorez00,
																			BgL_arg1574z00_630);
																	}
																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																	(BgL_specificz00_619,
																		BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																	{	/* Heap/restore.scm 173 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 176 */
																		obj_t BgL_arg1589z00_634;

																		{	/* Heap/restore.scm 176 */
																			obj_t BgL_list1590z00_635;

																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_arg1593z00_636;

																				BgL_arg1593z00_636 =
																					MAKE_PAIR
																					(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																					BNIL);
																				BgL_list1590z00_635 =
																					MAKE_PAIR(BgL_specificz00_619,
																					BgL_arg1593z00_636);
																			}
																			BgL_arg1589z00_634 =
																				BGl_formatz00zz__r4_output_6_10_3z00
																				(BGl_string1728z00zzheap_restorez00,
																				BgL_list1590z00_635);
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1730z00zzheap_restorez00,
																			BgL_arg1589z00_634);
																	}
																BGl_addzd2tenvz12zc0zztype_envz00
																	(BgL_tenvz00_621);
																BGl_addzd2genvz12zc0zzast_envz00
																	(BgL_genvz00_620);
																{	/* Heap/restore.scm 192 */
																	bool_t BgL_testz00_1438;

																	{	/* Heap/restore.scm 192 */
																		obj_t BgL_arg1613z00_647;

																		BgL_arg1613z00_647 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_testz00_1438 =
																			(((BgL_backendz00_bglt)
																				CREF(((BgL_backendz00_bglt)
																						BgL_arg1613z00_647)))->
																			BgL_qualifiedzd2typeszd2);
																	}
																	if (BgL_testz00_1438)
																		{	/* Heap/restore.scm 192 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc1736z00zzheap_restorez00,
																				BNIL);
																		}
																	else
																		{	/* Heap/restore.scm 192 */
																			BFALSE;
																		}
																}
																BGl_hashtablezd2forzd2eachz00zz__hashz00
																	(BgL_genvz00_620,
																	BGl_proc1737z00zzheap_restorez00);
																BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																	=
																	BGl_appendzd221011zd2zzheap_restorez00
																	(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																	BgL_includesz00_622);
																BgL_val1082z00_614 = ((bool_t) 1);
															}
														}
													}
												}
											}
										}
									}
								}
							}
							POP_EXIT();
							return BBOOL(BgL_val1082z00_614);
						}
					}
				}
		}
	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_1100, obj_t BgL_heapz00_1101)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_1101);
		}
	}



/* &<anonymous:1624> */
	obj_t BGl_z62zc3anonymousza31624ze3ze1zzheap_restorez00(obj_t BgL_envz00_1102,
		obj_t BgL_kz00_1103, obj_t BgL_bucketz00_1104)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 202 */
			{
				obj_t BgL_kz00_649;
				obj_t BgL_bucketz00_650;

				{	/* Heap/restore.scm 203 */
					bool_t BgL_auxz00_1448;

					BgL_kz00_649 = BgL_kz00_1103;
					BgL_bucketz00_650 = BgL_bucketz00_1104;
					{	/* Heap/restore.scm 203 */
						obj_t BgL_g1359z00_652;

						BgL_g1359z00_652 = CDR(BgL_bucketz00_650);
						{
							obj_t BgL_l1357z00_654;

							BgL_l1357z00_654 = BgL_g1359z00_652;
						BgL_zc3anonymousza31625ze3z83_655:
							if (PAIRP(BgL_l1357z00_654))
								{	/* Heap/restore.scm 206 */
									{	/* Heap/restore.scm 204 */
										obj_t BgL_newz00_657;

										BgL_newz00_657 = CAR(BgL_l1357z00_654);
										{	/* Heap/restore.scm 205 */
											obj_t BgL_arg1630z00_658;

											BgL_arg1630z00_658 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_657)))->
												BgL_modulez00);
											{	/* Heap/restore.scm 204 */
												obj_t BgL_list1631z00_659;

												BgL_list1631z00_659 =
													MAKE_PAIR(BgL_arg1630z00_658, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1631z00_659);
											}
										}
									}
									{
										obj_t BgL_l1357z00_1457;

										BgL_l1357z00_1457 = CDR(BgL_l1357z00_654);
										BgL_l1357z00_654 = BgL_l1357z00_1457;
										goto BgL_zc3anonymousza31625ze3z83_655;
									}
								}
							else
								{	/* Heap/restore.scm 206 */
									BgL_auxz00_1448 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1448);
				}
			}
		}
	}



/* &<anonymous:1598> */
	obj_t BGl_z62zc3anonymousza31598ze3ze1zzheap_restorez00(obj_t BgL_envz00_1105,
		obj_t BgL_newz00_1106)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 194 */
			{
				obj_t BgL_newz00_640;

				BgL_newz00_640 = BgL_newz00_1106;
				{	/* Heap/restore.scm 196 */
					obj_t BgL_arg1599z00_642;
					obj_t BgL_arg1605z00_643;
					obj_t BgL_arg1606z00_644;

					BgL_arg1599z00_642 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_640)))->BgL_modulez00);
					BgL_arg1605z00_643 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_640)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1606z00_644 = BGl_shapez00zztools_shapez00(BgL_newz00_640);
					{	/* Heap/restore.scm 195 */
						obj_t BgL_list1607z00_645;

						BgL_list1607z00_645 = MAKE_PAIR(BgL_arg1606z00_644, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1599z00_642,
							BgL_arg1605z00_643, BgL_list1607z00_645);
					}
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			if (NULLP(BgL_argsz00_5))
				{	/* Heap/restore.scm 235 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 235 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(BgL_argsz00_5),
								CNST_TABLE_REF(((long) 0)))))
						{	/* Heap/restore.scm 237 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 237 */
							{	/* Heap/restore.scm 238 */
								obj_t BgL_arg1640z00_673;

								BgL_arg1640z00_673 = CAR(BgL_argsz00_5);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg1640z00_673,
									CNST_TABLE_REF(((long) 0)), BTRUE);
							}
							{	/* Heap/restore.scm 239 */
								obj_t BgL_arg1641z00_674;

								BgL_arg1641z00_674 = CAR(BgL_argsz00_5);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg1641z00_674,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_1107,
		obj_t BgL_argsz00_1108)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_1108);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1738z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
