/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1975zb0zzinitflow_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1977zb0zzinitflow_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32091ze3ze1zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setq1965z62zzinitflow_walkz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2sequen1953z62zzinitflow_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2node1947zb0zzinitflow_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2var1951z62zzinitflow_walkz00(obj_t,
		BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62initflowzd2nodezd2funcal1961z62zzinitflow_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32029ze3ze1zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1973zb0zzinitflow_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1985zb0zzinitflow_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1969z62zzinitflow_walkz00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1979zb0zzinitflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1981zb0zzinitflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	static BgL_sfunz00_bglt BGl_z62lambda2086z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2089z62zzinitflow_walkz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2092z62zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1958zb0zzinitflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2select1971z62zzinitflow_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2app1955z62zzinitflow_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1983zb0zzinitflow_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62initflowzd2nodezd2extern1963z62zzinitflow_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1967z62zzinitflow_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2329z00zzinitflow_walkz00,
		BgL_bgl_string2329za700za7za7i2368za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2330z00zzinitflow_walkz00,
		BgL_bgl_string2330za700za7za7i2369za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2331z00zzinitflow_walkz00,
		BgL_bgl_string2331za700za7za7i2370za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2333z00zzinitflow_walkz00,
		BgL_bgl_string2333za700za7za7i2371za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2334z00zzinitflow_walkz00,
		BgL_bgl_string2334za700za7za7i2372za7, " error", 6);
	      DEFINE_STRING(BGl_string2335z00zzinitflow_walkz00,
		BgL_bgl_string2335za700za7za7i2373za7, "s", 1);
	      DEFINE_STRING(BGl_string2336z00zzinitflow_walkz00,
		BgL_bgl_string2336za700za7za7i2374za7, "", 0);
	      DEFINE_STRING(BGl_string2337z00zzinitflow_walkz00,
		BgL_bgl_string2337za700za7za7i2375za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2338z00zzinitflow_walkz00,
		BgL_bgl_string2338za700za7za7i2376za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2344z00zzinitflow_walkz00,
		BgL_bgl_string2344za700za7za7i2377za7, "initflow-node1947", 17);
	      DEFINE_STRING(BGl_string2346z00zzinitflow_walkz00,
		BgL_bgl_string2346za700za7za7i2378za7, "initflow-node", 13);
	      DEFINE_STRING(BGl_string2363z00zzinitflow_walkz00,
		BgL_bgl_string2363za700za7za7i2379za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STRING(BGl_string2364z00zzinitflow_walkz00,
		BgL_bgl_string2364za700za7za7i2380za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string2365z00zzinitflow_walkz00,
		BgL_bgl_string2365za700za7za7i2381za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72382za7,
		BGl_z62zc3anonymousza32029ze3ze1zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2092za7622383z00, BGl_z62lambda2092z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72384za7,
		BGl_z62zc3anonymousza32091ze3ze1zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2089za7622385z00, BGl_z62lambda2089z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2086za7622386z00, BGl_z62lambda2086z62zzinitflow_walkz00,
		0L, BUNSPEC, 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2387z00,
		BGl_z62initflowzd2node1947zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2388z00,
		BGl_z62initflowzd2nodezd2var1951z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2389z00,
		BGl_z62initflowzd2nodezd2sequen1953z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2390z00,
		BGl_z62initflowzd2nodezd2app1955z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2391z00,
		BGl_z62initflowzd2nodezd2appzd2ly1958zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2392z00,
		BGl_z62initflowzd2nodezd2funcal1961z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2393z00,
		BGl_z62initflowzd2nodezd2extern1963z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2394z00,
		BGl_z62initflowzd2nodezd2setq1965z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2395z00,
		BGl_z62initflowzd2nodezd2condit1967z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2396z00,
		BGl_z62initflowzd2nodezd2fail1969z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2397z00,
		BGl_z62initflowzd2nodezd2select1971z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2398z00,
		BGl_z62initflowzd2nodezd2makezd2b1973zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2399z00,
		BGl_z62initflowzd2nodezd2boxzd2re1975zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2400z00,
		BGl_z62initflowzd2nodezd2boxzd2se1977zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2401z00,
		BGl_z62initflowzd2nodezd2letzd2fu1979zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2402z00,
		BGl_z62initflowzd2nodezd2letzd2va1981zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2403z00,
		BGl_z62initflowzd2nodezd2setzd2ex1983zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2404z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1985zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2405z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2406z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_globalzd2initzd2envz00zzast_varz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_2826, char *BgL_fromz00_2827)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2816;

				BgL_cportz00_2816 =
					bgl_open_input_string(BGl_string2365z00zzinitflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2817;

					BgL_iz00_2817 = ((long) 6);
				BgL_loopz00_2818:
					if ((BgL_iz00_2817 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2367z00_2820;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2822;

										BgL_locationz00_2822 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2367z00_2820 =
												BGl_readz00zz__readerz00(BgL_cportz00_2816,
												BgL_locationz00_2822);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_auxz00_2853;

									BgL_auxz00_2853 = (int) (BgL_iz00_2817);
									CNST_TABLE_SET(BgL_auxz00_2853, BgL_arg2367z00_2820);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2823;

								BgL_auxz00_2823 = (int) ((BgL_iz00_2817 - ((long) 1)));
								{
									long BgL_iz00_2858;

									BgL_iz00_2858 = (long) (BgL_auxz00_2823);
									BgL_iz00_2817 = BgL_iz00_2858;
									goto BgL_loopz00_2818;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1227;

				BgL_headz00_1227 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1228;
					obj_t BgL_tailz00_1229;

					BgL_prevz00_1228 = BgL_headz00_1227;
					BgL_tailz00_1229 = BgL_l1z00_1;
				BgL_loopz00_1230:
					if (PAIRP(BgL_tailz00_1229))
						{
							obj_t BgL_newzd2prevzd2_1232;

							BgL_newzd2prevzd2_1232 =
								MAKE_PAIR(CAR(BgL_tailz00_1229), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1228, BgL_newzd2prevzd2_1232);
							{
								obj_t BgL_tailz00_2867;
								obj_t BgL_prevz00_2866;

								BgL_prevz00_2866 = BgL_newzd2prevzd2_1232;
								BgL_tailz00_2867 = CDR(BgL_tailz00_1229);
								BgL_tailz00_1229 = BgL_tailz00_2867;
								BgL_prevz00_1228 = BgL_prevz00_2866;
								goto BgL_loopz00_1230;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1227);
				}
			}
		}
	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_76)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1991z00_1277;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1992z00_1278;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1993z00_1279;

						BgL_arg1993z00_1279 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1992z00_1278 =
							MAKE_PAIR(BGl_string2329z00zzinitflow_walkz00,
							BgL_arg1993z00_1279);
					}
					BgL_list1991z00_1277 =
						MAKE_PAIR(BGl_string2330z00zzinitflow_walkz00, BgL_arg1992z00_1278);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1991z00_1277);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2329z00zzinitflow_walkz00;
			{
				obj_t BgL_hooksz00_1283;
				obj_t BgL_hnamesz00_1284;

				BgL_hooksz00_1283 = BNIL;
				BgL_hnamesz00_1284 = BNIL;
			BgL_zc3anonymousza31994ze3z83_1285:
				if (NULLP(BgL_hooksz00_1283))
					{	/* Initflow/walk.scm 49 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Initflow/walk.scm 49 */
						bool_t BgL_testz00_2880;

						{	/* Initflow/walk.scm 49 */
							obj_t BgL_fun2000z00_1291;

							BgL_fun2000z00_1291 = CAR(BgL_hooksz00_1283);
							BgL_testz00_2880 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2000z00_1291) (BgL_fun2000z00_1291,
									BEOA));
						}
						if (BgL_testz00_2880)
							{
								obj_t BgL_hnamesz00_2888;
								obj_t BgL_hooksz00_2886;

								BgL_hooksz00_2886 = CDR(BgL_hooksz00_1283);
								BgL_hnamesz00_2888 = CDR(BgL_hnamesz00_1284);
								BgL_hnamesz00_1284 = BgL_hnamesz00_2888;
								BgL_hooksz00_1283 = BgL_hooksz00_2886;
								goto BgL_zc3anonymousza31994ze3z83_1285;
							}
						else
							{	/* Initflow/walk.scm 49 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2329z00zzinitflow_walkz00,
									BGl_string2331z00zzinitflow_walkz00, CAR(BgL_hnamesz00_1284));
							}
					}
			}
			{
				obj_t BgL_l1829z00_1295;

				BgL_l1829z00_1295 = BgL_globalsz00_76;
			BgL_zc3anonymousza32002ze3z83_1296:
				if (PAIRP(BgL_l1829z00_1295))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1298;

							BgL_gz00_1298 = CAR(BgL_l1829z00_1295);
							if (
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1298))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1300;

									BgL_valuez00_1300 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1298))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_testz00_2904;

										{	/* Initflow/walk.scm 56 */
											bool_t BgL_res2263z00_2409;

											{	/* Initflow/walk.scm 56 */
												obj_t BgL_objz00_2408;

												BgL_objz00_2408 = ((obj_t) BgL_valuez00_1300);
												BgL_res2263z00_2409 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_2408,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_2904 = BgL_res2263z00_2409;
										}
										if (BgL_testz00_2904)
											{	/* Initflow/walk.scm 57 */
												BgL_globalz00_bglt BgL_oz00_2410;

												BgL_oz00_2410 = ((BgL_globalz00_bglt) BgL_gz00_1298);
												((((BgL_globalz00_bglt) CREF(BgL_oz00_2410))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1829z00_2909;

							BgL_l1829z00_2909 = CDR(BgL_l1829z00_1295);
							BgL_l1829z00_1295 = BgL_l1829z00_2909;
							goto BgL_zc3anonymousza32002ze3z83_1296;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1925z00_1305;

				BgL_g1925z00_1305 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1923z00_1307;

					BgL_l1923z00_1307 = BgL_g1925z00_1305;
				BgL_zc3anonymousza32009ze3z83_1308:
					if (PAIRP(BgL_l1923z00_1307))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1310;

								BgL_idz00_1310 = CAR(BgL_l1923z00_1307);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1311;

									BgL_rootz00_1311 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1310,
										BGl_za2moduleza2z00zzmodule_modulez00);
									if (BGl_isazf3zf3zz__objectz00(BgL_rootz00_1311,
											BGl_globalz00zzast_varz00))
										{	/* Initflow/walk.scm 62 */
											BGl_initflowzd2funzd2zzinitflow_walkz00(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_rootz00_1311)),
												((bool_t) 1));
											{	/* Initflow/walk.scm 64 */
												obj_t BgL_lz00_1313;

												BgL_lz00_1313 =
													BGl_filterz00zz__r4_control_features_6_9z00
													(BGl_proc2332z00zzinitflow_walkz00,
													BgL_globalsz00_76);
												if (NULLP(BgL_lz00_1313))
													{	/* Initflow/walk.scm 68 */
														BFALSE;
													}
												else
													{	/* Initflow/walk.scm 70 */
														obj_t BgL_arg2013z00_1315;

														{	/* Initflow/walk.scm 70 */
															obj_t BgL_l1831z00_1319;

															BgL_l1831z00_1319 = BgL_lz00_1313;
															{	/* Initflow/walk.scm 70 */
																obj_t BgL_head1833z00_1321;

																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_arg2025z00_1333;

																	BgL_arg2025z00_1333 =
																		BGl_shapez00zztools_shapez00(CAR
																		(BgL_l1831z00_1319));
																	{	/* Initflow/walk.scm 70 */
																		obj_t BgL_res2270z00_2433;

																		BgL_res2270z00_2433 =
																			MAKE_PAIR(BgL_arg2025z00_1333, BNIL);
																		BgL_head1833z00_1321 = BgL_res2270z00_2433;
																	}
																}
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_g1922z00_1322;

																	BgL_g1922z00_1322 = CDR(BgL_l1831z00_1319);
																	{
																		obj_t BgL_l1831z00_1324;
																		obj_t BgL_tail1834z00_1325;

																		BgL_l1831z00_1324 = BgL_g1922z00_1322;
																		BgL_tail1834z00_1325 = BgL_head1833z00_1321;
																	BgL_zc3anonymousza32018ze3z83_1326:
																		if (NULLP(BgL_l1831z00_1324))
																			{	/* Initflow/walk.scm 70 */
																				BgL_arg2013z00_1315 =
																					BgL_head1833z00_1321;
																			}
																		else
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_newtail1835z00_1328;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg2023z00_1330;

																					BgL_arg2023z00_1330 =
																						BGl_shapez00zztools_shapez00(CAR
																						(BgL_l1831z00_1324));
																					{	/* Initflow/walk.scm 70 */
																						obj_t BgL_res2272z00_2440;

																						BgL_res2272z00_2440 =
																							MAKE_PAIR(BgL_arg2023z00_1330,
																							BNIL);
																						BgL_newtail1835z00_1328 =
																							BgL_res2272z00_2440;
																					}
																				}
																				SET_CDR(BgL_tail1834z00_1325,
																					BgL_newtail1835z00_1328);
																				{
																					obj_t BgL_tail1834z00_2936;
																					obj_t BgL_l1831z00_2934;

																					BgL_l1831z00_2934 =
																						CDR(BgL_l1831z00_1324);
																					BgL_tail1834z00_2936 =
																						BgL_newtail1835z00_1328;
																					BgL_tail1834z00_1325 =
																						BgL_tail1834z00_2936;
																					BgL_l1831z00_1324 = BgL_l1831z00_2934;
																					goto
																						BgL_zc3anonymousza32018ze3z83_1326;
																				}
																			}
																	}
																}
															}
														}
														{	/* Initflow/walk.scm 69 */
															obj_t BgL_list2014z00_1316;

															{	/* Initflow/walk.scm 69 */
																obj_t BgL_arg2015z00_1317;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg2016z00_1318;

																	BgL_arg2016z00_1318 =
																		MAKE_PAIR(BCHAR(((unsigned char) '\n')),
																		BNIL);
																	BgL_arg2015z00_1317 =
																		MAKE_PAIR(BgL_arg2013z00_1315,
																		BgL_arg2016z00_1318);
																}
																BgL_list2014z00_1316 =
																	MAKE_PAIR(BGl_string2333z00zzinitflow_walkz00,
																	BgL_arg2015z00_1317);
															}
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list2014z00_1316);
										}}}}
									else
										{	/* Initflow/walk.scm 62 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1923z00_2943;

								BgL_l1923z00_2943 = CDR(BgL_l1923z00_1307);
								BgL_l1923z00_1307 = BgL_l1923z00_2943;
								goto BgL_zc3anonymousza32009ze3z83_1308;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1926z00_1348;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_res2274z00_2449;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_auxz00_2948;

								BgL_auxz00_2948 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2274z00_2449 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2948);
							}
							BgL_port1926z00_1348 = BgL_res2274z00_2449;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1926z00_1348);
						BGL_DISPLAY_STRING(BGl_string2334z00zzinitflow_walkz00,
							BgL_port1926z00_1348);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg2037z00_1349;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_testz00_2953;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_2953 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_2953 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_testz00_2953 = ((bool_t) 0);
									}
								if (BgL_testz00_2953)
									{	/* Initflow/walk.scm 74 */
										BgL_arg2037z00_1349 = BGl_string2335z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg2037z00_1349 = BGl_string2336z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2037z00_1349, BgL_port1926z00_1348);
						}
						BGL_DISPLAY_STRING(BGl_string2337z00zzinitflow_walkz00,
							BgL_port1926z00_1348);
						bgl_display_char(((unsigned char) '\n'), BgL_port1926z00_1348);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list2041z00_1353;

						BgL_list2041z00_1353 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2041z00_1353);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1357;
					obj_t BgL_hnamesz00_1358;

					BgL_hooksz00_1357 = BNIL;
					BgL_hnamesz00_1358 = BNIL;
				BgL_zc3anonymousza32042ze3z83_1359:
					if (NULLP(BgL_hooksz00_1357))
						{	/* Initflow/walk.scm 74 */
							return BgL_globalsz00_76;
						}
					else
						{	/* Initflow/walk.scm 74 */
							bool_t BgL_testz00_2970;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_fun2049z00_1365;

								BgL_fun2049z00_1365 = CAR(BgL_hooksz00_1357);
								BgL_testz00_2970 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2049z00_1365)
									(BgL_fun2049z00_1365, BEOA));
							}
							if (BgL_testz00_2970)
								{
									obj_t BgL_hnamesz00_2978;
									obj_t BgL_hooksz00_2976;

									BgL_hooksz00_2976 = CDR(BgL_hooksz00_1357);
									BgL_hnamesz00_2978 = CDR(BgL_hnamesz00_1358);
									BgL_hnamesz00_1358 = BgL_hnamesz00_2978;
									BgL_hooksz00_1357 = BgL_hooksz00_2976;
									goto BgL_zc3anonymousza32042ze3z83_1359;
								}
							else
								{	/* Initflow/walk.scm 74 */
									obj_t BgL_arg2048z00_1364;

									BgL_arg2048z00_1364 = CAR(BgL_hnamesz00_1358);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2338z00zzinitflow_walkz00, BgL_arg2048z00_1364);
								}
						}
				}
		}
	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2706,
		obj_t BgL_globalsz00_2707)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2707);
		}
	}



/* &<anonymous:2029> */
	obj_t BGl_z62zc3anonymousza32029ze3ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2708, obj_t BgL_gz00_2709)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 64 */
			{
				obj_t BgL_gz00_1336;

				{	/* Initflow/walk.scm 65 */
					bool_t BgL_auxz00_2983;

					BgL_gz00_1336 = BgL_gz00_2709;
					{	/* Initflow/walk.scm 65 */
						bool_t BgL_testz00_2984;

						{	/* Initflow/walk.scm 65 */
							bool_t BgL_testz00_2985;

							{	/* Initflow/walk.scm 65 */
								BgL_valuez00_bglt BgL_arg2033z00_1342;

								BgL_arg2033z00_1342 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_1336))))->BgL_valuez00);
								{	/* Initflow/walk.scm 65 */
									bool_t BgL_res2267z00_2423;

									{	/* Initflow/walk.scm 65 */
										obj_t BgL_objz00_2422;

										BgL_objz00_2422 = ((obj_t) BgL_arg2033z00_1342);
										BgL_res2267z00_2423 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2422,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_2985 = BgL_res2267z00_2423;
								}
							}
							if (BgL_testz00_2985)
								{	/* Initflow/walk.scm 65 */
									BgL_testz00_2984 = ((bool_t) 0);
								}
							else
								{	/* Initflow/walk.scm 65 */
									BgL_testz00_2984 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_2984)
							{	/* Initflow/walk.scm 65 */
								if (
									((((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_gz00_1336)))->
											BgL_initz00) == BTRUE))
									{	/* Initflow/walk.scm 66 */
										BgL_auxz00_2983 = ((bool_t) 0);
									}
								else
									{	/* Initflow/walk.scm 66 */
										BgL_auxz00_2983 = ((bool_t) 1);
									}
							}
						else
							{	/* Initflow/walk.scm 65 */
								BgL_auxz00_2983 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2983);
				}
			}
		}
	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_77, bool_t BgL_ez00_78)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1368;

				BgL_fz00_1368 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_77))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_testz00_2997;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg2055z00_1377;

						BgL_arg2055z00_1377 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_fz00_1368)))->BgL_bodyz00);
						BgL_testz00_2997 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2055z00_1377,
							BGl_nodez00zzast_nodez00);
					}
					if (BgL_testz00_2997)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_testz00_3001;

							{	/* Initflow/walk.scm 84 */
								bool_t BgL_res2281z00_2476;

								{	/* Initflow/walk.scm 84 */
									obj_t BgL_objz00_2475;

									BgL_objz00_2475 = ((obj_t) BgL_fz00_1368);
									BgL_res2281z00_2476 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2475,
										BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								}
								BgL_testz00_3001 = BgL_res2281z00_2476;
							}
							if (BgL_testz00_3001)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunz00_bglt BgL_tmp1174z00_1371;

										BgL_tmp1174z00_1371 = ((BgL_sfunz00_bglt) BgL_fz00_1368);
										{	/* Initflow/walk.scm 87 */
											BgL_sfunz00_bglt BgL_tmp1175z00_1372;
											BgL_sfunzf2iflowzf2_bglt BgL_wide1176z00_1373;

											BgL_tmp1175z00_1372 =
												((BgL_sfunz00_bglt) BgL_tmp1174z00_1371);
											BgL_wide1176z00_1373 =
												((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_sfunzf2iflowzf2_bgl))));
											{	/* Initflow/walk.scm 87 */
												obj_t BgL_auxz00_3009;
												BgL_objectz00_bglt BgL_auxz00_3007;

												BgL_auxz00_3009 = ((obj_t) BgL_wide1176z00_1373);
												BgL_auxz00_3007 =
													((BgL_objectz00_bglt) BgL_tmp1175z00_1372);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_3007,
													BgL_auxz00_3009);
											}
											{	/* Initflow/walk.scm 87 */
												long BgL_arg2053z00_1374;

												{	/* Initflow/walk.scm 87 */
													long BgL_res2282z00_2480;

													{	/* Initflow/walk.scm 87 */
														obj_t BgL_classz00_2477;

														BgL_classz00_2477 =
															BGl_sfunzf2iflowzf2zzinitflow_walkz00;
														{	/* Initflow/walk.scm 87 */
															obj_t BgL_vectorz00_2478;
															int BgL_kz00_2479;

															BgL_vectorz00_2478 = BgL_classz00_2477;
															BgL_kz00_2479 = (int) (((long) 1));
															BgL_res2282z00_2480 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2478,
																	BgL_kz00_2479));
													}}
													BgL_arg2053z00_1374 = BgL_res2282z00_2480;
												}
												{	/* Initflow/walk.scm 87 */
													BgL_objectz00_bglt BgL_objz00_2481;

													BgL_objz00_2481 =
														((BgL_objectz00_bglt) BgL_tmp1175z00_1372);
													((BgL_sfunz00_bglt)
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2481,
															BgL_arg2053z00_1374));
											}} BgL_tmp1175z00_1372;
										}
										((BgL_sfunz00_bglt) BgL_tmp1174z00_1371);
									}
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg2054z00_1376;

										BgL_arg2054z00_1376 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_1368)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2054z00_1376), BgL_ez00_78);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}
	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_83,
		obj_t BgL_ez00_84)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1380;
				obj_t BgL_isz00_1381;

				BgL_nodesz00_1380 = BgL_nodesz00_83;
				BgL_isz00_1381 = BNIL;
			BgL_zc3anonymousza32056ze3z83_1382:
				if (NULLP(BgL_nodesz00_1380))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_84))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1927z00_1385;

									BgL_l1927z00_1385 = BgL_isz00_1381;
								BgL_zc3anonymousza32058ze3z83_1386:
									if (PAIRP(BgL_l1927z00_1385))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1388;

												BgL_gz00_1388 = CAR(BgL_l1927z00_1385);
												if (
													((((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1388)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 132 */
														BgL_globalz00_bglt BgL_oz00_2492;

														BgL_oz00_2492 =
															((BgL_globalz00_bglt) BgL_gz00_1388);
														((((BgL_globalz00_bglt) CREF(BgL_oz00_2492))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1927z00_3036;

												BgL_l1927z00_3036 = CDR(BgL_l1927z00_1385);
												BgL_l1927z00_1385 = BgL_l1927z00_3036;
												goto BgL_zc3anonymousza32058ze3z83_1386;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 128 */
								return
									BGl_filterz00zz__r4_control_features_6_9z00
									(BGl_globalzd2initzd2envz00zzast_varz00, BgL_isz00_1381);
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1393;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg2065z00_1396;

							BgL_arg2065z00_1396 = CAR(BgL_nodesz00_1380);
							BgL_iz00_1393 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg2065z00_1396), ((bool_t) 0));
						}
						{
							obj_t BgL_isz00_3044;
							obj_t BgL_nodesz00_3042;

							BgL_nodesz00_3042 = CDR(BgL_nodesz00_1380);
							BgL_isz00_3044 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1393,
								BgL_isz00_1381);
							BgL_isz00_1381 = BgL_isz00_3044;
							BgL_nodesz00_1380 = BgL_nodesz00_3042;
							goto BgL_zc3anonymousza32056ze3z83_1382;
						}
					}
			}
		}
	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_97, obj_t BgL_ez00_98)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 206 */
			if (NULLP(BgL_isz00_97))
				{	/* Initflow/walk.scm 207 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 209 */
					obj_t BgL_lubz00_1399;

					BgL_lubz00_1399 = BNIL;
					{	/* Initflow/walk.scm 210 */
						obj_t BgL_g1934z00_1400;

						BgL_g1934z00_1400 = CAR(BgL_isz00_97);
						{
							obj_t BgL_l1932z00_1402;

							BgL_l1932z00_1402 = BgL_g1934z00_1400;
						BgL_zc3anonymousza32067ze3z83_1403:
							if (PAIRP(BgL_l1932z00_1402))
								{	/* Initflow/walk.scm 216 */
									{	/* Initflow/walk.scm 211 */
										obj_t BgL_gz00_1405;

										BgL_gz00_1405 = CAR(BgL_l1932z00_1402);
										{	/* Initflow/walk.scm 211 */
											bool_t BgL_testz00_3052;

											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_gz00_1405)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1929z00_1410;

													BgL_l1929z00_1410 = CDR(BgL_isz00_97);
												BgL_zc3anonymousza32071ze3z83_1411:
													if (NULLP(BgL_l1929z00_1410))
														{	/* Initflow/walk.scm 212 */
															BgL_testz00_3052 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 212 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1405, CAR(BgL_l1929z00_1410))))
																{
																	obj_t BgL_l1929z00_3063;

																	BgL_l1929z00_3063 = CDR(BgL_l1929z00_1410);
																	BgL_l1929z00_1410 = BgL_l1929z00_3063;
																	goto BgL_zc3anonymousza32071ze3z83_1411;
																}
															else
																{	/* Initflow/walk.scm 212 */
																	BgL_testz00_3052 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 211 */
													BgL_testz00_3052 = ((bool_t) 0);
												}
											if (BgL_testz00_3052)
												{	/* Initflow/walk.scm 211 */
													if (CBOOL(BgL_ez00_98))
														{	/* Initflow/walk.scm 214 */
															BgL_globalz00_bglt BgL_oz00_2511;

															BgL_oz00_2511 =
																((BgL_globalz00_bglt) BgL_gz00_1405);
															((((BgL_globalz00_bglt) CREF(BgL_oz00_2511))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 213 */
															BgL_lubz00_1399 =
																MAKE_PAIR(BgL_gz00_1405, BgL_lubz00_1399);
														}
												}
											else
												{	/* Initflow/walk.scm 211 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1932z00_3071;

										BgL_l1932z00_3071 = CDR(BgL_l1932z00_1402);
										BgL_l1932z00_1402 = BgL_l1932z00_3071;
										goto BgL_zc3anonymousza32067ze3z83_1403;
									}
								}
							else
								{	/* Initflow/walk.scm 216 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1399;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg2083z00_1424;
				obj_t BgL_arg2085z00_1425;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1945z00_1464;

					BgL_v1945z00_1464 = create_vector((int) (((long) 0)));
					BgL_arg2083z00_1424 = BgL_v1945z00_1464;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1946z00_1465;

					BgL_v1946z00_1465 = create_vector((int) (((long) 0)));
					BgL_arg2085z00_1425 = BgL_v1946z00_1465;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2342z00zzinitflow_walkz00,
						BGl_proc2341z00zzinitflow_walkz00, BFALSE,
						BGl_proc2340z00zzinitflow_walkz00,
						BGl_proc2339z00zzinitflow_walkz00, BgL_arg2083z00_1424,
						BgL_arg2085z00_1425), BUNSPEC);
		}}
	}



/* &lambda2092 */
	BgL_sfunz00_bglt BGl_z62lambda2092z62zzinitflow_walkz00(obj_t BgL_envz00_2716,
		obj_t BgL_o1118z00_2717)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1118z00_1458;

				BgL_o1118z00_1458 = ((BgL_sfunz00_bglt) BgL_o1118z00_2717);
				{	/* Initflow/walk.scm 42 */
					long BgL_arg2093z00_1461;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg2094z00_1462;

						{	/* Initflow/walk.scm 42 */
							obj_t BgL_arg2095z00_1463;

							{	/* Initflow/walk.scm 42 */
								BgL_objectz00_bglt BgL_objectz00_2533;

								BgL_objectz00_2533 = ((BgL_objectz00_bglt) BgL_o1118z00_1458);
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1815z00_2534;

									{	/* Initflow/walk.scm 42 */
										long BgL_arg1816z00_2535;

										{	/* Initflow/walk.scm 42 */
											long BgL_res2291z00_2537;

											BgL_res2291z00_2537 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2533);
											BgL_arg1816z00_2535 = BgL_res2291z00_2537;
										}
										BgL_arg1815z00_2534 = (BgL_arg1816z00_2535 - OBJECT_TYPE);
									}
									BgL_arg2095z00_1463 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1815z00_2534));
							}}
							BgL_arg2094z00_1462 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2095z00_1463);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_res2293z00_2546;

							{	/* Initflow/walk.scm 42 */
								obj_t BgL_classz00_2543;

								BgL_classz00_2543 = BgL_arg2094z00_1462;
								{	/* Initflow/walk.scm 42 */
									obj_t BgL_vectorz00_2544;
									int BgL_kz00_2545;

									BgL_vectorz00_2544 = BgL_classz00_2543;
									BgL_kz00_2545 = (int) (((long) 1));
									BgL_res2293z00_2546 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2544, BgL_kz00_2545));
							}}
							BgL_arg2093z00_1461 = BgL_res2293z00_2546;
					}}
					{	/* Initflow/walk.scm 42 */
						BgL_objectz00_bglt BgL_objz00_2547;

						BgL_objz00_2547 = ((BgL_objectz00_bglt) BgL_o1118z00_1458);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2547, BgL_arg2093z00_1461);
				}}
				{	/* Initflow/walk.scm 42 */
					BgL_objectz00_bglt BgL_auxz00_3091;

					BgL_auxz00_3091 = ((BgL_objectz00_bglt) BgL_o1118z00_1458);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3091, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1118z00_1458);
			}
		}
	}



/* &<anonymous:2091> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32091ze3ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2718, obj_t BgL_new1117z00_2719)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_new1117z00_1456;

				BgL_new1117z00_1456 = ((BgL_sfunz00_bglt) BgL_new1117z00_2719);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1117z00_1456)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1117z00_1456)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1117z00_1456)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				return BgL_new1117z00_1456;
			}
		}
	}



/* &lambda2089 */
	BgL_sfunz00_bglt BGl_z62lambda2089z62zzinitflow_walkz00(obj_t BgL_envz00_2720,
		obj_t BgL_o1114z00_2721)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1114z00_1451;

				BgL_o1114z00_1451 = ((BgL_sfunz00_bglt) BgL_o1114z00_2721);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_tmp1115z00_1453;
					BgL_sfunzf2iflowzf2_bglt BgL_wide1116z00_1454;

					BgL_tmp1115z00_1453 = ((BgL_sfunz00_bglt) BgL_o1114z00_1451);
					BgL_wide1116z00_1454 =
						((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sfunzf2iflowzf2_bgl))));
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_auxz00_3138;
						BgL_objectz00_bglt BgL_auxz00_3136;

						BgL_auxz00_3138 = ((obj_t) BgL_wide1116z00_1454);
						BgL_auxz00_3136 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1453);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3136, BgL_auxz00_3138);
					}
					{	/* Initflow/walk.scm 42 */
						long BgL_arg2090z00_1455;

						{	/* Initflow/walk.scm 42 */
							long BgL_res2290z00_2530;

							{	/* Initflow/walk.scm 42 */
								obj_t BgL_classz00_2527;

								BgL_classz00_2527 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
								{	/* Initflow/walk.scm 42 */
									obj_t BgL_vectorz00_2528;
									int BgL_kz00_2529;

									BgL_vectorz00_2528 = BgL_classz00_2527;
									BgL_kz00_2529 = (int) (((long) 1));
									BgL_res2290z00_2530 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2528, BgL_kz00_2529));
							}}
							BgL_arg2090z00_1455 = BgL_res2290z00_2530;
						}
						{	/* Initflow/walk.scm 42 */
							BgL_objectz00_bglt BgL_objz00_2531;

							BgL_objz00_2531 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1453);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2531, BgL_arg2090z00_1455));
					}}
					return ((BgL_sfunz00_bglt) BgL_tmp1115z00_1453);
				}
			}
		}
	}



/* &lambda2086 */
	BgL_sfunz00_bglt BGl_z62lambda2086z62zzinitflow_walkz00(obj_t BgL_envz00_2722,
		obj_t BgL_arity1096z00_2723, obj_t BgL_sidezd2effect1097zd2_2724,
		obj_t BgL_predicatezd2of1098zd2_2725,
		obj_t BgL_stackzd2allocator1099zd2_2726, obj_t BgL_topzf31100zf3_2727,
		obj_t BgL_thezd2closure1101zd2_2728, obj_t BgL_effect1102z00_2729,
		obj_t BgL_property1103z00_2730, obj_t BgL_args1104z00_2731,
		obj_t BgL_argszd2name1105zd2_2732, obj_t BgL_body1106z00_2733,
		obj_t BgL_class1107z00_2734, obj_t BgL_dssslzd2keywords1108zd2_2735,
		obj_t BgL_loc1109z00_2736, obj_t BgL_optionals1110z00_2737,
		obj_t BgL_keys1111z00_2738, obj_t BgL_thezd2closurezd2global1112z00_2739,
		obj_t BgL_strength1113z00_2740)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				long BgL_arity1096z00_1426;
				obj_t BgL_sidezd2effect1097zd2_1427;
				obj_t BgL_predicatezd2of1098zd2_1428;
				obj_t BgL_stackzd2allocator1099zd2_1429;
				bool_t BgL_topzf31100zf3_1430;
				obj_t BgL_thezd2closure1101zd2_1431;
				obj_t BgL_effect1102z00_1432;
				obj_t BgL_property1103z00_1433;
				obj_t BgL_args1104z00_1434;
				obj_t BgL_argszd2name1105zd2_1435;
				obj_t BgL_body1106z00_1436;
				obj_t BgL_class1107z00_1437;
				obj_t BgL_dssslzd2keywords1108zd2_1438;
				obj_t BgL_loc1109z00_1439;
				obj_t BgL_optionals1110z00_1440;
				obj_t BgL_keys1111z00_1441;
				obj_t BgL_thezd2closurezd2global1112z00_1442;
				obj_t BgL_strength1113z00_1443;

				BgL_arity1096z00_1426 = (long) CINT(BgL_arity1096z00_2723);
				BgL_sidezd2effect1097zd2_1427 = BgL_sidezd2effect1097zd2_2724;
				BgL_predicatezd2of1098zd2_1428 = BgL_predicatezd2of1098zd2_2725;
				BgL_stackzd2allocator1099zd2_1429 = BgL_stackzd2allocator1099zd2_2726;
				BgL_topzf31100zf3_1430 = CBOOL(BgL_topzf31100zf3_2727);
				BgL_thezd2closure1101zd2_1431 = BgL_thezd2closure1101zd2_2728;
				BgL_effect1102z00_1432 = BgL_effect1102z00_2729;
				BgL_property1103z00_1433 = BgL_property1103z00_2730;
				BgL_args1104z00_1434 = BgL_args1104z00_2731;
				BgL_argszd2name1105zd2_1435 = BgL_argszd2name1105zd2_2732;
				BgL_body1106z00_1436 = BgL_body1106z00_2733;
				BgL_class1107z00_1437 = BgL_class1107z00_2734;
				BgL_dssslzd2keywords1108zd2_1438 = BgL_dssslzd2keywords1108zd2_2735;
				BgL_loc1109z00_1439 = BgL_loc1109z00_2736;
				BgL_optionals1110z00_1440 = BgL_optionals1110z00_2737;
				BgL_keys1111z00_1441 = BgL_keys1111z00_2738;
				BgL_thezd2closurezd2global1112z00_1442 =
					BgL_thezd2closurezd2global1112z00_2739;
				BgL_strength1113z00_1443 = BgL_strength1113z00_2740;
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1201z00_1445;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1199z00_1446;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1200z00_1447;

						{
							BgL_sfunz00_bglt BgL_auxz00_3149;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1198z00_1449;

								BgL_new1198z00_1449 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg2088z00_1450;

									{	/* Initflow/walk.scm 42 */
										long BgL_res2288z00_2518;

										{	/* Initflow/walk.scm 42 */
											obj_t BgL_classz00_2515;

											BgL_classz00_2515 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 42 */
												obj_t BgL_vectorz00_2516;
												int BgL_kz00_2517;

												BgL_vectorz00_2516 = BgL_classz00_2515;
												BgL_kz00_2517 = (int) (((long) 1));
												BgL_res2288z00_2518 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2516,
														BgL_kz00_2517));
										}}
										BgL_arg2088z00_1450 = BgL_res2288z00_2518;
									}
									{	/* Initflow/walk.scm 42 */
										BgL_objectz00_bglt BgL_objz00_2519;

										BgL_objz00_2519 =
											((BgL_objectz00_bglt) BgL_new1198z00_1449);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2519,
											BgL_arg2088z00_1450);
								}}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3156;

									BgL_auxz00_3156 = ((BgL_objectz00_bglt) BgL_new1198z00_1449);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3156, BFALSE);
								}
								BgL_auxz00_3149 = BgL_new1198z00_1449;
							}
							BgL_tmp1199z00_1446 = ((BgL_sfunz00_bglt) BgL_auxz00_3149);
						}
						BgL_wide1200z00_1447 =
							((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3163;
							BgL_objectz00_bglt BgL_auxz00_3161;

							BgL_auxz00_3163 = ((obj_t) BgL_wide1200z00_1447);
							BgL_auxz00_3161 = ((BgL_objectz00_bglt) BgL_tmp1199z00_1446);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3161, BgL_auxz00_3163);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_arg2087z00_1448;

							{	/* Initflow/walk.scm 42 */
								long BgL_res2289z00_2524;

								{	/* Initflow/walk.scm 42 */
									obj_t BgL_classz00_2521;

									BgL_classz00_2521 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
									{	/* Initflow/walk.scm 42 */
										obj_t BgL_vectorz00_2522;
										int BgL_kz00_2523;

										BgL_vectorz00_2522 = BgL_classz00_2521;
										BgL_kz00_2523 = (int) (((long) 1));
										BgL_res2289z00_2524 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2522,
												BgL_kz00_2523));
								}}
								BgL_arg2087z00_1448 = BgL_res2289z00_2524;
							}
							{	/* Initflow/walk.scm 42 */
								BgL_objectz00_bglt BgL_objz00_2525;

								BgL_objz00_2525 = ((BgL_objectz00_bglt) BgL_tmp1199z00_1446);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2525,
										BgL_arg2087z00_1448));
						}}
						BgL_new1201z00_1445 = ((BgL_sfunz00_bglt) BgL_tmp1199z00_1446);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1201z00_1445)))->BgL_arityz00) =
						((long) BgL_arity1096z00_1426), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1097zd2_1427), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1098zd2_1428), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1099zd2_1429), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31100zf3_1430), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1101zd2_1431), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_1445)))->
							BgL_effectz00) = ((obj_t) BgL_effect1102z00_1432), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_propertyz00) =
						((obj_t) BgL_property1103z00_1433), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_argsz00) =
						((obj_t) BgL_args1104z00_1434), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1105zd2_1435), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_bodyz00) =
						((obj_t) BgL_body1106z00_1436), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_classz00) =
						((obj_t) BgL_class1107z00_1437), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1108zd2_1438), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_locz00) =
						((obj_t) BgL_loc1109z00_1439), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1110z00_1440), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_keysz00) =
						((obj_t) BgL_keys1111z00_1441), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1112z00_1442), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_1445)))->BgL_strengthz00) =
						((obj_t) BgL_strength1113z00_1443), BUNSPEC);
					return BgL_new1201z00_1445;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2343z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2344z00zzinitflow_walkz00);
		}
	}



/* &initflow-node1947 */
	obj_t BGl_z62initflowzd2node1947zb0zzinitflow_walkz00(obj_t BgL_envz00_2742,
		BgL_nodez00_bglt BgL_nodez00_2743, obj_t BgL_ez00_2744)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}
	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_79, bool_t BgL_ez00_80)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1949z00_1475;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res2300z00_2577;

					{	/* Initflow/walk.scm 93 */
						BgL_objectz00_bglt BgL_objz00_2549;

						BgL_objz00_2549 = ((BgL_objectz00_bglt) BgL_nodez00_79);
						{	/* Initflow/walk.scm 93 */
							long BgL_objzd2classzd2numz00_2550;

							{	/* Initflow/walk.scm 93 */
								long BgL_res2294z00_2553;

								BgL_res2294z00_2553 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2549);
								BgL_objzd2classzd2numz00_2550 = BgL_res2294z00_2553;
							}
							{	/* Initflow/walk.scm 93 */
								obj_t BgL_arg1812z00_2551;

								BgL_arg1812z00_2551 =
									PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
									(int) (((long) 1)));
								{	/* Initflow/walk.scm 93 */
									obj_t BgL_arrayz00_2554;
									int BgL_offsetz00_2555;

									BgL_arrayz00_2554 = BgL_arg1812z00_2551;
									BgL_offsetz00_2555 = (int) (BgL_objzd2classzd2numz00_2550);
									{	/* Initflow/walk.scm 93 */
										long BgL_offsetz00_2556;

										BgL_offsetz00_2556 =
											((long) (BgL_offsetz00_2555) - OBJECT_TYPE);
										{	/* Initflow/walk.scm 93 */
											long BgL_modz00_2557;

											{	/* Initflow/walk.scm 93 */
												int BgL_arg1814z00_2558;

												BgL_arg1814z00_2558 = (int) (((long) 16));
												{	/* Initflow/walk.scm 93 */
													long BgL_res2297z00_2568;

													{	/* Initflow/walk.scm 93 */
														long BgL_auxz00_3220;

														BgL_auxz00_3220 = (long) (BgL_arg1814z00_2558);
														BgL_res2297z00_2568 =
															(BgL_offsetz00_2556 / BgL_auxz00_3220);
													}
													BgL_modz00_2557 = BgL_res2297z00_2568;
											}}
											{	/* Initflow/walk.scm 93 */
												long BgL_restz00_2559;

												{	/* Initflow/walk.scm 93 */
													int BgL_arg1813z00_2560;

													BgL_arg1813z00_2560 = (int) (((long) 16));
													{	/* Initflow/walk.scm 93 */
														long BgL_res2299z00_2572;

														{	/* Initflow/walk.scm 93 */
															long BgL_auxz00_3224;

															BgL_auxz00_3224 = (long) (BgL_arg1813z00_2560);
															BgL_res2299z00_2572 =
																(BgL_offsetz00_2556 % BgL_auxz00_3224);
														}
														BgL_restz00_2559 = BgL_res2299z00_2572;
												}}
												{	/* Initflow/walk.scm 93 */

													BgL_res2300z00_2577 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2554,
															(int) (BgL_modz00_2557)),
														(int) (BgL_restz00_2559));
					}}}}}}}}
					BgL_method1949z00_1475 = BgL_res2300z00_2577;
				}
				return
					PROCEDURE_ENTRY(BgL_method1949z00_1475) (BgL_method1949z00_1475,
					((obj_t) BgL_nodez00_79), BBOOL(BgL_ez00_80), BEOA);
			}
		}
	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2745,
		obj_t BgL_nodez00_2746, obj_t BgL_ez00_2747)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2746), CBOOL(BgL_ez00_2747));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2345z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2347z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2348z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2349z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2350z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2351z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2352z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2353z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2354z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2355z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2356z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2357z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2358z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2359z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2360z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2361z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2362z00zzinitflow_walkz00,
				BGl_string2346z00zzinitflow_walkz00);
		}
	}



/* &initflow-node-jump-e1985 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1985zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2765, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2766,
		obj_t BgL_ez00_2767)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 295 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1700;
				obj_t BgL_ez00_1701;

				BgL_nodez00_1700 = BgL_nodez00_2766;
				BgL_ez00_1701 = BgL_ez00_2767;
				{	/* Initflow/walk.scm 297 */
					obj_t BgL_arg2202z00_1705;

					{	/* Initflow/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2203z00_1706;
						BgL_nodez00_bglt BgL_arg2204z00_1707;

						BgL_arg2203z00_1706 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1700))->
							BgL_exitz00);
						BgL_arg2204z00_1707 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1700))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 297 */
							obj_t BgL_list2205z00_1708;

							{	/* Initflow/walk.scm 297 */
								obj_t BgL_arg2206z00_1709;

								BgL_arg2206z00_1709 =
									MAKE_PAIR(((obj_t) BgL_arg2204z00_1707), BNIL);
								BgL_list2205z00_1708 =
									MAKE_PAIR(((obj_t) BgL_arg2203z00_1706), BgL_arg2206z00_1709);
							}
							BgL_arg2202z00_1705 = BgL_list2205z00_1708;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2202z00_1705,
						BgL_ez00_1701);
				}
			}
		}
	}



/* &initflow-node-set-ex1983 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1983zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2768, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2769,
		obj_t BgL_ez00_2770)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 288 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1693;
				obj_t BgL_ez00_1694;

				BgL_nodez00_1693 = BgL_nodez00_2769;
				BgL_ez00_1694 = BgL_ez00_2770;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1693))->BgL_bodyz00),
					CBOOL(BgL_ez00_1694));
			}
		}
	}



/* &initflow-node-let-va1981 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1981zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2771, BgL_letzd2varzd2_bglt BgL_nodez00_2772,
		obj_t BgL_ez00_2773)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 279 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1669;
				obj_t BgL_ez00_1670;

				BgL_nodez00_1669 = BgL_nodez00_2772;
				BgL_ez00_1670 = BgL_ez00_2773;
				{	/* Initflow/walk.scm 281 */
					obj_t BgL_isz00_1674;

					{	/* Initflow/walk.scm 281 */
						obj_t BgL_l1940z00_1678;

						BgL_l1940z00_1678 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1669))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1940z00_1678))
							{	/* Initflow/walk.scm 281 */
								BgL_isz00_1674 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 281 */
								obj_t BgL_head1942z00_1680;

								{	/* Initflow/walk.scm 281 */
									obj_t BgL_res2325z00_2677;

									BgL_res2325z00_2677 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1942z00_1680 = BgL_res2325z00_2677;
								}
								{
									obj_t BgL_l1940z00_1682;
									obj_t BgL_tail1943z00_1683;

									BgL_l1940z00_1682 = BgL_l1940z00_1678;
									BgL_tail1943z00_1683 = BgL_head1942z00_1680;
								BgL_zc3anonymousza32196ze3z83_1684:
									if (NULLP(BgL_l1940z00_1682))
										{	/* Initflow/walk.scm 281 */
											BgL_isz00_1674 = CDR(BgL_head1942z00_1680);
										}
									else
										{	/* Initflow/walk.scm 281 */
											obj_t BgL_newtail1944z00_1686;

											{	/* Initflow/walk.scm 281 */
												obj_t BgL_arg2199z00_1688;

												{	/* Initflow/walk.scm 281 */
													obj_t BgL_bz00_1689;

													BgL_bz00_1689 = CAR(BgL_l1940z00_1682);
													{	/* Initflow/walk.scm 281 */
														obj_t BgL_arg2200z00_1690;

														BgL_arg2200z00_1690 = CDR(BgL_bz00_1689);
														BgL_arg2199z00_1688 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg2200z00_1690),
															CBOOL(BgL_ez00_1670));
													}
												}
												{	/* Initflow/walk.scm 281 */
													obj_t BgL_res2327z00_2685;

													BgL_res2327z00_2685 =
														MAKE_PAIR(BgL_arg2199z00_1688, BNIL);
													BgL_newtail1944z00_1686 = BgL_res2327z00_2685;
												}
											}
											SET_CDR(BgL_tail1943z00_1683, BgL_newtail1944z00_1686);
											{
												obj_t BgL_tail1943z00_3284;
												obj_t BgL_l1940z00_3282;

												BgL_l1940z00_3282 = CDR(BgL_l1940z00_1682);
												BgL_tail1943z00_3284 = BgL_newtail1944z00_1686;
												BgL_tail1943z00_1683 = BgL_tail1943z00_3284;
												BgL_l1940z00_1682 = BgL_l1940z00_3282;
												goto BgL_zc3anonymousza32196ze3z83_1684;
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 281 */
						obj_t BgL_lubz00_1675;

						BgL_lubz00_1675 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_1674, BgL_ez00_1670);
						{	/* Initflow/walk.scm 282 */

							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_1675,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1669))->
										BgL_bodyz00), CBOOL(BgL_ez00_1670)));
						}
					}
				}
			}
		}
	}



/* &initflow-node-let-fu1979 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1979zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2774, BgL_letzd2funzd2_bglt BgL_nodez00_2775,
		obj_t BgL_ez00_2776)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 272 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1662;
				obj_t BgL_ez00_1663;

				BgL_nodez00_1662 = BgL_nodez00_2775;
				BgL_ez00_1663 = BgL_ez00_2776;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1662))->BgL_bodyz00),
					CBOOL(BgL_ez00_1663));
			}
		}
	}



/* &initflow-node-box-se1977 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1977zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2777, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2778,
		obj_t BgL_ez00_2779)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 265 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1655;
				obj_t BgL_ez00_1656;

				BgL_nodez00_1655 = BgL_nodez00_2778;
				BgL_ez00_1656 = BgL_ez00_2779;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1655))->BgL_valuez00),
					CBOOL(BgL_ez00_1656));
			}
		}
	}



/* &initflow-node-box-re1975 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1975zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2780, BgL_boxzd2refzd2_bglt BgL_nodez00_2781,
		obj_t BgL_ez00_2782)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 258 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1648;
				obj_t BgL_ez00_1649;

				BgL_nodez00_1648 = BgL_nodez00_2781;
				BgL_ez00_1649 = BgL_ez00_2782;
				{	/* Initflow/walk.scm 259 */
					BgL_varz00_bglt BgL_arg2189z00_2668;

					BgL_arg2189z00_2668 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1648))->BgL_varz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2189z00_2668), CBOOL(BgL_ez00_1649));
				}
			}
		}
	}



/* &initflow-node-make-b1973 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1973zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2783, BgL_makezd2boxzd2_bglt BgL_nodez00_2784,
		obj_t BgL_ez00_2785)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 251 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1641;
				obj_t BgL_ez00_1642;

				BgL_nodez00_1641 = BgL_nodez00_2784;
				BgL_ez00_1642 = BgL_ez00_2785;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1641))->BgL_valuez00),
					CBOOL(BgL_ez00_1642));
			}
		}
	}



/* &initflow-node-select1971 */
	obj_t BGl_z62initflowzd2nodezd2select1971z62zzinitflow_walkz00(obj_t
		BgL_envz00_2786, BgL_selectz00_bglt BgL_nodez00_2787, obj_t BgL_ez00_2788)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 241 */
			{
				BgL_selectz00_bglt BgL_nodez00_1617;
				obj_t BgL_ez00_1618;

				BgL_nodez00_1617 = BgL_nodez00_2787;
				BgL_ez00_1618 = BgL_ez00_2788;
				{	/* Initflow/walk.scm 243 */
					obj_t BgL_i0z00_1622;

					BgL_i0z00_1622 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1617))->BgL_testz00),
						CBOOL(BgL_ez00_1618));
					{	/* Initflow/walk.scm 244 */
						obj_t BgL_isz00_1623;

						{	/* Initflow/walk.scm 244 */
							obj_t BgL_l1935z00_1625;

							BgL_l1935z00_1625 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1617))->BgL_clausesz00);
							if (NULLP(BgL_l1935z00_1625))
								{	/* Initflow/walk.scm 244 */
									BgL_isz00_1623 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 244 */
									obj_t BgL_head1937z00_1627;

									{	/* Initflow/walk.scm 244 */
										obj_t BgL_res2321z00_2653;

										BgL_res2321z00_2653 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1937z00_1627 = BgL_res2321z00_2653;
									}
									{
										obj_t BgL_l1935z00_1629;
										obj_t BgL_tail1938z00_1630;

										BgL_l1935z00_1629 = BgL_l1935z00_1625;
										BgL_tail1938z00_1630 = BgL_head1937z00_1627;
									BgL_zc3anonymousza32180ze3z83_1631:
										if (NULLP(BgL_l1935z00_1629))
											{	/* Initflow/walk.scm 244 */
												BgL_isz00_1623 = CDR(BgL_head1937z00_1627);
											}
										else
											{	/* Initflow/walk.scm 244 */
												obj_t BgL_newtail1939z00_1633;

												{	/* Initflow/walk.scm 244 */
													obj_t BgL_arg2183z00_1635;

													{	/* Initflow/walk.scm 244 */
														obj_t BgL_cz00_1636;

														BgL_cz00_1636 = CAR(BgL_l1935z00_1629);
														{	/* Initflow/walk.scm 244 */
															obj_t BgL_arg2184z00_1637;

															BgL_arg2184z00_1637 = CDR(BgL_cz00_1636);
															BgL_arg2183z00_1635 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg2184z00_1637),
																((bool_t) 0));
														}
													}
													{	/* Initflow/walk.scm 244 */
														obj_t BgL_res2323z00_2661;

														BgL_res2323z00_2661 =
															MAKE_PAIR(BgL_arg2183z00_1635, BNIL);
														BgL_newtail1939z00_1633 = BgL_res2323z00_2661;
													}
												}
												SET_CDR(BgL_tail1938z00_1630, BgL_newtail1939z00_1633);
												{
													obj_t BgL_tail1938z00_3321;
													obj_t BgL_l1935z00_3319;

													BgL_l1935z00_3319 = CDR(BgL_l1935z00_1629);
													BgL_tail1938z00_3321 = BgL_newtail1939z00_1633;
													BgL_tail1938z00_1630 = BgL_tail1938z00_3321;
													BgL_l1935z00_1629 = BgL_l1935z00_3319;
													goto BgL_zc3anonymousza32180ze3z83_1631;
												}
											}
									}
								}
						}
						return
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_1623, BgL_ez00_1618),
							BgL_i0z00_1622);
					}
				}
			}
		}
	}



/* &initflow-node-fail1969 */
	obj_t BGl_z62initflowzd2nodezd2fail1969z62zzinitflow_walkz00(obj_t
		BgL_envz00_2789, BgL_failz00_bglt BgL_nodez00_2790, obj_t BgL_ez00_2791)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 234 */
			{
				BgL_failz00_bglt BgL_nodez00_1604;
				obj_t BgL_ez00_1605;

				BgL_nodez00_1604 = BgL_nodez00_2790;
				BgL_ez00_1605 = BgL_ez00_2791;
				{	/* Initflow/walk.scm 236 */
					obj_t BgL_arg2170z00_1609;

					{	/* Initflow/walk.scm 236 */
						BgL_nodez00_bglt BgL_arg2171z00_1610;
						BgL_nodez00_bglt BgL_arg2172z00_1611;
						BgL_nodez00_bglt BgL_arg2174z00_1612;

						BgL_arg2171z00_1610 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1604))->BgL_procz00);
						BgL_arg2172z00_1611 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1604))->BgL_msgz00);
						BgL_arg2174z00_1612 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1604))->BgL_objz00);
						{	/* Initflow/walk.scm 236 */
							obj_t BgL_list2175z00_1613;

							{	/* Initflow/walk.scm 236 */
								obj_t BgL_arg2176z00_1614;

								{	/* Initflow/walk.scm 236 */
									obj_t BgL_arg2177z00_1615;

									BgL_arg2177z00_1615 =
										MAKE_PAIR(((obj_t) BgL_arg2174z00_1612), BNIL);
									BgL_arg2176z00_1614 =
										MAKE_PAIR(
										((obj_t) BgL_arg2172z00_1611), BgL_arg2177z00_1615);
								}
								BgL_list2175z00_1613 =
									MAKE_PAIR(((obj_t) BgL_arg2171z00_1610), BgL_arg2176z00_1614);
							}
							BgL_arg2170z00_1609 = BgL_list2175z00_1613;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2170z00_1609,
						BgL_ez00_1605);
				}
			}
		}
	}



/* &initflow-node-condit1967 */
	obj_t BGl_z62initflowzd2nodezd2condit1967z62zzinitflow_walkz00(obj_t
		BgL_envz00_2792, BgL_conditionalz00_bglt BgL_nodez00_2793,
		obj_t BgL_ez00_2794)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 222 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1588;
				obj_t BgL_ez00_1589;

				BgL_nodez00_1588 = BgL_nodez00_2793;
				BgL_ez00_1589 = BgL_ez00_2794;
				{	/* Initflow/walk.scm 224 */
					obj_t BgL_i0z00_1593;

					BgL_i0z00_1593 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1588))->BgL_testz00),
						CBOOL(BgL_ez00_1589));
					{	/* Initflow/walk.scm 226 */
						obj_t BgL_i1z00_1594;
						obj_t BgL_i2z00_1595;

						BgL_i1z00_1594 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1588))->BgL_truez00),
							((bool_t) 0));
						BgL_i2z00_1595 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1588))->
								BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 229 */
							obj_t BgL_arg2160z00_1596;

							{	/* Initflow/walk.scm 229 */
								obj_t BgL_arg2161z00_1597;

								{	/* Initflow/walk.scm 229 */
									obj_t BgL_list2162z00_1598;

									{	/* Initflow/walk.scm 229 */
										obj_t BgL_arg2163z00_1599;

										BgL_arg2163z00_1599 = MAKE_PAIR(BgL_i2z00_1595, BNIL);
										BgL_list2162z00_1598 =
											MAKE_PAIR(BgL_i1z00_1594, BgL_arg2163z00_1599);
									}
									BgL_arg2161z00_1597 = BgL_list2162z00_1598;
								}
								BgL_arg2160z00_1596 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg2161z00_1597,
									BgL_ez00_1589);
							}
							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg2160z00_1596,
								BgL_i0z00_1593);
						}
					}
				}
			}
		}
	}



/* &initflow-node-setq1965 */
	obj_t BGl_z62initflowzd2nodezd2setq1965z62zzinitflow_walkz00(obj_t
		BgL_envz00_2795, BgL_setqz00_bglt BgL_nodez00_2796, obj_t BgL_ez00_2797)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 189 */
			{
				BgL_setqz00_bglt BgL_nodez00_1573;
				obj_t BgL_ez00_1574;

				BgL_nodez00_1573 = BgL_nodez00_2796;
				BgL_ez00_1574 = BgL_ez00_2797;
				{	/* Initflow/walk.scm 191 */
					obj_t BgL_isz00_1578;
					BgL_variablez00_bglt BgL_vz00_1579;

					BgL_isz00_1578 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1573))->BgL_valuez00),
						CBOOL(BgL_ez00_1574));
					BgL_vz00_1579 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1573))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 193 */
						bool_t BgL_testz00_3350;

						{	/* Initflow/walk.scm 193 */
							bool_t BgL_testz00_3351;

							{	/* Initflow/walk.scm 193 */
								bool_t BgL_res2316z00_2636;

								{	/* Initflow/walk.scm 193 */
									obj_t BgL_objz00_2635;

									BgL_objz00_2635 = ((obj_t) BgL_vz00_1579);
									BgL_res2316z00_2636 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2635,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3351 = BgL_res2316z00_2636;
							}
							if (BgL_testz00_3351)
								{	/* Initflow/walk.scm 193 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1579)))->
												BgL_initz00) == BUNSPEC))
										{	/* Initflow/walk.scm 195 */
											obj_t BgL_arg2155z00_1583;

											BgL_arg2155z00_1583 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1579)))->
												BgL_modulez00);
											BgL_testz00_3350 =
												(BgL_arg2155z00_1583 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
									else
										{	/* Initflow/walk.scm 194 */
											BgL_testz00_3350 = ((bool_t) 0);
										}
								}
							else
								{	/* Initflow/walk.scm 193 */
									BgL_testz00_3350 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3350)
							{	/* Initflow/walk.scm 193 */
								if (CBOOL(BgL_ez00_1574))
									{	/* Initflow/walk.scm 196 */
										{	/* Initflow/walk.scm 198 */
											BgL_globalz00_bglt BgL_oz00_2642;

											BgL_oz00_2642 = ((BgL_globalz00_bglt) BgL_vz00_1579);
											((((BgL_globalz00_bglt) CREF(BgL_oz00_2642))->
													BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
										}
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 196 */
										return MAKE_PAIR(((obj_t) BgL_vz00_1579), BgL_isz00_1578);
									}
							}
						else
							{	/* Initflow/walk.scm 193 */
								return BgL_isz00_1578;
							}
					}
				}
			}
		}
	}



/* &initflow-node-extern1963 */
	obj_t BGl_z62initflowzd2nodezd2extern1963z62zzinitflow_walkz00(obj_t
		BgL_envz00_2798, BgL_externz00_bglt BgL_nodez00_2799, obj_t BgL_ez00_2800)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 182 */
			{
				BgL_externz00_bglt BgL_nodez00_1566;
				obj_t BgL_ez00_1567;

				BgL_nodez00_1566 = BgL_nodez00_2799;
				BgL_ez00_1567 = BgL_ez00_2800;
				return
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1566))->BgL_exprza2za2),
					BgL_ez00_1567);
			}
		}
	}



/* &initflow-node-funcal1961 */
	obj_t BGl_z62initflowzd2nodezd2funcal1961z62zzinitflow_walkz00(obj_t
		BgL_envz00_2801, BgL_funcallz00_bglt BgL_nodez00_2802, obj_t BgL_ez00_2803)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 175 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1557;
				obj_t BgL_ez00_1558;

				BgL_nodez00_1557 = BgL_nodez00_2802;
				BgL_ez00_1558 = BgL_ez00_2803;
				{	/* Initflow/walk.scm 176 */
					obj_t BgL_arg2147z00_2627;

					{	/* Initflow/walk.scm 176 */
						BgL_nodez00_bglt BgL_arg2148z00_2628;
						obj_t BgL_arg2150z00_2629;

						BgL_arg2148z00_2628 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1557))->BgL_funz00);
						BgL_arg2150z00_2629 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1557))->BgL_argsz00);
						BgL_arg2147z00_2627 =
							MAKE_PAIR(((obj_t) BgL_arg2148z00_2628), BgL_arg2150z00_2629);
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2147z00_2627,
						BgL_ez00_1558);
				}
			}
		}
	}



/* &initflow-node-app-ly1958 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1958zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2804, BgL_appzd2lyzd2_bglt BgL_nodez00_2805, obj_t BgL_ez00_2806)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 168 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1546;
				obj_t BgL_ez00_1547;

				BgL_nodez00_1546 = BgL_nodez00_2805;
				BgL_ez00_1547 = BgL_ez00_2806;
				{	/* Initflow/walk.scm 170 */
					obj_t BgL_arg2142z00_1551;

					{	/* Initflow/walk.scm 170 */
						BgL_nodez00_bglt BgL_arg2143z00_1552;
						BgL_nodez00_bglt BgL_arg2144z00_1553;

						BgL_arg2143z00_1552 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1546))->BgL_funz00);
						BgL_arg2144z00_1553 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1546))->BgL_argz00);
						{	/* Initflow/walk.scm 170 */
							obj_t BgL_list2145z00_1554;

							{	/* Initflow/walk.scm 170 */
								obj_t BgL_arg2146z00_1555;

								BgL_arg2146z00_1555 =
									MAKE_PAIR(((obj_t) BgL_arg2144z00_1553), BNIL);
								BgL_list2145z00_1554 =
									MAKE_PAIR(((obj_t) BgL_arg2143z00_1552), BgL_arg2146z00_1555);
							}
							BgL_arg2142z00_1551 = BgL_list2145z00_1554;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2142z00_1551,
						BgL_ez00_1547);
				}
			}
		}
	}



/* &initflow-node-app1955 */
	obj_t BGl_z62initflowzd2nodezd2app1955z62zzinitflow_walkz00(obj_t
		BgL_envz00_2807, BgL_appz00_bglt BgL_nodez00_2808, obj_t BgL_ez00_2809)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 154 */
			{
				BgL_appz00_bglt BgL_nodez00_1530;
				obj_t BgL_ez00_1531;

				BgL_nodez00_1530 = BgL_nodez00_2808;
				BgL_ez00_1531 = BgL_ez00_2809;
				{	/* Initflow/walk.scm 156 */
					BgL_variablez00_bglt BgL_vz00_1535;

					BgL_vz00_1535 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1530))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 156 */
						BgL_valuez00_bglt BgL_fz00_1536;

						BgL_fz00_1536 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1535))->BgL_valuez00);
						{	/* Initflow/walk.scm 157 */

							{	/* Initflow/walk.scm 158 */
								bool_t BgL_testz00_3384;

								{	/* Initflow/walk.scm 158 */
									bool_t BgL_testz00_3385;

									{	/* Initflow/walk.scm 158 */
										bool_t BgL_res2312z00_2619;

										{	/* Initflow/walk.scm 158 */
											obj_t BgL_objz00_2618;

											BgL_objz00_2618 = ((obj_t) BgL_fz00_1536);
											BgL_res2312z00_2619 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2618,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_3385 = BgL_res2312z00_2619;
									}
									if (BgL_testz00_3385)
										{	/* Initflow/walk.scm 158 */
											BgL_testz00_3384 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 6)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_fz00_1536)))->BgL_propertyz00)));
										}
									else
										{	/* Initflow/walk.scm 158 */
											BgL_testz00_3384 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3384)
									{	/* Initflow/walk.scm 158 */
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 160 */
										obj_t BgL_isz00_1538;

										BgL_isz00_1538 =
											BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_1530))->BgL_argsz00),
											BgL_ez00_1531);
										{	/* Initflow/walk.scm 161 */
											bool_t BgL_testz00_3395;

											{	/* Initflow/walk.scm 161 */
												bool_t BgL_res2313z00_2623;

												{	/* Initflow/walk.scm 161 */
													obj_t BgL_objz00_2622;

													BgL_objz00_2622 = ((obj_t) BgL_fz00_1536);
													BgL_res2313z00_2623 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2622,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_3395 = BgL_res2313z00_2623;
											}
											if (BgL_testz00_3395)
												{	/* Initflow/walk.scm 161 */
													return
														BGl_appendzd221011zd2zzinitflow_walkz00
														(BGl_initflowzd2funzd2zzinitflow_walkz00
														(BgL_vz00_1535, CBOOL(BgL_ez00_1531)),
														BgL_isz00_1538);
												}
											else
												{	/* Initflow/walk.scm 161 */
													return BgL_isz00_1538;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &initflow-node-sequen1953 */
	obj_t BGl_z62initflowzd2nodezd2sequen1953z62zzinitflow_walkz00(obj_t
		BgL_envz00_2810, BgL_sequencez00_bglt BgL_nodez00_2811, obj_t BgL_ez00_2812)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 142 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1512;
				obj_t BgL_ez00_1513;

				BgL_nodez00_1512 = BgL_nodez00_2811;
				BgL_ez00_1513 = BgL_ez00_2812;
				{
					obj_t BgL_nodesz00_1520;
					obj_t BgL_isz00_1521;

					BgL_nodesz00_1520 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1512))->BgL_nodesz00);
					BgL_isz00_1521 = BNIL;
				BgL_zc3anonymousza32129ze3z83_1522:
					if (NULLP(BgL_nodesz00_1520))
						{	/* Initflow/walk.scm 146 */
							return BgL_isz00_1521;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_1524;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg2134z00_1527;

								BgL_arg2134z00_1527 = CAR(BgL_nodesz00_1520);
								BgL_iz00_1524 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2134z00_1527),
									CBOOL(BgL_ez00_1513));
							}
							{
								obj_t BgL_isz00_3409;
								obj_t BgL_nodesz00_3407;

								BgL_nodesz00_3407 = CDR(BgL_nodesz00_1520);
								BgL_isz00_3409 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1524,
									BgL_isz00_1521);
								BgL_isz00_1521 = BgL_isz00_3409;
								BgL_nodesz00_1520 = BgL_nodesz00_3407;
								goto BgL_zc3anonymousza32129ze3z83_1522;
							}
						}
				}
			}
		}
	}



/* &initflow-node-var1951 */
	obj_t BGl_z62initflowzd2nodezd2var1951z62zzinitflow_walkz00(obj_t
		BgL_envz00_2813, BgL_varz00_bglt BgL_nodez00_2814, obj_t BgL_ez00_2815)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 99 */
			{
				BgL_varz00_bglt BgL_nodez00_1476;
				obj_t BgL_ez00_1477;

				BgL_nodez00_1476 = BgL_nodez00_2814;
				BgL_ez00_1477 = BgL_ez00_2815;
				{	/* Initflow/walk.scm 101 */
					bool_t BgL_testz00_3412;

					{	/* Initflow/walk.scm 101 */
						bool_t BgL_testz00_3413;

						{	/* Initflow/walk.scm 101 */
							BgL_variablez00_bglt BgL_arg2123z00_1506;

							BgL_arg2123z00_1506 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->BgL_variablez00);
							{	/* Initflow/walk.scm 101 */
								bool_t BgL_res2301z00_2579;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_objz00_2578;

									BgL_objz00_2578 = ((obj_t) BgL_arg2123z00_1506);
									BgL_res2301z00_2579 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2578,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3413 = BgL_res2301z00_2579;
							}
						}
						if (BgL_testz00_3413)
							{	/* Initflow/walk.scm 101 */
								if (
									((((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
															BgL_variablez00))))->BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 103 */
										obj_t BgL_arg2119z00_1502;

										BgL_arg2119z00_1502 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
															BgL_variablez00))))->BgL_modulez00);
										BgL_testz00_3412 =
											(BgL_arg2119z00_1502 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 102 */
										BgL_testz00_3412 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 101 */
								BgL_testz00_3412 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3412)
						{	/* Initflow/walk.scm 101 */
							{	/* Initflow/walk.scm 104 */
								BgL_variablez00_bglt BgL_arg2099z00_1482;

								BgL_arg2099z00_1482 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->BgL_variablez00);
								{	/* Initflow/walk.scm 104 */
									BgL_globalz00_bglt BgL_oz00_2585;

									BgL_oz00_2585 = ((BgL_globalz00_bglt) BgL_arg2099z00_1482);
									((((BgL_globalz00_bglt) CREF(BgL_oz00_2585))->BgL_initz00) =
										((obj_t) BFALSE), BUNSPEC);
								}
							}
							{	/* Initflow/walk.scm 106 */
								bool_t BgL_testz00_3429;

								{	/* Initflow/walk.scm 106 */
									BgL_typez00_bglt BgL_arg2115z00_1498;

									BgL_arg2115z00_1498 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_testz00_3429 =
										(((obj_t) BgL_arg2115z00_1498) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_3429)
									{	/* Initflow/walk.scm 107 */
										BgL_variablez00_bglt BgL_arg2101z00_1484;

										BgL_arg2101z00_1484 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
											BgL_variablez00);
										{	/* Initflow/walk.scm 107 */
											BgL_globalz00_bglt BgL_oz00_2591;
											BgL_typez00_bglt BgL_vz00_2592;

											BgL_oz00_2591 =
												((BgL_globalz00_bglt) BgL_arg2101z00_1484);
											BgL_vz00_2592 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_oz00_2591)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_2592), BUNSPEC);
										}
									}
								else
									{	/* Initflow/walk.scm 108 */
										bool_t BgL_testz00_3441;

										{	/* Initflow/walk.scm 108 */
											BgL_typez00_bglt BgL_arg2113z00_1496;

											BgL_arg2113z00_1496 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
																	BgL_variablez00)))))->BgL_typez00);
											BgL_testz00_3441 =
												(((obj_t) BgL_arg2113z00_1496) ==
												BGl_za2objza2z00zztype_cachez00);
										}
										if (BgL_testz00_3441)
											{	/* Initflow/walk.scm 108 */
												BUNSPEC;
											}
										else
											{	/* Initflow/walk.scm 110 */
												bool_t BgL_testz00_3448;

												{	/* Initflow/walk.scm 110 */
													bool_t BgL_testz00_3449;

													{	/* Initflow/walk.scm 110 */
														BgL_variablez00_bglt BgL_arg2112z00_1495;

														BgL_arg2112z00_1495 =
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
															BgL_variablez00);
														BgL_testz00_3449 =
															BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
																(BgL_globalz00_bglt) BgL_arg2112z00_1495));
													}
													if (BgL_testz00_3449)
														{	/* Initflow/walk.scm 111 */
															BgL_typez00_bglt BgL_arg2109z00_1492;
															obj_t BgL_arg2110z00_1493;

															BgL_arg2109z00_1492 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1476))->
																					BgL_variablez00)))))->BgL_typez00);
															BgL_arg2110z00_1493 =
																BGl_getzd2classzd2typez00zztype_cachez00();
															BgL_testz00_3448 =
																(((obj_t) BgL_arg2109z00_1492) ==
																BgL_arg2110z00_1493);
														}
													else
														{	/* Initflow/walk.scm 110 */
															BgL_testz00_3448 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3448)
													{	/* Initflow/walk.scm 110 */
														BUNSPEC;
													}
												else
													{	/* Initflow/walk.scm 114 */
														obj_t BgL_arg2104z00_1487;
														obj_t BgL_arg2105z00_1488;

														BgL_arg2104z00_1487 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1476)))->
															BgL_locz00);
														BgL_arg2105z00_1488 =
															(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																			CREF(BgL_nodez00_1476))->
																		BgL_variablez00)))->BgL_idz00);
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_arg2104z00_1487,
															BGl_za2moduleza2z00zzmodule_modulez00,
															BGl_string2363z00zzinitflow_walkz00,
															BgL_arg2105z00_1488, BNIL);
													}
											}
									}
							}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BFALSE;
						}
				}
				{	/* Initflow/walk.scm 117 */
					bool_t BgL_testz00_3465;

					{	/* Initflow/walk.scm 117 */
						BgL_valuez00_bglt BgL_arg2126z00_1509;

						BgL_arg2126z00_1509 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->
										BgL_variablez00)))->BgL_valuez00);
						{	/* Initflow/walk.scm 117 */
							bool_t BgL_res2308z00_2607;

							{	/* Initflow/walk.scm 117 */
								obj_t BgL_objz00_2606;

								BgL_objz00_2606 = ((obj_t) BgL_arg2126z00_1509);
								BgL_res2308z00_2607 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2606,
									BGl_sfunz00zzast_varz00);
							}
							BgL_testz00_3465 = BgL_res2308z00_2607;
						}
					}
					if (BgL_testz00_3465)
						{	/* Initflow/walk.scm 117 */
							return
								BGl_initflowzd2funzd2zzinitflow_walkz00(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1476))->BgL_variablez00),
								CBOOL(BgL_ez00_1477));
						}
					else
						{	/* Initflow/walk.scm 117 */
							return BNIL;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2364z00zzinitflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
