/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2app1859z70zzreduce_1occz00(obj_t,
		BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2cast1835z70zzreduce_1occz00(obj_t,
		BgL_castz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2setq1837z70zzreduce_1occz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2funcall1829z70zzreduce_1occz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1827za2zzreduce_1occz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2select1843z70zzreduce_1occz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2sequence1825z70zzreduce_1occz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1857za2zzreduce_1occz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1831z70zzreduce_1occz00(obj_t,
		BgL_externz00_bglt, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2var1820z70zzreduce_1occz00(obj_t,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1849z70zzreduce_1occz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2atom1815z70zzreduce_1occz00(obj_t,
		BgL_atomz00_bglt, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1817z70zzreduce_1occz00(obj_t,
		BgL_kwotez00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2private1833z70zzreduce_1occz00(obj_t,
		BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1845za2zzreduce_1occz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121855zb0zzreduce_1occz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1853za2zzreduce_1occz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2fail1841z70zzreduce_1occz00(obj_t,
		BgL_failz00_bglt, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd21occz121812za2zzreduce_1occz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1847za2zzreduce_1occz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2condition1839z70zzreduce_1occz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure1822z70zzreduce_1occz00(obj_t,
		BgL_closurez00_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
	extern obj_t BGl_privatez00zzast_nodez00;
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1851z70zzreduce_1occz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2124z00zzreduce_1occz00,
		BgL_bgl_string2124za700za7za7r2128za7, "reduce_1occ", 11);
	      DEFINE_STRING(BGl_string2125z00zzreduce_1occz00,
		BgL_bgl_string2125za700za7za7r2129za7, "node-1occ!1812 read ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712130za7,
		BGl_z62nodezd21occz121812za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712131za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712132za7,
		BGl_z62nodezd21occz12zd2atom1815z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712133za7,
		BGl_z62nodezd21occz12zd2kwote1817z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712134za7,
		BGl_z62nodezd21occz12zd2var1820z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712135za7,
		BGl_z62nodezd21occz12zd2closure1822z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712136za7,
		BGl_z62nodezd21occz12zd2sequence1825z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712137za7,
		BGl_z62nodezd21occz12zd2appzd2ly1827za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712138za7,
		BGl_z62nodezd21occz12zd2funcall1829z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712139za7,
		BGl_z62nodezd21occz12zd2extern1831z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712140za7,
		BGl_z62nodezd21occz12zd2private1833z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712141za7,
		BGl_z62nodezd21occz12zd2cast1835z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712142za7,
		BGl_z62nodezd21occz12zd2setq1837z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712143za7,
		BGl_z62nodezd21occz12zd2condition1839z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712144za7,
		BGl_z62nodezd21occz12zd2fail1841z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712145za7,
		BGl_z62nodezd21occz12zd2select1843z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712146za7,
		BGl_z62nodezd21occz12zd2letzd2fun1845za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712147za7,
		BGl_z62nodezd21occz12zd2letzd2var1847za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712148za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1849z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712149za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1851z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712150za7,
		BGl_z62nodezd21occz12zd2makezd2box1853za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712151za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121855zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712152za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1857za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712153za7,
		BGl_z62nodezd21occz12zd2app1859z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2096z00zzreduce_1occz00,
		BgL_bgl_string2096za700za7za7r2154za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string2097z00zzreduce_1occz00,
		BgL_bgl_string2097za700za7za7r2155za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string2099z00zzreduce_1occz00,
		BgL_bgl_string2099za700za7za7r2156za7, "node-1occ!1812", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ2157z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2100z00zzreduce_1occz00,
		BgL_bgl_string2100za700za7za7r2158za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2102z00zzreduce_1occz00,
		BgL_bgl_string2102za700za7za7r2159za7, "node-1occ!", 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2654, char *BgL_fromz00_2655)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					BGl_toplevelzd2initzd2zzreduce_1occz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_1occ");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2646;

				BgL_cportz00_2646 =
					bgl_open_input_string(BGl_string2125z00zzreduce_1occz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2647;

					BgL_iz00_2647 = ((long) 1);
				BgL_loopz00_2648:
					if ((BgL_iz00_2647 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg2127z00_2650;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2652;

										BgL_locationz00_2652 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg2127z00_2650 =
												BGl_readz00zz__readerz00(BgL_cportz00_2646,
												BgL_locationz00_2652);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_auxz00_2678;

									BgL_auxz00_2678 = (int) (BgL_iz00_2647);
									CNST_TABLE_SET(BgL_auxz00_2678, BgL_arg2127z00_2650);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2653;

								BgL_auxz00_2653 = (int) ((BgL_iz00_2647 - ((long) 1)));
								{
									long BgL_iz00_2683;

									BgL_iz00_2683 = (long) (BgL_auxz00_2653);
									BgL_iz00_2647 = BgL_iz00_2683;
									goto BgL_loopz00_2648;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1153;

				BgL_headz00_1153 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1154;
					obj_t BgL_tailz00_1155;

					BgL_prevz00_1154 = BgL_headz00_1153;
					BgL_tailz00_1155 = BgL_l1z00_1;
				BgL_loopz00_1156:
					if (PAIRP(BgL_tailz00_1155))
						{
							obj_t BgL_newzd2prevzd2_1158;

							BgL_newzd2prevzd2_1158 =
								MAKE_PAIR(CAR(BgL_tailz00_1155), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1154, BgL_newzd2prevzd2_1158);
							{
								obj_t BgL_tailz00_2692;
								obj_t BgL_prevz00_2691;

								BgL_prevz00_2691 = BgL_newzd2prevzd2_1158;
								BgL_tailz00_2692 = CDR(BgL_tailz00_1155);
								BgL_tailz00_1155 = BgL_tailz00_2692;
								BgL_prevz00_1154 = BgL_prevz00_2691;
								goto BgL_loopz00_1156;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1153);
				}
			}
		}
	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			{	/* Reduce/1occ.scm 37 */
				obj_t BgL_list1864z00_1161;

				BgL_list1864z00_1161 =
					MAKE_PAIR(BGl_string2096z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1864z00_1161);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l1760z00_1163;

				BgL_l1760z00_1163 = BgL_globalsz00_3;
			BgL_zc3anonymousza31865ze3z83_1164:
				if (PAIRP(BgL_l1760z00_1163))
					{	/* Reduce/1occ.scm 43 */
						{	/* Reduce/1occ.scm 44 */
							obj_t BgL_globalz00_1166;

							BgL_globalz00_1166 = CAR(BgL_l1760z00_1163);
							{	/* Reduce/1occ.scm 44 */
								BgL_valuez00_bglt BgL_funz00_1167;

								BgL_funz00_1167 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1166))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 44 */
									obj_t BgL_nodez00_1168;

									BgL_nodez00_1168 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1167)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 45 */

										{	/* Reduce/1occ.scm 46 */
											obj_t BgL_arg1867z00_1169;

											{	/* Reduce/1occ.scm 46 */
												obj_t BgL__z00_1170;

												BgL__z00_1170 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1168), BNIL);
												{	/* Reduce/1occ.scm 46 */
													obj_t BgL_nodez00_1171;

													{	/* Reduce/1occ.scm 46 */
														int BgL_auxz00_2709;

														BgL_auxz00_2709 = (int) (((long) 1));
														BgL_nodez00_1171 = BGL_MVALUES_VAL(BgL_auxz00_2709);
													}
													BgL_arg1867z00_1169 = BgL_nodez00_1171;
											}}
											{	/* Reduce/1occ.scm 46 */
												BgL_sfunz00_bglt BgL_oz00_2251;

												BgL_oz00_2251 = ((BgL_sfunz00_bglt) BgL_funz00_1167);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2251))->
														BgL_bodyz00) =
													((obj_t) BgL_arg1867z00_1169), BUNSPEC);
										}} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1760z00_2714;

							BgL_l1760z00_2714 = CDR(BgL_l1760z00_1163);
							BgL_l1760z00_1163 = BgL_l1760z00_2714;
							goto BgL_zc3anonymousza31865ze3z83_1164;
						}
					}
				else
					{	/* Reduce/1occ.scm 43 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 51 */
				obj_t BgL_list1869z00_1174;

				{	/* Reduce/1occ.scm 51 */
					obj_t BgL_arg1870z00_1175;

					{	/* Reduce/1occ.scm 51 */
						obj_t BgL_arg1871z00_1176;

						{	/* Reduce/1occ.scm 51 */
							obj_t BgL_arg1872z00_1177;

							BgL_arg1872z00_1177 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1871z00_1176 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1872z00_1177);
						}
						BgL_arg1870z00_1175 =
							MAKE_PAIR(BINT(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1871z00_1176);
					}
					BgL_list1869z00_1174 =
						MAKE_PAIR(BGl_string2097z00zzreduce_1occz00, BgL_arg1870z00_1175);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1869z00_1174);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2549,
		obj_t BgL_globalsz00_2550)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2550);
		}
	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_38, obj_t BgL_1zd2expza2z70_39)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 263 */
			{
				obj_t BgL_obindingsz00_1182;
				bool_t BgL_resetz00_1183;
				obj_t BgL_extendz00_1184;

				BgL_obindingsz00_1182 =
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->BgL_bindingsz00);
				BgL_resetz00_1183 = ((bool_t) 0);
				BgL_extendz00_1184 = BNIL;
			BgL_zc3anonymousza31874ze3z83_1185:
				if (NULLP(BgL_obindingsz00_1182))
					{	/* Reduce/1occ.scm 269 */
						bool_t BgL_testz00_2728;

						if (BgL_resetz00_1183)
							{	/* Reduce/1occ.scm 269 */
								BgL_testz00_2728 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 269 */
								BgL_testz00_2728 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
										BgL_bodyz00));
							}
						if (BgL_testz00_2728)
							{	/* Reduce/1occ.scm 270 */
								obj_t BgL_resetz72z72_1188;

								BgL_resetz72z72_1188 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->BgL_bodyz00),
									BNIL);
								{	/* Reduce/1occ.scm 272 */
									obj_t BgL_nbodyz00_1189;

									{	/* Reduce/1occ.scm 272 */
										int BgL_auxz00_2734;

										BgL_auxz00_2734 = (int) (((long) 1));
										BgL_nbodyz00_1189 = BGL_MVALUES_VAL(BgL_auxz00_2734);
									}
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1189)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 273 */
										int BgL_res2039z00_2259;

										{	/* Reduce/1occ.scm 273 */
											int BgL_auxz00_2739;

											BgL_auxz00_2739 = (int) (((long) 2));
											BgL_res2039z00_2259 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2739);
										} BgL_res2039z00_2259;
									}
									{	/* Reduce/1occ.scm 273 */
										obj_t BgL_oz00_2261;

										BgL_oz00_2261 = ((obj_t) BgL_nodez00_38);
										{	/* Reduce/1occ.scm 273 */
											int BgL_auxz00_2743;

											BgL_auxz00_2743 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2743, BgL_oz00_2261);
									}}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 274 */
								obj_t BgL_1zd2expza2z72z02_1193;

								BgL_1zd2expza2z72z02_1193 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1184,
									BgL_1zd2expza2z70_39);
								{	/* Reduce/1occ.scm 275 */
									obj_t BgL_resetz72z72_1194;

									BgL_resetz72z72_1194 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1193);
									{	/* Reduce/1occ.scm 277 */
										obj_t BgL_nbodyz00_1195;

										{	/* Reduce/1occ.scm 277 */
											int BgL_auxz00_2749;

											BgL_auxz00_2749 = (int) (((long) 1));
											BgL_nbodyz00_1195 = BGL_MVALUES_VAL(BgL_auxz00_2749);
										}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1195)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1199;
											obj_t BgL_nbindingsz00_1200;

											BgL_obindingsz00_1199 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1200 = BNIL;
										BgL_zc3anonymousza31879ze3z83_1201:
											if (NULLP(BgL_obindingsz00_1199))
												{	/* Reduce/1occ.scm 284 */
													bool_t BgL_testz00_2756;

													if (
														(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 284 */
															BgL_testz00_2756 = NULLP(BgL_nbindingsz00_1200);
														}
													else
														{	/* Reduce/1occ.scm 284 */
															BgL_testz00_2756 = ((bool_t) 0);
														}
													if (BgL_testz00_2756)
														{	/* Reduce/1occ.scm 284 */
															{	/* Reduce/1occ.scm 290 */
																BgL_nodez00_bglt BgL_val1_1795z00_1205;

																BgL_val1_1795z00_1205 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_38))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 290 */
																	int BgL_res2042z00_2268;

																	{	/* Reduce/1occ.scm 290 */
																		int BgL_auxz00_2761;

																		BgL_auxz00_2761 = (int) (((long) 2));
																		BgL_res2042z00_2268 =
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_2761);
																	} BgL_res2042z00_2268;
																}
																{	/* Reduce/1occ.scm 290 */
																	obj_t BgL_oz00_2270;

																	BgL_oz00_2270 =
																		((obj_t) BgL_val1_1795z00_1205);
																	{	/* Reduce/1occ.scm 290 */
																		int BgL_auxz00_2765;

																		BgL_auxz00_2765 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_2765,
																			BgL_oz00_2270);
																}}
																return BgL_resetz72z72_1194;
															}
														}
													else
														{	/* Reduce/1occ.scm 284 */
															((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_38))->
																	BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1200)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 293 */
																int BgL_res2043z00_2272;

																{	/* Reduce/1occ.scm 293 */
																	int BgL_auxz00_2770;

																	BgL_auxz00_2770 = (int) (((long) 2));
																	BgL_res2043z00_2272 =
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_2770);
																} BgL_res2043z00_2272;
															}
															{	/* Reduce/1occ.scm 293 */
																obj_t BgL_oz00_2274;

																BgL_oz00_2274 = ((obj_t) BgL_nodez00_38);
																{	/* Reduce/1occ.scm 293 */
																	int BgL_auxz00_2774;

																	BgL_auxz00_2774 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_2774,
																		BgL_oz00_2274);
															}}
															return BgL_resetz72z72_1194;
														}
												}
											else
												{	/* Reduce/1occ.scm 294 */
													bool_t BgL_testz00_2777;

													{	/* Reduce/1occ.scm 294 */
														obj_t BgL_varz00_1214;
														obj_t BgL_valz00_1215;

														BgL_varz00_1214 = CAR(CAR(BgL_obindingsz00_1199));
														BgL_valz00_1215 = CDR(CAR(BgL_obindingsz00_1199));
														if (
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1214))))->
																	BgL_occurrencez00) == ((long) 0)))
															{	/* Reduce/1occ.scm 296 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1215)))
																	{	/* Reduce/1occ.scm 297 */
																		BgL_testz00_2777 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 297 */
																		BgL_testz00_2777 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 296 */
																BgL_testz00_2777 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_2777)
														{	/* Reduce/1occ.scm 294 */
															{
																obj_t BgL_obindingsz00_2790;

																BgL_obindingsz00_2790 =
																	CDR(BgL_obindingsz00_1199);
																BgL_obindingsz00_1199 = BgL_obindingsz00_2790;
																goto BgL_zc3anonymousza31879ze3z83_1201;
															}
														}
													else
														{	/* Reduce/1occ.scm 304 */
															obj_t BgL_arg1885z00_1211;
															obj_t BgL_arg1886z00_1212;

															BgL_arg1885z00_1211 = CDR(BgL_obindingsz00_1199);
															BgL_arg1886z00_1212 =
																MAKE_PAIR(CAR(BgL_obindingsz00_1199),
																BgL_nbindingsz00_1200);
															{
																obj_t BgL_nbindingsz00_2796;
																obj_t BgL_obindingsz00_2795;

																BgL_obindingsz00_2795 = BgL_arg1885z00_1211;
																BgL_nbindingsz00_2796 = BgL_arg1886z00_1212;
																BgL_nbindingsz00_1200 = BgL_nbindingsz00_2796;
																BgL_obindingsz00_1199 = BgL_obindingsz00_2795;
																goto BgL_zc3anonymousza31879ze3z83_1201;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 306 */
						obj_t BgL_bindingz00_1224;

						BgL_bindingz00_1224 = CAR(BgL_obindingsz00_1182);
						{	/* Reduce/1occ.scm 307 */
							obj_t BgL_varz00_1225;
							obj_t BgL_valz00_1226;

							BgL_varz00_1225 = CAR(BgL_bindingz00_1224);
							BgL_valz00_1226 = CDR(BgL_bindingz00_1224);
							{	/* Reduce/1occ.scm 309 */
								obj_t BgL_resetz72z72_1227;

								BgL_resetz72z72_1227 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1226), BgL_1zd2expza2z70_39);
								{	/* Reduce/1occ.scm 311 */
									obj_t BgL_nvalz00_1228;

									{	/* Reduce/1occ.scm 311 */
										int BgL_auxz00_2803;

										BgL_auxz00_2803 = (int) (((long) 1));
										BgL_nvalz00_1228 = BGL_MVALUES_VAL(BgL_auxz00_2803);
									}
									SET_CDR(BgL_bindingz00_1224, BgL_nvalz00_1228);
									{	/* Reduce/1occ.scm 313 */
										bool_t BgL_testz00_2807;

										if (BgL_resetz00_1183)
											{	/* Reduce/1occ.scm 313 */
												BgL_testz00_2807 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 313 */
												BgL_testz00_2807 = CBOOL(BgL_resetz72z72_1227);
											}
										if (BgL_testz00_2807)
											{
												obj_t BgL_extendz00_2813;
												bool_t BgL_resetz00_2812;
												obj_t BgL_obindingsz00_2810;

												BgL_obindingsz00_2810 = CDR(BgL_obindingsz00_1182);
												BgL_resetz00_2812 = ((bool_t) 1);
												BgL_extendz00_2813 = BNIL;
												BgL_extendz00_1184 = BgL_extendz00_2813;
												BgL_resetz00_1183 = BgL_resetz00_2812;
												BgL_obindingsz00_1182 = BgL_obindingsz00_2810;
												goto BgL_zc3anonymousza31874ze3z83_1185;
											}
										else
											{	/* Reduce/1occ.scm 313 */
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1225))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Reduce/1occ.scm 321 */
														bool_t BgL_testz00_2820;

														if (
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1225))))->
																	BgL_occurrencez00) == ((long) 1)))
															{	/* Reduce/1occ.scm 321 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1225))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Reduce/1occ.scm 322 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1226)))
																			{	/* Reduce/1occ.scm 323 */
																				BgL_testz00_2820 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 324 */
																				BgL_typez00_bglt BgL_arg1904z00_1239;
																				BgL_typez00_bglt BgL_arg1905z00_1240;

																				BgL_arg1904z00_1239 =
																					(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1225))))->
																					BgL_typez00);
																				BgL_arg1905z00_1240 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt)
																						BgL_valz00_1226));
																				BgL_testz00_2820 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1904z00_1239,
																					BgL_arg1905z00_1240);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 322 */
																		BgL_testz00_2820 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 321 */
																BgL_testz00_2820 = ((bool_t) 0);
															}
														if (BgL_testz00_2820)
															{	/* Reduce/1occ.scm 321 */
																{	/* Reduce/1occ.scm 329 */
																	obj_t BgL_arg1898z00_1233;
																	obj_t BgL_arg1899z00_1234;

																	BgL_arg1898z00_1233 =
																		CDR(BgL_obindingsz00_1182);
																	BgL_arg1899z00_1234 =
																		MAKE_PAIR(BgL_bindingz00_1224,
																		BgL_extendz00_1184);
																	{
																		obj_t BgL_extendz00_2845;
																		bool_t BgL_resetz00_2844;
																		obj_t BgL_obindingsz00_2843;

																		BgL_obindingsz00_2843 = BgL_arg1898z00_1233;
																		BgL_resetz00_2844 = ((bool_t) 0);
																		BgL_extendz00_2845 = BgL_arg1899z00_1234;
																		BgL_extendz00_1184 = BgL_extendz00_2845;
																		BgL_resetz00_1183 = BgL_resetz00_2844;
																		BgL_obindingsz00_1182 =
																			BgL_obindingsz00_2843;
																		goto BgL_zc3anonymousza31874ze3z83_1185;
																	}
																}
															}
														else
															{
																bool_t BgL_resetz00_2848;
																obj_t BgL_obindingsz00_2846;

																BgL_obindingsz00_2846 =
																	CDR(BgL_obindingsz00_1182);
																BgL_resetz00_2848 = ((bool_t) 0);
																BgL_resetz00_1183 = BgL_resetz00_2848;
																BgL_obindingsz00_1182 = BgL_obindingsz00_2846;
																goto BgL_zc3anonymousza31874ze3z83_1185;
															}
													}
												else
													{
														bool_t BgL_resetz00_2851;
														obj_t BgL_obindingsz00_2849;

														BgL_obindingsz00_2849 = CDR(BgL_obindingsz00_1182);
														BgL_resetz00_2851 = ((bool_t) 0);
														BgL_resetz00_1183 = BgL_resetz00_2851;
														BgL_obindingsz00_1182 = BgL_obindingsz00_2849;
														goto BgL_zc3anonymousza31874ze3z83_1185;
													}
											}
									}
								}
							}
						}
					}
			}
		}
	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_52,
		obj_t BgL_1zd2expza2z70_53)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 403 */
			{
				obj_t BgL_nodeza2za2_1247;
				bool_t BgL_resetz00_1248;
				obj_t BgL_1zd2expza2z70_1249;

				BgL_nodeza2za2_1247 = BgL_nodeza2za2_52;
				BgL_resetz00_1248 = ((bool_t) 0);
				BgL_1zd2expza2z70_1249 = BgL_1zd2expza2z70_53;
			BgL_zc3anonymousza31911ze3z83_1250:
				if (NULLP(BgL_nodeza2za2_1247))
					{	/* Reduce/1occ.scm 408 */
						return BBOOL(BgL_resetz00_1248);
					}
				else
					{	/* Reduce/1occ.scm 408 */
						if (NULLP(CDR(BgL_nodeza2za2_1247)))
							{	/* Reduce/1occ.scm 411 */
								obj_t BgL_resetz72z72_1253;

								{	/* Reduce/1occ.scm 412 */
									obj_t BgL_arg1914z00_1256;

									BgL_arg1914z00_1256 = CAR(BgL_nodeza2za2_1247);
									BgL_resetz72z72_1253 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1914z00_1256),
										BgL_1zd2expza2z70_1249);
								}
								{	/* Reduce/1occ.scm 413 */
									obj_t BgL_nodez00_1254;

									{	/* Reduce/1occ.scm 413 */
										int BgL_auxz00_2862;

										BgL_auxz00_2862 = (int) (((long) 1));
										BgL_nodez00_1254 = BGL_MVALUES_VAL(BgL_auxz00_2862);
									}
									SET_CAR(BgL_nodeza2za2_1247, BgL_nodez00_1254);
									if (BgL_resetz00_1248)
										{	/* Reduce/1occ.scm 414 */
											return BBOOL(BgL_resetz00_1248);
										}
									else
										{	/* Reduce/1occ.scm 414 */
											return BgL_resetz72z72_1253;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 416 */
								obj_t BgL_resetz72z72_1257;

								{	/* Reduce/1occ.scm 417 */
									obj_t BgL_arg1918z00_1262;

									BgL_arg1918z00_1262 = CAR(BgL_nodeza2za2_1247);
									BgL_resetz72z72_1257 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1918z00_1262),
										BgL_1zd2expza2z70_1249);
								}
								{	/* Reduce/1occ.scm 418 */
									obj_t BgL_nodez00_1258;

									{	/* Reduce/1occ.scm 418 */
										int BgL_auxz00_2871;

										BgL_auxz00_2871 = (int) (((long) 1));
										BgL_nodez00_1258 = BGL_MVALUES_VAL(BgL_auxz00_2871);
									}
									SET_CAR(BgL_nodeza2za2_1247, BgL_nodez00_1258);
									{	/* Reduce/1occ.scm 419 */
										bool_t BgL_testz00_2875;

										if (BgL_resetz00_1248)
											{	/* Reduce/1occ.scm 419 */
												BgL_testz00_2875 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 419 */
												BgL_testz00_2875 = CBOOL(BgL_resetz72z72_1257);
											}
										if (BgL_testz00_2875)
											{
												obj_t BgL_1zd2expza2z70_2881;
												bool_t BgL_resetz00_2880;
												obj_t BgL_nodeza2za2_2878;

												BgL_nodeza2za2_2878 = CDR(BgL_nodeza2za2_1247);
												BgL_resetz00_2880 = ((bool_t) 1);
												BgL_1zd2expza2z70_2881 = BNIL;
												BgL_1zd2expza2z70_1249 = BgL_1zd2expza2z70_2881;
												BgL_resetz00_1248 = BgL_resetz00_2880;
												BgL_nodeza2za2_1247 = BgL_nodeza2za2_2878;
												goto BgL_zc3anonymousza31911ze3z83_1250;
											}
										else
											{
												bool_t BgL_resetz00_2884;
												obj_t BgL_nodeza2za2_2882;

												BgL_nodeza2za2_2882 = CDR(BgL_nodeza2za2_1247);
												BgL_resetz00_2884 = ((bool_t) 0);
												BgL_resetz00_1248 = BgL_resetz00_2884;
												BgL_nodeza2za2_1247 = BgL_nodeza2za2_2882;
												goto BgL_zc3anonymousza31911ze3z83_1250;
											}
									}
								}
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc2098z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string2099z00zzreduce_1occz00);
		}
	}



/* &node-1occ!1812 */
	obj_t BGl_z62nodezd21occz121812za2zzreduce_1occz00(obj_t BgL_envz00_2552,
		BgL_nodez00_bglt BgL_nodez00_2553, obj_t BgL_1zd2expza2z70_2554)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{
				BgL_nodez00_bglt BgL_nodez00_1266;
				obj_t BgL_1zd2expza2z70_1267;

				BgL_nodez00_1266 = BgL_nodez00_2553;
				BgL_1zd2expza2z70_1267 = BgL_1zd2expza2z70_2554;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2100z00zzreduce_1occz00, ((obj_t) BgL_nodez00_1266));
		}}
	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{	/* Reduce/1occ.scm 66 */
				obj_t BgL_method1813z00_1270;

				{	/* Reduce/1occ.scm 66 */
					obj_t BgL_res2057z00_2354;

					{	/* Reduce/1occ.scm 66 */
						BgL_objectz00_bglt BgL_objz00_2326;

						BgL_objz00_2326 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/1occ.scm 66 */
							long BgL_objzd2classzd2numz00_2327;

							{	/* Reduce/1occ.scm 66 */
								long BgL_res2051z00_2330;

								BgL_res2051z00_2330 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2326);
								BgL_objzd2classzd2numz00_2327 = BgL_res2051z00_2330;
							}
							{	/* Reduce/1occ.scm 66 */
								obj_t BgL_arg1812z00_2328;

								BgL_arg1812z00_2328 =
									PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
									(int) (((long) 1)));
								{	/* Reduce/1occ.scm 66 */
									obj_t BgL_arrayz00_2331;
									int BgL_offsetz00_2332;

									BgL_arrayz00_2331 = BgL_arg1812z00_2328;
									BgL_offsetz00_2332 = (int) (BgL_objzd2classzd2numz00_2327);
									{	/* Reduce/1occ.scm 66 */
										long BgL_offsetz00_2333;

										BgL_offsetz00_2333 =
											((long) (BgL_offsetz00_2332) - OBJECT_TYPE);
										{	/* Reduce/1occ.scm 66 */
											long BgL_modz00_2334;

											{	/* Reduce/1occ.scm 66 */
												int BgL_arg1814z00_2335;

												BgL_arg1814z00_2335 = (int) (((long) 16));
												{	/* Reduce/1occ.scm 66 */
													long BgL_res2054z00_2345;

													{	/* Reduce/1occ.scm 66 */
														long BgL_auxz00_2897;

														BgL_auxz00_2897 = (long) (BgL_arg1814z00_2335);
														BgL_res2054z00_2345 =
															(BgL_offsetz00_2333 / BgL_auxz00_2897);
													}
													BgL_modz00_2334 = BgL_res2054z00_2345;
											}}
											{	/* Reduce/1occ.scm 66 */
												long BgL_restz00_2336;

												{	/* Reduce/1occ.scm 66 */
													int BgL_arg1813z00_2337;

													BgL_arg1813z00_2337 = (int) (((long) 16));
													{	/* Reduce/1occ.scm 66 */
														long BgL_res2056z00_2349;

														{	/* Reduce/1occ.scm 66 */
															long BgL_auxz00_2901;

															BgL_auxz00_2901 = (long) (BgL_arg1813z00_2337);
															BgL_res2056z00_2349 =
																(BgL_offsetz00_2333 % BgL_auxz00_2901);
														}
														BgL_restz00_2336 = BgL_res2056z00_2349;
												}}
												{	/* Reduce/1occ.scm 66 */

													BgL_res2057z00_2354 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2331,
															(int) (BgL_modz00_2334)),
														(int) (BgL_restz00_2336));
					}}}}}}}}
					BgL_method1813z00_1270 = BgL_res2057z00_2354;
				}
				return
					PROCEDURE_ENTRY(BgL_method1813z00_1270) (BgL_method1813z00_1270,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}
	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2555,
		obj_t BgL_nodez00_2556, obj_t BgL_1zd2expza2z70_2557)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2556), BgL_1zd2expza2z70_2557);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc2101z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2103z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc2104z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc2105z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2106z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2107z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2108z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc2109z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc2110z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc2111z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc2112z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2113z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc2114z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_selectz00zzast_nodez00, BGl_proc2115z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2116z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2117z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2118z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2119z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2120z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2121z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2122z00zzreduce_1occz00,
				BGl_string2102z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc2123z00zzreduce_1occz00, BGl_string2102z00zzreduce_1occz00);
		}
	}



/* &node-1occ!-app1859 */
	obj_t BGl_z62nodezd21occz12zd2app1859z70zzreduce_1occz00(obj_t
		BgL_envz00_2580, BgL_appz00_bglt BgL_nodez00_2581,
		obj_t BgL_1zd2expza2z70_2582)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 390 */
			{
				BgL_appz00_bglt BgL_nodez00_1555;
				obj_t BgL_1zd2expza2z70_1556;

				{	/* Reduce/1occ.scm 391 */
					bool_t BgL_auxz00_2938;

					BgL_nodez00_1555 = BgL_nodez00_2581;
					BgL_1zd2expza2z70_1556 = BgL_1zd2expza2z70_2582;
					{	/* Reduce/1occ.scm 392 */
						obj_t BgL_resetz00_1560;

						BgL_resetz00_1560 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1555))->BgL_argsz00),
							BgL_1zd2expza2z70_1556);
						{	/* Reduce/1occ.scm 393 */
							bool_t BgL_testz00_2941;

							if (CBOOL(BgL_resetz00_1560))
								{	/* Reduce/1occ.scm 393 */
									BgL_testz00_2941 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 393 */
									BgL_testz00_2941 =
										BGl_sidezd2effectzf3z21zzeffect_effectz00(
										((BgL_nodez00_bglt) BgL_nodez00_1555));
								}
							if (BgL_testz00_2941)
								{	/* Reduce/1occ.scm 393 */
									{	/* Reduce/1occ.scm 397 */
										int BgL_res2094z00_2531;

										{	/* Reduce/1occ.scm 397 */
											int BgL_auxz00_2946;

											BgL_auxz00_2946 = (int) (((long) 2));
											BgL_res2094z00_2531 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2946);
										} BgL_res2094z00_2531;
									}
									{	/* Reduce/1occ.scm 397 */
										obj_t BgL_oz00_2533;

										BgL_oz00_2533 = ((obj_t) BgL_nodez00_1555);
										{	/* Reduce/1occ.scm 397 */
											int BgL_auxz00_2950;

											BgL_auxz00_2950 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2950, BgL_oz00_2533);
									}}
									BgL_auxz00_2938 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 393 */
									{	/* Reduce/1occ.scm 398 */
										int BgL_res2095z00_2535;

										{	/* Reduce/1occ.scm 398 */
											int BgL_auxz00_2953;

											BgL_auxz00_2953 = (int) (((long) 2));
											BgL_res2095z00_2535 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2953);
										} BgL_res2095z00_2535;
									}
									{	/* Reduce/1occ.scm 398 */
										obj_t BgL_oz00_2537;

										BgL_oz00_2537 = ((obj_t) BgL_nodez00_1555);
										{	/* Reduce/1occ.scm 398 */
											int BgL_auxz00_2957;

											BgL_auxz00_2957 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2957, BgL_oz00_2537);
									}}
									BgL_auxz00_2938 = ((bool_t) 0);
					}}}
					return BBOOL(BgL_auxz00_2938);
				}
			}
		}
	}



/* &node-1occ!-box-ref1857 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1857za2zzreduce_1occz00(obj_t
		BgL_envz00_2583, BgL_boxzd2refzd2_bglt BgL_nodez00_2584,
		obj_t BgL_1zd2expza2z70_2585)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 384 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1548;
				obj_t BgL_1zd2expza2z70_1549;

				{	/* Reduce/1occ.scm 385 */
					bool_t BgL_auxz00_2961;

					BgL_nodez00_1548 = BgL_nodez00_2584;
					BgL_1zd2expza2z70_1549 = BgL_1zd2expza2z70_2585;
					{	/* Reduce/1occ.scm 385 */
						int BgL_res2093z00_2527;

						{	/* Reduce/1occ.scm 385 */
							int BgL_auxz00_2962;

							BgL_auxz00_2962 = (int) (((long) 2));
							BgL_res2093z00_2527 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2962);
						} BgL_res2093z00_2527;
					}
					{	/* Reduce/1occ.scm 385 */
						obj_t BgL_oz00_2529;

						BgL_oz00_2529 = ((obj_t) BgL_nodez00_1548);
						{	/* Reduce/1occ.scm 385 */
							int BgL_auxz00_2966;

							BgL_auxz00_2966 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2966, BgL_oz00_2529);
					}}
					BgL_auxz00_2961 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_2961);
				}
			}
		}
	}



/* &node-1occ!-box-set!1855 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121855zb0zzreduce_1occz00(obj_t
		BgL_envz00_2586, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2587,
		obj_t BgL_1zd2expza2z70_2588)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 374 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1537;
				obj_t BgL_1zd2expza2z70_1538;

				BgL_nodez00_1537 = BgL_nodez00_2587;
				BgL_1zd2expza2z70_1538 = BgL_1zd2expza2z70_2588;
				{	/* Reduce/1occ.scm 376 */
					obj_t BgL_resetz00_1542;

					BgL_resetz00_1542 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1537))->BgL_valuez00),
						BgL_1zd2expza2z70_1538);
					{	/* Reduce/1occ.scm 378 */
						obj_t BgL_nvaluez00_1543;

						{	/* Reduce/1occ.scm 378 */
							int BgL_auxz00_2972;

							BgL_auxz00_2972 = (int) (((long) 1));
							BgL_nvaluez00_1543 = BGL_MVALUES_VAL(BgL_auxz00_2972);
						}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1537))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1543)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 379 */
							int BgL_res2092z00_2521;

							{	/* Reduce/1occ.scm 379 */
								int BgL_auxz00_2977;

								BgL_auxz00_2977 = (int) (((long) 2));
								BgL_res2092z00_2521 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2977);
							} BgL_res2092z00_2521;
						}
						{	/* Reduce/1occ.scm 379 */
							obj_t BgL_oz00_2523;

							BgL_oz00_2523 = ((obj_t) BgL_nodez00_1537);
							{	/* Reduce/1occ.scm 379 */
								int BgL_auxz00_2981;

								BgL_auxz00_2981 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2981, BgL_oz00_2523);
						}}
						return BgL_resetz00_1542;
					}
				}
			}
		}
	}



/* &node-1occ!-make-box1853 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1853za2zzreduce_1occz00(obj_t
		BgL_envz00_2589, BgL_makezd2boxzd2_bglt BgL_nodez00_2590,
		obj_t BgL_1zd2expza2z70_2591)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 364 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1526;
				obj_t BgL_1zd2expza2z70_1527;

				BgL_nodez00_1526 = BgL_nodez00_2590;
				BgL_1zd2expza2z70_1527 = BgL_1zd2expza2z70_2591;
				{	/* Reduce/1occ.scm 366 */
					obj_t BgL_resetz00_1531;

					BgL_resetz00_1531 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1526))->BgL_valuez00),
						BgL_1zd2expza2z70_1527);
					{	/* Reduce/1occ.scm 368 */
						obj_t BgL_nvaluez00_1532;

						{	/* Reduce/1occ.scm 368 */
							int BgL_auxz00_2986;

							BgL_auxz00_2986 = (int) (((long) 1));
							BgL_nvaluez00_1532 = BGL_MVALUES_VAL(BgL_auxz00_2986);
						}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1526))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1532)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 369 */
							int BgL_res2091z00_2516;

							{	/* Reduce/1occ.scm 369 */
								int BgL_auxz00_2991;

								BgL_auxz00_2991 = (int) (((long) 2));
								BgL_res2091z00_2516 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2991);
							} BgL_res2091z00_2516;
						}
						{	/* Reduce/1occ.scm 369 */
							obj_t BgL_oz00_2518;

							BgL_oz00_2518 = ((obj_t) BgL_nodez00_1526);
							{	/* Reduce/1occ.scm 369 */
								int BgL_auxz00_2995;

								BgL_auxz00_2995 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2995, BgL_oz00_2518);
						}}
						return BgL_resetz00_1531;
					}
				}
			}
		}
	}



/* &node-1occ!-jump-ex-i1851 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1851z70zzreduce_1occz00(obj_t
		BgL_envz00_2592, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2593,
		obj_t BgL_1zd2expza2z70_2594)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 350 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1510;
				obj_t BgL_1zd2expza2z70_1511;

				BgL_nodez00_1510 = BgL_nodez00_2593;
				BgL_1zd2expza2z70_1511 = BgL_1zd2expza2z70_2594;
				{	/* Reduce/1occ.scm 352 */
					obj_t BgL_resetz00_1515;

					BgL_resetz00_1515 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1510))->
							BgL_exitz00), BgL_1zd2expza2z70_1511);
					{	/* Reduce/1occ.scm 354 */
						obj_t BgL_nexitz00_1516;

						{	/* Reduce/1occ.scm 354 */
							int BgL_auxz00_3000;

							BgL_auxz00_3000 = (int) (((long) 1));
							BgL_nexitz00_1516 = BGL_MVALUES_VAL(BgL_auxz00_3000);
						}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1510))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_1516)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 355 */
							obj_t BgL_1zd2expza2z72z02_1517;

							if (CBOOL(BgL_resetz00_1515))
								{	/* Reduce/1occ.scm 355 */
									BgL_1zd2expza2z72z02_1517 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 355 */
									BgL_1zd2expza2z72z02_1517 = BgL_1zd2expza2z70_1511;
								}
							{	/* Reduce/1occ.scm 356 */
								obj_t BgL_resetz72z72_1518;

								BgL_resetz72z72_1518 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1510))->
										BgL_valuez00), BgL_1zd2expza2z72z02_1517);
								{	/* Reduce/1occ.scm 358 */
									obj_t BgL_nvaluez00_1519;

									{	/* Reduce/1occ.scm 358 */
										int BgL_auxz00_3009;

										BgL_auxz00_3009 = (int) (((long) 1));
										BgL_nvaluez00_1519 = BGL_MVALUES_VAL(BgL_auxz00_3009);
									}
									((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1510))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_nvaluez00_1519)), BUNSPEC);
									{	/* Reduce/1occ.scm 359 */
										obj_t BgL_val0_1800z00_1520;

										if (CBOOL(BgL_resetz00_1515))
											{	/* Reduce/1occ.scm 359 */
												BgL_val0_1800z00_1520 = BgL_resetz00_1515;
											}
										else
											{	/* Reduce/1occ.scm 359 */
												BgL_val0_1800z00_1520 = BgL_resetz72z72_1518;
											}
										{	/* Reduce/1occ.scm 359 */
											int BgL_res2090z00_2511;

											{	/* Reduce/1occ.scm 359 */
												int BgL_auxz00_3016;

												BgL_auxz00_3016 = (int) (((long) 2));
												BgL_res2090z00_2511 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_3016);
											} BgL_res2090z00_2511;
										}
										{	/* Reduce/1occ.scm 359 */
											obj_t BgL_oz00_2513;

											BgL_oz00_2513 = ((obj_t) BgL_nodez00_1510);
											{	/* Reduce/1occ.scm 359 */
												int BgL_auxz00_3020;

												BgL_auxz00_3020 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_3020, BgL_oz00_2513);
										}}
										return BgL_val0_1800z00_1520;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-set-ex-it1849 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1849z70zzreduce_1occz00(obj_t
		BgL_envz00_2595, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2596,
		obj_t BgL_1zd2expza2z70_2597)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 340 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1499;
				obj_t BgL_1zd2expza2z70_1500;

				BgL_nodez00_1499 = BgL_nodez00_2596;
				BgL_1zd2expza2z70_1500 = BgL_1zd2expza2z70_2597;
				{	/* Reduce/1occ.scm 342 */
					obj_t BgL_resetz00_1504;

					BgL_resetz00_1504 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1499))->BgL_bodyz00),
						BgL_1zd2expza2z70_1500);
					{	/* Reduce/1occ.scm 344 */
						obj_t BgL_nbodyz00_1505;

						{	/* Reduce/1occ.scm 344 */
							int BgL_auxz00_3025;

							BgL_auxz00_3025 = (int) (((long) 1));
							BgL_nbodyz00_1505 = BGL_MVALUES_VAL(BgL_auxz00_3025);
						}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1499))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1505)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 345 */
							int BgL_res2089z00_2505;

							{	/* Reduce/1occ.scm 345 */
								int BgL_auxz00_3030;

								BgL_auxz00_3030 = (int) (((long) 2));
								BgL_res2089z00_2505 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3030);
							} BgL_res2089z00_2505;
						}
						{	/* Reduce/1occ.scm 345 */
							obj_t BgL_oz00_2507;

							BgL_oz00_2507 = ((obj_t) BgL_nodez00_1499);
							{	/* Reduce/1occ.scm 345 */
								int BgL_auxz00_3034;

								BgL_auxz00_3034 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_3034, BgL_oz00_2507);
						}}
						return BgL_resetz00_1504;
					}
				}
			}
		}
	}



/* &node-1occ!-let-var1847 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1847za2zzreduce_1occz00(obj_t
		BgL_envz00_2598, BgL_letzd2varzd2_bglt BgL_nodez00_2599,
		obj_t BgL_1zd2expza2z70_2600)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 239 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1471;
				obj_t BgL_1zd2expza2z70_1472;

				BgL_nodez00_1471 = BgL_nodez00_2599;
				BgL_1zd2expza2z70_1472 = BgL_1zd2expza2z70_2600;
				{	/* Reduce/1occ.scm 245 */
					bool_t BgL_testz00_3037;

					{	/* Reduce/1occ.scm 245 */
						bool_t BgL_testz00_3038;

						{	/* Reduce/1occ.scm 245 */
							obj_t BgL_auxz00_3039;

							BgL_auxz00_3039 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->
								BgL_bindingsz00);
							BgL_testz00_3038 = PAIRP(BgL_auxz00_3039);
						}
						if (BgL_testz00_3038)
							{	/* Reduce/1occ.scm 245 */
								if (NULLP(CDR(
											(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->
												BgL_bindingsz00))))
									{	/* Reduce/1occ.scm 247 */
										obj_t BgL_varz00_1482;

										{	/* Reduce/1occ.scm 247 */
											obj_t BgL_pairz00_2479;

											BgL_pairz00_2479 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->
												BgL_bindingsz00);
											BgL_varz00_1482 = CAR(CAR(BgL_pairz00_2479));
										}
										if (
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1482))))->
													BgL_occurrencez00) == ((long) 1)))
											{	/* Reduce/1occ.scm 249 */
												bool_t BgL_testz00_3054;

												{	/* Reduce/1occ.scm 249 */
													BgL_typez00_bglt BgL_arg1965z00_1492;

													BgL_arg1965z00_1492 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1482)))->
														BgL_typez00);
													BgL_testz00_3054 =
														(((obj_t) BgL_arg1965z00_1492) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
												if (BgL_testz00_3054)
													{	/* Reduce/1occ.scm 250 */
														bool_t BgL_testz00_3059;

														{	/* Reduce/1occ.scm 250 */
															BgL_nodez00_bglt BgL_arg1964z00_1491;

															BgL_arg1964z00_1491 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_1471))->BgL_bodyz00);
															{	/* Reduce/1occ.scm 250 */
																bool_t BgL_res2086z00_2493;

																{	/* Reduce/1occ.scm 250 */
																	obj_t BgL_objz00_2492;

																	BgL_objz00_2492 =
																		((obj_t) BgL_arg1964z00_1491);
																	BgL_res2086z00_2493 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2492,
																		BGl_conditionalz00zzast_nodez00);
																}
																BgL_testz00_3059 = BgL_res2086z00_2493;
															}
														}
														if (BgL_testz00_3059)
															{	/* Reduce/1occ.scm 251 */
																BgL_conditionalz00_bglt BgL_i1123z00_1486;

																BgL_i1123z00_1486 =
																	((BgL_conditionalz00_bglt)
																	(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_1471))->BgL_bodyz00));
																{	/* Reduce/1occ.scm 252 */
																	bool_t BgL_testz00_3065;

																	{	/* Reduce/1occ.scm 252 */
																		BgL_nodez00_bglt BgL_arg1963z00_1490;

																		BgL_arg1963z00_1490 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_i1123z00_1486))->BgL_testz00);
																		{	/* Reduce/1occ.scm 252 */
																			bool_t BgL_res2087z00_2495;

																			{	/* Reduce/1occ.scm 252 */
																				obj_t BgL_objz00_2494;

																				BgL_objz00_2494 =
																					((obj_t) BgL_arg1963z00_1490);
																				BgL_res2087z00_2495 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_2494,
																					BGl_varz00zzast_nodez00);
																			}
																			BgL_testz00_3065 = BgL_res2087z00_2495;
																		}
																	}
																	if (BgL_testz00_3065)
																		{	/* Reduce/1occ.scm 252 */
																			BgL_testz00_3037 =
																				(
																				((obj_t)
																					(((BgL_varz00_bglt) CREF(
																								((BgL_varz00_bglt)
																									(((BgL_conditionalz00_bglt)
																											CREF(BgL_i1123z00_1486))->
																										BgL_testz00))))->
																						BgL_variablez00)) ==
																				BgL_varz00_1482);
																		}
																	else
																		{	/* Reduce/1occ.scm 252 */
																			BgL_testz00_3037 = ((bool_t) 0);
																		}
																}
															}
														else
															{	/* Reduce/1occ.scm 250 */
																BgL_testz00_3037 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/1occ.scm 249 */
														BgL_testz00_3037 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/1occ.scm 248 */
												BgL_testz00_3037 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/1occ.scm 246 */
										BgL_testz00_3037 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/1occ.scm 245 */
								BgL_testz00_3037 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3037)
						{	/* Reduce/1occ.scm 255 */
							BgL_conditionalz00_bglt BgL_i1125z00_1477;

							BgL_i1125z00_1477 =
								((BgL_conditionalz00_bglt)
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->
									BgL_bodyz00));
							{
								BgL_nodez00_bglt BgL_auxz00_3076;

								{	/* Reduce/1occ.scm 256 */
									obj_t BgL_pairz00_2499;

									BgL_pairz00_2499 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->
										BgL_bindingsz00);
									{	/* Reduce/1occ.scm 256 */
										obj_t BgL_pairz00_2502;

										BgL_pairz00_2502 = CAR(BgL_pairz00_2499);
										BgL_auxz00_3076 =
											((BgL_nodez00_bglt) CDR(BgL_pairz00_2502));
									}
								}
								((((BgL_conditionalz00_bglt) CREF(BgL_i1125z00_1477))->
										BgL_testz00) =
									((BgL_nodez00_bglt) BgL_auxz00_3076), BUNSPEC);
							}
							return
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1471))->BgL_bodyz00),
								BgL_1zd2expza2z70_1472);
						}
					else
						{	/* Reduce/1occ.scm 245 */
							return
								BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00
								(BgL_nodez00_1471, BgL_1zd2expza2z70_1472);
						}
				}
			}
		}
	}



/* &node-1occ!-let-fun1845 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1845za2zzreduce_1occz00(obj_t
		BgL_envz00_2601, BgL_letzd2funzd2_bglt BgL_nodez00_2602,
		obj_t BgL_1zd2expza2z70_2603)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 220 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1445;
				obj_t BgL_1zd2expza2z70_1446;

				BgL_nodez00_1445 = BgL_nodez00_2602;
				BgL_1zd2expza2z70_1446 = BgL_1zd2expza2z70_2603;
				{	/* Reduce/1occ.scm 222 */
					obj_t BgL_resetz00_1450;

					BgL_resetz00_1450 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1445))->BgL_bodyz00),
						BgL_1zd2expza2z70_1446);
					{	/* Reduce/1occ.scm 224 */
						obj_t BgL_nbodyz00_1451;

						{	/* Reduce/1occ.scm 224 */
							int BgL_auxz00_3087;

							BgL_auxz00_3087 = (int) (((long) 1));
							BgL_nbodyz00_1451 = BGL_MVALUES_VAL(BgL_auxz00_3087);
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1445))->BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1451)),
							BUNSPEC);
						{
							obj_t BgL_localsz00_1454;
							obj_t BgL_resetz00_1455;

							BgL_localsz00_1454 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1445))->
								BgL_localsz00);
							BgL_resetz00_1455 = BgL_resetz00_1450;
						BgL_zc3anonymousza31949ze3z83_1456:
							if (NULLP(BgL_localsz00_1454))
								{	/* Reduce/1occ.scm 227 */
									{	/* Reduce/1occ.scm 228 */
										int BgL_res2079z00_2460;

										{	/* Reduce/1occ.scm 228 */
											int BgL_auxz00_3094;

											BgL_auxz00_3094 = (int) (((long) 2));
											BgL_res2079z00_2460 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3094);
										} BgL_res2079z00_2460;
									}
									{	/* Reduce/1occ.scm 228 */
										obj_t BgL_oz00_2462;

										BgL_oz00_2462 = ((obj_t) BgL_nodez00_1445);
										{	/* Reduce/1occ.scm 228 */
											int BgL_auxz00_3098;

											BgL_auxz00_3098 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3098, BgL_oz00_2462);
									}}
									return BgL_resetz00_1455;
								}
							else
								{	/* Reduce/1occ.scm 229 */
									obj_t BgL_localz00_1460;

									BgL_localz00_1460 = CAR(BgL_localsz00_1454);
									{	/* Reduce/1occ.scm 229 */
										BgL_valuez00_bglt BgL_sfunz00_1461;

										BgL_sfunz00_1461 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1460))))->
											BgL_valuez00);
										{	/* Reduce/1occ.scm 230 */

											{	/* Reduce/1occ.scm 231 */
												obj_t BgL_resetz72z72_1462;

												{	/* Reduce/1occ.scm 232 */
													obj_t BgL_arg1953z00_1467;

													BgL_arg1953z00_1467 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_sfunz00_1461)))->
														BgL_bodyz00);
													BgL_resetz72z72_1462 =
														BGl_nodezd21occz12zc0zzreduce_1occz00((
															(BgL_nodez00_bglt) BgL_arg1953z00_1467), BNIL);
												}
												{	/* Reduce/1occ.scm 233 */
													obj_t BgL_nbodyz00_1463;

													{	/* Reduce/1occ.scm 233 */
														int BgL_auxz00_3109;

														BgL_auxz00_3109 = (int) (((long) 1));
														BgL_nbodyz00_1463 =
															BGL_MVALUES_VAL(BgL_auxz00_3109);
													}
													{	/* Reduce/1occ.scm 233 */
														BgL_sfunz00_bglt BgL_oz00_2470;

														BgL_oz00_2470 =
															((BgL_sfunz00_bglt) BgL_sfunz00_1461);
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_2470))->
																BgL_bodyz00) =
															((obj_t) BgL_nbodyz00_1463), BUNSPEC);
													}
													{	/* Reduce/1occ.scm 234 */
														obj_t BgL_arg1951z00_1464;
														obj_t BgL_arg1952z00_1465;

														BgL_arg1951z00_1464 = CDR(BgL_localsz00_1454);
														if (CBOOL(BgL_resetz00_1455))
															{	/* Reduce/1occ.scm 234 */
																BgL_arg1952z00_1465 = BgL_resetz00_1455;
															}
														else
															{	/* Reduce/1occ.scm 234 */
																BgL_arg1952z00_1465 = BgL_resetz72z72_1462;
															}
														{
															obj_t BgL_resetz00_3118;
															obj_t BgL_localsz00_3117;

															BgL_localsz00_3117 = BgL_arg1951z00_1464;
															BgL_resetz00_3118 = BgL_arg1952z00_1465;
															BgL_resetz00_1455 = BgL_resetz00_3118;
															BgL_localsz00_1454 = BgL_localsz00_3117;
															goto BgL_zc3anonymousza31949ze3z83_1456;
														}
													}
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-select1843 */
	obj_t BGl_z62nodezd21occz12zd2select1843z70zzreduce_1occz00(obj_t
		BgL_envz00_2604, BgL_selectz00_bglt BgL_nodez00_2605,
		obj_t BgL_1zd2expza2z70_2606)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 201 */
			{
				BgL_selectz00_bglt BgL_nodez00_1419;
				obj_t BgL_1zd2expza2z70_1420;

				BgL_nodez00_1419 = BgL_nodez00_2605;
				BgL_1zd2expza2z70_1420 = BgL_1zd2expza2z70_2606;
				{	/* Reduce/1occ.scm 203 */
					obj_t BgL_resetz00_1424;

					BgL_resetz00_1424 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1419))->BgL_testz00),
						BgL_1zd2expza2z70_1420);
					{	/* Reduce/1occ.scm 205 */
						obj_t BgL_ntestz00_1425;

						{	/* Reduce/1occ.scm 205 */
							int BgL_auxz00_3122;

							BgL_auxz00_3122 = (int) (((long) 1));
							BgL_ntestz00_1425 = BGL_MVALUES_VAL(BgL_auxz00_3122);
						}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1419))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1425)),
							BUNSPEC);
						{
							obj_t BgL_clausesz00_1429;
							obj_t BgL_resetz00_1430;

							BgL_clausesz00_1429 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1419))->BgL_clausesz00);
							BgL_resetz00_1430 = BgL_resetz00_1424;
						BgL_zc3anonymousza31942ze3z83_1431:
							if (NULLP(BgL_clausesz00_1429))
								{	/* Reduce/1occ.scm 209 */
									{	/* Reduce/1occ.scm 210 */
										int BgL_res2077z00_2447;

										{	/* Reduce/1occ.scm 210 */
											int BgL_auxz00_3129;

											BgL_auxz00_3129 = (int) (((long) 2));
											BgL_res2077z00_2447 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3129);
										} BgL_res2077z00_2447;
									}
									{	/* Reduce/1occ.scm 210 */
										obj_t BgL_oz00_2449;

										BgL_oz00_2449 = ((obj_t) BgL_nodez00_1419);
										{	/* Reduce/1occ.scm 210 */
											int BgL_auxz00_3133;

											BgL_auxz00_3133 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3133, BgL_oz00_2449);
									}}
									return BgL_resetz00_1430;
								}
							else
								{	/* Reduce/1occ.scm 211 */
									obj_t BgL_clausez00_1435;

									BgL_clausez00_1435 = CAR(BgL_clausesz00_1429);
									{	/* Reduce/1occ.scm 212 */
										obj_t BgL_resetz72z72_1436;

										{	/* Reduce/1occ.scm 213 */
											obj_t BgL_arg1946z00_1441;

											BgL_arg1946z00_1441 = CDR(BgL_clausez00_1435);
											BgL_resetz72z72_1436 =
												BGl_nodezd21occz12zc0zzreduce_1occz00(
												((BgL_nodez00_bglt) BgL_arg1946z00_1441),
												BgL_1zd2expza2z70_1420);
										}
										{	/* Reduce/1occ.scm 214 */
											obj_t BgL_nclausez00_1437;

											{	/* Reduce/1occ.scm 214 */
												int BgL_auxz00_3140;

												BgL_auxz00_3140 = (int) (((long) 1));
												BgL_nclausez00_1437 = BGL_MVALUES_VAL(BgL_auxz00_3140);
											}
											SET_CDR(BgL_clausez00_1435, BgL_nclausez00_1437);
											{	/* Reduce/1occ.scm 215 */
												obj_t BgL_arg1944z00_1438;
												obj_t BgL_arg1945z00_1439;

												BgL_arg1944z00_1438 = CDR(BgL_clausesz00_1429);
												if (CBOOL(BgL_resetz00_1430))
													{	/* Reduce/1occ.scm 215 */
														BgL_arg1945z00_1439 = BgL_resetz00_1430;
													}
												else
													{	/* Reduce/1occ.scm 215 */
														BgL_arg1945z00_1439 = BgL_resetz72z72_1436;
													}
												{
													obj_t BgL_resetz00_3148;
													obj_t BgL_clausesz00_3147;

													BgL_clausesz00_3147 = BgL_arg1944z00_1438;
													BgL_resetz00_3148 = BgL_arg1945z00_1439;
													BgL_resetz00_1430 = BgL_resetz00_3148;
													BgL_clausesz00_1429 = BgL_clausesz00_3147;
													goto BgL_zc3anonymousza31942ze3z83_1431;
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-fail1841 */
	obj_t BGl_z62nodezd21occz12zd2fail1841z70zzreduce_1occz00(obj_t
		BgL_envz00_2607, BgL_failz00_bglt BgL_nodez00_2608,
		obj_t BgL_1zd2expza2z70_2609)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 183 */
			{
				BgL_failz00_bglt BgL_nodez00_1398;
				obj_t BgL_1zd2expza2z70_1399;

				BgL_nodez00_1398 = BgL_nodez00_2608;
				BgL_1zd2expza2z70_1399 = BgL_1zd2expza2z70_2609;
				{	/* Reduce/1occ.scm 185 */
					obj_t BgL_resetz00_1403;

					BgL_resetz00_1403 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->BgL_procz00),
						BgL_1zd2expza2z70_1399);
					{	/* Reduce/1occ.scm 187 */
						obj_t BgL_nprocz00_1404;

						{	/* Reduce/1occ.scm 187 */
							int BgL_auxz00_3152;

							BgL_auxz00_3152 = (int) (((long) 1));
							BgL_nprocz00_1404 = BGL_MVALUES_VAL(BgL_auxz00_3152);
						}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->BgL_procz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_1404)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 188 */
							obj_t BgL_1zd2expza2z72z02_1405;

							if (CBOOL(BgL_resetz00_1403))
								{	/* Reduce/1occ.scm 188 */
									BgL_1zd2expza2z72z02_1405 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 188 */
									BgL_1zd2expza2z72z02_1405 = BgL_1zd2expza2z70_1399;
								}
							{	/* Reduce/1occ.scm 189 */
								obj_t BgL_resetz72z72_1406;

								BgL_resetz72z72_1406 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->BgL_msgz00),
									BgL_1zd2expza2z72z02_1405);
								{	/* Reduce/1occ.scm 191 */
									obj_t BgL_nmsgz00_1407;

									{	/* Reduce/1occ.scm 191 */
										int BgL_auxz00_3161;

										BgL_auxz00_3161 = (int) (((long) 1));
										BgL_nmsgz00_1407 = BGL_MVALUES_VAL(BgL_auxz00_3161);
									}
									((((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->BgL_msgz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_1407)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 192 */
										obj_t BgL_1zd2expza2z72z72z70_1408;

										if (CBOOL(BgL_resetz72z72_1406))
											{	/* Reduce/1occ.scm 192 */
												BgL_1zd2expza2z72z72z70_1408 = BNIL;
											}
										else
											{	/* Reduce/1occ.scm 192 */
												BgL_1zd2expza2z72z72z70_1408 =
													BgL_1zd2expza2z72z02_1405;
											}
										{	/* Reduce/1occ.scm 193 */
											obj_t BgL_resetz72z72z00_1409;

											BgL_resetz72z72z00_1409 =
												BGl_nodezd21occz12zc0zzreduce_1occz00(
												(((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->
													BgL_objz00), BgL_1zd2expza2z72z72z70_1408);
											{	/* Reduce/1occ.scm 195 */
												obj_t BgL_nobjz00_1410;

												{	/* Reduce/1occ.scm 195 */
													int BgL_auxz00_3170;

													BgL_auxz00_3170 = (int) (((long) 1));
													BgL_nobjz00_1410 = BGL_MVALUES_VAL(BgL_auxz00_3170);
												}
												((((BgL_failz00_bglt) CREF(BgL_nodez00_1398))->
														BgL_objz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_nobjz00_1410)), BUNSPEC);
												{	/* Reduce/1occ.scm 196 */
													obj_t BgL_val0_1786z00_1411;

													if (CBOOL(BgL_resetz00_1403))
														{	/* Reduce/1occ.scm 196 */
															BgL_val0_1786z00_1411 = BgL_resetz00_1403;
														}
													else
														{	/* Reduce/1occ.scm 196 */
															if (CBOOL(BgL_resetz72z72_1406))
																{	/* Reduce/1occ.scm 196 */
																	BgL_val0_1786z00_1411 = BgL_resetz72z72_1406;
																}
															else
																{	/* Reduce/1occ.scm 196 */
																	BgL_val0_1786z00_1411 =
																		BgL_resetz72z72z00_1409;
																}
														}
													{	/* Reduce/1occ.scm 196 */
														int BgL_res2075z00_2440;

														{	/* Reduce/1occ.scm 196 */
															int BgL_auxz00_3179;

															BgL_auxz00_3179 = (int) (((long) 2));
															BgL_res2075z00_2440 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_3179);
														} BgL_res2075z00_2440;
													}
													{	/* Reduce/1occ.scm 196 */
														obj_t BgL_oz00_2442;

														BgL_oz00_2442 = ((obj_t) BgL_nodez00_1398);
														{	/* Reduce/1occ.scm 196 */
															int BgL_auxz00_3183;

															BgL_auxz00_3183 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_3183,
																BgL_oz00_2442);
													}}
													return BgL_val0_1786z00_1411;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-condition1839 */
	obj_t BGl_z62nodezd21occz12zd2condition1839z70zzreduce_1occz00(obj_t
		BgL_envz00_2610, BgL_conditionalz00_bglt BgL_nodez00_2611,
		obj_t BgL_1zd2expza2z70_2612)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 166 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1378;
				obj_t BgL_1zd2expza2z70_1379;

				BgL_nodez00_1378 = BgL_nodez00_2611;
				BgL_1zd2expza2z70_1379 = BgL_1zd2expza2z70_2612;
				{	/* Reduce/1occ.scm 168 */
					obj_t BgL_resetz00_1383;

					BgL_resetz00_1383 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->BgL_testz00),
						BgL_1zd2expza2z70_1379);
					{	/* Reduce/1occ.scm 170 */
						obj_t BgL_ntestz00_1384;

						{	/* Reduce/1occ.scm 170 */
							int BgL_auxz00_3188;

							BgL_auxz00_3188 = (int) (((long) 1));
							BgL_ntestz00_1384 = BGL_MVALUES_VAL(BgL_auxz00_3188);
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1384)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 171 */
							obj_t BgL_1zd2expza2z72z02_1385;

							if (CBOOL(BgL_resetz00_1383))
								{	/* Reduce/1occ.scm 171 */
									BgL_1zd2expza2z72z02_1385 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 171 */
									BgL_1zd2expza2z72z02_1385 = BgL_1zd2expza2z70_1379;
								}
							{	/* Reduce/1occ.scm 172 */
								obj_t BgL_resetz72z72_1386;

								BgL_resetz72z72_1386 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->
										BgL_truez00), BgL_1zd2expza2z72z02_1385);
								{	/* Reduce/1occ.scm 174 */
									obj_t BgL_ntruez00_1387;

									{	/* Reduce/1occ.scm 174 */
										int BgL_auxz00_3197;

										BgL_auxz00_3197 = (int) (((long) 1));
										BgL_ntruez00_1387 = BGL_MVALUES_VAL(BgL_auxz00_3197);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->
											BgL_truez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_1387)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 175 */
										obj_t BgL_resetz72z72z00_1388;

										BgL_resetz72z72z00_1388 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->
												BgL_falsez00), BgL_1zd2expza2z72z02_1385);
										{	/* Reduce/1occ.scm 177 */
											obj_t BgL_nfalsez00_1389;

											{	/* Reduce/1occ.scm 177 */
												int BgL_auxz00_3204;

												BgL_auxz00_3204 = (int) (((long) 1));
												BgL_nfalsez00_1389 = BGL_MVALUES_VAL(BgL_auxz00_3204);
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1378))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nfalsez00_1389)), BUNSPEC);
											{	/* Reduce/1occ.scm 178 */
												obj_t BgL_val0_1784z00_1390;

												if (CBOOL(BgL_resetz00_1383))
													{	/* Reduce/1occ.scm 178 */
														BgL_val0_1784z00_1390 = BgL_resetz00_1383;
													}
												else
													{	/* Reduce/1occ.scm 178 */
														if (CBOOL(BgL_resetz72z72_1386))
															{	/* Reduce/1occ.scm 178 */
																BgL_val0_1784z00_1390 = BgL_resetz72z72_1386;
															}
														else
															{	/* Reduce/1occ.scm 178 */
																BgL_val0_1784z00_1390 = BgL_resetz72z72z00_1388;
															}
													}
												{	/* Reduce/1occ.scm 178 */
													int BgL_res2074z00_2433;

													{	/* Reduce/1occ.scm 178 */
														int BgL_auxz00_3213;

														BgL_auxz00_3213 = (int) (((long) 2));
														BgL_res2074z00_2433 =
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_3213);
													} BgL_res2074z00_2433;
												}
												{	/* Reduce/1occ.scm 178 */
													obj_t BgL_oz00_2435;

													BgL_oz00_2435 = ((obj_t) BgL_nodez00_1378);
													{	/* Reduce/1occ.scm 178 */
														int BgL_auxz00_3217;

														BgL_auxz00_3217 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_3217, BgL_oz00_2435);
												}}
												return BgL_val0_1784z00_1390;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-setq1837 */
	obj_t BGl_z62nodezd21occz12zd2setq1837z70zzreduce_1occz00(obj_t
		BgL_envz00_2613, BgL_setqz00_bglt BgL_nodez00_2614,
		obj_t BgL_1zd2expza2z70_2615)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 156 */
			{
				BgL_setqz00_bglt BgL_nodez00_1367;
				obj_t BgL_1zd2expza2z70_1368;

				BgL_nodez00_1367 = BgL_nodez00_2614;
				BgL_1zd2expza2z70_1368 = BgL_1zd2expza2z70_2615;
				{	/* Reduce/1occ.scm 158 */
					obj_t BgL_resetz00_1372;

					BgL_resetz00_1372 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1367))->BgL_valuez00),
						BgL_1zd2expza2z70_1368);
					{	/* Reduce/1occ.scm 160 */
						obj_t BgL_nvaluez00_1373;

						{	/* Reduce/1occ.scm 160 */
							int BgL_auxz00_3222;

							BgL_auxz00_3222 = (int) (((long) 1));
							BgL_nvaluez00_1373 = BGL_MVALUES_VAL(BgL_auxz00_3222);
						}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1367))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1373)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 161 */
							int BgL_res2073z00_2426;

							{	/* Reduce/1occ.scm 161 */
								int BgL_auxz00_3227;

								BgL_auxz00_3227 = (int) (((long) 2));
								BgL_res2073z00_2426 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3227);
							} BgL_res2073z00_2426;
						}
						{	/* Reduce/1occ.scm 161 */
							obj_t BgL_oz00_2428;

							BgL_oz00_2428 = ((obj_t) BgL_nodez00_1367);
							{	/* Reduce/1occ.scm 161 */
								int BgL_auxz00_3231;

								BgL_auxz00_3231 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_3231, BgL_oz00_2428);
						}}
						return BgL_resetz00_1372;
					}
				}
			}
		}
	}



/* &node-1occ!-cast1835 */
	obj_t BGl_z62nodezd21occz12zd2cast1835z70zzreduce_1occz00(obj_t
		BgL_envz00_2616, BgL_castz00_bglt BgL_nodez00_2617,
		obj_t BgL_1zd2expza2z70_2618)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 146 */
			{
				BgL_castz00_bglt BgL_nodez00_1356;
				obj_t BgL_1zd2expza2z70_1357;

				BgL_nodez00_1356 = BgL_nodez00_2617;
				BgL_1zd2expza2z70_1357 = BgL_1zd2expza2z70_2618;
				{	/* Reduce/1occ.scm 148 */
					obj_t BgL_resetz00_1361;

					BgL_resetz00_1361 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1356))->BgL_argz00),
						BgL_1zd2expza2z70_1357);
					{	/* Reduce/1occ.scm 150 */
						obj_t BgL_nargz00_1362;

						{	/* Reduce/1occ.scm 150 */
							int BgL_auxz00_3236;

							BgL_auxz00_3236 = (int) (((long) 1));
							BgL_nargz00_1362 = BGL_MVALUES_VAL(BgL_auxz00_3236);
						}
						((((BgL_castz00_bglt) CREF(BgL_nodez00_1356))->BgL_argz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1362)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 151 */
							int BgL_res2072z00_2421;

							{	/* Reduce/1occ.scm 151 */
								int BgL_auxz00_3241;

								BgL_auxz00_3241 = (int) (((long) 2));
								BgL_res2072z00_2421 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3241);
							} BgL_res2072z00_2421;
						}
						{	/* Reduce/1occ.scm 151 */
							obj_t BgL_oz00_2423;

							BgL_oz00_2423 = ((obj_t) BgL_nodez00_1356);
							{	/* Reduce/1occ.scm 151 */
								int BgL_auxz00_3245;

								BgL_auxz00_3245 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_3245, BgL_oz00_2423);
						}}
						return BgL_resetz00_1361;
					}
				}
			}
		}
	}



/* &node-1occ!-private1833 */
	obj_t BGl_z62nodezd21occz12zd2private1833z70zzreduce_1occz00(obj_t
		BgL_envz00_2619, BgL_privatez00_bglt BgL_nodez00_2620,
		obj_t BgL_1zd2expza2z70_2621)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 139 */
			{
				BgL_privatez00_bglt BgL_nodez00_1347;
				obj_t BgL_1zd2expza2z70_1348;

				BgL_nodez00_1347 = BgL_nodez00_2620;
				BgL_1zd2expza2z70_1348 = BgL_1zd2expza2z70_2621;
				{	/* Reduce/1occ.scm 141 */
					obj_t BgL_val0_1778z00_1352;

					{	/* Reduce/1occ.scm 141 */
						obj_t BgL_arg1932z00_1354;

						BgL_arg1932z00_1354 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1347)))->BgL_exprza2za2);
						BgL_val0_1778z00_1352 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1932z00_1354,
							BgL_1zd2expza2z70_1348);
					}
					{	/* Reduce/1occ.scm 141 */
						int BgL_res2071z00_2416;

						{	/* Reduce/1occ.scm 141 */
							int BgL_auxz00_3251;

							BgL_auxz00_3251 = (int) (((long) 2));
							BgL_res2071z00_2416 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3251);
						} BgL_res2071z00_2416;
					}
					{	/* Reduce/1occ.scm 141 */
						obj_t BgL_oz00_2418;

						BgL_oz00_2418 = ((obj_t) BgL_nodez00_1347);
						{	/* Reduce/1occ.scm 141 */
							int BgL_auxz00_3255;

							BgL_auxz00_3255 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3255, BgL_oz00_2418);
					}}
					return BgL_val0_1778z00_1352;
				}
			}
		}
	}



/* &node-1occ!-extern1831 */
	obj_t BGl_z62nodezd21occz12zd2extern1831z70zzreduce_1occz00(obj_t
		BgL_envz00_2622, BgL_externz00_bglt BgL_nodez00_2623,
		obj_t BgL_1zd2expza2z70_2624)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 133 */
			{
				BgL_externz00_bglt BgL_nodez00_1340;
				obj_t BgL_1zd2expza2z70_1341;

				{	/* Reduce/1occ.scm 134 */
					bool_t BgL_auxz00_3258;

					BgL_nodez00_1340 = BgL_nodez00_2623;
					BgL_1zd2expza2z70_1341 = BgL_1zd2expza2z70_2624;
					{	/* Reduce/1occ.scm 134 */
						bool_t BgL_val0_1776z00_2409;

						BgL_val0_1776z00_2409 =
							BGl_sidezd2effectzf3z21zzeffect_effectz00(
							((BgL_nodez00_bglt) BgL_nodez00_1340));
						{	/* Reduce/1occ.scm 134 */
							int BgL_res2070z00_2412;

							{	/* Reduce/1occ.scm 134 */
								int BgL_auxz00_3261;

								BgL_auxz00_3261 = (int) (((long) 2));
								BgL_res2070z00_2412 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3261);
							} BgL_res2070z00_2412;
						}
						{	/* Reduce/1occ.scm 134 */
							obj_t BgL_oz00_2414;

							BgL_oz00_2414 = ((obj_t) BgL_nodez00_1340);
							{	/* Reduce/1occ.scm 134 */
								int BgL_auxz00_3265;

								BgL_auxz00_3265 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_3265, BgL_oz00_2414);
						}}
						BgL_auxz00_3258 = BgL_val0_1776z00_2409;
					}
					return BBOOL(BgL_auxz00_3258);
				}
			}
		}
	}



/* &node-1occ!-funcall1829 */
	obj_t BGl_z62nodezd21occz12zd2funcall1829z70zzreduce_1occz00(obj_t
		BgL_envz00_2625, BgL_funcallz00_bglt BgL_nodez00_2626,
		obj_t BgL_1zd2expza2z70_2627)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 122 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1330;
				obj_t BgL_1zd2expza2z70_1331;

				BgL_nodez00_1330 = BgL_nodez00_2626;
				BgL_1zd2expza2z70_1331 = BgL_1zd2expza2z70_2627;
				{	/* Reduce/1occ.scm 124 */
					obj_t BgL_resetz72z72_1335;

					BgL_resetz72z72_1335 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1330))->BgL_argsz00),
						BgL_1zd2expza2z70_1331);
					{	/* Reduce/1occ.scm 125 */
						int BgL_res2069z00_2406;

						{	/* Reduce/1occ.scm 125 */
							int BgL_auxz00_3271;

							BgL_auxz00_3271 = (int) (((long) 2));
							BgL_res2069z00_2406 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3271);
						} BgL_res2069z00_2406;
					}
					{	/* Reduce/1occ.scm 125 */
						obj_t BgL_oz00_2408;

						BgL_oz00_2408 = ((obj_t) BgL_nodez00_1330);
						{	/* Reduce/1occ.scm 125 */
							int BgL_auxz00_3275;

							BgL_auxz00_3275 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3275, BgL_oz00_2408);
					}}
					return BgL_resetz72z72_1335;
				}
			}
		}
	}



/* &node-1occ!-app-ly1827 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1827za2zzreduce_1occz00(obj_t
		BgL_envz00_2628, BgL_appzd2lyzd2_bglt BgL_nodez00_2629,
		obj_t BgL_1zd2expza2z70_2630)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 109 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1314;
				obj_t BgL_1zd2expza2z70_1315;

				BgL_nodez00_1314 = BgL_nodez00_2629;
				BgL_1zd2expza2z70_1315 = BgL_1zd2expza2z70_2630;
				{	/* Reduce/1occ.scm 111 */
					obj_t BgL_resetz00_1319;

					BgL_resetz00_1319 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1314))->BgL_funz00),
						BgL_1zd2expza2z70_1315);
					{	/* Reduce/1occ.scm 113 */
						obj_t BgL_nfunz00_1320;

						{	/* Reduce/1occ.scm 113 */
							int BgL_auxz00_3280;

							BgL_auxz00_3280 = (int) (((long) 1));
							BgL_nfunz00_1320 = BGL_MVALUES_VAL(BgL_auxz00_3280);
						}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1314))->BgL_funz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_1320)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 114 */
							obj_t BgL_resetz72z72_1321;

							{	/* Reduce/1occ.scm 115 */
								BgL_nodez00_bglt BgL_arg1927z00_1326;
								obj_t BgL_arg1928z00_1327;

								BgL_arg1927z00_1326 =
									(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1314))->BgL_argz00);
								if (CBOOL(BgL_resetz00_1319))
									{	/* Reduce/1occ.scm 115 */
										BgL_arg1928z00_1327 = BNIL;
									}
								else
									{	/* Reduce/1occ.scm 115 */
										BgL_arg1928z00_1327 = BgL_1zd2expza2z70_1315;
									}
								BgL_resetz72z72_1321 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1927z00_1326,
									BgL_arg1928z00_1327);
							}
							{	/* Reduce/1occ.scm 116 */
								obj_t BgL_nargz00_1322;

								{	/* Reduce/1occ.scm 116 */
									int BgL_auxz00_3289;

									BgL_auxz00_3289 = (int) (((long) 1));
									BgL_nargz00_1322 = BGL_MVALUES_VAL(BgL_auxz00_3289);
								}
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1314))->BgL_argz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1322)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 117 */
									obj_t BgL_val0_1772z00_1323;

									if (CBOOL(BgL_resetz00_1319))
										{	/* Reduce/1occ.scm 117 */
											BgL_val0_1772z00_1323 = BgL_resetz00_1319;
										}
									else
										{	/* Reduce/1occ.scm 117 */
											BgL_val0_1772z00_1323 = BgL_resetz72z72_1321;
										}
									{	/* Reduce/1occ.scm 117 */
										int BgL_res2068z00_2402;

										{	/* Reduce/1occ.scm 117 */
											int BgL_auxz00_3296;

											BgL_auxz00_3296 = (int) (((long) 2));
											BgL_res2068z00_2402 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3296);
										} BgL_res2068z00_2402;
									}
									{	/* Reduce/1occ.scm 117 */
										obj_t BgL_oz00_2404;

										BgL_oz00_2404 = ((obj_t) BgL_nodez00_1314);
										{	/* Reduce/1occ.scm 117 */
											int BgL_auxz00_3300;

											BgL_auxz00_3300 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3300, BgL_oz00_2404);
									}}
									return BgL_val0_1772z00_1323;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-sequence1825 */
	obj_t BGl_z62nodezd21occz12zd2sequence1825z70zzreduce_1occz00(obj_t
		BgL_envz00_2631, BgL_sequencez00_bglt BgL_nodez00_2632,
		obj_t BgL_1zd2expza2z70_2633)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 102 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1305;
				obj_t BgL_1zd2expza2z70_1306;

				BgL_nodez00_1305 = BgL_nodez00_2632;
				BgL_1zd2expza2z70_1306 = BgL_1zd2expza2z70_2633;
				{	/* Reduce/1occ.scm 104 */
					obj_t BgL_val0_1770z00_1310;

					BgL_val0_1770z00_1310 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1305))->BgL_nodesz00),
						BgL_1zd2expza2z70_1306);
					{	/* Reduce/1occ.scm 104 */
						int BgL_res2067z00_2396;

						{	/* Reduce/1occ.scm 104 */
							int BgL_auxz00_3305;

							BgL_auxz00_3305 = (int) (((long) 2));
							BgL_res2067z00_2396 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3305);
						} BgL_res2067z00_2396;
					}
					{	/* Reduce/1occ.scm 104 */
						obj_t BgL_oz00_2398;

						BgL_oz00_2398 = ((obj_t) BgL_nodez00_1305);
						{	/* Reduce/1occ.scm 104 */
							int BgL_auxz00_3309;

							BgL_auxz00_3309 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3309, BgL_oz00_2398);
					}}
					return BgL_val0_1770z00_1310;
				}
			}
		}
	}



/* &node-1occ!-closure1822 */
	obj_t BGl_z62nodezd21occz12zd2closure1822z70zzreduce_1occz00(obj_t
		BgL_envz00_2634, BgL_closurez00_bglt BgL_nodez00_2635,
		obj_t BgL_1zd2expza2z70_2636)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 96 */
			{
				BgL_closurez00_bglt BgL_nodez00_1298;
				obj_t BgL_1zd2expza2z70_1299;

				{	/* Reduce/1occ.scm 97 */
					bool_t BgL_auxz00_3312;

					BgL_nodez00_1298 = BgL_nodez00_2635;
					BgL_1zd2expza2z70_1299 = BgL_1zd2expza2z70_2636;
					{	/* Reduce/1occ.scm 97 */
						int BgL_res2066z00_2392;

						{	/* Reduce/1occ.scm 97 */
							int BgL_auxz00_3313;

							BgL_auxz00_3313 = (int) (((long) 2));
							BgL_res2066z00_2392 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3313);
						} BgL_res2066z00_2392;
					}
					{	/* Reduce/1occ.scm 97 */
						obj_t BgL_oz00_2394;

						BgL_oz00_2394 = ((obj_t) BgL_nodez00_1298);
						{	/* Reduce/1occ.scm 97 */
							int BgL_auxz00_3317;

							BgL_auxz00_3317 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3317, BgL_oz00_2394);
					}}
					BgL_auxz00_3312 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3312);
				}
			}
		}
	}



/* &node-1occ!-var1820 */
	obj_t BGl_z62nodezd21occz12zd2var1820z70zzreduce_1occz00(obj_t
		BgL_envz00_2637, BgL_varz00_bglt BgL_nodez00_2638,
		obj_t BgL_1zd2expza2z70_2639)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 83 */
			{
				BgL_varz00_bglt BgL_nodez00_1285;
				obj_t BgL_1zd2expza2z70_1286;

				BgL_nodez00_1285 = BgL_nodez00_2638;
				BgL_1zd2expza2z70_1286 = BgL_1zd2expza2z70_2639;
				{	/* Reduce/1occ.scm 84 */
					BgL_variablez00_bglt BgL_vz00_1289;

					BgL_vz00_1289 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1285))->BgL_variablez00);
					{	/* Reduce/1occ.scm 85 */
						obj_t BgL_falphaz00_1290;

						BgL_falphaz00_1290 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_vz00_1289), BgL_1zd2expza2z70_1286);
						if (PAIRP(BgL_falphaz00_1290))
							{	/* Reduce/1occ.scm 86 */
								((((BgL_variablez00_bglt) CREF(BgL_vz00_1289))->
										BgL_occurrencez00) =
									((long) ((((BgL_variablez00_bglt) CREF(BgL_vz00_1289))->
												BgL_occurrencez00) - ((long) 1))), BUNSPEC);
								BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
									(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 +
									((long) 1));
								{	/* Reduce/1occ.scm 90 */
									obj_t BgL_arg1925z00_1294;

									BgL_arg1925z00_1294 = CDR(BgL_falphaz00_1290);
									return
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1925z00_1294),
										BgL_1zd2expza2z70_1286);
								}
							}
						else
							{	/* Reduce/1occ.scm 86 */
								{	/* Reduce/1occ.scm 91 */
									int BgL_res2065z00_2386;

									{	/* Reduce/1occ.scm 91 */
										int BgL_auxz00_3333;

										BgL_auxz00_3333 = (int) (((long) 2));
										BgL_res2065z00_2386 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_3333);
									} BgL_res2065z00_2386;
								}
								{	/* Reduce/1occ.scm 91 */
									obj_t BgL_oz00_2388;

									BgL_oz00_2388 = ((obj_t) BgL_nodez00_1285);
									{	/* Reduce/1occ.scm 91 */
										int BgL_auxz00_3337;

										BgL_auxz00_3337 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3337, BgL_oz00_2388);
								}}
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &node-1occ!-kwote1817 */
	obj_t BGl_z62nodezd21occz12zd2kwote1817z70zzreduce_1occz00(obj_t
		BgL_envz00_2640, BgL_kwotez00_bglt BgL_nodez00_2641,
		obj_t BgL_1zd2expza2z70_2642)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 77 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1278;
				obj_t BgL_1zd2expza2z70_1279;

				{	/* Reduce/1occ.scm 78 */
					bool_t BgL_auxz00_3340;

					BgL_nodez00_1278 = BgL_nodez00_2641;
					BgL_1zd2expza2z70_1279 = BgL_1zd2expza2z70_2642;
					{	/* Reduce/1occ.scm 78 */
						int BgL_res2059z00_2364;

						{	/* Reduce/1occ.scm 78 */
							int BgL_auxz00_3341;

							BgL_auxz00_3341 = (int) (((long) 2));
							BgL_res2059z00_2364 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3341);
						} BgL_res2059z00_2364;
					}
					{	/* Reduce/1occ.scm 78 */
						obj_t BgL_oz00_2366;

						BgL_oz00_2366 = ((obj_t) BgL_nodez00_1278);
						{	/* Reduce/1occ.scm 78 */
							int BgL_auxz00_3345;

							BgL_auxz00_3345 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3345, BgL_oz00_2366);
					}}
					BgL_auxz00_3340 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3340);
				}
			}
		}
	}



/* &node-1occ!-atom1815 */
	obj_t BGl_z62nodezd21occz12zd2atom1815z70zzreduce_1occz00(obj_t
		BgL_envz00_2643, BgL_atomz00_bglt BgL_nodez00_2644,
		obj_t BgL_1zd2expza2z70_2645)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 71 */
			{
				BgL_atomz00_bglt BgL_nodez00_1271;
				obj_t BgL_1zd2expza2z70_1272;

				{	/* Reduce/1occ.scm 72 */
					bool_t BgL_auxz00_3349;

					BgL_nodez00_1271 = BgL_nodez00_2644;
					BgL_1zd2expza2z70_1272 = BgL_1zd2expza2z70_2645;
					{	/* Reduce/1occ.scm 72 */
						int BgL_res2058z00_2358;

						{	/* Reduce/1occ.scm 72 */
							int BgL_auxz00_3350;

							BgL_auxz00_3350 = (int) (((long) 2));
							BgL_res2058z00_2358 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3350);
						} BgL_res2058z00_2358;
					}
					{	/* Reduce/1occ.scm 72 */
						obj_t BgL_oz00_2360;

						BgL_oz00_2360 = ((obj_t) BgL_nodez00_1271);
						{	/* Reduce/1occ.scm 72 */
							int BgL_auxz00_3354;

							BgL_auxz00_3354 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3354, BgL_oz00_2360);
					}}
					BgL_auxz00_3349 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3349);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string2124z00zzreduce_1occz00));
		}
	}

#ifdef __cplusplus
}
#endif
