/*===========================================================================*/
/*   (SawJvm/compile.scm)                                                    */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/compile.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	extern obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t);
	static obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00();
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00();
	extern obj_t BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2catchza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
	static obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	static bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 = BUNSPEC;
	extern obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	extern obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
	static obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t, BgL_valuez00_bglt);
	extern obj_t BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00;
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
	extern obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[62];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_saw_jvmzd2compilezd2envz00zzsaw_jvm_compilez00,
		BgL_bgl_za762saw_jvmza7d2com2831z00,
		BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2825z00zzsaw_jvm_compilez00,
		BgL_bgl_string2825za700za7za7s2832za7, "emit-cnst", 9);
	      DEFINE_STRING(BGl_string2826z00zzsaw_jvm_compilez00,
		BgL_bgl_string2826za700za7za7s2833za7, "Unknown cnst class", 18);
	      DEFINE_STRING(BGl_string2827z00zzsaw_jvm_compilez00,
		BgL_bgl_string2827za700za7za7s2834za7, "saw_jvm_compile", 15);
	      DEFINE_STRING(BGl_string2828z00zzsaw_jvm_compilez00,
		BgL_bgl_string2828za700za7za7s2835za7,
		"dlopen (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) anewarray newarray float int short char byte boolean stvector sgfun (putfield procenv) slfun selfun (putfield procarity) (putfield procindex) (invokespecial init) (dup) (new me) sfun (invokestatic llong_to_bllong) sllong (invokestatic elong_to_belong) long selong (invokestatic double_to_real) double sreal (invokestatic getbytes) sstring module-initialization (aconst_null) (iconst_0) putstatic (anewarray obj) (putstatic myname) (invokestatic foreign-print) ldc clinit (invokespecial super-init) (aload this) (this) init (invokestatic internalerror) catch (return) (pop) bigloo_main (invokestatic listargv) (aload argv) from (handler from catch catch throwable) (argv) main ",
		763);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long
		BgL_checksumz00_4201, char *BgL_fromz00_4202)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
					BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_jvm_compile");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			{	/* SawJvm/compile.scm 1 */
				obj_t BgL_cportz00_4193;

				BgL_cportz00_4193 =
					bgl_open_input_string(BGl_string2828z00zzsaw_jvm_compilez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4194;

					BgL_iz00_4194 = ((long) 61);
				BgL_loopz00_4195:
					if ((BgL_iz00_4194 == ((long) -1)))
						{	/* SawJvm/compile.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/compile.scm 1 */
							{	/* SawJvm/compile.scm 1 */
								obj_t BgL_arg2830z00_4197;

								{	/* SawJvm/compile.scm 1 */

									{	/* SawJvm/compile.scm 1 */
										obj_t BgL_locationz00_4199;

										BgL_locationz00_4199 = BBOOL(((bool_t) 0));
										{	/* SawJvm/compile.scm 1 */

											BgL_arg2830z00_4197 =
												BGl_readz00zz__readerz00(BgL_cportz00_4193,
												BgL_locationz00_4199);
										}
									}
								}
								{	/* SawJvm/compile.scm 1 */
									int BgL_auxz00_4226;

									BgL_auxz00_4226 = (int) (BgL_iz00_4194);
									CNST_TABLE_SET(BgL_auxz00_4226, BgL_arg2830z00_4197);
							}}
							{	/* SawJvm/compile.scm 1 */
								int BgL_auxz00_4200;

								BgL_auxz00_4200 = (int) ((BgL_iz00_4194 - ((long) 1)));
								{
									long BgL_iz00_4231;

									BgL_iz00_4231 = (long) (BgL_auxz00_4200);
									BgL_iz00_4194 = BgL_iz00_4231;
									goto BgL_loopz00_4195;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}
	}



/* saw_jvm-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_13)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 38 */
			BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_mez00_13);
			{	/* SawJvm/compile.scm 40 */
				obj_t BgL_g2542z00_2388;

				BgL_g2542z00_2388 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l2540z00_2390;

					BgL_l2540z00_2390 = BgL_g2542z00_2388;
				BgL_zc3anonymousza32570ze3z83_2391:
					if (PAIRP(BgL_l2540z00_2390))
						{	/* SawJvm/compile.scm 40 */
							BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_mez00_13,
								CAR(BgL_l2540z00_2390));
							{
								obj_t BgL_l2540z00_4239;

								BgL_l2540z00_4239 = CDR(BgL_l2540z00_2390);
								BgL_l2540z00_2390 = BgL_l2540z00_4239;
								goto BgL_zc3anonymousza32570ze3z83_2391;
							}
						}
					else
						{	/* SawJvm/compile.scm 40 */
							((bool_t) 1);
						}
				}
			}
			return BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_mez00_13);
		}
	}



/* &saw_jvm-compile */
	obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t BgL_envz00_4190,
		obj_t BgL_mez00_4191)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 38 */
			return
				BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
				((BgL_jvmz00_bglt) BgL_mez00_4191));
		}
	}



/* compile-class */
	obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_14,
		obj_t BgL_cz00_15)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 46 */
			{	/* SawJvm/compile.scm 47 */
				BgL_typez00_bglt BgL_arg2573z00_2396;

				BgL_arg2573z00_2396 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
					((BgL_typez00_bglt) BgL_cz00_15), ((obj_t) BgL_arg2573z00_2396));
			}
			{	/* SawJvm/compile.scm 48 */
				obj_t BgL_g2545z00_2397;

				BgL_g2545z00_2397 =
					BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				{
					obj_t BgL_l2543z00_2399;

					BgL_l2543z00_2399 = BgL_g2545z00_2397;
				BgL_zc3anonymousza32574ze3z83_2400:
					if (PAIRP(BgL_l2543z00_2399))
						{	/* SawJvm/compile.scm 48 */
							{	/* SawJvm/compile.scm 48 */
								obj_t BgL_fz00_2402;

								BgL_fz00_2402 = CAR(BgL_l2543z00_2399);
								BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_mez00_14,
									((BgL_slotz00_bglt) BgL_fz00_2402));
							}
							{
								obj_t BgL_l2543z00_4256;

								BgL_l2543z00_4256 = CDR(BgL_l2543z00_2399);
								BgL_l2543z00_2399 = BgL_l2543z00_4256;
								goto BgL_zc3anonymousza32574ze3z83_2400;
							}
						}
					else
						{	/* SawJvm/compile.scm 48 */
							((bool_t) 1);
						}
				}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_14);
			return
				BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
				((BgL_typez00_bglt) BgL_cz00_15));
		}
	}



/* compile-module */
	obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_16)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 55 */
			BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
			{	/* SawJvm/compile.scm 57 */
				obj_t BgL_g2548z00_2405;

				BgL_g2548z00_2405 =
					BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l2546z00_2407;

					BgL_l2546z00_2407 = BgL_g2548z00_2405;
				BgL_zc3anonymousza32577ze3z83_2408:
					if (PAIRP(BgL_l2546z00_2407))
						{	/* SawJvm/compile.scm 58 */
							{	/* SawJvm/compile.scm 57 */
								obj_t BgL_vz00_2410;

								BgL_vz00_2410 = CAR(BgL_l2546z00_2407);
								BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
									((BgL_globalz00_bglt) BgL_vz00_2410));
							}
							{
								obj_t BgL_l2546z00_4268;

								BgL_l2546z00_4268 = CDR(BgL_l2546z00_2407);
								BgL_l2546z00_2407 = BgL_l2546z00_4268;
								goto BgL_zc3anonymousza32577ze3z83_2408;
							}
						}
					else
						{	/* SawJvm/compile.scm 58 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/compile.scm 59 */
				bool_t BgL_testz00_4270;

				{	/* SawJvm/compile.scm 59 */
					obj_t BgL_arg2582z00_2415;

					BgL_arg2582z00_2415 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_testz00_4270 = ((long) CINT(BgL_arg2582z00_2415) > ((long) 0));
				}
				if (BgL_testz00_4270)
					{	/* SawJvm/compile.scm 59 */
						obj_t BgL_arg2581z00_2414;

						BgL_arg2581z00_2414 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
						BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
							((BgL_globalz00_bglt) BgL_arg2581z00_2414));
					}
				else
					{	/* SawJvm/compile.scm 59 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 60 */
				bool_t BgL_testz00_4277;

				{	/* SawJvm/compile.scm 60 */
					bool_t BgL_res2789z00_4052;

					{	/* SawJvm/compile.scm 60 */
						obj_t BgL_objz00_4051;

						BgL_objz00_4051 = BGl_za2mainza2z00zzmodule_modulez00;
						BgL_res2789z00_4052 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_4051,
							BGl_globalz00zzast_varz00);
					}
					BgL_testz00_4277 = BgL_res2789z00_4052;
				}
				if (BgL_testz00_4277)
					{	/* SawJvm/compile.scm 60 */
						BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_mez00_16);
					}
				else
					{	/* SawJvm/compile.scm 60 */
						BFALSE;
					}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_mez00_16);
			return BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
		}
	}



/* module-main */
	obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_17)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 72 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 0)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(((long) 1)), BNIL);
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 75 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 2)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 3)));
				}
			else
				{	/* SawJvm/compile.scm 75 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 4)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 5)));
			{	/* SawJvm/compile.scm 80 */
				obj_t BgL_arg2584z00_2417;

				{	/* SawJvm/compile.scm 80 */
					obj_t BgL_list2585z00_2418;

					BgL_list2585z00_2418 =
						MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg2584z00_2417 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
						BgL_list2585z00_2418);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_17,
					((BgL_globalz00_bglt) BgL_arg2584z00_2417));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(((long) 8)));
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 83 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 9)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 10)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						CNST_TABLE_REF(((long) 8)));
				}
			else
				{	/* SawJvm/compile.scm 83 */
					BFALSE;
				}
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_17);
		}
	}



/* constructor */
	obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_18)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 92 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 11)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(((long) 12)), BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 13)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 14)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
		}
	}



/* module-init */
	obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_19)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 103 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_19,
				CNST_TABLE_REF(((long) 15)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_19, BNIL, BNIL);
			{	/* SawJvm/compile.scm 107 */
				bool_t BgL_testz00_4333;

				if (INTEGERP(BGl_za2debugzd2moduleza2zd2zzengine_paramz00))
					{	/* SawJvm/compile.scm 107 */
						BgL_testz00_4333 =
							(
							(long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
							((long) 0));
					}
				else
					{	/* SawJvm/compile.scm 107 */
						BgL_testz00_4333 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00
							(BGl_za2debugzd2moduleza2zd2zzengine_paramz00, BINT(((long) 0)));
					}
				if (BgL_testz00_4333)
					{	/* SawJvm/compile.scm 107 */
						{	/* SawJvm/compile.scm 108 */
							obj_t BgL_arg2587z00_2420;

							{	/* SawJvm/compile.scm 108 */
								obj_t BgL_arg2588z00_2421;

								{	/* SawJvm/compile.scm 108 */
									obj_t BgL_arg2589z00_2422;

									{	/* SawJvm/compile.scm 108 */
										obj_t BgL_res2792z00_4060;

										{	/* SawJvm/compile.scm 108 */
											obj_t BgL_symbolz00_4058;

											BgL_symbolz00_4058 =
												BGl_za2moduleza2z00zzmodule_modulez00;
											{	/* SawJvm/compile.scm 108 */
												obj_t BgL_arg1310z00_4059;

												BgL_arg1310z00_4059 =
													SYMBOL_TO_STRING(BgL_symbolz00_4058);
												BgL_res2792z00_4060 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1310z00_4059);
											}
										}
										BgL_arg2589z00_2422 = BgL_res2792z00_4060;
									}
									BgL_arg2588z00_2421 = MAKE_PAIR(BgL_arg2589z00_2422, BNIL);
								}
								BgL_arg2587z00_2420 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 16)), BgL_arg2588z00_2421);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg2587z00_2420);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 17)));
					}
				else
					{	/* SawJvm/compile.scm 107 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 111 */
				obj_t BgL_arg2591z00_2424;

				{	/* SawJvm/compile.scm 111 */
					obj_t BgL_arg2592z00_2425;

					{	/* SawJvm/compile.scm 111 */
						obj_t BgL_arg2593z00_2426;

						{	/* SawJvm/compile.scm 111 */
							obj_t BgL_res2793z00_4063;

							{	/* SawJvm/compile.scm 111 */
								obj_t BgL_symbolz00_4061;

								BgL_symbolz00_4061 = BGl_za2moduleza2z00zzmodule_modulez00;
								{	/* SawJvm/compile.scm 111 */
									obj_t BgL_arg1310z00_4062;

									BgL_arg1310z00_4062 = SYMBOL_TO_STRING(BgL_symbolz00_4061);
									BgL_res2793z00_4063 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1310z00_4062);
								}
							}
							BgL_arg2593z00_2426 = BgL_res2793z00_4063;
						}
						BgL_arg2592z00_2425 = MAKE_PAIR(BgL_arg2593z00_2426, BNIL);
					}
					BgL_arg2591z00_2424 =
						MAKE_PAIR(CNST_TABLE_REF(((long) 16)), BgL_arg2592z00_2425);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg2591z00_2424);
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 18)));
			{	/* SawJvm/compile.scm 114 */
				obj_t BgL_siza7eza7_2427;

				BgL_siza7eza7_2427 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
				if (((long) CINT(BgL_siza7eza7_2427) > ((long) 0)))
					{	/* SawJvm/compile.scm 115 */
						BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_19, BgL_siza7eza7_2427);
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							CNST_TABLE_REF(((long) 19)));
						{	/* SawJvm/compile.scm 118 */
							obj_t BgL_arg2595z00_2429;

							{	/* SawJvm/compile.scm 118 */
								obj_t BgL_arg2597z00_2430;

								{	/* SawJvm/compile.scm 118 */
									obj_t BgL_arg2598z00_2431;

									{	/* SawJvm/compile.scm 118 */
										obj_t BgL_arg2599z00_2432;

										BgL_arg2599z00_2432 =
											BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
										BgL_arg2598z00_2431 =
											BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
											((BgL_globalz00_bglt) BgL_arg2599z00_2432));
									}
									BgL_arg2597z00_2430 = MAKE_PAIR(BgL_arg2598z00_2431, BNIL);
								}
								BgL_arg2595z00_2429 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 20)), BgL_arg2597z00_2430);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg2595z00_2429);
					}}
				else
					{	/* SawJvm/compile.scm 115 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 120 */
				obj_t BgL_g2551z00_2433;

				BgL_g2551z00_2433 =
					BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l2549z00_2435;

					BgL_l2549z00_2435 = BgL_g2551z00_2433;
				BgL_zc3anonymousza32600ze3z83_2436:
					if (PAIRP(BgL_l2549z00_2435))
						{	/* SawJvm/compile.scm 121 */
							{	/* SawJvm/compile.scm 120 */
								obj_t BgL_vz00_2438;

								BgL_vz00_2438 = CAR(BgL_l2549z00_2435);
								{	/* SawJvm/compile.scm 120 */
									BgL_valuez00_bglt BgL_arg2602z00_2439;

									BgL_arg2602z00_2439 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_2438))))->
										BgL_valuez00);
									BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_mez00_19,
										BgL_vz00_2438, BgL_arg2602z00_2439);
								}
							}
							{
								obj_t BgL_l2549z00_4378;

								BgL_l2549z00_4378 = CDR(BgL_l2549z00_2435);
								BgL_l2549z00_2435 = BgL_l2549z00_4378;
								goto BgL_zc3anonymousza32600ze3z83_2436;
							}
						}
					else
						{	/* SawJvm/compile.scm 121 */
							((bool_t) 1);
						}
				}
			}
			if (CBOOL(BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00))
				{	/* SawJvm/compile.scm 122 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 21)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 22)));
					{	/* SawJvm/compile.scm 126 */
						obj_t BgL_arg2604z00_2442;

						{	/* SawJvm/compile.scm 126 */
							obj_t BgL_list2605z00_2443;

							BgL_list2605z00_2443 =
								MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
							BgL_arg2604z00_2442 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
								BgL_list2605z00_2443);
						}
						BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
							((BgL_globalz00_bglt) BgL_arg2604z00_2442));
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						CNST_TABLE_REF(((long) 7)));
				}
			else
				{	/* SawJvm/compile.scm 122 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_19);
		}
	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t BgL_vz00_20)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 131 */
			{	/* SawJvm/compile.scm 132 */
				BgL_globalz00_bglt BgL_vz00_2444;

				BgL_vz00_2444 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_20));
				{	/* SawJvm/compile.scm 133 */
					BgL_valuez00_bglt BgL_valz00_2445;

					BgL_valz00_2445 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_vz00_2444)))->BgL_valuez00);
					{	/* SawJvm/compile.scm 134 */
						bool_t BgL_testz00_4400;

						{	/* SawJvm/compile.scm 134 */
							bool_t BgL_res2798z00_4078;

							{	/* SawJvm/compile.scm 134 */
								obj_t BgL_objz00_4077;

								BgL_objz00_4077 = ((obj_t) BgL_valz00_2445);
								BgL_res2798z00_4078 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_4077,
									BGl_sfunz00zzast_varz00);
							}
							BgL_testz00_4400 = BgL_res2798z00_4078;
						}
						if (BgL_testz00_4400)
							{	/* SawJvm/compile.scm 135 */
								obj_t BgL_cloz00_2447;

								BgL_cloz00_2447 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_valz00_2445)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/compile.scm 136 */
									bool_t BgL_oz00_2448;
									bool_t BgL_kz00_2449;

									BgL_oz00_2448 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2447);
									BgL_kz00_2449 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2447);
									if (BgL_oz00_2448)
										{	/* SawJvm/compile.scm 137 */
											return BgL_oz00_2448;
										}
									else
										{	/* SawJvm/compile.scm 137 */
											return BgL_kz00_2449;
										}
								}
							}
						else
							{	/* SawJvm/compile.scm 134 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* module-init-cnst */
	obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_21, obj_t BgL_varz00_22, BgL_valuez00_bglt BgL_valz00_23)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 139 */
			{	/* SawJvm/compile.scm 140 */
				BgL_scnstz00_bglt BgL_i1155z00_2451;

				BgL_i1155z00_2451 = ((BgL_scnstz00_bglt) BgL_valz00_23);
				{	/* SawJvm/compile.scm 141 */
					obj_t BgL_casezd2valuezd2_2452;

					BgL_casezd2valuezd2_2452 =
						(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->BgL_classz00);
					if ((BgL_casezd2valuezd2_2452 == CNST_TABLE_REF(((long) 24))))
						{	/* SawJvm/compile.scm 141 */
							BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_21,
								(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->BgL_nodez00));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
								CNST_TABLE_REF(((long) 25)));
						}
					else
						{	/* SawJvm/compile.scm 141 */
							if ((BgL_casezd2valuezd2_2452 == CNST_TABLE_REF(((long) 26))))
								{	/* SawJvm/compile.scm 141 */
									{	/* SawJvm/compile.scm 146 */
										obj_t BgL_arg2610z00_2456;

										BgL_arg2610z00_2456 =
											(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->
											BgL_nodez00);
										BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
											BgL_arg2610z00_2456, CNST_TABLE_REF(((long) 27)));
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
										CNST_TABLE_REF(((long) 28)));
								}
							else
								{	/* SawJvm/compile.scm 141 */
									if ((BgL_casezd2valuezd2_2452 == CNST_TABLE_REF(((long) 29))))
										{	/* SawJvm/compile.scm 141 */
											{	/* SawJvm/compile.scm 149 */
												obj_t BgL_arg2612z00_2458;

												BgL_arg2612z00_2458 =
													(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->
													BgL_nodez00);
												BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
													BgL_arg2612z00_2458, CNST_TABLE_REF(((long) 30)));
											}
											BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
												CNST_TABLE_REF(((long) 31)));
										}
									else
										{	/* SawJvm/compile.scm 141 */
											if (
												(BgL_casezd2valuezd2_2452 ==
													CNST_TABLE_REF(((long) 32))))
												{	/* SawJvm/compile.scm 141 */
													{	/* SawJvm/compile.scm 152 */
														obj_t BgL_arg2614z00_2460;

														BgL_arg2614z00_2460 =
															(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->
															BgL_nodez00);
														BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
															BgL_arg2614z00_2460, CNST_TABLE_REF(((long) 30)));
													}
													BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
														CNST_TABLE_REF(((long) 33)));
												}
											else
												{	/* SawJvm/compile.scm 141 */
													if (
														(BgL_casezd2valuezd2_2452 ==
															CNST_TABLE_REF(((long) 34))))
														{	/* SawJvm/compile.scm 141 */
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 35)));
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 36)));
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 37)));
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 36)));
															{	/* SawJvm/compile.scm 159 */
																int BgL_arg2617z00_2462;

																{
																	BgL_indexedz00_bglt BgL_auxz00_4452;

																	{
																		obj_t BgL_auxz00_4453;

																		{	/* SawJvm/compile.scm 159 */
																			BgL_objectz00_bglt BgL_auxz00_4454;

																			BgL_auxz00_4454 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt) BgL_varz00_22));
																			BgL_auxz00_4453 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_4454);
																		}
																		BgL_auxz00_4452 =
																			((BgL_indexedz00_bglt) BgL_auxz00_4453);
																	}
																	BgL_arg2617z00_2462 =
																		(((BgL_indexedz00_bglt)
																			CREF(BgL_auxz00_4452))->BgL_indexz00);
																}
																BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_21,
																	BINT(BgL_arg2617z00_2462));
															}
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 38)));
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 36)));
															{	/* SawJvm/compile.scm 162 */
																obj_t BgL_arg2618z00_2463;

																if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00
																	(BgL_varz00_22))
																	{	/* SawJvm/compile.scm 162 */
																		BgL_arg2618z00_2463 = BINT(((long) -1));
																	}
																else
																	{	/* SawJvm/compile.scm 162 */
																		BgL_arg2618z00_2463 =
																			BGl_globalzd2arityzd2zzbackend_cplibz00(
																			((BgL_globalz00_bglt) BgL_varz00_22));
																	}
																BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_21,
																	BgL_arg2618z00_2463);
															}
															BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																CNST_TABLE_REF(((long) 39)));
														}
													else
														{	/* SawJvm/compile.scm 141 */
															if (
																(BgL_casezd2valuezd2_2452 ==
																	CNST_TABLE_REF(((long) 40))))
																{	/* SawJvm/compile.scm 141 */
																	BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																		CNST_TABLE_REF(((long) 22)));
																}
															else
																{	/* SawJvm/compile.scm 141 */
																	if (
																		(BgL_casezd2valuezd2_2452 ==
																			CNST_TABLE_REF(((long) 41))))
																		{	/* SawJvm/compile.scm 141 */
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 35)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 36)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 37)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 36)));
																			{	/* SawJvm/compile.scm 172 */
																				int BgL_arg2622z00_2467;

																				{
																					BgL_indexedz00_bglt BgL_auxz00_4490;

																					{
																						obj_t BgL_auxz00_4491;

																						{	/* SawJvm/compile.scm 172 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4492;
																							BgL_auxz00_4492 =
																								((BgL_objectz00_bglt) (
																									(BgL_globalz00_bglt)
																									BgL_varz00_22));
																							BgL_auxz00_4491 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_4492);
																						}
																						BgL_auxz00_4490 =
																							((BgL_indexedz00_bglt)
																							BgL_auxz00_4491);
																					}
																					BgL_arg2622z00_2467 =
																						(((BgL_indexedz00_bglt)
																							CREF(BgL_auxz00_4490))->
																						BgL_indexz00);
																				}
																				BGl_pushzd2intzd2zzsaw_jvm_outz00
																					(BgL_mez00_21,
																					BINT(BgL_arg2622z00_2467));
																			}
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 38)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 36)));
																			BGl_pushzd2intzd2zzsaw_jvm_outz00
																				(BgL_mez00_21, BINT(((long) 0)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 19)));
																			BGl_codez12z12zzsaw_jvm_outz00
																				(BgL_mez00_21,
																				CNST_TABLE_REF(((long) 42)));
																		}
																	else
																		{	/* SawJvm/compile.scm 141 */
																			if (
																				(BgL_casezd2valuezd2_2452 ==
																					CNST_TABLE_REF(((long) 43))))
																				{	/* SawJvm/compile.scm 141 */
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 35)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 36)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 37)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 36)));
																					{	/* SawJvm/compile.scm 183 */
																						int BgL_arg2624z00_2469;

																						{
																							BgL_indexedz00_bglt
																								BgL_auxz00_4521;
																							{
																								obj_t BgL_auxz00_4522;

																								{	/* SawJvm/compile.scm 183 */
																									BgL_objectz00_bglt
																										BgL_auxz00_4523;
																									BgL_auxz00_4523 =
																										((BgL_objectz00_bglt) (
																											(BgL_globalz00_bglt)
																											BgL_varz00_22));
																									BgL_auxz00_4522 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_4523);
																								}
																								BgL_auxz00_4521 =
																									((BgL_indexedz00_bglt)
																									BgL_auxz00_4522);
																							}
																							BgL_arg2624z00_2469 =
																								(((BgL_indexedz00_bglt)
																									CREF(BgL_auxz00_4521))->
																								BgL_indexz00);
																						}
																						BGl_pushzd2intzd2zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							BINT(BgL_arg2624z00_2469));
																					}
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 38)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 36)));
																					{	/* SawJvm/compile.scm 186 */
																						obj_t BgL_arg2625z00_2470;

																						if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																							{	/* SawJvm/compile.scm 186 */
																								BgL_arg2625z00_2470 =
																									BINT(((long) -1));
																							}
																						else
																							{	/* SawJvm/compile.scm 186 */
																								BgL_arg2625z00_2470 =
																									BGl_globalzd2arityzd2zzbackend_cplibz00
																									(((BgL_globalz00_bglt)
																										BgL_varz00_22));
																							}
																						BGl_pushzd2intzd2zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							BgL_arg2625z00_2470);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 39)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 36)));
																					BGl_pushzd2intzd2zzsaw_jvm_outz00
																						(BgL_mez00_21, BINT(((long) 3)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 19)));
																					BGl_codez12z12zzsaw_jvm_outz00
																						(BgL_mez00_21,
																						CNST_TABLE_REF(((long) 42)));
																				}
																			else
																				{	/* SawJvm/compile.scm 141 */
																					if (
																						(BgL_casezd2valuezd2_2452 ==
																							CNST_TABLE_REF(((long) 44))))
																						{	/* SawJvm/compile.scm 194 */
																							obj_t BgL_vecz00_2473;

																							BgL_vecz00_2473 =
																								STRUCT_REF(
																								(((BgL_scnstz00_bglt)
																										CREF(BgL_i1155z00_2451))->
																									BgL_nodez00),
																								(int) (((long) 1)));
																							{	/* SawJvm/compile.scm 194 */
																								BgL_typez00_bglt
																									BgL_typez00_2474;
																								{
																									BgL_tvecz00_bglt
																										BgL_auxz00_4557;
																									{
																										obj_t BgL_auxz00_4558;

																										{	/* SawJvm/compile.scm 195 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4559;
																											{
																												BgL_typez00_bglt
																													BgL_auxz00_4560;
																												{
																													obj_t BgL_auxz00_4561;

																													{	/* SawJvm/compile.scm 195 */
																														obj_t BgL_sz00_4121;

																														BgL_sz00_4121 =
																															(((BgL_scnstz00_bglt) CREF(BgL_i1155z00_2451))->BgL_nodez00);
																														BgL_auxz00_4561 =
																															STRUCT_REF
																															(BgL_sz00_4121,
																															(int) (((long)
																																	0)));
																													}
																													BgL_auxz00_4560 =
																														((BgL_typez00_bglt)
																														BgL_auxz00_4561);
																												}
																												BgL_auxz00_4559 =
																													((BgL_objectz00_bglt)
																													BgL_auxz00_4560);
																											}
																											BgL_auxz00_4558 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_4559);
																										}
																										BgL_auxz00_4557 =
																											((BgL_tvecz00_bglt)
																											BgL_auxz00_4558);
																									}
																									BgL_typez00_2474 =
																										(((BgL_tvecz00_bglt)
																											CREF(BgL_auxz00_4557))->
																										BgL_itemzd2typezd2);
																								}
																								{	/* SawJvm/compile.scm 195 */
																									obj_t BgL_idz00_2475;

																									BgL_idz00_2475 =
																										(((BgL_typez00_bglt)
																											CREF(BgL_typez00_2474))->
																										BgL_namez00);
																									{	/* SawJvm/compile.scm 196 */
																										int BgL_nz00_2476;

																										BgL_nz00_2476 =
																											VECTOR_LENGTH
																											(BgL_vecz00_2473);
																										{	/* SawJvm/compile.scm 197 */

																											BGl_pushzd2intzd2zzsaw_jvm_outz00
																												(BgL_mez00_21,
																												BINT(BgL_nz00_2476));
																											{	/* SawJvm/compile.scm 199 */
																												bool_t BgL_testz00_4574;

																												{	/* SawJvm/compile.scm 199 */
																													bool_t
																														BgL__ortest_1156z00_2485;
																													BgL__ortest_1156z00_2485
																														=
																														(BgL_idz00_2475 ==
																														CNST_TABLE_REF((
																																(long) 45)));
																													if (BgL__ortest_1156z00_2485)
																														{	/* SawJvm/compile.scm 199 */
																															BgL_testz00_4574 =
																																BgL__ortest_1156z00_2485;
																														}
																													else
																														{	/* SawJvm/compile.scm 199 */
																															bool_t
																																BgL__ortest_1157z00_2486;
																															BgL__ortest_1157z00_2486
																																=
																																(BgL_idz00_2475
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		46)));
																															if (BgL__ortest_1157z00_2486)
																																{	/* SawJvm/compile.scm 199 */
																																	BgL_testz00_4574
																																		=
																																		BgL__ortest_1157z00_2486;
																																}
																															else
																																{	/* SawJvm/compile.scm 199 */
																																	bool_t
																																		BgL__ortest_1158z00_2487;
																																	BgL__ortest_1158z00_2487
																																		=
																																		(BgL_idz00_2475
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				47)));
																																	if (BgL__ortest_1158z00_2487)
																																		{	/* SawJvm/compile.scm 199 */
																																			BgL_testz00_4574
																																				=
																																				BgL__ortest_1158z00_2487;
																																		}
																																	else
																																		{	/* SawJvm/compile.scm 199 */
																																			bool_t
																																				BgL__ortest_1159z00_2488;
																																			BgL__ortest_1159z00_2488
																																				=
																																				(BgL_idz00_2475
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						48)));
																																			if (BgL__ortest_1159z00_2488)
																																				{	/* SawJvm/compile.scm 199 */
																																					BgL_testz00_4574
																																						=
																																						BgL__ortest_1159z00_2488;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 199 */
																																					bool_t
																																						BgL__ortest_1160z00_2489;
																																					BgL__ortest_1160z00_2489
																																						=
																																						(BgL_idz00_2475
																																						==
																																						CNST_TABLE_REF
																																						(((long) 49)));
																																					if (BgL__ortest_1160z00_2489)
																																						{	/* SawJvm/compile.scm 199 */
																																							BgL_testz00_4574
																																								=
																																								BgL__ortest_1160z00_2489;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 199 */
																																							bool_t
																																								BgL__ortest_1161z00_2490;
																																							BgL__ortest_1161z00_2490
																																								=
																																								(BgL_idz00_2475
																																								==
																																								CNST_TABLE_REF
																																								(((long) 30)));
																																							if (BgL__ortest_1161z00_2490)
																																								{	/* SawJvm/compile.scm 199 */
																																									BgL_testz00_4574
																																										=
																																										BgL__ortest_1161z00_2490;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 199 */
																																									bool_t
																																										BgL__ortest_1162z00_2491;
																																									BgL__ortest_1162z00_2491
																																										=
																																										(BgL_idz00_2475
																																										==
																																										CNST_TABLE_REF
																																										(((long) 50)));
																																									if (BgL__ortest_1162z00_2491)
																																										{	/* SawJvm/compile.scm 199 */
																																											BgL_testz00_4574
																																												=
																																												BgL__ortest_1162z00_2491;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 199 */
																																											BgL_testz00_4574
																																												=
																																												(BgL_idz00_2475
																																												==
																																												CNST_TABLE_REF
																																												(((long) 27)));
																												}}}}}}}}
																												if (BgL_testz00_4574)
																													{	/* SawJvm/compile.scm 201 */
																														obj_t
																															BgL_arg2629z00_2479;
																														{	/* SawJvm/compile.scm 201 */
																															obj_t
																																BgL_arg2630z00_2480;
																															BgL_arg2630z00_2480
																																=
																																MAKE_PAIR(((
																																		(BgL_typez00_bglt)
																																		CREF
																																		(BgL_typez00_2474))->
																																	BgL_namez00),
																																BNIL);
																															BgL_arg2629z00_2479
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 51)),
																																BgL_arg2630z00_2480);
																														}
																														BGl_codez12z12zzsaw_jvm_outz00
																															(BgL_mez00_21,
																															BgL_arg2629z00_2479);
																													}
																												else
																													{	/* SawJvm/compile.scm 203 */
																														obj_t
																															BgL_arg2632z00_2482;
																														{	/* SawJvm/compile.scm 203 */
																															obj_t
																																BgL_arg2633z00_2483;
																															BgL_arg2633z00_2483
																																=
																																MAKE_PAIR
																																(BGl_compilezd2typezd2zzsaw_jvm_outz00
																																(BgL_mez00_21,
																																	BgL_typez00_2474),
																																BNIL);
																															BgL_arg2632z00_2482
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 52)),
																																BgL_arg2633z00_2483);
																														}
																														BGl_codez12z12zzsaw_jvm_outz00
																															(BgL_mez00_21,
																															BgL_arg2632z00_2482);
																											}}
																											{
																												long BgL_iz00_2493;

																												{	/* SawJvm/compile.scm 204 */
																													bool_t
																														BgL_auxz00_4608;
																													BgL_iz00_2493 =
																														((long) 0);
																												BgL_zc3anonymousza32635ze3z83_2494:
																													if (
																														(BgL_iz00_2493 ==
																															(long)
																															(BgL_nz00_2476)))
																														{	/* SawJvm/compile.scm 205 */
																															BgL_auxz00_4608 =
																																((bool_t) 0);
																														}
																													else
																														{	/* SawJvm/compile.scm 205 */
																															BGl_codez12z12zzsaw_jvm_outz00
																																(BgL_mez00_21,
																																CNST_TABLE_REF((
																																		(long)
																																		36)));
																															BGl_pushzd2intzd2zzsaw_jvm_outz00
																																(BgL_mez00_21,
																																BINT
																																(BgL_iz00_2493));
																															{	/* SawJvm/compile.scm 209 */
																																bool_t
																																	BgL_testz00_4616;
																																{	/* SawJvm/compile.scm 209 */
																																	bool_t
																																		BgL__ortest_1163z00_2500;
																																	BgL__ortest_1163z00_2500
																																		=
																																		(BgL_idz00_2475
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				45)));
																																	if (BgL__ortest_1163z00_2500)
																																		{	/* SawJvm/compile.scm 209 */
																																			BgL_testz00_4616
																																				=
																																				BgL__ortest_1163z00_2500;
																																		}
																																	else
																																		{	/* SawJvm/compile.scm 209 */
																																			bool_t
																																				BgL__ortest_1164z00_2501;
																																			BgL__ortest_1164z00_2501
																																				=
																																				(BgL_idz00_2475
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						46)));
																																			if (BgL__ortest_1164z00_2501)
																																				{	/* SawJvm/compile.scm 209 */
																																					BgL_testz00_4616
																																						=
																																						BgL__ortest_1164z00_2501;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 209 */
																																					bool_t
																																						BgL__ortest_1165z00_2502;
																																					BgL__ortest_1165z00_2502
																																						=
																																						(BgL_idz00_2475
																																						==
																																						CNST_TABLE_REF
																																						(((long) 47)));
																																					if (BgL__ortest_1165z00_2502)
																																						{	/* SawJvm/compile.scm 209 */
																																							BgL_testz00_4616
																																								=
																																								BgL__ortest_1165z00_2502;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 209 */
																																							bool_t
																																								BgL__ortest_1166z00_2503;
																																							BgL__ortest_1166z00_2503
																																								=
																																								(BgL_idz00_2475
																																								==
																																								CNST_TABLE_REF
																																								(((long) 48)));
																																							if (BgL__ortest_1166z00_2503)
																																								{	/* SawJvm/compile.scm 209 */
																																									BgL_testz00_4616
																																										=
																																										BgL__ortest_1166z00_2503;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 209 */
																																									bool_t
																																										BgL__ortest_1167z00_2504;
																																									BgL__ortest_1167z00_2504
																																										=
																																										(BgL_idz00_2475
																																										==
																																										CNST_TABLE_REF
																																										(((long) 49)));
																																									if (BgL__ortest_1167z00_2504)
																																										{	/* SawJvm/compile.scm 209 */
																																											BgL_testz00_4616
																																												=
																																												BgL__ortest_1167z00_2504;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 209 */
																																											bool_t
																																												BgL__ortest_1168z00_2505;
																																											BgL__ortest_1168z00_2505
																																												=
																																												(BgL_idz00_2475
																																												==
																																												CNST_TABLE_REF
																																												(((long) 30)));
																																											if (BgL__ortest_1168z00_2505)
																																												{	/* SawJvm/compile.scm 209 */
																																													BgL_testz00_4616
																																														=
																																														BgL__ortest_1168z00_2505;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 209 */
																																													bool_t
																																														BgL__ortest_1169z00_2506;
																																													BgL__ortest_1169z00_2506
																																														=
																																														(BgL_idz00_2475
																																														==
																																														CNST_TABLE_REF
																																														(((long) 50)));
																																													if (BgL__ortest_1169z00_2506)
																																														{	/* SawJvm/compile.scm 209 */
																																															BgL_testz00_4616
																																																=
																																																BgL__ortest_1169z00_2506;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 209 */
																																															BgL_testz00_4616
																																																=
																																																(BgL_idz00_2475
																																																==
																																																CNST_TABLE_REF
																																																(((long) 27)));
																																}}}}}}}}
																																if (BgL_testz00_4616)
																																	{	/* SawJvm/compile.scm 209 */
																																		BGl_pushzd2numzd2zzsaw_jvm_outz00
																																			(BgL_mez00_21,
																																			VECTOR_REF
																																			(BgL_vecz00_2473,
																																				(int)
																																				(BgL_iz00_2493)),
																																			BgL_idz00_2475);
																																	}
																																else
																																	{	/* SawJvm/compile.scm 209 */
																																		BGl_pushzd2stringzd2zzsaw_jvm_outz00
																																			(BgL_mez00_21,
																																			VECTOR_REF
																																			(BgL_vecz00_2473,
																																				(int)
																																				(BgL_iz00_2493)));
																																		BGl_codez12z12zzsaw_jvm_outz00
																																			(BgL_mez00_21,
																																			CNST_TABLE_REF
																																			(((long)
																																					25)));
																															}}
																															{	/* SawJvm/compile.scm 215 */
																																obj_t
																																	BgL_arg2640z00_2507;
																																{	/* SawJvm/compile.scm 215 */
																																	bool_t
																																		BgL_testz00_4648;
																																	{	/* SawJvm/compile.scm 215 */
																																		bool_t
																																			BgL__ortest_1170z00_2516;
																																		BgL__ortest_1170z00_2516
																																			=
																																			(BgL_idz00_2475
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					45)));
																																		if (BgL__ortest_1170z00_2516)
																																			{	/* SawJvm/compile.scm 215 */
																																				BgL_testz00_4648
																																					=
																																					BgL__ortest_1170z00_2516;
																																			}
																																		else
																																			{	/* SawJvm/compile.scm 215 */
																																				BgL_testz00_4648
																																					=
																																					(BgL_idz00_2475
																																					==
																																					CNST_TABLE_REF
																																					(((long) 46)));
																																	}}
																																	if (BgL_testz00_4648)
																																		{	/* SawJvm/compile.scm 215 */
																																			BgL_arg2640z00_2507
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					53));
																																		}
																																	else
																																		{	/* SawJvm/compile.scm 215 */
																																			if (
																																				(BgL_idz00_2475
																																					==
																																					CNST_TABLE_REF
																																					(((long) 47))))
																																				{	/* SawJvm/compile.scm 215 */
																																					BgL_arg2640z00_2507
																																						=
																																						CNST_TABLE_REF
																																						(((long) 54));
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 215 */
																																					if (
																																						(BgL_idz00_2475
																																							==
																																							CNST_TABLE_REF
																																							(((long) 48))))
																																						{	/* SawJvm/compile.scm 215 */
																																							BgL_arg2640z00_2507
																																								=
																																								CNST_TABLE_REF
																																								(
																																								((long) 55));
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 215 */
																																							if ((BgL_idz00_2475 == CNST_TABLE_REF(((long) 49))))
																																								{	/* SawJvm/compile.scm 215 */
																																									BgL_arg2640z00_2507
																																										=
																																										CNST_TABLE_REF
																																										(
																																										((long) 56));
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 215 */
																																									if ((BgL_idz00_2475 == CNST_TABLE_REF(((long) 30))))
																																										{	/* SawJvm/compile.scm 215 */
																																											BgL_arg2640z00_2507
																																												=
																																												CNST_TABLE_REF
																																												(
																																												((long) 57));
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 215 */
																																											if ((BgL_idz00_2475 == CNST_TABLE_REF(((long) 50))))
																																												{	/* SawJvm/compile.scm 215 */
																																													BgL_arg2640z00_2507
																																														=
																																														CNST_TABLE_REF
																																														(
																																														((long) 58));
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 215 */
																																													if ((BgL_idz00_2475 == CNST_TABLE_REF(((long) 27))))
																																														{	/* SawJvm/compile.scm 215 */
																																															BgL_arg2640z00_2507
																																																=
																																																CNST_TABLE_REF
																																																(
																																																((long) 59));
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 215 */
																																															BgL_arg2640z00_2507
																																																=
																																																CNST_TABLE_REF
																																																(
																																																((long) 60));
																																}}}}}}}}
																																BGl_codez12z12zzsaw_jvm_outz00
																																	(BgL_mez00_21,
																																	BgL_arg2640z00_2507);
																															}
																															{
																																long
																																	BgL_iz00_4681;
																																BgL_iz00_4681 =
																																	(BgL_iz00_2493
																																	+ ((long) 1));
																																BgL_iz00_2493 =
																																	BgL_iz00_4681;
																																goto
																																	BgL_zc3anonymousza32635ze3z83_2494;
																															}
																														}
																													BBOOL
																														(BgL_auxz00_4608);
																												}
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* SawJvm/compile.scm 141 */
																							BGl_internalzd2errorzd2zztools_errorz00
																								(BGl_string2825z00zzsaw_jvm_compilez00,
																								BGl_string2826z00zzsaw_jvm_compilez00,
																								(((BgL_scnstz00_bglt)
																										CREF(BgL_i1155z00_2451))->
																									BgL_classz00));
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
				{	/* SawJvm/compile.scm 227 */
					obj_t BgL_arg2653z00_2523;

					{	/* SawJvm/compile.scm 227 */
						obj_t BgL_arg2654z00_2524;

						{	/* SawJvm/compile.scm 227 */
							obj_t BgL_arg2655z00_2525;

							BgL_arg2655z00_2525 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_21,
								((BgL_globalz00_bglt) BgL_varz00_22));
							BgL_arg2654z00_2524 = MAKE_PAIR(BgL_arg2655z00_2525, BNIL);
						}
						BgL_arg2653z00_2523 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 20)), BgL_arg2654z00_2524);
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, BgL_arg2653z00_2523);
				}
			}
		}
	}



/* module-dlopen */
	obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_24)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 232 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_24,
				CNST_TABLE_REF(((long) 61)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_24, BNIL, BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 21)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 22)));
			{	/* SawJvm/compile.scm 237 */
				obj_t BgL_arg2656z00_2526;

				{	/* SawJvm/compile.scm 237 */
					obj_t BgL_list2657z00_2527;

					BgL_list2657z00_2527 =
						MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg2656z00_2526 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 23)),
						BgL_list2657z00_2527);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_24,
					((BgL_globalz00_bglt) BgL_arg2656z00_2526));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 7)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(((long) 8)));
			return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_24);
		}
	}



/* module-functions */
	bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_25)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 245 */
			{	/* SawJvm/compile.scm 246 */
				obj_t BgL_g2554z00_2528;

				BgL_g2554z00_2528 =
					(((BgL_backendz00_bglt) CREF(
							((BgL_backendz00_bglt) BgL_mez00_25)))->BgL_functionsz00);
				{
					obj_t BgL_l2552z00_2530;

					BgL_l2552z00_2530 = BgL_g2554z00_2528;
				BgL_zc3anonymousza32658ze3z83_2531:
					if (PAIRP(BgL_l2552z00_2530))
						{	/* SawJvm/compile.scm 246 */
							BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_mez00_25,
								CAR(BgL_l2552z00_2530));
							{
								obj_t BgL_l2552z00_4715;

								BgL_l2552z00_4715 = CDR(BgL_l2552z00_2530);
								BgL_l2552z00_2530 = BgL_l2552z00_4715;
								goto BgL_zc3anonymousza32658ze3z83_2531;
							}
						}
					else
						{	/* SawJvm/compile.scm 246 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* module-function */
	obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_26, obj_t BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 248 */
			{	/* SawJvm/compile.scm 249 */
				BgL_globalz00_bglt BgL_i1171z00_2536;

				BgL_i1171z00_2536 = ((BgL_globalz00_bglt) BgL_vz00_27);
				{	/* SawJvm/compile.scm 250 */
					obj_t BgL_codez00_2537;
					obj_t BgL_paramsz00_2538;

					BgL_codez00_2537 =
						BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
						((BgL_backendz00_bglt) BgL_mez00_26),
						((BgL_globalz00_bglt) BgL_vz00_27));
					{	/* SawJvm/compile.scm 251 */
						obj_t BgL_l2555z00_2539;

						BgL_l2555z00_2539 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_i1171z00_2536)))->
											BgL_valuez00))))->BgL_argsz00);
						if (NULLP(BgL_l2555z00_2539))
							{	/* SawJvm/compile.scm 251 */
								BgL_paramsz00_2538 = BNIL;
							}
						else
							{	/* SawJvm/compile.scm 251 */
								obj_t BgL_head2557z00_2541;

								{	/* SawJvm/compile.scm 251 */
									BgL_rtl_regz00_bglt BgL_arg2667z00_2553;

									{	/* SawJvm/compile.scm 251 */
										obj_t BgL_arg2668z00_2554;

										BgL_arg2668z00_2554 = CAR(BgL_l2555z00_2539);
										BgL_arg2667z00_2553 =
											BGl_localzd2ze3regz31zzsaw_node2rtlz00(
											((BgL_localz00_bglt) BgL_arg2668z00_2554));
									}
									{	/* SawJvm/compile.scm 251 */
										obj_t BgL_res2822z00_4172;

										{	/* SawJvm/compile.scm 251 */
											obj_t BgL_obj1z00_4170;

											BgL_obj1z00_4170 = ((obj_t) BgL_arg2667z00_2553);
											BgL_res2822z00_4172 = MAKE_PAIR(BgL_obj1z00_4170, BNIL);
										}
										BgL_head2557z00_2541 = BgL_res2822z00_4172;
									}
								}
								{	/* SawJvm/compile.scm 251 */
									obj_t BgL_g2560z00_2542;

									BgL_g2560z00_2542 = CDR(BgL_l2555z00_2539);
									{
										obj_t BgL_l2555z00_2544;
										obj_t BgL_tail2558z00_2545;

										BgL_l2555z00_2544 = BgL_g2560z00_2542;
										BgL_tail2558z00_2545 = BgL_head2557z00_2541;
									BgL_zc3anonymousza32662ze3z83_2546:
										if (NULLP(BgL_l2555z00_2544))
											{	/* SawJvm/compile.scm 251 */
												BgL_paramsz00_2538 = BgL_head2557z00_2541;
											}
										else
											{	/* SawJvm/compile.scm 251 */
												obj_t BgL_newtail2559z00_2548;

												{	/* SawJvm/compile.scm 251 */
													BgL_rtl_regz00_bglt BgL_arg2665z00_2550;

													{	/* SawJvm/compile.scm 251 */
														obj_t BgL_arg2666z00_2551;

														BgL_arg2666z00_2551 = CAR(BgL_l2555z00_2544);
														BgL_arg2665z00_2550 =
															BGl_localzd2ze3regz31zzsaw_node2rtlz00(
															((BgL_localz00_bglt) BgL_arg2666z00_2551));
													}
													{	/* SawJvm/compile.scm 251 */
														obj_t BgL_res2824z00_4179;

														{	/* SawJvm/compile.scm 251 */
															obj_t BgL_obj1z00_4177;

															BgL_obj1z00_4177 = ((obj_t) BgL_arg2665z00_2550);
															BgL_res2824z00_4179 =
																MAKE_PAIR(BgL_obj1z00_4177, BNIL);
														}
														BgL_newtail2559z00_2548 = BgL_res2824z00_4179;
													}
												}
												SET_CDR(BgL_tail2558z00_2545, BgL_newtail2559z00_2548);
												{
													obj_t BgL_tail2558z00_4743;
													obj_t BgL_l2555z00_4741;

													BgL_l2555z00_4741 = CDR(BgL_l2555z00_2544);
													BgL_tail2558z00_4743 = BgL_newtail2559z00_2548;
													BgL_tail2558z00_2545 = BgL_tail2558z00_4743;
													BgL_l2555z00_2544 = BgL_l2555z00_4741;
													goto BgL_zc3anonymousza32662ze3z83_2546;
												}
											}
									}
								}
							}
					}
					BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_mez00_26,
						((BgL_globalz00_bglt) BgL_vz00_27));
					BGl_buildzd2treezd2zzsaw_exprz00(
						((BgL_backendz00_bglt) BgL_mez00_26), BgL_paramsz00_2538,
						BgL_codez00_2537);
					BgL_codez00_2537 =
						BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
							(BgL_backendz00_bglt) BgL_mez00_26),
						((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2538,
						BgL_codez00_2537);
					BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_mez00_26,
						BgL_paramsz00_2538, BgL_codez00_2537);
					return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_26);
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00()
	{
		AN_OBJECT;
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699852),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 58109075),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(((long) 352965511),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(((long) 142709001),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(((long)
					401183611), BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(((long) 282450876),
				BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
			return BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(((long)
					44765844), BSTRING_TO_STRING(BGl_string2827z00zzsaw_jvm_compilez00));
		}
	}

#ifdef __cplusplus
}
#endif
