/*===========================================================================*/
/*   (Type/misc.scm)                                                         */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/misc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;


	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static long BGl_czd2weightzd2zztype_miscz00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztype_miscz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_miscz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztype_miscz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zztype_miscz00();
	static obj_t BGl_genericzd2initzd2zztype_miscz00();
	static obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_miscz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_za2isaza2z00zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2disjointzf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762typeza7d2disjoi2009z00,
		BGl_z62typezd2disjointzf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2predicatezd2ofzd2envzd2zztype_miscz00,
		BgL_bgl_za762appza7d2predica2010z00,
		BGl_z62appzd2predicatezd2ofz62zztype_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2ofzd2envz00zztype_miscz00,
		BgL_bgl_za762isaza7d2ofza7b0za7za72011za7, BGl_z62isazd2ofzb0zztype_miscz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2005z00zztype_miscz00,
		BgL_bgl_string2005za700za7za7t2012za7, "type_misc", 9);
	      DEFINE_STRING(BGl_string2006z00zztype_miscz00,
		BgL_bgl_string2006za700za7za7t2013za7,
		"__object isa? real double llong elong long int short char ", 58);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2lesszd2specificzf3zd2envz21zztype_miscz00,
		BgL_bgl_za762typeza7d2lessza7d2014za7,
		BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_czd2subtypezf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762cza7d2subtypeza7f2015za7,
		BGl_z62czd2subtypezf3z43zztype_miscz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long
		BgL_checksumz00_2340, char *BgL_fromz00_2341)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztype_miscz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_miscz00();
					BGl_cnstzd2initzd2zztype_miscz00();
					BGl_importedzd2moduleszd2initz00zztype_miscz00();
					BGl_toplevelzd2initzd2zztype_miscz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"type_misc");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			{	/* Type/misc.scm 15 */
				obj_t BgL_cportz00_2332;

				BgL_cportz00_2332 =
					bgl_open_input_string(BGl_string2006z00zztype_miscz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2333;

					BgL_iz00_2333 = ((long) 9);
				BgL_loopz00_2334:
					if ((BgL_iz00_2333 == ((long) -1)))
						{	/* Type/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/misc.scm 15 */
							{	/* Type/misc.scm 15 */
								obj_t BgL_arg2008z00_2336;

								{	/* Type/misc.scm 15 */

									{	/* Type/misc.scm 15 */
										obj_t BgL_locationz00_2338;

										BgL_locationz00_2338 = BBOOL(((bool_t) 0));
										{	/* Type/misc.scm 15 */

											BgL_arg2008z00_2336 =
												BGl_readz00zz__readerz00(BgL_cportz00_2332,
												BgL_locationz00_2338);
										}
									}
								}
								{	/* Type/misc.scm 15 */
									int BgL_auxz00_2360;

									BgL_auxz00_2360 = (int) (BgL_iz00_2333);
									CNST_TABLE_SET(BgL_auxz00_2360, BgL_arg2008z00_2336);
							}}
							{	/* Type/misc.scm 15 */
								int BgL_auxz00_2339;

								BgL_auxz00_2339 = (int) ((BgL_iz00_2333 - ((long) 1)));
								{
									long BgL_iz00_2365;

									BgL_iz00_2365 = (long) (BgL_auxz00_2339);
									BgL_iz00_2333 = BgL_iz00_2365;
									goto BgL_loopz00_2334;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return (BGl_za2isaza2z00zztype_miscz00 = BFALSE, BUNSPEC);
		}
	}



/* type-less-specific? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt BgL_t1z00_3,
		BgL_typez00_bglt BgL_t2z00_4)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 37 */
			if ((((obj_t) BgL_t1z00_3) == ((obj_t) BgL_t2z00_4)))
				{	/* Type/misc.scm 39 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/misc.scm 41 */
					bool_t BgL_testz00_2371;

					if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
						{	/* Type/misc.scm 41 */
							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
								{	/* Type/misc.scm 41 */
									BgL_testz00_2371 = ((bool_t) 0);
								}
							else
								{	/* Type/misc.scm 41 */
									BgL_testz00_2371 = ((bool_t) 1);
								}
						}
					else
						{	/* Type/misc.scm 41 */
							BgL_testz00_2371 = ((bool_t) 1);
						}
					if (BgL_testz00_2371)
						{	/* Type/misc.scm 41 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 41 */
							if (BGl_typezd2subclasszf3z21zzobject_classz00(BgL_t2z00_4,
									BgL_t1z00_3))
								{	/* Type/misc.scm 43 */
									return ((bool_t) 1);
								}
							else
								{	/* Type/misc.scm 43 */
									if (
										(((obj_t) BgL_t1z00_3) == BGl_za2objza2z00zztype_cachez00))
										{	/* Type/misc.scm 45 */
											return ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 47 */
											bool_t BgL_testz00_2381;

											if (
												(((obj_t) BgL_t1z00_3) ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00))
												{	/* Type/misc.scm 48 */
													bool_t BgL__ortest_1097z00_1345;

													BgL__ortest_1097z00_1345 =
														(
														((obj_t) BgL_t2z00_4) ==
														BGl_za2pairza2z00zztype_cachez00);
													if (BgL__ortest_1097z00_1345)
														{	/* Type/misc.scm 48 */
															BgL_testz00_2381 = BgL__ortest_1097z00_1345;
														}
													else
														{	/* Type/misc.scm 48 */
															bool_t BgL__ortest_1098z00_1346;

															BgL__ortest_1098z00_1346 =
																(
																((obj_t) BgL_t2z00_4) ==
																BGl_za2epairza2z00zztype_cachez00);
															if (BgL__ortest_1098z00_1346)
																{	/* Type/misc.scm 48 */
																	BgL_testz00_2381 = BgL__ortest_1098z00_1346;
																}
															else
																{	/* Type/misc.scm 48 */
																	BgL_testz00_2381 =
																		(
																		((obj_t) BgL_t2z00_4) ==
																		BGl_za2bnilza2z00zztype_cachez00);
																}
														}
												}
											else
												{	/* Type/misc.scm 47 */
													BgL_testz00_2381 = ((bool_t) 0);
												}
											if (BgL_testz00_2381)
												{	/* Type/misc.scm 47 */
													return ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 47 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
		}
	}



/* &type-less-specific? */
	obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t BgL_envz00_2319,
		obj_t BgL_t1z00_2320, obj_t BgL_t2z00_2321)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 37 */
			return
				BBOOL(BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2320),
					((BgL_typez00_bglt) BgL_t2z00_2321)));
		}
	}



/* type-disjoint? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt BgL_t1z00_5,
		BgL_typez00_bglt BgL_t2z00_6)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 58 */
			if ((((obj_t) BgL_t1z00_5) == ((obj_t) BgL_t2z00_6)))
				{	/* Type/misc.scm 60 */
					return ((bool_t) 0);
				}
			else
				{	/* Type/misc.scm 62 */
					bool_t BgL_testz00_2401;

					{	/* Type/misc.scm 62 */
						bool_t BgL_testz00_2402;

						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
							{	/* Type/misc.scm 62 */
								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6))
									{	/* Type/misc.scm 62 */
										BgL_testz00_2402 = ((bool_t) 0);
									}
								else
									{	/* Type/misc.scm 62 */
										BgL_testz00_2402 = ((bool_t) 1);
									}
							}
						else
							{	/* Type/misc.scm 62 */
								BgL_testz00_2402 = ((bool_t) 0);
							}
						if (BgL_testz00_2402)
							{	/* Type/misc.scm 62 */
								BgL_testz00_2401 = ((bool_t) 1);
							}
						else
							{	/* Type/misc.scm 63 */
								bool_t BgL_testz00_2407;

								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
									{	/* Type/misc.scm 63 */
										BgL_testz00_2407 = ((bool_t) 0);
									}
								else
									{	/* Type/misc.scm 63 */
										BgL_testz00_2407 = ((bool_t) 1);
									}
								if (BgL_testz00_2407)
									{	/* Type/misc.scm 63 */
										BgL_testz00_2401 =
											BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6);
									}
								else
									{	/* Type/misc.scm 63 */
										BgL_testz00_2401 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_2401)
						{	/* Type/misc.scm 66 */
							bool_t BgL_testz00_2411;

							if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
										BgL_t2z00_6)))
								{	/* Type/misc.scm 66 */
									BgL_testz00_2411 = ((bool_t) 1);
								}
							else
								{	/* Type/misc.scm 66 */
									BgL_testz00_2411 =
										CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t2z00_6,
											BgL_t1z00_5));
								}
							if (BgL_testz00_2411)
								{	/* Type/misc.scm 66 */
									return ((bool_t) 0);
								}
							else
								{	/* Type/misc.scm 66 */
									return ((bool_t) 1);
								}
						}
					else
						{	/* Type/misc.scm 67 */
							bool_t BgL_testz00_2417;

							if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_t1z00_5,
									BgL_t2z00_6))
								{	/* Type/misc.scm 67 */
									BgL_testz00_2417 = ((bool_t) 1);
								}
							else
								{	/* Type/misc.scm 67 */
									BgL_testz00_2417 =
										BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_t2z00_6,
										BgL_t1z00_5);
								}
							if (BgL_testz00_2417)
								{	/* Type/misc.scm 67 */
									return ((bool_t) 0);
								}
							else
								{	/* Type/misc.scm 70 */
									bool_t BgL_testz00_2421;

									if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
												BgL_t2z00_6)))
										{	/* Type/misc.scm 70 */
											BgL_testz00_2421 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 70 */
											BgL_testz00_2421 =
												CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
												(BgL_t2z00_6, BgL_t1z00_5));
										}
									if (BgL_testz00_2421)
										{	/* Type/misc.scm 70 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 70 */
											return ((bool_t) 1);
										}
								}
						}
				}
		}
	}



/* &type-disjoint? */
	obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t BgL_envz00_2322,
		obj_t BgL_t1z00_2323, obj_t BgL_t2z00_2324)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 58 */
			return
				BBOOL(BGl_typezd2disjointzf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2323),
					((BgL_typez00_bglt) BgL_t2z00_2324)));
		}
	}



/* c-subtype? */
	BGL_EXPORTED_DEF bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt
		BgL_t1z00_7, BgL_typez00_bglt BgL_t2z00_8)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 80 */
			{	/* Type/misc.scm 94 */
				bool_t BgL_testz00_2431;

				if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_7))
					{	/* Type/misc.scm 94 */
						BgL_testz00_2431 = ((bool_t) 0);
					}
				else
					{	/* Type/misc.scm 94 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_8))
							{	/* Type/misc.scm 94 */
								BgL_testz00_2431 = ((bool_t) 0);
							}
						else
							{	/* Type/misc.scm 94 */
								BgL_testz00_2431 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_2431)
					{	/* Type/misc.scm 95 */
						long BgL_w1z00_1364;
						long BgL_w2z00_1365;

						BgL_w1z00_1364 = BGl_czd2weightzd2zztype_miscz00(BgL_t1z00_7);
						BgL_w2z00_1365 = BGl_czd2weightzd2zztype_miscz00(BgL_t2z00_8);
						if (((BgL_w1z00_1364 * BgL_w2z00_1365) > ((long) 0)))
							{	/* Type/misc.scm 97 */
								return (BgL_w1z00_1364 < BgL_w2z00_1365);
							}
						else
							{	/* Type/misc.scm 97 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Type/misc.scm 94 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* c-weight */
	long BGl_czd2weightzd2zztype_miscz00(BgL_typez00_bglt BgL_tz00_1370)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 92 */
			{	/* Type/misc.scm 83 */
				obj_t BgL_casezd2valuezd2_1372;

				BgL_casezd2valuezd2_1372 =
					(((BgL_typez00_bglt) CREF(BgL_tz00_1370))->BgL_idz00);
				if ((BgL_casezd2valuezd2_1372 == CNST_TABLE_REF(((long) 0))))
					{	/* Type/misc.scm 83 */
						return ((long) 1);
					}
				else
					{	/* Type/misc.scm 83 */
						if ((BgL_casezd2valuezd2_1372 == CNST_TABLE_REF(((long) 1))))
							{	/* Type/misc.scm 83 */
								return ((long) 2);
							}
						else
							{	/* Type/misc.scm 83 */
								if ((BgL_casezd2valuezd2_1372 == CNST_TABLE_REF(((long) 2))))
									{	/* Type/misc.scm 83 */
										return ((long) 3);
									}
								else
									{	/* Type/misc.scm 83 */
										if (
											(BgL_casezd2valuezd2_1372 == CNST_TABLE_REF(((long) 3))))
											{	/* Type/misc.scm 83 */
												return ((long) 4);
											}
										else
											{	/* Type/misc.scm 83 */
												if (
													(BgL_casezd2valuezd2_1372 ==
														CNST_TABLE_REF(((long) 4))))
													{	/* Type/misc.scm 83 */
														return ((long) 4);
													}
												else
													{	/* Type/misc.scm 83 */
														if (
															(BgL_casezd2valuezd2_1372 ==
																CNST_TABLE_REF(((long) 5))))
															{	/* Type/misc.scm 83 */
																return ((long) 5);
															}
														else
															{	/* Type/misc.scm 83 */
																if (
																	(BgL_casezd2valuezd2_1372 ==
																		CNST_TABLE_REF(((long) 6))))
																	{	/* Type/misc.scm 83 */
																		return ((long) -1);
																	}
																else
																	{	/* Type/misc.scm 83 */
																		if (
																			(BgL_casezd2valuezd2_1372 ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Type/misc.scm 83 */
																				return ((long) -2);
																			}
																		else
																			{	/* Type/misc.scm 83 */
																				return ((long) -1);
		}}}}}}}}}}
	}



/* &c-subtype? */
	obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t BgL_envz00_2325,
		obj_t BgL_t1z00_2326, obj_t BgL_t2z00_2327)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 80 */
			return
				BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2326),
					((BgL_typez00_bglt) BgL_t2z00_2327)));
		}
	}



/* isa-of */
	BGL_EXPORTED_DEF obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt
		BgL_nodez00_9)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 107 */
			{
				obj_t BgL_argsz00_1408;

				{	/* Type/misc.scm 118 */
					bool_t BgL_testz00_2471;

					{	/* Type/misc.scm 118 */
						bool_t BgL_res1991z00_2264;

						{	/* Type/misc.scm 118 */
							obj_t BgL_objz00_2263;

							BgL_objz00_2263 = ((obj_t) BgL_nodez00_9);
							BgL_res1991z00_2264 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2263,
								BGl_appz00zzast_nodez00);
						}
						BgL_testz00_2471 = BgL_res1991z00_2264;
					}
					if (BgL_testz00_2471)
						{	/* Type/misc.scm 118 */
							{	/* Type/misc.scm 119 */
								bool_t BgL_testz00_2474;

								{	/* Type/misc.scm 119 */
									bool_t BgL_res1992z00_2266;

									{	/* Type/misc.scm 119 */
										obj_t BgL_objz00_2265;

										BgL_objz00_2265 = BGl_za2isaza2z00zztype_miscz00;
										BgL_res1992z00_2266 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2265,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_2474 = BgL_res1992z00_2266;
								}
								if (BgL_testz00_2474)
									{	/* Type/misc.scm 119 */
										BFALSE;
									}
								else
									{	/* Type/misc.scm 119 */
										BGl_za2isaza2z00zztype_miscz00 =
											BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF((
													(long) 8)), CNST_TABLE_REF(((long) 9)));
							}}
							{	/* Type/misc.scm 121 */
								BgL_appz00_bglt BgL_i1102z00_1385;

								BgL_i1102z00_1385 = ((BgL_appz00_bglt) BgL_nodez00_9);
								{	/* Type/misc.scm 122 */
									bool_t BgL_testz00_2480;

									{	/* Type/misc.scm 122 */
										obj_t BgL_auxz00_2481;

										BgL_auxz00_2481 =
											(((BgL_appz00_bglt) CREF(BgL_i1102z00_1385))->
											BgL_argsz00);
										BgL_testz00_2480 = PAIRP(BgL_auxz00_2481);
									}
									if (BgL_testz00_2480)
										{	/* Type/misc.scm 123 */
											obj_t BgL_arg0z00_1387;

											BgL_argsz00_1408 =
												(((BgL_appz00_bglt) CREF(BgL_i1102z00_1385))->
												BgL_argsz00);
											{	/* Type/misc.scm 111 */
												bool_t BgL_testz00_2484;

												{	/* Type/misc.scm 111 */
													obj_t BgL_arg1915z00_1416;

													BgL_arg1915z00_1416 = CAR(BgL_argsz00_1408);
													BgL_testz00_2484 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1915z00_1416,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_2484)
													{	/* Type/misc.scm 111 */
														BgL_arg0z00_1387 = CAR(BgL_argsz00_1408);
													}
												else
													{	/* Type/misc.scm 113 */
														bool_t BgL_testz00_2488;

														{	/* Type/misc.scm 113 */
															obj_t BgL_arg1914z00_1415;

															BgL_arg1914z00_1415 = CAR(BgL_argsz00_1408);
															BgL_testz00_2488 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1914z00_1415,
																BGl_castz00zzast_nodez00);
														}
														if (BgL_testz00_2488)
															{	/* Type/misc.scm 114 */
																BgL_castz00_bglt BgL_i1101z00_1412;

																{	/* Type/misc.scm 114 */
																	obj_t BgL_pairz00_2260;

																	BgL_pairz00_2260 = BgL_argsz00_1408;
																	BgL_i1101z00_1412 =
																		((BgL_castz00_bglt) CAR(BgL_pairz00_2260));
																}
																{	/* Type/misc.scm 115 */
																	bool_t BgL_testz00_2493;

																	{	/* Type/misc.scm 115 */
																		BgL_nodez00_bglt BgL_arg1913z00_1414;

																		BgL_arg1913z00_1414 =
																			(((BgL_castz00_bglt)
																				CREF(BgL_i1101z00_1412))->BgL_argz00);
																		{	/* Type/misc.scm 115 */
																			bool_t BgL_res1990z00_2262;

																			{	/* Type/misc.scm 115 */
																				obj_t BgL_objz00_2261;

																				BgL_objz00_2261 =
																					((obj_t) BgL_arg1913z00_1414);
																				BgL_res1990z00_2262 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_2261,
																					BGl_varz00zzast_nodez00);
																			}
																			BgL_testz00_2493 = BgL_res1990z00_2262;
																		}
																	}
																	if (BgL_testz00_2493)
																		{	/* Type/misc.scm 115 */
																			BgL_arg0z00_1387 =
																				((obj_t)
																				(((BgL_castz00_bglt)
																						CREF(BgL_i1101z00_1412))->
																					BgL_argz00));
																		}
																	else
																		{	/* Type/misc.scm 115 */
																			BgL_arg0z00_1387 = BFALSE;
																		}
																}
															}
														else
															{	/* Type/misc.scm 113 */
																BgL_arg0z00_1387 = BFALSE;
															}
													}
											}
											{	/* Type/misc.scm 124 */
												bool_t BgL_testz00_2500;

												{	/* Type/misc.scm 124 */
													bool_t BgL_testz00_2501;

													{	/* Type/misc.scm 124 */
														BgL_variablez00_bglt BgL_arg1904z00_1404;

														BgL_arg1904z00_1404 =
															(((BgL_varz00_bglt) CREF(
																	(((BgL_appz00_bglt) CREF(BgL_i1102z00_1385))->
																		BgL_funz00)))->BgL_variablez00);
														BgL_testz00_2501 =
															(((obj_t) BgL_arg1904z00_1404) ==
															BGl_za2isaza2z00zztype_miscz00);
													}
													if (BgL_testz00_2501)
														{	/* Type/misc.scm 124 */
															if (BGl_isazf3zf3zz__objectz00(BgL_arg0z00_1387,
																	BGl_varz00zzast_nodez00))
																{	/* Type/misc.scm 126 */
																	bool_t BgL_testz00_2508;

																	{	/* Type/misc.scm 126 */
																		BgL_typez00_bglt BgL_arg1902z00_1402;

																		BgL_arg1902z00_1402 =
																			(((BgL_variablez00_bglt) CREF(
																					(((BgL_varz00_bglt) CREF(
																								((BgL_varz00_bglt)
																									BgL_arg0z00_1387)))->
																						BgL_variablez00)))->BgL_typez00);
																		BgL_testz00_2508 =
																			BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_arg1902z00_1402);
																	}
																	if (BgL_testz00_2508)
																		{	/* Type/misc.scm 127 */
																			bool_t BgL_testz00_2513;

																			{	/* Type/misc.scm 127 */
																				obj_t BgL_arg1900z00_1400;

																				{	/* Type/misc.scm 127 */
																					obj_t BgL_pairz00_2280;

																					BgL_pairz00_2280 =
																						(((BgL_appz00_bglt)
																							CREF(BgL_i1102z00_1385))->
																						BgL_argsz00);
																					BgL_arg1900z00_1400 =
																						CAR(CDR(BgL_pairz00_2280));
																				}
																				BgL_testz00_2513 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg1900z00_1400,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_2513)
																				{	/* Type/misc.scm 128 */
																					BgL_variablez00_bglt
																						BgL_arg1897z00_1397;
																					{
																						BgL_varz00_bglt BgL_auxz00_2518;

																						{
																							obj_t BgL_auxz00_2519;

																							{	/* Type/misc.scm 128 */
																								obj_t BgL_pairz00_2286;

																								BgL_pairz00_2286 =
																									(((BgL_appz00_bglt)
																										CREF(BgL_i1102z00_1385))->
																									BgL_argsz00);
																								{	/* Type/misc.scm 128 */
																									obj_t BgL_pairz00_2289;

																									BgL_pairz00_2289 =
																										CDR(BgL_pairz00_2286);
																									BgL_auxz00_2519 =
																										CAR(BgL_pairz00_2289);
																								}
																							}
																							BgL_auxz00_2518 =
																								((BgL_varz00_bglt)
																								BgL_auxz00_2519);
																						}
																						BgL_arg1897z00_1397 =
																							(((BgL_varz00_bglt)
																								CREF(BgL_auxz00_2518))->
																							BgL_variablez00);
																					}
																					{	/* Type/misc.scm 128 */
																						bool_t BgL_res2000z00_2294;

																						{	/* Type/misc.scm 128 */
																							obj_t BgL_objz00_2293;

																							BgL_objz00_2293 =
																								((obj_t) BgL_arg1897z00_1397);
																							BgL_res2000z00_2294 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_2293,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_2500 =
																							BgL_res2000z00_2294;
																					}
																				}
																			else
																				{	/* Type/misc.scm 127 */
																					BgL_testz00_2500 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Type/misc.scm 126 */
																			BgL_testz00_2500 = ((bool_t) 0);
																		}
																}
															else
																{	/* Type/misc.scm 125 */
																	BgL_testz00_2500 = ((bool_t) 0);
																}
														}
													else
														{	/* Type/misc.scm 124 */
															BgL_testz00_2500 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2500)
													{	/* Type/misc.scm 129 */
														obj_t BgL_arg1889z00_1389;

														{
															BgL_variablez00_bglt BgL_auxz00_2527;

															{
																BgL_globalz00_bglt BgL_auxz00_2528;

																{
																	BgL_variablez00_bglt BgL_auxz00_2529;

																	{
																		BgL_varz00_bglt BgL_auxz00_2530;

																		{
																			obj_t BgL_auxz00_2531;

																			{	/* Type/misc.scm 129 */
																				obj_t BgL_pairz00_2295;

																				BgL_pairz00_2295 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_i1102z00_1385))->
																					BgL_argsz00);
																				{	/* Type/misc.scm 129 */
																					obj_t BgL_pairz00_2298;

																					BgL_pairz00_2298 =
																						CDR(BgL_pairz00_2295);
																					BgL_auxz00_2531 =
																						CAR(BgL_pairz00_2298);
																				}
																			}
																			BgL_auxz00_2530 =
																				((BgL_varz00_bglt) BgL_auxz00_2531);
																		}
																		BgL_auxz00_2529 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_auxz00_2530))->
																			BgL_variablez00);
																	}
																	BgL_auxz00_2528 =
																		((BgL_globalz00_bglt) BgL_auxz00_2529);
																}
																BgL_auxz00_2527 =
																	((BgL_variablez00_bglt) BgL_auxz00_2528);
															}
															BgL_arg1889z00_1389 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_2527))->BgL_idz00);
														}
														return
															((obj_t)
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg1889z00_1389));
													}
												else
													{	/* Type/misc.scm 124 */
														return BFALSE;
													}
											}
										}
									else
										{	/* Type/misc.scm 122 */
											return BFALSE;
										}
								}
							}
						}
					else
						{	/* Type/misc.scm 118 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &isa-of */
	obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t BgL_envz00_2328,
		obj_t BgL_nodez00_2329)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 107 */
			return
				BGl_isazd2ofzd2zztype_miscz00(((BgL_nodez00_bglt) BgL_nodez00_2329));
		}
	}



/* app-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt BgL_nodez00_10)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 134 */
			{	/* Type/misc.scm 136 */
				BgL_valuez00_bglt BgL_valz00_1419;

				BgL_valz00_1419 =
					(((BgL_variablez00_bglt) CREF(
							(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_10))->BgL_funz00)))->
								BgL_variablez00)))->BgL_valuez00);
				{	/* Type/misc.scm 137 */
					obj_t BgL__ortest_1104z00_1420;

					BgL__ortest_1104z00_1420 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_valz00_1419)))->BgL_predicatezd2ofzd2);
					if (CBOOL(BgL__ortest_1104z00_1420))
						{	/* Type/misc.scm 137 */
							return BgL__ortest_1104z00_1420;
						}
					else
						{	/* Type/misc.scm 137 */
							return
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_10));
						}
				}
			}
		}
	}



/* &app-predicate-of */
	obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t BgL_envz00_2330,
		obj_t BgL_nodez00_2331)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 134 */
			return
				BGl_appzd2predicatezd2ofz00zztype_miscz00(
				((BgL_appz00_bglt) BgL_nodez00_2331));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2005z00zztype_miscz00));
		}
	}

#ifdef __cplusplus
}
#endif
