/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62avarzd2ev_prog21190zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol1765z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol1767z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31421ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1777z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_setlocal1194zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_goto1210zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_if1186zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_global1182zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_letrec1206zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_hook1192zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_withzd2handler1200z62zz__evaluate_avarz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62zc3anonymousza31363ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_let1202zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	extern obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_app1212zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_var1180zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letza21204z12zz__evaluate_avarz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_abs1214zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_unwindzd2prote1198z62zz__evaluate_avarz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_list1188zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_litt1184zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_bindzd2exit1196z62zz__evaluate_avarz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62avar1177z62zz__evaluate_avarz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_labels1208zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev1802z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var1803z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1801z00zz__evaluate_avarz00,
		BgL_bgl_string1801za700za7za7_1804za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71805za7,
		BGl_z62zc3anonymousza31363ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1766z00zz__evaluate_avarz00,
		BgL_bgl_string1766za700za7za7_1806za7, "never", 5);
	      DEFINE_STRING(BGl_string1768z00zz__evaluate_avarz00,
		BgL_bgl_string1768za700za7za7_1807za7, "fake", 4);
	      DEFINE_STRING(BGl_string1769z00zz__evaluate_avarz00,
		BgL_bgl_string1769za700za7za7_1808za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string1770z00zz__evaluate_avarz00,
		BgL_bgl_string1770za700za7za7_1809za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string1771z00zz__evaluate_avarz00,
		BgL_bgl_string1771za700za7za7_1810za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1772z00zz__evaluate_avarz00,
		BgL_bgl_string1772za700za7za7_1811za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string1773z00zz__evaluate_avarz00,
		BgL_bgl_string1773za700za7za7_1812za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string1774z00zz__evaluate_avarz00,
		BgL_bgl_string1774za700za7za7_1813za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string1776z00zz__evaluate_avarz00,
		BgL_bgl_string1776za700za7za7_1814za7, "avar1177", 8);
	      DEFINE_STRING(BGl_string1778z00zz__evaluate_avarz00,
		BgL_bgl_string1778za700za7za7_1815za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1779z00zz__evaluate_avarz00,
		BgL_bgl_string1779za700za7za7_1816za7, "&avar", 5);
	      DEFINE_STRING(BGl_string1781z00zz__evaluate_avarz00,
		BgL_bgl_string1781za700za7za7_1817za7, "avar", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zz__evaluate_avarz00,
		BgL_bgl_za762avar1177za762za7za71818z00,
		BGl_z62avar1177z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var1819z00,
		BGl_z62avarzd2ev_var1180zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo1820z00,
		BGl_z62avarzd2ev_global1182zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit1821z00,
		BGl_z62avarzd2ev_litt1184zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if11822z00,
		BGl_z62avarzd2ev_if1186zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis1823z00,
		BGl_z62avarzd2ev_list1188zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro1824z00,
		BGl_z62avarzd2ev_prog21190zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo1825z00,
		BGl_z62avarzd2ev_hook1192zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set1826z00,
		BGl_z62avarzd2ev_setlocal1194zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin1827z00,
		BGl_z62avarzd2ev_bindzd2exit1196z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw1828z00,
		BGl_z62avarzd2ev_unwindzd2prote1198z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit1829z00,
		BGl_z62avarzd2ev_withzd2handler1200z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1830z00,
		BGl_z62avarzd2ev_let1202zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1831z00,
		BGl_z62avarzd2ev_letza21204z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1832z00,
		BGl_z62avarzd2ev_letrec1206zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab1833z00,
		BGl_z62avarzd2ev_labels1208zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got1834z00,
		BGl_z62avarzd2ev_goto1210zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app1835z00,
		BGl_z62avarzd2ev_app1212zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs1836z00,
		BGl_z62avarzd2ev_abs1214zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71837za7,
		BGl_z62zc3anonymousza31421ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b1838za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_2305, char *BgL_fromz00_2306)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol1765z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1766z00zz__evaluate_avarz00);
			BGl_symbol1767z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1768z00zz__evaluate_avarz00);
			return (BGl_symbol1777z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1776z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_689;

				BgL_headz00_689 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1362;
					obj_t BgL_tailz00_1363;

					BgL_prevz00_1362 = BgL_headz00_689;
					BgL_tailz00_1363 = BgL_l1z00_1;
				BgL_loopz00_1361:
					if (PAIRP(BgL_tailz00_1363))
						{
							obj_t BgL_newzd2prevzd2_1369;

							BgL_newzd2prevzd2_1369 =
								MAKE_PAIR(CAR(BgL_tailz00_1363), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1362, BgL_newzd2prevzd2_1369);
							{
								obj_t BgL_tailz00_2325;
								obj_t BgL_prevz00_2324;

								BgL_prevz00_2324 = BgL_newzd2prevzd2_1369;
								BgL_tailz00_2325 = CDR(BgL_tailz00_1363);
								BgL_tailz00_1363 = BgL_tailz00_2325;
								BgL_prevz00_1362 = BgL_prevz00_2324;
								goto BgL_loopz00_1361;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_689);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 90 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 91 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 93 */
					obj_t BgL_xz00_741;

					BgL_xz00_741 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_741,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_2334;

							BgL_l1z00_2334 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_2334;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 94 */
							return
								MAKE_PAIR(BgL_xz00_741,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_absz00_bglt BgL_fakez00_748;

				{	/* Eval/evaluate_avar.scm 113 */
					BgL_ev_absz00_bglt BgL_new1066z00_749;

					{	/* Eval/evaluate_avar.scm 113 */
						BgL_ev_absz00_bglt BgL_new1065z00_750;

						BgL_new1065z00_750 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_avar.scm 113 */
							long BgL_arg1307z00_751;

							{	/* Eval/evaluate_avar.scm 113 */
								long BgL_res1660z00_1407;

								{	/* Eval/evaluate_avar.scm 113 */
									obj_t BgL_classz00_1404;

									BgL_classz00_1404 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_avar.scm 113 */
										obj_t BgL_vectorz00_1405;
										int BgL_kz00_1406;

										BgL_vectorz00_1405 = BgL_classz00_1404;
										BgL_kz00_1406 = (int) (((long) 1));
										BgL_res1660z00_1407 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_1405,
												BgL_kz00_1406));
								}}
								BgL_arg1307z00_751 = BgL_res1660z00_1407;
							}
							{	/* Eval/evaluate_avar.scm 113 */
								BgL_objectz00_bglt BgL_objz00_1408;

								BgL_objz00_1408 = ((BgL_objectz00_bglt) BgL_new1065z00_750);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1408, BgL_arg1307z00_751);
						}}
						{	/* Eval/evaluate_avar.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2345;

							BgL_auxz00_2345 = ((BgL_objectz00_bglt) BgL_new1065z00_750);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2345, BFALSE);
						}
						BgL_new1066z00_749 = BgL_new1065z00_750;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_locz00) =
						((obj_t) BGl_symbol1765z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_wherez00) =
						((obj_t) BGl_symbol1767z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_arityz00) =
						((obj_t) BINT(((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_varsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_ez00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_bindz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_freez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_innerz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_749))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_fakez00_748 = BgL_new1066z00_749;
				}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_748));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2171,
		obj_t BgL_ez00_2172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_exprz00_bglt BgL_auxz00_2362;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2172,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 113 */
						BgL_auxz00_2362 = ((BgL_ev_exprz00_bglt) BgL_ez00_2172);
					}
				else
					{
						obj_t BgL_auxz00_2366;

						BgL_auxz00_2366 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1769z00zz__evaluate_avarz00, BINT(((long) 2941)),
							BGl_string1770z00zz__evaluate_avarz00,
							BGl_string1771z00zz__evaluate_avarz00, BgL_ez00_2172);
						FAILURE(BgL_auxz00_2366, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2362);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 118 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 118 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15),
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00))))
						{	/* Eval/evaluate_avar.scm 118 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_2380;

							{	/* Eval/evaluate_avar.scm 118 */
								obj_t BgL_arg1314z00_1414;

								BgL_arg1314z00_1414 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00);
								BgL_auxz00_2380 =
									MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_arg1314z00_1414);
							}
							return
								((((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00) =
								((obj_t) BgL_auxz00_2380), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2173,
		obj_t BgL_varz00_2174, obj_t BgL_localz00_2175, obj_t BgL_absz00_2176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			{	/* Eval/evaluate_avar.scm 118 */
				BgL_ev_absz00_bglt BgL_auxz00_2393;
				BgL_ev_varz00_bglt BgL_auxz00_2385;

				if (BGl_isazf3zf3zz__objectz00(BgL_absz00_2176,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2393 = ((BgL_ev_absz00_bglt) BgL_absz00_2176);
					}
				else
					{
						obj_t BgL_auxz00_2397;

						BgL_auxz00_2397 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1769z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1772z00zz__evaluate_avarz00,
							BGl_string1774z00zz__evaluate_avarz00, BgL_absz00_2176);
						FAILURE(BgL_auxz00_2397, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_varz00_2174,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2385 = ((BgL_ev_varz00_bglt) BgL_varz00_2174);
					}
				else
					{
						obj_t BgL_auxz00_2389;

						BgL_auxz00_2389 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1769z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1772z00zz__evaluate_avarz00,
							BGl_string1773z00zz__evaluate_avarz00, BgL_varz00_2174);
						FAILURE(BgL_auxz00_2389, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2385,
					BgL_localz00_2175, BgL_auxz00_2393);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_72, obj_t BgL_varsz00_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 220 */
			{	/* Eval/evaluate_avar.scm 226 */
				obj_t BgL_ifreez00_758;

				BgL_ifreez00_758 =
					BGl_funionz00zz__evaluate_avarz00(
					(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_innerz00));
				{
					obj_t BgL_auxz00_2404;

					{	/* Eval/evaluate_avar.scm 228 */
						obj_t BgL_arg1317z00_760;

						BgL_arg1317z00_760 =
							(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00);
						BgL_auxz00_2404 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_varsz00_73,
							BgL_arg1317z00_760);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00) =
						((obj_t) BgL_auxz00_2404), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 230 */
					obj_t BgL_g1166z00_761;

					BgL_g1166z00_761 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_73, BgL_ifreez00_758);
					{
						obj_t BgL_l1164z00_1454;

						BgL_l1164z00_1454 = BgL_g1166z00_761;
					BgL_zc3anonymousza31318ze3z83_1453:
						if (PAIRP(BgL_l1164z00_1454))
							{	/* Eval/evaluate_avar.scm 233 */
								{	/* Eval/evaluate_avar.scm 233 */
									obj_t BgL_vz00_1460;

									BgL_vz00_1460 = CAR(BgL_l1164z00_1454);
									{	/* Eval/evaluate_avar.scm 233 */
										BgL_ev_varz00_bglt BgL_i1091z00_1461;

										BgL_i1091z00_1461 = ((BgL_ev_varz00_bglt) BgL_vz00_1460);
										((((BgL_ev_varz00_bglt) CREF(BgL_i1091z00_1461))->
												BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1164z00_2414;

									BgL_l1164z00_2414 = CDR(BgL_l1164z00_1454);
									BgL_l1164z00_1454 = BgL_l1164z00_2414;
									goto BgL_zc3anonymousza31318ze3z83_1453;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 233 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_758;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_772)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 225 */
			if (NULLP(BgL_lz00_772))
				{	/* Eval/evaluate_avar.scm 223 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 225 */
					obj_t BgL_arg1324z00_775;
					obj_t BgL_arg1325z00_776;

					{
						BgL_ev_absz00_bglt BgL_auxz00_2418;

						{	/* Eval/evaluate_avar.scm 225 */
							obj_t BgL_pairz00_1417;

							BgL_pairz00_1417 = BgL_lz00_772;
							BgL_auxz00_2418 = ((BgL_ev_absz00_bglt) CAR(BgL_pairz00_1417));
						}
						BgL_arg1324z00_775 =
							(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_2418))->BgL_freez00);
					}
					BgL_arg1325z00_776 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_772));
					{
						obj_t BgL_l1z00_1420;
						obj_t BgL_l2z00_1421;

						BgL_l1z00_1420 = BgL_arg1324z00_775;
						BgL_l2z00_1421 = BgL_arg1325z00_776;
					BgL_unionz00_1419:
						if (NULLP(BgL_l1z00_1420))
							{	/* Eval/evaluate_avar.scm 225 */
								return BgL_l2z00_1421;
							}
						else
							{	/* Eval/evaluate_avar.scm 225 */
								obj_t BgL_xz00_1428;

								BgL_xz00_1428 = CAR(BgL_l1z00_1420);
								{	/* Eval/evaluate_avar.scm 225 */
									obj_t BgL_arg1286z00_1429;
									obj_t BgL_arg1287z00_1430;

									BgL_arg1286z00_1429 = CDR(BgL_l1z00_1420);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_1428, BgL_l2z00_1421)))
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1287z00_1430 = BgL_l2z00_1421;
										}
									else
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1287z00_1430 =
												MAKE_PAIR(BgL_xz00_1428, BgL_l2z00_1421);
										}
									{
										obj_t BgL_l2z00_2433;
										obj_t BgL_l1z00_2432;

										BgL_l1z00_2432 = BgL_arg1286z00_1429;
										BgL_l2z00_2433 = BgL_arg1287z00_1430;
										BgL_l2z00_1421 = BgL_l2z00_2433;
										BgL_l1z00_1420 = BgL_l1z00_2432;
										goto BgL_unionz00_1419;
									}
								}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc1775z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1776z00zz__evaluate_avarz00);
		}
	}



/* &avar1177 */
	obj_t BGl_z62avar1177z62zz__evaluate_avarz00(obj_t BgL_envz00_2178,
		BgL_ev_exprz00_bglt BgL_ez00_2179, obj_t BgL_localz00_2180,
		obj_t BgL_absz00_2181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1777z00zz__evaluate_avarz00,
				BGl_string1778z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_2179));
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				obj_t BgL_method1178z00_786;

				{	/* Eval/evaluate_avar.scm 122 */
					obj_t BgL_res1672z00_1495;

					{	/* Eval/evaluate_avar.scm 122 */
						BgL_objectz00_bglt BgL_objz00_1467;

						BgL_objz00_1467 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 122 */
							long BgL_objzd2classzd2numz00_1468;

							{	/* Eval/evaluate_avar.scm 122 */
								long BgL_res1666z00_1471;

								BgL_res1666z00_1471 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1467);
								BgL_objzd2classzd2numz00_1468 = BgL_res1666z00_1471;
							}
							{	/* Eval/evaluate_avar.scm 122 */
								obj_t BgL_arg1647z00_1469;

								BgL_arg1647z00_1469 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 122 */
									obj_t BgL_arrayz00_1472;
									int BgL_offsetz00_1473;

									BgL_arrayz00_1472 = BgL_arg1647z00_1469;
									BgL_offsetz00_1473 = (int) (BgL_objzd2classzd2numz00_1468);
									{	/* Eval/evaluate_avar.scm 122 */
										long BgL_offsetz00_1474;

										BgL_offsetz00_1474 =
											((long) (BgL_offsetz00_1473) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 122 */
											long BgL_modz00_1475;

											{	/* Eval/evaluate_avar.scm 122 */
												int BgL_arg1650z00_1476;

												BgL_arg1650z00_1476 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 122 */
													long BgL_res1669z00_1486;

													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_auxz00_2445;

														BgL_auxz00_2445 = (long) (BgL_arg1650z00_1476);
														BgL_res1669z00_1486 =
															(BgL_offsetz00_1474 / BgL_auxz00_2445);
													}
													BgL_modz00_1475 = BgL_res1669z00_1486;
											}}
											{	/* Eval/evaluate_avar.scm 122 */
												long BgL_restz00_1477;

												{	/* Eval/evaluate_avar.scm 122 */
													int BgL_arg1649z00_1478;

													BgL_arg1649z00_1478 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_res1671z00_1490;

														{	/* Eval/evaluate_avar.scm 122 */
															long BgL_auxz00_2449;

															BgL_auxz00_2449 = (long) (BgL_arg1649z00_1478);
															BgL_res1671z00_1490 =
																(BgL_offsetz00_1474 % BgL_auxz00_2449);
														}
														BgL_restz00_1477 = BgL_res1671z00_1490;
												}}
												{	/* Eval/evaluate_avar.scm 122 */

													BgL_res1672z00_1495 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1472,
															(int) (BgL_modz00_1475)),
														(int) (BgL_restz00_1477));
					}}}}}}}}
					BgL_method1178z00_786 = BgL_res1672z00_1495;
				}
				return
					PROCEDURE_ENTRY(BgL_method1178z00_786) (BgL_method1178z00_786,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2182,
		obj_t BgL_ez00_2183, obj_t BgL_localz00_2184, obj_t BgL_absz00_2185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_auxz00_2463;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2183,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 122 */
						BgL_auxz00_2463 = ((BgL_ev_exprz00_bglt) BgL_ez00_2183);
					}
				else
					{
						obj_t BgL_auxz00_2467;

						BgL_auxz00_2467 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1769z00zz__evaluate_avarz00, BINT(((long) 3282)),
							BGl_string1779z00zz__evaluate_avarz00,
							BGl_string1771z00zz__evaluate_avarz00, BgL_ez00_2183);
						FAILURE(BgL_auxz00_2467, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2463, BgL_localz00_2184,
					BgL_absz00_2185);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1780z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1782z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1783z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1784z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc1785z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1786z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc1787z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1788z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1789z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1790z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1791z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1792z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1793z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1794z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1795z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1796z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1797z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1798z00zz__evaluate_avarz00,
				BGl_string1781z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs1214 */
	obj_t BGl_z62avarzd2ev_abs1214zb0zz__evaluate_avarz00(obj_t BgL_envz00_2206,
		BgL_ev_absz00_bglt BgL_ez00_2207, obj_t BgL_localz00_2208,
		obj_t BgL_absz00_2209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 236 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1060;
				obj_t BgL_localz00_1061;
				obj_t BgL_absz00_1062;

				BgL_ez00_1060 = BgL_ez00_2207;
				BgL_localz00_1061 = BgL_localz00_2208;
				BgL_absz00_1062 = BgL_absz00_2209;
				{	/* Eval/evaluate_avar.scm 238 */
					BgL_ev_absz00_bglt BgL_i1093z00_1066;

					BgL_i1093z00_1066 = ((BgL_ev_absz00_bglt) BgL_absz00_1062);
					{
						obj_t BgL_auxz00_2491;

						{	/* Eval/evaluate_avar.scm 239 */
							obj_t BgL_arg1413z00_1067;

							BgL_arg1413z00_1067 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1066))->BgL_innerz00);
							BgL_auxz00_2491 =
								MAKE_PAIR(((obj_t) BgL_ez00_1060), BgL_arg1413z00_1067);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1066))->BgL_innerz00) =
							((obj_t) BgL_auxz00_2491), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 240 */
					BgL_ev_exprz00_bglt BgL_arg1414z00_1068;
					obj_t BgL_arg1415z00_1069;

					BgL_arg1414z00_1068 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_bodyz00);
					BgL_arg1415z00_1069 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1414z00_1068,
						BgL_arg1415z00_1069, ((obj_t) BgL_ez00_1060));
				}
				{	/* Eval/evaluate_avar.scm 241 */
					obj_t BgL_ifreez00_1070;

					BgL_ifreez00_1070 =
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
						(BgL_ez00_1060,
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_varsz00));
					{
						obj_t BgL_auxz00_2502;

						{	/* Eval/evaluate_avar.scm 243 */
							obj_t BgL_arg1416z00_1072;
							obj_t BgL_arg1417z00_1073;

							{	/* Eval/evaluate_avar.scm 243 */
								obj_t BgL_arg1418z00_1074;

								BgL_arg1418z00_1074 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_freez00);
								{
									obj_t BgL_l1z00_1907;
									obj_t BgL_l2z00_1908;

									BgL_l1z00_1907 = BgL_ifreez00_1070;
									BgL_l2z00_1908 = BgL_arg1418z00_1074;
								BgL_unionz00_1906:
									if (NULLP(BgL_l1z00_1907))
										{	/* Eval/evaluate_avar.scm 243 */
											BgL_arg1416z00_1072 = BgL_l2z00_1908;
										}
									else
										{	/* Eval/evaluate_avar.scm 243 */
											obj_t BgL_xz00_1915;

											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_pairz00_1921;

												BgL_pairz00_1921 = BgL_l1z00_1907;
												BgL_xz00_1915 = CAR(BgL_pairz00_1921);
											}
											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_arg1286z00_1916;
												obj_t BgL_arg1287z00_1917;

												{	/* Eval/evaluate_avar.scm 243 */
													obj_t BgL_pairz00_1922;

													BgL_pairz00_1922 = BgL_l1z00_1907;
													BgL_arg1286z00_1916 = CDR(BgL_pairz00_1922);
												}
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_1915, BgL_l2z00_1908)))
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1287z00_1917 = BgL_l2z00_1908;
													}
												else
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1287z00_1917 =
															MAKE_PAIR(BgL_xz00_1915, BgL_l2z00_1908);
													}
												{
													obj_t BgL_l2z00_2513;
													obj_t BgL_l1z00_2512;

													BgL_l1z00_2512 = BgL_arg1286z00_1916;
													BgL_l2z00_2513 = BgL_arg1287z00_1917;
													BgL_l2z00_1908 = BgL_l2z00_2513;
													BgL_l1z00_1907 = BgL_l1z00_2512;
													goto BgL_unionz00_1906;
												}
											}
										}
								}
							}
							BgL_arg1417z00_1073 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_bindz00);
							BgL_auxz00_2502 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg1416z00_1072,
								BgL_arg1417z00_1073);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_freez00) =
							((obj_t) BgL_auxz00_2502), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2517;

						{	/* Eval/evaluate_avar.scm 244 */
							obj_t BgL_arg1420z00_1076;

							BgL_arg1420z00_1076 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_varsz00);
							BgL_auxz00_2517 =
								BGl_filterz00zz__r4_control_features_6_9z00
								(BGl_proc1799z00zz__evaluate_avarz00, BgL_arg1420z00_1076);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1060))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2517), BUNSPEC);
					}
				}
			}
		}
	}



/* &<anonymous:1421> */
	obj_t BGl_z62zc3anonymousza31421ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2210, obj_t BgL_vz00_2211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 244 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2211)))->BgL_effz00);
		}
	}



/* &avar-ev_app1212 */
	obj_t BGl_z62avarzd2ev_app1212zb0zz__evaluate_avarz00(obj_t BgL_envz00_2212,
		BgL_ev_appz00_bglt BgL_ez00_2213, obj_t BgL_localz00_2214,
		obj_t BgL_absz00_2215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 214 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1044;
				obj_t BgL_localz00_1045;
				obj_t BgL_absz00_1046;

				{	/* Eval/evaluate_avar.scm 215 */
					bool_t BgL_auxz00_2523;

					BgL_ez00_1044 = BgL_ez00_2213;
					BgL_localz00_1045 = BgL_localz00_2214;
					BgL_absz00_1046 = BgL_absz00_2215;
					BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1044))->BgL_funz00),
						BgL_localz00_1045, BgL_absz00_1046);
					{	/* Eval/evaluate_avar.scm 215 */
						obj_t BgL_g1163z00_1873;

						BgL_g1163z00_1873 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1044))->BgL_argsz00);
						{
							obj_t BgL_l1161z00_1895;

							BgL_l1161z00_1895 = BgL_g1163z00_1873;
						BgL_zc3anonymousza31410ze3z83_1894:
							if (PAIRP(BgL_l1161z00_1895))
								{	/* Eval/evaluate_avar.scm 215 */
									{	/* Eval/evaluate_avar.scm 215 */
										obj_t BgL_ez00_1900;

										BgL_ez00_1900 = CAR(BgL_l1161z00_1895);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1900), BgL_localz00_1045,
											BgL_absz00_1046);
									}
									{
										obj_t BgL_l1161z00_2532;

										BgL_l1161z00_2532 = CDR(BgL_l1161z00_1895);
										BgL_l1161z00_1895 = BgL_l1161z00_2532;
										goto BgL_zc3anonymousza31410ze3z83_1894;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 215 */
									BgL_auxz00_2523 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2523);
				}
			}
		}
	}



/* &avar-ev_goto1210 */
	obj_t BGl_z62avarzd2ev_goto1210zb0zz__evaluate_avarz00(obj_t BgL_envz00_2216,
		BgL_ev_gotoz00_bglt BgL_ez00_2217, obj_t BgL_localz00_2218,
		obj_t BgL_absz00_2219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 210 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1029;
				obj_t BgL_localz00_1030;
				obj_t BgL_absz00_1031;

				{	/* Eval/evaluate_avar.scm 211 */
					bool_t BgL_auxz00_2535;

					BgL_ez00_1029 = BgL_ez00_2217;
					BgL_localz00_1030 = BgL_localz00_2218;
					BgL_absz00_1031 = BgL_absz00_2219;
					{	/* Eval/evaluate_avar.scm 211 */
						obj_t BgL_g1160z00_1838;

						BgL_g1160z00_1838 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1029))->BgL_argsz00);
						{
							obj_t BgL_l1158z00_1860;

							BgL_l1158z00_1860 = BgL_g1160z00_1838;
						BgL_zc3anonymousza31406ze3z83_1859:
							if (PAIRP(BgL_l1158z00_1860))
								{	/* Eval/evaluate_avar.scm 211 */
									{	/* Eval/evaluate_avar.scm 211 */
										obj_t BgL_ez00_1865;

										BgL_ez00_1865 = CAR(BgL_l1158z00_1860);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1865), BgL_localz00_1030,
											BgL_absz00_1031);
									}
									{
										obj_t BgL_l1158z00_2542;

										BgL_l1158z00_2542 = CDR(BgL_l1158z00_1860);
										BgL_l1158z00_1860 = BgL_l1158z00_2542;
										goto BgL_zc3anonymousza31406ze3z83_1859;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 211 */
									BgL_auxz00_2535 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2535);
				}
			}
		}
	}



/* &avar-ev_labels1208 */
	obj_t BGl_z62avarzd2ev_labels1208zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2220, BgL_ev_labelsz00_bglt BgL_ez00_2221,
		obj_t BgL_localz00_2222, obj_t BgL_absz00_2223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 198 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_975;
				obj_t BgL_localz00_976;
				obj_t BgL_absz00_977;

				BgL_ez00_975 = BgL_ez00_2221;
				BgL_localz00_976 = BgL_localz00_2222;
				BgL_absz00_977 = BgL_absz00_2223;
				{	/* Eval/evaluate_avar.scm 200 */
					obj_t BgL_localz00_981;

					BgL_localz00_981 =
						BGl_appendzd221011zd2zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_varsz00),
						BgL_localz00_976);
					{	/* Eval/evaluate_avar.scm 201 */
						obj_t BgL_g1146z00_982;

						BgL_g1146z00_982 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_valsz00);
						{
							obj_t BgL_l1144z00_984;

							BgL_l1144z00_984 = BgL_g1146z00_982;
						BgL_zc3anonymousza31385ze3z83_985:
							if (PAIRP(BgL_l1144z00_984))
								{	/* Eval/evaluate_avar.scm 201 */
									{	/* Eval/evaluate_avar.scm 203 */
										obj_t BgL_sz00_987;

										BgL_sz00_987 = CAR(BgL_l1144z00_984);
										{	/* Eval/evaluate_avar.scm 203 */
											obj_t BgL_arg1387z00_988;
											obj_t BgL_arg1388z00_989;

											BgL_arg1387z00_988 = CDR(BgL_sz00_987);
											BgL_arg1388z00_989 =
												BGl_appendzd221011zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_987), BgL_localz00_981);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg1387z00_988), BgL_arg1388z00_989,
												BgL_absz00_977);
										}
										{	/* Eval/evaluate_avar.scm 204 */
											obj_t BgL_arg1390z00_991;

											BgL_arg1390z00_991 = CAR(BgL_sz00_987);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_977),
												BgL_arg1390z00_991);
										}
									}
									{
										obj_t BgL_l1144z00_2559;

										BgL_l1144z00_2559 = CDR(BgL_l1144z00_984);
										BgL_l1144z00_984 = BgL_l1144z00_2559;
										goto BgL_zc3anonymousza31385ze3z83_985;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 201 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2561;

						{	/* Eval/evaluate_avar.scm 207 */
							obj_t BgL_ll1152z00_994;
							obj_t BgL_ll1153z00_995;

							BgL_ll1152z00_994 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_varsz00);
							BgL_ll1153z00_995 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_valsz00);
							if (NULLP(BgL_ll1152z00_994))
								{	/* Eval/evaluate_avar.scm 207 */
									BgL_auxz00_2561 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 207 */
									obj_t BgL_head1154z00_997;

									{	/* Eval/evaluate_avar.scm 207 */
										obj_t BgL_res1698z00_1759;

										BgL_res1698z00_1759 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1154z00_997 = BgL_res1698z00_1759;
									}
									{
										obj_t BgL_ll1152z00_999;
										obj_t BgL_ll1153z00_1000;
										obj_t BgL_tail1155z00_1001;

										BgL_ll1152z00_999 = BgL_ll1152z00_994;
										BgL_ll1153z00_1000 = BgL_ll1153z00_995;
										BgL_tail1155z00_1001 = BgL_head1154z00_997;
									BgL_zc3anonymousza31393ze3z83_1002:
										if (NULLP(BgL_ll1152z00_999))
											{	/* Eval/evaluate_avar.scm 207 */
												BgL_auxz00_2561 = CDR(BgL_head1154z00_997);
											}
										else
											{	/* Eval/evaluate_avar.scm 207 */
												obj_t BgL_newtail1156z00_1004;

												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1397z00_1007;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_varz00_1008;
														obj_t BgL_sz00_1009;

														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1763;

															BgL_pairz00_1763 = BgL_ll1152z00_999;
															BgL_varz00_1008 = CAR(BgL_pairz00_1763);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1764;

															BgL_pairz00_1764 = BgL_ll1153z00_1000;
															BgL_sz00_1009 = CAR(BgL_pairz00_1764);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_arg1398z00_1010;

															{	/* Eval/evaluate_avar.scm 207 */
																obj_t BgL_l1147z00_1011;

																{	/* Eval/evaluate_avar.scm 207 */
																	obj_t BgL_pairz00_1765;

																	BgL_pairz00_1765 = BgL_sz00_1009;
																	BgL_l1147z00_1011 = CAR(BgL_pairz00_1765);
																}
																if (NULLP(BgL_l1147z00_1011))
																	{	/* Eval/evaluate_avar.scm 207 */
																		BgL_arg1398z00_1010 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 207 */
																		obj_t BgL_head1149z00_1013;

																		{	/* Eval/evaluate_avar.scm 207 */
																			obj_t BgL_res1701z00_1770;

																			BgL_res1701z00_1770 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1149z00_1013 =
																				BgL_res1701z00_1770;
																		}
																		{
																			obj_t BgL_l1147z00_1806;
																			obj_t BgL_tail1150z00_1807;

																			BgL_l1147z00_1806 = BgL_l1147z00_1011;
																			BgL_tail1150z00_1807 =
																				BgL_head1149z00_1013;
																		BgL_zc3anonymousza31400ze3z83_1805:
																			if (NULLP(BgL_l1147z00_1806))
																				{	/* Eval/evaluate_avar.scm 207 */
																					BgL_arg1398z00_1010 =
																						CDR(BgL_head1149z00_1013);
																				}
																			else
																				{	/* Eval/evaluate_avar.scm 207 */
																					obj_t BgL_newtail1151z00_1815;

																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1403z00_1816;

																						{
																							BgL_ev_varz00_bglt
																								BgL_auxz00_2579;
																							{	/* Eval/evaluate_avar.scm 207 */
																								obj_t BgL_pairz00_1823;

																								BgL_pairz00_1823 =
																									BgL_l1147z00_1806;
																								BgL_auxz00_2579 =
																									((BgL_ev_varz00_bglt)
																									CAR(BgL_pairz00_1823));
																							}
																							BgL_arg1403z00_1816 =
																								(((BgL_ev_varz00_bglt)
																									CREF(BgL_auxz00_2579))->
																								BgL_effz00);
																						}
																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_res1707z00_1826;

																							BgL_res1707z00_1826 =
																								MAKE_PAIR(BgL_arg1403z00_1816,
																								BNIL);
																							BgL_newtail1151z00_1815 =
																								BgL_res1707z00_1826;
																						}
																					}
																					SET_CDR(BgL_tail1150z00_1807,
																						BgL_newtail1151z00_1815);
																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1402z00_1819;

																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_pairz00_1829;

																							BgL_pairz00_1829 =
																								BgL_l1147z00_1806;
																							BgL_arg1402z00_1819 =
																								CDR(BgL_pairz00_1829);
																						}
																						{
																							obj_t BgL_tail1150z00_2587;
																							obj_t BgL_l1147z00_2586;

																							BgL_l1147z00_2586 =
																								BgL_arg1402z00_1819;
																							BgL_tail1150z00_2587 =
																								BgL_newtail1151z00_1815;
																							BgL_tail1150z00_1807 =
																								BgL_tail1150z00_2587;
																							BgL_l1147z00_1806 =
																								BgL_l1147z00_2586;
																							goto
																								BgL_zc3anonymousza31400ze3z83_1805;
																						}
																					}
																				}
																		}
																	}
															}
															BgL_arg1397z00_1007 =
																MAKE_PAIR(BgL_varz00_1008, BgL_arg1398z00_1010);
														}
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_res1708z00_1832;

														BgL_res1708z00_1832 =
															MAKE_PAIR(BgL_arg1397z00_1007, BNIL);
														BgL_newtail1156z00_1004 = BgL_res1708z00_1832;
													}
												}
												SET_CDR(BgL_tail1155z00_1001, BgL_newtail1156z00_1004);
												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1395z00_1005;
													obj_t BgL_arg1396z00_1006;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1835;

														BgL_pairz00_1835 = BgL_ll1152z00_999;
														BgL_arg1395z00_1005 = CDR(BgL_pairz00_1835);
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1836;

														BgL_pairz00_1836 = BgL_ll1153z00_1000;
														BgL_arg1396z00_1006 = CDR(BgL_pairz00_1836);
													}
													{
														obj_t BgL_tail1155z00_2595;
														obj_t BgL_ll1153z00_2594;
														obj_t BgL_ll1152z00_2593;

														BgL_ll1152z00_2593 = BgL_arg1395z00_1005;
														BgL_ll1153z00_2594 = BgL_arg1396z00_1006;
														BgL_tail1155z00_2595 = BgL_newtail1156z00_1004;
														BgL_tail1155z00_1001 = BgL_tail1155z00_2595;
														BgL_ll1153z00_1000 = BgL_ll1153z00_2594;
														BgL_ll1152z00_999 = BgL_ll1152z00_2593;
														goto BgL_zc3anonymousza31393ze3z83_1002;
													}
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2561), BUNSPEC);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_975))->BgL_bodyz00),
						BgL_localz00_981, BgL_absz00_977);
				}
			}
		}
	}



/* &avar-ev_letrec1206 */
	obj_t BGl_z62avarzd2ev_letrec1206zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2224, BgL_ev_letrecz00_bglt BgL_ez00_2225,
		obj_t BgL_localz00_2226, obj_t BgL_absz00_2227)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 189 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_945;
				obj_t BgL_localz00_946;
				obj_t BgL_absz00_947;

				{	/* Eval/evaluate_avar.scm 190 */
					bool_t BgL_auxz00_2599;

					BgL_ez00_945 = BgL_ez00_2225;
					BgL_localz00_946 = BgL_localz00_2226;
					BgL_absz00_947 = BgL_absz00_2227;
					{	/* Eval/evaluate_avar.scm 191 */
						obj_t BgL_localz00_951;

						{	/* Eval/evaluate_avar.scm 191 */
							obj_t BgL_arg1384z00_973;

							BgL_arg1384z00_973 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_945)))->BgL_varsz00);
							BgL_localz00_951 =
								BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1384z00_973,
								BgL_localz00_946);
						}
						{	/* Eval/evaluate_avar.scm 192 */
							obj_t BgL_g1140z00_952;

							BgL_g1140z00_952 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_945)))->BgL_valsz00);
							{
								obj_t BgL_l1138z00_1706;

								BgL_l1138z00_1706 = BgL_g1140z00_952;
							BgL_zc3anonymousza31375ze3z83_1705:
								if (PAIRP(BgL_l1138z00_1706))
									{	/* Eval/evaluate_avar.scm 192 */
										{	/* Eval/evaluate_avar.scm 192 */
											obj_t BgL_ez00_1711;

											BgL_ez00_1711 = CAR(BgL_l1138z00_1706);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_1711), BgL_localz00_951,
												BgL_absz00_947);
										}
										{
											obj_t BgL_l1138z00_2610;

											BgL_l1138z00_2610 = CDR(BgL_l1138z00_1706);
											BgL_l1138z00_1706 = BgL_l1138z00_2610;
											goto BgL_zc3anonymousza31375ze3z83_1705;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 192 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 193 */
							BgL_ev_exprz00_bglt BgL_arg1378z00_960;

							BgL_arg1378z00_960 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_945)))->BgL_bodyz00);
							BGl_avarz00zz__evaluate_avarz00(BgL_arg1378z00_960,
								BgL_localz00_951, BgL_absz00_947);
						}
						{	/* Eval/evaluate_avar.scm 194 */
							BgL_ev_absz00_bglt BgL_i1082z00_961;

							BgL_i1082z00_961 = ((BgL_ev_absz00_bglt) BgL_absz00_947);
							{
								obj_t BgL_auxz00_2616;

								{	/* Eval/evaluate_avar.scm 195 */
									obj_t BgL_arg1379z00_962;
									obj_t BgL_arg1380z00_963;

									BgL_arg1379z00_962 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_945)))->BgL_varsz00);
									BgL_arg1380z00_963 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_961))->
										BgL_bindz00);
									BgL_auxz00_2616 =
										BGl_appendzd221011zd2zz__evaluate_avarz00
										(BgL_arg1379z00_962, BgL_arg1380z00_963);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_961))->BgL_bindz00) =
									((obj_t) BgL_auxz00_2616), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 196 */
							obj_t BgL_g1143z00_964;

							BgL_g1143z00_964 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_945)))->BgL_varsz00);
							{
								obj_t BgL_l1141z00_1735;

								BgL_l1141z00_1735 = BgL_g1143z00_964;
							BgL_zc3anonymousza31381ze3z83_1734:
								if (PAIRP(BgL_l1141z00_1735))
									{	/* Eval/evaluate_avar.scm 196 */
										{	/* Eval/evaluate_avar.scm 196 */
											obj_t BgL_vz00_1741;

											BgL_vz00_1741 = CAR(BgL_l1141z00_1735);
											{	/* Eval/evaluate_avar.scm 196 */
												BgL_ev_varz00_bglt BgL_i1083z00_1742;

												BgL_i1083z00_1742 =
													((BgL_ev_varz00_bglt) BgL_vz00_1741);
												((((BgL_ev_varz00_bglt) CREF(BgL_i1083z00_1742))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1141z00_2629;

											BgL_l1141z00_2629 = CDR(BgL_l1141z00_1735);
											BgL_l1141z00_1735 = BgL_l1141z00_2629;
											goto BgL_zc3anonymousza31381ze3z83_1734;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 196 */
										BgL_auxz00_2599 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2599);
				}
			}
		}
	}



/* &avar-ev_let*1204 */
	obj_t BGl_z62avarzd2ev_letza21204z12zz__evaluate_avarz00(obj_t
		BgL_envz00_2228, BgL_ev_letza2za2_bglt BgL_ez00_2229,
		obj_t BgL_localz00_2230, obj_t BgL_absz00_2231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 181 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_912;
				obj_t BgL_localz00_913;
				obj_t BgL_absz00_914;

				BgL_ez00_912 = BgL_ez00_2229;
				BgL_localz00_913 = BgL_localz00_2230;
				BgL_absz00_914 = BgL_absz00_2231;
				{	/* Eval/evaluate_avar.scm 183 */
					obj_t BgL_localz00_918;

					{	/* Eval/evaluate_avar.scm 183 */
						obj_t BgL_arg1374z00_943;

						BgL_arg1374z00_943 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_912)))->BgL_varsz00);
						BgL_localz00_918 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1374z00_943,
							BgL_localz00_913);
					}
					{	/* Eval/evaluate_avar.scm 184 */
						obj_t BgL_g1132z00_919;

						BgL_g1132z00_919 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_912)))->BgL_valsz00);
						{
							obj_t BgL_l1130z00_1615;

							BgL_l1130z00_1615 = BgL_g1132z00_919;
						BgL_zc3anonymousza31364ze3z83_1614:
							if (PAIRP(BgL_l1130z00_1615))
								{	/* Eval/evaluate_avar.scm 184 */
									{	/* Eval/evaluate_avar.scm 184 */
										obj_t BgL_ez00_1620;

										BgL_ez00_1620 = CAR(BgL_l1130z00_1615);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1620), BgL_localz00_918,
											BgL_absz00_914);
									}
									{
										obj_t BgL_l1130z00_2642;

										BgL_l1130z00_2642 = CDR(BgL_l1130z00_1615);
										BgL_l1130z00_1615 = BgL_l1130z00_2642;
										goto BgL_zc3anonymousza31364ze3z83_1614;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 184 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 185 */
						BgL_ev_exprz00_bglt BgL_arg1367z00_927;

						BgL_arg1367z00_927 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_912)))->BgL_bodyz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1367z00_927,
							BgL_localz00_918, BgL_absz00_914);
					}
					{	/* Eval/evaluate_avar.scm 186 */
						obj_t BgL_arg1368z00_928;

						BgL_arg1368z00_928 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_912)))->BgL_varsz00);
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_914), BgL_arg1368z00_928);
					}
					{
						obj_t BgL_auxz00_2651;

						{	/* Eval/evaluate_avar.scm 187 */
							obj_t BgL_l1133z00_929;

							BgL_l1133z00_929 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_912)))->BgL_varsz00);
							if (NULLP(BgL_l1133z00_929))
								{	/* Eval/evaluate_avar.scm 187 */
									BgL_auxz00_2651 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 187 */
									obj_t BgL_head1135z00_931;

									{	/* Eval/evaluate_avar.scm 187 */
										obj_t BgL_res1683z00_1630;

										BgL_res1683z00_1630 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1135z00_931 = BgL_res1683z00_1630;
									}
									{
										obj_t BgL_l1133z00_1666;
										obj_t BgL_tail1136z00_1667;

										BgL_l1133z00_1666 = BgL_l1133z00_929;
										BgL_tail1136z00_1667 = BgL_head1135z00_931;
									BgL_zc3anonymousza31370ze3z83_1665:
										if (NULLP(BgL_l1133z00_1666))
											{	/* Eval/evaluate_avar.scm 187 */
												BgL_auxz00_2651 = CDR(BgL_head1135z00_931);
											}
										else
											{	/* Eval/evaluate_avar.scm 187 */
												obj_t BgL_newtail1137z00_1675;

												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1373z00_1676;

													{
														BgL_ev_varz00_bglt BgL_auxz00_2660;

														{	/* Eval/evaluate_avar.scm 187 */
															obj_t BgL_pairz00_1683;

															BgL_pairz00_1683 = BgL_l1133z00_1666;
															BgL_auxz00_2660 =
																((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1683));
														}
														BgL_arg1373z00_1676 =
															(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2660))->
															BgL_effz00);
													}
													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_res1689z00_1686;

														BgL_res1689z00_1686 =
															MAKE_PAIR(BgL_arg1373z00_1676, BNIL);
														BgL_newtail1137z00_1675 = BgL_res1689z00_1686;
													}
												}
												SET_CDR(BgL_tail1136z00_1667, BgL_newtail1137z00_1675);
												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1372z00_1679;

													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_pairz00_1689;

														BgL_pairz00_1689 = BgL_l1133z00_1666;
														BgL_arg1372z00_1679 = CDR(BgL_pairz00_1689);
													}
													{
														obj_t BgL_tail1136z00_2668;
														obj_t BgL_l1133z00_2667;

														BgL_l1133z00_2667 = BgL_arg1372z00_1679;
														BgL_tail1136z00_2668 = BgL_newtail1137z00_1675;
														BgL_tail1136z00_1667 = BgL_tail1136z00_2668;
														BgL_l1133z00_1666 = BgL_l1133z00_2667;
														goto BgL_zc3anonymousza31370ze3z83_1665;
													}
												}
											}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_912))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2651), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let1202 */
	obj_t BGl_z62avarzd2ev_let1202zb0zz__evaluate_avarz00(obj_t BgL_envz00_2232,
		BgL_ev_letz00_bglt BgL_ez00_2233, obj_t BgL_localz00_2234,
		obj_t BgL_absz00_2235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 174 */
			{
				BgL_ev_letz00_bglt BgL_ez00_887;
				obj_t BgL_localz00_888;
				obj_t BgL_absz00_889;

				BgL_ez00_887 = BgL_ez00_2233;
				BgL_localz00_888 = BgL_localz00_2234;
				BgL_absz00_889 = BgL_absz00_2235;
				{	/* Eval/evaluate_avar.scm 176 */
					obj_t BgL_g1129z00_893;

					BgL_g1129z00_893 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_887)))->BgL_valsz00);
					{
						obj_t BgL_l1127z00_1587;

						BgL_l1127z00_1587 = BgL_g1129z00_893;
					BgL_zc3anonymousza31352ze3z83_1586:
						if (PAIRP(BgL_l1127z00_1587))
							{	/* Eval/evaluate_avar.scm 176 */
								{	/* Eval/evaluate_avar.scm 176 */
									obj_t BgL_ez00_1592;

									BgL_ez00_1592 = CAR(BgL_l1127z00_1587);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_1592), BgL_localz00_888,
										BgL_absz00_889);
								}
								{
									obj_t BgL_l1127z00_2677;

									BgL_l1127z00_2677 = CDR(BgL_l1127z00_1587);
									BgL_l1127z00_1587 = BgL_l1127z00_2677;
									goto BgL_zc3anonymousza31352ze3z83_1586;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 176 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 177 */
					BgL_ev_exprz00_bglt BgL_arg1355z00_901;
					obj_t BgL_arg1356z00_902;

					BgL_arg1355z00_901 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_887)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 177 */
						obj_t BgL_arg1359z00_903;

						BgL_arg1359z00_903 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_887)))->BgL_varsz00);
						BgL_arg1356z00_902 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1359z00_903,
							BgL_localz00_888);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1355z00_901,
						BgL_arg1356z00_902, BgL_absz00_889);
				}
				{	/* Eval/evaluate_avar.scm 178 */
					obj_t BgL_arg1360z00_904;

					BgL_arg1360z00_904 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_887)))->BgL_varsz00);
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_889), BgL_arg1360z00_904);
				}
				{
					obj_t BgL_auxz00_2689;

					{	/* Eval/evaluate_avar.scm 179 */
						obj_t BgL_arg1362z00_906;

						BgL_arg1362z00_906 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_887)))->BgL_varsz00);
						BgL_auxz00_2689 =
							BGl_filterz00zz__r4_control_features_6_9z00
							(BGl_proc1800z00zz__evaluate_avarz00, BgL_arg1362z00_906);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_887))->BgL_boxesz00) =
						((obj_t) BgL_auxz00_2689), BUNSPEC);
				}
			}
		}
	}



/* &<anonymous:1363> */
	obj_t BGl_z62zc3anonymousza31363ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2236, obj_t BgL_vz00_2237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 179 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2237)))->BgL_effz00);
		}
	}



/* &avar-ev_with-handler1200 */
	obj_t BGl_z62avarzd2ev_withzd2handler1200z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2238, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2239,
		obj_t BgL_localz00_2240, obj_t BgL_absz00_2241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 169 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_878;
				obj_t BgL_localz00_879;
				obj_t BgL_absz00_880;

				BgL_ez00_878 = BgL_ez00_2239;
				BgL_localz00_879 = BgL_localz00_2240;
				BgL_absz00_880 = BgL_absz00_2241;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_878))->
						BgL_handlerz00), BgL_localz00_879, BgL_absz00_880);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(BgL_ez00_878))->BgL_bodyz00), BgL_localz00_879,
					BgL_absz00_880);
			}
		}
	}



/* &avar-ev_unwind-prote1198 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote1198z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2242, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2243,
		obj_t BgL_localz00_2244, obj_t BgL_absz00_2245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 164 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_869;
				obj_t BgL_localz00_870;
				obj_t BgL_absz00_871;

				BgL_ez00_869 = BgL_ez00_2243;
				BgL_localz00_870 = BgL_localz00_2244;
				BgL_absz00_871 = BgL_absz00_2245;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_869))->BgL_ez00),
					BgL_localz00_870, BgL_absz00_871);
				return
					BGl_avarz00zz__evaluate_avarz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(BgL_ez00_869))->BgL_bodyz00), BgL_localz00_870,
					BgL_absz00_871);
			}
		}
	}



/* &avar-ev_bind-exit1196 */
	obj_t BGl_z62avarzd2ev_bindzd2exit1196z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2246, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2247,
		obj_t BgL_localz00_2248, obj_t BgL_absz00_2249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 159 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_857;
				obj_t BgL_localz00_858;
				obj_t BgL_absz00_859;

				BgL_ez00_857 = BgL_ez00_2247;
				BgL_localz00_858 = BgL_localz00_2248;
				BgL_absz00_859 = BgL_absz00_2249;
				{	/* Eval/evaluate_avar.scm 160 */
					BgL_ev_exprz00_bglt BgL_arg1343z00_1560;
					obj_t BgL_arg1344z00_1561;

					BgL_arg1343z00_1560 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_857))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1345z00_1562;

						BgL_arg1345z00_1562 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_857))->BgL_varz00);
						BgL_arg1344z00_1561 =
							MAKE_PAIR(((obj_t) BgL_arg1345z00_1562), BgL_localz00_858);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1343z00_1560,
						BgL_arg1344z00_1561, BgL_absz00_859);
				}
				{	/* Eval/evaluate_avar.scm 160 */
					obj_t BgL_arg1346z00_1563;

					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1347z00_1564;

						BgL_arg1347z00_1564 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_857))->BgL_varz00);
						BgL_arg1346z00_1563 =
							MAKE_PAIR(((obj_t) BgL_arg1347z00_1564), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_859), BgL_arg1346z00_1563);
				}
			}
		}
	}



/* &avar-ev_setlocal1194 */
	obj_t BGl_z62avarzd2ev_setlocal1194zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2250, BgL_ev_setlocalz00_bglt BgL_ez00_2251,
		obj_t BgL_localz00_2252, obj_t BgL_absz00_2253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 152 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_847;
				obj_t BgL_localz00_848;
				obj_t BgL_absz00_849;

				BgL_ez00_847 = BgL_ez00_2251;
				BgL_localz00_848 = BgL_localz00_2252;
				BgL_absz00_849 = BgL_absz00_2253;
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_varz00_bglt BgL_arg1341z00_1548;

					BgL_arg1341z00_1548 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_847))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 153 */
						BgL_ev_absz00_bglt BgL_absz00_1553;

						BgL_absz00_1553 = ((BgL_ev_absz00_bglt) BgL_absz00_849);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg1341z00_1548), BgL_localz00_848)))
							{	/* Eval/evaluate_avar.scm 153 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 153 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg1341z00_1548),
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1553))->
												BgL_freez00))))
									{	/* Eval/evaluate_avar.scm 153 */
										BFALSE;
									}
								else
									{
										obj_t BgL_auxz00_2725;

										{	/* Eval/evaluate_avar.scm 153 */
											obj_t BgL_arg1314z00_1558;

											BgL_arg1314z00_1558 =
												(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1553))->
												BgL_freez00);
											BgL_auxz00_2725 =
												MAKE_PAIR(((obj_t) BgL_arg1341z00_1548),
												BgL_arg1314z00_1558);
										}
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1553))->
												BgL_freez00) = ((obj_t) BgL_auxz00_2725), BUNSPEC);
									}
							}
					}
				}
				((((BgL_ev_varz00_bglt) CREF(
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_847))->BgL_vz00)))->
						BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_exprz00_bglt BgL_arg1342z00_1550;

					BgL_arg1342z00_1550 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_847)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1342z00_1550,
						BgL_localz00_848, BgL_absz00_849);
				}
			}
		}
	}



/* &avar-ev_hook1192 */
	obj_t BGl_z62avarzd2ev_hook1192zb0zz__evaluate_avarz00(obj_t BgL_envz00_2254,
		BgL_ev_hookz00_bglt BgL_ez00_2255, obj_t BgL_localz00_2256,
		obj_t BgL_absz00_2257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 148 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_839;
				obj_t BgL_localz00_840;
				obj_t BgL_absz00_841;

				BgL_ez00_839 = BgL_ez00_2255;
				BgL_localz00_840 = BgL_localz00_2256;
				BgL_absz00_841 = BgL_absz00_2257;
				return
					BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_839))->BgL_ez00),
					BgL_localz00_840, BgL_absz00_841);
			}
		}
	}



/* &avar-ev_prog21190 */
	obj_t BGl_z62avarzd2ev_prog21190zb0zz__evaluate_avarz00(obj_t BgL_envz00_2258,
		BgL_ev_prog2z00_bglt BgL_ez00_2259, obj_t BgL_localz00_2260,
		obj_t BgL_absz00_2261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 143 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_830;
				obj_t BgL_localz00_831;
				obj_t BgL_absz00_832;

				BgL_ez00_830 = BgL_ez00_2259;
				BgL_localz00_831 = BgL_localz00_2260;
				BgL_absz00_832 = BgL_absz00_2261;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_830))->BgL_e1z00),
					BgL_localz00_831, BgL_absz00_832);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_prog2z00_bglt)
							CREF(BgL_ez00_830))->BgL_e2z00), BgL_localz00_831,
					BgL_absz00_832);
			}
		}
	}



/* &avar-ev_list1188 */
	obj_t BGl_z62avarzd2ev_list1188zb0zz__evaluate_avarz00(obj_t BgL_envz00_2262,
		BgL_ev_listz00_bglt BgL_ez00_2263, obj_t BgL_localz00_2264,
		obj_t BgL_absz00_2265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 139 */
			{
				BgL_ev_listz00_bglt BgL_ez00_815;
				obj_t BgL_localz00_816;
				obj_t BgL_absz00_817;

				{	/* Eval/evaluate_avar.scm 140 */
					bool_t BgL_auxz00_2741;

					BgL_ez00_815 = BgL_ez00_2263;
					BgL_localz00_816 = BgL_localz00_2264;
					BgL_absz00_817 = BgL_absz00_2265;
					{	/* Eval/evaluate_avar.scm 140 */
						obj_t BgL_g1126z00_1509;

						BgL_g1126z00_1509 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_815))->BgL_argsz00);
						{
							obj_t BgL_l1124z00_1531;

							BgL_l1124z00_1531 = BgL_g1126z00_1509;
						BgL_zc3anonymousza31335ze3z83_1530:
							if (PAIRP(BgL_l1124z00_1531))
								{	/* Eval/evaluate_avar.scm 140 */
									{	/* Eval/evaluate_avar.scm 140 */
										obj_t BgL_ez00_1536;

										BgL_ez00_1536 = CAR(BgL_l1124z00_1531);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1536), BgL_localz00_816,
											BgL_absz00_817);
									}
									{
										obj_t BgL_l1124z00_2748;

										BgL_l1124z00_2748 = CDR(BgL_l1124z00_1531);
										BgL_l1124z00_1531 = BgL_l1124z00_2748;
										goto BgL_zc3anonymousza31335ze3z83_1530;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 140 */
									BgL_auxz00_2741 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2741);
				}
			}
		}
	}



/* &avar-ev_if1186 */
	obj_t BGl_z62avarzd2ev_if1186zb0zz__evaluate_avarz00(obj_t BgL_envz00_2266,
		BgL_ev_ifz00_bglt BgL_ez00_2267, obj_t BgL_localz00_2268,
		obj_t BgL_absz00_2269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 133 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_805;
				obj_t BgL_localz00_806;
				obj_t BgL_absz00_807;

				BgL_ez00_805 = BgL_ez00_2267;
				BgL_localz00_806 = BgL_localz00_2268;
				BgL_absz00_807 = BgL_absz00_2269;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_805))->BgL_pz00),
					BgL_localz00_806, BgL_absz00_807);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_805))->BgL_tz00), BgL_localz00_806, BgL_absz00_807);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_805))->BgL_ez00), BgL_localz00_806, BgL_absz00_807);
			}
		}
	}



/* &avar-ev_litt1184 */
	obj_t BGl_z62avarzd2ev_litt1184zb0zz__evaluate_avarz00(obj_t BgL_envz00_2270,
		BgL_ev_littz00_bglt BgL_ez00_2271, obj_t BgL_localz00_2272,
		obj_t BgL_absz00_2273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 130 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global1182 */
	obj_t BGl_z62avarzd2ev_global1182zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2274, BgL_ev_globalz00_bglt BgL_varz00_2275,
		obj_t BgL_localz00_2276, obj_t BgL_absz00_2277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 127 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var1180 */
	obj_t BGl_z62avarzd2ev_var1180zb0zz__evaluate_avarz00(obj_t BgL_envz00_2278,
		BgL_ev_varz00_bglt BgL_varz00_2279, obj_t BgL_localz00_2280,
		obj_t BgL_absz00_2281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 124 */
			{
				BgL_ev_varz00_bglt BgL_varz00_787;
				obj_t BgL_localz00_788;
				obj_t BgL_absz00_789;

				BgL_varz00_787 = BgL_varz00_2279;
				BgL_localz00_788 = BgL_localz00_2280;
				BgL_absz00_789 = BgL_absz00_2281;
				{	/* Eval/evaluate_avar.scm 125 */
					BgL_ev_absz00_bglt BgL_absz00_1498;

					BgL_absz00_1498 = ((BgL_ev_absz00_bglt) BgL_absz00_789);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_787), BgL_localz00_788)))
						{	/* Eval/evaluate_avar.scm 125 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 125 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_787),
										(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1498))->
											BgL_freez00))))
								{	/* Eval/evaluate_avar.scm 125 */
									return BFALSE;
								}
							else
								{
									obj_t BgL_auxz00_2767;

									{	/* Eval/evaluate_avar.scm 125 */
										obj_t BgL_arg1314z00_1503;

										BgL_arg1314z00_1503 =
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1498))->
											BgL_freez00);
										BgL_auxz00_2767 =
											MAKE_PAIR(((obj_t) BgL_varz00_787), BgL_arg1314z00_1503);
									}
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1498))->
											BgL_freez00) = ((obj_t) BgL_auxz00_2767), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1801z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
