/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncomp1176z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol1849z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1874z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1876z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_symbol1878z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1880z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1882z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1884z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1886z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1888z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_orz00_bglt);
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1890z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1892z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1894z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1896z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1898z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_gotoz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_appz00_bglt);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_prog2z00_bglt);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_absz00_bglt);
	static obj_t BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_defglobalz00_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_labelsz00_bglt);
	static obj_t BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setglobalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_andz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_ifz00_bglt);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00(obj_t,
		BgL_ev_letza2za2_bglt);
	static obj_t BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_globalz00_bglt);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setlocalz00_bglt);
	static obj_t BGl_symbol1900z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1902z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_trapz00_bglt);
	static obj_t BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_littz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1901z00zz__evaluate_uncompz00,
		BgL_bgl_string1901za700za7za7_1905za7, "if", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71906za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1903z00zz__evaluate_uncompz00,
		BgL_bgl_string1903za700za7za7_1907za7, "quote", 5);
	      DEFINE_STRING(BGl_string1904z00zz__evaluate_uncompz00,
		BgL_bgl_string1904za700za7za7_1908za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1844z00zz__evaluate_uncompz00,
		BgL_bgl_string1844za700za7za7_1909za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1845z00zz__evaluate_uncompz00,
		BgL_bgl_string1845za700za7za7_1910za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1846z00zz__evaluate_uncompz00,
		BgL_bgl_string1846za700za7za7_1911za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1848z00zz__evaluate_uncompz00,
		BgL_bgl_string1848za700za7za7_1912za7, "uncomp1176", 10);
	      DEFINE_STRING(BGl_string1850z00zz__evaluate_uncompz00,
		BgL_bgl_string1850za700za7za7_1913za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1851z00zz__evaluate_uncompz00,
		BgL_bgl_string1851za700za7za7_1914za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1853z00zz__evaluate_uncompz00,
		BgL_bgl_string1853za700za7za7_1915za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1176za7621916z00,
		BGl_z62uncomp1176z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1917z00,
		BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1918z00,
		BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1919z00,
		BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1920z00,
		BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1921z00,
		BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1922z00,
		BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1923z00,
		BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1924z00,
		BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1925z00,
		BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1926z00,
		BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1927z00,
		BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1928z00,
		BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1929z00,
		BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1930z00,
		BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1931z00,
		BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1932z00,
		BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1875z00zz__evaluate_uncompz00,
		BgL_bgl_string1875za700za7za7_1933za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1934z00,
		BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1877z00zz__evaluate_uncompz00,
		BgL_bgl_string1877za700za7za7_1935za7, "letrec", 6);
	      DEFINE_STRING(BGl_string1879z00zz__evaluate_uncompz00,
		BgL_bgl_string1879za700za7za7_1936za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1937z00,
		BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1938z00,
		BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1939z00,
		BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1940z00,
		BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1881z00zz__evaluate_uncompz00,
		BgL_bgl_string1881za700za7za7_1941za7, "let", 3);
	      DEFINE_STRING(BGl_string1883z00zz__evaluate_uncompz00,
		BgL_bgl_string1883za700za7za7_1942za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1885z00zz__evaluate_uncompz00,
		BgL_bgl_string1885za700za7za7_1943za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1887z00zz__evaluate_uncompz00,
		BgL_bgl_string1887za700za7za7_1944za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1889z00zz__evaluate_uncompz00,
		BgL_bgl_string1889za700za7za7_1945za7, "set!", 4);
	      DEFINE_STRING(BGl_string1891z00zz__evaluate_uncompz00,
		BgL_bgl_string1891za700za7za7_1946za7, "define", 6);
	      DEFINE_STRING(BGl_string1893z00zz__evaluate_uncompz00,
		BgL_bgl_string1893za700za7za7_1947za7, "trap", 4);
	      DEFINE_STRING(BGl_string1895z00zz__evaluate_uncompz00,
		BgL_bgl_string1895za700za7za7_1948za7, "begin", 5);
	      DEFINE_STRING(BGl_string1897z00zz__evaluate_uncompz00,
		BgL_bgl_string1897za700za7za7_1949za7, "and", 3);
	      DEFINE_STRING(BGl_string1899z00zz__evaluate_uncompz00,
		BgL_bgl_string1899za700za7za7_1950za7, "or", 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1951z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2110, char *BgL_fromz00_2111)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1849z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1848z00zz__evaluate_uncompz00);
			BGl_symbol1874z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1875z00zz__evaluate_uncompz00);
			BGl_symbol1876z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1877z00zz__evaluate_uncompz00);
			BGl_symbol1878z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1879z00zz__evaluate_uncompz00);
			BGl_symbol1880z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1881z00zz__evaluate_uncompz00);
			BGl_symbol1882z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1883z00zz__evaluate_uncompz00);
			BGl_symbol1884z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1885z00zz__evaluate_uncompz00);
			BGl_symbol1886z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1887z00zz__evaluate_uncompz00);
			BGl_symbol1888z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1889z00zz__evaluate_uncompz00);
			BGl_symbol1890z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1891z00zz__evaluate_uncompz00);
			BGl_symbol1892z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1893z00zz__evaluate_uncompz00);
			BGl_symbol1894z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1895z00zz__evaluate_uncompz00);
			BGl_symbol1896z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1897z00zz__evaluate_uncompz00);
			BGl_symbol1898z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1899z00zz__evaluate_uncompz00);
			BGl_symbol1900z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1901z00zz__evaluate_uncompz00);
			return (BGl_symbol1902z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1903z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2031,
		obj_t BgL_ez00_2032)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2107;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2032,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2107 = ((BgL_ev_exprz00_bglt) BgL_ez00_2032);
					}
				else
					{
						obj_t BgL_auxz00_2139;

						BgL_auxz00_2139 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1844z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1845z00zz__evaluate_uncompz00,
							BGl_string1846z00zz__evaluate_uncompz00, BgL_ez00_2032);
						FAILURE(BgL_auxz00_2139, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2107);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1847z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1848z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1176 */
	obj_t BGl_z62uncomp1176z62zz__evaluate_uncompz00(obj_t BgL_envz00_2034,
		BgL_ev_exprz00_bglt BgL_ez00_2035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_647;

				BgL_ez00_647 = BgL_ez00_2035;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1849z00zz__evaluate_uncompz00,
					BGl_string1850z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_647));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1178z00_650;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1731z00_1334;

					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_objectz00_bglt BgL_objz00_1306;

						BgL_objz00_1306 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_objzd2classzd2numz00_1307;

							{	/* Eval/evaluate_uncomp.scm 65 */
								long BgL_res1725z00_1310;

								BgL_res1725z00_1310 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1306);
								BgL_objzd2classzd2numz00_1307 = BgL_res1725z00_1310;
							}
							{	/* Eval/evaluate_uncomp.scm 65 */
								obj_t BgL_arg1719z00_1308;

								BgL_arg1719z00_1308 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 65 */
									obj_t BgL_arrayz00_1311;
									int BgL_offsetz00_1312;

									BgL_arrayz00_1311 = BgL_arg1719z00_1308;
									BgL_offsetz00_1312 = (int) (BgL_objzd2classzd2numz00_1307);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_offsetz00_1313;

										BgL_offsetz00_1313 =
											((long) (BgL_offsetz00_1312) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_modz00_1314;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1721z00_1315;

												BgL_arg1721z00_1315 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1728z00_1325;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2155;

														BgL_auxz00_2155 = (long) (BgL_arg1721z00_1315);
														BgL_res1728z00_1325 =
															(BgL_offsetz00_1313 / BgL_auxz00_2155);
													}
													BgL_modz00_1314 = BgL_res1728z00_1325;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_restz00_1316;

												{	/* Eval/evaluate_uncomp.scm 65 */
													int BgL_arg1720z00_1317;

													BgL_arg1720z00_1317 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_res1730z00_1329;

														{	/* Eval/evaluate_uncomp.scm 65 */
															long BgL_auxz00_2159;

															BgL_auxz00_2159 = (long) (BgL_arg1720z00_1317);
															BgL_res1730z00_1329 =
																(BgL_offsetz00_1313 % BgL_auxz00_2159);
														}
														BgL_restz00_1316 = BgL_res1730z00_1329;
												}}
												{	/* Eval/evaluate_uncomp.scm 65 */

													BgL_res1731z00_1334 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1311,
															(int) (BgL_modz00_1314)),
														(int) (BgL_restz00_1316));
					}}}}}}}}
					BgL_method1178z00_650 = BgL_res1731z00_1334;
				}
				return
					PROCEDURE_ENTRY(BgL_method1178z00_650) (BgL_method1178z00_650,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2036,
		obj_t BgL_ez00_2037)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2171;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2037,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2171 = ((BgL_ev_exprz00_bglt) BgL_ez00_2037);
					}
				else
					{
						obj_t BgL_auxz00_2175;

						BgL_auxz00_2175 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1844z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1851z00zz__evaluate_uncompz00,
							BGl_string1846z00zz__evaluate_uncompz00, BgL_ez00_2037);
						FAILURE(BgL_auxz00_2175, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2171);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1852z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1854z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1855z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1856z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1857z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1858z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1859z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1860z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1862z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1863z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1864z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1865z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1867z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1873z00zz__evaluate_uncompz00,
				BGl_string1853z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1220 */
	obj_t BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2059, BgL_ev_absz00_bglt BgL_ez00_2060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1009;

				BgL_ez00_1009 = BgL_ez00_2060;
				{	/* Eval/evaluate_uncomp.scm 162 */
					obj_t BgL_arg1485z00_1014;

					{	/* Eval/evaluate_uncomp.scm 162 */
						obj_t BgL_arg1486z00_1015;
						obj_t BgL_arg1487z00_1016;

						{	/* Eval/evaluate_uncomp.scm 162 */
							obj_t BgL_arg1489z00_1017;
							obj_t BgL_arg1490z00_1018;

							BgL_arg1489z00_1017 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1009))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 162 */
								obj_t BgL_l1161z00_1019;

								BgL_l1161z00_1019 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1009))->BgL_varsz00);
								if (NULLP(BgL_l1161z00_1019))
									{	/* Eval/evaluate_uncomp.scm 162 */
										BgL_arg1490z00_1018 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 162 */
										obj_t BgL_head1163z00_1021;

										{	/* Eval/evaluate_uncomp.scm 162 */
											obj_t BgL_res1792z00_1726;

											BgL_res1792z00_1726 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1163z00_1021 = BgL_res1792z00_1726;
										}
										{
											obj_t BgL_l1161z00_1762;
											obj_t BgL_tail1164z00_1763;

											BgL_l1161z00_1762 = BgL_l1161z00_1019;
											BgL_tail1164z00_1763 = BgL_head1163z00_1021;
										BgL_zc3anonymousza31492ze3z83_1761:
											if (NULLP(BgL_l1161z00_1762))
												{	/* Eval/evaluate_uncomp.scm 162 */
													BgL_arg1490z00_1018 = CDR(BgL_head1163z00_1021);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 162 */
													obj_t BgL_newtail1165z00_1771;

													{	/* Eval/evaluate_uncomp.scm 162 */
														obj_t BgL_arg1496z00_1772;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2209;

															{	/* Eval/evaluate_uncomp.scm 162 */
																obj_t BgL_pairz00_1779;

																BgL_pairz00_1779 = BgL_l1161z00_1762;
																BgL_auxz00_2209 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1779));
															}
															BgL_arg1496z00_1772 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2209))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 162 */
															obj_t BgL_res1798z00_1782;

															BgL_res1798z00_1782 =
																MAKE_PAIR(BgL_arg1496z00_1772, BNIL);
															BgL_newtail1165z00_1771 = BgL_res1798z00_1782;
														}
													}
													SET_CDR(BgL_tail1164z00_1763,
														BgL_newtail1165z00_1771);
													{
														obj_t BgL_tail1164z00_2217;
														obj_t BgL_l1161z00_2215;

														BgL_l1161z00_2215 = CDR(BgL_l1161z00_1762);
														BgL_tail1164z00_2217 = BgL_newtail1165z00_1771;
														BgL_tail1164z00_1763 = BgL_tail1164z00_2217;
														BgL_l1161z00_1762 = BgL_l1161z00_2215;
														goto BgL_zc3anonymousza31492ze3z83_1761;
													}
												}
										}
									}
							}
							BgL_arg1486z00_1015 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1489z00_1017,
								BgL_arg1490z00_1018);
						}
						BgL_arg1487z00_1016 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1009))->BgL_bodyz00)),
							BNIL);
						BgL_arg1485z00_1014 =
							MAKE_PAIR(BgL_arg1486z00_1015, BgL_arg1487z00_1016);
					}
					return
						MAKE_PAIR(BGl_symbol1874z00zz__evaluate_uncompz00,
						BgL_arg1485z00_1014);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 158 */
			if (NULLP(CDR(BgL_lz00_1040)))
				{	/* Eval/evaluate_uncomp.scm 159 */
					return CAR(BgL_lz00_1040);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 159 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1040),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1040)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1035,
		obj_t BgL_lz00_1036)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 161 */
			if (((long) CINT(BgL_nz00_1035) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BgL_lz00_1036;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1036);
				}
		}
	}



/* &uncomp-ev_app1218 */
	obj_t BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2061, BgL_ev_appz00_bglt BgL_ez00_2062)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_appz00_bglt BgL_ez00_984;

				BgL_ez00_984 = BgL_ez00_2062;
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1471z00_988;
					obj_t BgL_arg1472z00_989;

					BgL_arg1471z00_988 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_984))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1475z00_991;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1155z00_992;

							BgL_l1155z00_992 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_984))->BgL_argsz00);
							if (NULLP(BgL_l1155z00_992))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1475z00_991 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1157z00_994;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1483z00_1006;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1484z00_1007;

											BgL_arg1484z00_1007 = CAR(BgL_l1155z00_992);
											BgL_arg1483z00_1006 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1484z00_1007));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1782z00_1659;

											BgL_res1782z00_1659 =
												MAKE_PAIR(BgL_arg1483z00_1006, BNIL);
											BgL_head1157z00_994 = BgL_res1782z00_1659;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1160z00_995;

										BgL_g1160z00_995 = CDR(BgL_l1155z00_992);
										{
											obj_t BgL_l1155z00_1692;
											obj_t BgL_tail1158z00_1693;

											BgL_l1155z00_1692 = BgL_g1160z00_995;
											BgL_tail1158z00_1693 = BgL_head1157z00_994;
										BgL_zc3anonymousza31477ze3z83_1691:
											if (NULLP(BgL_l1155z00_1692))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1475z00_991 = BgL_head1157z00_994;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1159z00_1700;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1480z00_1701;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1481z00_1702;

															BgL_arg1481z00_1702 = CAR(BgL_l1155z00_1692);
															BgL_arg1480z00_1701 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1481z00_1702));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1788z00_1709;

															BgL_res1788z00_1709 =
																MAKE_PAIR(BgL_arg1480z00_1701, BNIL);
															BgL_newtail1159z00_1700 = BgL_res1788z00_1709;
														}
													}
													SET_CDR(BgL_tail1158z00_1693,
														BgL_newtail1159z00_1700);
													{
														obj_t BgL_tail1158z00_2255;
														obj_t BgL_l1155z00_2253;

														BgL_l1155z00_2253 = CDR(BgL_l1155z00_1692);
														BgL_tail1158z00_2255 = BgL_newtail1159z00_1700;
														BgL_tail1158z00_1693 = BgL_tail1158z00_2255;
														BgL_l1155z00_1692 = BgL_l1155z00_2253;
														goto BgL_zc3anonymousza31477ze3z83_1691;
													}
												}
										}
									}
								}
						}
						BgL_arg1472z00_989 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1475z00_991, BNIL);
					}
					return MAKE_PAIR(BgL_arg1471z00_988, BgL_arg1472z00_989);
				}
			}
		}
	}



/* &uncomp-ev_goto1216 */
	obj_t BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2063, BgL_ev_gotoz00_bglt BgL_ez00_2064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 145 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_959;

				BgL_ez00_959 = BgL_ez00_2064;
				{	/* Eval/evaluate_uncomp.scm 147 */
					obj_t BgL_arg1457z00_963;
					obj_t BgL_arg1458z00_964;

					{	/* Eval/evaluate_uncomp.scm 147 */
						BgL_ev_varz00_bglt BgL_arg1459z00_965;

						BgL_arg1459z00_965 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_959))->BgL_labelz00);
						BgL_arg1457z00_963 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1459z00_965));
					}
					{	/* Eval/evaluate_uncomp.scm 147 */
						obj_t BgL_arg1460z00_966;

						{	/* Eval/evaluate_uncomp.scm 147 */
							obj_t BgL_l1149z00_967;

							BgL_l1149z00_967 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_959))->BgL_argsz00);
							if (NULLP(BgL_l1149z00_967))
								{	/* Eval/evaluate_uncomp.scm 147 */
									BgL_arg1460z00_966 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 147 */
									obj_t BgL_head1151z00_969;

									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_arg1468z00_981;

										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_arg1470z00_982;

											BgL_arg1470z00_982 = CAR(BgL_l1149z00_967);
											BgL_arg1468z00_981 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1470z00_982));
										}
										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_res1774z00_1600;

											BgL_res1774z00_1600 = MAKE_PAIR(BgL_arg1468z00_981, BNIL);
											BgL_head1151z00_969 = BgL_res1774z00_1600;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_g1154z00_970;

										BgL_g1154z00_970 = CDR(BgL_l1149z00_967);
										{
											obj_t BgL_l1149z00_1633;
											obj_t BgL_tail1152z00_1634;

											BgL_l1149z00_1633 = BgL_g1154z00_970;
											BgL_tail1152z00_1634 = BgL_head1151z00_969;
										BgL_zc3anonymousza31462ze3z83_1632:
											if (NULLP(BgL_l1149z00_1633))
												{	/* Eval/evaluate_uncomp.scm 147 */
													BgL_arg1460z00_966 = BgL_head1151z00_969;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 147 */
													obj_t BgL_newtail1153z00_1641;

													{	/* Eval/evaluate_uncomp.scm 147 */
														obj_t BgL_arg1465z00_1642;

														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_arg1466z00_1643;

															BgL_arg1466z00_1643 = CAR(BgL_l1149z00_1633);
															BgL_arg1465z00_1642 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1466z00_1643));
														}
														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_res1780z00_1650;

															BgL_res1780z00_1650 =
																MAKE_PAIR(BgL_arg1465z00_1642, BNIL);
															BgL_newtail1153z00_1641 = BgL_res1780z00_1650;
														}
													}
													SET_CDR(BgL_tail1152z00_1634,
														BgL_newtail1153z00_1641);
													{
														obj_t BgL_tail1152z00_2278;
														obj_t BgL_l1149z00_2276;

														BgL_l1149z00_2276 = CDR(BgL_l1149z00_1633);
														BgL_tail1152z00_2278 = BgL_newtail1153z00_1641;
														BgL_tail1152z00_1634 = BgL_tail1152z00_2278;
														BgL_l1149z00_1633 = BgL_l1149z00_2276;
														goto BgL_zc3anonymousza31462ze3z83_1632;
													}
												}
										}
									}
								}
						}
						BgL_arg1458z00_964 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1460z00_966, BNIL);
					}
					return MAKE_PAIR(BgL_arg1457z00_963, BgL_arg1458z00_964);
				}
			}
		}
	}



/* &uncomp-ev_labels1214 */
	obj_t BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2065, BgL_ev_labelsz00_bglt BgL_ez00_2066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_908;

				BgL_ez00_908 = BgL_ez00_2066;
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1419z00_912;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1420z00_913;
						obj_t BgL_arg1421z00_914;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1143z00_915;
							obj_t BgL_ll1144z00_916;

							BgL_ll1143z00_915 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_908))->BgL_varsz00);
							BgL_ll1144z00_916 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_908))->BgL_valsz00);
							if (NULLP(BgL_ll1143z00_915))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1420z00_913 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1145z00_918;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1762z00_1521;

										BgL_res1762z00_1521 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1145z00_918 = BgL_res1762z00_1521;
									}
									{
										obj_t BgL_ll1143z00_920;
										obj_t BgL_ll1144z00_921;
										obj_t BgL_tail1146z00_922;

										BgL_ll1143z00_920 = BgL_ll1143z00_915;
										BgL_ll1144z00_921 = BgL_ll1144z00_916;
										BgL_tail1146z00_922 = BgL_head1145z00_918;
									BgL_zc3anonymousza31423ze3z83_923:
										if (NULLP(BgL_ll1143z00_920))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1420z00_913 = CDR(BgL_head1145z00_918);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1147z00_925;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1427z00_928;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_929;
														obj_t BgL_az00_930;

														BgL_vz00_929 = CAR(BgL_ll1143z00_920);
														BgL_az00_930 = CAR(BgL_ll1144z00_921);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1428z00_931;
															obj_t BgL_arg1429z00_932;

															BgL_arg1428z00_931 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_929));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1430z00_933;

																{	/* Eval/evaluate_uncomp.scm 140 */
																	obj_t BgL_arg1431z00_934;

																	{	/* Eval/evaluate_uncomp.scm 140 */
																		obj_t BgL_arg1433z00_935;
																		obj_t BgL_arg1434z00_936;

																		{	/* Eval/evaluate_uncomp.scm 140 */
																			obj_t BgL_l1137z00_937;

																			BgL_l1137z00_937 = CAR(BgL_az00_930);
																			if (NULLP(BgL_l1137z00_937))
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					BgL_arg1433z00_935 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					obj_t BgL_head1139z00_939;

																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_arg1442z00_951;

																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_arg1444z00_952;

																							BgL_arg1444z00_952 =
																								CAR(BgL_l1137z00_937);
																							BgL_arg1442z00_951 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1444z00_952));
																						}
																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_res1765z00_1533;

																							BgL_res1765z00_1533 =
																								MAKE_PAIR(BgL_arg1442z00_951,
																								BNIL);
																							BgL_head1139z00_939 =
																								BgL_res1765z00_1533;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_g1142z00_940;

																						BgL_g1142z00_940 =
																							CDR(BgL_l1137z00_937);
																						{
																							obj_t BgL_l1137z00_1566;
																							obj_t BgL_tail1140z00_1567;

																							BgL_l1137z00_1566 =
																								BgL_g1142z00_940;
																							BgL_tail1140z00_1567 =
																								BgL_head1139z00_939;
																						BgL_zc3anonymousza31436ze3z83_1565:
																							if (NULLP(BgL_l1137z00_1566))
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									BgL_arg1433z00_935 =
																										BgL_head1139z00_939;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									obj_t BgL_newtail1141z00_1574;

																									{	/* Eval/evaluate_uncomp.scm 140 */
																										obj_t BgL_arg1439z00_1575;

																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_arg1440z00_1576;

																											BgL_arg1440z00_1576 =
																												CAR(BgL_l1137z00_1566);
																											BgL_arg1439z00_1575 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1440z00_1576));
																										}
																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_res1771z00_1583;

																											BgL_res1771z00_1583 =
																												MAKE_PAIR
																												(BgL_arg1439z00_1575,
																												BNIL);
																											BgL_newtail1141z00_1574 =
																												BgL_res1771z00_1583;
																										}
																									}
																									SET_CDR(BgL_tail1140z00_1567,
																										BgL_newtail1141z00_1574);
																									{
																										obj_t BgL_tail1140z00_2310;
																										obj_t BgL_l1137z00_2308;

																										BgL_l1137z00_2308 =
																											CDR(BgL_l1137z00_1566);
																										BgL_tail1140z00_2310 =
																											BgL_newtail1141z00_1574;
																										BgL_tail1140z00_1567 =
																											BgL_tail1140z00_2310;
																										BgL_l1137z00_1566 =
																											BgL_l1137z00_2308;
																										goto
																											BgL_zc3anonymousza31436ze3z83_1565;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 141 */
																			obj_t BgL_arg1447z00_953;

																			{	/* Eval/evaluate_uncomp.scm 141 */
																				obj_t BgL_arg1448z00_954;

																				BgL_arg1448z00_954 = CDR(BgL_az00_930);
																				BgL_arg1447z00_953 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1448z00_954));
																			}
																			BgL_arg1434z00_936 =
																				MAKE_PAIR(BgL_arg1447z00_953, BNIL);
																		}
																		BgL_arg1431z00_934 =
																			MAKE_PAIR(BgL_arg1433z00_935,
																			BgL_arg1434z00_936);
																	}
																	BgL_arg1430z00_933 =
																		MAKE_PAIR
																		(BGl_symbol1874z00zz__evaluate_uncompz00,
																		BgL_arg1431z00_934);
																}
																BgL_arg1429z00_932 =
																	MAKE_PAIR(BgL_arg1430z00_933, BNIL);
															}
															BgL_arg1427z00_928 =
																MAKE_PAIR(BgL_arg1428z00_931,
																BgL_arg1429z00_932);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1772z00_1590;

														BgL_res1772z00_1590 =
															MAKE_PAIR(BgL_arg1427z00_928, BNIL);
														BgL_newtail1147z00_925 = BgL_res1772z00_1590;
													}
												}
												SET_CDR(BgL_tail1146z00_922, BgL_newtail1147z00_925);
												{
													obj_t BgL_tail1146z00_2325;
													obj_t BgL_ll1144z00_2323;
													obj_t BgL_ll1143z00_2321;

													BgL_ll1143z00_2321 = CDR(BgL_ll1143z00_920);
													BgL_ll1144z00_2323 = CDR(BgL_ll1144z00_921);
													BgL_tail1146z00_2325 = BgL_newtail1147z00_925;
													BgL_tail1146z00_922 = BgL_tail1146z00_2325;
													BgL_ll1144z00_921 = BgL_ll1144z00_2323;
													BgL_ll1143z00_920 = BgL_ll1143z00_2321;
													goto BgL_zc3anonymousza31423ze3z83_923;
												}
											}
									}
								}
						}
						BgL_arg1421z00_914 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_908))->BgL_bodyz00)),
							BNIL);
						BgL_arg1419z00_912 =
							MAKE_PAIR(BgL_arg1420z00_913, BgL_arg1421z00_914);
					}
					return
						MAKE_PAIR(BGl_symbol1876z00zz__evaluate_uncompz00,
						BgL_arg1419z00_912);
				}
			}
		}
	}



/* &uncomp-ev_letrec1212 */
	obj_t BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2067, BgL_ev_letrecz00_bglt BgL_ez00_2068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_878;

				BgL_ez00_878 = BgL_ez00_2068;
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1405z00_882;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1406z00_883;
						obj_t BgL_arg1407z00_884;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1131z00_885;
							obj_t BgL_ll1132z00_886;

							BgL_ll1131z00_885 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_878)))->BgL_varsz00);
							BgL_ll1132z00_886 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_878)))->BgL_valsz00);
							if (NULLP(BgL_ll1131z00_885))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1406z00_883 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1133z00_888;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1758z00_1504;

										BgL_res1758z00_1504 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1133z00_888 = BgL_res1758z00_1504;
									}
									{
										obj_t BgL_ll1131z00_890;
										obj_t BgL_ll1132z00_891;
										obj_t BgL_tail1134z00_892;

										BgL_ll1131z00_890 = BgL_ll1131z00_885;
										BgL_ll1132z00_891 = BgL_ll1132z00_886;
										BgL_tail1134z00_892 = BgL_head1133z00_888;
									BgL_zc3anonymousza31409ze3z83_893:
										if (NULLP(BgL_ll1131z00_890))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1406z00_883 = CDR(BgL_head1133z00_888);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1135z00_895;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1413z00_898;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_899;
														obj_t BgL_az00_900;

														BgL_vz00_899 = CAR(BgL_ll1131z00_890);
														BgL_az00_900 = CAR(BgL_ll1132z00_891);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1414z00_901;
															obj_t BgL_arg1415z00_902;

															BgL_arg1414z00_901 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_899));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1416z00_903;

																BgL_arg1416z00_903 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_900));
																BgL_arg1415z00_902 =
																	MAKE_PAIR(BgL_arg1416z00_903, BNIL);
															}
															BgL_arg1413z00_898 =
																MAKE_PAIR(BgL_arg1414z00_901,
																BgL_arg1415z00_902);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1760z00_1512;

														BgL_res1760z00_1512 =
															MAKE_PAIR(BgL_arg1413z00_898, BNIL);
														BgL_newtail1135z00_895 = BgL_res1760z00_1512;
													}
												}
												SET_CDR(BgL_tail1134z00_892, BgL_newtail1135z00_895);
												{
													obj_t BgL_tail1134z00_2355;
													obj_t BgL_ll1132z00_2353;
													obj_t BgL_ll1131z00_2351;

													BgL_ll1131z00_2351 = CDR(BgL_ll1131z00_890);
													BgL_ll1132z00_2353 = CDR(BgL_ll1132z00_891);
													BgL_tail1134z00_2355 = BgL_newtail1135z00_895;
													BgL_tail1134z00_892 = BgL_tail1134z00_2355;
													BgL_ll1132z00_891 = BgL_ll1132z00_2353;
													BgL_ll1131z00_890 = BgL_ll1131z00_2351;
													goto BgL_zc3anonymousza31409ze3z83_893;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1417z00_905;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1418z00_906;

								BgL_arg1418z00_906 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_878)))->BgL_bodyz00);
								BgL_arg1417z00_905 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1418z00_906);
							}
							BgL_arg1407z00_884 = MAKE_PAIR(BgL_arg1417z00_905, BNIL);
						}
						BgL_arg1405z00_882 =
							MAKE_PAIR(BgL_arg1406z00_883, BgL_arg1407z00_884);
					}
					return
						MAKE_PAIR(BGl_symbol1876z00zz__evaluate_uncompz00,
						BgL_arg1405z00_882);
				}
			}
		}
	}



/* &uncomp-ev_let*1210 */
	obj_t BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2069, BgL_ev_letza2za2_bglt BgL_ez00_2070)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_848;

				BgL_ez00_848 = BgL_ez00_2070;
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1391z00_852;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1392z00_853;
						obj_t BgL_arg1393z00_854;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1125z00_855;
							obj_t BgL_ll1126z00_856;

							BgL_ll1125z00_855 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_848)))->BgL_varsz00);
							BgL_ll1126z00_856 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_848)))->BgL_valsz00);
							if (NULLP(BgL_ll1125z00_855))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1392z00_853 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1127z00_858;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1754z00_1487;

										BgL_res1754z00_1487 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1127z00_858 = BgL_res1754z00_1487;
									}
									{
										obj_t BgL_ll1125z00_860;
										obj_t BgL_ll1126z00_861;
										obj_t BgL_tail1128z00_862;

										BgL_ll1125z00_860 = BgL_ll1125z00_855;
										BgL_ll1126z00_861 = BgL_ll1126z00_856;
										BgL_tail1128z00_862 = BgL_head1127z00_858;
									BgL_zc3anonymousza31395ze3z83_863:
										if (NULLP(BgL_ll1125z00_860))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1392z00_853 = CDR(BgL_head1127z00_858);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1129z00_865;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1399z00_868;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_869;
														obj_t BgL_az00_870;

														BgL_vz00_869 = CAR(BgL_ll1125z00_860);
														BgL_az00_870 = CAR(BgL_ll1126z00_861);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1400z00_871;
															obj_t BgL_arg1401z00_872;

															BgL_arg1400z00_871 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_869));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1402z00_873;

																BgL_arg1402z00_873 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_870));
																BgL_arg1401z00_872 =
																	MAKE_PAIR(BgL_arg1402z00_873, BNIL);
															}
															BgL_arg1399z00_868 =
																MAKE_PAIR(BgL_arg1400z00_871,
																BgL_arg1401z00_872);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1756z00_1495;

														BgL_res1756z00_1495 =
															MAKE_PAIR(BgL_arg1399z00_868, BNIL);
														BgL_newtail1129z00_865 = BgL_res1756z00_1495;
													}
												}
												SET_CDR(BgL_tail1128z00_862, BgL_newtail1129z00_865);
												{
													obj_t BgL_tail1128z00_2386;
													obj_t BgL_ll1126z00_2384;
													obj_t BgL_ll1125z00_2382;

													BgL_ll1125z00_2382 = CDR(BgL_ll1125z00_860);
													BgL_ll1126z00_2384 = CDR(BgL_ll1126z00_861);
													BgL_tail1128z00_2386 = BgL_newtail1129z00_865;
													BgL_tail1128z00_862 = BgL_tail1128z00_2386;
													BgL_ll1126z00_861 = BgL_ll1126z00_2384;
													BgL_ll1125z00_860 = BgL_ll1125z00_2382;
													goto BgL_zc3anonymousza31395ze3z83_863;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1403z00_875;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1404z00_876;

								BgL_arg1404z00_876 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_848)))->BgL_bodyz00);
								BgL_arg1403z00_875 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1404z00_876);
							}
							BgL_arg1393z00_854 = MAKE_PAIR(BgL_arg1403z00_875, BNIL);
						}
						BgL_arg1391z00_852 =
							MAKE_PAIR(BgL_arg1392z00_853, BgL_arg1393z00_854);
					}
					return
						MAKE_PAIR(BGl_symbol1878z00zz__evaluate_uncompz00,
						BgL_arg1391z00_852);
				}
			}
		}
	}



/* &uncomp-ev_let1208 */
	obj_t BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2071, BgL_ev_letz00_bglt BgL_ez00_2072)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_letz00_bglt BgL_ez00_818;

				BgL_ez00_818 = BgL_ez00_2072;
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1376z00_822;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1377z00_823;
						obj_t BgL_arg1378z00_824;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_ll1119z00_825;
							obj_t BgL_ll1120z00_826;

							BgL_ll1119z00_825 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_818)))->BgL_varsz00);
							BgL_ll1120z00_826 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_818)))->BgL_valsz00);
							if (NULLP(BgL_ll1119z00_825))
								{	/* Eval/evaluate_uncomp.scm 128 */
									BgL_arg1377z00_823 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 128 */
									obj_t BgL_head1121z00_828;

									{	/* Eval/evaluate_uncomp.scm 128 */
										obj_t BgL_res1750z00_1470;

										BgL_res1750z00_1470 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1121z00_828 = BgL_res1750z00_1470;
									}
									{
										obj_t BgL_ll1119z00_830;
										obj_t BgL_ll1120z00_831;
										obj_t BgL_tail1122z00_832;

										BgL_ll1119z00_830 = BgL_ll1119z00_825;
										BgL_ll1120z00_831 = BgL_ll1120z00_826;
										BgL_tail1122z00_832 = BgL_head1121z00_828;
									BgL_zc3anonymousza31380ze3z83_833:
										if (NULLP(BgL_ll1119z00_830))
											{	/* Eval/evaluate_uncomp.scm 128 */
												BgL_arg1377z00_823 = CDR(BgL_head1121z00_828);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 128 */
												obj_t BgL_newtail1123z00_835;

												{	/* Eval/evaluate_uncomp.scm 128 */
													obj_t BgL_arg1385z00_838;

													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_vz00_839;
														obj_t BgL_az00_840;

														BgL_vz00_839 = CAR(BgL_ll1119z00_830);
														BgL_az00_840 = CAR(BgL_ll1120z00_831);
														{	/* Eval/evaluate_uncomp.scm 128 */
															obj_t BgL_arg1386z00_841;
															obj_t BgL_arg1387z00_842;

															BgL_arg1386z00_841 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_839));
															{	/* Eval/evaluate_uncomp.scm 128 */
																obj_t BgL_arg1388z00_843;

																BgL_arg1388z00_843 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_840));
																BgL_arg1387z00_842 =
																	MAKE_PAIR(BgL_arg1388z00_843, BNIL);
															}
															BgL_arg1385z00_838 =
																MAKE_PAIR(BgL_arg1386z00_841,
																BgL_arg1387z00_842);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_res1752z00_1478;

														BgL_res1752z00_1478 =
															MAKE_PAIR(BgL_arg1385z00_838, BNIL);
														BgL_newtail1123z00_835 = BgL_res1752z00_1478;
													}
												}
												SET_CDR(BgL_tail1122z00_832, BgL_newtail1123z00_835);
												{
													obj_t BgL_tail1122z00_2417;
													obj_t BgL_ll1120z00_2415;
													obj_t BgL_ll1119z00_2413;

													BgL_ll1119z00_2413 = CDR(BgL_ll1119z00_830);
													BgL_ll1120z00_2415 = CDR(BgL_ll1120z00_831);
													BgL_tail1122z00_2417 = BgL_newtail1123z00_835;
													BgL_tail1122z00_832 = BgL_tail1122z00_2417;
													BgL_ll1120z00_831 = BgL_ll1120z00_2415;
													BgL_ll1119z00_830 = BgL_ll1119z00_2413;
													goto BgL_zc3anonymousza31380ze3z83_833;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1389z00_845;

							{	/* Eval/evaluate_uncomp.scm 128 */
								BgL_ev_exprz00_bglt BgL_arg1390z00_846;

								BgL_arg1390z00_846 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_818)))->BgL_bodyz00);
								BgL_arg1389z00_845 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1390z00_846);
							}
							BgL_arg1378z00_824 = MAKE_PAIR(BgL_arg1389z00_845, BNIL);
						}
						BgL_arg1376z00_822 =
							MAKE_PAIR(BgL_arg1377z00_823, BgL_arg1378z00_824);
					}
					return
						MAKE_PAIR(BGl_symbol1880z00zz__evaluate_uncompz00,
						BgL_arg1376z00_822);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1206 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2073, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_807;

				BgL_ez00_807 = BgL_ez00_2074;
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1370z00_811;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1371z00_812;
						obj_t BgL_arg1372z00_813;

						BgL_arg1371z00_812 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_807))->
								BgL_handlerz00));
						BgL_arg1372z00_813 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_807))->
									BgL_bodyz00)), BNIL);
						BgL_arg1370z00_811 =
							MAKE_PAIR(BgL_arg1371z00_812, BgL_arg1372z00_813);
					}
					return
						MAKE_PAIR(BGl_symbol1882z00zz__evaluate_uncompz00,
						BgL_arg1370z00_811);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1204 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2075, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2076)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_796;

				BgL_ez00_796 = BgL_ez00_2076;
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1361z00_800;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1362z00_801;
						obj_t BgL_arg1366z00_802;

						BgL_arg1362z00_801 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_796))->
								BgL_ez00));
						BgL_arg1366z00_802 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_796))->
									BgL_bodyz00)), BNIL);
						BgL_arg1361z00_800 =
							MAKE_PAIR(BgL_arg1362z00_801, BgL_arg1366z00_802);
					}
					return
						MAKE_PAIR(BGl_symbol1884z00zz__evaluate_uncompz00,
						BgL_arg1361z00_800);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1202 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2077, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_784;

				BgL_ez00_784 = BgL_ez00_2078;
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1352z00_788;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1353z00_789;
						obj_t BgL_arg1354z00_790;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1355z00_791;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1356z00_792;

								BgL_arg1356z00_792 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_784))->
									BgL_varz00);
								BgL_arg1355z00_791 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1356z00_792));
							}
							BgL_arg1353z00_789 = MAKE_PAIR(BgL_arg1355z00_791, BNIL);
						}
						BgL_arg1354z00_790 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_784))->
									BgL_bodyz00)), BNIL);
						BgL_arg1352z00_788 =
							MAKE_PAIR(BgL_arg1353z00_789, BgL_arg1354z00_790);
					}
					return
						MAKE_PAIR(BGl_symbol1886z00zz__evaluate_uncompz00,
						BgL_arg1352z00_788);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1200 */
	obj_t BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2079, BgL_ev_setlocalz00_bglt BgL_ez00_2080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_773;

				BgL_ez00_773 = BgL_ez00_2080;
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1346z00_777;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1347z00_778;
						obj_t BgL_arg1348z00_779;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1349z00_780;

							BgL_arg1349z00_780 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_773))->BgL_vz00);
							BgL_arg1347z00_778 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1349z00_780));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1350z00_781;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1351z00_782;

								BgL_arg1351z00_782 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_773)))->BgL_ez00);
								BgL_arg1350z00_781 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1351z00_782);
							}
							BgL_arg1348z00_779 = MAKE_PAIR(BgL_arg1350z00_781, BNIL);
						}
						BgL_arg1346z00_777 =
							MAKE_PAIR(BgL_arg1347z00_778, BgL_arg1348z00_779);
					}
					return
						MAKE_PAIR(BGl_symbol1888z00zz__evaluate_uncompz00,
						BgL_arg1346z00_777);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1198 */
	obj_t BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2081, BgL_ev_defglobalz00_bglt BgL_ez00_2082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_763;

				BgL_ez00_763 = BgL_ez00_2082;
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1341z00_767;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1342z00_768;
						obj_t BgL_arg1343z00_769;

						BgL_arg1342z00_768 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_763)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1344z00_770;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1345z00_771;

								BgL_arg1345z00_771 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_763)))->BgL_ez00);
								BgL_arg1344z00_770 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1345z00_771);
							}
							BgL_arg1343z00_769 = MAKE_PAIR(BgL_arg1344z00_770, BNIL);
						}
						BgL_arg1341z00_767 =
							MAKE_PAIR(BgL_arg1342z00_768, BgL_arg1343z00_769);
					}
					return
						MAKE_PAIR(BGl_symbol1890z00zz__evaluate_uncompz00,
						BgL_arg1341z00_767);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1196 */
	obj_t BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2083, BgL_ev_setglobalz00_bglt BgL_ez00_2084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_753;

				BgL_ez00_753 = BgL_ez00_2084;
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1336z00_757;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1337z00_758;
						obj_t BgL_arg1338z00_759;

						BgL_arg1337z00_758 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_753))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1339z00_760;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1340z00_761;

								BgL_arg1340z00_761 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_753)))->BgL_ez00);
								BgL_arg1339z00_760 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1340z00_761);
							}
							BgL_arg1338z00_759 = MAKE_PAIR(BgL_arg1339z00_760, BNIL);
						}
						BgL_arg1336z00_757 =
							MAKE_PAIR(BgL_arg1337z00_758, BgL_arg1338z00_759);
					}
					return
						MAKE_PAIR(BGl_symbol1888z00zz__evaluate_uncompz00,
						BgL_arg1336z00_757);
				}
			}
		}
	}



/* &uncomp-ev_trap1194 */
	obj_t BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2085, BgL_ev_trapz00_bglt BgL_ez00_2086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_745;

				BgL_ez00_745 = BgL_ez00_2086;
				{	/* Eval/evaluate_uncomp.scm 99 */
					obj_t BgL_arg1333z00_1463;

					{	/* Eval/evaluate_uncomp.scm 99 */
						obj_t BgL_arg1334z00_1464;

						{	/* Eval/evaluate_uncomp.scm 99 */
							BgL_ev_exprz00_bglt BgL_arg1335z00_1465;

							BgL_arg1335z00_1465 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_745)))->BgL_ez00);
							BgL_arg1334z00_1464 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1335z00_1465);
						}
						BgL_arg1333z00_1463 = MAKE_PAIR(BgL_arg1334z00_1464, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1892z00zz__evaluate_uncompz00,
						BgL_arg1333z00_1463);
				}
			}
		}
	}



/* &uncomp-ev_prog21192 */
	obj_t BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2087, BgL_ev_prog2z00_bglt BgL_ez00_2088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_728;

				BgL_ez00_728 = BgL_ez00_2088;
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_732;
					obj_t BgL_e2z00_733;

					BgL_e1z00_732 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_728))->BgL_e1z00));
					BgL_e2z00_733 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_728))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2480;

						if (PAIRP(BgL_e2z00_733))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2480 =
									(CAR(BgL_e2z00_733) ==
									BGl_symbol1894z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2480 = ((bool_t) 0);
							}
						if (BgL_testz00_2480)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1320z00_735;

								BgL_arg1320z00_735 =
									MAKE_PAIR(BgL_e1z00_732,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_733), BNIL));
								return MAKE_PAIR(BGl_symbol1894z00zz__evaluate_uncompz00,
									BgL_arg1320z00_735);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1323z00_738;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1324z00_739;

									BgL_arg1324z00_739 = MAKE_PAIR(BgL_e2z00_733, BNIL);
									BgL_arg1323z00_738 =
										MAKE_PAIR(BgL_e1z00_732, BgL_arg1324z00_739);
								}
								return
									MAKE_PAIR(BGl_symbol1894z00zz__evaluate_uncompz00,
									BgL_arg1323z00_738);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1190 */
	obj_t BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2089, BgL_ev_andz00_bglt BgL_ez00_2090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_705;

				BgL_ez00_705 = BgL_ez00_2090;
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1304z00_709;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1305z00_710;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1113z00_711;

							BgL_l1113z00_711 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_705)))->BgL_argsz00);
							if (NULLP(BgL_l1113z00_711))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1305z00_710 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1115z00_713;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1317z00_725;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1318z00_726;

											BgL_arg1318z00_726 = CAR(BgL_l1113z00_711);
											BgL_arg1317z00_725 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1318z00_726));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1741z00_1404;

											BgL_res1741z00_1404 = MAKE_PAIR(BgL_arg1317z00_725, BNIL);
											BgL_head1115z00_713 = BgL_res1741z00_1404;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1118z00_714;

										BgL_g1118z00_714 = CDR(BgL_l1113z00_711);
										{
											obj_t BgL_l1113z00_1437;
											obj_t BgL_tail1116z00_1438;

											BgL_l1113z00_1437 = BgL_g1118z00_714;
											BgL_tail1116z00_1438 = BgL_head1115z00_713;
										BgL_zc3anonymousza31307ze3z83_1436:
											if (NULLP(BgL_l1113z00_1437))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1305z00_710 = BgL_head1115z00_713;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1117z00_1445;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1314z00_1446;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1315z00_1447;

															BgL_arg1315z00_1447 = CAR(BgL_l1113z00_1437);
															BgL_arg1314z00_1446 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1315z00_1447));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1747z00_1454;

															BgL_res1747z00_1454 =
																MAKE_PAIR(BgL_arg1314z00_1446, BNIL);
															BgL_newtail1117z00_1445 = BgL_res1747z00_1454;
														}
													}
													SET_CDR(BgL_tail1116z00_1438,
														BgL_newtail1117z00_1445);
													{
														obj_t BgL_tail1116z00_2510;
														obj_t BgL_l1113z00_2508;

														BgL_l1113z00_2508 = CDR(BgL_l1113z00_1437);
														BgL_tail1116z00_2510 = BgL_newtail1117z00_1445;
														BgL_tail1116z00_1438 = BgL_tail1116z00_2510;
														BgL_l1113z00_1437 = BgL_l1113z00_2508;
														goto BgL_zc3anonymousza31307ze3z83_1436;
													}
												}
										}
									}
								}
						}
						BgL_arg1304z00_709 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1305z00_710, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1896z00zz__evaluate_uncompz00,
						BgL_arg1304z00_709);
				}
			}
		}
	}



/* &uncomp-ev_or1188 */
	obj_t BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2091, BgL_ev_orz00_bglt BgL_ez00_2092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_682;

				BgL_ez00_682 = BgL_ez00_2092;
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1286z00_686;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1287z00_687;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1107z00_688;

							BgL_l1107z00_688 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_682)))->BgL_argsz00);
							if (NULLP(BgL_l1107z00_688))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1287z00_687 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1109z00_690;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1299z00_702;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1302z00_703;

											BgL_arg1302z00_703 = CAR(BgL_l1107z00_688);
											BgL_arg1299z00_702 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1302z00_703));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1733z00_1345;

											BgL_res1733z00_1345 = MAKE_PAIR(BgL_arg1299z00_702, BNIL);
											BgL_head1109z00_690 = BgL_res1733z00_1345;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1112z00_691;

										BgL_g1112z00_691 = CDR(BgL_l1107z00_688);
										{
											obj_t BgL_l1107z00_1378;
											obj_t BgL_tail1110z00_1379;

											BgL_l1107z00_1378 = BgL_g1112z00_691;
											BgL_tail1110z00_1379 = BgL_head1109z00_690;
										BgL_zc3anonymousza31289ze3z83_1377:
											if (NULLP(BgL_l1107z00_1378))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1287z00_687 = BgL_head1109z00_690;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1111z00_1386;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1296z00_1387;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1298z00_1388;

															BgL_arg1298z00_1388 = CAR(BgL_l1107z00_1378);
															BgL_arg1296z00_1387 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1298z00_1388));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1739z00_1395;

															BgL_res1739z00_1395 =
																MAKE_PAIR(BgL_arg1296z00_1387, BNIL);
															BgL_newtail1111z00_1386 = BgL_res1739z00_1395;
														}
													}
													SET_CDR(BgL_tail1110z00_1379,
														BgL_newtail1111z00_1386);
													{
														obj_t BgL_tail1110z00_2531;
														obj_t BgL_l1107z00_2529;

														BgL_l1107z00_2529 = CDR(BgL_l1107z00_1378);
														BgL_tail1110z00_2531 = BgL_newtail1111z00_1386;
														BgL_tail1110z00_1379 = BgL_tail1110z00_2531;
														BgL_l1107z00_1378 = BgL_l1107z00_2529;
														goto BgL_zc3anonymousza31289ze3z83_1377;
													}
												}
										}
									}
								}
						}
						BgL_arg1286z00_686 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1287z00_687, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1898z00zz__evaluate_uncompz00,
						BgL_arg1286z00_686);
				}
			}
		}
	}



/* &uncomp-ev_if1186 */
	obj_t BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2093, BgL_ev_ifz00_bglt BgL_ez00_2094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_668;

				BgL_ez00_668 = BgL_ez00_2094;
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1270z00_672;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1272z00_673;
						obj_t BgL_arg1274z00_674;

						BgL_arg1272z00_673 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_668))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1276z00_676;
							obj_t BgL_arg1277z00_677;

							BgL_arg1276z00_676 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_668))->BgL_tz00));
							BgL_arg1277z00_677 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_668))->BgL_ez00)), BNIL);
							BgL_arg1274z00_674 =
								MAKE_PAIR(BgL_arg1276z00_676, BgL_arg1277z00_677);
						}
						BgL_arg1270z00_672 =
							MAKE_PAIR(BgL_arg1272z00_673, BgL_arg1274z00_674);
					}
					return
						MAKE_PAIR(BGl_symbol1900z00zz__evaluate_uncompz00,
						BgL_arg1270z00_672);
				}
			}
		}
	}



/* &uncomp-ev_litt1184 */
	obj_t BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2095, BgL_ev_littz00_bglt BgL_ez00_2096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_661;

				BgL_ez00_661 = BgL_ez00_2096;
				{	/* Eval/evaluate_uncomp.scm 76 */
					obj_t BgL_arg1264z00_1338;

					BgL_arg1264z00_1338 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_661))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1902z00zz__evaluate_uncompz00,
						BgL_arg1264z00_1338);
				}
			}
		}
	}



/* &uncomp-ev_global1182 */
	obj_t BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2097, BgL_ev_globalz00_bglt BgL_varz00_2098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return (((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2098))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1180 */
	obj_t BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2099, BgL_ev_varz00_bglt BgL_varz00_2100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return (((BgL_ev_varz00_bglt) CREF(BgL_varz00_2100))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1904z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
