/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62use1109z62zz__evaluate_usez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1561z00zz__evaluate_usez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1560z00zz__evaluate_usez00,
		BgL_bgl_string1560za700za7za7_1585za7, "use1109", 7);
	      DEFINE_STRING(BGl_string1562z00zz__evaluate_usez00,
		BgL_bgl_string1562za700za7za7_1586za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1563z00zz__evaluate_usez00,
		BgL_bgl_string1563za700za7za7_1587za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1564z00zz__evaluate_usez00,
		BgL_bgl_string1564za700za7za7_1588za7, "&use", 4);
	      DEFINE_STRING(BGl_string1565z00zz__evaluate_usez00,
		BgL_bgl_string1565za700za7za7_1589za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1559z00zz__evaluate_usez00,
		BgL_bgl_za762use1109za762za7za7_1590z00,
		BGl_z62use1109z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1567z00zz__evaluate_usez00,
		BgL_bgl_string1567za700za7za7_1591za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1566z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11592z00,
		BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1568z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1593z00,
		BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1569z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1594z00,
		BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1570z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111595z00,
		BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1571z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1596z00,
		BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1572z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1597z00,
		BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1573z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1598z00,
		BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1574z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1599z00,
		BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1600z00,
		BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1576z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1601z00,
		BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1602z00,
		BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1584z00zz__evaluate_usez00,
		BgL_bgl_string1584za700za7za7_1603za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1604z00,
		BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1605z00,
		BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1606z00,
		BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1607z00,
		BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11608z00,
		BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11609z00,
		BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1610z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1614, char *BgL_fromz00_1615)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1561z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1560z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1559z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1560z00zz__evaluate_usez00);
		}
	}



/* &use1109 */
	obj_t BGl_z62use1109z62zz__evaluate_usez00(obj_t BgL_envz00_1533,
		BgL_ev_exprz00_bglt BgL_ez00_1534, obj_t BgL_donez00_1535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_666;
				obj_t BgL_donez00_667;

				BgL_ez00_666 = BgL_ez00_1534;
				BgL_donez00_667 = BgL_donez00_1535;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1561z00zz__evaluate_usez00,
					BGl_string1562z00zz__evaluate_usez00, ((obj_t) BgL_ez00_666));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1110z00_670;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1507z00_1116;

					{	/* Eval/evaluate_use.scm 62 */
						BgL_objectz00_bglt BgL_objz00_1088;

						BgL_objz00_1088 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 62 */
							long BgL_objzd2classzd2numz00_1089;

							{	/* Eval/evaluate_use.scm 62 */
								long BgL_res1501z00_1092;

								BgL_res1501z00_1092 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1088);
								BgL_objzd2classzd2numz00_1089 = BgL_res1501z00_1092;
							}
							{	/* Eval/evaluate_use.scm 62 */
								obj_t BgL_arg1492z00_1090;

								BgL_arg1492z00_1090 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 62 */
									obj_t BgL_arrayz00_1093;
									int BgL_offsetz00_1094;

									BgL_arrayz00_1093 = BgL_arg1492z00_1090;
									BgL_offsetz00_1094 = (int) (BgL_objzd2classzd2numz00_1089);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_offsetz00_1095;

										BgL_offsetz00_1095 =
											((long) (BgL_offsetz00_1094) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_modz00_1096;

											{	/* Eval/evaluate_use.scm 62 */
												int BgL_arg1495z00_1097;

												BgL_arg1495z00_1097 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_res1504z00_1107;

													{	/* Eval/evaluate_use.scm 62 */
														long BgL_auxz00_1635;

														BgL_auxz00_1635 = (long) (BgL_arg1495z00_1097);
														BgL_res1504z00_1107 =
															(BgL_offsetz00_1095 / BgL_auxz00_1635);
													}
													BgL_modz00_1096 = BgL_res1504z00_1107;
											}}
											{	/* Eval/evaluate_use.scm 62 */
												long BgL_restz00_1098;

												{	/* Eval/evaluate_use.scm 62 */
													int BgL_arg1493z00_1099;

													BgL_arg1493z00_1099 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 62 */
														long BgL_res1506z00_1111;

														{	/* Eval/evaluate_use.scm 62 */
															long BgL_auxz00_1639;

															BgL_auxz00_1639 = (long) (BgL_arg1493z00_1099);
															BgL_res1506z00_1111 =
																(BgL_offsetz00_1095 % BgL_auxz00_1639);
														}
														BgL_restz00_1098 = BgL_res1506z00_1111;
												}}
												{	/* Eval/evaluate_use.scm 62 */

													BgL_res1507z00_1116 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1093,
															(int) (BgL_modz00_1096)),
														(int) (BgL_restz00_1098));
					}}}}}}}}
					BgL_method1110z00_670 = BgL_res1507z00_1116;
				}
				return
					PROCEDURE_ENTRY(BgL_method1110z00_670) (BgL_method1110z00_670,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1536,
		obj_t BgL_ez00_1537, obj_t BgL_donez00_1538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_1652;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1537,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_1652 = ((BgL_ev_exprz00_bglt) BgL_ez00_1537);
					}
				else
					{
						obj_t BgL_auxz00_1656;

						BgL_auxz00_1656 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1563z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1564z00zz__evaluate_usez00,
							BGl_string1565z00zz__evaluate_usez00, BgL_ez00_1537);
						FAILURE(BgL_auxz00_1656, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1652, BgL_donez00_1538);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1566z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1568z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1569z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1570z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1571z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1572z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1573z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1574z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1576z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1567z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1144 */
	obj_t BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00(obj_t BgL_envz00_1556,
		BgL_ev_absz00_bglt BgL_ez00_1557, obj_t BgL_donez00_1558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 135 */
			{
				BgL_ev_absz00_bglt BgL_ez00_807;
				obj_t BgL_donez00_808;

				BgL_ez00_807 = BgL_ez00_1557;
				BgL_donez00_808 = BgL_donez00_1558;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_807))->BgL_bodyz00),
					BgL_donez00_808);
			}
		}
	}



/* &use-ev_app1142 */
	obj_t BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00(obj_t BgL_envz00_1559,
		BgL_ev_appz00_bglt BgL_ez00_1560, obj_t BgL_donez00_1561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 131 */
			{
				BgL_ev_appz00_bglt BgL_ez00_798;
				obj_t BgL_donez00_799;

				BgL_ez00_798 = BgL_ez00_1560;
				BgL_donez00_799 = BgL_donez00_1561;
				{	/* Eval/evaluate_use.scm 132 */
					BgL_ev_exprz00_bglt BgL_arg1270z00_1264;
					obj_t BgL_arg1272z00_1265;

					BgL_arg1270z00_1264 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_798))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 132 */
						obj_t BgL_arg1274z00_1266;

						BgL_arg1274z00_1266 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_798))->BgL_argsz00);
						{
							obj_t BgL_lz00_1268;
							obj_t BgL_donez00_1269;

							BgL_lz00_1268 = BgL_arg1274z00_1266;
							BgL_donez00_1269 = BgL_donez00_799;
						BgL_useza2za2_1267:
							if (NULLP(BgL_lz00_1268))
								{	/* Eval/evaluate_use.scm 132 */
									BgL_arg1272z00_1265 = BgL_donez00_1269;
								}
							else
								{	/* Eval/evaluate_use.scm 132 */
									obj_t BgL_arg1183z00_1275;
									obj_t BgL_arg1185z00_1276;

									BgL_arg1183z00_1275 = CDR(BgL_lz00_1268);
									{	/* Eval/evaluate_use.scm 132 */
										obj_t BgL_arg1186z00_1277;

										BgL_arg1186z00_1277 = CAR(BgL_lz00_1268);
										BgL_arg1185z00_1276 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1186z00_1277),
											BgL_donez00_1269);
									}
									{
										obj_t BgL_donez00_1689;
										obj_t BgL_lz00_1688;

										BgL_lz00_1688 = BgL_arg1183z00_1275;
										BgL_donez00_1689 = BgL_arg1185z00_1276;
										BgL_donez00_1269 = BgL_donez00_1689;
										BgL_lz00_1268 = BgL_lz00_1688;
										goto BgL_useza2za2_1267;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1270z00_1264,
						BgL_arg1272z00_1265);
				}
			}
		}
	}



/* &use-ev_goto1140 */
	obj_t BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00(obj_t BgL_envz00_1562,
		BgL_ev_gotoz00_bglt BgL_ez00_1563, obj_t BgL_donez00_1564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 127 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_791;
				obj_t BgL_donez00_792;

				BgL_ez00_791 = BgL_ez00_1563;
				BgL_donez00_792 = BgL_donez00_1564;
				{	/* Eval/evaluate_use.scm 128 */
					obj_t BgL_arg1268z00_1247;

					BgL_arg1268z00_1247 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_791))->BgL_argsz00);
					{
						obj_t BgL_lz00_1249;
						obj_t BgL_donez00_1250;

						BgL_lz00_1249 = BgL_arg1268z00_1247;
						BgL_donez00_1250 = BgL_donez00_792;
					BgL_useza2za2_1248:
						if (NULLP(BgL_lz00_1249))
							{	/* Eval/evaluate_use.scm 128 */
								return BgL_donez00_1250;
							}
						else
							{	/* Eval/evaluate_use.scm 128 */
								obj_t BgL_arg1183z00_1256;
								obj_t BgL_arg1185z00_1257;

								BgL_arg1183z00_1256 = CDR(BgL_lz00_1249);
								{	/* Eval/evaluate_use.scm 128 */
									obj_t BgL_arg1186z00_1258;

									BgL_arg1186z00_1258 = CAR(BgL_lz00_1249);
									BgL_arg1185z00_1257 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1186z00_1258),
										BgL_donez00_1250);
								}
								{
									obj_t BgL_donez00_1699;
									obj_t BgL_lz00_1698;

									BgL_lz00_1698 = BgL_arg1183z00_1256;
									BgL_donez00_1699 = BgL_arg1185z00_1257;
									BgL_donez00_1250 = BgL_donez00_1699;
									BgL_lz00_1249 = BgL_lz00_1698;
									goto BgL_useza2za2_1248;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1138 */
	obj_t BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00(obj_t BgL_envz00_1565,
		BgL_ev_labelsz00_bglt BgL_ez00_1566, obj_t BgL_donez00_1567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 120 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_774;
				obj_t BgL_donez00_775;

				BgL_ez00_774 = BgL_ez00_1566;
				BgL_donez00_775 = BgL_donez00_1567;
				{	/* Eval/evaluate_use.scm 122 */
					obj_t BgL_arg1249z00_780;

					BgL_arg1249z00_780 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_774))->BgL_valsz00);
					{
						obj_t BgL_lz00_1227;
						obj_t BgL_donez00_1228;

						BgL_lz00_1227 = BgL_arg1249z00_780;
						BgL_donez00_1228 = BgL_donez00_775;
					BgL_recz00_1226:
						if (NULLP(BgL_lz00_1227))
							{	/* Eval/evaluate_use.scm 122 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_774))->BgL_bodyz00),
									BgL_donez00_1228);
							}
						else
							{	/* Eval/evaluate_use.scm 122 */
								obj_t BgL_arg1255z00_1236;
								obj_t BgL_arg1259z00_1237;

								BgL_arg1255z00_1236 = CDR(BgL_lz00_1227);
								{	/* Eval/evaluate_use.scm 122 */
									obj_t BgL_arg1264z00_1238;

									{	/* Eval/evaluate_use.scm 122 */
										obj_t BgL_pairz00_1242;

										BgL_pairz00_1242 = BgL_lz00_1227;
										BgL_arg1264z00_1238 = CAR(CDR(BgL_pairz00_1242));
									}
									BgL_arg1259z00_1237 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1264z00_1238),
										BgL_donez00_1228);
								}
								{
									obj_t BgL_donez00_1711;
									obj_t BgL_lz00_1710;

									BgL_lz00_1710 = BgL_arg1255z00_1236;
									BgL_donez00_1711 = BgL_arg1259z00_1237;
									BgL_donez00_1228 = BgL_donez00_1711;
									BgL_lz00_1227 = BgL_lz00_1710;
									goto BgL_recz00_1226;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1136 */
	obj_t BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00(obj_t BgL_envz00_1568,
		BgL_ev_binderz00_bglt BgL_ez00_1569, obj_t BgL_donez00_1570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 116 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_765;
				obj_t BgL_donez00_766;

				BgL_ez00_765 = BgL_ez00_1569;
				BgL_donez00_766 = BgL_donez00_1570;
				{	/* Eval/evaluate_use.scm 117 */
					BgL_ev_exprz00_bglt BgL_arg1245z00_1182;
					obj_t BgL_arg1246z00_1183;

					BgL_arg1245z00_1182 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_765))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 117 */
						obj_t BgL_arg1248z00_1184;

						BgL_arg1248z00_1184 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_765))->BgL_valsz00);
						{
							obj_t BgL_lz00_1186;
							obj_t BgL_donez00_1187;

							BgL_lz00_1186 = BgL_arg1248z00_1184;
							BgL_donez00_1187 = BgL_donez00_766;
						BgL_useza2za2_1185:
							if (NULLP(BgL_lz00_1186))
								{	/* Eval/evaluate_use.scm 117 */
									BgL_arg1246z00_1183 = BgL_donez00_1187;
								}
							else
								{	/* Eval/evaluate_use.scm 117 */
									obj_t BgL_arg1183z00_1193;
									obj_t BgL_arg1185z00_1194;

									BgL_arg1183z00_1193 = CDR(BgL_lz00_1186);
									{	/* Eval/evaluate_use.scm 117 */
										obj_t BgL_arg1186z00_1195;

										BgL_arg1186z00_1195 = CAR(BgL_lz00_1186);
										BgL_arg1185z00_1194 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1186z00_1195),
											BgL_donez00_1187);
									}
									{
										obj_t BgL_donez00_1721;
										obj_t BgL_lz00_1720;

										BgL_lz00_1720 = BgL_arg1183z00_1193;
										BgL_donez00_1721 = BgL_arg1185z00_1194;
										BgL_donez00_1187 = BgL_donez00_1721;
										BgL_lz00_1186 = BgL_lz00_1720;
										goto BgL_useza2za2_1185;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1245z00_1182,
						BgL_arg1246z00_1183);
				}
			}
		}
	}



/* &use-ev_binder1134 */
	obj_t BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00(obj_t BgL_envz00_1571,
		BgL_ev_binderz00_bglt BgL_ez00_1572, obj_t BgL_donez00_1573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 112 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_756;
				obj_t BgL_donez00_757;

				BgL_ez00_756 = BgL_ez00_1572;
				BgL_donez00_757 = BgL_donez00_1573;
				{	/* Eval/evaluate_use.scm 113 */
					BgL_ev_exprz00_bglt BgL_arg1239z00_1163;
					obj_t BgL_arg1242z00_1164;

					BgL_arg1239z00_1163 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_756))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 113 */
						obj_t BgL_arg1244z00_1165;

						BgL_arg1244z00_1165 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_756))->BgL_valsz00);
						{
							obj_t BgL_lz00_1167;
							obj_t BgL_donez00_1168;

							BgL_lz00_1167 = BgL_arg1244z00_1165;
							BgL_donez00_1168 = BgL_donez00_757;
						BgL_useza2za2_1166:
							if (NULLP(BgL_lz00_1167))
								{	/* Eval/evaluate_use.scm 113 */
									BgL_arg1242z00_1164 = BgL_donez00_1168;
								}
							else
								{	/* Eval/evaluate_use.scm 113 */
									obj_t BgL_arg1183z00_1174;
									obj_t BgL_arg1185z00_1175;

									BgL_arg1183z00_1174 = CDR(BgL_lz00_1167);
									{	/* Eval/evaluate_use.scm 113 */
										obj_t BgL_arg1186z00_1176;

										BgL_arg1186z00_1176 = CAR(BgL_lz00_1167);
										BgL_arg1185z00_1175 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1186z00_1176),
											BgL_donez00_1168);
									}
									{
										obj_t BgL_donez00_1732;
										obj_t BgL_lz00_1731;

										BgL_lz00_1731 = BgL_arg1183z00_1174;
										BgL_donez00_1732 = BgL_arg1185z00_1175;
										BgL_donez00_1168 = BgL_donez00_1732;
										BgL_lz00_1167 = BgL_lz00_1731;
										goto BgL_useza2za2_1166;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1239z00_1163,
						BgL_arg1242z00_1164);
				}
			}
		}
	}



/* &use-ev_with-handler1132 */
	obj_t BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00(obj_t
		BgL_envz00_1574, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1575,
		obj_t BgL_donez00_1576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_747;
				obj_t BgL_donez00_748;

				BgL_ez00_747 = BgL_ez00_1575;
				BgL_donez00_748 = BgL_donez00_1576;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_747))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_747))->BgL_bodyz00), BgL_donez00_748));
			}
		}
	}



/* &use-ev_unwind-protec1130 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00(obj_t
		BgL_envz00_1577, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1578,
		obj_t BgL_donez00_1579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_738;
				obj_t BgL_donez00_739;

				BgL_ez00_738 = BgL_ez00_1578;
				BgL_donez00_739 = BgL_donez00_1579;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_738))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_738))->
							BgL_bodyz00), BgL_donez00_739));
			}
		}
	}



/* &use-ev_bind-exit1128 */
	obj_t BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00(obj_t
		BgL_envz00_1580, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1581,
		obj_t BgL_donez00_1582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_731;
				obj_t BgL_donez00_732;

				BgL_ez00_731 = BgL_ez00_1581;
				BgL_donez00_732 = BgL_donez00_1582;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_731))->BgL_bodyz00),
					BgL_donez00_732);
			}
		}
	}



/* &use-ev_setlocal1126 */
	obj_t BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1583, BgL_ev_setlocalz00_bglt BgL_ez00_1584,
		obj_t BgL_donez00_1585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 95 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_721;
				obj_t BgL_donez00_722;

				BgL_ez00_721 = BgL_ez00_1584;
				BgL_donez00_722 = BgL_donez00_1585;
				{	/* Eval/evaluate_use.scm 96 */
					bool_t BgL_testz00_1744;

					{	/* Eval/evaluate_use.scm 96 */
						BgL_ev_varz00_bglt BgL_arg1217z00_1149;

						BgL_arg1217z00_1149 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_721))->BgL_vz00);
						BgL_testz00_1744 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1217z00_1149), BgL_donez00_722));
					}
					if (BgL_testz00_1744)
						{	/* Eval/evaluate_use.scm 96 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 96 */
							BgL_ev_varz00_bglt BgL_arg1216z00_1150;

							BgL_arg1216z00_1150 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_721))->BgL_vz00);
							BgL_donez00_722 =
								MAKE_PAIR(((obj_t) BgL_arg1216z00_1150), BgL_donez00_722);
						}
				}
				{	/* Eval/evaluate_use.scm 96 */
					BgL_ev_exprz00_bglt BgL_arg1218z00_1151;

					BgL_arg1218z00_1151 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_721)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1218z00_1151, BgL_donez00_722);
				}
			}
		}
	}



/* &use-ev_hook1124 */
	obj_t BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00(obj_t BgL_envz00_1586,
		BgL_ev_hookz00_bglt BgL_ez00_1587, obj_t BgL_donez00_1588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 91 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_714;
				obj_t BgL_donez00_715;

				BgL_ez00_714 = BgL_ez00_1587;
				BgL_donez00_715 = BgL_donez00_1588;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_714))->BgL_ez00),
					BgL_donez00_715);
			}
		}
	}



/* &use-ev_prog21122 */
	obj_t BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00(obj_t BgL_envz00_1589,
		BgL_ev_prog2z00_bglt BgL_ez00_1590, obj_t BgL_donez00_1591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 87 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_705;
				obj_t BgL_donez00_706;

				BgL_ez00_705 = BgL_ez00_1590;
				BgL_donez00_706 = BgL_donez00_1591;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_705))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_705))->BgL_e2z00),
						BgL_donez00_706));
			}
		}
	}



/* &use-ev_list1120 */
	obj_t BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00(obj_t BgL_envz00_1592,
		BgL_ev_listz00_bglt BgL_ez00_1593, obj_t BgL_donez00_1594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 83 */
			{
				BgL_ev_listz00_bglt BgL_ez00_698;
				obj_t BgL_donez00_699;

				BgL_ez00_698 = BgL_ez00_1593;
				BgL_donez00_699 = BgL_donez00_1594;
				{	/* Eval/evaluate_use.scm 84 */
					obj_t BgL_arg1208z00_1125;

					BgL_arg1208z00_1125 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_698))->BgL_argsz00);
					{
						obj_t BgL_lz00_1127;
						obj_t BgL_donez00_1128;

						BgL_lz00_1127 = BgL_arg1208z00_1125;
						BgL_donez00_1128 = BgL_donez00_699;
					BgL_useza2za2_1126:
						if (NULLP(BgL_lz00_1127))
							{	/* Eval/evaluate_use.scm 84 */
								return BgL_donez00_1128;
							}
						else
							{	/* Eval/evaluate_use.scm 84 */
								obj_t BgL_arg1183z00_1134;
								obj_t BgL_arg1185z00_1135;

								BgL_arg1183z00_1134 = CDR(BgL_lz00_1127);
								{	/* Eval/evaluate_use.scm 84 */
									obj_t BgL_arg1186z00_1136;

									BgL_arg1186z00_1136 = CAR(BgL_lz00_1127);
									BgL_arg1185z00_1135 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1186z00_1136),
										BgL_donez00_1128);
								}
								{
									obj_t BgL_donez00_1769;
									obj_t BgL_lz00_1768;

									BgL_lz00_1768 = BgL_arg1183z00_1134;
									BgL_donez00_1769 = BgL_arg1185z00_1135;
									BgL_donez00_1128 = BgL_donez00_1769;
									BgL_lz00_1127 = BgL_lz00_1768;
									goto BgL_useza2za2_1126;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1118 */
	obj_t BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00(obj_t BgL_envz00_1595,
		BgL_ev_ifz00_bglt BgL_ez00_1596, obj_t BgL_donez00_1597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_687;
				obj_t BgL_donez00_688;

				BgL_ez00_687 = BgL_ez00_1596;
				BgL_donez00_688 = BgL_donez00_1597;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_687))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_687))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_687))->BgL_ez00),
							BgL_donez00_688)));
			}
		}
	}



/* &use-ev_litt1116 */
	obj_t BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00(obj_t BgL_envz00_1598,
		BgL_ev_littz00_bglt BgL_ez00_1599, obj_t BgL_donez00_1600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_1600;
		}
	}



/* &use-ev_global1114 */
	obj_t BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00(obj_t BgL_envz00_1601,
		BgL_ev_globalz00_bglt BgL_varz00_1602, obj_t BgL_donez00_1603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_1603;
		}
	}



/* &use-ev_var1112 */
	obj_t BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00(obj_t BgL_envz00_1604,
		BgL_ev_varz00_bglt BgL_varz00_1605, obj_t BgL_donez00_1606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 69 */
			{
				BgL_ev_varz00_bglt BgL_varz00_671;
				obj_t BgL_donez00_672;

				BgL_varz00_671 = BgL_varz00_1605;
				BgL_donez00_672 = BgL_donez00_1606;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_671), BgL_donez00_672)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_672 =
							MAKE_PAIR(((obj_t) BgL_varz00_671), BgL_donez00_672);
					}
				return BgL_donez00_672;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1584z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
