/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_z62lambda2656z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2657z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2664z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2665z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00();
	static BgL_selectz00_bglt BGl_z62makezd2selectzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2674z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62selectzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62zc3anonymousza33122ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2680z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2681z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2688z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2select2382z62zzast_nodez00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt);
	static BgL_privatez00_bglt BGl_z62lambda2690z62zzast_nodez00(obj_t);
	static BgL_failz00_bglt BGl_z62zc3anonymousza32975ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2697z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2698z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00();
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33057ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2funcall2370z62zzast_nodez00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2kwote2362z62zzast_nodez00(obj_t,
		BgL_kwotez00_bglt, obj_t);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref2386zb0zzast_nodez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62zc3anonymousza32616ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62selectzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62zc3anonymousza32471ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda3004z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3005z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62lambda3010z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3011z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3015z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3016z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62zc3anonymousza32651ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3023z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3025z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3031z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3032z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3036z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3037z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62zc3anonymousza33099ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62selectzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3044z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62zc3anonymousza32905ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3046z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2sequence2364z62zzast_nodez00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda3055z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3056z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3062z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3063z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3067z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32478ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda3068z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_selectzd2typezd2zzast_nodez00(BgL_selectz00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda3074z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda3076z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3082z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62lambda3083z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32658ze3ze1zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62lambda3087z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3088z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3094z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3097z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2sidezd2effectz00zzast_nodez00(BgL_selectz00_bglt);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static BgL_getfieldz00_bglt BGl_z62lambda2705z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2707z62zzast_nodez00(obj_t);
	static BgL_privatez00_bglt
		BGl_z62zc3anonymousza32693ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2713z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2714z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2718z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2719z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_selectz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2723z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2724z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00();
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2730z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static BgL_setfieldz00_bglt BGl_z62lambda2732z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2739z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2743z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2744z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	static BgL_vlengthz00_bglt
		BGl_z62zc3anonymousza32875ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62lambda2748z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2749z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_wideningz00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2757z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2763z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2764z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2770z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2772z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2779z62zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza33027ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2conditiona2378z62zzast_nodez00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62lambda2780z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2787z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2789z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2795z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2796z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static BgL_varz00_bglt BGl_z62zc3anonymousza32511ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it2394z62zzast_nodez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62zc3anonymousza33137ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_selectzd2loczd2zzast_nodez00(BgL_selectz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz122388za2zzast_nodez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t BGl_z62nodezd2walkzd2cast2374z62zzast_nodez00(obj_t,
		BgL_castz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62selectzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2makezd2box2384zb0zzast_nodez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32623ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2setq2376z62zzast_nodez00(obj_t,
		BgL_setqz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it2396z62zzast_nodez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_sequencez00_bglt
		BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00();
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32449ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3103z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3104z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3108z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3109z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3117z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt
		BGl_z62zc3anonymousza32734ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3120z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3126z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3127z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2var2360z62zzast_nodez00(obj_t,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3133z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3135z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62zc3anonymousza32485ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62lambda3141z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3142z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static BgL_castz00_bglt BGl_z62zc3anonymousza32915ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3148z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32559ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3150z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static BgL_vsetz12z12_bglt
		BGl_z62zc3anonymousza32843ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3158z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3159z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62lambda3163z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3164z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32666ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62selectzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62zc3anonymousza32950ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2447z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62selectzd2testzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2453z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2454z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62zc3anonymousza32595ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2459z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2460z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62zc3anonymousza32774ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda2467z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda2469z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62lambda2476z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2477z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2800z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2801z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2483z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2484z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2809z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda2491z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2816z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2817z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda2493z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2499z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2823z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2827z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2828z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2832z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2833z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62lambda2839z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2841z62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2appzd2ly2368zb0zzast_nodez00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62lambda2848z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2849z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2855z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2859z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62lambda2860z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62lambda2864z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2865z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62makezd2atomzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2871z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2873z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2879z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62lambda2880z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2886z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2888z62zzast_nodez00(obj_t);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2extern2372z62zzast_nodez00(obj_t,
		BgL_externz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2894z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2895z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62zc3anonymousza32630ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62selectzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_closurez00_bglt
		BGl_z62zc3anonymousza32526ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62zc3anonymousza33078ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62zc3anonymousza32811ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2fail2380z62zzast_nodez00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static BgL_getfieldz00_bglt
		BGl_z62zc3anonymousza32709ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2typezd2setz12z12zzast_nodez00(BgL_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00();
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32850ze3ze1zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62zc3anonymousza32818ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2500z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2506z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62lambda2509z62zzast_nodez00(obj_t);
	static BgL_atomz00_bglt BGl_z62zc3anonymousza32495ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	static BgL_selectz00_bglt BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda2515z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2516z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	static BgL_closurez00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2app2366z62zzast_nodez00(obj_t,
		BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2533z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32781ze3ze1zzast_nodez00(obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2535z62zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62zc3anonymousza32676ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2541z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2542z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2548z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2550z62zzast_nodez00(obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2557z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2558z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62selectzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2563z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2564z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	static BgL_appz00_bglt BGl_z62lambda2570z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt
		BGl_z62zc3anonymousza32890ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2572z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2578z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2579z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2901z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62selectzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2903z62zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62lambda2583z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2584z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2letzd2fun2390zb0zzast_nodez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static BgL_castz00_bglt BGl_z62lambda2911z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static BgL_castz00_bglt BGl_z62lambda2913z62zzast_nodez00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2593z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2919z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62lambda2920z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_setqz00_bglt BGl_z62lambda2926z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2928z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2934z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2935z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2939z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2940z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_conditionalz00_bglt BGl_z62lambda2946z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2948z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_selectzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2954z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2955z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2959z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2960z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2964z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2965z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62lambda2971z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_failz00_bglt BGl_z62lambda2973z62zzast_nodez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt BGl_z62lambda2979z62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62zc3anonymousza33152ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2980z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2984z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2985z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2989z62zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_selectz00_bglt BGl_selectzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walk2355zb0zzast_nodez00(obj_t, BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2990z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static BgL_selectz00_bglt BGl_z62lambda2996z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_selectz00_bglt BGl_z62lambda2998z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_z62zc3anonymousza33049ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62selectzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	static BgL_selectz00_bglt BGl_z62selectzd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2letzd2var2392zb0zzast_nodez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32461ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62selectzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00();
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62zc3anonymousza32537ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00();
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_setqz00_bglt BGl_z62zc3anonymousza32930ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_appz00_bglt BGl_z62zc3anonymousza32574ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2601z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2605z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static obj_t BGl_z62lambda2606z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00();
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static BgL_funcallz00_bglt BGl_z62lambda2612z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2614z62zzast_nodez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62lambda2621z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62lambda2622z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62lambda2628z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2629z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00();
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62zc3anonymousza32791ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2634z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2635z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt
		BGl_z62zc3anonymousza32759ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2keyzd2setz12z12zzast_nodez00(BgL_selectz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_externz00_bglt BGl_z62lambda2647z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2649z62zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_selectzd2keyzd2zzast_nodez00(BgL_selectz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2atom2358z62zzast_nodez00(obj_t,
		BgL_atomz00_bglt, obj_t);
	static obj_t __cnst[79];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2test3632z00,
		BGl_z62selectzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3633za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3634z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3635za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3636z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3637z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3638za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3639z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3640za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3641z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3642z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23643z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3644za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3645z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73646za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3647za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3648za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03649za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3650za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3651za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73652za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3653za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3654za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23655za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3656z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2test3657z00, BGl_z62selectzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3658za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3659z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3660za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3661za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3662z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73663za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3664z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73665za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73666z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3667z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3668z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3669z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3670z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3671za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3500z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73672za7,
		BGl_z62zc3anonymousza32843ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3501z00zzast_nodez00,
		BgL_bgl_za762lambda2841za7623673z00, BGl_z62lambda2841z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23674za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73675z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3502z00zzast_nodez00,
		BgL_bgl_za762lambda2839za7623676z00, BGl_z62lambda2839z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3503z00zzast_nodez00,
		BgL_bgl_za762lambda2880za7623677z00, BGl_z62lambda2880z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3504z00zzast_nodez00,
		BgL_bgl_za762lambda2879za7623678z00, BGl_z62lambda2879z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3505z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73679za7,
		BGl_z62zc3anonymousza32875ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3506z00zzast_nodez00,
		BgL_bgl_za762lambda2873za7623680z00, BGl_z62lambda2873z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3507z00zzast_nodez00,
		BgL_bgl_za762lambda2871za7623681z00, BGl_z62lambda2871z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3508z00zzast_nodez00,
		BgL_bgl_za762lambda2895za7623682z00, BGl_z62lambda2895z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3509z00zzast_nodez00,
		BgL_bgl_za762lambda2894za7623683z00, BGl_z62lambda2894z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73684z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73685z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3686za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3510z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73687za7,
		BGl_z62zc3anonymousza32890ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3511z00zzast_nodez00,
		BgL_bgl_za762lambda2888za7623688z00, BGl_z62lambda2888z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3512z00zzast_nodez00,
		BgL_bgl_za762lambda2886za7623689z00, BGl_z62lambda2886z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3513z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73690za7,
		BGl_z62zc3anonymousza32905ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3514z00zzast_nodez00,
		BgL_bgl_za762lambda2903za7623691z00, BGl_z62lambda2903z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3515z00zzast_nodez00,
		BgL_bgl_za762lambda2901za7623692z00, BGl_z62lambda2901z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STRING(BGl_string3603z00zzast_nodez00,
		BgL_bgl_string3603za700za7za7a3693za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3516z00zzast_nodez00,
		BgL_bgl_za762lambda2920za7623694z00, BGl_z62lambda2920z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3517z00zzast_nodez00,
		BgL_bgl_za762lambda2919za7623695z00, BGl_z62lambda2919z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3605z00zzast_nodez00,
		BgL_bgl_string3605za700za7za7a3696za7, "node-walk2355", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3518z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73697za7,
		BGl_z62zc3anonymousza32915ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3606z00zzast_nodez00,
		BgL_bgl_string3606za700za7za7a3698za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3519z00zzast_nodez00,
		BgL_bgl_za762lambda2913za7623699z00, BGl_z62lambda2913z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3608z00zzast_nodez00,
		BgL_bgl_string3608za700za7za7a3700za7, "node-walk", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3701z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3520z00zzast_nodez00,
		BgL_bgl_za762lambda2911za7623702z00, BGl_z62lambda2911z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3521z00zzast_nodez00,
		BgL_bgl_za762lambda2935za7623703z00, BGl_z62lambda2935z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33704z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3522z00zzast_nodez00,
		BgL_bgl_za762lambda2934za7623705z00, BGl_z62lambda2934z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3523z00zzast_nodez00,
		BgL_bgl_za762lambda2940za7623706z00, BGl_z62lambda2940z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3524z00zzast_nodez00,
		BgL_bgl_za762lambda2939za7623707z00, BGl_z62lambda2939z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3525z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73708za7,
		BGl_z62zc3anonymousza32930ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3526z00zzast_nodez00,
		BgL_bgl_za762lambda2928za7623709z00, BGl_z62lambda2928z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3527z00zzast_nodez00,
		BgL_bgl_za762lambda2926za7623710z00, BGl_z62lambda2926z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3528z00zzast_nodez00,
		BgL_bgl_za762lambda2955za7623711z00, BGl_z62lambda2955z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3529z00zzast_nodez00,
		BgL_bgl_za762lambda2954za7623712z00, BGl_z62lambda2954z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3713za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3714za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3715z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3530z00zzast_nodez00,
		BgL_bgl_za762lambda2960za7623716z00, BGl_z62lambda2960z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3531z00zzast_nodez00,
		BgL_bgl_za762lambda2959za7623717z00, BGl_z62lambda2959z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3532z00zzast_nodez00,
		BgL_bgl_za762lambda2965za7623718z00, BGl_z62lambda2965z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3533z00zzast_nodez00,
		BgL_bgl_za762lambda2964za7623719z00, BGl_z62lambda2964z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3534z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73720za7,
		BGl_z62zc3anonymousza32950ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3535z00zzast_nodez00,
		BgL_bgl_za762lambda2948za7623721z00, BGl_z62lambda2948z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3536z00zzast_nodez00,
		BgL_bgl_za762lambda2946za7623722z00, BGl_z62lambda2946z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3537z00zzast_nodez00,
		BgL_bgl_za762lambda2980za7623723z00, BGl_z62lambda2980z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3724za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3538z00zzast_nodez00,
		BgL_bgl_za762lambda2979za7623725z00, BGl_z62lambda2979z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3539z00zzast_nodez00,
		BgL_bgl_za762lambda2985za7623726z00, BGl_z62lambda2985z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3628z00zzast_nodez00,
		BgL_bgl_string3628za700za7za7a3727za7, "ast_node", 8);
	      DEFINE_STRING(BGl_string3629z00zzast_nodez00,
		BgL_bgl_string3629za700za7za7a3728za7,
		"node-walk2355 \077\077? _ box-set! box-ref make-box jump-ex-it exit set-ex-it let-var bindings removable? let-fun locals body select clauses item-type fail proc msg conditional test true false setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield fname ftype otype private c-format pragma bstring format extern pair-nil expr* effect funcall symbol strength functions app-ly arg app fun args sequence nodes bool unsafe kwote closure var variable atom value node/effect side-effect key ast_node node obj loc type ",
		561);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73729za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3730za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3540z00zzast_nodez00,
		BgL_bgl_za762lambda2984za7623731z00, BGl_z62lambda2984z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3541z00zzast_nodez00,
		BgL_bgl_za762lambda2990za7623732z00, BGl_z62lambda2990z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3542z00zzast_nodez00,
		BgL_bgl_za762lambda2989za7623733z00, BGl_z62lambda2989z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3543z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73734za7,
		BGl_z62zc3anonymousza32975ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3544z00zzast_nodez00,
		BgL_bgl_za762lambda2973za7623735z00, BGl_z62lambda2973z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3736z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3545z00zzast_nodez00,
		BgL_bgl_za762lambda2971za7623737z00, BGl_z62lambda2971z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3546z00zzast_nodez00,
		BgL_bgl_za762lambda3005za7623738z00, BGl_z62lambda3005z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3547z00zzast_nodez00,
		BgL_bgl_za762lambda3004za7623739z00, BGl_z62lambda3004z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3548z00zzast_nodez00,
		BgL_bgl_za762lambda3011za7623740z00, BGl_z62lambda3011z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3549z00zzast_nodez00,
		BgL_bgl_za762lambda3010za7623741z00, BGl_z62lambda3010z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za73742z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3743z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3550z00zzast_nodez00,
		BgL_bgl_za762lambda3016za7623744z00, BGl_z62lambda3016z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3551z00zzast_nodez00,
		BgL_bgl_za762lambda3015za7623745z00, BGl_z62lambda3015z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3552z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73746za7,
		BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3553z00zzast_nodez00,
		BgL_bgl_za762lambda2998za7623747z00, BGl_z62lambda2998z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3554z00zzast_nodez00,
		BgL_bgl_za762lambda2996za7623748z00, BGl_z62lambda2996z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3555z00zzast_nodez00,
		BgL_bgl_za762lambda3032za7623749z00, BGl_z62lambda3032z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3556z00zzast_nodez00,
		BgL_bgl_za762lambda3031za7623750z00, BGl_z62lambda3031z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3557z00zzast_nodez00,
		BgL_bgl_za762lambda3037za7623751z00, BGl_z62lambda3037z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3752za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3558z00zzast_nodez00,
		BgL_bgl_za762lambda3036za7623753z00, BGl_z62lambda3036z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3559z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73754za7,
		BGl_z62zc3anonymousza33027ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23755za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b03756za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3757za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3758za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d3759za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3760z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3560z00zzast_nodez00,
		BgL_bgl_za762lambda3025za7623761z00, BGl_z62lambda3025z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3561z00zzast_nodez00,
		BgL_bgl_za762lambda3023za7623762z00, BGl_z62lambda3023z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3562z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73763za7,
		BGl_z62zc3anonymousza33057ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3563z00zzast_nodez00,
		BgL_bgl_za762lambda3056za7623764z00, BGl_z62lambda3056z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3564z00zzast_nodez00,
		BgL_bgl_za762lambda3055za7623765z00, BGl_z62lambda3055z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3565z00zzast_nodez00,
		BgL_bgl_za762lambda3063za7623766z00, BGl_z62lambda3063z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3566z00zzast_nodez00,
		BgL_bgl_za762lambda3062za7623767z00, BGl_z62lambda3062z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3567z00zzast_nodez00,
		BgL_bgl_za762lambda3068za7623768z00, BGl_z62lambda3068z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3568z00zzast_nodez00,
		BgL_bgl_za762lambda3067za7623769z00, BGl_z62lambda3067z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3569z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73770za7,
		BGl_z62zc3anonymousza33049ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr3771z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3570z00zzast_nodez00,
		BgL_bgl_za762lambda3046za7623772z00, BGl_z62lambda3046z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3571z00zzast_nodez00,
		BgL_bgl_za762lambda3044za7623773z00, BGl_z62lambda3044z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3572z00zzast_nodez00,
		BgL_bgl_za762lambda3083za7623774z00, BGl_z62lambda3083z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3573z00zzast_nodez00,
		BgL_bgl_za762lambda3082za7623775z00, BGl_z62lambda3082z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3574z00zzast_nodez00,
		BgL_bgl_za762lambda3088za7623776z00, BGl_z62lambda3088z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3575z00zzast_nodez00,
		BgL_bgl_za762lambda3087za7623777z00, BGl_z62lambda3087z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3576z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73778za7,
		BGl_z62zc3anonymousza33078ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3577z00zzast_nodez00,
		BgL_bgl_za762lambda3076za7623779z00, BGl_z62lambda3076z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3578z00zzast_nodez00,
		BgL_bgl_za762lambda3074za7623780z00, BGl_z62lambda3074z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3781za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3579z00zzast_nodez00,
		BgL_bgl_za762lambda3104za7623782z00, BGl_z62lambda3104z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b03783za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3784z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3785z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3580z00zzast_nodez00,
		BgL_bgl_za762lambda3103za7623786z00, BGl_z62lambda3103z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3581z00zzast_nodez00,
		BgL_bgl_za762lambda3109za7623787z00, BGl_z62lambda3109z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie3788z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3582z00zzast_nodez00,
		BgL_bgl_za762lambda3108za7623789z00, BGl_z62lambda3108z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3583z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73790za7,
		BGl_z62zc3anonymousza33099ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3584z00zzast_nodez00,
		BgL_bgl_za762lambda3097za7623791z00, BGl_z62lambda3097z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3585z00zzast_nodez00,
		BgL_bgl_za762lambda3094za7623792z00, BGl_z62lambda3094z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3586z00zzast_nodez00,
		BgL_bgl_za762lambda3127za7623793z00, BGl_z62lambda3127z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3587z00zzast_nodez00,
		BgL_bgl_za762lambda3126za7623794z00, BGl_z62lambda3126z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3588z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73795za7,
		BGl_z62zc3anonymousza33122ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3589z00zzast_nodez00,
		BgL_bgl_za762lambda3120za7623796z00, BGl_z62lambda3120z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo3797z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762selectza7d2item3798z00,
		BGl_z62selectzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za73799z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3590z00zzast_nodez00,
		BgL_bgl_za762lambda3117za7623800z00, BGl_z62lambda3117z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3591z00zzast_nodez00,
		BgL_bgl_za762lambda3142za7623801z00, BGl_z62lambda3142z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3592z00zzast_nodez00,
		BgL_bgl_za762lambda3141za7623802z00, BGl_z62lambda3141z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3593z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73803za7,
		BGl_z62zc3anonymousza33137ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3594z00zzast_nodez00,
		BgL_bgl_za762lambda3135za7623804z00, BGl_z62lambda3135z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b03805za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3595z00zzast_nodez00,
		BgL_bgl_za762lambda3133za7623806z00, BGl_z62lambda3133z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3596z00zzast_nodez00,
		BgL_bgl_za762lambda3159za7623807z00, BGl_z62lambda3159z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3597z00zzast_nodez00,
		BgL_bgl_za762lambda3158za7623808z00, BGl_z62lambda3158z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3598z00zzast_nodez00,
		BgL_bgl_za762lambda3164za7623809z00, BGl_z62lambda3164z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3599z00zzast_nodez00,
		BgL_bgl_za762lambda3163za7623810z00, BGl_z62lambda3163z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3811z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a23812za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a3813za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt3814z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73815za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil3816z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b03817za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b03818za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73819z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3820z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3821z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b03822za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni3823za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23824za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie3825z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3826z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23827za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3828z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b03829za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d3830za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3831za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no3832z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3833z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t3834za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3835z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3836z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node3837z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3838za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un3839z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f3840za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3841z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side3842z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3843z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr3844z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za73845z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3846za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3847z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23848z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b3849za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3850z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s3851za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3852z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3853za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3854za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3855z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form3856z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za73857z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23858z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si3859z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3860za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3861z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d3862z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73863z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3864za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3865za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni3866z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo3867z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b03868za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za73869z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23870za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3871za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3872z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b3873za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3874z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f3875za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza713876za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23877za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d23878za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d23879za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23880z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t3881za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza73882za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3883z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za73884z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3885z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc3886z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d23887z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b03888za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d3889z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3890za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3891za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k3892za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d3893za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn3894z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3895z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d3896za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r3897za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3600z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73898za7,
		BGl_z62zc3anonymousza33152ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3601z00zzast_nodez00,
		BgL_bgl_za762lambda3150za7623899z00, BGl_z62lambda3150z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3602z00zzast_nodez00,
		BgL_bgl_za762lambda3148za7623900z00, BGl_z62lambda3148z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3604z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk233901z00, BGl_z62nodezd2walk2355zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3607z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3902za7,
		BGl_z62nodezd2walkzd2atom2358z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3609z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3903za7,
		BGl_z62nodezd2walkzd2var2360z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d23904z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3905z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3610z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3906za7,
		BGl_z62nodezd2walkzd2kwote2362z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza73907za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3611z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3908za7,
		BGl_z62nodezd2walkzd2sequence2364z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3909za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3612z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3910za7,
		BGl_z62nodezd2walkzd2app2366z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3613z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3911za7,
		BGl_z62nodezd2walkzd2appzd2ly2368zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3614z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3912za7,
		BGl_z62nodezd2walkzd2funcall2370z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3615z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3913za7,
		BGl_z62nodezd2walkzd2extern2372z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3616z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3914za7,
		BGl_z62nodezd2walkzd2cast2374z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3617z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3915za7,
		BGl_z62nodezd2walkzd2setq2376z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3618z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3916za7,
		BGl_z62nodezd2walkzd2conditiona2378z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3619z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3917za7,
		BGl_z62nodezd2walkzd2fail2380z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73918za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3919za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza73920za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza73921za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3620z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3922za7,
		BGl_z62nodezd2walkzd2select2382z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3621z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3923za7,
		BGl_z62nodezd2walkzd2makezd2box2384zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3622z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3924za7,
		BGl_z62nodezd2walkzd2boxzd2ref2386zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3623z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3925za7,
		BGl_z62nodezd2walkzd2boxzd2setz122388za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3624z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3926za7,
		BGl_z62nodezd2walkzd2letzd2fun2390zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3625z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3927za7,
		BGl_z62nodezd2walkzd2letzd2var2392zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3626z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3928za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it2394z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3627z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3929za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it2396z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3930z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3931za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b3932za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3933z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d23934z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b3935za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b03936za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3937za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d3938za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b3939za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan3940z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr3941z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2type3942z00, BGl_z62selectzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3943z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty3944za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side3945z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr3946z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za743947z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f33948za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3949z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b3950za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73951z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a3952za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3953z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2locza73954za7, BGl_z62selectzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3955za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23956za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni3957z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b3958za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d23959za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2varza7b03960za7, BGl_z62makezd2varzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73961za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3962za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k3963za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for3964za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side3965z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value3966z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za73967z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza73968za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3969z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe3970z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a3971za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil3972z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b3973za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3974z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3975za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za73976z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3977za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23978za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty3979z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3980za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7913981za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid3982z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as3983za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3984z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b3985za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3986za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b03987za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3988z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc3989z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe3990z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73991za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo3992za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b3993za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762selectza7f3za791za73994z00, BGl_z62selectzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762selectza7d2side3995z00,
		BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3996z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3997z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3998za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3999za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za74000z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d24001za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza74002za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2selectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2select4003z00, BGl_z62makezd2selectzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k4004za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s4005za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen4006z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s4007za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d24008za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d4009za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur4010z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef4011z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp4012z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4013za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff4014z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp4015za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4016za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d4017za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4018z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b04019za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2nilza74020za7, BGl_z62selectzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2clau4021z00,
		BGl_z62selectzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b4022za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke4023z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4024z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za74025z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b04026za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4027za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzast_nodez00,
		BgL_bgl_za762lambda2454za7624028z00, BGl_z62lambda2454z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d24029za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzast_nodez00,
		BgL_bgl_za762lambda2453za7624030z00, BGl_z62lambda2453z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74031za7,
		BGl_z62zc3anonymousza32461ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzast_nodez00,
		BgL_bgl_za762lambda2460za7624032z00, BGl_z62lambda2460z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzast_nodez00,
		BgL_bgl_za762lambda2459za7624033z00, BGl_z62lambda2459z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74034za7,
		BGl_z62zc3anonymousza32449ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4035za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzast_nodez00,
		BgL_bgl_za762lambda2447za7624036z00, BGl_z62lambda2447z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzast_nodez00,
		BgL_bgl_za762lambda2445za7624037z00, BGl_z62lambda2445z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74038za7,
		BGl_z62zc3anonymousza32478ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzast_nodez00,
		BgL_bgl_za762lambda2477za7624039z00, BGl_z62lambda2477z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzast_nodez00,
		BgL_bgl_za762lambda2476za7624040z00, BGl_z62lambda2476z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74041za7,
		BGl_z62zc3anonymousza32485ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzast_nodez00,
		BgL_bgl_za762lambda2484za7624042z00, BGl_z62lambda2484z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzast_nodez00,
		BgL_bgl_za762lambda2483za7624043z00, BGl_z62lambda2483z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74044za7,
		BGl_z62zc3anonymousza32471ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzast_nodez00,
		BgL_bgl_za762lambda2469za7624045z00, BGl_z62lambda2469z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d24046za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b04047za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4048z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzast_nodez00,
		BgL_bgl_za762lambda2467za7624049z00, BGl_z62lambda2467z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzast_nodez00,
		BgL_bgl_za762lambda2500za7624050z00, BGl_z62lambda2500z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzast_nodez00,
		BgL_bgl_za762lambda2499za7624051z00, BGl_z62lambda2499z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74052za7,
		BGl_z62zc3anonymousza32495ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzast_nodez00,
		BgL_bgl_za762lambda2493za7624053z00, BGl_z62lambda2493z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzast_nodez00,
		BgL_bgl_za762lambda2491za7624054z00, BGl_z62lambda2491z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzast_nodez00,
		BgL_bgl_za762lambda2516za7624055z00, BGl_z62lambda2516z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzast_nodez00,
		BgL_bgl_za762lambda2515za7624056z00, BGl_z62lambda2515z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74057za7,
		BGl_z62zc3anonymousza32511ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzast_nodez00,
		BgL_bgl_za762lambda2509za7624058z00, BGl_z62lambda2509z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzast_nodez00,
		BgL_bgl_za762lambda2506za7624059z00, BGl_z62lambda2506z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74060za7,
		BGl_z62zc3anonymousza32526ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzast_nodez00,
		BgL_bgl_za762lambda2524za7624061z00, BGl_z62lambda2524z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzast_nodez00,
		BgL_bgl_za762lambda2522za7624062z00, BGl_z62lambda2522z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzast_nodez00,
		BgL_bgl_za762lambda2542za7624063z00, BGl_z62lambda2542z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24064z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4065za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzast_nodez00,
		BgL_bgl_za762lambda2541za7624066z00, BGl_z62lambda2541z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74067za7,
		BGl_z62zc3anonymousza32537ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzast_nodez00,
		BgL_bgl_za762lambda2535za7624068z00, BGl_z62lambda2535z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3388z00zzast_nodez00,
		BgL_bgl_za762lambda2533za7624069z00, BGl_z62lambda2533z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74070za7,
		BGl_z62zc3anonymousza32559ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4071za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za74072z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex4073z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzast_nodez00,
		BgL_bgl_za762lambda2558za7624074z00, BGl_z62lambda2558z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzast_nodez00,
		BgL_bgl_za762lambda2557za7624075z00, BGl_z62lambda2557z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzast_nodez00,
		BgL_bgl_za762lambda2564za7624076z00, BGl_z62lambda2564z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzast_nodez00,
		BgL_bgl_za762lambda2563za7624077z00, BGl_z62lambda2563z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74078za7,
		BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzast_nodez00,
		BgL_bgl_za762lambda2550za7624079z00, BGl_z62lambda2550z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzast_nodez00,
		BgL_bgl_za762lambda2548za7624080z00, BGl_z62lambda2548z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzast_nodez00,
		BgL_bgl_za762lambda2579za7624081z00, BGl_z62lambda2579z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzast_nodez00,
		BgL_bgl_za762lambda2578za7624082z00, BGl_z62lambda2578z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzast_nodez00,
		BgL_bgl_za762lambda2584za7624083z00, BGl_z62lambda2584z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg4084z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7834085z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var4086z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b04087za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d24088za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74089z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4090za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4091za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil4092z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24093z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4094za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d24095za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4096z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke4097z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za74098z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a4099za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza74100za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4101z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4102z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4103z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7914104za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4105z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a4106za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma4107z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2type4108z00,
		BGl_z62selectzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key4109z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4110za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2atomzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2atomza7b4111za7, BGl_z62makezd2atomzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4112za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d24113za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4114za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4115za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s4116za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74117za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4118za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d4119z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d24120za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24121za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4122z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d4123za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d4124za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp4125z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4126z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg4127z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za794128za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4129za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b04130za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type4131z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ4132z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2keyza74133za7,
		BGl_z62selectzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za74134z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4135za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo4136z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff4137z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza74138za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn4139z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty4140z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a4141za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b4142za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24143z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b04144za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7914145za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t4146za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74147z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74148z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f4149z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal4150z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za794151za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s4152za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp4153z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4154z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4155za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4156z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b04157za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24158za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke4159z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24160z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4161za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza74162za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24163za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4164z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74165za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4166z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var4167z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3400z00zzast_nodez00,
		BgL_bgl_za762lambda2583za7624168z00, BGl_z62lambda2583z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3401z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74169za7,
		BGl_z62zc3anonymousza32574ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3402z00zzast_nodez00,
		BgL_bgl_za762lambda2572za7624170z00, BGl_z62lambda2572z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3403z00zzast_nodez00,
		BgL_bgl_za762lambda2570za7624171z00, BGl_z62lambda2570z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3404z00zzast_nodez00,
		BgL_bgl_za762lambda2601za7624172z00, BGl_z62lambda2601z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3405z00zzast_nodez00,
		BgL_bgl_za762lambda2600za7624173z00, BGl_z62lambda2600z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3406z00zzast_nodez00,
		BgL_bgl_za762lambda2606za7624174z00, BGl_z62lambda2606z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3407z00zzast_nodez00,
		BgL_bgl_za762lambda2605za7624175z00, BGl_z62lambda2605z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3408z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74176za7,
		BGl_z62zc3anonymousza32595ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4177za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3409z00zzast_nodez00,
		BgL_bgl_za762lambda2593za7624178z00, BGl_z62lambda2593z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74179za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4180za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3410z00zzast_nodez00,
		BgL_bgl_za762lambda2591za7624181z00, BGl_z62lambda2591z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3411z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74182za7,
		BGl_z62zc3anonymousza32623ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3412z00zzast_nodez00,
		BgL_bgl_za762lambda2622za7624183z00, BGl_z62lambda2622z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3413z00zzast_nodez00,
		BgL_bgl_za762lambda2621za7624184z00, BGl_z62lambda2621z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za74185za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3414z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74186za7,
		BGl_z62zc3anonymousza32630ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3415z00zzast_nodez00,
		BgL_bgl_za762lambda2629za7624187z00, BGl_z62lambda2629z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3416z00zzast_nodez00,
		BgL_bgl_za762lambda2628za7624188z00, BGl_z62lambda2628z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3417z00zzast_nodez00,
		BgL_bgl_za762lambda2635za7624189z00, BGl_z62lambda2635z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3418z00zzast_nodez00,
		BgL_bgl_za762lambda2634za7624190z00, BGl_z62lambda2634z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3419z00zzast_nodez00,
		BgL_bgl_za762lambda2641za7624191z00, BGl_z62lambda2641z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4192z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4193z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4194za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3420z00zzast_nodez00,
		BgL_bgl_za762lambda2640za7624195z00, BGl_z62lambda2640z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3421z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74196za7,
		BGl_z62zc3anonymousza32616ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3422z00zzast_nodez00,
		BgL_bgl_za762lambda2614za7624197z00, BGl_z62lambda2614z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3423z00zzast_nodez00,
		BgL_bgl_za762lambda2612za7624198z00, BGl_z62lambda2612z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3424z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74199za7,
		BGl_z62zc3anonymousza32658ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24200za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3425z00zzast_nodez00,
		BgL_bgl_za762lambda2657za7624201z00, BGl_z62lambda2657z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3426z00zzast_nodez00,
		BgL_bgl_za762lambda2656za7624202z00, BGl_z62lambda2656z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3427z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74203za7,
		BGl_z62zc3anonymousza32666ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3428z00zzast_nodez00,
		BgL_bgl_za762lambda2665za7624204z00, BGl_z62lambda2665z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3429z00zzast_nodez00,
		BgL_bgl_za762lambda2664za7624205z00, BGl_z62lambda2664z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4206za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24207za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3430z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74208za7,
		BGl_z62zc3anonymousza32651ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzast_nodez00,
		BgL_bgl_za762lambda2649za7624209z00, BGl_z62lambda2649z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzast_nodez00,
		BgL_bgl_za762lambda2647za7624210z00, BGl_z62lambda2647z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzast_nodez00,
		BgL_bgl_za762lambda2681za7624211z00, BGl_z62lambda2681z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzast_nodez00,
		BgL_bgl_za762lambda2680za7624212z00, BGl_z62lambda2680z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762selectza7d2side4213z00,
		BGl_z62selectzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74214za7,
		BGl_z62zc3anonymousza32676ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzast_nodez00,
		BgL_bgl_za762lambda2674za7624215z00, BGl_z62lambda2674z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzast_nodez00,
		BgL_bgl_za762lambda2672za7624216z00, BGl_z62lambda2672z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzast_nodez00,
		BgL_bgl_za762lambda2698za7624217z00, BGl_z62lambda2698z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzast_nodez00,
		BgL_bgl_za762lambda2697za7624218z00, BGl_z62lambda2697z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74219za7,
		BGl_z62zc3anonymousza32693ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzast_nodez00,
		BgL_bgl_za762lambda2690za7624220z00, BGl_z62lambda2690z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzast_nodez00,
		BgL_bgl_za762lambda2688za7624221z00, BGl_z62lambda2688z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzast_nodez00,
		BgL_bgl_za762lambda2714za7624222z00, BGl_z62lambda2714z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzast_nodez00,
		BgL_bgl_za762lambda2713za7624223z00, BGl_z62lambda2713z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzast_nodez00,
		BgL_bgl_za762lambda2719za7624224z00, BGl_z62lambda2719z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzast_nodez00,
		BgL_bgl_za762lambda2718za7624225z00, BGl_z62lambda2718z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794226za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzast_nodez00,
		BgL_bgl_za762lambda2724za7624227z00, BGl_z62lambda2724z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3448z00zzast_nodez00,
		BgL_bgl_za762lambda2723za7624228z00, BGl_z62lambda2723z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3449z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74229za7,
		BGl_z62zc3anonymousza32709ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4230z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74231za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3450z00zzast_nodez00,
		BgL_bgl_za762lambda2707za7624232z00, BGl_z62lambda2707z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3451z00zzast_nodez00,
		BgL_bgl_za762lambda2705za7624233z00, BGl_z62lambda2705z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3452z00zzast_nodez00,
		BgL_bgl_za762lambda2739za7624234z00, BGl_z62lambda2739z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3453z00zzast_nodez00,
		BgL_bgl_za762lambda2738za7624235z00, BGl_z62lambda2738z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3454z00zzast_nodez00,
		BgL_bgl_za762lambda2744za7624236z00, BGl_z62lambda2744z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3455z00zzast_nodez00,
		BgL_bgl_za762lambda2743za7624237z00, BGl_z62lambda2743z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3456z00zzast_nodez00,
		BgL_bgl_za762lambda2749za7624238z00, BGl_z62lambda2749z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3457z00zzast_nodez00,
		BgL_bgl_za762lambda2748za7624239z00, BGl_z62lambda2748z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3458z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74240za7,
		BGl_z62zc3anonymousza32734ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3459z00zzast_nodez00,
		BgL_bgl_za762lambda2732za7624241z00, BGl_z62lambda2732z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4242za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4243z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4244z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4245za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4246z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74247za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4248za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3460z00zzast_nodez00,
		BgL_bgl_za762lambda2730za7624249z00, BGl_z62lambda2730z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3461z00zzast_nodez00,
		BgL_bgl_za762lambda2764za7624250z00, BGl_z62lambda2764z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3462z00zzast_nodez00,
		BgL_bgl_za762lambda2763za7624251z00, BGl_z62lambda2763z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3463z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74252za7,
		BGl_z62zc3anonymousza32759ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3464z00zzast_nodez00,
		BgL_bgl_za762lambda2757za7624253z00, BGl_z62lambda2757z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3465z00zzast_nodez00,
		BgL_bgl_za762lambda2755za7624254z00, BGl_z62lambda2755z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3466z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74255za7,
		BGl_z62zc3anonymousza32781ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3467z00zzast_nodez00,
		BgL_bgl_za762lambda2780za7624256z00, BGl_z62lambda2780z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3468z00zzast_nodez00,
		BgL_bgl_za762lambda2779za7624257z00, BGl_z62lambda2779z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3469z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74258za7,
		BGl_z62zc3anonymousza32774ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4259za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4260z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3470z00zzast_nodez00,
		BgL_bgl_za762lambda2772za7624261z00, BGl_z62lambda2772z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3471z00zzast_nodez00,
		BgL_bgl_za762lambda2770za7624262z00, BGl_z62lambda2770z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24263za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3472z00zzast_nodez00,
		BgL_bgl_za762lambda2796za7624264z00, BGl_z62lambda2796z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4265za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3473z00zzast_nodez00,
		BgL_bgl_za762lambda2795za7624266z00, BGl_z62lambda2795z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3474z00zzast_nodez00,
		BgL_bgl_za762lambda2801za7624267z00, BGl_z62lambda2801z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3475z00zzast_nodez00,
		BgL_bgl_za762lambda2800za7624268z00, BGl_z62lambda2800z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3476z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74269za7,
		BGl_z62zc3anonymousza32791ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3477z00zzast_nodez00,
		BgL_bgl_za762lambda2789za7624270z00, BGl_z62lambda2789z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3478z00zzast_nodez00,
		BgL_bgl_za762lambda2787za7624271z00, BGl_z62lambda2787z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3479z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74272za7,
		BGl_z62zc3anonymousza32818ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04273za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4274z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3480z00zzast_nodez00,
		BgL_bgl_za762lambda2817za7624275z00, BGl_z62lambda2817z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3481z00zzast_nodez00,
		BgL_bgl_za762lambda2816za7624276z00, BGl_z62lambda2816z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3482z00zzast_nodez00,
		BgL_bgl_za762lambda2823za7624277z00, BGl_z62lambda2823z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3483z00zzast_nodez00,
		BgL_bgl_za762lambda2822za7624278z00, BGl_z62lambda2822z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3484z00zzast_nodez00,
		BgL_bgl_za762lambda2828za7624279z00, BGl_z62lambda2828z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3485z00zzast_nodez00,
		BgL_bgl_za762lambda2827za7624280z00, BGl_z62lambda2827z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3486z00zzast_nodez00,
		BgL_bgl_za762lambda2833za7624281z00, BGl_z62lambda2833z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3487z00zzast_nodez00,
		BgL_bgl_za762lambda2832za7624282z00, BGl_z62lambda2832z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4283z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3488z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74284za7,
		BGl_z62zc3anonymousza32811ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3489z00zzast_nodez00,
		BgL_bgl_za762lambda2809za7624285z00, BGl_z62lambda2809z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4286z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4287z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3490z00zzast_nodez00,
		BgL_bgl_za762lambda2807za7624288z00, BGl_z62lambda2807z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3491z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74289za7,
		BGl_z62zc3anonymousza32850ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3492z00zzast_nodez00,
		BgL_bgl_za762lambda2849za7624290z00, BGl_z62lambda2849z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3493z00zzast_nodez00,
		BgL_bgl_za762lambda2848za7624291z00, BGl_z62lambda2848z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3494z00zzast_nodez00,
		BgL_bgl_za762lambda2855za7624292z00, BGl_z62lambda2855z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3495z00zzast_nodez00,
		BgL_bgl_za762lambda2854za7624293z00, BGl_z62lambda2854z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3496z00zzast_nodez00,
		BgL_bgl_za762lambda2860za7624294z00, BGl_z62lambda2860z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3497z00zzast_nodez00,
		BgL_bgl_za762lambda2859za7624295z00, BGl_z62lambda2859z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3498z00zzast_nodez00,
		BgL_bgl_za762lambda2865za7624296z00, BGl_z62lambda2865z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3499z00zzast_nodez00,
		BgL_bgl_za762lambda2864za7624297z00, BGl_z62lambda2864z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4298za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24299za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24300z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4301za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4302za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04303za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4304z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4305za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74306z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24307za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4308z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74309za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4310z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4311za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4312z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4313za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4314za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4315z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2keyza74316za7, BGl_z62selectzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4317za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4318z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04319za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4320za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74321za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24322za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4323za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24324za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74325za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4326za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4327z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4328z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914329za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24330za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24331z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4332za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4333z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74334za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4335za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24336za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4337z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4338z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4339za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4340z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4341za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4342z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4343za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04344za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24345z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4346z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4347z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4348z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4349za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4350z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4351za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24352za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_9538, char *BgL_fromz00_9539)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_8070;

				BgL_cportz00_8070 =
					bgl_open_input_string(BGl_string3629z00zzast_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_8071;

					BgL_iz00_8071 = ((long) 78);
				BgL_loopz00_8072:
					if ((BgL_iz00_8071 == ((long) -1)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3631z00_8074;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_8076;

										BgL_locationz00_8076 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3631z00_8074 =
												BGl_readz00zz__readerz00(BgL_cportz00_8070,
												BgL_locationz00_8076);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_auxz00_9561;

									BgL_auxz00_9561 = (int) (BgL_iz00_8071);
									CNST_TABLE_SET(BgL_auxz00_9561, BgL_arg3631z00_8074);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_8077;

								BgL_auxz00_8077 = (int) ((BgL_iz00_8071 - ((long) 1)));
								{
									long BgL_iz00_9566;

									BgL_iz00_9566 = (long) (BgL_auxz00_8077);
									BgL_iz00_8071 = BgL_iz00_9566;
									goto BgL_loopz00_8072;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}
	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1662z00_3, BgL_typez00_bglt BgL_type1663z00_4)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 593 */
			{	/* Ast/nodetype.sch 593 */
				BgL_nodez00_bglt BgL_new1384z00_8078;

				{	/* Ast/nodetype.sch 593 */
					BgL_nodez00_bglt BgL_new1383z00_8079;

					BgL_new1383z00_8079 =
						((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 593 */
						long BgL_arg2401z00_8080;

						{	/* Ast/nodetype.sch 593 */
							long BgL_res3217z00_8081;

							{	/* Ast/nodetype.sch 593 */
								obj_t BgL_classz00_8082;

								BgL_classz00_8082 = BGl_nodez00zzast_nodez00;
								{	/* Ast/nodetype.sch 593 */
									obj_t BgL_vectorz00_8083;
									int BgL_kz00_8084;

									BgL_vectorz00_8083 = BgL_classz00_8082;
									BgL_kz00_8084 = (int) (((long) 1));
									BgL_res3217z00_8081 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8083, BgL_kz00_8084));
							}}
							BgL_arg2401z00_8080 = BgL_res3217z00_8081;
						}
						{	/* Ast/nodetype.sch 593 */
							BgL_objectz00_bglt BgL_objz00_8085;

							BgL_objz00_8085 = ((BgL_objectz00_bglt) BgL_new1383z00_8079);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8085, BgL_arg2401z00_8080);
					}}
					{	/* Ast/nodetype.sch 593 */
						BgL_objectz00_bglt BgL_auxz00_9574;

						BgL_auxz00_9574 = ((BgL_objectz00_bglt) BgL_new1383z00_8079);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9574, BFALSE);
					}
					BgL_new1384z00_8078 = BgL_new1383z00_8079;
				}
				((((BgL_nodez00_bglt) CREF(BgL_new1384z00_8078))->BgL_locz00) =
					((obj_t) BgL_loc1662z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(BgL_new1384z00_8078))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1663z00_4), BUNSPEC);
				return BgL_new1384z00_8078;
			}
		}
	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_5879,
		obj_t BgL_loc1662z00_5880, obj_t BgL_type1663z00_5881)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 593 */
			{	/* Ast/nodetype.sch 593 */
				BgL_typez00_bglt BgL_type1663z00_8087;

				BgL_type1663z00_8087 = ((BgL_typez00_bglt) BgL_type1663z00_5881);
				{	/* Ast/nodetype.sch 593 */
					BgL_nodez00_bglt BgL_new1384z00_8088;

					{	/* Ast/nodetype.sch 593 */
						BgL_nodez00_bglt BgL_new1383z00_8089;

						BgL_new1383z00_8089 =
							((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodez00_bgl))));
						{	/* Ast/nodetype.sch 593 */
							long BgL_arg2401z00_8090;

							{	/* Ast/nodetype.sch 593 */
								long BgL_res3217z00_8091;

								{	/* Ast/nodetype.sch 593 */
									obj_t BgL_classz00_8092;

									BgL_classz00_8092 = BGl_nodez00zzast_nodez00;
									{	/* Ast/nodetype.sch 593 */
										obj_t BgL_vectorz00_8093;
										int BgL_kz00_8094;

										BgL_vectorz00_8093 = BgL_classz00_8092;
										BgL_kz00_8094 = (int) (((long) 1));
										BgL_res3217z00_8091 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8093,
												BgL_kz00_8094));
								}}
								BgL_arg2401z00_8090 = BgL_res3217z00_8091;
							}
							{	/* Ast/nodetype.sch 593 */
								BgL_objectz00_bglt BgL_objz00_8095;

								BgL_objz00_8095 = ((BgL_objectz00_bglt) BgL_new1383z00_8089);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8095, BgL_arg2401z00_8090);
						}}
						{	/* Ast/nodetype.sch 593 */
							BgL_objectz00_bglt BgL_auxz00_9586;

							BgL_auxz00_9586 = ((BgL_objectz00_bglt) BgL_new1383z00_8089);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9586, BFALSE);
						}
						BgL_new1384z00_8088 = BgL_new1383z00_8089;
					}
					((((BgL_nodez00_bglt) CREF(BgL_new1384z00_8088))->BgL_locz00) =
						((obj_t) BgL_loc1662z00_5880), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(BgL_new1384z00_8088))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1663z00_8087), BUNSPEC);
					return BgL_new1384z00_8088;
				}
			}
		}
	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 594 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_5, BGl_nodez00zzast_nodez00);
		}
	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_5882,
		obj_t BgL_objz00_5883)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 594 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5883,
					BGl_nodez00zzast_nodez00));
		}
	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 595 */
			{	/* Ast/nodetype.sch 595 */
				obj_t BgL_classz00_3900;

				BgL_classz00_3900 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 595 */
					obj_t BgL__ortest_1090z00_3901;

					BgL__ortest_1090z00_3901 =
						VECTOR_REF(BgL_classz00_3900, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3901))
						{	/* Ast/nodetype.sch 595 */
							return ((BgL_nodez00_bglt) BgL__ortest_1090z00_3901);
						}
					else
						{	/* Ast/nodetype.sch 595 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3900));
						}
				}
			}
		}
	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_5884)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 595 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}
	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 596 */
			return (((BgL_nodez00_bglt) CREF(BgL_oz00_6))->BgL_typez00);
		}
	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_5885,
		obj_t BgL_oz00_5886)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 596 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_5886)))->BgL_typez00);
		}
	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 597 */
			return
				((((BgL_nodez00_bglt) CREF(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}
	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5887,
		obj_t BgL_oz00_5888, obj_t BgL_vz00_5889)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 597 */
			{	/* Ast/nodetype.sch 597 */
				BgL_nodez00_bglt BgL_oz00_8098;
				BgL_typez00_bglt BgL_vz00_8099;

				BgL_oz00_8098 = ((BgL_nodez00_bglt) BgL_oz00_5888);
				BgL_vz00_8099 = ((BgL_typez00_bglt) BgL_vz00_5889);
				return
					((((BgL_nodez00_bglt) CREF(BgL_oz00_8098))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8099), BUNSPEC);
			}
		}
	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 598 */
			return (((BgL_nodez00_bglt) CREF(BgL_oz00_9))->BgL_locz00);
		}
	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_5890,
		obj_t BgL_oz00_5891)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 598 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_5891)))->BgL_locz00);
		}
	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1657z00_12,
		BgL_typez00_bglt BgL_type1658z00_13, obj_t BgL_sidezd2effect1659zd2_14,
		obj_t BgL_key1660z00_15)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 602 */
			{	/* Ast/nodetype.sch 602 */
				BgL_nodezf2effectzf2_bglt BgL_new1390z00_8101;

				{	/* Ast/nodetype.sch 602 */
					BgL_nodezf2effectzf2_bglt BgL_new1389z00_8102;

					BgL_new1389z00_8102 =
						((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 602 */
						long BgL_arg2402z00_8103;

						{	/* Ast/nodetype.sch 602 */
							long BgL_res3218z00_8104;

							{	/* Ast/nodetype.sch 602 */
								obj_t BgL_classz00_8105;

								BgL_classz00_8105 = BGl_nodezf2effectzf2zzast_nodez00;
								{	/* Ast/nodetype.sch 602 */
									obj_t BgL_vectorz00_8106;
									int BgL_kz00_8107;

									BgL_vectorz00_8106 = BgL_classz00_8105;
									BgL_kz00_8107 = (int) (((long) 1));
									BgL_res3218z00_8104 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8106, BgL_kz00_8107));
							}}
							BgL_arg2402z00_8103 = BgL_res3218z00_8104;
						}
						{	/* Ast/nodetype.sch 602 */
							BgL_objectz00_bglt BgL_objz00_8108;

							BgL_objz00_8108 = ((BgL_objectz00_bglt) BgL_new1389z00_8102);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8108, BgL_arg2402z00_8103);
					}}
					{	/* Ast/nodetype.sch 602 */
						BgL_objectz00_bglt BgL_auxz00_9618;

						BgL_auxz00_9618 = ((BgL_objectz00_bglt) BgL_new1389z00_8102);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9618, BFALSE);
					}
					BgL_new1390z00_8101 = BgL_new1389z00_8102;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1390z00_8101)))->BgL_locz00) =
					((obj_t) BgL_loc1657z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1390z00_8101)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1658z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1390z00_8101))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1659zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1390z00_8101))->BgL_keyz00) =
					((obj_t) BgL_key1660z00_15), BUNSPEC);
				return BgL_new1390z00_8101;
			}
		}
	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_5892, obj_t BgL_loc1657z00_5893, obj_t BgL_type1658z00_5894,
		obj_t BgL_sidezd2effect1659zd2_5895, obj_t BgL_key1660z00_5896)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 602 */
			{	/* Ast/nodetype.sch 602 */
				BgL_typez00_bglt BgL_type1658z00_8110;

				BgL_type1658z00_8110 = ((BgL_typez00_bglt) BgL_type1658z00_5894);
				{	/* Ast/nodetype.sch 602 */
					BgL_nodezf2effectzf2_bglt BgL_new1390z00_8113;

					{	/* Ast/nodetype.sch 602 */
						BgL_nodezf2effectzf2_bglt BgL_new1389z00_8114;

						BgL_new1389z00_8114 =
							((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodezf2effectzf2_bgl))));
						{	/* Ast/nodetype.sch 602 */
							long BgL_arg2402z00_8115;

							{	/* Ast/nodetype.sch 602 */
								long BgL_res3218z00_8116;

								{	/* Ast/nodetype.sch 602 */
									obj_t BgL_classz00_8117;

									BgL_classz00_8117 = BGl_nodezf2effectzf2zzast_nodez00;
									{	/* Ast/nodetype.sch 602 */
										obj_t BgL_vectorz00_8118;
										int BgL_kz00_8119;

										BgL_vectorz00_8118 = BgL_classz00_8117;
										BgL_kz00_8119 = (int) (((long) 1));
										BgL_res3218z00_8116 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8118,
												BgL_kz00_8119));
								}}
								BgL_arg2402z00_8115 = BgL_res3218z00_8116;
							}
							{	/* Ast/nodetype.sch 602 */
								BgL_objectz00_bglt BgL_objz00_8120;

								BgL_objz00_8120 = ((BgL_objectz00_bglt) BgL_new1389z00_8114);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8120, BgL_arg2402z00_8115);
						}}
						{	/* Ast/nodetype.sch 602 */
							BgL_objectz00_bglt BgL_auxz00_9634;

							BgL_auxz00_9634 = ((BgL_objectz00_bglt) BgL_new1389z00_8114);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9634, BFALSE);
						}
						BgL_new1390z00_8113 = BgL_new1389z00_8114;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1390z00_8113)))->BgL_locz00) =
						((obj_t) BgL_loc1657z00_5893), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1390z00_8113)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1658z00_8110), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1390z00_8113))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1659zd2_5895), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1390z00_8113))->
							BgL_keyz00) = ((obj_t) BgL_key1660z00_5896), BUNSPEC);
					return BgL_new1390z00_8113;
				}
			}
		}
	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 603 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_16,
				BGl_nodezf2effectzf2zzast_nodez00);
		}
	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_5897,
		obj_t BgL_objz00_5898)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 603 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5898,
					BGl_nodezf2effectzf2zzast_nodez00));
		}
	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 604 */
			{	/* Ast/nodetype.sch 604 */
				obj_t BgL_classz00_3916;

				BgL_classz00_3916 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 604 */
					obj_t BgL__ortest_1090z00_3917;

					BgL__ortest_1090z00_3917 =
						VECTOR_REF(BgL_classz00_3916, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3917))
						{	/* Ast/nodetype.sch 604 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1090z00_3917);
						}
					else
						{	/* Ast/nodetype.sch 604 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3916));
						}
				}
			}
		}
	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_5899)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 604 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}
	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 605 */
			return (((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_17))->BgL_keyz00);
		}
	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_5900,
		obj_t BgL_oz00_5901)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 605 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_5901)))->BgL_keyz00);
		}
	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 606 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}
	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_5902, obj_t BgL_oz00_5903, obj_t BgL_vz00_5904)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 606 */
			{	/* Ast/nodetype.sch 606 */
				BgL_nodezf2effectzf2_bglt BgL_oz00_8123;

				BgL_oz00_8123 = ((BgL_nodezf2effectzf2_bglt) BgL_oz00_5903);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_8123))->BgL_keyz00) =
					((obj_t) BgL_vz00_5904), BUNSPEC);
			}
		}
	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 607 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_20))->BgL_sidezd2effectzd2);
		}
	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_5905, obj_t BgL_oz00_5906)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 607 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_5906)))->
				BgL_sidezd2effectzd2);
		}
	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 608 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}
	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_5907, obj_t BgL_oz00_5908, obj_t BgL_vz00_5909)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 608 */
			{	/* Ast/nodetype.sch 608 */
				BgL_nodezf2effectzf2_bglt BgL_oz00_8126;

				BgL_oz00_8126 = ((BgL_nodezf2effectzf2_bglt) BgL_oz00_5908);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_8126))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_5909), BUNSPEC);
			}
		}
	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 609 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}
	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_5910, obj_t BgL_oz00_5911)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 609 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5911))))->BgL_typez00);
		}
	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 610 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}
	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_5912, obj_t BgL_oz00_5913, obj_t BgL_vz00_5914)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 610 */
			{	/* Ast/nodetype.sch 610 */
				BgL_nodezf2effectzf2_bglt BgL_oz00_8129;
				BgL_typez00_bglt BgL_vz00_8130;

				BgL_oz00_8129 = ((BgL_nodezf2effectzf2_bglt) BgL_oz00_5913);
				BgL_vz00_8130 = ((BgL_typez00_bglt) BgL_vz00_5914);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8129)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8130), BUNSPEC);
			}
		}
	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 611 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}
	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_5915,
		obj_t BgL_oz00_5916)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 611 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5916))))->BgL_locz00);
		}
	}



/* make-atom */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t
		BgL_loc1652z00_29, BgL_typez00_bglt BgL_type1654z00_30,
		obj_t BgL_value1655z00_31)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 615 */
			{	/* Ast/nodetype.sch 615 */
				BgL_atomz00_bglt BgL_new1400z00_8132;

				{	/* Ast/nodetype.sch 615 */
					BgL_atomz00_bglt BgL_new1399z00_8133;

					BgL_new1399z00_8133 =
						((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_atomz00_bgl))));
					{	/* Ast/nodetype.sch 615 */
						long BgL_arg2403z00_8134;

						{	/* Ast/nodetype.sch 615 */
							long BgL_res3219z00_8135;

							{	/* Ast/nodetype.sch 615 */
								obj_t BgL_classz00_8136;

								BgL_classz00_8136 = BGl_atomz00zzast_nodez00;
								{	/* Ast/nodetype.sch 615 */
									obj_t BgL_vectorz00_8137;
									int BgL_kz00_8138;

									BgL_vectorz00_8137 = BgL_classz00_8136;
									BgL_kz00_8138 = (int) (((long) 1));
									BgL_res3219z00_8135 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8137, BgL_kz00_8138));
							}}
							BgL_arg2403z00_8134 = BgL_res3219z00_8135;
						}
						{	/* Ast/nodetype.sch 615 */
							BgL_objectz00_bglt BgL_objz00_8139;

							BgL_objz00_8139 = ((BgL_objectz00_bglt) BgL_new1399z00_8133);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8139, BgL_arg2403z00_8134);
					}}
					{	/* Ast/nodetype.sch 615 */
						BgL_objectz00_bglt BgL_auxz00_9688;

						BgL_auxz00_9688 = ((BgL_objectz00_bglt) BgL_new1399z00_8133);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9688, BFALSE);
					}
					BgL_new1400z00_8132 = BgL_new1399z00_8133;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1400z00_8132)))->BgL_locz00) =
					((obj_t) BgL_loc1652z00_29), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1400z00_8132)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1654z00_30), BUNSPEC);
				((((BgL_atomz00_bglt) CREF(BgL_new1400z00_8132))->BgL_valuez00) =
					((obj_t) BgL_value1655z00_31), BUNSPEC);
				return BgL_new1400z00_8132;
			}
		}
	}



/* &make-atom */
	BgL_atomz00_bglt BGl_z62makezd2atomzb0zzast_nodez00(obj_t BgL_envz00_5917,
		obj_t BgL_loc1652z00_5918, obj_t BgL_type1654z00_5919,
		obj_t BgL_value1655z00_5920)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 615 */
			{	/* Ast/nodetype.sch 615 */
				BgL_typez00_bglt BgL_type1654z00_8141;

				BgL_type1654z00_8141 = ((BgL_typez00_bglt) BgL_type1654z00_5919);
				{	/* Ast/nodetype.sch 615 */
					BgL_atomz00_bglt BgL_new1400z00_8143;

					{	/* Ast/nodetype.sch 615 */
						BgL_atomz00_bglt BgL_new1399z00_8144;

						BgL_new1399z00_8144 =
							((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_atomz00_bgl))));
						{	/* Ast/nodetype.sch 615 */
							long BgL_arg2403z00_8145;

							{	/* Ast/nodetype.sch 615 */
								long BgL_res3219z00_8146;

								{	/* Ast/nodetype.sch 615 */
									obj_t BgL_classz00_8147;

									BgL_classz00_8147 = BGl_atomz00zzast_nodez00;
									{	/* Ast/nodetype.sch 615 */
										obj_t BgL_vectorz00_8148;
										int BgL_kz00_8149;

										BgL_vectorz00_8148 = BgL_classz00_8147;
										BgL_kz00_8149 = (int) (((long) 1));
										BgL_res3219z00_8146 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8148,
												BgL_kz00_8149));
								}}
								BgL_arg2403z00_8145 = BgL_res3219z00_8146;
							}
							{	/* Ast/nodetype.sch 615 */
								BgL_objectz00_bglt BgL_objz00_8150;

								BgL_objz00_8150 = ((BgL_objectz00_bglt) BgL_new1399z00_8144);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8150, BgL_arg2403z00_8145);
						}}
						{	/* Ast/nodetype.sch 615 */
							BgL_objectz00_bglt BgL_auxz00_9703;

							BgL_auxz00_9703 = ((BgL_objectz00_bglt) BgL_new1399z00_8144);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9703, BFALSE);
						}
						BgL_new1400z00_8143 = BgL_new1399z00_8144;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1400z00_8143)))->BgL_locz00) =
						((obj_t) BgL_loc1652z00_5918), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1400z00_8143)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1654z00_8141), BUNSPEC);
					((((BgL_atomz00_bglt) CREF(BgL_new1400z00_8143))->BgL_valuez00) =
						((obj_t) BgL_value1655z00_5920), BUNSPEC);
					return BgL_new1400z00_8143;
				}
			}
		}
	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_32)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 616 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_32, BGl_atomz00zzast_nodez00);
		}
	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_5921,
		obj_t BgL_objz00_5922)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 616 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5922,
					BGl_atomz00zzast_nodez00));
		}
	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 617 */
			{	/* Ast/nodetype.sch 617 */
				obj_t BgL_classz00_3936;

				BgL_classz00_3936 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 617 */
					obj_t BgL__ortest_1090z00_3937;

					BgL__ortest_1090z00_3937 =
						VECTOR_REF(BgL_classz00_3936, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3937))
						{	/* Ast/nodetype.sch 617 */
							return ((BgL_atomz00_bglt) BgL__ortest_1090z00_3937);
						}
					else
						{	/* Ast/nodetype.sch 617 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3936));
						}
				}
			}
		}
	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5923)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 617 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}
	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 618 */
			return (((BgL_atomz00_bglt) CREF(BgL_oz00_33))->BgL_valuez00);
		}
	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_5924,
		obj_t BgL_oz00_5925)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 618 */
			return
				(((BgL_atomz00_bglt) CREF(
						((BgL_atomz00_bglt) BgL_oz00_5925)))->BgL_valuez00);
		}
	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 619 */
			return
				((((BgL_atomz00_bglt) CREF(BgL_oz00_34))->BgL_valuez00) =
				((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5926,
		obj_t BgL_oz00_5927, obj_t BgL_vz00_5928)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 619 */
			{	/* Ast/nodetype.sch 619 */
				BgL_atomz00_bglt BgL_oz00_8153;

				BgL_oz00_8153 = ((BgL_atomz00_bglt) BgL_oz00_5927);
				return
					((((BgL_atomz00_bglt) CREF(BgL_oz00_8153))->BgL_valuez00) =
					((obj_t) BgL_vz00_5928), BUNSPEC);
			}
		}
	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 620 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_typez00);
		}
	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_5929,
		obj_t BgL_oz00_5930)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 620 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_atomz00_bglt) BgL_oz00_5930))))->BgL_typez00);
		}
	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_37,
		BgL_typez00_bglt BgL_vz00_38)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 621 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_37)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_38), BUNSPEC);
		}
	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5931,
		obj_t BgL_oz00_5932, obj_t BgL_vz00_5933)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 621 */
			{	/* Ast/nodetype.sch 621 */
				BgL_atomz00_bglt BgL_oz00_8156;
				BgL_typez00_bglt BgL_vz00_8157;

				BgL_oz00_8156 = ((BgL_atomz00_bglt) BgL_oz00_5932);
				BgL_vz00_8157 = ((BgL_typez00_bglt) BgL_vz00_5933);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8156)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8157), BUNSPEC);
			}
		}
	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 622 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_39)))->BgL_locz00);
		}
	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_5934,
		obj_t BgL_oz00_5935)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 622 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_atomz00_bglt) BgL_oz00_5935))))->BgL_locz00);
		}
	}



/* make-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t
		BgL_loc1648z00_42, BgL_typez00_bglt BgL_type1649z00_43,
		BgL_variablez00_bglt BgL_variable1650z00_44)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 626 */
			{	/* Ast/nodetype.sch 626 */
				BgL_varz00_bglt BgL_new1408z00_8159;

				{	/* Ast/nodetype.sch 626 */
					BgL_varz00_bglt BgL_new1407z00_8160;

					BgL_new1407z00_8160 =
						((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
					{	/* Ast/nodetype.sch 626 */
						long BgL_arg2405z00_8161;

						{	/* Ast/nodetype.sch 626 */
							long BgL_res3220z00_8162;

							{	/* Ast/nodetype.sch 626 */
								obj_t BgL_classz00_8163;

								BgL_classz00_8163 = BGl_varz00zzast_nodez00;
								{	/* Ast/nodetype.sch 626 */
									obj_t BgL_vectorz00_8164;
									int BgL_kz00_8165;

									BgL_vectorz00_8164 = BgL_classz00_8163;
									BgL_kz00_8165 = (int) (((long) 1));
									BgL_res3220z00_8162 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8164, BgL_kz00_8165));
							}}
							BgL_arg2405z00_8161 = BgL_res3220z00_8162;
						}
						{	/* Ast/nodetype.sch 626 */
							BgL_objectz00_bglt BgL_objz00_8166;

							BgL_objz00_8166 = ((BgL_objectz00_bglt) BgL_new1407z00_8160);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8166, BgL_arg2405z00_8161);
					}}
					{	/* Ast/nodetype.sch 626 */
						BgL_objectz00_bglt BgL_auxz00_9750;

						BgL_auxz00_9750 = ((BgL_objectz00_bglt) BgL_new1407z00_8160);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9750, BFALSE);
					}
					BgL_new1408z00_8159 = BgL_new1407z00_8160;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1408z00_8159)))->BgL_locz00) =
					((obj_t) BgL_loc1648z00_42), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1408z00_8159)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1649z00_43), BUNSPEC);
				((((BgL_varz00_bglt) CREF(BgL_new1408z00_8159))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1650z00_44), BUNSPEC);
				return BgL_new1408z00_8159;
			}
		}
	}



/* &make-var */
	BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t BgL_envz00_5936,
		obj_t BgL_loc1648z00_5937, obj_t BgL_type1649z00_5938,
		obj_t BgL_variable1650z00_5939)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 626 */
			{	/* Ast/nodetype.sch 626 */
				BgL_typez00_bglt BgL_type1649z00_8168;
				BgL_variablez00_bglt BgL_variable1650z00_8169;

				BgL_type1649z00_8168 = ((BgL_typez00_bglt) BgL_type1649z00_5938);
				BgL_variable1650z00_8169 =
					((BgL_variablez00_bglt) BgL_variable1650z00_5939);
				{	/* Ast/nodetype.sch 626 */
					BgL_varz00_bglt BgL_new1408z00_8170;

					{	/* Ast/nodetype.sch 626 */
						BgL_varz00_bglt BgL_new1407z00_8171;

						BgL_new1407z00_8171 =
							((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_varz00_bgl))));
						{	/* Ast/nodetype.sch 626 */
							long BgL_arg2405z00_8172;

							{	/* Ast/nodetype.sch 626 */
								long BgL_res3220z00_8173;

								{	/* Ast/nodetype.sch 626 */
									obj_t BgL_classz00_8174;

									BgL_classz00_8174 = BGl_varz00zzast_nodez00;
									{	/* Ast/nodetype.sch 626 */
										obj_t BgL_vectorz00_8175;
										int BgL_kz00_8176;

										BgL_vectorz00_8175 = BgL_classz00_8174;
										BgL_kz00_8176 = (int) (((long) 1));
										BgL_res3220z00_8173 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8175,
												BgL_kz00_8176));
								}}
								BgL_arg2405z00_8172 = BgL_res3220z00_8173;
							}
							{	/* Ast/nodetype.sch 626 */
								BgL_objectz00_bglt BgL_objz00_8177;

								BgL_objz00_8177 = ((BgL_objectz00_bglt) BgL_new1407z00_8171);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8177, BgL_arg2405z00_8172);
						}}
						{	/* Ast/nodetype.sch 626 */
							BgL_objectz00_bglt BgL_auxz00_9766;

							BgL_auxz00_9766 = ((BgL_objectz00_bglt) BgL_new1407z00_8171);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9766, BFALSE);
						}
						BgL_new1408z00_8170 = BgL_new1407z00_8171;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1408z00_8170)))->BgL_locz00) =
						((obj_t) BgL_loc1648z00_5937), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1408z00_8170)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1649z00_8168), BUNSPEC);
					((((BgL_varz00_bglt) CREF(BgL_new1408z00_8170))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1650z00_8169), BUNSPEC);
					return BgL_new1408z00_8170;
				}
			}
		}
	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_45)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 627 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_45, BGl_varz00zzast_nodez00);
		}
	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_5940,
		obj_t BgL_objz00_5941)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 627 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5941,
					BGl_varz00zzast_nodez00));
		}
	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 628 */
			{	/* Ast/nodetype.sch 628 */
				obj_t BgL_classz00_3954;

				BgL_classz00_3954 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 628 */
					obj_t BgL__ortest_1090z00_3955;

					BgL__ortest_1090z00_3955 =
						VECTOR_REF(BgL_classz00_3954, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3955))
						{	/* Ast/nodetype.sch 628 */
							return ((BgL_varz00_bglt) BgL__ortest_1090z00_3955);
						}
					else
						{	/* Ast/nodetype.sch 628 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3954));
						}
				}
			}
		}
	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5942)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 628 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}
	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 629 */
			return (((BgL_varz00_bglt) CREF(BgL_oz00_46))->BgL_variablez00);
		}
	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_5943, obj_t BgL_oz00_5944)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 629 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_5944)))->BgL_variablez00);
		}
	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_47,
		BgL_variablez00_bglt BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 630 */
			return
				((((BgL_varz00_bglt) CREF(BgL_oz00_47))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_48), BUNSPEC);
		}
	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5945,
		obj_t BgL_oz00_5946, obj_t BgL_vz00_5947)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 630 */
			{	/* Ast/nodetype.sch 630 */
				BgL_varz00_bglt BgL_oz00_8180;
				BgL_variablez00_bglt BgL_vz00_8181;

				BgL_oz00_8180 = ((BgL_varz00_bglt) BgL_oz00_5946);
				BgL_vz00_8181 = ((BgL_variablez00_bglt) BgL_vz00_5947);
				return
					((((BgL_varz00_bglt) CREF(BgL_oz00_8180))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_vz00_8181), BUNSPEC);
			}
		}
	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 631 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_typez00);
		}
	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_5948,
		obj_t BgL_oz00_5949)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 631 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_varz00_bglt) BgL_oz00_5949))))->BgL_typez00);
		}
	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 632 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}
	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5950,
		obj_t BgL_oz00_5951, obj_t BgL_vz00_5952)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 632 */
			{	/* Ast/nodetype.sch 632 */
				BgL_varz00_bglt BgL_oz00_8183;
				BgL_typez00_bglt BgL_vz00_8184;

				BgL_oz00_8183 = ((BgL_varz00_bglt) BgL_oz00_5951);
				BgL_vz00_8184 = ((BgL_typez00_bglt) BgL_vz00_5952);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8183)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8184), BUNSPEC);
			}
		}
	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_52)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 633 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_52)))->BgL_locz00);
		}
	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_5953,
		obj_t BgL_oz00_5954)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 633 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_varz00_bglt) BgL_oz00_5954))))->BgL_locz00);
		}
	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1644z00_55, BgL_typez00_bglt BgL_type1645z00_56,
		BgL_variablez00_bglt BgL_variable1646z00_57)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 637 */
			{	/* Ast/nodetype.sch 637 */
				BgL_closurez00_bglt BgL_new1416z00_8186;

				{	/* Ast/nodetype.sch 637 */
					BgL_closurez00_bglt BgL_new1415z00_8187;

					BgL_new1415z00_8187 =
						((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 637 */
						long BgL_arg2406z00_8188;

						{	/* Ast/nodetype.sch 637 */
							long BgL_res3221z00_8189;

							{	/* Ast/nodetype.sch 637 */
								obj_t BgL_classz00_8190;

								BgL_classz00_8190 = BGl_closurez00zzast_nodez00;
								{	/* Ast/nodetype.sch 637 */
									obj_t BgL_vectorz00_8191;
									int BgL_kz00_8192;

									BgL_vectorz00_8191 = BgL_classz00_8190;
									BgL_kz00_8192 = (int) (((long) 1));
									BgL_res3221z00_8189 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8191, BgL_kz00_8192));
							}}
							BgL_arg2406z00_8188 = BgL_res3221z00_8189;
						}
						{	/* Ast/nodetype.sch 637 */
							BgL_objectz00_bglt BgL_objz00_8193;

							BgL_objz00_8193 = ((BgL_objectz00_bglt) BgL_new1415z00_8187);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8193, BgL_arg2406z00_8188);
					}}
					{	/* Ast/nodetype.sch 637 */
						BgL_objectz00_bglt BgL_auxz00_9814;

						BgL_auxz00_9814 = ((BgL_objectz00_bglt) BgL_new1415z00_8187);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9814, BFALSE);
					}
					BgL_new1416z00_8186 = BgL_new1415z00_8187;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1416z00_8186)))->BgL_locz00) =
					((obj_t) BgL_loc1644z00_55), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1416z00_8186)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1645z00_56), BUNSPEC);
				((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1416z00_8186)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1646z00_57), BUNSPEC);
				return BgL_new1416z00_8186;
			}
		}
	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_5955, obj_t BgL_loc1644z00_5956, obj_t BgL_type1645z00_5957,
		obj_t BgL_variable1646z00_5958)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 637 */
			{	/* Ast/nodetype.sch 637 */
				BgL_typez00_bglt BgL_type1645z00_8195;
				BgL_variablez00_bglt BgL_variable1646z00_8196;

				BgL_type1645z00_8195 = ((BgL_typez00_bglt) BgL_type1645z00_5957);
				BgL_variable1646z00_8196 =
					((BgL_variablez00_bglt) BgL_variable1646z00_5958);
				{	/* Ast/nodetype.sch 637 */
					BgL_closurez00_bglt BgL_new1416z00_8197;

					{	/* Ast/nodetype.sch 637 */
						BgL_closurez00_bglt BgL_new1415z00_8198;

						BgL_new1415z00_8198 =
							((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_closurez00_bgl))));
						{	/* Ast/nodetype.sch 637 */
							long BgL_arg2406z00_8199;

							{	/* Ast/nodetype.sch 637 */
								long BgL_res3221z00_8200;

								{	/* Ast/nodetype.sch 637 */
									obj_t BgL_classz00_8201;

									BgL_classz00_8201 = BGl_closurez00zzast_nodez00;
									{	/* Ast/nodetype.sch 637 */
										obj_t BgL_vectorz00_8202;
										int BgL_kz00_8203;

										BgL_vectorz00_8202 = BgL_classz00_8201;
										BgL_kz00_8203 = (int) (((long) 1));
										BgL_res3221z00_8200 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8202,
												BgL_kz00_8203));
								}}
								BgL_arg2406z00_8199 = BgL_res3221z00_8200;
							}
							{	/* Ast/nodetype.sch 637 */
								BgL_objectz00_bglt BgL_objz00_8204;

								BgL_objz00_8204 = ((BgL_objectz00_bglt) BgL_new1415z00_8198);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8204, BgL_arg2406z00_8199);
						}}
						{	/* Ast/nodetype.sch 637 */
							BgL_objectz00_bglt BgL_auxz00_9831;

							BgL_auxz00_9831 = ((BgL_objectz00_bglt) BgL_new1415z00_8198);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9831, BFALSE);
						}
						BgL_new1416z00_8197 = BgL_new1415z00_8198;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1416z00_8197)))->BgL_locz00) =
						((obj_t) BgL_loc1644z00_5956), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1416z00_8197)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1645z00_8195), BUNSPEC);
					((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1416z00_8197)))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1646z00_8196), BUNSPEC);
					return BgL_new1416z00_8197;
				}
			}
		}
	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_58)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 638 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_58, BGl_closurez00zzast_nodez00);
		}
	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_5959,
		obj_t BgL_objz00_5960)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 638 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5960,
					BGl_closurez00zzast_nodez00));
		}
	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 639 */
			{	/* Ast/nodetype.sch 639 */
				obj_t BgL_classz00_3972;

				BgL_classz00_3972 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 639 */
					obj_t BgL__ortest_1090z00_3973;

					BgL__ortest_1090z00_3973 =
						VECTOR_REF(BgL_classz00_3972, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3973))
						{	/* Ast/nodetype.sch 639 */
							return ((BgL_closurez00_bglt) BgL__ortest_1090z00_3973);
						}
					else
						{	/* Ast/nodetype.sch 639 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3972));
						}
				}
			}
		}
	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5961)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 639 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}
	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_59)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 640 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_59)))->BgL_variablez00);
		}
	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_5962, obj_t BgL_oz00_5963)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 640 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5963))))->BgL_variablez00);
		}
	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_60, BgL_variablez00_bglt BgL_vz00_61)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 641 */
			return
				((((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt) BgL_oz00_60)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_61), BUNSPEC);
		}
	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5964, obj_t BgL_oz00_5965, obj_t BgL_vz00_5966)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 641 */
			{	/* Ast/nodetype.sch 641 */
				BgL_closurez00_bglt BgL_oz00_8207;
				BgL_variablez00_bglt BgL_vz00_8208;

				BgL_oz00_8207 = ((BgL_closurez00_bglt) BgL_oz00_5965);
				BgL_vz00_8208 = ((BgL_variablez00_bglt) BgL_vz00_5966);
				return
					((((BgL_varz00_bglt) CREF(
								((BgL_varz00_bglt) BgL_oz00_8207)))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_vz00_8208), BUNSPEC);
			}
		}
	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_62)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 642 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_62)))->BgL_typez00);
		}
	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_5967,
		obj_t BgL_oz00_5968)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 642 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5968))))->BgL_typez00);
		}
	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt BgL_oz00_63,
		BgL_typez00_bglt BgL_vz00_64)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 643 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_63)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_64), BUNSPEC);
		}
	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5969,
		obj_t BgL_oz00_5970, obj_t BgL_vz00_5971)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 643 */
			{	/* Ast/nodetype.sch 643 */
				BgL_closurez00_bglt BgL_oz00_8210;
				BgL_typez00_bglt BgL_vz00_8211;

				BgL_oz00_8210 = ((BgL_closurez00_bglt) BgL_oz00_5970);
				BgL_vz00_8211 = ((BgL_typez00_bglt) BgL_vz00_5971);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8210)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8211), BUNSPEC);
			}
		}
	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_65)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 644 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_65)))->BgL_locz00);
		}
	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_5972,
		obj_t BgL_oz00_5973)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 644 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5973))))->BgL_locz00);
		}
	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1640z00_68, BgL_typez00_bglt BgL_type1641z00_69,
		obj_t BgL_value1642z00_70)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 648 */
			{	/* Ast/nodetype.sch 648 */
				BgL_kwotez00_bglt BgL_new1424z00_8213;

				{	/* Ast/nodetype.sch 648 */
					BgL_kwotez00_bglt BgL_new1423z00_8214;

					BgL_new1423z00_8214 =
						((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 648 */
						long BgL_arg2407z00_8215;

						{	/* Ast/nodetype.sch 648 */
							long BgL_res3222z00_8216;

							{	/* Ast/nodetype.sch 648 */
								obj_t BgL_classz00_8217;

								BgL_classz00_8217 = BGl_kwotez00zzast_nodez00;
								{	/* Ast/nodetype.sch 648 */
									obj_t BgL_vectorz00_8218;
									int BgL_kz00_8219;

									BgL_vectorz00_8218 = BgL_classz00_8217;
									BgL_kz00_8219 = (int) (((long) 1));
									BgL_res3222z00_8216 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8218, BgL_kz00_8219));
							}}
							BgL_arg2407z00_8215 = BgL_res3222z00_8216;
						}
						{	/* Ast/nodetype.sch 648 */
							BgL_objectz00_bglt BgL_objz00_8220;

							BgL_objz00_8220 = ((BgL_objectz00_bglt) BgL_new1423z00_8214);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8220, BgL_arg2407z00_8215);
					}}
					{	/* Ast/nodetype.sch 648 */
						BgL_objectz00_bglt BgL_auxz00_9884;

						BgL_auxz00_9884 = ((BgL_objectz00_bglt) BgL_new1423z00_8214);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9884, BFALSE);
					}
					BgL_new1424z00_8213 = BgL_new1423z00_8214;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1424z00_8213)))->BgL_locz00) =
					((obj_t) BgL_loc1640z00_68), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1424z00_8213)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1641z00_69), BUNSPEC);
				((((BgL_kwotez00_bglt) CREF(BgL_new1424z00_8213))->BgL_valuez00) =
					((obj_t) BgL_value1642z00_70), BUNSPEC);
				return BgL_new1424z00_8213;
			}
		}
	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_5974,
		obj_t BgL_loc1640z00_5975, obj_t BgL_type1641z00_5976,
		obj_t BgL_value1642z00_5977)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 648 */
			{	/* Ast/nodetype.sch 648 */
				BgL_typez00_bglt BgL_type1641z00_8222;

				BgL_type1641z00_8222 = ((BgL_typez00_bglt) BgL_type1641z00_5976);
				{	/* Ast/nodetype.sch 648 */
					BgL_kwotez00_bglt BgL_new1424z00_8224;

					{	/* Ast/nodetype.sch 648 */
						BgL_kwotez00_bglt BgL_new1423z00_8225;

						BgL_new1423z00_8225 =
							((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_kwotez00_bgl))));
						{	/* Ast/nodetype.sch 648 */
							long BgL_arg2407z00_8226;

							{	/* Ast/nodetype.sch 648 */
								long BgL_res3222z00_8227;

								{	/* Ast/nodetype.sch 648 */
									obj_t BgL_classz00_8228;

									BgL_classz00_8228 = BGl_kwotez00zzast_nodez00;
									{	/* Ast/nodetype.sch 648 */
										obj_t BgL_vectorz00_8229;
										int BgL_kz00_8230;

										BgL_vectorz00_8229 = BgL_classz00_8228;
										BgL_kz00_8230 = (int) (((long) 1));
										BgL_res3222z00_8227 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8229,
												BgL_kz00_8230));
								}}
								BgL_arg2407z00_8226 = BgL_res3222z00_8227;
							}
							{	/* Ast/nodetype.sch 648 */
								BgL_objectz00_bglt BgL_objz00_8231;

								BgL_objz00_8231 = ((BgL_objectz00_bglt) BgL_new1423z00_8225);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8231, BgL_arg2407z00_8226);
						}}
						{	/* Ast/nodetype.sch 648 */
							BgL_objectz00_bglt BgL_auxz00_9899;

							BgL_auxz00_9899 = ((BgL_objectz00_bglt) BgL_new1423z00_8225);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9899, BFALSE);
						}
						BgL_new1424z00_8224 = BgL_new1423z00_8225;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1424z00_8224)))->BgL_locz00) =
						((obj_t) BgL_loc1640z00_5975), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1424z00_8224)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1641z00_8222), BUNSPEC);
					((((BgL_kwotez00_bglt) CREF(BgL_new1424z00_8224))->BgL_valuez00) =
						((obj_t) BgL_value1642z00_5977), BUNSPEC);
					return BgL_new1424z00_8224;
				}
			}
		}
	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_71)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 649 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_71, BGl_kwotez00zzast_nodez00);
		}
	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_5978,
		obj_t BgL_objz00_5979)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 649 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5979,
					BGl_kwotez00zzast_nodez00));
		}
	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 650 */
			{	/* Ast/nodetype.sch 650 */
				obj_t BgL_classz00_3990;

				BgL_classz00_3990 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 650 */
					obj_t BgL__ortest_1090z00_3991;

					BgL__ortest_1090z00_3991 =
						VECTOR_REF(BgL_classz00_3990, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_3991))
						{	/* Ast/nodetype.sch 650 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1090z00_3991);
						}
					else
						{	/* Ast/nodetype.sch 650 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3990));
						}
				}
			}
		}
	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_5980)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 650 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}
	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 651 */
			return (((BgL_kwotez00_bglt) CREF(BgL_oz00_72))->BgL_valuez00);
		}
	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_5981,
		obj_t BgL_oz00_5982)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 651 */
			return
				(((BgL_kwotez00_bglt) CREF(
						((BgL_kwotez00_bglt) BgL_oz00_5982)))->BgL_valuez00);
		}
	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 653 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_75)))->BgL_typez00);
		}
	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_5983,
		obj_t BgL_oz00_5984)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 653 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_kwotez00_bglt) BgL_oz00_5984))))->BgL_typez00);
		}
	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_76,
		BgL_typez00_bglt BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 654 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_76)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_77), BUNSPEC);
		}
	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5985,
		obj_t BgL_oz00_5986, obj_t BgL_vz00_5987)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 654 */
			{	/* Ast/nodetype.sch 654 */
				BgL_kwotez00_bglt BgL_oz00_8235;
				BgL_typez00_bglt BgL_vz00_8236;

				BgL_oz00_8235 = ((BgL_kwotez00_bglt) BgL_oz00_5986);
				BgL_vz00_8236 = ((BgL_typez00_bglt) BgL_vz00_5987);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8235)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8236), BUNSPEC);
			}
		}
	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 655 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_78)))->BgL_locz00);
		}
	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_5988,
		obj_t BgL_oz00_5989)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 655 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_kwotez00_bglt) BgL_oz00_5989))))->BgL_locz00);
		}
	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1633z00_81,
		BgL_typez00_bglt BgL_type1634z00_82, obj_t BgL_sidezd2effect1635zd2_83,
		obj_t BgL_key1636z00_84, obj_t BgL_nodes1637z00_85,
		bool_t BgL_unsafe1638z00_86)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 659 */
			{	/* Ast/nodetype.sch 659 */
				BgL_sequencez00_bglt BgL_new1432z00_8238;

				{	/* Ast/nodetype.sch 659 */
					BgL_sequencez00_bglt BgL_new1431z00_8239;

					BgL_new1431z00_8239 =
						((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 659 */
						long BgL_arg2408z00_8240;

						{	/* Ast/nodetype.sch 659 */
							long BgL_res3223z00_8241;

							{	/* Ast/nodetype.sch 659 */
								obj_t BgL_classz00_8242;

								BgL_classz00_8242 = BGl_sequencez00zzast_nodez00;
								{	/* Ast/nodetype.sch 659 */
									obj_t BgL_vectorz00_8243;
									int BgL_kz00_8244;

									BgL_vectorz00_8243 = BgL_classz00_8242;
									BgL_kz00_8244 = (int) (((long) 1));
									BgL_res3223z00_8241 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8243, BgL_kz00_8244));
							}}
							BgL_arg2408z00_8240 = BgL_res3223z00_8241;
						}
						{	/* Ast/nodetype.sch 659 */
							BgL_objectz00_bglt BgL_objz00_8245;

							BgL_objz00_8245 = ((BgL_objectz00_bglt) BgL_new1431z00_8239);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8245, BgL_arg2408z00_8240);
					}}
					{	/* Ast/nodetype.sch 659 */
						BgL_objectz00_bglt BgL_auxz00_9943;

						BgL_auxz00_9943 = ((BgL_objectz00_bglt) BgL_new1431z00_8239);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9943, BFALSE);
					}
					BgL_new1432z00_8238 = BgL_new1431z00_8239;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1432z00_8238)))->BgL_locz00) =
					((obj_t) BgL_loc1633z00_81), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1432z00_8238)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1634z00_82), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1432z00_8238)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1635zd2_83), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1432z00_8238)))->BgL_keyz00) =
					((obj_t) BgL_key1636z00_84), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1432z00_8238))->BgL_nodesz00) =
					((obj_t) BgL_nodes1637z00_85), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1432z00_8238))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1638z00_86), BUNSPEC);
				return BgL_new1432z00_8238;
			}
		}
	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_5990, obj_t BgL_loc1633z00_5991, obj_t BgL_type1634z00_5992,
		obj_t BgL_sidezd2effect1635zd2_5993, obj_t BgL_key1636z00_5994,
		obj_t BgL_nodes1637z00_5995, obj_t BgL_unsafe1638z00_5996)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 659 */
			{	/* Ast/nodetype.sch 659 */
				BgL_typez00_bglt BgL_type1634z00_8247;
				bool_t BgL_unsafe1638z00_8251;

				BgL_type1634z00_8247 = ((BgL_typez00_bglt) BgL_type1634z00_5992);
				BgL_unsafe1638z00_8251 = CBOOL(BgL_unsafe1638z00_5996);
				{	/* Ast/nodetype.sch 659 */
					BgL_sequencez00_bglt BgL_new1432z00_8252;

					{	/* Ast/nodetype.sch 659 */
						BgL_sequencez00_bglt BgL_new1431z00_8253;

						BgL_new1431z00_8253 =
							((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/nodetype.sch 659 */
							long BgL_arg2408z00_8254;

							{	/* Ast/nodetype.sch 659 */
								long BgL_res3223z00_8255;

								{	/* Ast/nodetype.sch 659 */
									obj_t BgL_classz00_8256;

									BgL_classz00_8256 = BGl_sequencez00zzast_nodez00;
									{	/* Ast/nodetype.sch 659 */
										obj_t BgL_vectorz00_8257;
										int BgL_kz00_8258;

										BgL_vectorz00_8257 = BgL_classz00_8256;
										BgL_kz00_8258 = (int) (((long) 1));
										BgL_res3223z00_8255 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8257,
												BgL_kz00_8258));
								}}
								BgL_arg2408z00_8254 = BgL_res3223z00_8255;
							}
							{	/* Ast/nodetype.sch 659 */
								BgL_objectz00_bglt BgL_objz00_8259;

								BgL_objz00_8259 = ((BgL_objectz00_bglt) BgL_new1431z00_8253);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8259, BgL_arg2408z00_8254);
						}}
						{	/* Ast/nodetype.sch 659 */
							BgL_objectz00_bglt BgL_auxz00_9964;

							BgL_auxz00_9964 = ((BgL_objectz00_bglt) BgL_new1431z00_8253);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9964, BFALSE);
						}
						BgL_new1432z00_8252 = BgL_new1431z00_8253;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1432z00_8252)))->BgL_locz00) =
						((obj_t) BgL_loc1633z00_5991), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1432z00_8252)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1634z00_8247), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1432z00_8252)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1635zd2_5993), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1432z00_8252)))->BgL_keyz00) =
						((obj_t) BgL_key1636z00_5994), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1432z00_8252))->BgL_nodesz00) =
						((obj_t) BgL_nodes1637z00_5995), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1432z00_8252))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1638z00_8251), BUNSPEC);
					return BgL_new1432z00_8252;
				}
			}
		}
	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_87)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 660 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_87, BGl_sequencez00zzast_nodez00);
		}
	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_5997,
		obj_t BgL_objz00_5998)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 660 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5998,
					BGl_sequencez00zzast_nodez00));
		}
	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 661 */
			{	/* Ast/nodetype.sch 661 */
				obj_t BgL_classz00_4007;

				BgL_classz00_4007 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 661 */
					obj_t BgL__ortest_1090z00_4008;

					BgL__ortest_1090z00_4008 =
						VECTOR_REF(BgL_classz00_4007, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4008))
						{	/* Ast/nodetype.sch 661 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1090z00_4008);
						}
					else
						{	/* Ast/nodetype.sch 661 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4007));
						}
				}
			}
		}
	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5999)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 661 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}
	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 662 */
			return (((BgL_sequencez00_bglt) CREF(BgL_oz00_88))->BgL_unsafez00);
		}
	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6000,
		obj_t BgL_oz00_6001)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 662 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_oz00_6001)))->BgL_unsafez00));
		}
	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 664 */
			return (((BgL_sequencez00_bglt) CREF(BgL_oz00_91))->BgL_nodesz00);
		}
	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_6002,
		obj_t BgL_oz00_6003)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 664 */
			return
				(((BgL_sequencez00_bglt) CREF(
						((BgL_sequencez00_bglt) BgL_oz00_6003)))->BgL_nodesz00);
		}
	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 666 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_94)))->BgL_keyz00);
		}
	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6004,
		obj_t BgL_oz00_6005)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 666 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_6005))))->BgL_keyz00);
		}
	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 667 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_95)))->BgL_keyz00) =
				((obj_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6006,
		obj_t BgL_oz00_6007, obj_t BgL_vz00_6008)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 667 */
			{	/* Ast/nodetype.sch 667 */
				BgL_sequencez00_bglt BgL_oz00_8264;

				BgL_oz00_8264 = ((BgL_sequencez00_bglt) BgL_oz00_6007);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8264)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6008), BUNSPEC);
			}
		}
	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 668 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_97)))->BgL_sidezd2effectzd2);
		}
	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6009,
		obj_t BgL_oz00_6010)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 668 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_6010))))->BgL_sidezd2effectzd2);
		}
	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 669 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_98)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6011, obj_t BgL_oz00_6012, obj_t BgL_vz00_6013)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 669 */
			{	/* Ast/nodetype.sch 669 */
				BgL_sequencez00_bglt BgL_oz00_8267;

				BgL_oz00_8267 = ((BgL_sequencez00_bglt) BgL_oz00_6012);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8267)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6013), BUNSPEC);
			}
		}
	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 670 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_100)))->BgL_typez00);
		}
	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_6014,
		obj_t BgL_oz00_6015)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 670 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_6015))))->BgL_typez00);
		}
	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_101, BgL_typez00_bglt BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 671 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_101)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_102), BUNSPEC);
		}
	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6016,
		obj_t BgL_oz00_6017, obj_t BgL_vz00_6018)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 671 */
			{	/* Ast/nodetype.sch 671 */
				BgL_sequencez00_bglt BgL_oz00_8270;
				BgL_typez00_bglt BgL_vz00_8271;

				BgL_oz00_8270 = ((BgL_sequencez00_bglt) BgL_oz00_6017);
				BgL_vz00_8271 = ((BgL_typez00_bglt) BgL_vz00_6018);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8270)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8271), BUNSPEC);
			}
		}
	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 672 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_103)))->BgL_locz00);
		}
	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_6019,
		obj_t BgL_oz00_6020)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 672 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_6020))))->BgL_locz00);
		}
	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1626z00_106, BgL_typez00_bglt BgL_type1627z00_107,
		obj_t BgL_sidezd2effect1628zd2_108, obj_t BgL_key1629z00_109,
		BgL_varz00_bglt BgL_fun1630z00_110, obj_t BgL_args1631z00_111)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 676 */
			{	/* Ast/nodetype.sch 676 */
				BgL_appz00_bglt BgL_new1446z00_8273;

				{	/* Ast/nodetype.sch 676 */
					BgL_appz00_bglt BgL_new1445z00_8274;

					BgL_new1445z00_8274 =
						((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 676 */
						long BgL_arg2409z00_8275;

						{	/* Ast/nodetype.sch 676 */
							long BgL_res3224z00_8276;

							{	/* Ast/nodetype.sch 676 */
								obj_t BgL_classz00_8277;

								BgL_classz00_8277 = BGl_appz00zzast_nodez00;
								{	/* Ast/nodetype.sch 676 */
									obj_t BgL_vectorz00_8278;
									int BgL_kz00_8279;

									BgL_vectorz00_8278 = BgL_classz00_8277;
									BgL_kz00_8279 = (int) (((long) 1));
									BgL_res3224z00_8276 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8278, BgL_kz00_8279));
							}}
							BgL_arg2409z00_8275 = BgL_res3224z00_8276;
						}
						{	/* Ast/nodetype.sch 676 */
							BgL_objectz00_bglt BgL_objz00_8280;

							BgL_objz00_8280 = ((BgL_objectz00_bglt) BgL_new1445z00_8274);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8280, BgL_arg2409z00_8275);
					}}
					{	/* Ast/nodetype.sch 676 */
						BgL_objectz00_bglt BgL_auxz00_10037;

						BgL_auxz00_10037 = ((BgL_objectz00_bglt) BgL_new1445z00_8274);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10037, BFALSE);
					}
					BgL_new1446z00_8273 = BgL_new1445z00_8274;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1446z00_8273)))->BgL_locz00) =
					((obj_t) BgL_loc1626z00_106), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1446z00_8273)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1627z00_107), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1446z00_8273)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1628zd2_108), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1446z00_8273)))->BgL_keyz00) =
					((obj_t) BgL_key1629z00_109), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1446z00_8273))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1630z00_110), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1446z00_8273))->BgL_argsz00) =
					((obj_t) BgL_args1631z00_111), BUNSPEC);
				return BgL_new1446z00_8273;
			}
		}
	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_6021,
		obj_t BgL_loc1626z00_6022, obj_t BgL_type1627z00_6023,
		obj_t BgL_sidezd2effect1628zd2_6024, obj_t BgL_key1629z00_6025,
		obj_t BgL_fun1630z00_6026, obj_t BgL_args1631z00_6027)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 676 */
			{	/* Ast/nodetype.sch 676 */
				BgL_typez00_bglt BgL_type1627z00_8282;
				BgL_varz00_bglt BgL_fun1630z00_8285;

				BgL_type1627z00_8282 = ((BgL_typez00_bglt) BgL_type1627z00_6023);
				BgL_fun1630z00_8285 = ((BgL_varz00_bglt) BgL_fun1630z00_6026);
				{	/* Ast/nodetype.sch 676 */
					BgL_appz00_bglt BgL_new1446z00_8287;

					{	/* Ast/nodetype.sch 676 */
						BgL_appz00_bglt BgL_new1445z00_8288;

						BgL_new1445z00_8288 =
							((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appz00_bgl))));
						{	/* Ast/nodetype.sch 676 */
							long BgL_arg2409z00_8289;

							{	/* Ast/nodetype.sch 676 */
								long BgL_res3224z00_8290;

								{	/* Ast/nodetype.sch 676 */
									obj_t BgL_classz00_8291;

									BgL_classz00_8291 = BGl_appz00zzast_nodez00;
									{	/* Ast/nodetype.sch 676 */
										obj_t BgL_vectorz00_8292;
										int BgL_kz00_8293;

										BgL_vectorz00_8292 = BgL_classz00_8291;
										BgL_kz00_8293 = (int) (((long) 1));
										BgL_res3224z00_8290 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8292,
												BgL_kz00_8293));
								}}
								BgL_arg2409z00_8289 = BgL_res3224z00_8290;
							}
							{	/* Ast/nodetype.sch 676 */
								BgL_objectz00_bglt BgL_objz00_8294;

								BgL_objz00_8294 = ((BgL_objectz00_bglt) BgL_new1445z00_8288);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8294, BgL_arg2409z00_8289);
						}}
						{	/* Ast/nodetype.sch 676 */
							BgL_objectz00_bglt BgL_auxz00_10058;

							BgL_auxz00_10058 = ((BgL_objectz00_bglt) BgL_new1445z00_8288);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10058, BFALSE);
						}
						BgL_new1446z00_8287 = BgL_new1445z00_8288;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1446z00_8287)))->BgL_locz00) =
						((obj_t) BgL_loc1626z00_6022), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1446z00_8287)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1627z00_8282), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1446z00_8287)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1628zd2_6024), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1446z00_8287)))->BgL_keyz00) =
						((obj_t) BgL_key1629z00_6025), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1446z00_8287))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_fun1630z00_8285), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1446z00_8287))->BgL_argsz00) =
						((obj_t) BgL_args1631z00_6027), BUNSPEC);
					return BgL_new1446z00_8287;
				}
			}
		}
	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_112)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 677 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_112, BGl_appz00zzast_nodez00);
		}
	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_6028,
		obj_t BgL_objz00_6029)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 677 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6029,
					BGl_appz00zzast_nodez00));
		}
	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 678 */
			{	/* Ast/nodetype.sch 678 */
				obj_t BgL_classz00_4029;

				BgL_classz00_4029 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 678 */
					obj_t BgL__ortest_1090z00_4030;

					BgL__ortest_1090z00_4030 =
						VECTOR_REF(BgL_classz00_4029, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4030))
						{	/* Ast/nodetype.sch 678 */
							return ((BgL_appz00_bglt) BgL__ortest_1090z00_4030);
						}
					else
						{	/* Ast/nodetype.sch 678 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4029));
						}
				}
			}
		}
	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6030)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 678 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}
	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_113)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 679 */
			return (((BgL_appz00_bglt) CREF(BgL_oz00_113))->BgL_argsz00);
		}
	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_6031,
		obj_t BgL_oz00_6032)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 679 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_6032)))->BgL_argsz00);
		}
	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_114, obj_t BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 680 */
			return
				((((BgL_appz00_bglt) CREF(BgL_oz00_114))->BgL_argsz00) =
				((obj_t) BgL_vz00_115), BUNSPEC);
		}
	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6033,
		obj_t BgL_oz00_6034, obj_t BgL_vz00_6035)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 680 */
			{	/* Ast/nodetype.sch 680 */
				BgL_appz00_bglt BgL_oz00_8297;

				BgL_oz00_8297 = ((BgL_appz00_bglt) BgL_oz00_6034);
				return
					((((BgL_appz00_bglt) CREF(BgL_oz00_8297))->BgL_argsz00) =
					((obj_t) BgL_vz00_6035), BUNSPEC);
			}
		}
	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_116)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 681 */
			return (((BgL_appz00_bglt) CREF(BgL_oz00_116))->BgL_funz00);
		}
	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_6036,
		obj_t BgL_oz00_6037)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 681 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_6037)))->BgL_funz00);
		}
	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_117, BgL_varz00_bglt BgL_vz00_118)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 682 */
			return
				((((BgL_appz00_bglt) CREF(BgL_oz00_117))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_118), BUNSPEC);
		}
	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6038,
		obj_t BgL_oz00_6039, obj_t BgL_vz00_6040)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 682 */
			{	/* Ast/nodetype.sch 682 */
				BgL_appz00_bglt BgL_oz00_8300;
				BgL_varz00_bglt BgL_vz00_8301;

				BgL_oz00_8300 = ((BgL_appz00_bglt) BgL_oz00_6039);
				BgL_vz00_8301 = ((BgL_varz00_bglt) BgL_vz00_6040);
				return
					((((BgL_appz00_bglt) CREF(BgL_oz00_8300))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_vz00_8301), BUNSPEC);
			}
		}
	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_119)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 683 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_119)))->BgL_keyz00);
		}
	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6041,
		obj_t BgL_oz00_6042)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 683 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_appz00_bglt) BgL_oz00_6042))))->BgL_keyz00);
		}
	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_120, obj_t BgL_vz00_121)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 684 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_120)))->BgL_keyz00) =
				((obj_t) BgL_vz00_121), BUNSPEC);
		}
	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6043,
		obj_t BgL_oz00_6044, obj_t BgL_vz00_6045)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 684 */
			{	/* Ast/nodetype.sch 684 */
				BgL_appz00_bglt BgL_oz00_8303;

				BgL_oz00_8303 = ((BgL_appz00_bglt) BgL_oz00_6044);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8303)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6045), BUNSPEC);
			}
		}
	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_122)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 685 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_122)))->BgL_sidezd2effectzd2);
		}
	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6046,
		obj_t BgL_oz00_6047)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 685 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_appz00_bglt) BgL_oz00_6047))))->BgL_sidezd2effectzd2);
		}
	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_123, obj_t BgL_vz00_124)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 686 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_123)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_124), BUNSPEC);
		}
	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6048, obj_t BgL_oz00_6049, obj_t BgL_vz00_6050)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 686 */
			{	/* Ast/nodetype.sch 686 */
				BgL_appz00_bglt BgL_oz00_8306;

				BgL_oz00_8306 = ((BgL_appz00_bglt) BgL_oz00_6049);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8306)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6050), BUNSPEC);
			}
		}
	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_125)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 687 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_125)))->BgL_typez00);
		}
	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_6051,
		obj_t BgL_oz00_6052)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 687 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_oz00_6052))))->BgL_typez00);
		}
	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_126, BgL_typez00_bglt BgL_vz00_127)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 688 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_126)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_127), BUNSPEC);
		}
	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6053,
		obj_t BgL_oz00_6054, obj_t BgL_vz00_6055)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 688 */
			{	/* Ast/nodetype.sch 688 */
				BgL_appz00_bglt BgL_oz00_8309;
				BgL_typez00_bglt BgL_vz00_8310;

				BgL_oz00_8309 = ((BgL_appz00_bglt) BgL_oz00_6054);
				BgL_vz00_8310 = ((BgL_typez00_bglt) BgL_vz00_6055);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8309)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8310), BUNSPEC);
			}
		}
	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_128)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 689 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_128)))->BgL_locz00);
		}
	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_6056,
		obj_t BgL_oz00_6057)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 689 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_oz00_6057))))->BgL_locz00);
		}
	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1621z00_131,
		BgL_typez00_bglt BgL_type1622z00_132, BgL_nodez00_bglt BgL_fun1623z00_133,
		BgL_nodez00_bglt BgL_arg1624z00_134)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 693 */
			{	/* Ast/nodetype.sch 693 */
				BgL_appzd2lyzd2_bglt BgL_new1460z00_8312;

				{	/* Ast/nodetype.sch 693 */
					BgL_appzd2lyzd2_bglt BgL_new1459z00_8313;

					BgL_new1459z00_8313 =
						((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 693 */
						long BgL_arg2410z00_8314;

						{	/* Ast/nodetype.sch 693 */
							long BgL_res3225z00_8315;

							{	/* Ast/nodetype.sch 693 */
								obj_t BgL_classz00_8316;

								BgL_classz00_8316 = BGl_appzd2lyzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 693 */
									obj_t BgL_vectorz00_8317;
									int BgL_kz00_8318;

									BgL_vectorz00_8317 = BgL_classz00_8316;
									BgL_kz00_8318 = (int) (((long) 1));
									BgL_res3225z00_8315 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8317, BgL_kz00_8318));
							}}
							BgL_arg2410z00_8314 = BgL_res3225z00_8315;
						}
						{	/* Ast/nodetype.sch 693 */
							BgL_objectz00_bglt BgL_objz00_8319;

							BgL_objz00_8319 = ((BgL_objectz00_bglt) BgL_new1459z00_8313);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8319, BgL_arg2410z00_8314);
					}}
					{	/* Ast/nodetype.sch 693 */
						BgL_objectz00_bglt BgL_auxz00_10137;

						BgL_auxz00_10137 = ((BgL_objectz00_bglt) BgL_new1459z00_8313);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10137, BFALSE);
					}
					BgL_new1460z00_8312 = BgL_new1459z00_8313;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1460z00_8312)))->BgL_locz00) =
					((obj_t) BgL_loc1621z00_131), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1460z00_8312)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1622z00_132), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1460z00_8312))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1623z00_133), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1460z00_8312))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1624z00_134), BUNSPEC);
				return BgL_new1460z00_8312;
			}
		}
	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_6058, obj_t BgL_loc1621z00_6059, obj_t BgL_type1622z00_6060,
		obj_t BgL_fun1623z00_6061, obj_t BgL_arg1624z00_6062)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 693 */
			{	/* Ast/nodetype.sch 693 */
				BgL_typez00_bglt BgL_type1622z00_8321;
				BgL_nodez00_bglt BgL_fun1623z00_8322;
				BgL_nodez00_bglt BgL_arg1624z00_8323;

				BgL_type1622z00_8321 = ((BgL_typez00_bglt) BgL_type1622z00_6060);
				BgL_fun1623z00_8322 = ((BgL_nodez00_bglt) BgL_fun1623z00_6061);
				BgL_arg1624z00_8323 = ((BgL_nodez00_bglt) BgL_arg1624z00_6062);
				{	/* Ast/nodetype.sch 693 */
					BgL_appzd2lyzd2_bglt BgL_new1460z00_8324;

					{	/* Ast/nodetype.sch 693 */
						BgL_appzd2lyzd2_bglt BgL_new1459z00_8325;

						BgL_new1459z00_8325 =
							((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzd2_bgl))));
						{	/* Ast/nodetype.sch 693 */
							long BgL_arg2410z00_8326;

							{	/* Ast/nodetype.sch 693 */
								long BgL_res3225z00_8327;

								{	/* Ast/nodetype.sch 693 */
									obj_t BgL_classz00_8328;

									BgL_classz00_8328 = BGl_appzd2lyzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 693 */
										obj_t BgL_vectorz00_8329;
										int BgL_kz00_8330;

										BgL_vectorz00_8329 = BgL_classz00_8328;
										BgL_kz00_8330 = (int) (((long) 1));
										BgL_res3225z00_8327 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8329,
												BgL_kz00_8330));
								}}
								BgL_arg2410z00_8326 = BgL_res3225z00_8327;
							}
							{	/* Ast/nodetype.sch 693 */
								BgL_objectz00_bglt BgL_objz00_8331;

								BgL_objz00_8331 = ((BgL_objectz00_bglt) BgL_new1459z00_8325);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8331, BgL_arg2410z00_8326);
						}}
						{	/* Ast/nodetype.sch 693 */
							BgL_objectz00_bglt BgL_auxz00_10155;

							BgL_auxz00_10155 = ((BgL_objectz00_bglt) BgL_new1459z00_8325);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10155, BFALSE);
						}
						BgL_new1460z00_8324 = BgL_new1459z00_8325;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1460z00_8324)))->BgL_locz00) =
						((obj_t) BgL_loc1621z00_6059), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1460z00_8324)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1622z00_8321), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1460z00_8324))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1623z00_8322), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1460z00_8324))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1624z00_8323), BUNSPEC);
					return BgL_new1460z00_8324;
				}
			}
		}
	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_135)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 694 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_135,
				BGl_appzd2lyzd2zzast_nodez00);
		}
	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_6063,
		obj_t BgL_objz00_6064)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 694 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6064,
					BGl_appzd2lyzd2zzast_nodez00));
		}
	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 695 */
			{	/* Ast/nodetype.sch 695 */
				obj_t BgL_classz00_4053;

				BgL_classz00_4053 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 695 */
					obj_t BgL__ortest_1090z00_4054;

					BgL__ortest_1090z00_4054 =
						VECTOR_REF(BgL_classz00_4053, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4054))
						{	/* Ast/nodetype.sch 695 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1090z00_4054);
						}
					else
						{	/* Ast/nodetype.sch 695 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4053));
						}
				}
			}
		}
	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6065)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 695 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}
	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_136)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 696 */
			return (((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_136))->BgL_argz00);
		}
	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_6066,
		obj_t BgL_oz00_6067)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 696 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_6067)))->BgL_argz00);
		}
	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_137, BgL_nodez00_bglt BgL_vz00_138)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 697 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_137))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_138), BUNSPEC);
		}
	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6068,
		obj_t BgL_oz00_6069, obj_t BgL_vz00_6070)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 697 */
			{	/* Ast/nodetype.sch 697 */
				BgL_appzd2lyzd2_bglt BgL_oz00_8334;
				BgL_nodez00_bglt BgL_vz00_8335;

				BgL_oz00_8334 = ((BgL_appzd2lyzd2_bglt) BgL_oz00_6069);
				BgL_vz00_8335 = ((BgL_nodez00_bglt) BgL_vz00_6070);
				return
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_8334))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_vz00_8335), BUNSPEC);
			}
		}
	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_139)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 698 */
			return (((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_139))->BgL_funz00);
		}
	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_6071,
		obj_t BgL_oz00_6072)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 698 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_6072)))->BgL_funz00);
		}
	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_140, BgL_nodez00_bglt BgL_vz00_141)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 699 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_140))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_141), BUNSPEC);
		}
	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6073,
		obj_t BgL_oz00_6074, obj_t BgL_vz00_6075)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 699 */
			{	/* Ast/nodetype.sch 699 */
				BgL_appzd2lyzd2_bglt BgL_oz00_8337;
				BgL_nodez00_bglt BgL_vz00_8338;

				BgL_oz00_8337 = ((BgL_appzd2lyzd2_bglt) BgL_oz00_6074);
				BgL_vz00_8338 = ((BgL_nodez00_bglt) BgL_vz00_6075);
				return
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_8337))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_vz00_8338), BUNSPEC);
			}
		}
	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_142)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 700 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_142)))->BgL_typez00);
		}
	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_6076,
		obj_t BgL_oz00_6077)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 700 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_oz00_6077))))->BgL_typez00);
		}
	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_143, BgL_typez00_bglt BgL_vz00_144)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 701 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_143)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_144), BUNSPEC);
		}
	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6078,
		obj_t BgL_oz00_6079, obj_t BgL_vz00_6080)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 701 */
			{	/* Ast/nodetype.sch 701 */
				BgL_appzd2lyzd2_bglt BgL_oz00_8340;
				BgL_typez00_bglt BgL_vz00_8341;

				BgL_oz00_8340 = ((BgL_appzd2lyzd2_bglt) BgL_oz00_6079);
				BgL_vz00_8341 = ((BgL_typez00_bglt) BgL_vz00_6080);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8340)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8341), BUNSPEC);
			}
		}
	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_145)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 702 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_145)))->BgL_locz00);
		}
	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_6081,
		obj_t BgL_oz00_6082)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 702 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_oz00_6082))))->BgL_locz00);
		}
	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1614z00_148, BgL_typez00_bglt BgL_type1615z00_149,
		BgL_nodez00_bglt BgL_fun1616z00_150, obj_t BgL_args1617z00_151,
		obj_t BgL_strength1618z00_152, obj_t BgL_functions1619z00_153)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 706 */
			{	/* Ast/nodetype.sch 706 */
				BgL_funcallz00_bglt BgL_new1470z00_8343;

				{	/* Ast/nodetype.sch 706 */
					BgL_funcallz00_bglt BgL_new1469z00_8344;

					BgL_new1469z00_8344 =
						((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 706 */
						long BgL_arg2411z00_8345;

						{	/* Ast/nodetype.sch 706 */
							long BgL_res3226z00_8346;

							{	/* Ast/nodetype.sch 706 */
								obj_t BgL_classz00_8347;

								BgL_classz00_8347 = BGl_funcallz00zzast_nodez00;
								{	/* Ast/nodetype.sch 706 */
									obj_t BgL_vectorz00_8348;
									int BgL_kz00_8349;

									BgL_vectorz00_8348 = BgL_classz00_8347;
									BgL_kz00_8349 = (int) (((long) 1));
									BgL_res3226z00_8346 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8348, BgL_kz00_8349));
							}}
							BgL_arg2411z00_8345 = BgL_res3226z00_8346;
						}
						{	/* Ast/nodetype.sch 706 */
							BgL_objectz00_bglt BgL_objz00_8350;

							BgL_objz00_8350 = ((BgL_objectz00_bglt) BgL_new1469z00_8344);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8350, BgL_arg2411z00_8345);
					}}
					{	/* Ast/nodetype.sch 706 */
						BgL_objectz00_bglt BgL_auxz00_10211;

						BgL_auxz00_10211 = ((BgL_objectz00_bglt) BgL_new1469z00_8344);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10211, BFALSE);
					}
					BgL_new1470z00_8343 = BgL_new1469z00_8344;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1470z00_8343)))->BgL_locz00) =
					((obj_t) BgL_loc1614z00_148), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1470z00_8343)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1615z00_149), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8343))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1616z00_150), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8343))->BgL_argsz00) =
					((obj_t) BgL_args1617z00_151), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8343))->BgL_strengthz00) =
					((obj_t) BgL_strength1618z00_152), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8343))->BgL_functionsz00) =
					((obj_t) BgL_functions1619z00_153), BUNSPEC);
				return BgL_new1470z00_8343;
			}
		}
	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_6083, obj_t BgL_loc1614z00_6084, obj_t BgL_type1615z00_6085,
		obj_t BgL_fun1616z00_6086, obj_t BgL_args1617z00_6087,
		obj_t BgL_strength1618z00_6088, obj_t BgL_functions1619z00_6089)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 706 */
			{	/* Ast/nodetype.sch 706 */
				BgL_typez00_bglt BgL_type1615z00_8352;
				BgL_nodez00_bglt BgL_fun1616z00_8353;
				obj_t BgL_strength1618z00_8355;

				BgL_type1615z00_8352 = ((BgL_typez00_bglt) BgL_type1615z00_6085);
				BgL_fun1616z00_8353 = ((BgL_nodez00_bglt) BgL_fun1616z00_6086);
				BgL_strength1618z00_8355 = BgL_strength1618z00_6088;
				{	/* Ast/nodetype.sch 706 */
					BgL_funcallz00_bglt BgL_new1470z00_8357;

					{	/* Ast/nodetype.sch 706 */
						BgL_funcallz00_bglt BgL_new1469z00_8358;

						BgL_new1469z00_8358 =
							((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_funcallz00_bgl))));
						{	/* Ast/nodetype.sch 706 */
							long BgL_arg2411z00_8359;

							{	/* Ast/nodetype.sch 706 */
								long BgL_res3226z00_8360;

								{	/* Ast/nodetype.sch 706 */
									obj_t BgL_classz00_8361;

									BgL_classz00_8361 = BGl_funcallz00zzast_nodez00;
									{	/* Ast/nodetype.sch 706 */
										obj_t BgL_vectorz00_8362;
										int BgL_kz00_8363;

										BgL_vectorz00_8362 = BgL_classz00_8361;
										BgL_kz00_8363 = (int) (((long) 1));
										BgL_res3226z00_8360 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8362,
												BgL_kz00_8363));
								}}
								BgL_arg2411z00_8359 = BgL_res3226z00_8360;
							}
							{	/* Ast/nodetype.sch 706 */
								BgL_objectz00_bglt BgL_objz00_8364;

								BgL_objz00_8364 = ((BgL_objectz00_bglt) BgL_new1469z00_8358);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8364, BgL_arg2411z00_8359);
						}}
						{	/* Ast/nodetype.sch 706 */
							BgL_objectz00_bglt BgL_auxz00_10230;

							BgL_auxz00_10230 = ((BgL_objectz00_bglt) BgL_new1469z00_8358);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10230, BFALSE);
						}
						BgL_new1470z00_8357 = BgL_new1469z00_8358;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1470z00_8357)))->BgL_locz00) =
						((obj_t) BgL_loc1614z00_6084), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1470z00_8357)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1615z00_8352), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8357))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1616z00_8353), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8357))->BgL_argsz00) =
						((obj_t) BgL_args1617z00_6087), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8357))->
							BgL_strengthz00) = ((obj_t) BgL_strength1618z00_8355), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1470z00_8357))->
							BgL_functionsz00) = ((obj_t) BgL_functions1619z00_6089), BUNSPEC);
					return BgL_new1470z00_8357;
				}
			}
		}
	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_154)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 707 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_154, BGl_funcallz00zzast_nodez00);
		}
	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_6090,
		obj_t BgL_objz00_6091)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 707 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6091,
					BGl_funcallz00zzast_nodez00));
		}
	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 708 */
			{	/* Ast/nodetype.sch 708 */
				obj_t BgL_classz00_4073;

				BgL_classz00_4073 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 708 */
					obj_t BgL__ortest_1090z00_4074;

					BgL__ortest_1090z00_4074 =
						VECTOR_REF(BgL_classz00_4073, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4074))
						{	/* Ast/nodetype.sch 708 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1090z00_4074);
						}
					else
						{	/* Ast/nodetype.sch 708 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4073));
						}
				}
			}
		}
	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6092)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 708 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}
	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_155)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 709 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_155))->BgL_functionsz00);
		}
	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_6093,
		obj_t BgL_oz00_6094)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 709 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6094)))->BgL_functionsz00);
		}
	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_156, obj_t BgL_vz00_157)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 710 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_156))->BgL_functionsz00) =
				((obj_t) BgL_vz00_157), BUNSPEC);
		}
	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6095, obj_t BgL_oz00_6096, obj_t BgL_vz00_6097)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 710 */
			{	/* Ast/nodetype.sch 710 */
				BgL_funcallz00_bglt BgL_oz00_8367;

				BgL_oz00_8367 = ((BgL_funcallz00_bglt) BgL_oz00_6096);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_8367))->BgL_functionsz00) =
					((obj_t) BgL_vz00_6097), BUNSPEC);
			}
		}
	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_158)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 711 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_158))->BgL_strengthz00);
		}
	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_6098,
		obj_t BgL_oz00_6099)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 711 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6099)))->BgL_strengthz00);
		}
	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_159, obj_t BgL_vz00_160)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 712 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_159))->BgL_strengthz00) =
				((obj_t) BgL_vz00_160), BUNSPEC);
		}
	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6100, obj_t BgL_oz00_6101, obj_t BgL_vz00_6102)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 712 */
			{	/* Ast/nodetype.sch 712 */
				BgL_funcallz00_bglt BgL_oz00_8370;
				obj_t BgL_vz00_8371;

				BgL_oz00_8370 = ((BgL_funcallz00_bglt) BgL_oz00_6101);
				BgL_vz00_8371 = BgL_vz00_6102;
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_8370))->BgL_strengthz00) =
					((obj_t) BgL_vz00_8371), BUNSPEC);
			}
		}
	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_161)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 713 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_161))->BgL_argsz00);
		}
	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_6103,
		obj_t BgL_oz00_6104)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 713 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6104)))->BgL_argsz00);
		}
	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_162, obj_t BgL_vz00_163)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 714 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_162))->BgL_argsz00) =
				((obj_t) BgL_vz00_163), BUNSPEC);
		}
	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6105,
		obj_t BgL_oz00_6106, obj_t BgL_vz00_6107)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 714 */
			{	/* Ast/nodetype.sch 714 */
				BgL_funcallz00_bglt BgL_oz00_8373;

				BgL_oz00_8373 = ((BgL_funcallz00_bglt) BgL_oz00_6106);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_8373))->BgL_argsz00) =
					((obj_t) BgL_vz00_6107), BUNSPEC);
			}
		}
	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_164)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 715 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_164))->BgL_funz00);
		}
	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_6108,
		obj_t BgL_oz00_6109)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 715 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6109)))->BgL_funz00);
		}
	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_165,
		BgL_nodez00_bglt BgL_vz00_166)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 716 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_165))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_166), BUNSPEC);
		}
	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6110,
		obj_t BgL_oz00_6111, obj_t BgL_vz00_6112)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 716 */
			{	/* Ast/nodetype.sch 716 */
				BgL_funcallz00_bglt BgL_oz00_8376;
				BgL_nodez00_bglt BgL_vz00_8377;

				BgL_oz00_8376 = ((BgL_funcallz00_bglt) BgL_oz00_6111);
				BgL_vz00_8377 = ((BgL_nodez00_bglt) BgL_vz00_6112);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_8376))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_vz00_8377), BUNSPEC);
			}
		}
	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_167)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 717 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_167)))->BgL_typez00);
		}
	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_6113,
		obj_t BgL_oz00_6114)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 717 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_oz00_6114))))->BgL_typez00);
		}
	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_168, BgL_typez00_bglt BgL_vz00_169)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 718 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_168)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_169), BUNSPEC);
		}
	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6115,
		obj_t BgL_oz00_6116, obj_t BgL_vz00_6117)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 718 */
			{	/* Ast/nodetype.sch 718 */
				BgL_funcallz00_bglt BgL_oz00_8379;
				BgL_typez00_bglt BgL_vz00_8380;

				BgL_oz00_8379 = ((BgL_funcallz00_bglt) BgL_oz00_6116);
				BgL_vz00_8380 = ((BgL_typez00_bglt) BgL_vz00_6117);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8379)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8380), BUNSPEC);
			}
		}
	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_170)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 719 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_170)))->BgL_locz00);
		}
	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_6118,
		obj_t BgL_oz00_6119)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 719 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_oz00_6119))))->BgL_locz00);
		}
	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1607z00_173, BgL_typez00_bglt BgL_type1608z00_174,
		obj_t BgL_sidezd2effect1609zd2_175, obj_t BgL_key1610z00_176,
		obj_t BgL_exprza21611za2_177, obj_t BgL_effect1612z00_178)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 723 */
			{	/* Ast/nodetype.sch 723 */
				BgL_externz00_bglt BgL_new1484z00_8382;

				{	/* Ast/nodetype.sch 723 */
					BgL_externz00_bglt BgL_new1483z00_8383;

					BgL_new1483z00_8383 =
						((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 723 */
						long BgL_arg2412z00_8384;

						{	/* Ast/nodetype.sch 723 */
							long BgL_res3227z00_8385;

							{	/* Ast/nodetype.sch 723 */
								obj_t BgL_classz00_8386;

								BgL_classz00_8386 = BGl_externz00zzast_nodez00;
								{	/* Ast/nodetype.sch 723 */
									obj_t BgL_vectorz00_8387;
									int BgL_kz00_8388;

									BgL_vectorz00_8387 = BgL_classz00_8386;
									BgL_kz00_8388 = (int) (((long) 1));
									BgL_res3227z00_8385 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8387, BgL_kz00_8388));
							}}
							BgL_arg2412z00_8384 = BgL_res3227z00_8385;
						}
						{	/* Ast/nodetype.sch 723 */
							BgL_objectz00_bglt BgL_objz00_8389;

							BgL_objz00_8389 = ((BgL_objectz00_bglt) BgL_new1483z00_8383);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8389, BgL_arg2412z00_8384);
					}}
					{	/* Ast/nodetype.sch 723 */
						BgL_objectz00_bglt BgL_auxz00_10299;

						BgL_auxz00_10299 = ((BgL_objectz00_bglt) BgL_new1483z00_8383);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10299, BFALSE);
					}
					BgL_new1484z00_8382 = BgL_new1483z00_8383;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1484z00_8382)))->BgL_locz00) =
					((obj_t) BgL_loc1607z00_173), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1484z00_8382)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1608z00_174), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_8382)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1609zd2_175), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_8382)))->BgL_keyz00) =
					((obj_t) BgL_key1610z00_176), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1484z00_8382))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21611za2_177), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1484z00_8382))->BgL_effectz00) =
					((obj_t) BgL_effect1612z00_178), BUNSPEC);
				return BgL_new1484z00_8382;
			}
		}
	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_6120,
		obj_t BgL_loc1607z00_6121, obj_t BgL_type1608z00_6122,
		obj_t BgL_sidezd2effect1609zd2_6123, obj_t BgL_key1610z00_6124,
		obj_t BgL_exprza21611za2_6125, obj_t BgL_effect1612z00_6126)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 723 */
			{	/* Ast/nodetype.sch 723 */
				BgL_typez00_bglt BgL_type1608z00_8391;
				obj_t BgL_exprza21611za2_8394;

				BgL_type1608z00_8391 = ((BgL_typez00_bglt) BgL_type1608z00_6122);
				BgL_exprza21611za2_8394 = BgL_exprza21611za2_6125;
				{	/* Ast/nodetype.sch 723 */
					BgL_externz00_bglt BgL_new1484z00_8396;

					{	/* Ast/nodetype.sch 723 */
						BgL_externz00_bglt BgL_new1483z00_8397;

						BgL_new1483z00_8397 =
							((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_externz00_bgl))));
						{	/* Ast/nodetype.sch 723 */
							long BgL_arg2412z00_8398;

							{	/* Ast/nodetype.sch 723 */
								long BgL_res3227z00_8399;

								{	/* Ast/nodetype.sch 723 */
									obj_t BgL_classz00_8400;

									BgL_classz00_8400 = BGl_externz00zzast_nodez00;
									{	/* Ast/nodetype.sch 723 */
										obj_t BgL_vectorz00_8401;
										int BgL_kz00_8402;

										BgL_vectorz00_8401 = BgL_classz00_8400;
										BgL_kz00_8402 = (int) (((long) 1));
										BgL_res3227z00_8399 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8401,
												BgL_kz00_8402));
								}}
								BgL_arg2412z00_8398 = BgL_res3227z00_8399;
							}
							{	/* Ast/nodetype.sch 723 */
								BgL_objectz00_bglt BgL_objz00_8403;

								BgL_objz00_8403 = ((BgL_objectz00_bglt) BgL_new1483z00_8397);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8403, BgL_arg2412z00_8398);
						}}
						{	/* Ast/nodetype.sch 723 */
							BgL_objectz00_bglt BgL_auxz00_10319;

							BgL_auxz00_10319 = ((BgL_objectz00_bglt) BgL_new1483z00_8397);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10319, BFALSE);
						}
						BgL_new1484z00_8396 = BgL_new1483z00_8397;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1484z00_8396)))->BgL_locz00) =
						((obj_t) BgL_loc1607z00_6121), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1484z00_8396)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1608z00_8391), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1484z00_8396)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1609zd2_6123), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1484z00_8396)))->BgL_keyz00) =
						((obj_t) BgL_key1610z00_6124), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1484z00_8396))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21611za2_8394), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1484z00_8396))->BgL_effectz00) =
						((obj_t) BgL_effect1612z00_6126), BUNSPEC);
					return BgL_new1484z00_8396;
				}
			}
		}
	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_179)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 724 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_179, BGl_externz00zzast_nodez00);
		}
	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_6127,
		obj_t BgL_objz00_6128)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 724 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6128,
					BGl_externz00zzast_nodez00));
		}
	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 725 */
			{	/* Ast/nodetype.sch 725 */
				obj_t BgL_classz00_4097;

				BgL_classz00_4097 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 725 */
					obj_t BgL__ortest_1090z00_4098;

					BgL__ortest_1090z00_4098 =
						VECTOR_REF(BgL_classz00_4097, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4098))
						{	/* Ast/nodetype.sch 725 */
							return ((BgL_externz00_bglt) BgL__ortest_1090z00_4098);
						}
					else
						{	/* Ast/nodetype.sch 725 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4097));
						}
				}
			}
		}
	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6129)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 725 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}
	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_180)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 726 */
			return (((BgL_externz00_bglt) CREF(BgL_oz00_180))->BgL_effectz00);
		}
	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6130,
		obj_t BgL_oz00_6131)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 726 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_6131)))->BgL_effectz00);
		}
	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_181, obj_t BgL_vz00_182)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 727 */
			return
				((((BgL_externz00_bglt) CREF(BgL_oz00_181))->BgL_effectz00) =
				((obj_t) BgL_vz00_182), BUNSPEC);
		}
	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6132,
		obj_t BgL_oz00_6133, obj_t BgL_vz00_6134)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 727 */
			{	/* Ast/nodetype.sch 727 */
				BgL_externz00_bglt BgL_oz00_8406;

				BgL_oz00_8406 = ((BgL_externz00_bglt) BgL_oz00_6133);
				return
					((((BgL_externz00_bglt) CREF(BgL_oz00_8406))->BgL_effectz00) =
					((obj_t) BgL_vz00_6134), BUNSPEC);
			}
		}
	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_183)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 728 */
			return (((BgL_externz00_bglt) CREF(BgL_oz00_183))->BgL_exprza2za2);
		}
	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6135,
		obj_t BgL_oz00_6136)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 728 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_6136)))->BgL_exprza2za2);
		}
	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_184, obj_t BgL_vz00_185)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 729 */
			return
				((((BgL_externz00_bglt) CREF(BgL_oz00_184))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_185), BUNSPEC);
		}
	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6137,
		obj_t BgL_oz00_6138, obj_t BgL_vz00_6139)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 729 */
			{	/* Ast/nodetype.sch 729 */
				BgL_externz00_bglt BgL_oz00_8409;
				obj_t BgL_vz00_8410;

				BgL_oz00_8409 = ((BgL_externz00_bglt) BgL_oz00_6138);
				BgL_vz00_8410 = BgL_vz00_6139;
				return
					((((BgL_externz00_bglt) CREF(BgL_oz00_8409))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8410), BUNSPEC);
			}
		}
	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_186)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 730 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_186)))->BgL_keyz00);
		}
	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6140,
		obj_t BgL_oz00_6141)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 730 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_externz00_bglt) BgL_oz00_6141))))->BgL_keyz00);
		}
	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_187,
		obj_t BgL_vz00_188)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 731 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_187)))->BgL_keyz00) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}
	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6142,
		obj_t BgL_oz00_6143, obj_t BgL_vz00_6144)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 731 */
			{	/* Ast/nodetype.sch 731 */
				BgL_externz00_bglt BgL_oz00_8412;

				BgL_oz00_8412 = ((BgL_externz00_bglt) BgL_oz00_6143);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8412)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6144), BUNSPEC);
			}
		}
	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_189)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 732 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_189)))->BgL_sidezd2effectzd2);
		}
	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6145,
		obj_t BgL_oz00_6146)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 732 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_externz00_bglt) BgL_oz00_6146))))->BgL_sidezd2effectzd2);
		}
	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_190, obj_t BgL_vz00_191)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 733 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_190)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_191), BUNSPEC);
		}
	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6147, obj_t BgL_oz00_6148, obj_t BgL_vz00_6149)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 733 */
			{	/* Ast/nodetype.sch 733 */
				BgL_externz00_bglt BgL_oz00_8415;

				BgL_oz00_8415 = ((BgL_externz00_bglt) BgL_oz00_6148);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8415)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6149), BUNSPEC);
			}
		}
	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_192)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 734 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_192)))->BgL_typez00);
		}
	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_6150,
		obj_t BgL_oz00_6151)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 734 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_externz00_bglt) BgL_oz00_6151))))->BgL_typez00);
		}
	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_193,
		BgL_typez00_bglt BgL_vz00_194)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 735 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_193)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_194), BUNSPEC);
		}
	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6152,
		obj_t BgL_oz00_6153, obj_t BgL_vz00_6154)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 735 */
			{	/* Ast/nodetype.sch 735 */
				BgL_externz00_bglt BgL_oz00_8418;
				BgL_typez00_bglt BgL_vz00_8419;

				BgL_oz00_8418 = ((BgL_externz00_bglt) BgL_oz00_6153);
				BgL_vz00_8419 = ((BgL_typez00_bglt) BgL_vz00_6154);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8418)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8419), BUNSPEC);
			}
		}
	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_195)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 736 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_195)))->BgL_locz00);
		}
	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_6155,
		obj_t BgL_oz00_6156)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 736 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_externz00_bglt) BgL_oz00_6156))))->BgL_locz00);
		}
	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1599z00_198, BgL_typez00_bglt BgL_type1600z00_199,
		obj_t BgL_sidezd2effect1601zd2_200, obj_t BgL_key1602z00_201,
		obj_t BgL_exprza21603za2_202, obj_t BgL_effect1604z00_203,
		obj_t BgL_format1605z00_204)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 740 */
			{	/* Ast/nodetype.sch 740 */
				BgL_pragmaz00_bglt BgL_new1498z00_8421;

				{	/* Ast/nodetype.sch 740 */
					BgL_pragmaz00_bglt BgL_new1497z00_8422;

					BgL_new1497z00_8422 =
						((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 740 */
						long BgL_arg2414z00_8423;

						{	/* Ast/nodetype.sch 740 */
							long BgL_res3228z00_8424;

							{	/* Ast/nodetype.sch 740 */
								obj_t BgL_classz00_8425;

								BgL_classz00_8425 = BGl_pragmaz00zzast_nodez00;
								{	/* Ast/nodetype.sch 740 */
									obj_t BgL_vectorz00_8426;
									int BgL_kz00_8427;

									BgL_vectorz00_8426 = BgL_classz00_8425;
									BgL_kz00_8427 = (int) (((long) 1));
									BgL_res3228z00_8424 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8426, BgL_kz00_8427));
							}}
							BgL_arg2414z00_8423 = BgL_res3228z00_8424;
						}
						{	/* Ast/nodetype.sch 740 */
							BgL_objectz00_bglt BgL_objz00_8428;

							BgL_objz00_8428 = ((BgL_objectz00_bglt) BgL_new1497z00_8422);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8428, BgL_arg2414z00_8423);
					}}
					{	/* Ast/nodetype.sch 740 */
						BgL_objectz00_bglt BgL_auxz00_10397;

						BgL_auxz00_10397 = ((BgL_objectz00_bglt) BgL_new1497z00_8422);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10397, BFALSE);
					}
					BgL_new1498z00_8421 = BgL_new1497z00_8422;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1498z00_8421)))->BgL_locz00) =
					((obj_t) BgL_loc1599z00_198), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1498z00_8421)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1600z00_199), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_8421)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1601zd2_200), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_8421)))->BgL_keyz00) =
					((obj_t) BgL_key1602z00_201), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1498z00_8421)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21603za2_202), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1498z00_8421)))->BgL_effectz00) =
					((obj_t) BgL_effect1604z00_203), BUNSPEC);
				((((BgL_pragmaz00_bglt) CREF(BgL_new1498z00_8421))->BgL_formatz00) =
					((obj_t) BgL_format1605z00_204), BUNSPEC);
				return BgL_new1498z00_8421;
			}
		}
	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_6157,
		obj_t BgL_loc1599z00_6158, obj_t BgL_type1600z00_6159,
		obj_t BgL_sidezd2effect1601zd2_6160, obj_t BgL_key1602z00_6161,
		obj_t BgL_exprza21603za2_6162, obj_t BgL_effect1604z00_6163,
		obj_t BgL_format1605z00_6164)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 740 */
			{	/* Ast/nodetype.sch 740 */
				BgL_typez00_bglt BgL_type1600z00_8430;
				obj_t BgL_exprza21603za2_8433;
				obj_t BgL_format1605z00_8435;

				BgL_type1600z00_8430 = ((BgL_typez00_bglt) BgL_type1600z00_6159);
				BgL_exprza21603za2_8433 = BgL_exprza21603za2_6162;
				BgL_format1605z00_8435 = BgL_format1605z00_6164;
				{	/* Ast/nodetype.sch 740 */
					BgL_pragmaz00_bglt BgL_new1498z00_8436;

					{	/* Ast/nodetype.sch 740 */
						BgL_pragmaz00_bglt BgL_new1497z00_8437;

						BgL_new1497z00_8437 =
							((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_pragmaz00_bgl))));
						{	/* Ast/nodetype.sch 740 */
							long BgL_arg2414z00_8438;

							{	/* Ast/nodetype.sch 740 */
								long BgL_res3228z00_8439;

								{	/* Ast/nodetype.sch 740 */
									obj_t BgL_classz00_8440;

									BgL_classz00_8440 = BGl_pragmaz00zzast_nodez00;
									{	/* Ast/nodetype.sch 740 */
										obj_t BgL_vectorz00_8441;
										int BgL_kz00_8442;

										BgL_vectorz00_8441 = BgL_classz00_8440;
										BgL_kz00_8442 = (int) (((long) 1));
										BgL_res3228z00_8439 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8441,
												BgL_kz00_8442));
								}}
								BgL_arg2414z00_8438 = BgL_res3228z00_8439;
							}
							{	/* Ast/nodetype.sch 740 */
								BgL_objectz00_bglt BgL_objz00_8443;

								BgL_objz00_8443 = ((BgL_objectz00_bglt) BgL_new1497z00_8437);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8443, BgL_arg2414z00_8438);
						}}
						{	/* Ast/nodetype.sch 740 */
							BgL_objectz00_bglt BgL_auxz00_10420;

							BgL_auxz00_10420 = ((BgL_objectz00_bglt) BgL_new1497z00_8437);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10420, BFALSE);
						}
						BgL_new1498z00_8436 = BgL_new1497z00_8437;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1498z00_8436)))->BgL_locz00) =
						((obj_t) BgL_loc1599z00_6158), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1498z00_8436)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1600z00_8430), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1498z00_8436)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1601zd2_6160), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1498z00_8436)))->BgL_keyz00) =
						((obj_t) BgL_key1602z00_6161), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1498z00_8436)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21603za2_8433), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1498z00_8436)))->BgL_effectz00) =
						((obj_t) BgL_effect1604z00_6163), BUNSPEC);
					((((BgL_pragmaz00_bglt) CREF(BgL_new1498z00_8436))->BgL_formatz00) =
						((obj_t) BgL_format1605z00_8435), BUNSPEC);
					return BgL_new1498z00_8436;
				}
			}
		}
	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_205)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 741 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_205, BGl_pragmaz00zzast_nodez00);
		}
	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_6165,
		obj_t BgL_objz00_6166)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 741 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6166,
					BGl_pragmaz00zzast_nodez00));
		}
	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 742 */
			{	/* Ast/nodetype.sch 742 */
				obj_t BgL_classz00_4121;

				BgL_classz00_4121 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 742 */
					obj_t BgL__ortest_1090z00_4122;

					BgL__ortest_1090z00_4122 =
						VECTOR_REF(BgL_classz00_4121, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4122))
						{	/* Ast/nodetype.sch 742 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1090z00_4122);
						}
					else
						{	/* Ast/nodetype.sch 742 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4121));
						}
				}
			}
		}
	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_6167)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 742 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}
	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_206)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 743 */
			return (((BgL_pragmaz00_bglt) CREF(BgL_oz00_206))->BgL_formatz00);
		}
	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_6168,
		obj_t BgL_oz00_6169)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 743 */
			return
				(((BgL_pragmaz00_bglt) CREF(
						((BgL_pragmaz00_bglt) BgL_oz00_6169)))->BgL_formatz00);
		}
	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_209)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 745 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_209)))->BgL_effectz00);
		}
	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_6170,
		obj_t BgL_oz00_6171)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 745 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6171))))->BgL_effectz00);
		}
	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_210, obj_t BgL_vz00_211)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 746 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_210)))->BgL_effectz00) =
				((obj_t) BgL_vz00_211), BUNSPEC);
		}
	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6172,
		obj_t BgL_oz00_6173, obj_t BgL_vz00_6174)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 746 */
			{	/* Ast/nodetype.sch 746 */
				BgL_pragmaz00_bglt BgL_oz00_8447;

				BgL_oz00_8447 = ((BgL_pragmaz00_bglt) BgL_oz00_6173);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8447)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6174), BUNSPEC);
			}
		}
	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_212)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 747 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_212)))->BgL_exprza2za2);
		}
	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6175,
		obj_t BgL_oz00_6176)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 747 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6176))))->BgL_exprza2za2);
		}
	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_213, obj_t BgL_vz00_214)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 748 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_213)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_214), BUNSPEC);
		}
	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6177,
		obj_t BgL_oz00_6178, obj_t BgL_vz00_6179)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 748 */
			{	/* Ast/nodetype.sch 748 */
				BgL_pragmaz00_bglt BgL_oz00_8450;
				obj_t BgL_vz00_8451;

				BgL_oz00_8450 = ((BgL_pragmaz00_bglt) BgL_oz00_6178);
				BgL_vz00_8451 = BgL_vz00_6179;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8450)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8451), BUNSPEC);
			}
		}
	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_215)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 749 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_215)))->BgL_keyz00);
		}
	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_6180,
		obj_t BgL_oz00_6181)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 749 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6181))))->BgL_keyz00);
		}
	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_216,
		obj_t BgL_vz00_217)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 750 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_216)))->BgL_keyz00) =
				((obj_t) BgL_vz00_217), BUNSPEC);
		}
	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6182,
		obj_t BgL_oz00_6183, obj_t BgL_vz00_6184)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 750 */
			{	/* Ast/nodetype.sch 750 */
				BgL_pragmaz00_bglt BgL_oz00_8453;

				BgL_oz00_8453 = ((BgL_pragmaz00_bglt) BgL_oz00_6183);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8453)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6184), BUNSPEC);
			}
		}
	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_218)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 751 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_218)))->BgL_sidezd2effectzd2);
		}
	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6185,
		obj_t BgL_oz00_6186)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 751 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6186))))->BgL_sidezd2effectzd2);
		}
	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_219, obj_t BgL_vz00_220)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 752 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_219)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_220), BUNSPEC);
		}
	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6187, obj_t BgL_oz00_6188, obj_t BgL_vz00_6189)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 752 */
			{	/* Ast/nodetype.sch 752 */
				BgL_pragmaz00_bglt BgL_oz00_8456;

				BgL_oz00_8456 = ((BgL_pragmaz00_bglt) BgL_oz00_6188);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8456)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6189), BUNSPEC);
			}
		}
	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_221)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 753 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_221)))->BgL_typez00);
		}
	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_6190,
		obj_t BgL_oz00_6191)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 753 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6191))))->BgL_typez00);
		}
	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_222,
		BgL_typez00_bglt BgL_vz00_223)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 754 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_222)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_223), BUNSPEC);
		}
	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6192,
		obj_t BgL_oz00_6193, obj_t BgL_vz00_6194)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 754 */
			{	/* Ast/nodetype.sch 754 */
				BgL_pragmaz00_bglt BgL_oz00_8459;
				BgL_typez00_bglt BgL_vz00_8460;

				BgL_oz00_8459 = ((BgL_pragmaz00_bglt) BgL_oz00_6193);
				BgL_vz00_8460 = ((BgL_typez00_bglt) BgL_vz00_6194);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8459)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8460), BUNSPEC);
			}
		}
	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_224)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 755 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_224)))->BgL_locz00);
		}
	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_6195,
		obj_t BgL_oz00_6196)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 755 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6196))))->BgL_locz00);
		}
	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1591z00_227, BgL_typez00_bglt BgL_type1592z00_228,
		obj_t BgL_sidezd2effect1593zd2_229, obj_t BgL_key1594z00_230,
		obj_t BgL_exprza21595za2_231, obj_t BgL_effect1596z00_232,
		obj_t BgL_czd2format1597zd2_233)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 759 */
			{	/* Ast/nodetype.sch 759 */
				BgL_privatez00_bglt BgL_new1514z00_8462;

				{	/* Ast/nodetype.sch 759 */
					BgL_privatez00_bglt BgL_new1513z00_8463;

					BgL_new1513z00_8463 =
						((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 759 */
						long BgL_arg2415z00_8464;

						{	/* Ast/nodetype.sch 759 */
							long BgL_res3229z00_8465;

							{	/* Ast/nodetype.sch 759 */
								obj_t BgL_classz00_8466;

								BgL_classz00_8466 = BGl_privatez00zzast_nodez00;
								{	/* Ast/nodetype.sch 759 */
									obj_t BgL_vectorz00_8467;
									int BgL_kz00_8468;

									BgL_vectorz00_8467 = BgL_classz00_8466;
									BgL_kz00_8468 = (int) (((long) 1));
									BgL_res3229z00_8465 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8467, BgL_kz00_8468));
							}}
							BgL_arg2415z00_8464 = BgL_res3229z00_8465;
						}
						{	/* Ast/nodetype.sch 759 */
							BgL_objectz00_bglt BgL_objz00_8469;

							BgL_objz00_8469 = ((BgL_objectz00_bglt) BgL_new1513z00_8463);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8469, BgL_arg2415z00_8464);
					}}
					{	/* Ast/nodetype.sch 759 */
						BgL_objectz00_bglt BgL_auxz00_10512;

						BgL_auxz00_10512 = ((BgL_objectz00_bglt) BgL_new1513z00_8463);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10512, BFALSE);
					}
					BgL_new1514z00_8462 = BgL_new1513z00_8463;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1514z00_8462)))->BgL_locz00) =
					((obj_t) BgL_loc1591z00_227), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1514z00_8462)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1592z00_228), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1514z00_8462)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1593zd2_229), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1514z00_8462)))->BgL_keyz00) =
					((obj_t) BgL_key1594z00_230), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1514z00_8462)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21595za2_231), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1514z00_8462)))->BgL_effectz00) =
					((obj_t) BgL_effect1596z00_232), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(BgL_new1514z00_8462))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1597zd2_233), BUNSPEC);
				return BgL_new1514z00_8462;
			}
		}
	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_6197, obj_t BgL_loc1591z00_6198, obj_t BgL_type1592z00_6199,
		obj_t BgL_sidezd2effect1593zd2_6200, obj_t BgL_key1594z00_6201,
		obj_t BgL_exprza21595za2_6202, obj_t BgL_effect1596z00_6203,
		obj_t BgL_czd2format1597zd2_6204)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 759 */
			{	/* Ast/nodetype.sch 759 */
				BgL_typez00_bglt BgL_type1592z00_8471;
				obj_t BgL_exprza21595za2_8474;
				obj_t BgL_czd2format1597zd2_8476;

				BgL_type1592z00_8471 = ((BgL_typez00_bglt) BgL_type1592z00_6199);
				BgL_exprza21595za2_8474 = BgL_exprza21595za2_6202;
				BgL_czd2format1597zd2_8476 = BgL_czd2format1597zd2_6204;
				{	/* Ast/nodetype.sch 759 */
					BgL_privatez00_bglt BgL_new1514z00_8477;

					{	/* Ast/nodetype.sch 759 */
						BgL_privatez00_bglt BgL_new1513z00_8478;

						BgL_new1513z00_8478 =
							((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_privatez00_bgl))));
						{	/* Ast/nodetype.sch 759 */
							long BgL_arg2415z00_8479;

							{	/* Ast/nodetype.sch 759 */
								long BgL_res3229z00_8480;

								{	/* Ast/nodetype.sch 759 */
									obj_t BgL_classz00_8481;

									BgL_classz00_8481 = BGl_privatez00zzast_nodez00;
									{	/* Ast/nodetype.sch 759 */
										obj_t BgL_vectorz00_8482;
										int BgL_kz00_8483;

										BgL_vectorz00_8482 = BgL_classz00_8481;
										BgL_kz00_8483 = (int) (((long) 1));
										BgL_res3229z00_8480 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8482,
												BgL_kz00_8483));
								}}
								BgL_arg2415z00_8479 = BgL_res3229z00_8480;
							}
							{	/* Ast/nodetype.sch 759 */
								BgL_objectz00_bglt BgL_objz00_8484;

								BgL_objz00_8484 = ((BgL_objectz00_bglt) BgL_new1513z00_8478);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8484, BgL_arg2415z00_8479);
						}}
						{	/* Ast/nodetype.sch 759 */
							BgL_objectz00_bglt BgL_auxz00_10535;

							BgL_auxz00_10535 = ((BgL_objectz00_bglt) BgL_new1513z00_8478);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10535, BFALSE);
						}
						BgL_new1514z00_8477 = BgL_new1513z00_8478;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1514z00_8477)))->BgL_locz00) =
						((obj_t) BgL_loc1591z00_6198), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1514z00_8477)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1592z00_8471), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1514z00_8477)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1593zd2_6200), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1514z00_8477)))->BgL_keyz00) =
						((obj_t) BgL_key1594z00_6201), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1514z00_8477)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21595za2_8474), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1514z00_8477)))->BgL_effectz00) =
						((obj_t) BgL_effect1596z00_6203), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(BgL_new1514z00_8477))->
							BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1597zd2_8476), BUNSPEC);
					return BgL_new1514z00_8477;
				}
			}
		}
	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_234)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 760 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_234, BGl_privatez00zzast_nodez00);
		}
	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_6205,
		obj_t BgL_objz00_6206)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 760 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6206,
					BGl_privatez00zzast_nodez00));
		}
	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 761 */
			{	/* Ast/nodetype.sch 761 */
				obj_t BgL_classz00_4146;

				BgL_classz00_4146 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 761 */
					obj_t BgL__ortest_1090z00_4147;

					BgL__ortest_1090z00_4147 =
						VECTOR_REF(BgL_classz00_4146, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4147))
						{	/* Ast/nodetype.sch 761 */
							return ((BgL_privatez00_bglt) BgL__ortest_1090z00_4147);
						}
					else
						{	/* Ast/nodetype.sch 761 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4146));
						}
				}
			}
		}
	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6207)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 761 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}
	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_235)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 762 */
			return (((BgL_privatez00_bglt) CREF(BgL_oz00_235))->BgL_czd2formatzd2);
		}
	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6208,
		obj_t BgL_oz00_6209)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 762 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_6209)))->BgL_czd2formatzd2);
		}
	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_238)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 764 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_238)))->BgL_effectz00);
		}
	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6210,
		obj_t BgL_oz00_6211)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 764 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6211))))->BgL_effectz00);
		}
	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_239, obj_t BgL_vz00_240)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 765 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_239)))->BgL_effectz00) =
				((obj_t) BgL_vz00_240), BUNSPEC);
		}
	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6212,
		obj_t BgL_oz00_6213, obj_t BgL_vz00_6214)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 765 */
			{	/* Ast/nodetype.sch 765 */
				BgL_privatez00_bglt BgL_oz00_8488;

				BgL_oz00_8488 = ((BgL_privatez00_bglt) BgL_oz00_6213);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8488)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6214), BUNSPEC);
			}
		}
	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_241)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 766 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_241)))->BgL_exprza2za2);
		}
	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6215,
		obj_t BgL_oz00_6216)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 766 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6216))))->BgL_exprza2za2);
		}
	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_242, obj_t BgL_vz00_243)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 767 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_242)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_243), BUNSPEC);
		}
	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6217,
		obj_t BgL_oz00_6218, obj_t BgL_vz00_6219)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 767 */
			{	/* Ast/nodetype.sch 767 */
				BgL_privatez00_bglt BgL_oz00_8491;
				obj_t BgL_vz00_8492;

				BgL_oz00_8491 = ((BgL_privatez00_bglt) BgL_oz00_6218);
				BgL_vz00_8492 = BgL_vz00_6219;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8491)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8492), BUNSPEC);
			}
		}
	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_244)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 768 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_244)))->BgL_keyz00);
		}
	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6220,
		obj_t BgL_oz00_6221)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 768 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6221))))->BgL_keyz00);
		}
	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_245,
		obj_t BgL_vz00_246)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 769 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_245)))->BgL_keyz00) =
				((obj_t) BgL_vz00_246), BUNSPEC);
		}
	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6222,
		obj_t BgL_oz00_6223, obj_t BgL_vz00_6224)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 769 */
			{	/* Ast/nodetype.sch 769 */
				BgL_privatez00_bglt BgL_oz00_8494;

				BgL_oz00_8494 = ((BgL_privatez00_bglt) BgL_oz00_6223);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8494)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6224), BUNSPEC);
			}
		}
	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_247)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 770 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_247)))->BgL_sidezd2effectzd2);
		}
	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6225,
		obj_t BgL_oz00_6226)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 770 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6226))))->BgL_sidezd2effectzd2);
		}
	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 771 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_248)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_249), BUNSPEC);
		}
	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6227, obj_t BgL_oz00_6228, obj_t BgL_vz00_6229)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 771 */
			{	/* Ast/nodetype.sch 771 */
				BgL_privatez00_bglt BgL_oz00_8497;

				BgL_oz00_8497 = ((BgL_privatez00_bglt) BgL_oz00_6228);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8497)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6229), BUNSPEC);
			}
		}
	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_250)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 772 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_250)))->BgL_typez00);
		}
	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_6230,
		obj_t BgL_oz00_6231)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 772 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6231))))->BgL_typez00);
		}
	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_251, BgL_typez00_bglt BgL_vz00_252)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 773 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_251)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_252), BUNSPEC);
		}
	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6232,
		obj_t BgL_oz00_6233, obj_t BgL_vz00_6234)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 773 */
			{	/* Ast/nodetype.sch 773 */
				BgL_privatez00_bglt BgL_oz00_8500;
				BgL_typez00_bglt BgL_vz00_8501;

				BgL_oz00_8500 = ((BgL_privatez00_bglt) BgL_oz00_6233);
				BgL_vz00_8501 = ((BgL_typez00_bglt) BgL_vz00_6234);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8500)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8501), BUNSPEC);
			}
		}
	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_253)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 774 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_253)))->BgL_locz00);
		}
	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_6235,
		obj_t BgL_oz00_6236)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 774 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6236))))->BgL_locz00);
		}
	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1580z00_256,
		BgL_typez00_bglt BgL_type1581z00_257, obj_t BgL_sidezd2effect1582zd2_258,
		obj_t BgL_key1583z00_259, obj_t BgL_exprza21584za2_260,
		obj_t BgL_effect1585z00_261, obj_t BgL_czd2format1586zd2_262,
		obj_t BgL_fname1587z00_263, BgL_typez00_bglt BgL_ftype1588z00_264,
		BgL_typez00_bglt BgL_otype1589z00_265)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 778 */
			{	/* Ast/nodetype.sch 778 */
				BgL_getfieldz00_bglt BgL_new1531z00_8503;

				{	/* Ast/nodetype.sch 778 */
					BgL_getfieldz00_bglt BgL_new1530z00_8504;

					BgL_new1530z00_8504 =
						((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 778 */
						long BgL_arg2416z00_8505;

						{	/* Ast/nodetype.sch 778 */
							long BgL_res3230z00_8506;

							{	/* Ast/nodetype.sch 778 */
								obj_t BgL_classz00_8507;

								BgL_classz00_8507 = BGl_getfieldz00zzast_nodez00;
								{	/* Ast/nodetype.sch 778 */
									obj_t BgL_vectorz00_8508;
									int BgL_kz00_8509;

									BgL_vectorz00_8508 = BgL_classz00_8507;
									BgL_kz00_8509 = (int) (((long) 1));
									BgL_res3230z00_8506 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8508, BgL_kz00_8509));
							}}
							BgL_arg2416z00_8505 = BgL_res3230z00_8506;
						}
						{	/* Ast/nodetype.sch 778 */
							BgL_objectz00_bglt BgL_objz00_8510;

							BgL_objz00_8510 = ((BgL_objectz00_bglt) BgL_new1530z00_8504);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8510, BgL_arg2416z00_8505);
					}}
					{	/* Ast/nodetype.sch 778 */
						BgL_objectz00_bglt BgL_auxz00_10627;

						BgL_auxz00_10627 = ((BgL_objectz00_bglt) BgL_new1530z00_8504);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10627, BFALSE);
					}
					BgL_new1531z00_8503 = BgL_new1530z00_8504;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1531z00_8503)))->BgL_locz00) =
					((obj_t) BgL_loc1580z00_256), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1531z00_8503)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1581z00_257), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1531z00_8503)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1582zd2_258), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1531z00_8503)))->BgL_keyz00) =
					((obj_t) BgL_key1583z00_259), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1531z00_8503)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21584za2_260), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1531z00_8503)))->BgL_effectz00) =
					((obj_t) BgL_effect1585z00_261), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1531z00_8503)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1586zd2_262), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8503))->BgL_fnamez00) =
					((obj_t) BgL_fname1587z00_263), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8503))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1588z00_264), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8503))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1589z00_265), BUNSPEC);
				return BgL_new1531z00_8503;
			}
		}
	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6237, obj_t BgL_loc1580z00_6238, obj_t BgL_type1581z00_6239,
		obj_t BgL_sidezd2effect1582zd2_6240, obj_t BgL_key1583z00_6241,
		obj_t BgL_exprza21584za2_6242, obj_t BgL_effect1585z00_6243,
		obj_t BgL_czd2format1586zd2_6244, obj_t BgL_fname1587z00_6245,
		obj_t BgL_ftype1588z00_6246, obj_t BgL_otype1589z00_6247)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 778 */
			{	/* Ast/nodetype.sch 778 */
				BgL_typez00_bglt BgL_type1581z00_8512;
				obj_t BgL_exprza21584za2_8515;
				obj_t BgL_czd2format1586zd2_8517;
				obj_t BgL_fname1587z00_8518;
				BgL_typez00_bglt BgL_ftype1588z00_8519;
				BgL_typez00_bglt BgL_otype1589z00_8520;

				BgL_type1581z00_8512 = ((BgL_typez00_bglt) BgL_type1581z00_6239);
				BgL_exprza21584za2_8515 = BgL_exprza21584za2_6242;
				BgL_czd2format1586zd2_8517 = BgL_czd2format1586zd2_6244;
				BgL_fname1587z00_8518 = BgL_fname1587z00_6245;
				BgL_ftype1588z00_8519 = ((BgL_typez00_bglt) BgL_ftype1588z00_6246);
				BgL_otype1589z00_8520 = ((BgL_typez00_bglt) BgL_otype1589z00_6247);
				{	/* Ast/nodetype.sch 778 */
					BgL_getfieldz00_bglt BgL_new1531z00_8521;

					{	/* Ast/nodetype.sch 778 */
						BgL_getfieldz00_bglt BgL_new1530z00_8522;

						BgL_new1530z00_8522 =
							((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_getfieldz00_bgl))));
						{	/* Ast/nodetype.sch 778 */
							long BgL_arg2416z00_8523;

							{	/* Ast/nodetype.sch 778 */
								long BgL_res3230z00_8524;

								{	/* Ast/nodetype.sch 778 */
									obj_t BgL_classz00_8525;

									BgL_classz00_8525 = BGl_getfieldz00zzast_nodez00;
									{	/* Ast/nodetype.sch 778 */
										obj_t BgL_vectorz00_8526;
										int BgL_kz00_8527;

										BgL_vectorz00_8526 = BgL_classz00_8525;
										BgL_kz00_8527 = (int) (((long) 1));
										BgL_res3230z00_8524 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8526,
												BgL_kz00_8527));
								}}
								BgL_arg2416z00_8523 = BgL_res3230z00_8524;
							}
							{	/* Ast/nodetype.sch 778 */
								BgL_objectz00_bglt BgL_objz00_8528;

								BgL_objz00_8528 = ((BgL_objectz00_bglt) BgL_new1530z00_8522);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8528, BgL_arg2416z00_8523);
						}}
						{	/* Ast/nodetype.sch 778 */
							BgL_objectz00_bglt BgL_auxz00_10656;

							BgL_auxz00_10656 = ((BgL_objectz00_bglt) BgL_new1530z00_8522);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10656, BFALSE);
						}
						BgL_new1531z00_8521 = BgL_new1530z00_8522;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1531z00_8521)))->BgL_locz00) =
						((obj_t) BgL_loc1580z00_6238), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1531z00_8521)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1581z00_8512), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1531z00_8521)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1582zd2_6240), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1531z00_8521)))->BgL_keyz00) =
						((obj_t) BgL_key1583z00_6241), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1531z00_8521)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21584za2_8515), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1531z00_8521)))->BgL_effectz00) =
						((obj_t) BgL_effect1585z00_6243), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1531z00_8521)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1586zd2_8517), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8521))->BgL_fnamez00) =
						((obj_t) BgL_fname1587z00_8518), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8521))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1588z00_8519), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1531z00_8521))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1589z00_8520), BUNSPEC);
					return BgL_new1531z00_8521;
				}
			}
		}
	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_266)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 779 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_266,
				BGl_getfieldz00zzast_nodez00);
		}
	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6248,
		obj_t BgL_objz00_6249)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 779 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6249,
					BGl_getfieldz00zzast_nodez00));
		}
	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 780 */
			{	/* Ast/nodetype.sch 780 */
				obj_t BgL_classz00_4171;

				BgL_classz00_4171 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 780 */
					obj_t BgL__ortest_1090z00_4172;

					BgL__ortest_1090z00_4172 =
						VECTOR_REF(BgL_classz00_4171, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4172))
						{	/* Ast/nodetype.sch 780 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1090z00_4172);
						}
					else
						{	/* Ast/nodetype.sch 780 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4171));
						}
				}
			}
		}
	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6250)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 780 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}
	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_267)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 781 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_267))->BgL_otypez00);
		}
	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6251, obj_t BgL_oz00_6252)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 781 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6252)))->BgL_otypez00);
		}
	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_270)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 783 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_270))->BgL_ftypez00);
		}
	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6253, obj_t BgL_oz00_6254)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 783 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6254)))->BgL_ftypez00);
		}
	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_273)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 785 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_273))->BgL_fnamez00);
		}
	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6255,
		obj_t BgL_oz00_6256)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 785 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6256)))->BgL_fnamez00);
		}
	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_276)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 787 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_276)))->BgL_czd2formatzd2);
		}
	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6257,
		obj_t BgL_oz00_6258)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 787 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6258))))->BgL_czd2formatzd2);
		}
	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_279)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 789 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_279)))->BgL_effectz00);
		}
	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6259,
		obj_t BgL_oz00_6260)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 789 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6260))))->BgL_effectz00);
		}
	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_280, obj_t BgL_vz00_281)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 790 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_280)))->BgL_effectz00) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}
	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6261,
		obj_t BgL_oz00_6262, obj_t BgL_vz00_6263)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 790 */
			{	/* Ast/nodetype.sch 790 */
				BgL_getfieldz00_bglt BgL_oz00_8535;

				BgL_oz00_8535 = ((BgL_getfieldz00_bglt) BgL_oz00_6262);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8535)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6263), BUNSPEC);
			}
		}
	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_282)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 791 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_282)))->BgL_exprza2za2);
		}
	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6264,
		obj_t BgL_oz00_6265)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 791 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6265))))->BgL_exprza2za2);
		}
	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_283, obj_t BgL_vz00_284)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 792 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_283)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_284), BUNSPEC);
		}
	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6266, obj_t BgL_oz00_6267, obj_t BgL_vz00_6268)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 792 */
			{	/* Ast/nodetype.sch 792 */
				BgL_getfieldz00_bglt BgL_oz00_8538;
				obj_t BgL_vz00_8539;

				BgL_oz00_8538 = ((BgL_getfieldz00_bglt) BgL_oz00_6267);
				BgL_vz00_8539 = BgL_vz00_6268;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8538)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8539), BUNSPEC);
			}
		}
	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_285)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 793 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_285)))->BgL_keyz00);
		}
	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6269,
		obj_t BgL_oz00_6270)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 793 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6270))))->BgL_keyz00);
		}
	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_286, obj_t BgL_vz00_287)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 794 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_286)))->BgL_keyz00) =
				((obj_t) BgL_vz00_287), BUNSPEC);
		}
	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6271,
		obj_t BgL_oz00_6272, obj_t BgL_vz00_6273)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 794 */
			{	/* Ast/nodetype.sch 794 */
				BgL_getfieldz00_bglt BgL_oz00_8541;

				BgL_oz00_8541 = ((BgL_getfieldz00_bglt) BgL_oz00_6272);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8541)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6273), BUNSPEC);
			}
		}
	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_288)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 795 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_288)))->BgL_sidezd2effectzd2);
		}
	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6274,
		obj_t BgL_oz00_6275)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 795 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6275))))->BgL_sidezd2effectzd2);
		}
	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_289, obj_t BgL_vz00_290)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 796 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_289)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_290), BUNSPEC);
		}
	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6276, obj_t BgL_oz00_6277, obj_t BgL_vz00_6278)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 796 */
			{	/* Ast/nodetype.sch 796 */
				BgL_getfieldz00_bglt BgL_oz00_8544;

				BgL_oz00_8544 = ((BgL_getfieldz00_bglt) BgL_oz00_6277);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8544)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6278), BUNSPEC);
			}
		}
	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_291)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_291)))->BgL_typez00);
		}
	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6279,
		obj_t BgL_oz00_6280)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6280))))->BgL_typez00);
		}
	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_292, BgL_typez00_bglt BgL_vz00_293)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 798 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_292)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_293), BUNSPEC);
		}
	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6281,
		obj_t BgL_oz00_6282, obj_t BgL_vz00_6283)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 798 */
			{	/* Ast/nodetype.sch 798 */
				BgL_getfieldz00_bglt BgL_oz00_8547;
				BgL_typez00_bglt BgL_vz00_8548;

				BgL_oz00_8547 = ((BgL_getfieldz00_bglt) BgL_oz00_6282);
				BgL_vz00_8548 = ((BgL_typez00_bglt) BgL_vz00_6283);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8547)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8548), BUNSPEC);
			}
		}
	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_294)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_294)))->BgL_locz00);
		}
	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6284,
		obj_t BgL_oz00_6285)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6285))))->BgL_locz00);
		}
	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1569z00_297,
		BgL_typez00_bglt BgL_type1570z00_298, obj_t BgL_sidezd2effect1571zd2_299,
		obj_t BgL_key1572z00_300, obj_t BgL_exprza21573za2_301,
		obj_t BgL_effect1574z00_302, obj_t BgL_czd2format1575zd2_303,
		obj_t BgL_fname1576z00_304, BgL_typez00_bglt BgL_ftype1577z00_305,
		BgL_typez00_bglt BgL_otype1578z00_306)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 803 */
			{	/* Ast/nodetype.sch 803 */
				BgL_setfieldz00_bglt BgL_new1553z00_8550;

				{	/* Ast/nodetype.sch 803 */
					BgL_setfieldz00_bglt BgL_new1552z00_8551;

					BgL_new1552z00_8551 =
						((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 803 */
						long BgL_arg2417z00_8552;

						{	/* Ast/nodetype.sch 803 */
							long BgL_res3231z00_8553;

							{	/* Ast/nodetype.sch 803 */
								obj_t BgL_classz00_8554;

								BgL_classz00_8554 = BGl_setfieldz00zzast_nodez00;
								{	/* Ast/nodetype.sch 803 */
									obj_t BgL_vectorz00_8555;
									int BgL_kz00_8556;

									BgL_vectorz00_8555 = BgL_classz00_8554;
									BgL_kz00_8556 = (int) (((long) 1));
									BgL_res3231z00_8553 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8555, BgL_kz00_8556));
							}}
							BgL_arg2417z00_8552 = BgL_res3231z00_8553;
						}
						{	/* Ast/nodetype.sch 803 */
							BgL_objectz00_bglt BgL_objz00_8557;

							BgL_objz00_8557 = ((BgL_objectz00_bglt) BgL_new1552z00_8551);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8557, BgL_arg2417z00_8552);
					}}
					{	/* Ast/nodetype.sch 803 */
						BgL_objectz00_bglt BgL_auxz00_10763;

						BgL_auxz00_10763 = ((BgL_objectz00_bglt) BgL_new1552z00_8551);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10763, BFALSE);
					}
					BgL_new1553z00_8550 = BgL_new1552z00_8551;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1553z00_8550)))->BgL_locz00) =
					((obj_t) BgL_loc1569z00_297), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1553z00_8550)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1570z00_298), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1553z00_8550)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1571zd2_299), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1553z00_8550)))->BgL_keyz00) =
					((obj_t) BgL_key1572z00_300), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1553z00_8550)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21573za2_301), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1553z00_8550)))->BgL_effectz00) =
					((obj_t) BgL_effect1574z00_302), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1553z00_8550)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1575zd2_303), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8550))->BgL_fnamez00) =
					((obj_t) BgL_fname1576z00_304), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8550))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1577z00_305), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8550))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1578z00_306), BUNSPEC);
				return BgL_new1553z00_8550;
			}
		}
	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6286, obj_t BgL_loc1569z00_6287, obj_t BgL_type1570z00_6288,
		obj_t BgL_sidezd2effect1571zd2_6289, obj_t BgL_key1572z00_6290,
		obj_t BgL_exprza21573za2_6291, obj_t BgL_effect1574z00_6292,
		obj_t BgL_czd2format1575zd2_6293, obj_t BgL_fname1576z00_6294,
		obj_t BgL_ftype1577z00_6295, obj_t BgL_otype1578z00_6296)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 803 */
			{	/* Ast/nodetype.sch 803 */
				BgL_typez00_bglt BgL_type1570z00_8559;
				obj_t BgL_exprza21573za2_8562;
				obj_t BgL_czd2format1575zd2_8564;
				obj_t BgL_fname1576z00_8565;
				BgL_typez00_bglt BgL_ftype1577z00_8566;
				BgL_typez00_bglt BgL_otype1578z00_8567;

				BgL_type1570z00_8559 = ((BgL_typez00_bglt) BgL_type1570z00_6288);
				BgL_exprza21573za2_8562 = BgL_exprza21573za2_6291;
				BgL_czd2format1575zd2_8564 = BgL_czd2format1575zd2_6293;
				BgL_fname1576z00_8565 = BgL_fname1576z00_6294;
				BgL_ftype1577z00_8566 = ((BgL_typez00_bglt) BgL_ftype1577z00_6295);
				BgL_otype1578z00_8567 = ((BgL_typez00_bglt) BgL_otype1578z00_6296);
				{	/* Ast/nodetype.sch 803 */
					BgL_setfieldz00_bglt BgL_new1553z00_8568;

					{	/* Ast/nodetype.sch 803 */
						BgL_setfieldz00_bglt BgL_new1552z00_8569;

						BgL_new1552z00_8569 =
							((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setfieldz00_bgl))));
						{	/* Ast/nodetype.sch 803 */
							long BgL_arg2417z00_8570;

							{	/* Ast/nodetype.sch 803 */
								long BgL_res3231z00_8571;

								{	/* Ast/nodetype.sch 803 */
									obj_t BgL_classz00_8572;

									BgL_classz00_8572 = BGl_setfieldz00zzast_nodez00;
									{	/* Ast/nodetype.sch 803 */
										obj_t BgL_vectorz00_8573;
										int BgL_kz00_8574;

										BgL_vectorz00_8573 = BgL_classz00_8572;
										BgL_kz00_8574 = (int) (((long) 1));
										BgL_res3231z00_8571 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8573,
												BgL_kz00_8574));
								}}
								BgL_arg2417z00_8570 = BgL_res3231z00_8571;
							}
							{	/* Ast/nodetype.sch 803 */
								BgL_objectz00_bglt BgL_objz00_8575;

								BgL_objz00_8575 = ((BgL_objectz00_bglt) BgL_new1552z00_8569);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8575, BgL_arg2417z00_8570);
						}}
						{	/* Ast/nodetype.sch 803 */
							BgL_objectz00_bglt BgL_auxz00_10792;

							BgL_auxz00_10792 = ((BgL_objectz00_bglt) BgL_new1552z00_8569);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10792, BFALSE);
						}
						BgL_new1553z00_8568 = BgL_new1552z00_8569;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1553z00_8568)))->BgL_locz00) =
						((obj_t) BgL_loc1569z00_6287), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1553z00_8568)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1570z00_8559), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1553z00_8568)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1571zd2_6289), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1553z00_8568)))->BgL_keyz00) =
						((obj_t) BgL_key1572z00_6290), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1553z00_8568)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21573za2_8562), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1553z00_8568)))->BgL_effectz00) =
						((obj_t) BgL_effect1574z00_6292), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1553z00_8568)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1575zd2_8564), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8568))->BgL_fnamez00) =
						((obj_t) BgL_fname1576z00_8565), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8568))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1577z00_8566), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1553z00_8568))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1578z00_8567), BUNSPEC);
					return BgL_new1553z00_8568;
				}
			}
		}
	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_307)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 804 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_307,
				BGl_setfieldz00zzast_nodez00);
		}
	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6297,
		obj_t BgL_objz00_6298)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 804 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6298,
					BGl_setfieldz00zzast_nodez00));
		}
	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 805 */
			{	/* Ast/nodetype.sch 805 */
				obj_t BgL_classz00_4199;

				BgL_classz00_4199 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 805 */
					obj_t BgL__ortest_1090z00_4200;

					BgL__ortest_1090z00_4200 =
						VECTOR_REF(BgL_classz00_4199, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4200))
						{	/* Ast/nodetype.sch 805 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1090z00_4200);
						}
					else
						{	/* Ast/nodetype.sch 805 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4199));
						}
				}
			}
		}
	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6299)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 805 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}
	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_308)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 806 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_308))->BgL_otypez00);
		}
	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6300, obj_t BgL_oz00_6301)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 806 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6301)))->BgL_otypez00);
		}
	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_311)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 808 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_311))->BgL_ftypez00);
		}
	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6302, obj_t BgL_oz00_6303)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 808 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6303)))->BgL_ftypez00);
		}
	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_314)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 810 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_314))->BgL_fnamez00);
		}
	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6304,
		obj_t BgL_oz00_6305)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 810 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6305)))->BgL_fnamez00);
		}
	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_317)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 812 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_317)))->BgL_czd2formatzd2);
		}
	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6306,
		obj_t BgL_oz00_6307)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 812 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6307))))->BgL_czd2formatzd2);
		}
	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_320)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 814 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_320)))->BgL_effectz00);
		}
	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6308,
		obj_t BgL_oz00_6309)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 814 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6309))))->BgL_effectz00);
		}
	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_321, obj_t BgL_vz00_322)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 815 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_321)))->BgL_effectz00) =
				((obj_t) BgL_vz00_322), BUNSPEC);
		}
	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6310,
		obj_t BgL_oz00_6311, obj_t BgL_vz00_6312)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				BgL_setfieldz00_bglt BgL_oz00_8582;

				BgL_oz00_8582 = ((BgL_setfieldz00_bglt) BgL_oz00_6311);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8582)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6312), BUNSPEC);
			}
		}
	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_323)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_323)))->BgL_exprza2za2);
		}
	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6313,
		obj_t BgL_oz00_6314)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6314))))->BgL_exprza2za2);
		}
	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_324, obj_t BgL_vz00_325)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 817 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_324)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_325), BUNSPEC);
		}
	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6315, obj_t BgL_oz00_6316, obj_t BgL_vz00_6317)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 817 */
			{	/* Ast/nodetype.sch 817 */
				BgL_setfieldz00_bglt BgL_oz00_8585;
				obj_t BgL_vz00_8586;

				BgL_oz00_8585 = ((BgL_setfieldz00_bglt) BgL_oz00_6316);
				BgL_vz00_8586 = BgL_vz00_6317;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8585)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8586), BUNSPEC);
			}
		}
	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_326)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_326)))->BgL_keyz00);
		}
	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6318,
		obj_t BgL_oz00_6319)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6319))))->BgL_keyz00);
		}
	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_327, obj_t BgL_vz00_328)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_327)))->BgL_keyz00) =
				((obj_t) BgL_vz00_328), BUNSPEC);
		}
	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6320,
		obj_t BgL_oz00_6321, obj_t BgL_vz00_6322)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 819 */
			{	/* Ast/nodetype.sch 819 */
				BgL_setfieldz00_bglt BgL_oz00_8588;

				BgL_oz00_8588 = ((BgL_setfieldz00_bglt) BgL_oz00_6321);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8588)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6322), BUNSPEC);
			}
		}
	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_329)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_329)))->BgL_sidezd2effectzd2);
		}
	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6323,
		obj_t BgL_oz00_6324)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6324))))->BgL_sidezd2effectzd2);
		}
	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_330, obj_t BgL_vz00_331)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 821 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_330)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_331), BUNSPEC);
		}
	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6325, obj_t BgL_oz00_6326, obj_t BgL_vz00_6327)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 821 */
			{	/* Ast/nodetype.sch 821 */
				BgL_setfieldz00_bglt BgL_oz00_8591;

				BgL_oz00_8591 = ((BgL_setfieldz00_bglt) BgL_oz00_6326);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8591)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6327), BUNSPEC);
			}
		}
	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_332)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 822 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_332)))->BgL_typez00);
		}
	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6328,
		obj_t BgL_oz00_6329)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 822 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6329))))->BgL_typez00);
		}
	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_333, BgL_typez00_bglt BgL_vz00_334)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 823 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_333)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_334), BUNSPEC);
		}
	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6330,
		obj_t BgL_oz00_6331, obj_t BgL_vz00_6332)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 823 */
			{	/* Ast/nodetype.sch 823 */
				BgL_setfieldz00_bglt BgL_oz00_8594;
				BgL_typez00_bglt BgL_vz00_8595;

				BgL_oz00_8594 = ((BgL_setfieldz00_bglt) BgL_oz00_6331);
				BgL_vz00_8595 = ((BgL_typez00_bglt) BgL_vz00_6332);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8594)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8595), BUNSPEC);
			}
		}
	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_335)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 824 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_335)))->BgL_locz00);
		}
	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6333,
		obj_t BgL_oz00_6334)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 824 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6334))))->BgL_locz00);
		}
	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1560z00_338, BgL_typez00_bglt BgL_type1561z00_339,
		obj_t BgL_sidezd2effect1562zd2_340, obj_t BgL_key1563z00_341,
		obj_t BgL_exprza21564za2_342, obj_t BgL_effect1565z00_343,
		obj_t BgL_czd2format1566zd2_344, obj_t BgL_argszd2type1567zd2_345)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 828 */
			{	/* Ast/nodetype.sch 828 */
				BgL_newz00_bglt BgL_new1575z00_8597;

				{	/* Ast/nodetype.sch 828 */
					BgL_newz00_bglt BgL_new1574z00_8598;

					BgL_new1574z00_8598 =
						((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 828 */
						long BgL_arg2418z00_8599;

						{	/* Ast/nodetype.sch 828 */
							long BgL_res3232z00_8600;

							{	/* Ast/nodetype.sch 828 */
								obj_t BgL_classz00_8601;

								BgL_classz00_8601 = BGl_newz00zzast_nodez00;
								{	/* Ast/nodetype.sch 828 */
									obj_t BgL_vectorz00_8602;
									int BgL_kz00_8603;

									BgL_vectorz00_8602 = BgL_classz00_8601;
									BgL_kz00_8603 = (int) (((long) 1));
									BgL_res3232z00_8600 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8602, BgL_kz00_8603));
							}}
							BgL_arg2418z00_8599 = BgL_res3232z00_8600;
						}
						{	/* Ast/nodetype.sch 828 */
							BgL_objectz00_bglt BgL_objz00_8604;

							BgL_objz00_8604 = ((BgL_objectz00_bglt) BgL_new1574z00_8598);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8604, BgL_arg2418z00_8599);
					}}
					{	/* Ast/nodetype.sch 828 */
						BgL_objectz00_bglt BgL_auxz00_10899;

						BgL_auxz00_10899 = ((BgL_objectz00_bglt) BgL_new1574z00_8598);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10899, BFALSE);
					}
					BgL_new1575z00_8597 = BgL_new1574z00_8598;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1575z00_8597)))->BgL_locz00) =
					((obj_t) BgL_loc1560z00_338), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1575z00_8597)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1561z00_339), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1575z00_8597)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1562zd2_340), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1575z00_8597)))->BgL_keyz00) =
					((obj_t) BgL_key1563z00_341), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1575z00_8597)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21564za2_342), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1575z00_8597)))->BgL_effectz00) =
					((obj_t) BgL_effect1565z00_343), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1575z00_8597)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1566zd2_344), BUNSPEC);
				((((BgL_newz00_bglt) CREF(BgL_new1575z00_8597))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1567zd2_345), BUNSPEC);
				return BgL_new1575z00_8597;
			}
		}
	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_6335,
		obj_t BgL_loc1560z00_6336, obj_t BgL_type1561z00_6337,
		obj_t BgL_sidezd2effect1562zd2_6338, obj_t BgL_key1563z00_6339,
		obj_t BgL_exprza21564za2_6340, obj_t BgL_effect1565z00_6341,
		obj_t BgL_czd2format1566zd2_6342, obj_t BgL_argszd2type1567zd2_6343)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 828 */
			{	/* Ast/nodetype.sch 828 */
				BgL_typez00_bglt BgL_type1561z00_8606;
				obj_t BgL_exprza21564za2_8609;
				obj_t BgL_czd2format1566zd2_8611;
				obj_t BgL_argszd2type1567zd2_8612;

				BgL_type1561z00_8606 = ((BgL_typez00_bglt) BgL_type1561z00_6337);
				BgL_exprza21564za2_8609 = BgL_exprza21564za2_6340;
				BgL_czd2format1566zd2_8611 = BgL_czd2format1566zd2_6342;
				BgL_argszd2type1567zd2_8612 = BgL_argszd2type1567zd2_6343;
				{	/* Ast/nodetype.sch 828 */
					BgL_newz00_bglt BgL_new1575z00_8613;

					{	/* Ast/nodetype.sch 828 */
						BgL_newz00_bglt BgL_new1574z00_8614;

						BgL_new1574z00_8614 =
							((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_newz00_bgl))));
						{	/* Ast/nodetype.sch 828 */
							long BgL_arg2418z00_8615;

							{	/* Ast/nodetype.sch 828 */
								long BgL_res3232z00_8616;

								{	/* Ast/nodetype.sch 828 */
									obj_t BgL_classz00_8617;

									BgL_classz00_8617 = BGl_newz00zzast_nodez00;
									{	/* Ast/nodetype.sch 828 */
										obj_t BgL_vectorz00_8618;
										int BgL_kz00_8619;

										BgL_vectorz00_8618 = BgL_classz00_8617;
										BgL_kz00_8619 = (int) (((long) 1));
										BgL_res3232z00_8616 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8618,
												BgL_kz00_8619));
								}}
								BgL_arg2418z00_8615 = BgL_res3232z00_8616;
							}
							{	/* Ast/nodetype.sch 828 */
								BgL_objectz00_bglt BgL_objz00_8620;

								BgL_objz00_8620 = ((BgL_objectz00_bglt) BgL_new1574z00_8614);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8620, BgL_arg2418z00_8615);
						}}
						{	/* Ast/nodetype.sch 828 */
							BgL_objectz00_bglt BgL_auxz00_10924;

							BgL_auxz00_10924 = ((BgL_objectz00_bglt) BgL_new1574z00_8614);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_10924, BFALSE);
						}
						BgL_new1575z00_8613 = BgL_new1574z00_8614;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1575z00_8613)))->BgL_locz00) =
						((obj_t) BgL_loc1560z00_6336), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1575z00_8613)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1561z00_8606), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1575z00_8613)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1562zd2_6338), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1575z00_8613)))->BgL_keyz00) =
						((obj_t) BgL_key1563z00_6339), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1575z00_8613)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21564za2_8609), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1575z00_8613)))->BgL_effectz00) =
						((obj_t) BgL_effect1565z00_6341), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1575z00_8613)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1566zd2_8611), BUNSPEC);
					((((BgL_newz00_bglt) CREF(BgL_new1575z00_8613))->BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1567zd2_8612), BUNSPEC);
					return BgL_new1575z00_8613;
				}
			}
		}
	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_346)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 829 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_346, BGl_newz00zzast_nodez00);
		}
	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_6344,
		obj_t BgL_objz00_6345)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 829 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6345,
					BGl_newz00zzast_nodez00));
		}
	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 830 */
			{	/* Ast/nodetype.sch 830 */
				obj_t BgL_classz00_4227;

				BgL_classz00_4227 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 830 */
					obj_t BgL__ortest_1090z00_4228;

					BgL__ortest_1090z00_4228 =
						VECTOR_REF(BgL_classz00_4227, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4228))
						{	/* Ast/nodetype.sch 830 */
							return ((BgL_newz00_bglt) BgL__ortest_1090z00_4228);
						}
					else
						{	/* Ast/nodetype.sch 830 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4227));
						}
				}
			}
		}
	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6346)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 830 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}
	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_347)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 831 */
			return (((BgL_newz00_bglt) CREF(BgL_oz00_347))->BgL_argszd2typezd2);
		}
	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_6347,
		obj_t BgL_oz00_6348)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 831 */
			return
				(((BgL_newz00_bglt) CREF(
						((BgL_newz00_bglt) BgL_oz00_6348)))->BgL_argszd2typezd2);
		}
	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_348,
		obj_t BgL_vz00_349)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 832 */
			return
				((((BgL_newz00_bglt) CREF(BgL_oz00_348))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_349), BUNSPEC);
		}
	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6349,
		obj_t BgL_oz00_6350, obj_t BgL_vz00_6351)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 832 */
			{	/* Ast/nodetype.sch 832 */
				BgL_newz00_bglt BgL_oz00_8623;
				obj_t BgL_vz00_8624;

				BgL_oz00_8623 = ((BgL_newz00_bglt) BgL_oz00_6350);
				BgL_vz00_8624 = BgL_vz00_6351;
				return
					((((BgL_newz00_bglt) CREF(BgL_oz00_8623))->BgL_argszd2typezd2) =
					((obj_t) BgL_vz00_8624), BUNSPEC);
			}
		}
	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_350)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 833 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_350)))->BgL_czd2formatzd2);
		}
	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6352,
		obj_t BgL_oz00_6353)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 833 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6353))))->BgL_czd2formatzd2);
		}
	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_353)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 835 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_353)))->BgL_effectz00);
		}
	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6354,
		obj_t BgL_oz00_6355)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 835 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6355))))->BgL_effectz00);
		}
	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_354,
		obj_t BgL_vz00_355)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 836 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_354)))->BgL_effectz00) =
				((obj_t) BgL_vz00_355), BUNSPEC);
		}
	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6356,
		obj_t BgL_oz00_6357, obj_t BgL_vz00_6358)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 836 */
			{	/* Ast/nodetype.sch 836 */
				BgL_newz00_bglt BgL_oz00_8627;

				BgL_oz00_8627 = ((BgL_newz00_bglt) BgL_oz00_6357);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8627)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6358), BUNSPEC);
			}
		}
	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_356)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 837 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_356)))->BgL_exprza2za2);
		}
	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6359,
		obj_t BgL_oz00_6360)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 837 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6360))))->BgL_exprza2za2);
		}
	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_357,
		obj_t BgL_vz00_358)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 838 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_357)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_358), BUNSPEC);
		}
	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6361,
		obj_t BgL_oz00_6362, obj_t BgL_vz00_6363)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 838 */
			{	/* Ast/nodetype.sch 838 */
				BgL_newz00_bglt BgL_oz00_8630;
				obj_t BgL_vz00_8631;

				BgL_oz00_8630 = ((BgL_newz00_bglt) BgL_oz00_6362);
				BgL_vz00_8631 = BgL_vz00_6363;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8630)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8631), BUNSPEC);
			}
		}
	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_359)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 839 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_359)))->BgL_keyz00);
		}
	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6364,
		obj_t BgL_oz00_6365)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 839 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_newz00_bglt) BgL_oz00_6365))))->BgL_keyz00);
		}
	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_360, obj_t BgL_vz00_361)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 840 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_360)))->BgL_keyz00) =
				((obj_t) BgL_vz00_361), BUNSPEC);
		}
	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6366,
		obj_t BgL_oz00_6367, obj_t BgL_vz00_6368)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 840 */
			{	/* Ast/nodetype.sch 840 */
				BgL_newz00_bglt BgL_oz00_8633;

				BgL_oz00_8633 = ((BgL_newz00_bglt) BgL_oz00_6367);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8633)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6368), BUNSPEC);
			}
		}
	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_362)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 841 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_362)))->BgL_sidezd2effectzd2);
		}
	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6369,
		obj_t BgL_oz00_6370)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 841 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_newz00_bglt) BgL_oz00_6370))))->BgL_sidezd2effectzd2);
		}
	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_363, obj_t BgL_vz00_364)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 842 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_363)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_364), BUNSPEC);
		}
	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6371, obj_t BgL_oz00_6372, obj_t BgL_vz00_6373)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 842 */
			{	/* Ast/nodetype.sch 842 */
				BgL_newz00_bglt BgL_oz00_8636;

				BgL_oz00_8636 = ((BgL_newz00_bglt) BgL_oz00_6372);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8636)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6373), BUNSPEC);
			}
		}
	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_365)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 843 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_365)))->BgL_typez00);
		}
	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_6374,
		obj_t BgL_oz00_6375)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 843 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6375))))->BgL_typez00);
		}
	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_366, BgL_typez00_bglt BgL_vz00_367)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 844 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_366)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_367), BUNSPEC);
		}
	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6376,
		obj_t BgL_oz00_6377, obj_t BgL_vz00_6378)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 844 */
			{	/* Ast/nodetype.sch 844 */
				BgL_newz00_bglt BgL_oz00_8639;
				BgL_typez00_bglt BgL_vz00_8640;

				BgL_oz00_8639 = ((BgL_newz00_bglt) BgL_oz00_6377);
				BgL_vz00_8640 = ((BgL_typez00_bglt) BgL_vz00_6378);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8639)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8640), BUNSPEC);
			}
		}
	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_368)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 845 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_368)))->BgL_locz00);
		}
	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_6379,
		obj_t BgL_oz00_6380)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 845 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6380))))->BgL_locz00);
		}
	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1550z00_371, BgL_typez00_bglt BgL_type1551z00_372,
		obj_t BgL_sidezd2effect1552zd2_373, obj_t BgL_key1553z00_374,
		obj_t BgL_exprza21554za2_375, obj_t BgL_effect1555z00_376,
		obj_t BgL_czd2format1556zd2_377, BgL_typez00_bglt BgL_ftype1557z00_378,
		BgL_typez00_bglt BgL_otype1558z00_379)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 849 */
			{	/* Ast/nodetype.sch 849 */
				BgL_vallocz00_bglt BgL_new1593z00_8642;

				{	/* Ast/nodetype.sch 849 */
					BgL_vallocz00_bglt BgL_new1592z00_8643;

					BgL_new1592z00_8643 =
						((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 849 */
						long BgL_arg2419z00_8644;

						{	/* Ast/nodetype.sch 849 */
							long BgL_res3233z00_8645;

							{	/* Ast/nodetype.sch 849 */
								obj_t BgL_classz00_8646;

								BgL_classz00_8646 = BGl_vallocz00zzast_nodez00;
								{	/* Ast/nodetype.sch 849 */
									obj_t BgL_vectorz00_8647;
									int BgL_kz00_8648;

									BgL_vectorz00_8647 = BgL_classz00_8646;
									BgL_kz00_8648 = (int) (((long) 1));
									BgL_res3233z00_8645 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8647, BgL_kz00_8648));
							}}
							BgL_arg2419z00_8644 = BgL_res3233z00_8645;
						}
						{	/* Ast/nodetype.sch 849 */
							BgL_objectz00_bglt BgL_objz00_8649;

							BgL_objz00_8649 = ((BgL_objectz00_bglt) BgL_new1592z00_8643);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8649, BgL_arg2419z00_8644);
					}}
					{	/* Ast/nodetype.sch 849 */
						BgL_objectz00_bglt BgL_auxz00_11026;

						BgL_auxz00_11026 = ((BgL_objectz00_bglt) BgL_new1592z00_8643);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11026, BFALSE);
					}
					BgL_new1593z00_8642 = BgL_new1592z00_8643;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1593z00_8642)))->BgL_locz00) =
					((obj_t) BgL_loc1550z00_371), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1593z00_8642)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1551z00_372), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1593z00_8642)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1552zd2_373), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1593z00_8642)))->BgL_keyz00) =
					((obj_t) BgL_key1553z00_374), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1593z00_8642)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21554za2_375), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1593z00_8642)))->BgL_effectz00) =
					((obj_t) BgL_effect1555z00_376), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1593z00_8642)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1556zd2_377), BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1593z00_8642))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1557z00_378), BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1593z00_8642))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1558z00_379), BUNSPEC);
				return BgL_new1593z00_8642;
			}
		}
	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_6381,
		obj_t BgL_loc1550z00_6382, obj_t BgL_type1551z00_6383,
		obj_t BgL_sidezd2effect1552zd2_6384, obj_t BgL_key1553z00_6385,
		obj_t BgL_exprza21554za2_6386, obj_t BgL_effect1555z00_6387,
		obj_t BgL_czd2format1556zd2_6388, obj_t BgL_ftype1557z00_6389,
		obj_t BgL_otype1558z00_6390)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 849 */
			{	/* Ast/nodetype.sch 849 */
				BgL_typez00_bglt BgL_type1551z00_8651;
				obj_t BgL_exprza21554za2_8654;
				obj_t BgL_czd2format1556zd2_8656;
				BgL_typez00_bglt BgL_ftype1557z00_8657;
				BgL_typez00_bglt BgL_otype1558z00_8658;

				BgL_type1551z00_8651 = ((BgL_typez00_bglt) BgL_type1551z00_6383);
				BgL_exprza21554za2_8654 = BgL_exprza21554za2_6386;
				BgL_czd2format1556zd2_8656 = BgL_czd2format1556zd2_6388;
				BgL_ftype1557z00_8657 = ((BgL_typez00_bglt) BgL_ftype1557z00_6389);
				BgL_otype1558z00_8658 = ((BgL_typez00_bglt) BgL_otype1558z00_6390);
				{	/* Ast/nodetype.sch 849 */
					BgL_vallocz00_bglt BgL_new1593z00_8659;

					{	/* Ast/nodetype.sch 849 */
						BgL_vallocz00_bglt BgL_new1592z00_8660;

						BgL_new1592z00_8660 =
							((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vallocz00_bgl))));
						{	/* Ast/nodetype.sch 849 */
							long BgL_arg2419z00_8661;

							{	/* Ast/nodetype.sch 849 */
								long BgL_res3233z00_8662;

								{	/* Ast/nodetype.sch 849 */
									obj_t BgL_classz00_8663;

									BgL_classz00_8663 = BGl_vallocz00zzast_nodez00;
									{	/* Ast/nodetype.sch 849 */
										obj_t BgL_vectorz00_8664;
										int BgL_kz00_8665;

										BgL_vectorz00_8664 = BgL_classz00_8663;
										BgL_kz00_8665 = (int) (((long) 1));
										BgL_res3233z00_8662 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8664,
												BgL_kz00_8665));
								}}
								BgL_arg2419z00_8661 = BgL_res3233z00_8662;
							}
							{	/* Ast/nodetype.sch 849 */
								BgL_objectz00_bglt BgL_objz00_8666;

								BgL_objz00_8666 = ((BgL_objectz00_bglt) BgL_new1592z00_8660);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8666, BgL_arg2419z00_8661);
						}}
						{	/* Ast/nodetype.sch 849 */
							BgL_objectz00_bglt BgL_auxz00_11054;

							BgL_auxz00_11054 = ((BgL_objectz00_bglt) BgL_new1592z00_8660);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11054, BFALSE);
						}
						BgL_new1593z00_8659 = BgL_new1592z00_8660;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1593z00_8659)))->BgL_locz00) =
						((obj_t) BgL_loc1550z00_6382), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1593z00_8659)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1551z00_8651), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1593z00_8659)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1552zd2_6384), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1593z00_8659)))->BgL_keyz00) =
						((obj_t) BgL_key1553z00_6385), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1593z00_8659)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21554za2_8654), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1593z00_8659)))->BgL_effectz00) =
						((obj_t) BgL_effect1555z00_6387), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1593z00_8659)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1556zd2_8656), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1593z00_8659))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1557z00_8657), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1593z00_8659))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1558z00_8658), BUNSPEC);
					return BgL_new1593z00_8659;
				}
			}
		}
	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_380)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 850 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_380, BGl_vallocz00zzast_nodez00);
		}
	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_6391,
		obj_t BgL_objz00_6392)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 850 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6392,
					BGl_vallocz00zzast_nodez00));
		}
	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 851 */
			{	/* Ast/nodetype.sch 851 */
				obj_t BgL_classz00_4254;

				BgL_classz00_4254 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 851 */
					obj_t BgL__ortest_1090z00_4255;

					BgL__ortest_1090z00_4255 =
						VECTOR_REF(BgL_classz00_4254, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4255))
						{	/* Ast/nodetype.sch 851 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1090z00_4255);
						}
					else
						{	/* Ast/nodetype.sch 851 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4254));
						}
				}
			}
		}
	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_6393)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 851 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}
	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_381)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 852 */
			return (((BgL_vallocz00_bglt) CREF(BgL_oz00_381))->BgL_otypez00);
		}
	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_6394,
		obj_t BgL_oz00_6395)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 852 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_6395)))->BgL_otypez00);
		}
	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_384)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 854 */
			return (((BgL_vallocz00_bglt) CREF(BgL_oz00_384))->BgL_ftypez00);
		}
	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6396,
		obj_t BgL_oz00_6397)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 854 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_6397)))->BgL_ftypez00);
		}
	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_385,
		BgL_typez00_bglt BgL_vz00_386)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 855 */
			return
				((((BgL_vallocz00_bglt) CREF(BgL_oz00_385))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_386), BUNSPEC);
		}
	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6398,
		obj_t BgL_oz00_6399, obj_t BgL_vz00_6400)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 855 */
			{	/* Ast/nodetype.sch 855 */
				BgL_vallocz00_bglt BgL_oz00_8670;
				BgL_typez00_bglt BgL_vz00_8671;

				BgL_oz00_8670 = ((BgL_vallocz00_bglt) BgL_oz00_6399);
				BgL_vz00_8671 = ((BgL_typez00_bglt) BgL_vz00_6400);
				return
					((((BgL_vallocz00_bglt) CREF(BgL_oz00_8670))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_8671), BUNSPEC);
			}
		}
	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_387)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 856 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_387)))->BgL_czd2formatzd2);
		}
	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6401,
		obj_t BgL_oz00_6402)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 856 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6402))))->BgL_czd2formatzd2);
		}
	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_390)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 858 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_390)))->BgL_effectz00);
		}
	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_6403,
		obj_t BgL_oz00_6404)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 858 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6404))))->BgL_effectz00);
		}
	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_391, obj_t BgL_vz00_392)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 859 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_391)))->BgL_effectz00) =
				((obj_t) BgL_vz00_392), BUNSPEC);
		}
	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6405,
		obj_t BgL_oz00_6406, obj_t BgL_vz00_6407)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 859 */
			{	/* Ast/nodetype.sch 859 */
				BgL_vallocz00_bglt BgL_oz00_8674;

				BgL_oz00_8674 = ((BgL_vallocz00_bglt) BgL_oz00_6406);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8674)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6407), BUNSPEC);
			}
		}
	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_393)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 860 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_393)))->BgL_exprza2za2);
		}
	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6408,
		obj_t BgL_oz00_6409)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 860 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6409))))->BgL_exprza2za2);
		}
	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_394, obj_t BgL_vz00_395)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 861 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_394)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_395), BUNSPEC);
		}
	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6410,
		obj_t BgL_oz00_6411, obj_t BgL_vz00_6412)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 861 */
			{	/* Ast/nodetype.sch 861 */
				BgL_vallocz00_bglt BgL_oz00_8677;
				obj_t BgL_vz00_8678;

				BgL_oz00_8677 = ((BgL_vallocz00_bglt) BgL_oz00_6411);
				BgL_vz00_8678 = BgL_vz00_6412;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8677)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8678), BUNSPEC);
			}
		}
	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_396)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 862 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_396)))->BgL_keyz00);
		}
	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_6413,
		obj_t BgL_oz00_6414)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 862 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6414))))->BgL_keyz00);
		}
	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_397,
		obj_t BgL_vz00_398)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 863 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_397)))->BgL_keyz00) =
				((obj_t) BgL_vz00_398), BUNSPEC);
		}
	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6415,
		obj_t BgL_oz00_6416, obj_t BgL_vz00_6417)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 863 */
			{	/* Ast/nodetype.sch 863 */
				BgL_vallocz00_bglt BgL_oz00_8680;

				BgL_oz00_8680 = ((BgL_vallocz00_bglt) BgL_oz00_6416);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8680)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6417), BUNSPEC);
			}
		}
	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_399)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 864 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_399)))->BgL_sidezd2effectzd2);
		}
	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6418,
		obj_t BgL_oz00_6419)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 864 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6419))))->BgL_sidezd2effectzd2);
		}
	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_400, obj_t BgL_vz00_401)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 865 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_400)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_401), BUNSPEC);
		}
	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6420, obj_t BgL_oz00_6421, obj_t BgL_vz00_6422)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 865 */
			{	/* Ast/nodetype.sch 865 */
				BgL_vallocz00_bglt BgL_oz00_8683;

				BgL_oz00_8683 = ((BgL_vallocz00_bglt) BgL_oz00_6421);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8683)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6422), BUNSPEC);
			}
		}
	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_402)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 866 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_402)))->BgL_typez00);
		}
	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_6423,
		obj_t BgL_oz00_6424)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 866 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6424))))->BgL_typez00);
		}
	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_403,
		BgL_typez00_bglt BgL_vz00_404)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 867 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_403)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_404), BUNSPEC);
		}
	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6425,
		obj_t BgL_oz00_6426, obj_t BgL_vz00_6427)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 867 */
			{	/* Ast/nodetype.sch 867 */
				BgL_vallocz00_bglt BgL_oz00_8686;
				BgL_typez00_bglt BgL_vz00_8687;

				BgL_oz00_8686 = ((BgL_vallocz00_bglt) BgL_oz00_6426);
				BgL_vz00_8687 = ((BgL_typez00_bglt) BgL_vz00_6427);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8686)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8687), BUNSPEC);
			}
		}
	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_405)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 868 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_405)))->BgL_locz00);
		}
	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_6428,
		obj_t BgL_oz00_6429)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 868 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6429))))->BgL_locz00);
		}
	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1538z00_408, BgL_typez00_bglt BgL_type1539z00_409,
		obj_t BgL_sidezd2effect1540zd2_410, obj_t BgL_key1541z00_411,
		obj_t BgL_exprza21542za2_412, obj_t BgL_effect1543z00_413,
		obj_t BgL_czd2format1544zd2_414, BgL_typez00_bglt BgL_ftype1545z00_415,
		BgL_typez00_bglt BgL_otype1546z00_416,
		BgL_typez00_bglt BgL_vtype1547z00_417, bool_t BgL_unsafe1548z00_418)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 872 */
			{	/* Ast/nodetype.sch 872 */
				BgL_vrefz00_bglt BgL_new1613z00_8689;

				{	/* Ast/nodetype.sch 872 */
					BgL_vrefz00_bglt BgL_new1612z00_8690;

					BgL_new1612z00_8690 =
						((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 872 */
						long BgL_arg2420z00_8691;

						{	/* Ast/nodetype.sch 872 */
							long BgL_res3234z00_8692;

							{	/* Ast/nodetype.sch 872 */
								obj_t BgL_classz00_8693;

								BgL_classz00_8693 = BGl_vrefz00zzast_nodez00;
								{	/* Ast/nodetype.sch 872 */
									obj_t BgL_vectorz00_8694;
									int BgL_kz00_8695;

									BgL_vectorz00_8694 = BgL_classz00_8693;
									BgL_kz00_8695 = (int) (((long) 1));
									BgL_res3234z00_8692 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8694, BgL_kz00_8695));
							}}
							BgL_arg2420z00_8691 = BgL_res3234z00_8692;
						}
						{	/* Ast/nodetype.sch 872 */
							BgL_objectz00_bglt BgL_objz00_8696;

							BgL_objz00_8696 = ((BgL_objectz00_bglt) BgL_new1612z00_8690);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8696, BgL_arg2420z00_8691);
					}}
					{	/* Ast/nodetype.sch 872 */
						BgL_objectz00_bglt BgL_auxz00_11161;

						BgL_auxz00_11161 = ((BgL_objectz00_bglt) BgL_new1612z00_8690);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11161, BFALSE);
					}
					BgL_new1613z00_8689 = BgL_new1612z00_8690;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1613z00_8689)))->BgL_locz00) =
					((obj_t) BgL_loc1538z00_408), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1613z00_8689)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1539z00_409), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1613z00_8689)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1540zd2_410), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1613z00_8689)))->BgL_keyz00) =
					((obj_t) BgL_key1541z00_411), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1613z00_8689)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21542za2_412), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1613z00_8689)))->BgL_effectz00) =
					((obj_t) BgL_effect1543z00_413), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1613z00_8689)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1544zd2_414), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8689))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1545z00_415), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8689))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1546z00_416), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8689))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1547z00_417), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8689))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1548z00_418), BUNSPEC);
				return BgL_new1613z00_8689;
			}
		}
	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_6430,
		obj_t BgL_loc1538z00_6431, obj_t BgL_type1539z00_6432,
		obj_t BgL_sidezd2effect1540zd2_6433, obj_t BgL_key1541z00_6434,
		obj_t BgL_exprza21542za2_6435, obj_t BgL_effect1543z00_6436,
		obj_t BgL_czd2format1544zd2_6437, obj_t BgL_ftype1545z00_6438,
		obj_t BgL_otype1546z00_6439, obj_t BgL_vtype1547z00_6440,
		obj_t BgL_unsafe1548z00_6441)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 872 */
			{	/* Ast/nodetype.sch 872 */
				BgL_typez00_bglt BgL_type1539z00_8698;
				obj_t BgL_exprza21542za2_8701;
				obj_t BgL_czd2format1544zd2_8703;
				BgL_typez00_bglt BgL_ftype1545z00_8704;
				BgL_typez00_bglt BgL_otype1546z00_8705;
				BgL_typez00_bglt BgL_vtype1547z00_8706;
				bool_t BgL_unsafe1548z00_8707;

				BgL_type1539z00_8698 = ((BgL_typez00_bglt) BgL_type1539z00_6432);
				BgL_exprza21542za2_8701 = BgL_exprza21542za2_6435;
				BgL_czd2format1544zd2_8703 = BgL_czd2format1544zd2_6437;
				BgL_ftype1545z00_8704 = ((BgL_typez00_bglt) BgL_ftype1545z00_6438);
				BgL_otype1546z00_8705 = ((BgL_typez00_bglt) BgL_otype1546z00_6439);
				BgL_vtype1547z00_8706 = ((BgL_typez00_bglt) BgL_vtype1547z00_6440);
				BgL_unsafe1548z00_8707 = CBOOL(BgL_unsafe1548z00_6441);
				{	/* Ast/nodetype.sch 872 */
					BgL_vrefz00_bglt BgL_new1613z00_8708;

					{	/* Ast/nodetype.sch 872 */
						BgL_vrefz00_bglt BgL_new1612z00_8709;

						BgL_new1612z00_8709 =
							((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/nodetype.sch 872 */
							long BgL_arg2420z00_8710;

							{	/* Ast/nodetype.sch 872 */
								long BgL_res3234z00_8711;

								{	/* Ast/nodetype.sch 872 */
									obj_t BgL_classz00_8712;

									BgL_classz00_8712 = BGl_vrefz00zzast_nodez00;
									{	/* Ast/nodetype.sch 872 */
										obj_t BgL_vectorz00_8713;
										int BgL_kz00_8714;

										BgL_vectorz00_8713 = BgL_classz00_8712;
										BgL_kz00_8714 = (int) (((long) 1));
										BgL_res3234z00_8711 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8713,
												BgL_kz00_8714));
								}}
								BgL_arg2420z00_8710 = BgL_res3234z00_8711;
							}
							{	/* Ast/nodetype.sch 872 */
								BgL_objectz00_bglt BgL_objz00_8715;

								BgL_objz00_8715 = ((BgL_objectz00_bglt) BgL_new1612z00_8709);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8715, BgL_arg2420z00_8710);
						}}
						{	/* Ast/nodetype.sch 872 */
							BgL_objectz00_bglt BgL_auxz00_11193;

							BgL_auxz00_11193 = ((BgL_objectz00_bglt) BgL_new1612z00_8709);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11193, BFALSE);
						}
						BgL_new1613z00_8708 = BgL_new1612z00_8709;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1613z00_8708)))->BgL_locz00) =
						((obj_t) BgL_loc1538z00_6431), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1613z00_8708)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1539z00_8698), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1613z00_8708)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1540zd2_6433), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1613z00_8708)))->BgL_keyz00) =
						((obj_t) BgL_key1541z00_6434), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1613z00_8708)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21542za2_8701), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1613z00_8708)))->BgL_effectz00) =
						((obj_t) BgL_effect1543z00_6436), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1613z00_8708)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1544zd2_8703), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8708))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1545z00_8704), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8708))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1546z00_8705), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8708))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1547z00_8706), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1613z00_8708))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1548z00_8707), BUNSPEC);
					return BgL_new1613z00_8708;
				}
			}
		}
	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_419)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 873 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_419, BGl_vrefz00zzast_nodez00);
		}
	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_6442,
		obj_t BgL_objz00_6443)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 873 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6443,
					BGl_vrefz00zzast_nodez00));
		}
	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 874 */
			{	/* Ast/nodetype.sch 874 */
				obj_t BgL_classz00_4282;

				BgL_classz00_4282 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 874 */
					obj_t BgL__ortest_1090z00_4283;

					BgL__ortest_1090z00_4283 =
						VECTOR_REF(BgL_classz00_4282, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4283))
						{	/* Ast/nodetype.sch 874 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1090z00_4283);
						}
					else
						{	/* Ast/nodetype.sch 874 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4282));
						}
				}
			}
		}
	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6444)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 874 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}
	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_420)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 875 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_420))->BgL_unsafez00);
		}
	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6445,
		obj_t BgL_oz00_6446)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 875 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_6446)))->BgL_unsafez00));
		}
	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_423)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 877 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_423))->BgL_vtypez00);
		}
	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6447,
		obj_t BgL_oz00_6448)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 877 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6448)))->BgL_vtypez00);
		}
	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_426)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 879 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_426))->BgL_otypez00);
		}
	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_6449,
		obj_t BgL_oz00_6450)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 879 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6450)))->BgL_otypez00);
		}
	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_429)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 881 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_429))->BgL_ftypez00);
		}
	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6451,
		obj_t BgL_oz00_6452)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 881 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6452)))->BgL_ftypez00);
		}
	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_430,
		BgL_typez00_bglt BgL_vz00_431)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 882 */
			return
				((((BgL_vrefz00_bglt) CREF(BgL_oz00_430))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_431), BUNSPEC);
		}
	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6453,
		obj_t BgL_oz00_6454, obj_t BgL_vz00_6455)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 882 */
			{	/* Ast/nodetype.sch 882 */
				BgL_vrefz00_bglt BgL_oz00_8721;
				BgL_typez00_bglt BgL_vz00_8722;

				BgL_oz00_8721 = ((BgL_vrefz00_bglt) BgL_oz00_6454);
				BgL_vz00_8722 = ((BgL_typez00_bglt) BgL_vz00_6455);
				return
					((((BgL_vrefz00_bglt) CREF(BgL_oz00_8721))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_8722), BUNSPEC);
			}
		}
	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_432)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 883 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_432)))->BgL_czd2formatzd2);
		}
	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6456,
		obj_t BgL_oz00_6457)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 883 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6457))))->BgL_czd2formatzd2);
		}
	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_435)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 885 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_435)))->BgL_effectz00);
		}
	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6458,
		obj_t BgL_oz00_6459)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 885 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6459))))->BgL_effectz00);
		}
	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_436,
		obj_t BgL_vz00_437)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 886 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_436)))->BgL_effectz00) =
				((obj_t) BgL_vz00_437), BUNSPEC);
		}
	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6460,
		obj_t BgL_oz00_6461, obj_t BgL_vz00_6462)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 886 */
			{	/* Ast/nodetype.sch 886 */
				BgL_vrefz00_bglt BgL_oz00_8725;

				BgL_oz00_8725 = ((BgL_vrefz00_bglt) BgL_oz00_6461);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8725)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6462), BUNSPEC);
			}
		}
	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_438)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 887 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_438)))->BgL_exprza2za2);
		}
	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6463,
		obj_t BgL_oz00_6464)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 887 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6464))))->BgL_exprza2za2);
		}
	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_439,
		obj_t BgL_vz00_440)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 888 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_439)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_440), BUNSPEC);
		}
	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6465,
		obj_t BgL_oz00_6466, obj_t BgL_vz00_6467)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 888 */
			{	/* Ast/nodetype.sch 888 */
				BgL_vrefz00_bglt BgL_oz00_8728;
				obj_t BgL_vz00_8729;

				BgL_oz00_8728 = ((BgL_vrefz00_bglt) BgL_oz00_6466);
				BgL_vz00_8729 = BgL_vz00_6467;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8728)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8729), BUNSPEC);
			}
		}
	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_441)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 889 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_441)))->BgL_keyz00);
		}
	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6468,
		obj_t BgL_oz00_6469)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 889 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6469))))->BgL_keyz00);
		}
	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_442,
		obj_t BgL_vz00_443)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_442)))->BgL_keyz00) =
				((obj_t) BgL_vz00_443), BUNSPEC);
		}
	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6470,
		obj_t BgL_oz00_6471, obj_t BgL_vz00_6472)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 890 */
			{	/* Ast/nodetype.sch 890 */
				BgL_vrefz00_bglt BgL_oz00_8731;

				BgL_oz00_8731 = ((BgL_vrefz00_bglt) BgL_oz00_6471);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8731)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6472), BUNSPEC);
			}
		}
	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_444)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_444)))->BgL_sidezd2effectzd2);
		}
	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6473,
		obj_t BgL_oz00_6474)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6474))))->BgL_sidezd2effectzd2);
		}
	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_445, obj_t BgL_vz00_446)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_445)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_446), BUNSPEC);
		}
	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6475, obj_t BgL_oz00_6476, obj_t BgL_vz00_6477)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 892 */
			{	/* Ast/nodetype.sch 892 */
				BgL_vrefz00_bglt BgL_oz00_8734;

				BgL_oz00_8734 = ((BgL_vrefz00_bglt) BgL_oz00_6476);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8734)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6477), BUNSPEC);
			}
		}
	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_447)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_447)))->BgL_typez00);
		}
	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_6478,
		obj_t BgL_oz00_6479)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6479))))->BgL_typez00);
		}
	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_448,
		BgL_typez00_bglt BgL_vz00_449)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 894 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_448)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_449), BUNSPEC);
		}
	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6480,
		obj_t BgL_oz00_6481, obj_t BgL_vz00_6482)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 894 */
			{	/* Ast/nodetype.sch 894 */
				BgL_vrefz00_bglt BgL_oz00_8737;
				BgL_typez00_bglt BgL_vz00_8738;

				BgL_oz00_8737 = ((BgL_vrefz00_bglt) BgL_oz00_6481);
				BgL_vz00_8738 = ((BgL_typez00_bglt) BgL_vz00_6482);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8737)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8738), BUNSPEC);
			}
		}
	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_450)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 895 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_450)))->BgL_locz00);
		}
	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_6483,
		obj_t BgL_oz00_6484)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 895 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6484))))->BgL_locz00);
		}
	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1526z00_453, BgL_typez00_bglt BgL_type1527z00_454,
		obj_t BgL_sidezd2effect1528zd2_455, obj_t BgL_key1529z00_456,
		obj_t BgL_exprza21530za2_457, obj_t BgL_effect1531z00_458,
		obj_t BgL_czd2format1532zd2_459, BgL_typez00_bglt BgL_ftype1533z00_460,
		BgL_typez00_bglt BgL_otype1534z00_461,
		BgL_typez00_bglt BgL_vtype1535z00_462, bool_t BgL_unsafe1536z00_463)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 899 */
			{	/* Ast/nodetype.sch 899 */
				BgL_vsetz12z12_bglt BgL_new1637z00_8740;

				{	/* Ast/nodetype.sch 899 */
					BgL_vsetz12z12_bglt BgL_new1636z00_8741;

					BgL_new1636z00_8741 =
						((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 899 */
						long BgL_arg2421z00_8742;

						{	/* Ast/nodetype.sch 899 */
							long BgL_res3235z00_8743;

							{	/* Ast/nodetype.sch 899 */
								obj_t BgL_classz00_8744;

								BgL_classz00_8744 = BGl_vsetz12z12zzast_nodez00;
								{	/* Ast/nodetype.sch 899 */
									obj_t BgL_vectorz00_8745;
									int BgL_kz00_8746;

									BgL_vectorz00_8745 = BgL_classz00_8744;
									BgL_kz00_8746 = (int) (((long) 1));
									BgL_res3235z00_8743 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8745, BgL_kz00_8746));
							}}
							BgL_arg2421z00_8742 = BgL_res3235z00_8743;
						}
						{	/* Ast/nodetype.sch 899 */
							BgL_objectz00_bglt BgL_objz00_8747;

							BgL_objz00_8747 = ((BgL_objectz00_bglt) BgL_new1636z00_8741);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8747, BgL_arg2421z00_8742);
					}}
					{	/* Ast/nodetype.sch 899 */
						BgL_objectz00_bglt BgL_auxz00_11309;

						BgL_auxz00_11309 = ((BgL_objectz00_bglt) BgL_new1636z00_8741);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11309, BFALSE);
					}
					BgL_new1637z00_8740 = BgL_new1636z00_8741;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1637z00_8740)))->BgL_locz00) =
					((obj_t) BgL_loc1526z00_453), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1637z00_8740)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1527z00_454), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1637z00_8740)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1528zd2_455), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1637z00_8740)))->BgL_keyz00) =
					((obj_t) BgL_key1529z00_456), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1637z00_8740)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21530za2_457), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1637z00_8740)))->BgL_effectz00) =
					((obj_t) BgL_effect1531z00_458), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1637z00_8740)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1532zd2_459), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8740))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1533z00_460), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8740))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1534z00_461), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8740))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1535z00_462), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8740))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1536z00_463), BUNSPEC);
				return BgL_new1637z00_8740;
			}
		}
	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_6485, obj_t BgL_loc1526z00_6486, obj_t BgL_type1527z00_6487,
		obj_t BgL_sidezd2effect1528zd2_6488, obj_t BgL_key1529z00_6489,
		obj_t BgL_exprza21530za2_6490, obj_t BgL_effect1531z00_6491,
		obj_t BgL_czd2format1532zd2_6492, obj_t BgL_ftype1533z00_6493,
		obj_t BgL_otype1534z00_6494, obj_t BgL_vtype1535z00_6495,
		obj_t BgL_unsafe1536z00_6496)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 899 */
			{	/* Ast/nodetype.sch 899 */
				BgL_typez00_bglt BgL_type1527z00_8749;
				obj_t BgL_exprza21530za2_8752;
				obj_t BgL_czd2format1532zd2_8754;
				BgL_typez00_bglt BgL_ftype1533z00_8755;
				BgL_typez00_bglt BgL_otype1534z00_8756;
				BgL_typez00_bglt BgL_vtype1535z00_8757;
				bool_t BgL_unsafe1536z00_8758;

				BgL_type1527z00_8749 = ((BgL_typez00_bglt) BgL_type1527z00_6487);
				BgL_exprza21530za2_8752 = BgL_exprza21530za2_6490;
				BgL_czd2format1532zd2_8754 = BgL_czd2format1532zd2_6492;
				BgL_ftype1533z00_8755 = ((BgL_typez00_bglt) BgL_ftype1533z00_6493);
				BgL_otype1534z00_8756 = ((BgL_typez00_bglt) BgL_otype1534z00_6494);
				BgL_vtype1535z00_8757 = ((BgL_typez00_bglt) BgL_vtype1535z00_6495);
				BgL_unsafe1536z00_8758 = CBOOL(BgL_unsafe1536z00_6496);
				{	/* Ast/nodetype.sch 899 */
					BgL_vsetz12z12_bglt BgL_new1637z00_8759;

					{	/* Ast/nodetype.sch 899 */
						BgL_vsetz12z12_bglt BgL_new1636z00_8760;

						BgL_new1636z00_8760 =
							((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/nodetype.sch 899 */
							long BgL_arg2421z00_8761;

							{	/* Ast/nodetype.sch 899 */
								long BgL_res3235z00_8762;

								{	/* Ast/nodetype.sch 899 */
									obj_t BgL_classz00_8763;

									BgL_classz00_8763 = BGl_vsetz12z12zzast_nodez00;
									{	/* Ast/nodetype.sch 899 */
										obj_t BgL_vectorz00_8764;
										int BgL_kz00_8765;

										BgL_vectorz00_8764 = BgL_classz00_8763;
										BgL_kz00_8765 = (int) (((long) 1));
										BgL_res3235z00_8762 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8764,
												BgL_kz00_8765));
								}}
								BgL_arg2421z00_8761 = BgL_res3235z00_8762;
							}
							{	/* Ast/nodetype.sch 899 */
								BgL_objectz00_bglt BgL_objz00_8766;

								BgL_objz00_8766 = ((BgL_objectz00_bglt) BgL_new1636z00_8760);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8766, BgL_arg2421z00_8761);
						}}
						{	/* Ast/nodetype.sch 899 */
							BgL_objectz00_bglt BgL_auxz00_11341;

							BgL_auxz00_11341 = ((BgL_objectz00_bglt) BgL_new1636z00_8760);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11341, BFALSE);
						}
						BgL_new1637z00_8759 = BgL_new1636z00_8760;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1637z00_8759)))->BgL_locz00) =
						((obj_t) BgL_loc1526z00_6486), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1637z00_8759)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1527z00_8749), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1637z00_8759)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1528zd2_6488), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1637z00_8759)))->BgL_keyz00) =
						((obj_t) BgL_key1529z00_6489), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1637z00_8759)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21530za2_8752), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1637z00_8759)))->BgL_effectz00) =
						((obj_t) BgL_effect1531z00_6491), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1637z00_8759)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1532zd2_8754), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8759))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1533z00_8755), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8759))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1534z00_8756), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8759))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1535z00_8757), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1637z00_8759))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1536z00_8758), BUNSPEC);
					return BgL_new1637z00_8759;
				}
			}
		}
	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_464)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 900 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_464, BGl_vsetz12z12zzast_nodez00);
		}
	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_6497,
		obj_t BgL_objz00_6498)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 900 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6498,
					BGl_vsetz12z12zzast_nodez00));
		}
	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 901 */
			{	/* Ast/nodetype.sch 901 */
				obj_t BgL_classz00_4312;

				BgL_classz00_4312 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 901 */
					obj_t BgL__ortest_1090z00_4313;

					BgL__ortest_1090z00_4313 =
						VECTOR_REF(BgL_classz00_4312, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4313))
						{	/* Ast/nodetype.sch 901 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1090z00_4313);
						}
					else
						{	/* Ast/nodetype.sch 901 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4312));
						}
				}
			}
		}
	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_6499)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 901 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}
	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_465)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 902 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_465))->BgL_unsafez00);
		}
	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_6500,
		obj_t BgL_oz00_6501)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 902 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_6501)))->BgL_unsafez00));
		}
	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_468)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 904 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_468))->BgL_vtypez00);
		}
	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_6502,
		obj_t BgL_oz00_6503)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 904 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6503)))->BgL_vtypez00);
		}
	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_471)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 906 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_471))->BgL_otypez00);
		}
	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_6504,
		obj_t BgL_oz00_6505)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 906 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6505)))->BgL_otypez00);
		}
	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_474)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 908 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_474))->BgL_ftypez00);
		}
	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_6506,
		obj_t BgL_oz00_6507)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6507)))->BgL_ftypez00);
		}
	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_475, BgL_typez00_bglt BgL_vz00_476)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 909 */
			return
				((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_475))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_476), BUNSPEC);
		}
	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6508,
		obj_t BgL_oz00_6509, obj_t BgL_vz00_6510)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 909 */
			{	/* Ast/nodetype.sch 909 */
				BgL_vsetz12z12_bglt BgL_oz00_8772;
				BgL_typez00_bglt BgL_vz00_8773;

				BgL_oz00_8772 = ((BgL_vsetz12z12_bglt) BgL_oz00_6509);
				BgL_vz00_8773 = ((BgL_typez00_bglt) BgL_vz00_6510);
				return
					((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_8772))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_8773), BUNSPEC);
			}
		}
	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_477)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_477)))->BgL_czd2formatzd2);
		}
	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_6511,
		obj_t BgL_oz00_6512)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6512))))->BgL_czd2formatzd2);
		}
	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_480)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 912 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_480)))->BgL_effectz00);
		}
	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_6513,
		obj_t BgL_oz00_6514)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 912 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6514))))->BgL_effectz00);
		}
	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_481, obj_t BgL_vz00_482)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 913 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_481)))->BgL_effectz00) =
				((obj_t) BgL_vz00_482), BUNSPEC);
		}
	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_6515,
		obj_t BgL_oz00_6516, obj_t BgL_vz00_6517)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 913 */
			{	/* Ast/nodetype.sch 913 */
				BgL_vsetz12z12_bglt BgL_oz00_8776;

				BgL_oz00_8776 = ((BgL_vsetz12z12_bglt) BgL_oz00_6516);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8776)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6517), BUNSPEC);
			}
		}
	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_483)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 914 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_483)))->BgL_exprza2za2);
		}
	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_6518,
		obj_t BgL_oz00_6519)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 914 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6519))))->BgL_exprza2za2);
		}
	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_484, obj_t BgL_vz00_485)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 915 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_484)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_485), BUNSPEC);
		}
	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_6520,
		obj_t BgL_oz00_6521, obj_t BgL_vz00_6522)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 915 */
			{	/* Ast/nodetype.sch 915 */
				BgL_vsetz12z12_bglt BgL_oz00_8779;
				obj_t BgL_vz00_8780;

				BgL_oz00_8779 = ((BgL_vsetz12z12_bglt) BgL_oz00_6521);
				BgL_vz00_8780 = BgL_vz00_6522;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8779)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8780), BUNSPEC);
			}
		}
	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_486)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 916 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_486)))->BgL_keyz00);
		}
	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_6523,
		obj_t BgL_oz00_6524)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 916 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6524))))->BgL_keyz00);
		}
	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_487,
		obj_t BgL_vz00_488)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 917 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_487)))->BgL_keyz00) =
				((obj_t) BgL_vz00_488), BUNSPEC);
		}
	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_6525,
		obj_t BgL_oz00_6526, obj_t BgL_vz00_6527)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 917 */
			{	/* Ast/nodetype.sch 917 */
				BgL_vsetz12z12_bglt BgL_oz00_8782;

				BgL_oz00_8782 = ((BgL_vsetz12z12_bglt) BgL_oz00_6526);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8782)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6527), BUNSPEC);
			}
		}
	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_489)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 918 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_489)))->BgL_sidezd2effectzd2);
		}
	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_6528,
		obj_t BgL_oz00_6529)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 918 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6529))))->BgL_sidezd2effectzd2);
		}
	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_490, obj_t BgL_vz00_491)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 919 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_490)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_491), BUNSPEC);
		}
	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6530, obj_t BgL_oz00_6531, obj_t BgL_vz00_6532)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 919 */
			{	/* Ast/nodetype.sch 919 */
				BgL_vsetz12z12_bglt BgL_oz00_8785;

				BgL_oz00_8785 = ((BgL_vsetz12z12_bglt) BgL_oz00_6531);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8785)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6532), BUNSPEC);
			}
		}
	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_492)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 920 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_492)))->BgL_typez00);
		}
	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_6533,
		obj_t BgL_oz00_6534)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 920 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6534))))->BgL_typez00);
		}
	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_493, BgL_typez00_bglt BgL_vz00_494)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 921 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_493)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_494), BUNSPEC);
		}
	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6535,
		obj_t BgL_oz00_6536, obj_t BgL_vz00_6537)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 921 */
			{	/* Ast/nodetype.sch 921 */
				BgL_vsetz12z12_bglt BgL_oz00_8788;
				BgL_typez00_bglt BgL_vz00_8789;

				BgL_oz00_8788 = ((BgL_vsetz12z12_bglt) BgL_oz00_6536);
				BgL_vz00_8789 = ((BgL_typez00_bglt) BgL_vz00_6537);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8788)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8789), BUNSPEC);
			}
		}
	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_495)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 922 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_495)))->BgL_locz00);
		}
	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_6538,
		obj_t BgL_oz00_6539)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 922 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6539))))->BgL_locz00);
		}
	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1517z00_498, BgL_typez00_bglt BgL_type1518z00_499,
		obj_t BgL_sidezd2effect1519zd2_500, obj_t BgL_key1520z00_501,
		obj_t BgL_exprza21521za2_502, obj_t BgL_effect1522z00_503,
		obj_t BgL_czd2format1523zd2_504, BgL_typez00_bglt BgL_vtype1524z00_505)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 926 */
			{	/* Ast/nodetype.sch 926 */
				BgL_vlengthz00_bglt BgL_new1661z00_8791;

				{	/* Ast/nodetype.sch 926 */
					BgL_vlengthz00_bglt BgL_new1660z00_8792;

					BgL_new1660z00_8792 =
						((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 926 */
						long BgL_arg2422z00_8793;

						{	/* Ast/nodetype.sch 926 */
							long BgL_res3236z00_8794;

							{	/* Ast/nodetype.sch 926 */
								obj_t BgL_classz00_8795;

								BgL_classz00_8795 = BGl_vlengthz00zzast_nodez00;
								{	/* Ast/nodetype.sch 926 */
									obj_t BgL_vectorz00_8796;
									int BgL_kz00_8797;

									BgL_vectorz00_8796 = BgL_classz00_8795;
									BgL_kz00_8797 = (int) (((long) 1));
									BgL_res3236z00_8794 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8796, BgL_kz00_8797));
							}}
							BgL_arg2422z00_8793 = BgL_res3236z00_8794;
						}
						{	/* Ast/nodetype.sch 926 */
							BgL_objectz00_bglt BgL_objz00_8798;

							BgL_objz00_8798 = ((BgL_objectz00_bglt) BgL_new1660z00_8792);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8798, BgL_arg2422z00_8793);
					}}
					{	/* Ast/nodetype.sch 926 */
						BgL_objectz00_bglt BgL_auxz00_11457;

						BgL_auxz00_11457 = ((BgL_objectz00_bglt) BgL_new1660z00_8792);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11457, BFALSE);
					}
					BgL_new1661z00_8791 = BgL_new1660z00_8792;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1661z00_8791)))->BgL_locz00) =
					((obj_t) BgL_loc1517z00_498), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1661z00_8791)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1518z00_499), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1661z00_8791)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1519zd2_500), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1661z00_8791)))->BgL_keyz00) =
					((obj_t) BgL_key1520z00_501), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1661z00_8791)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21521za2_502), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1661z00_8791)))->BgL_effectz00) =
					((obj_t) BgL_effect1522z00_503), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1661z00_8791)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1523zd2_504), BUNSPEC);
				((((BgL_vlengthz00_bglt) CREF(BgL_new1661z00_8791))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1524z00_505), BUNSPEC);
				return BgL_new1661z00_8791;
			}
		}
	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_6540, obj_t BgL_loc1517z00_6541, obj_t BgL_type1518z00_6542,
		obj_t BgL_sidezd2effect1519zd2_6543, obj_t BgL_key1520z00_6544,
		obj_t BgL_exprza21521za2_6545, obj_t BgL_effect1522z00_6546,
		obj_t BgL_czd2format1523zd2_6547, obj_t BgL_vtype1524z00_6548)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 926 */
			{	/* Ast/nodetype.sch 926 */
				BgL_typez00_bglt BgL_type1518z00_8800;
				obj_t BgL_exprza21521za2_8803;
				obj_t BgL_czd2format1523zd2_8805;
				BgL_typez00_bglt BgL_vtype1524z00_8806;

				BgL_type1518z00_8800 = ((BgL_typez00_bglt) BgL_type1518z00_6542);
				BgL_exprza21521za2_8803 = BgL_exprza21521za2_6545;
				BgL_czd2format1523zd2_8805 = BgL_czd2format1523zd2_6547;
				BgL_vtype1524z00_8806 = ((BgL_typez00_bglt) BgL_vtype1524z00_6548);
				{	/* Ast/nodetype.sch 926 */
					BgL_vlengthz00_bglt BgL_new1661z00_8807;

					{	/* Ast/nodetype.sch 926 */
						BgL_vlengthz00_bglt BgL_new1660z00_8808;

						BgL_new1660z00_8808 =
							((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vlengthz00_bgl))));
						{	/* Ast/nodetype.sch 926 */
							long BgL_arg2422z00_8809;

							{	/* Ast/nodetype.sch 926 */
								long BgL_res3236z00_8810;

								{	/* Ast/nodetype.sch 926 */
									obj_t BgL_classz00_8811;

									BgL_classz00_8811 = BGl_vlengthz00zzast_nodez00;
									{	/* Ast/nodetype.sch 926 */
										obj_t BgL_vectorz00_8812;
										int BgL_kz00_8813;

										BgL_vectorz00_8812 = BgL_classz00_8811;
										BgL_kz00_8813 = (int) (((long) 1));
										BgL_res3236z00_8810 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8812,
												BgL_kz00_8813));
								}}
								BgL_arg2422z00_8809 = BgL_res3236z00_8810;
							}
							{	/* Ast/nodetype.sch 926 */
								BgL_objectz00_bglt BgL_objz00_8814;

								BgL_objz00_8814 = ((BgL_objectz00_bglt) BgL_new1660z00_8808);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8814, BgL_arg2422z00_8809);
						}}
						{	/* Ast/nodetype.sch 926 */
							BgL_objectz00_bglt BgL_auxz00_11483;

							BgL_auxz00_11483 = ((BgL_objectz00_bglt) BgL_new1660z00_8808);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11483, BFALSE);
						}
						BgL_new1661z00_8807 = BgL_new1660z00_8808;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1661z00_8807)))->BgL_locz00) =
						((obj_t) BgL_loc1517z00_6541), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1661z00_8807)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1518z00_8800), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1661z00_8807)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1519zd2_6543), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1661z00_8807)))->BgL_keyz00) =
						((obj_t) BgL_key1520z00_6544), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1661z00_8807)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21521za2_8803), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1661z00_8807)))->BgL_effectz00) =
						((obj_t) BgL_effect1522z00_6546), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1661z00_8807)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1523zd2_8805), BUNSPEC);
					((((BgL_vlengthz00_bglt) CREF(BgL_new1661z00_8807))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1524z00_8806), BUNSPEC);
					return BgL_new1661z00_8807;
				}
			}
		}
	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_506)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 927 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_506, BGl_vlengthz00zzast_nodez00);
		}
	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_6549,
		obj_t BgL_objz00_6550)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 927 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6550,
					BGl_vlengthz00zzast_nodez00));
		}
	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 928 */
			{	/* Ast/nodetype.sch 928 */
				obj_t BgL_classz00_4342;

				BgL_classz00_4342 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 928 */
					obj_t BgL__ortest_1090z00_4343;

					BgL__ortest_1090z00_4343 =
						VECTOR_REF(BgL_classz00_4342, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4343))
						{	/* Ast/nodetype.sch 928 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1090z00_4343);
						}
					else
						{	/* Ast/nodetype.sch 928 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4342));
						}
				}
			}
		}
	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6551)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 928 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}
	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_507)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 929 */
			return (((BgL_vlengthz00_bglt) CREF(BgL_oz00_507))->BgL_vtypez00);
		}
	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6552,
		obj_t BgL_oz00_6553)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 929 */
			return
				(((BgL_vlengthz00_bglt) CREF(
						((BgL_vlengthz00_bglt) BgL_oz00_6553)))->BgL_vtypez00);
		}
	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_510)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 931 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_510)))->BgL_czd2formatzd2);
		}
	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6554,
		obj_t BgL_oz00_6555)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 931 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6555))))->BgL_czd2formatzd2);
		}
	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_513)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 933 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_513)))->BgL_effectz00);
		}
	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6556,
		obj_t BgL_oz00_6557)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 933 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6557))))->BgL_effectz00);
		}
	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_514, obj_t BgL_vz00_515)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 934 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_514)))->BgL_effectz00) =
				((obj_t) BgL_vz00_515), BUNSPEC);
		}
	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6558,
		obj_t BgL_oz00_6559, obj_t BgL_vz00_6560)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 934 */
			{	/* Ast/nodetype.sch 934 */
				BgL_vlengthz00_bglt BgL_oz00_8819;

				BgL_oz00_8819 = ((BgL_vlengthz00_bglt) BgL_oz00_6559);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8819)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6560), BUNSPEC);
			}
		}
	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_516)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 935 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_516)))->BgL_exprza2za2);
		}
	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6561,
		obj_t BgL_oz00_6562)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 935 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6562))))->BgL_exprza2za2);
		}
	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_517, obj_t BgL_vz00_518)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 936 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_517)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_518), BUNSPEC);
		}
	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6563,
		obj_t BgL_oz00_6564, obj_t BgL_vz00_6565)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 936 */
			{	/* Ast/nodetype.sch 936 */
				BgL_vlengthz00_bglt BgL_oz00_8822;
				obj_t BgL_vz00_8823;

				BgL_oz00_8822 = ((BgL_vlengthz00_bglt) BgL_oz00_6564);
				BgL_vz00_8823 = BgL_vz00_6565;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8822)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8823), BUNSPEC);
			}
		}
	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_519)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 937 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_519)))->BgL_keyz00);
		}
	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6566,
		obj_t BgL_oz00_6567)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 937 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6567))))->BgL_keyz00);
		}
	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_520,
		obj_t BgL_vz00_521)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 938 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_520)))->BgL_keyz00) =
				((obj_t) BgL_vz00_521), BUNSPEC);
		}
	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6568,
		obj_t BgL_oz00_6569, obj_t BgL_vz00_6570)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 938 */
			{	/* Ast/nodetype.sch 938 */
				BgL_vlengthz00_bglt BgL_oz00_8825;

				BgL_oz00_8825 = ((BgL_vlengthz00_bglt) BgL_oz00_6569);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8825)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6570), BUNSPEC);
			}
		}
	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_522)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 939 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_522)))->BgL_sidezd2effectzd2);
		}
	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6571,
		obj_t BgL_oz00_6572)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 939 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6572))))->BgL_sidezd2effectzd2);
		}
	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_523, obj_t BgL_vz00_524)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 940 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_523)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_524), BUNSPEC);
		}
	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6573, obj_t BgL_oz00_6574, obj_t BgL_vz00_6575)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 940 */
			{	/* Ast/nodetype.sch 940 */
				BgL_vlengthz00_bglt BgL_oz00_8828;

				BgL_oz00_8828 = ((BgL_vlengthz00_bglt) BgL_oz00_6574);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8828)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6575), BUNSPEC);
			}
		}
	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_525)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 941 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_525)))->BgL_typez00);
		}
	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_6576,
		obj_t BgL_oz00_6577)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 941 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6577))))->BgL_typez00);
		}
	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_526, BgL_typez00_bglt BgL_vz00_527)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 942 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_526)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_527), BUNSPEC);
		}
	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6578,
		obj_t BgL_oz00_6579, obj_t BgL_vz00_6580)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 942 */
			{	/* Ast/nodetype.sch 942 */
				BgL_vlengthz00_bglt BgL_oz00_8831;
				BgL_typez00_bglt BgL_vz00_8832;

				BgL_oz00_8831 = ((BgL_vlengthz00_bglt) BgL_oz00_6579);
				BgL_vz00_8832 = ((BgL_typez00_bglt) BgL_vz00_6580);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8831)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8832), BUNSPEC);
			}
		}
	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_528)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 943 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_528)))->BgL_locz00);
		}
	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_6581,
		obj_t BgL_oz00_6582)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 943 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6582))))->BgL_locz00);
		}
	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1508z00_531,
		BgL_typez00_bglt BgL_type1509z00_532, obj_t BgL_sidezd2effect1510zd2_533,
		obj_t BgL_key1511z00_534, obj_t BgL_exprza21512za2_535,
		obj_t BgL_effect1513z00_536, obj_t BgL_czd2format1514zd2_537,
		BgL_typez00_bglt BgL_class1515z00_538)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 947 */
			{	/* Ast/nodetype.sch 947 */
				BgL_instanceofz00_bglt BgL_new1679z00_8834;

				{	/* Ast/nodetype.sch 947 */
					BgL_instanceofz00_bglt BgL_new1678z00_8835;

					BgL_new1678z00_8835 =
						((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 947 */
						long BgL_arg2423z00_8836;

						{	/* Ast/nodetype.sch 947 */
							long BgL_res3237z00_8837;

							{	/* Ast/nodetype.sch 947 */
								obj_t BgL_classz00_8838;

								BgL_classz00_8838 = BGl_instanceofz00zzast_nodez00;
								{	/* Ast/nodetype.sch 947 */
									obj_t BgL_vectorz00_8839;
									int BgL_kz00_8840;

									BgL_vectorz00_8839 = BgL_classz00_8838;
									BgL_kz00_8840 = (int) (((long) 1));
									BgL_res3237z00_8837 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8839, BgL_kz00_8840));
							}}
							BgL_arg2423z00_8836 = BgL_res3237z00_8837;
						}
						{	/* Ast/nodetype.sch 947 */
							BgL_objectz00_bglt BgL_objz00_8841;

							BgL_objz00_8841 = ((BgL_objectz00_bglt) BgL_new1678z00_8835);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8841, BgL_arg2423z00_8836);
					}}
					{	/* Ast/nodetype.sch 947 */
						BgL_objectz00_bglt BgL_auxz00_11582;

						BgL_auxz00_11582 = ((BgL_objectz00_bglt) BgL_new1678z00_8835);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11582, BFALSE);
					}
					BgL_new1679z00_8834 = BgL_new1678z00_8835;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1679z00_8834)))->BgL_locz00) =
					((obj_t) BgL_loc1508z00_531), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1679z00_8834)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1509z00_532), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1679z00_8834)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1510zd2_533), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1679z00_8834)))->BgL_keyz00) =
					((obj_t) BgL_key1511z00_534), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1679z00_8834)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21512za2_535), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1679z00_8834)))->BgL_effectz00) =
					((obj_t) BgL_effect1513z00_536), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1679z00_8834)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1514zd2_537), BUNSPEC);
				((((BgL_instanceofz00_bglt) CREF(BgL_new1679z00_8834))->BgL_classz00) =
					((BgL_typez00_bglt) BgL_class1515z00_538), BUNSPEC);
				return BgL_new1679z00_8834;
			}
		}
	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_6583, obj_t BgL_loc1508z00_6584, obj_t BgL_type1509z00_6585,
		obj_t BgL_sidezd2effect1510zd2_6586, obj_t BgL_key1511z00_6587,
		obj_t BgL_exprza21512za2_6588, obj_t BgL_effect1513z00_6589,
		obj_t BgL_czd2format1514zd2_6590, obj_t BgL_class1515z00_6591)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 947 */
			{	/* Ast/nodetype.sch 947 */
				BgL_typez00_bglt BgL_type1509z00_8843;
				obj_t BgL_exprza21512za2_8846;
				obj_t BgL_czd2format1514zd2_8848;
				BgL_typez00_bglt BgL_class1515z00_8849;

				BgL_type1509z00_8843 = ((BgL_typez00_bglt) BgL_type1509z00_6585);
				BgL_exprza21512za2_8846 = BgL_exprza21512za2_6588;
				BgL_czd2format1514zd2_8848 = BgL_czd2format1514zd2_6590;
				BgL_class1515z00_8849 = ((BgL_typez00_bglt) BgL_class1515z00_6591);
				{	/* Ast/nodetype.sch 947 */
					BgL_instanceofz00_bglt BgL_new1679z00_8850;

					{	/* Ast/nodetype.sch 947 */
						BgL_instanceofz00_bglt BgL_new1678z00_8851;

						BgL_new1678z00_8851 =
							((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_instanceofz00_bgl))));
						{	/* Ast/nodetype.sch 947 */
							long BgL_arg2423z00_8852;

							{	/* Ast/nodetype.sch 947 */
								long BgL_res3237z00_8853;

								{	/* Ast/nodetype.sch 947 */
									obj_t BgL_classz00_8854;

									BgL_classz00_8854 = BGl_instanceofz00zzast_nodez00;
									{	/* Ast/nodetype.sch 947 */
										obj_t BgL_vectorz00_8855;
										int BgL_kz00_8856;

										BgL_vectorz00_8855 = BgL_classz00_8854;
										BgL_kz00_8856 = (int) (((long) 1));
										BgL_res3237z00_8853 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8855,
												BgL_kz00_8856));
								}}
								BgL_arg2423z00_8852 = BgL_res3237z00_8853;
							}
							{	/* Ast/nodetype.sch 947 */
								BgL_objectz00_bglt BgL_objz00_8857;

								BgL_objz00_8857 = ((BgL_objectz00_bglt) BgL_new1678z00_8851);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8857, BgL_arg2423z00_8852);
						}}
						{	/* Ast/nodetype.sch 947 */
							BgL_objectz00_bglt BgL_auxz00_11608;

							BgL_auxz00_11608 = ((BgL_objectz00_bglt) BgL_new1678z00_8851);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11608, BFALSE);
						}
						BgL_new1679z00_8850 = BgL_new1678z00_8851;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1679z00_8850)))->BgL_locz00) =
						((obj_t) BgL_loc1508z00_6584), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1679z00_8850)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1509z00_8843), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1679z00_8850)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1510zd2_6586), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1679z00_8850)))->BgL_keyz00) =
						((obj_t) BgL_key1511z00_6587), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1679z00_8850)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21512za2_8846), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1679z00_8850)))->BgL_effectz00) =
						((obj_t) BgL_effect1513z00_6589), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1679z00_8850)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1514zd2_8848), BUNSPEC);
					((((BgL_instanceofz00_bglt) CREF(BgL_new1679z00_8850))->
							BgL_classz00) =
						((BgL_typez00_bglt) BgL_class1515z00_8849), BUNSPEC);
					return BgL_new1679z00_8850;
				}
			}
		}
	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_539)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 948 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_539,
				BGl_instanceofz00zzast_nodez00);
		}
	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_6592,
		obj_t BgL_objz00_6593)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 948 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6593,
					BGl_instanceofz00zzast_nodez00));
		}
	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt BGl_instanceofzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 949 */
			{	/* Ast/nodetype.sch 949 */
				obj_t BgL_classz00_4368;

				BgL_classz00_4368 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 949 */
					obj_t BgL__ortest_1090z00_4369;

					BgL__ortest_1090z00_4369 =
						VECTOR_REF(BgL_classz00_4368, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4369))
						{	/* Ast/nodetype.sch 949 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1090z00_4369);
						}
					else
						{	/* Ast/nodetype.sch 949 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4368));
						}
				}
			}
		}
	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6594)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 949 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}
	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_540)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 950 */
			return (((BgL_instanceofz00_bglt) CREF(BgL_oz00_540))->BgL_classz00);
		}
	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_6595, obj_t BgL_oz00_6596)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 950 */
			return
				(((BgL_instanceofz00_bglt) CREF(
						((BgL_instanceofz00_bglt) BgL_oz00_6596)))->BgL_classz00);
		}
	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_543)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 952 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_543)))->BgL_czd2formatzd2);
		}
	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6597,
		obj_t BgL_oz00_6598)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 952 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6598))))->BgL_czd2formatzd2);
		}
	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_546)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 954 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_546)))->BgL_effectz00);
		}
	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6599,
		obj_t BgL_oz00_6600)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 954 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6600))))->BgL_effectz00);
		}
	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_547, obj_t BgL_vz00_548)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 955 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_547)))->BgL_effectz00) =
				((obj_t) BgL_vz00_548), BUNSPEC);
		}
	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6601, obj_t BgL_oz00_6602, obj_t BgL_vz00_6603)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 955 */
			{	/* Ast/nodetype.sch 955 */
				BgL_instanceofz00_bglt BgL_oz00_8862;

				BgL_oz00_8862 = ((BgL_instanceofz00_bglt) BgL_oz00_6602);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8862)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6603), BUNSPEC);
			}
		}
	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_549)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 956 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_549)))->BgL_exprza2za2);
		}
	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6604,
		obj_t BgL_oz00_6605)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 956 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6605))))->BgL_exprza2za2);
		}
	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_550, obj_t BgL_vz00_551)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 957 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_550)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_551), BUNSPEC);
		}
	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6606, obj_t BgL_oz00_6607, obj_t BgL_vz00_6608)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 957 */
			{	/* Ast/nodetype.sch 957 */
				BgL_instanceofz00_bglt BgL_oz00_8865;
				obj_t BgL_vz00_8866;

				BgL_oz00_8865 = ((BgL_instanceofz00_bglt) BgL_oz00_6607);
				BgL_vz00_8866 = BgL_vz00_6608;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8865)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8866), BUNSPEC);
			}
		}
	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_552)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 958 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_552)))->BgL_keyz00);
		}
	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6609,
		obj_t BgL_oz00_6610)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 958 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6610))))->BgL_keyz00);
		}
	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_553, obj_t BgL_vz00_554)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 959 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_553)))->BgL_keyz00) =
				((obj_t) BgL_vz00_554), BUNSPEC);
		}
	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6611,
		obj_t BgL_oz00_6612, obj_t BgL_vz00_6613)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 959 */
			{	/* Ast/nodetype.sch 959 */
				BgL_instanceofz00_bglt BgL_oz00_8868;

				BgL_oz00_8868 = ((BgL_instanceofz00_bglt) BgL_oz00_6612);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8868)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6613), BUNSPEC);
			}
		}
	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_555)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 960 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_555)))->BgL_sidezd2effectzd2);
		}
	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6614,
		obj_t BgL_oz00_6615)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 960 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6615))))->
				BgL_sidezd2effectzd2);
		}
	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_556, obj_t BgL_vz00_557)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 961 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_556)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_557), BUNSPEC);
		}
	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6616, obj_t BgL_oz00_6617, obj_t BgL_vz00_6618)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 961 */
			{	/* Ast/nodetype.sch 961 */
				BgL_instanceofz00_bglt BgL_oz00_8871;

				BgL_oz00_8871 = ((BgL_instanceofz00_bglt) BgL_oz00_6617);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8871)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6618), BUNSPEC);
			}
		}
	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_558)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 962 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_558)))->BgL_typez00);
		}
	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6619, obj_t BgL_oz00_6620)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 962 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6620))))->BgL_typez00);
		}
	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_559, BgL_typez00_bglt BgL_vz00_560)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 963 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_559)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_560), BUNSPEC);
		}
	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6621,
		obj_t BgL_oz00_6622, obj_t BgL_vz00_6623)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 963 */
			{	/* Ast/nodetype.sch 963 */
				BgL_instanceofz00_bglt BgL_oz00_8874;
				BgL_typez00_bglt BgL_vz00_8875;

				BgL_oz00_8874 = ((BgL_instanceofz00_bglt) BgL_oz00_6622);
				BgL_vz00_8875 = ((BgL_typez00_bglt) BgL_vz00_6623);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8874)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8875), BUNSPEC);
			}
		}
	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_561)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 964 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_561)))->BgL_locz00);
		}
	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_6624,
		obj_t BgL_oz00_6625)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 964 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6625))))->BgL_locz00);
		}
	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1500z00_564,
		BgL_typez00_bglt BgL_type1501z00_565, obj_t BgL_sidezd2effect1502zd2_566,
		obj_t BgL_key1503z00_567, obj_t BgL_exprza21504za2_568,
		obj_t BgL_effect1505z00_569, obj_t BgL_czd2format1506zd2_570)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 968 */
			{	/* Ast/nodetype.sch 968 */
				BgL_castzd2nullzd2_bglt BgL_new1697z00_8877;

				{	/* Ast/nodetype.sch 968 */
					BgL_castzd2nullzd2_bglt BgL_new1696z00_8878;

					BgL_new1696z00_8878 =
						((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 968 */
						long BgL_arg2424z00_8879;

						{	/* Ast/nodetype.sch 968 */
							long BgL_res3238z00_8880;

							{	/* Ast/nodetype.sch 968 */
								obj_t BgL_classz00_8881;

								BgL_classz00_8881 = BGl_castzd2nullzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 968 */
									obj_t BgL_vectorz00_8882;
									int BgL_kz00_8883;

									BgL_vectorz00_8882 = BgL_classz00_8881;
									BgL_kz00_8883 = (int) (((long) 1));
									BgL_res3238z00_8880 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8882, BgL_kz00_8883));
							}}
							BgL_arg2424z00_8879 = BgL_res3238z00_8880;
						}
						{	/* Ast/nodetype.sch 968 */
							BgL_objectz00_bglt BgL_objz00_8884;

							BgL_objz00_8884 = ((BgL_objectz00_bglt) BgL_new1696z00_8878);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8884, BgL_arg2424z00_8879);
					}}
					{	/* Ast/nodetype.sch 968 */
						BgL_objectz00_bglt BgL_auxz00_11707;

						BgL_auxz00_11707 = ((BgL_objectz00_bglt) BgL_new1696z00_8878);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11707, BFALSE);
					}
					BgL_new1697z00_8877 = BgL_new1696z00_8878;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1697z00_8877)))->BgL_locz00) =
					((obj_t) BgL_loc1500z00_564), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1697z00_8877)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1501z00_565), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1697z00_8877)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1502zd2_566), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1697z00_8877)))->BgL_keyz00) =
					((obj_t) BgL_key1503z00_567), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1697z00_8877)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21504za2_568), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1697z00_8877)))->BgL_effectz00) =
					((obj_t) BgL_effect1505z00_569), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1697z00_8877)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1506zd2_570), BUNSPEC);
				return BgL_new1697z00_8877;
			}
		}
	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_6626, obj_t BgL_loc1500z00_6627, obj_t BgL_type1501z00_6628,
		obj_t BgL_sidezd2effect1502zd2_6629, obj_t BgL_key1503z00_6630,
		obj_t BgL_exprza21504za2_6631, obj_t BgL_effect1505z00_6632,
		obj_t BgL_czd2format1506zd2_6633)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 968 */
			{	/* Ast/nodetype.sch 968 */
				BgL_typez00_bglt BgL_type1501z00_8886;
				obj_t BgL_exprza21504za2_8889;
				obj_t BgL_czd2format1506zd2_8891;

				BgL_type1501z00_8886 = ((BgL_typez00_bglt) BgL_type1501z00_6628);
				BgL_exprza21504za2_8889 = BgL_exprza21504za2_6631;
				BgL_czd2format1506zd2_8891 = BgL_czd2format1506zd2_6633;
				{	/* Ast/nodetype.sch 968 */
					BgL_castzd2nullzd2_bglt BgL_new1697z00_8892;

					{	/* Ast/nodetype.sch 968 */
						BgL_castzd2nullzd2_bglt BgL_new1696z00_8893;

						BgL_new1696z00_8893 =
							((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castzd2nullzd2_bgl))));
						{	/* Ast/nodetype.sch 968 */
							long BgL_arg2424z00_8894;

							{	/* Ast/nodetype.sch 968 */
								long BgL_res3238z00_8895;

								{	/* Ast/nodetype.sch 968 */
									obj_t BgL_classz00_8896;

									BgL_classz00_8896 = BGl_castzd2nullzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 968 */
										obj_t BgL_vectorz00_8897;
										int BgL_kz00_8898;

										BgL_vectorz00_8897 = BgL_classz00_8896;
										BgL_kz00_8898 = (int) (((long) 1));
										BgL_res3238z00_8895 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8897,
												BgL_kz00_8898));
								}}
								BgL_arg2424z00_8894 = BgL_res3238z00_8895;
							}
							{	/* Ast/nodetype.sch 968 */
								BgL_objectz00_bglt BgL_objz00_8899;

								BgL_objz00_8899 = ((BgL_objectz00_bglt) BgL_new1696z00_8893);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8899, BgL_arg2424z00_8894);
						}}
						{	/* Ast/nodetype.sch 968 */
							BgL_objectz00_bglt BgL_auxz00_11731;

							BgL_auxz00_11731 = ((BgL_objectz00_bglt) BgL_new1696z00_8893);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11731, BFALSE);
						}
						BgL_new1697z00_8892 = BgL_new1696z00_8893;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1697z00_8892)))->BgL_locz00) =
						((obj_t) BgL_loc1500z00_6627), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1697z00_8892)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1501z00_8886), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1697z00_8892)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1502zd2_6629), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1697z00_8892)))->BgL_keyz00) =
						((obj_t) BgL_key1503z00_6630), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1697z00_8892)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21504za2_8889), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1697z00_8892)))->BgL_effectz00) =
						((obj_t) BgL_effect1505z00_6632), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1697z00_8892)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1506zd2_8891), BUNSPEC);
					return BgL_new1697z00_8892;
				}
			}
		}
	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_571)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 969 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_571,
				BGl_castzd2nullzd2zzast_nodez00);
		}
	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_6634,
		obj_t BgL_objz00_6635)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 969 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6635,
					BGl_castzd2nullzd2zzast_nodez00));
		}
	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 970 */
			{	/* Ast/nodetype.sch 970 */
				obj_t BgL_classz00_4394;

				BgL_classz00_4394 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 970 */
					obj_t BgL__ortest_1090z00_4395;

					BgL__ortest_1090z00_4395 =
						VECTOR_REF(BgL_classz00_4394, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4395))
						{	/* Ast/nodetype.sch 970 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1090z00_4395);
						}
					else
						{	/* Ast/nodetype.sch 970 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4394));
						}
				}
			}
		}
	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6636)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 970 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}
	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_572)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 971 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_572)))->BgL_czd2formatzd2);
		}
	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_6637,
		obj_t BgL_oz00_6638)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 971 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6638))))->BgL_czd2formatzd2);
		}
	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_575)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 973 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_575)))->BgL_effectz00);
		}
	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_6639,
		obj_t BgL_oz00_6640)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 973 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6640))))->BgL_effectz00);
		}
	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_576, obj_t BgL_vz00_577)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 974 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_576)))->BgL_effectz00) =
				((obj_t) BgL_vz00_577), BUNSPEC);
		}
	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6641, obj_t BgL_oz00_6642, obj_t BgL_vz00_6643)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 974 */
			{	/* Ast/nodetype.sch 974 */
				BgL_castzd2nullzd2_bglt BgL_oz00_8903;

				BgL_oz00_8903 = ((BgL_castzd2nullzd2_bglt) BgL_oz00_6642);
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8903)))->BgL_effectz00) =
					((obj_t) BgL_vz00_6643), BUNSPEC);
			}
		}
	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_578)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 975 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_578)))->BgL_exprza2za2);
		}
	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_6644,
		obj_t BgL_oz00_6645)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 975 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6645))))->BgL_exprza2za2);
		}
	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_579, obj_t BgL_vz00_580)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 976 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_579)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_580), BUNSPEC);
		}
	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_6646, obj_t BgL_oz00_6647, obj_t BgL_vz00_6648)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 976 */
			{	/* Ast/nodetype.sch 976 */
				BgL_castzd2nullzd2_bglt BgL_oz00_8906;
				obj_t BgL_vz00_8907;

				BgL_oz00_8906 = ((BgL_castzd2nullzd2_bglt) BgL_oz00_6647);
				BgL_vz00_8907 = BgL_vz00_6648;
				return
					((((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_oz00_8906)))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_8907), BUNSPEC);
			}
		}
	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_581)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 977 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_581)))->BgL_keyz00);
		}
	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_6649,
		obj_t BgL_oz00_6650)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 977 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6650))))->BgL_keyz00);
		}
	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_582, obj_t BgL_vz00_583)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 978 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_582)))->BgL_keyz00) =
				((obj_t) BgL_vz00_583), BUNSPEC);
		}
	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6651,
		obj_t BgL_oz00_6652, obj_t BgL_vz00_6653)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 978 */
			{	/* Ast/nodetype.sch 978 */
				BgL_castzd2nullzd2_bglt BgL_oz00_8909;

				BgL_oz00_8909 = ((BgL_castzd2nullzd2_bglt) BgL_oz00_6652);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8909)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6653), BUNSPEC);
			}
		}
	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_584)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 979 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_584)))->BgL_sidezd2effectzd2);
		}
	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_6654, obj_t BgL_oz00_6655)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 979 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6655))))->
				BgL_sidezd2effectzd2);
		}
	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_585, obj_t BgL_vz00_586)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 980 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_585)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_586), BUNSPEC);
		}
	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6656, obj_t BgL_oz00_6657, obj_t BgL_vz00_6658)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 980 */
			{	/* Ast/nodetype.sch 980 */
				BgL_castzd2nullzd2_bglt BgL_oz00_8912;

				BgL_oz00_8912 = ((BgL_castzd2nullzd2_bglt) BgL_oz00_6657);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_8912)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6658), BUNSPEC);
			}
		}
	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_587)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 981 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_587)))->BgL_typez00);
		}
	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6659, obj_t BgL_oz00_6660)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 981 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6660))))->BgL_typez00);
		}
	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_588, BgL_typez00_bglt BgL_vz00_589)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 982 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_588)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_589), BUNSPEC);
		}
	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6661, obj_t BgL_oz00_6662, obj_t BgL_vz00_6663)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 982 */
			{	/* Ast/nodetype.sch 982 */
				BgL_castzd2nullzd2_bglt BgL_oz00_8915;
				BgL_typez00_bglt BgL_vz00_8916;

				BgL_oz00_8915 = ((BgL_castzd2nullzd2_bglt) BgL_oz00_6662);
				BgL_vz00_8916 = ((BgL_typez00_bglt) BgL_vz00_6663);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8915)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8916), BUNSPEC);
			}
		}
	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_590)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 983 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_590)))->BgL_locz00);
		}
	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_6664,
		obj_t BgL_oz00_6665)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 983 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6665))))->BgL_locz00);
		}
	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1496z00_593, BgL_typez00_bglt BgL_type1497z00_594,
		BgL_nodez00_bglt BgL_arg1498z00_595)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 987 */
			{	/* Ast/nodetype.sch 987 */
				BgL_castz00_bglt BgL_new1713z00_8918;

				{	/* Ast/nodetype.sch 987 */
					BgL_castz00_bglt BgL_new1712z00_8919;

					BgL_new1712z00_8919 =
						((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 987 */
						long BgL_arg2425z00_8920;

						{	/* Ast/nodetype.sch 987 */
							long BgL_res3239z00_8921;

							{	/* Ast/nodetype.sch 987 */
								obj_t BgL_classz00_8922;

								BgL_classz00_8922 = BGl_castz00zzast_nodez00;
								{	/* Ast/nodetype.sch 987 */
									obj_t BgL_vectorz00_8923;
									int BgL_kz00_8924;

									BgL_vectorz00_8923 = BgL_classz00_8922;
									BgL_kz00_8924 = (int) (((long) 1));
									BgL_res3239z00_8921 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8923, BgL_kz00_8924));
							}}
							BgL_arg2425z00_8920 = BgL_res3239z00_8921;
						}
						{	/* Ast/nodetype.sch 987 */
							BgL_objectz00_bglt BgL_objz00_8925;

							BgL_objz00_8925 = ((BgL_objectz00_bglt) BgL_new1712z00_8919);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8925, BgL_arg2425z00_8920);
					}}
					{	/* Ast/nodetype.sch 987 */
						BgL_objectz00_bglt BgL_auxz00_11826;

						BgL_auxz00_11826 = ((BgL_objectz00_bglt) BgL_new1712z00_8919);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11826, BFALSE);
					}
					BgL_new1713z00_8918 = BgL_new1712z00_8919;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1713z00_8918)))->BgL_locz00) =
					((obj_t) BgL_loc1496z00_593), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1713z00_8918)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1497z00_594), BUNSPEC);
				((((BgL_castz00_bglt) CREF(BgL_new1713z00_8918))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1498z00_595), BUNSPEC);
				return BgL_new1713z00_8918;
			}
		}
	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_6666,
		obj_t BgL_loc1496z00_6667, obj_t BgL_type1497z00_6668,
		obj_t BgL_arg1498z00_6669)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 987 */
			{	/* Ast/nodetype.sch 987 */
				BgL_typez00_bglt BgL_type1497z00_8927;
				BgL_nodez00_bglt BgL_arg1498z00_8928;

				BgL_type1497z00_8927 = ((BgL_typez00_bglt) BgL_type1497z00_6668);
				BgL_arg1498z00_8928 = ((BgL_nodez00_bglt) BgL_arg1498z00_6669);
				{	/* Ast/nodetype.sch 987 */
					BgL_castz00_bglt BgL_new1713z00_8929;

					{	/* Ast/nodetype.sch 987 */
						BgL_castz00_bglt BgL_new1712z00_8930;

						BgL_new1712z00_8930 =
							((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castz00_bgl))));
						{	/* Ast/nodetype.sch 987 */
							long BgL_arg2425z00_8931;

							{	/* Ast/nodetype.sch 987 */
								long BgL_res3239z00_8932;

								{	/* Ast/nodetype.sch 987 */
									obj_t BgL_classz00_8933;

									BgL_classz00_8933 = BGl_castz00zzast_nodez00;
									{	/* Ast/nodetype.sch 987 */
										obj_t BgL_vectorz00_8934;
										int BgL_kz00_8935;

										BgL_vectorz00_8934 = BgL_classz00_8933;
										BgL_kz00_8935 = (int) (((long) 1));
										BgL_res3239z00_8932 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8934,
												BgL_kz00_8935));
								}}
								BgL_arg2425z00_8931 = BgL_res3239z00_8932;
							}
							{	/* Ast/nodetype.sch 987 */
								BgL_objectz00_bglt BgL_objz00_8936;

								BgL_objz00_8936 = ((BgL_objectz00_bglt) BgL_new1712z00_8930);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8936, BgL_arg2425z00_8931);
						}}
						{	/* Ast/nodetype.sch 987 */
							BgL_objectz00_bglt BgL_auxz00_11842;

							BgL_auxz00_11842 = ((BgL_objectz00_bglt) BgL_new1712z00_8930);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11842, BFALSE);
						}
						BgL_new1713z00_8929 = BgL_new1712z00_8930;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1713z00_8929)))->BgL_locz00) =
						((obj_t) BgL_loc1496z00_6667), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1713z00_8929)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1497z00_8927), BUNSPEC);
					((((BgL_castz00_bglt) CREF(BgL_new1713z00_8929))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1498z00_8928), BUNSPEC);
					return BgL_new1713z00_8929;
				}
			}
		}
	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_596)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 988 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_596, BGl_castz00zzast_nodez00);
		}
	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_6670,
		obj_t BgL_objz00_6671)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 988 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6671,
					BGl_castz00zzast_nodez00));
		}
	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 989 */
			{	/* Ast/nodetype.sch 989 */
				obj_t BgL_classz00_4419;

				BgL_classz00_4419 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 989 */
					obj_t BgL__ortest_1090z00_4420;

					BgL__ortest_1090z00_4420 =
						VECTOR_REF(BgL_classz00_4419, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4420))
						{	/* Ast/nodetype.sch 989 */
							return ((BgL_castz00_bglt) BgL__ortest_1090z00_4420);
						}
					else
						{	/* Ast/nodetype.sch 989 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4419));
						}
				}
			}
		}
	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6672)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 989 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}
	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_597)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 990 */
			return (((BgL_castz00_bglt) CREF(BgL_oz00_597))->BgL_argz00);
		}
	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_6673,
		obj_t BgL_oz00_6674)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 990 */
			return
				(((BgL_castz00_bglt) CREF(
						((BgL_castz00_bglt) BgL_oz00_6674)))->BgL_argz00);
		}
	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_598,
		BgL_nodez00_bglt BgL_vz00_599)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 991 */
			return
				((((BgL_castz00_bglt) CREF(BgL_oz00_598))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_599), BUNSPEC);
		}
	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6675,
		obj_t BgL_oz00_6676, obj_t BgL_vz00_6677)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 991 */
			{	/* Ast/nodetype.sch 991 */
				BgL_castz00_bglt BgL_oz00_8939;
				BgL_nodez00_bglt BgL_vz00_8940;

				BgL_oz00_8939 = ((BgL_castz00_bglt) BgL_oz00_6676);
				BgL_vz00_8940 = ((BgL_nodez00_bglt) BgL_vz00_6677);
				return
					((((BgL_castz00_bglt) CREF(BgL_oz00_8939))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_vz00_8940), BUNSPEC);
			}
		}
	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_600)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 992 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_600)))->BgL_typez00);
		}
	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_6678,
		obj_t BgL_oz00_6679)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 992 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castz00_bglt) BgL_oz00_6679))))->BgL_typez00);
		}
	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_601,
		BgL_typez00_bglt BgL_vz00_602)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 993 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_601)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_602), BUNSPEC);
		}
	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6680,
		obj_t BgL_oz00_6681, obj_t BgL_vz00_6682)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 993 */
			{	/* Ast/nodetype.sch 993 */
				BgL_castz00_bglt BgL_oz00_8942;
				BgL_typez00_bglt BgL_vz00_8943;

				BgL_oz00_8942 = ((BgL_castz00_bglt) BgL_oz00_6681);
				BgL_vz00_8943 = ((BgL_typez00_bglt) BgL_vz00_6682);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8942)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8943), BUNSPEC);
			}
		}
	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_603)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 994 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_603)))->BgL_locz00);
		}
	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 994 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castz00_bglt) BgL_oz00_6684))))->BgL_locz00);
		}
	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1491z00_606, BgL_typez00_bglt BgL_type1492z00_607,
		BgL_varz00_bglt BgL_var1493z00_608, BgL_nodez00_bglt BgL_value1494z00_609)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 998 */
			{	/* Ast/nodetype.sch 998 */
				BgL_setqz00_bglt BgL_new1721z00_8945;

				{	/* Ast/nodetype.sch 998 */
					BgL_setqz00_bglt BgL_new1720z00_8946;

					BgL_new1720z00_8946 =
						((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 998 */
						long BgL_arg2426z00_8947;

						{	/* Ast/nodetype.sch 998 */
							long BgL_res3240z00_8948;

							{	/* Ast/nodetype.sch 998 */
								obj_t BgL_classz00_8949;

								BgL_classz00_8949 = BGl_setqz00zzast_nodez00;
								{	/* Ast/nodetype.sch 998 */
									obj_t BgL_vectorz00_8950;
									int BgL_kz00_8951;

									BgL_vectorz00_8950 = BgL_classz00_8949;
									BgL_kz00_8951 = (int) (((long) 1));
									BgL_res3240z00_8948 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8950, BgL_kz00_8951));
							}}
							BgL_arg2426z00_8947 = BgL_res3240z00_8948;
						}
						{	/* Ast/nodetype.sch 998 */
							BgL_objectz00_bglt BgL_objz00_8952;

							BgL_objz00_8952 = ((BgL_objectz00_bglt) BgL_new1720z00_8946);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8952, BgL_arg2426z00_8947);
					}}
					{	/* Ast/nodetype.sch 998 */
						BgL_objectz00_bglt BgL_auxz00_11890;

						BgL_auxz00_11890 = ((BgL_objectz00_bglt) BgL_new1720z00_8946);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11890, BFALSE);
					}
					BgL_new1721z00_8945 = BgL_new1720z00_8946;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1721z00_8945)))->BgL_locz00) =
					((obj_t) BgL_loc1491z00_606), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1721z00_8945)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1492z00_607), BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1721z00_8945))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1493z00_608), BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1721z00_8945))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1494z00_609), BUNSPEC);
				return BgL_new1721z00_8945;
			}
		}
	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_6685,
		obj_t BgL_loc1491z00_6686, obj_t BgL_type1492z00_6687,
		obj_t BgL_var1493z00_6688, obj_t BgL_value1494z00_6689)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 998 */
			{	/* Ast/nodetype.sch 998 */
				BgL_typez00_bglt BgL_type1492z00_8954;
				BgL_varz00_bglt BgL_var1493z00_8955;
				BgL_nodez00_bglt BgL_value1494z00_8956;

				BgL_type1492z00_8954 = ((BgL_typez00_bglt) BgL_type1492z00_6687);
				BgL_var1493z00_8955 = ((BgL_varz00_bglt) BgL_var1493z00_6688);
				BgL_value1494z00_8956 = ((BgL_nodez00_bglt) BgL_value1494z00_6689);
				{	/* Ast/nodetype.sch 998 */
					BgL_setqz00_bglt BgL_new1721z00_8957;

					{	/* Ast/nodetype.sch 998 */
						BgL_setqz00_bglt BgL_new1720z00_8958;

						BgL_new1720z00_8958 =
							((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setqz00_bgl))));
						{	/* Ast/nodetype.sch 998 */
							long BgL_arg2426z00_8959;

							{	/* Ast/nodetype.sch 998 */
								long BgL_res3240z00_8960;

								{	/* Ast/nodetype.sch 998 */
									obj_t BgL_classz00_8961;

									BgL_classz00_8961 = BGl_setqz00zzast_nodez00;
									{	/* Ast/nodetype.sch 998 */
										obj_t BgL_vectorz00_8962;
										int BgL_kz00_8963;

										BgL_vectorz00_8962 = BgL_classz00_8961;
										BgL_kz00_8963 = (int) (((long) 1));
										BgL_res3240z00_8960 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8962,
												BgL_kz00_8963));
								}}
								BgL_arg2426z00_8959 = BgL_res3240z00_8960;
							}
							{	/* Ast/nodetype.sch 998 */
								BgL_objectz00_bglt BgL_objz00_8964;

								BgL_objz00_8964 = ((BgL_objectz00_bglt) BgL_new1720z00_8958);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8964, BgL_arg2426z00_8959);
						}}
						{	/* Ast/nodetype.sch 998 */
							BgL_objectz00_bglt BgL_auxz00_11908;

							BgL_auxz00_11908 = ((BgL_objectz00_bglt) BgL_new1720z00_8958);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11908, BFALSE);
						}
						BgL_new1721z00_8957 = BgL_new1720z00_8958;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1721z00_8957)))->BgL_locz00) =
						((obj_t) BgL_loc1491z00_6686), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1721z00_8957)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1492z00_8954), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new1721z00_8957))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1493z00_8955), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new1721z00_8957))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1494z00_8956), BUNSPEC);
					return BgL_new1721z00_8957;
				}
			}
		}
	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_610)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 999 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_610, BGl_setqz00zzast_nodez00);
		}
	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_6690,
		obj_t BgL_objz00_6691)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 999 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6691,
					BGl_setqz00zzast_nodez00));
		}
	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1000 */
			{	/* Ast/nodetype.sch 1000 */
				obj_t BgL_classz00_4437;

				BgL_classz00_4437 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1000 */
					obj_t BgL__ortest_1090z00_4438;

					BgL__ortest_1090z00_4438 =
						VECTOR_REF(BgL_classz00_4437, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4438))
						{	/* Ast/nodetype.sch 1000 */
							return ((BgL_setqz00_bglt) BgL__ortest_1090z00_4438);
						}
					else
						{	/* Ast/nodetype.sch 1000 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4437));
						}
				}
			}
		}
	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6692)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1000 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}
	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_611)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1001 */
			return (((BgL_setqz00_bglt) CREF(BgL_oz00_611))->BgL_valuez00);
		}
	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6693,
		obj_t BgL_oz00_6694)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1001 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_6694)))->BgL_valuez00);
		}
	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_612,
		BgL_nodez00_bglt BgL_vz00_613)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1002 */
			return
				((((BgL_setqz00_bglt) CREF(BgL_oz00_612))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_613), BUNSPEC);
		}
	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6695,
		obj_t BgL_oz00_6696, obj_t BgL_vz00_6697)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1002 */
			{	/* Ast/nodetype.sch 1002 */
				BgL_setqz00_bglt BgL_oz00_8967;
				BgL_nodez00_bglt BgL_vz00_8968;

				BgL_oz00_8967 = ((BgL_setqz00_bglt) BgL_oz00_6696);
				BgL_vz00_8968 = ((BgL_nodez00_bglt) BgL_vz00_6697);
				return
					((((BgL_setqz00_bglt) CREF(BgL_oz00_8967))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_8968), BUNSPEC);
			}
		}
	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_614)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1003 */
			return (((BgL_setqz00_bglt) CREF(BgL_oz00_614))->BgL_varz00);
		}
	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_6698,
		obj_t BgL_oz00_6699)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1003 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_6699)))->BgL_varz00);
		}
	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_615,
		BgL_varz00_bglt BgL_vz00_616)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1004 */
			return
				((((BgL_setqz00_bglt) CREF(BgL_oz00_615))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_616), BUNSPEC);
		}
	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6700,
		obj_t BgL_oz00_6701, obj_t BgL_vz00_6702)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1004 */
			{	/* Ast/nodetype.sch 1004 */
				BgL_setqz00_bglt BgL_oz00_8970;
				BgL_varz00_bglt BgL_vz00_8971;

				BgL_oz00_8970 = ((BgL_setqz00_bglt) BgL_oz00_6701);
				BgL_vz00_8971 = ((BgL_varz00_bglt) BgL_vz00_6702);
				return
					((((BgL_setqz00_bglt) CREF(BgL_oz00_8970))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_8971), BUNSPEC);
			}
		}
	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_617)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1005 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_617)))->BgL_typez00);
		}
	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_6703,
		obj_t BgL_oz00_6704)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1005 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setqz00_bglt) BgL_oz00_6704))))->BgL_typez00);
		}
	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_618,
		BgL_typez00_bglt BgL_vz00_619)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1006 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_618)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_619), BUNSPEC);
		}
	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6705,
		obj_t BgL_oz00_6706, obj_t BgL_vz00_6707)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1006 */
			{	/* Ast/nodetype.sch 1006 */
				BgL_setqz00_bglt BgL_oz00_8973;
				BgL_typez00_bglt BgL_vz00_8974;

				BgL_oz00_8973 = ((BgL_setqz00_bglt) BgL_oz00_6706);
				BgL_vz00_8974 = ((BgL_typez00_bglt) BgL_vz00_6707);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_8973)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_8974), BUNSPEC);
			}
		}
	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_620)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1007 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_620)))->BgL_locz00);
		}
	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_6708,
		obj_t BgL_oz00_6709)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1007 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setqz00_bglt) BgL_oz00_6709))))->BgL_locz00);
		}
	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1483z00_623,
		BgL_typez00_bglt BgL_type1484z00_624, obj_t BgL_sidezd2effect1485zd2_625,
		obj_t BgL_key1486z00_626, BgL_nodez00_bglt BgL_test1487z00_627,
		BgL_nodez00_bglt BgL_true1488z00_628, BgL_nodez00_bglt BgL_false1489z00_629)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1011 */
			{	/* Ast/nodetype.sch 1011 */
				BgL_conditionalz00_bglt BgL_new1731z00_8976;

				{	/* Ast/nodetype.sch 1011 */
					BgL_conditionalz00_bglt BgL_new1730z00_8977;

					BgL_new1730z00_8977 =
						((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1011 */
						long BgL_arg2427z00_8978;

						{	/* Ast/nodetype.sch 1011 */
							long BgL_res3241z00_8979;

							{	/* Ast/nodetype.sch 1011 */
								obj_t BgL_classz00_8980;

								BgL_classz00_8980 = BGl_conditionalz00zzast_nodez00;
								{	/* Ast/nodetype.sch 1011 */
									obj_t BgL_vectorz00_8981;
									int BgL_kz00_8982;

									BgL_vectorz00_8981 = BgL_classz00_8980;
									BgL_kz00_8982 = (int) (((long) 1));
									BgL_res3241z00_8979 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_8981, BgL_kz00_8982));
							}}
							BgL_arg2427z00_8978 = BgL_res3241z00_8979;
						}
						{	/* Ast/nodetype.sch 1011 */
							BgL_objectz00_bglt BgL_objz00_8983;

							BgL_objz00_8983 = ((BgL_objectz00_bglt) BgL_new1730z00_8977);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8983, BgL_arg2427z00_8978);
					}}
					{	/* Ast/nodetype.sch 1011 */
						BgL_objectz00_bglt BgL_auxz00_11964;

						BgL_auxz00_11964 = ((BgL_objectz00_bglt) BgL_new1730z00_8977);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11964, BFALSE);
					}
					BgL_new1731z00_8976 = BgL_new1730z00_8977;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1731z00_8976)))->BgL_locz00) =
					((obj_t) BgL_loc1483z00_623), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1731z00_8976)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1484z00_624), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1731z00_8976)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1485zd2_625), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1731z00_8976)))->BgL_keyz00) =
					((obj_t) BgL_key1486z00_626), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8976))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1487z00_627), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8976))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_true1488z00_628), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8976))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_false1489z00_629), BUNSPEC);
				return BgL_new1731z00_8976;
			}
		}
	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_6710, obj_t BgL_loc1483z00_6711, obj_t BgL_type1484z00_6712,
		obj_t BgL_sidezd2effect1485zd2_6713, obj_t BgL_key1486z00_6714,
		obj_t BgL_test1487z00_6715, obj_t BgL_true1488z00_6716,
		obj_t BgL_false1489z00_6717)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1011 */
			{	/* Ast/nodetype.sch 1011 */
				BgL_typez00_bglt BgL_type1484z00_8985;
				BgL_nodez00_bglt BgL_test1487z00_8988;
				BgL_nodez00_bglt BgL_true1488z00_8989;
				BgL_nodez00_bglt BgL_false1489z00_8990;

				BgL_type1484z00_8985 = ((BgL_typez00_bglt) BgL_type1484z00_6712);
				BgL_test1487z00_8988 = ((BgL_nodez00_bglt) BgL_test1487z00_6715);
				BgL_true1488z00_8989 = ((BgL_nodez00_bglt) BgL_true1488z00_6716);
				BgL_false1489z00_8990 = ((BgL_nodez00_bglt) BgL_false1489z00_6717);
				{	/* Ast/nodetype.sch 1011 */
					BgL_conditionalz00_bglt BgL_new1731z00_8991;

					{	/* Ast/nodetype.sch 1011 */
						BgL_conditionalz00_bglt BgL_new1730z00_8992;

						BgL_new1730z00_8992 =
							((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_conditionalz00_bgl))));
						{	/* Ast/nodetype.sch 1011 */
							long BgL_arg2427z00_8993;

							{	/* Ast/nodetype.sch 1011 */
								long BgL_res3241z00_8994;

								{	/* Ast/nodetype.sch 1011 */
									obj_t BgL_classz00_8995;

									BgL_classz00_8995 = BGl_conditionalz00zzast_nodez00;
									{	/* Ast/nodetype.sch 1011 */
										obj_t BgL_vectorz00_8996;
										int BgL_kz00_8997;

										BgL_vectorz00_8996 = BgL_classz00_8995;
										BgL_kz00_8997 = (int) (((long) 1));
										BgL_res3241z00_8994 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_8996,
												BgL_kz00_8997));
								}}
								BgL_arg2427z00_8993 = BgL_res3241z00_8994;
							}
							{	/* Ast/nodetype.sch 1011 */
								BgL_objectz00_bglt BgL_objz00_8998;

								BgL_objz00_8998 = ((BgL_objectz00_bglt) BgL_new1730z00_8992);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_8998, BgL_arg2427z00_8993);
						}}
						{	/* Ast/nodetype.sch 1011 */
							BgL_objectz00_bglt BgL_auxz00_11988;

							BgL_auxz00_11988 = ((BgL_objectz00_bglt) BgL_new1730z00_8992);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11988, BFALSE);
						}
						BgL_new1731z00_8991 = BgL_new1730z00_8992;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1731z00_8991)))->BgL_locz00) =
						((obj_t) BgL_loc1483z00_6711), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1731z00_8991)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1484z00_8985), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1731z00_8991)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1485zd2_6713), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1731z00_8991)))->BgL_keyz00) =
						((obj_t) BgL_key1486z00_6714), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8991))->
							BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1487z00_8988), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8991))->
							BgL_truez00) =
						((BgL_nodez00_bglt) BgL_true1488z00_8989), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1731z00_8991))->
							BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_false1489z00_8990), BUNSPEC);
					return BgL_new1731z00_8991;
				}
			}
		}
	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_630)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1012 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_630,
				BGl_conditionalz00zzast_nodez00);
		}
	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_6718,
		obj_t BgL_objz00_6719)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1012 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6719,
					BGl_conditionalz00zzast_nodez00));
		}
	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1013 */
			{	/* Ast/nodetype.sch 1013 */
				obj_t BgL_classz00_4457;

				BgL_classz00_4457 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1013 */
					obj_t BgL__ortest_1090z00_4458;

					BgL__ortest_1090z00_4458 =
						VECTOR_REF(BgL_classz00_4457, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4458))
						{	/* Ast/nodetype.sch 1013 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1090z00_4458);
						}
					else
						{	/* Ast/nodetype.sch 1013 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4457));
						}
				}
			}
		}
	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6720)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1013 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}
	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_631)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1014 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_631))->BgL_falsez00);
		}
	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_6721, obj_t BgL_oz00_6722)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1014 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6722)))->BgL_falsez00);
		}
	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_632, BgL_nodez00_bglt BgL_vz00_633)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1015 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_632))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_633), BUNSPEC);
		}
	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6723, obj_t BgL_oz00_6724, obj_t BgL_vz00_6725)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1015 */
			{	/* Ast/nodetype.sch 1015 */
				BgL_conditionalz00_bglt BgL_oz00_9001;
				BgL_nodez00_bglt BgL_vz00_9002;

				BgL_oz00_9001 = ((BgL_conditionalz00_bglt) BgL_oz00_6724);
				BgL_vz00_9002 = ((BgL_nodez00_bglt) BgL_vz00_6725);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9001))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_vz00_9002), BUNSPEC);
			}
		}
	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_634)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1016 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_634))->BgL_truez00);
		}
	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_6726, obj_t BgL_oz00_6727)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1016 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6727)))->BgL_truez00);
		}
	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_635, BgL_nodez00_bglt BgL_vz00_636)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1017 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_635))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_636), BUNSPEC);
		}
	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6728, obj_t BgL_oz00_6729, obj_t BgL_vz00_6730)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1017 */
			{	/* Ast/nodetype.sch 1017 */
				BgL_conditionalz00_bglt BgL_oz00_9004;
				BgL_nodez00_bglt BgL_vz00_9005;

				BgL_oz00_9004 = ((BgL_conditionalz00_bglt) BgL_oz00_6729);
				BgL_vz00_9005 = ((BgL_nodez00_bglt) BgL_vz00_6730);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9004))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_vz00_9005), BUNSPEC);
			}
		}
	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_637)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1018 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_637))->BgL_testz00);
		}
	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_6731, obj_t BgL_oz00_6732)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1018 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6732)))->BgL_testz00);
		}
	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_638, BgL_nodez00_bglt BgL_vz00_639)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1019 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_638))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_639), BUNSPEC);
		}
	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6733, obj_t BgL_oz00_6734, obj_t BgL_vz00_6735)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1019 */
			{	/* Ast/nodetype.sch 1019 */
				BgL_conditionalz00_bglt BgL_oz00_9007;
				BgL_nodez00_bglt BgL_vz00_9008;

				BgL_oz00_9007 = ((BgL_conditionalz00_bglt) BgL_oz00_6734);
				BgL_vz00_9008 = ((BgL_nodez00_bglt) BgL_vz00_6735);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9007))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_vz00_9008), BUNSPEC);
			}
		}
	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_640)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1020 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_640)))->BgL_keyz00);
		}
	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6736,
		obj_t BgL_oz00_6737)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1020 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6737))))->BgL_keyz00);
		}
	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_641, obj_t BgL_vz00_642)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1021 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_641)))->BgL_keyz00) =
				((obj_t) BgL_vz00_642), BUNSPEC);
		}
	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6738,
		obj_t BgL_oz00_6739, obj_t BgL_vz00_6740)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1021 */
			{	/* Ast/nodetype.sch 1021 */
				BgL_conditionalz00_bglt BgL_oz00_9010;

				BgL_oz00_9010 = ((BgL_conditionalz00_bglt) BgL_oz00_6739);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9010)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6740), BUNSPEC);
			}
		}
	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_643)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1022 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_643)))->BgL_sidezd2effectzd2);
		}
	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_6741, obj_t BgL_oz00_6742)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1022 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6742))))->
				BgL_sidezd2effectzd2);
		}
	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_644, obj_t BgL_vz00_645)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1023 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_644)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_645), BUNSPEC);
		}
	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6743, obj_t BgL_oz00_6744, obj_t BgL_vz00_6745)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1023 */
			{	/* Ast/nodetype.sch 1023 */
				BgL_conditionalz00_bglt BgL_oz00_9013;

				BgL_oz00_9013 = ((BgL_conditionalz00_bglt) BgL_oz00_6744);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9013)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6745), BUNSPEC);
			}
		}
	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_646)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_646)))->BgL_typez00);
		}
	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6746, obj_t BgL_oz00_6747)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6747))))->BgL_typez00);
		}
	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_647, BgL_typez00_bglt BgL_vz00_648)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1025 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_647)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_648), BUNSPEC);
		}
	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6748, obj_t BgL_oz00_6749, obj_t BgL_vz00_6750)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1025 */
			{	/* Ast/nodetype.sch 1025 */
				BgL_conditionalz00_bglt BgL_oz00_9016;
				BgL_typez00_bglt BgL_vz00_9017;

				BgL_oz00_9016 = ((BgL_conditionalz00_bglt) BgL_oz00_6749);
				BgL_vz00_9017 = ((BgL_typez00_bglt) BgL_vz00_6750);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9016)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9017), BUNSPEC);
			}
		}
	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_649)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1026 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_649)))->BgL_locz00);
		}
	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_6751,
		obj_t BgL_oz00_6752)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1026 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6752))))->BgL_locz00);
		}
	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1477z00_652, BgL_typez00_bglt BgL_type1478z00_653,
		BgL_nodez00_bglt BgL_proc1479z00_654, BgL_nodez00_bglt BgL_msg1480z00_655,
		BgL_nodez00_bglt BgL_obj1481z00_656)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1030 */
			{	/* Ast/nodetype.sch 1030 */
				BgL_failz00_bglt BgL_new1747z00_9019;

				{	/* Ast/nodetype.sch 1030 */
					BgL_failz00_bglt BgL_new1746z00_9020;

					BgL_new1746z00_9020 =
						((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1030 */
						long BgL_arg2428z00_9021;

						{	/* Ast/nodetype.sch 1030 */
							long BgL_res3242z00_9022;

							{	/* Ast/nodetype.sch 1030 */
								obj_t BgL_classz00_9023;

								BgL_classz00_9023 = BGl_failz00zzast_nodez00;
								{	/* Ast/nodetype.sch 1030 */
									obj_t BgL_vectorz00_9024;
									int BgL_kz00_9025;

									BgL_vectorz00_9024 = BgL_classz00_9023;
									BgL_kz00_9025 = (int) (((long) 1));
									BgL_res3242z00_9022 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9024, BgL_kz00_9025));
							}}
							BgL_arg2428z00_9021 = BgL_res3242z00_9022;
						}
						{	/* Ast/nodetype.sch 1030 */
							BgL_objectz00_bglt BgL_objz00_9026;

							BgL_objz00_9026 = ((BgL_objectz00_bglt) BgL_new1746z00_9020);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9026, BgL_arg2428z00_9021);
					}}
					{	/* Ast/nodetype.sch 1030 */
						BgL_objectz00_bglt BgL_auxz00_12076;

						BgL_auxz00_12076 = ((BgL_objectz00_bglt) BgL_new1746z00_9020);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12076, BFALSE);
					}
					BgL_new1747z00_9019 = BgL_new1746z00_9020;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1747z00_9019)))->BgL_locz00) =
					((obj_t) BgL_loc1477z00_652), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1747z00_9019)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1478z00_653), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1747z00_9019))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1479z00_654), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1747z00_9019))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1480z00_655), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1747z00_9019))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1481z00_656), BUNSPEC);
				return BgL_new1747z00_9019;
			}
		}
	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_6753,
		obj_t BgL_loc1477z00_6754, obj_t BgL_type1478z00_6755,
		obj_t BgL_proc1479z00_6756, obj_t BgL_msg1480z00_6757,
		obj_t BgL_obj1481z00_6758)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1030 */
			{	/* Ast/nodetype.sch 1030 */
				BgL_typez00_bglt BgL_type1478z00_9028;
				BgL_nodez00_bglt BgL_proc1479z00_9029;
				BgL_nodez00_bglt BgL_msg1480z00_9030;
				BgL_nodez00_bglt BgL_obj1481z00_9031;

				BgL_type1478z00_9028 = ((BgL_typez00_bglt) BgL_type1478z00_6755);
				BgL_proc1479z00_9029 = ((BgL_nodez00_bglt) BgL_proc1479z00_6756);
				BgL_msg1480z00_9030 = ((BgL_nodez00_bglt) BgL_msg1480z00_6757);
				BgL_obj1481z00_9031 = ((BgL_nodez00_bglt) BgL_obj1481z00_6758);
				{	/* Ast/nodetype.sch 1030 */
					BgL_failz00_bglt BgL_new1747z00_9032;

					{	/* Ast/nodetype.sch 1030 */
						BgL_failz00_bglt BgL_new1746z00_9033;

						BgL_new1746z00_9033 =
							((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_failz00_bgl))));
						{	/* Ast/nodetype.sch 1030 */
							long BgL_arg2428z00_9034;

							{	/* Ast/nodetype.sch 1030 */
								long BgL_res3242z00_9035;

								{	/* Ast/nodetype.sch 1030 */
									obj_t BgL_classz00_9036;

									BgL_classz00_9036 = BGl_failz00zzast_nodez00;
									{	/* Ast/nodetype.sch 1030 */
										obj_t BgL_vectorz00_9037;
										int BgL_kz00_9038;

										BgL_vectorz00_9037 = BgL_classz00_9036;
										BgL_kz00_9038 = (int) (((long) 1));
										BgL_res3242z00_9035 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9037,
												BgL_kz00_9038));
								}}
								BgL_arg2428z00_9034 = BgL_res3242z00_9035;
							}
							{	/* Ast/nodetype.sch 1030 */
								BgL_objectz00_bglt BgL_objz00_9039;

								BgL_objz00_9039 = ((BgL_objectz00_bglt) BgL_new1746z00_9033);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9039, BgL_arg2428z00_9034);
						}}
						{	/* Ast/nodetype.sch 1030 */
							BgL_objectz00_bglt BgL_auxz00_12096;

							BgL_auxz00_12096 = ((BgL_objectz00_bglt) BgL_new1746z00_9033);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12096, BFALSE);
						}
						BgL_new1747z00_9032 = BgL_new1746z00_9033;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1747z00_9032)))->BgL_locz00) =
						((obj_t) BgL_loc1477z00_6754), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1747z00_9032)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1478z00_9028), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new1747z00_9032))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_proc1479z00_9029), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new1747z00_9032))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_msg1480z00_9030), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new1747z00_9032))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_obj1481z00_9031), BUNSPEC);
					return BgL_new1747z00_9032;
				}
			}
		}
	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_657)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1031 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_657, BGl_failz00zzast_nodez00);
		}
	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_6759,
		obj_t BgL_objz00_6760)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1031 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6760,
					BGl_failz00zzast_nodez00));
		}
	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1032 */
			{	/* Ast/nodetype.sch 1032 */
				obj_t BgL_classz00_4483;

				BgL_classz00_4483 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1032 */
					obj_t BgL__ortest_1090z00_4484;

					BgL__ortest_1090z00_4484 =
						VECTOR_REF(BgL_classz00_4483, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4484))
						{	/* Ast/nodetype.sch 1032 */
							return ((BgL_failz00_bglt) BgL__ortest_1090z00_4484);
						}
					else
						{	/* Ast/nodetype.sch 1032 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4483));
						}
				}
			}
		}
	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6761)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1032 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}
	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_658)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1033 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_658))->BgL_objz00);
		}
	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_6762,
		obj_t BgL_oz00_6763)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1033 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6763)))->BgL_objz00);
		}
	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_659,
		BgL_nodez00_bglt BgL_vz00_660)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1034 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_659))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_660), BUNSPEC);
		}
	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6764,
		obj_t BgL_oz00_6765, obj_t BgL_vz00_6766)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1034 */
			{	/* Ast/nodetype.sch 1034 */
				BgL_failz00_bglt BgL_oz00_9042;
				BgL_nodez00_bglt BgL_vz00_9043;

				BgL_oz00_9042 = ((BgL_failz00_bglt) BgL_oz00_6765);
				BgL_vz00_9043 = ((BgL_nodez00_bglt) BgL_vz00_6766);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9042))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_vz00_9043), BUNSPEC);
			}
		}
	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_661)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1035 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_661))->BgL_msgz00);
		}
	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_6767,
		obj_t BgL_oz00_6768)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1035 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6768)))->BgL_msgz00);
		}
	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_662,
		BgL_nodez00_bglt BgL_vz00_663)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1036 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_662))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_663), BUNSPEC);
		}
	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6769,
		obj_t BgL_oz00_6770, obj_t BgL_vz00_6771)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1036 */
			{	/* Ast/nodetype.sch 1036 */
				BgL_failz00_bglt BgL_oz00_9045;
				BgL_nodez00_bglt BgL_vz00_9046;

				BgL_oz00_9045 = ((BgL_failz00_bglt) BgL_oz00_6770);
				BgL_vz00_9046 = ((BgL_nodez00_bglt) BgL_vz00_6771);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9045))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_vz00_9046), BUNSPEC);
			}
		}
	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_664)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1037 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_664))->BgL_procz00);
		}
	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_6772,
		obj_t BgL_oz00_6773)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1037 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6773)))->BgL_procz00);
		}
	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_665,
		BgL_nodez00_bglt BgL_vz00_666)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1038 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_665))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_666), BUNSPEC);
		}
	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775, obj_t BgL_vz00_6776)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1038 */
			{	/* Ast/nodetype.sch 1038 */
				BgL_failz00_bglt BgL_oz00_9048;
				BgL_nodez00_bglt BgL_vz00_9049;

				BgL_oz00_9048 = ((BgL_failz00_bglt) BgL_oz00_6775);
				BgL_vz00_9049 = ((BgL_nodez00_bglt) BgL_vz00_6776);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9048))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_vz00_9049), BUNSPEC);
			}
		}
	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_667)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1039 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_667)))->BgL_typez00);
		}
	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_6777,
		obj_t BgL_oz00_6778)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1039 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_failz00_bglt) BgL_oz00_6778))))->BgL_typez00);
		}
	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_668,
		BgL_typez00_bglt BgL_vz00_669)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1040 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_668)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_669), BUNSPEC);
		}
	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6779,
		obj_t BgL_oz00_6780, obj_t BgL_vz00_6781)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1040 */
			{	/* Ast/nodetype.sch 1040 */
				BgL_failz00_bglt BgL_oz00_9051;
				BgL_typez00_bglt BgL_vz00_9052;

				BgL_oz00_9051 = ((BgL_failz00_bglt) BgL_oz00_6780);
				BgL_vz00_9052 = ((BgL_typez00_bglt) BgL_vz00_6781);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9051)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9052), BUNSPEC);
			}
		}
	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_670)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1041 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_670)))->BgL_locz00);
		}
	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_6782,
		obj_t BgL_oz00_6783)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1041 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_failz00_bglt) BgL_oz00_6783))))->BgL_locz00);
		}
	}



/* make-select */
	BGL_EXPORTED_DEF BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t
		BgL_loc1469z00_673, BgL_typez00_bglt BgL_type1470z00_674,
		obj_t BgL_sidezd2effect1471zd2_675, obj_t BgL_key1472z00_676,
		BgL_nodez00_bglt BgL_test1473z00_677, obj_t BgL_clauses1474z00_678,
		BgL_typez00_bglt BgL_itemzd2type1475zd2_679)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1045 */
			{	/* Ast/nodetype.sch 1045 */
				BgL_selectz00_bglt BgL_new1759z00_9054;

				{	/* Ast/nodetype.sch 1045 */
					BgL_selectz00_bglt BgL_new1758z00_9055;

					BgL_new1758z00_9055 =
						((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_selectz00_bgl))));
					{	/* Ast/nodetype.sch 1045 */
						long BgL_arg2429z00_9056;

						{	/* Ast/nodetype.sch 1045 */
							long BgL_res3243z00_9057;

							{	/* Ast/nodetype.sch 1045 */
								obj_t BgL_classz00_9058;

								BgL_classz00_9058 = BGl_selectz00zzast_nodez00;
								{	/* Ast/nodetype.sch 1045 */
									obj_t BgL_vectorz00_9059;
									int BgL_kz00_9060;

									BgL_vectorz00_9059 = BgL_classz00_9058;
									BgL_kz00_9060 = (int) (((long) 1));
									BgL_res3243z00_9057 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9059, BgL_kz00_9060));
							}}
							BgL_arg2429z00_9056 = BgL_res3243z00_9057;
						}
						{	/* Ast/nodetype.sch 1045 */
							BgL_objectz00_bglt BgL_objz00_9061;

							BgL_objz00_9061 = ((BgL_objectz00_bglt) BgL_new1758z00_9055);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9061, BgL_arg2429z00_9056);
					}}
					{	/* Ast/nodetype.sch 1045 */
						BgL_objectz00_bglt BgL_auxz00_12160;

						BgL_auxz00_12160 = ((BgL_objectz00_bglt) BgL_new1758z00_9055);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12160, BFALSE);
					}
					BgL_new1759z00_9054 = BgL_new1758z00_9055;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1759z00_9054)))->BgL_locz00) =
					((obj_t) BgL_loc1469z00_673), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1759z00_9054)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1470z00_674), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1759z00_9054)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1471zd2_675), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1759z00_9054)))->BgL_keyz00) =
					((obj_t) BgL_key1472z00_676), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9054))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1473z00_677), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9054))->BgL_clausesz00) =
					((obj_t) BgL_clauses1474z00_678), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9054))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1475zd2_679), BUNSPEC);
				return BgL_new1759z00_9054;
			}
		}
	}



/* &make-select */
	BgL_selectz00_bglt BGl_z62makezd2selectzb0zzast_nodez00(obj_t BgL_envz00_6784,
		obj_t BgL_loc1469z00_6785, obj_t BgL_type1470z00_6786,
		obj_t BgL_sidezd2effect1471zd2_6787, obj_t BgL_key1472z00_6788,
		obj_t BgL_test1473z00_6789, obj_t BgL_clauses1474z00_6790,
		obj_t BgL_itemzd2type1475zd2_6791)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1045 */
			{	/* Ast/nodetype.sch 1045 */
				BgL_typez00_bglt BgL_type1470z00_9063;
				BgL_nodez00_bglt BgL_test1473z00_9066;
				BgL_typez00_bglt BgL_itemzd2type1475zd2_9068;

				BgL_type1470z00_9063 = ((BgL_typez00_bglt) BgL_type1470z00_6786);
				BgL_test1473z00_9066 = ((BgL_nodez00_bglt) BgL_test1473z00_6789);
				BgL_itemzd2type1475zd2_9068 =
					((BgL_typez00_bglt) BgL_itemzd2type1475zd2_6791);
				{	/* Ast/nodetype.sch 1045 */
					BgL_selectz00_bglt BgL_new1759z00_9069;

					{	/* Ast/nodetype.sch 1045 */
						BgL_selectz00_bglt BgL_new1758z00_9070;

						BgL_new1758z00_9070 =
							((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_selectz00_bgl))));
						{	/* Ast/nodetype.sch 1045 */
							long BgL_arg2429z00_9071;

							{	/* Ast/nodetype.sch 1045 */
								long BgL_res3243z00_9072;

								{	/* Ast/nodetype.sch 1045 */
									obj_t BgL_classz00_9073;

									BgL_classz00_9073 = BGl_selectz00zzast_nodez00;
									{	/* Ast/nodetype.sch 1045 */
										obj_t BgL_vectorz00_9074;
										int BgL_kz00_9075;

										BgL_vectorz00_9074 = BgL_classz00_9073;
										BgL_kz00_9075 = (int) (((long) 1));
										BgL_res3243z00_9072 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9074,
												BgL_kz00_9075));
								}}
								BgL_arg2429z00_9071 = BgL_res3243z00_9072;
							}
							{	/* Ast/nodetype.sch 1045 */
								BgL_objectz00_bglt BgL_objz00_9076;

								BgL_objz00_9076 = ((BgL_objectz00_bglt) BgL_new1758z00_9070);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9076, BgL_arg2429z00_9071);
						}}
						{	/* Ast/nodetype.sch 1045 */
							BgL_objectz00_bglt BgL_auxz00_12183;

							BgL_auxz00_12183 = ((BgL_objectz00_bglt) BgL_new1758z00_9070);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12183, BFALSE);
						}
						BgL_new1759z00_9069 = BgL_new1758z00_9070;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1759z00_9069)))->BgL_locz00) =
						((obj_t) BgL_loc1469z00_6785), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1759z00_9069)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1470z00_9063), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1759z00_9069)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1471zd2_6787), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1759z00_9069)))->BgL_keyz00) =
						((obj_t) BgL_key1472z00_6788), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9069))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1473z00_9066), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9069))->BgL_clausesz00) =
						((obj_t) BgL_clauses1474z00_6790), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new1759z00_9069))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_itemzd2type1475zd2_9068), BUNSPEC);
					return BgL_new1759z00_9069;
				}
			}
		}
	}



/* select? */
	BGL_EXPORTED_DEF bool_t BGl_selectzf3zf3zzast_nodez00(obj_t BgL_objz00_680)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1046 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_680, BGl_selectz00zzast_nodez00);
		}
	}



/* &select? */
	obj_t BGl_z62selectzf3z91zzast_nodez00(obj_t BgL_envz00_6792,
		obj_t BgL_objz00_6793)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1046 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6793,
					BGl_selectz00zzast_nodez00));
		}
	}



/* select-nil */
	BGL_EXPORTED_DEF BgL_selectz00_bglt BGl_selectzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1047 */
			{	/* Ast/nodetype.sch 1047 */
				obj_t BgL_classz00_4505;

				BgL_classz00_4505 = BGl_selectz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1047 */
					obj_t BgL__ortest_1090z00_4506;

					BgL__ortest_1090z00_4506 =
						VECTOR_REF(BgL_classz00_4505, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4506))
						{	/* Ast/nodetype.sch 1047 */
							return ((BgL_selectz00_bglt) BgL__ortest_1090z00_4506);
						}
					else
						{	/* Ast/nodetype.sch 1047 */
							return
								((BgL_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4505));
						}
				}
			}
		}
	}



/* &select-nil */
	BgL_selectz00_bglt BGl_z62selectzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6794)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1047 */
			return BGl_selectzd2nilzd2zzast_nodez00();
		}
	}



/* select-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt BgL_oz00_681)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1048 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_681))->BgL_itemzd2typezd2);
		}
	}



/* &select-item-type */
	BgL_typez00_bglt BGl_z62selectzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6795, obj_t BgL_oz00_6796)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1048 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6796)))->BgL_itemzd2typezd2);
		}
	}



/* select-clauses */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_684)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1050 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_684))->BgL_clausesz00);
		}
	}



/* &select-clauses */
	obj_t BGl_z62selectzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_6797,
		obj_t BgL_oz00_6798)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1050 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6798)))->BgL_clausesz00);
		}
	}



/* select-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt BgL_oz00_687)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1052 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_687))->BgL_testz00);
		}
	}



/* &select-test */
	BgL_nodez00_bglt BGl_z62selectzd2testzb0zzast_nodez00(obj_t BgL_envz00_6799,
		obj_t BgL_oz00_6800)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1052 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6800)))->BgL_testz00);
		}
	}



/* select-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_688,
		BgL_nodez00_bglt BgL_vz00_689)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1053 */
			return
				((((BgL_selectz00_bglt) CREF(BgL_oz00_688))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_689), BUNSPEC);
		}
	}



/* &select-test-set! */
	obj_t BGl_z62selectzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6801,
		obj_t BgL_oz00_6802, obj_t BgL_vz00_6803)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1053 */
			{	/* Ast/nodetype.sch 1053 */
				BgL_selectz00_bglt BgL_oz00_9081;
				BgL_nodez00_bglt BgL_vz00_9082;

				BgL_oz00_9081 = ((BgL_selectz00_bglt) BgL_oz00_6802);
				BgL_vz00_9082 = ((BgL_nodez00_bglt) BgL_vz00_6803);
				return
					((((BgL_selectz00_bglt) CREF(BgL_oz00_9081))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_vz00_9082), BUNSPEC);
			}
		}
	}



/* select-key */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2keyzd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_690)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1054 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_690)))->BgL_keyz00);
		}
	}



/* &select-key */
	obj_t BGl_z62selectzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6804,
		obj_t BgL_oz00_6805)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1054 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6805))))->BgL_keyz00);
		}
	}



/* select-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2keyzd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_691,
		obj_t BgL_vz00_692)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1055 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_691)))->BgL_keyz00) =
				((obj_t) BgL_vz00_692), BUNSPEC);
		}
	}



/* &select-key-set! */
	obj_t BGl_z62selectzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6806,
		obj_t BgL_oz00_6807, obj_t BgL_vz00_6808)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1055 */
			{	/* Ast/nodetype.sch 1055 */
				BgL_selectz00_bglt BgL_oz00_9084;

				BgL_oz00_9084 = ((BgL_selectz00_bglt) BgL_oz00_6807);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9084)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6808), BUNSPEC);
			}
		}
	}



/* select-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2sidezd2effectz00zzast_nodez00(BgL_selectz00_bglt BgL_oz00_693)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1056 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_693)))->BgL_sidezd2effectzd2);
		}
	}



/* &select-side-effect */
	obj_t BGl_z62selectzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6809,
		obj_t BgL_oz00_6810)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1056 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6810))))->BgL_sidezd2effectzd2);
		}
	}



/* select-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_694, obj_t BgL_vz00_695)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1057 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_694)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_695), BUNSPEC);
		}
	}



/* &select-side-effect-set! */
	obj_t BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6811, obj_t BgL_oz00_6812, obj_t BgL_vz00_6813)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1057 */
			{	/* Ast/nodetype.sch 1057 */
				BgL_selectz00_bglt BgL_oz00_9087;

				BgL_oz00_9087 = ((BgL_selectz00_bglt) BgL_oz00_6812);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9087)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6813), BUNSPEC);
			}
		}
	}



/* select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_selectzd2typezd2zzast_nodez00(BgL_selectz00_bglt BgL_oz00_696)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1058 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_696)))->BgL_typez00);
		}
	}



/* &select-type */
	BgL_typez00_bglt BGl_z62selectzd2typezb0zzast_nodez00(obj_t BgL_envz00_6814,
		obj_t BgL_oz00_6815)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1058 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6815))))->BgL_typez00);
		}
	}



/* select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2typezd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_697,
		BgL_typez00_bglt BgL_vz00_698)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1059 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_697)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_698), BUNSPEC);
		}
	}



/* &select-type-set! */
	obj_t BGl_z62selectzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6816,
		obj_t BgL_oz00_6817, obj_t BgL_vz00_6818)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1059 */
			{	/* Ast/nodetype.sch 1059 */
				BgL_selectz00_bglt BgL_oz00_9090;
				BgL_typez00_bglt BgL_vz00_9091;

				BgL_oz00_9090 = ((BgL_selectz00_bglt) BgL_oz00_6817);
				BgL_vz00_9091 = ((BgL_typez00_bglt) BgL_vz00_6818);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9090)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9091), BUNSPEC);
			}
		}
	}



/* select-loc */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2loczd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_699)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1060 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_699)))->BgL_locz00);
		}
	}



/* &select-loc */
	obj_t BGl_z62selectzd2loczb0zzast_nodez00(obj_t BgL_envz00_6819,
		obj_t BgL_oz00_6820)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1060 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6820))))->BgL_locz00);
		}
	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1462z00_702,
		BgL_typez00_bglt BgL_type1463z00_703, obj_t BgL_sidezd2effect1464zd2_704,
		obj_t BgL_key1465z00_705, obj_t BgL_locals1466z00_706,
		BgL_nodez00_bglt BgL_body1467z00_707)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1064 */
			{	/* Ast/nodetype.sch 1064 */
				BgL_letzd2funzd2_bglt BgL_new1775z00_9093;

				{	/* Ast/nodetype.sch 1064 */
					BgL_letzd2funzd2_bglt BgL_new1774z00_9094;

					BgL_new1774z00_9094 =
						((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1064 */
						long BgL_arg2430z00_9095;

						{	/* Ast/nodetype.sch 1064 */
							long BgL_res3244z00_9096;

							{	/* Ast/nodetype.sch 1064 */
								obj_t BgL_classz00_9097;

								BgL_classz00_9097 = BGl_letzd2funzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 1064 */
									obj_t BgL_vectorz00_9098;
									int BgL_kz00_9099;

									BgL_vectorz00_9098 = BgL_classz00_9097;
									BgL_kz00_9099 = (int) (((long) 1));
									BgL_res3244z00_9096 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9098, BgL_kz00_9099));
							}}
							BgL_arg2430z00_9095 = BgL_res3244z00_9096;
						}
						{	/* Ast/nodetype.sch 1064 */
							BgL_objectz00_bglt BgL_objz00_9100;

							BgL_objz00_9100 = ((BgL_objectz00_bglt) BgL_new1774z00_9094);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9100, BgL_arg2430z00_9095);
					}}
					{	/* Ast/nodetype.sch 1064 */
						BgL_objectz00_bglt BgL_auxz00_12263;

						BgL_auxz00_12263 = ((BgL_objectz00_bglt) BgL_new1774z00_9094);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12263, BFALSE);
					}
					BgL_new1775z00_9093 = BgL_new1774z00_9094;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1775z00_9093)))->BgL_locz00) =
					((obj_t) BgL_loc1462z00_702), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1775z00_9093)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1463z00_703), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1775z00_9093)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1464zd2_704), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1775z00_9093)))->BgL_keyz00) =
					((obj_t) BgL_key1465z00_705), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1775z00_9093))->BgL_localsz00) =
					((obj_t) BgL_locals1466z00_706), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1775z00_9093))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1467z00_707), BUNSPEC);
				return BgL_new1775z00_9093;
			}
		}
	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_6821, obj_t BgL_loc1462z00_6822, obj_t BgL_type1463z00_6823,
		obj_t BgL_sidezd2effect1464zd2_6824, obj_t BgL_key1465z00_6825,
		obj_t BgL_locals1466z00_6826, obj_t BgL_body1467z00_6827)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1064 */
			{	/* Ast/nodetype.sch 1064 */
				BgL_typez00_bglt BgL_type1463z00_9102;
				BgL_nodez00_bglt BgL_body1467z00_9106;

				BgL_type1463z00_9102 = ((BgL_typez00_bglt) BgL_type1463z00_6823);
				BgL_body1467z00_9106 = ((BgL_nodez00_bglt) BgL_body1467z00_6827);
				{	/* Ast/nodetype.sch 1064 */
					BgL_letzd2funzd2_bglt BgL_new1775z00_9107;

					{	/* Ast/nodetype.sch 1064 */
						BgL_letzd2funzd2_bglt BgL_new1774z00_9108;

						BgL_new1774z00_9108 =
							((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Ast/nodetype.sch 1064 */
							long BgL_arg2430z00_9109;

							{	/* Ast/nodetype.sch 1064 */
								long BgL_res3244z00_9110;

								{	/* Ast/nodetype.sch 1064 */
									obj_t BgL_classz00_9111;

									BgL_classz00_9111 = BGl_letzd2funzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 1064 */
										obj_t BgL_vectorz00_9112;
										int BgL_kz00_9113;

										BgL_vectorz00_9112 = BgL_classz00_9111;
										BgL_kz00_9113 = (int) (((long) 1));
										BgL_res3244z00_9110 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9112,
												BgL_kz00_9113));
								}}
								BgL_arg2430z00_9109 = BgL_res3244z00_9110;
							}
							{	/* Ast/nodetype.sch 1064 */
								BgL_objectz00_bglt BgL_objz00_9114;

								BgL_objz00_9114 = ((BgL_objectz00_bglt) BgL_new1774z00_9108);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9114, BgL_arg2430z00_9109);
						}}
						{	/* Ast/nodetype.sch 1064 */
							BgL_objectz00_bglt BgL_auxz00_12284;

							BgL_auxz00_12284 = ((BgL_objectz00_bglt) BgL_new1774z00_9108);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12284, BFALSE);
						}
						BgL_new1775z00_9107 = BgL_new1774z00_9108;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1775z00_9107)))->BgL_locz00) =
						((obj_t) BgL_loc1462z00_6822), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1775z00_9107)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1463z00_9102), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1775z00_9107)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1464zd2_6824), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1775z00_9107)))->BgL_keyz00) =
						((obj_t) BgL_key1465z00_6825), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new1775z00_9107))->
							BgL_localsz00) = ((obj_t) BgL_locals1466z00_6826), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new1775z00_9107))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1467z00_9106), BUNSPEC);
					return BgL_new1775z00_9107;
				}
			}
		}
	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_708)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1065 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_708,
				BGl_letzd2funzd2zzast_nodez00);
		}
	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_6828,
		obj_t BgL_objz00_6829)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1065 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6829,
					BGl_letzd2funzd2zzast_nodez00));
		}
	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1066 */
			{	/* Ast/nodetype.sch 1066 */
				obj_t BgL_classz00_4529;

				BgL_classz00_4529 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1066 */
					obj_t BgL__ortest_1090z00_4530;

					BgL__ortest_1090z00_4530 =
						VECTOR_REF(BgL_classz00_4529, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4530))
						{	/* Ast/nodetype.sch 1066 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1090z00_4530);
						}
					else
						{	/* Ast/nodetype.sch 1066 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4529));
						}
				}
			}
		}
	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6830)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1066 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}
	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_709)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1067 */
			return (((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_709))->BgL_bodyz00);
		}
	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_6831, obj_t BgL_oz00_6832)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1067 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6832)))->BgL_bodyz00);
		}
	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_710, BgL_nodez00_bglt BgL_vz00_711)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1068 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_710))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_711), BUNSPEC);
		}
	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6833,
		obj_t BgL_oz00_6834, obj_t BgL_vz00_6835)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1068 */
			{	/* Ast/nodetype.sch 1068 */
				BgL_letzd2funzd2_bglt BgL_oz00_9117;
				BgL_nodez00_bglt BgL_vz00_9118;

				BgL_oz00_9117 = ((BgL_letzd2funzd2_bglt) BgL_oz00_6834);
				BgL_vz00_9118 = ((BgL_nodez00_bglt) BgL_vz00_6835);
				return
					((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_9117))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9118), BUNSPEC);
			}
		}
	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_712)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1069 */
			return (((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_712))->BgL_localsz00);
		}
	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_6836,
		obj_t BgL_oz00_6837)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1069 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6837)))->BgL_localsz00);
		}
	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_713, obj_t BgL_vz00_714)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1070 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_713))->BgL_localsz00) =
				((obj_t) BgL_vz00_714), BUNSPEC);
		}
	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6838, obj_t BgL_oz00_6839, obj_t BgL_vz00_6840)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1070 */
			{	/* Ast/nodetype.sch 1070 */
				BgL_letzd2funzd2_bglt BgL_oz00_9120;

				BgL_oz00_9120 = ((BgL_letzd2funzd2_bglt) BgL_oz00_6839);
				return
					((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_9120))->BgL_localsz00) =
					((obj_t) BgL_vz00_6840), BUNSPEC);
			}
		}
	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_715)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1071 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_715)))->BgL_keyz00);
		}
	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_6841,
		obj_t BgL_oz00_6842)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1071 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6842))))->BgL_keyz00);
		}
	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_716, obj_t BgL_vz00_717)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1072 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_716)))->BgL_keyz00) =
				((obj_t) BgL_vz00_717), BUNSPEC);
		}
	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6843,
		obj_t BgL_oz00_6844, obj_t BgL_vz00_6845)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1072 */
			{	/* Ast/nodetype.sch 1072 */
				BgL_letzd2funzd2_bglt BgL_oz00_9123;

				BgL_oz00_9123 = ((BgL_letzd2funzd2_bglt) BgL_oz00_6844);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9123)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6845), BUNSPEC);
			}
		}
	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_718)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1073 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_718)))->BgL_sidezd2effectzd2);
		}
	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6846,
		obj_t BgL_oz00_6847)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1073 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6847))))->BgL_sidezd2effectzd2);
		}
	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_719, obj_t BgL_vz00_720)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1074 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_719)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_720), BUNSPEC);
		}
	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6848, obj_t BgL_oz00_6849, obj_t BgL_vz00_6850)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1074 */
			{	/* Ast/nodetype.sch 1074 */
				BgL_letzd2funzd2_bglt BgL_oz00_9126;

				BgL_oz00_9126 = ((BgL_letzd2funzd2_bglt) BgL_oz00_6849);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9126)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6850), BUNSPEC);
			}
		}
	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_721)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1075 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_721)))->BgL_typez00);
		}
	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6851, obj_t BgL_oz00_6852)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1075 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6852))))->BgL_typez00);
		}
	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_722, BgL_typez00_bglt BgL_vz00_723)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1076 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_722)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_723), BUNSPEC);
		}
	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6853,
		obj_t BgL_oz00_6854, obj_t BgL_vz00_6855)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1076 */
			{	/* Ast/nodetype.sch 1076 */
				BgL_letzd2funzd2_bglt BgL_oz00_9129;
				BgL_typez00_bglt BgL_vz00_9130;

				BgL_oz00_9129 = ((BgL_letzd2funzd2_bglt) BgL_oz00_6854);
				BgL_vz00_9130 = ((BgL_typez00_bglt) BgL_vz00_6855);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9129)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9130), BUNSPEC);
			}
		}
	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_724)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1077 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_724)))->BgL_locz00);
		}
	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_6856,
		obj_t BgL_oz00_6857)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1077 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6857))))->BgL_locz00);
		}
	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1454z00_727,
		BgL_typez00_bglt BgL_type1455z00_728, obj_t BgL_sidezd2effect1456zd2_729,
		obj_t BgL_key1457z00_730, obj_t BgL_bindings1458z00_731,
		BgL_nodez00_bglt BgL_body1459z00_732, bool_t BgL_removablezf31460zf3_733)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1081 */
			{	/* Ast/nodetype.sch 1081 */
				BgL_letzd2varzd2_bglt BgL_new1789z00_9132;

				{	/* Ast/nodetype.sch 1081 */
					BgL_letzd2varzd2_bglt BgL_new1788z00_9133;

					BgL_new1788z00_9133 =
						((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1081 */
						long BgL_arg2431z00_9134;

						{	/* Ast/nodetype.sch 1081 */
							long BgL_res3245z00_9135;

							{	/* Ast/nodetype.sch 1081 */
								obj_t BgL_classz00_9136;

								BgL_classz00_9136 = BGl_letzd2varzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 1081 */
									obj_t BgL_vectorz00_9137;
									int BgL_kz00_9138;

									BgL_vectorz00_9137 = BgL_classz00_9136;
									BgL_kz00_9138 = (int) (((long) 1));
									BgL_res3245z00_9135 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9137, BgL_kz00_9138));
							}}
							BgL_arg2431z00_9134 = BgL_res3245z00_9135;
						}
						{	/* Ast/nodetype.sch 1081 */
							BgL_objectz00_bglt BgL_objz00_9139;

							BgL_objz00_9139 = ((BgL_objectz00_bglt) BgL_new1788z00_9133);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9139, BgL_arg2431z00_9134);
					}}
					{	/* Ast/nodetype.sch 1081 */
						BgL_objectz00_bglt BgL_auxz00_12363;

						BgL_auxz00_12363 = ((BgL_objectz00_bglt) BgL_new1788z00_9133);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12363, BFALSE);
					}
					BgL_new1789z00_9132 = BgL_new1788z00_9133;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1789z00_9132)))->BgL_locz00) =
					((obj_t) BgL_loc1454z00_727), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1789z00_9132)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1455z00_728), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1789z00_9132)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1456zd2_729), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1789z00_9132)))->BgL_keyz00) =
					((obj_t) BgL_key1457z00_730), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9132))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1458z00_731), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9132))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1459z00_732), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9132))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31460zf3_733), BUNSPEC);
				return BgL_new1789z00_9132;
			}
		}
	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_6858, obj_t BgL_loc1454z00_6859, obj_t BgL_type1455z00_6860,
		obj_t BgL_sidezd2effect1456zd2_6861, obj_t BgL_key1457z00_6862,
		obj_t BgL_bindings1458z00_6863, obj_t BgL_body1459z00_6864,
		obj_t BgL_removablezf31460zf3_6865)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1081 */
			{	/* Ast/nodetype.sch 1081 */
				BgL_typez00_bglt BgL_type1455z00_9141;
				BgL_nodez00_bglt BgL_body1459z00_9145;
				bool_t BgL_removablezf31460zf3_9146;

				BgL_type1455z00_9141 = ((BgL_typez00_bglt) BgL_type1455z00_6860);
				BgL_body1459z00_9145 = ((BgL_nodez00_bglt) BgL_body1459z00_6864);
				BgL_removablezf31460zf3_9146 = CBOOL(BgL_removablezf31460zf3_6865);
				{	/* Ast/nodetype.sch 1081 */
					BgL_letzd2varzd2_bglt BgL_new1789z00_9147;

					{	/* Ast/nodetype.sch 1081 */
						BgL_letzd2varzd2_bglt BgL_new1788z00_9148;

						BgL_new1788z00_9148 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/nodetype.sch 1081 */
							long BgL_arg2431z00_9149;

							{	/* Ast/nodetype.sch 1081 */
								long BgL_res3245z00_9150;

								{	/* Ast/nodetype.sch 1081 */
									obj_t BgL_classz00_9151;

									BgL_classz00_9151 = BGl_letzd2varzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 1081 */
										obj_t BgL_vectorz00_9152;
										int BgL_kz00_9153;

										BgL_vectorz00_9152 = BgL_classz00_9151;
										BgL_kz00_9153 = (int) (((long) 1));
										BgL_res3245z00_9150 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9152,
												BgL_kz00_9153));
								}}
								BgL_arg2431z00_9149 = BgL_res3245z00_9150;
							}
							{	/* Ast/nodetype.sch 1081 */
								BgL_objectz00_bglt BgL_objz00_9154;

								BgL_objz00_9154 = ((BgL_objectz00_bglt) BgL_new1788z00_9148);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9154, BgL_arg2431z00_9149);
						}}
						{	/* Ast/nodetype.sch 1081 */
							BgL_objectz00_bglt BgL_auxz00_12386;

							BgL_auxz00_12386 = ((BgL_objectz00_bglt) BgL_new1788z00_9148);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12386, BFALSE);
						}
						BgL_new1789z00_9147 = BgL_new1788z00_9148;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1789z00_9147)))->BgL_locz00) =
						((obj_t) BgL_loc1454z00_6859), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1789z00_9147)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1455z00_9141), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1789z00_9147)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1456zd2_6861), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1789z00_9147)))->BgL_keyz00) =
						((obj_t) BgL_key1457z00_6862), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9147))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1458z00_6863), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9147))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1459z00_9145), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1789z00_9147))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31460zf3_9146), BUNSPEC);
					return BgL_new1789z00_9147;
				}
			}
		}
	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_734)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1082 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_734,
				BGl_letzd2varzd2zzast_nodez00);
		}
	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_6866,
		obj_t BgL_objz00_6867)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1082 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6867,
					BGl_letzd2varzd2zzast_nodez00));
		}
	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1083 */
			{	/* Ast/nodetype.sch 1083 */
				obj_t BgL_classz00_4553;

				BgL_classz00_4553 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1083 */
					obj_t BgL__ortest_1090z00_4554;

					BgL__ortest_1090z00_4554 =
						VECTOR_REF(BgL_classz00_4553, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4554))
						{	/* Ast/nodetype.sch 1083 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1090z00_4554);
						}
					else
						{	/* Ast/nodetype.sch 1083 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4553));
						}
				}
			}
		}
	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6868)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1083 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}
	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_735)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1084 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_735))->BgL_removablezf3zf3);
		}
	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_6869,
		obj_t BgL_oz00_6870)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1084 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6870)))->BgL_removablezf3zf3));
		}
	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_736, bool_t BgL_vz00_737)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1085 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_736))->BgL_removablezf3zf3) =
				((bool_t) BgL_vz00_737), BUNSPEC);
		}
	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_6871, obj_t BgL_oz00_6872, obj_t BgL_vz00_6873)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1085 */
			{	/* Ast/nodetype.sch 1085 */
				BgL_letzd2varzd2_bglt BgL_oz00_9157;
				bool_t BgL_vz00_9158;

				BgL_oz00_9157 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6872);
				BgL_vz00_9158 = CBOOL(BgL_vz00_6873);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9157))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9158), BUNSPEC);
			}
		}
	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_738)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1086 */
			return (((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_738))->BgL_bodyz00);
		}
	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_6874, obj_t BgL_oz00_6875)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1086 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6875)))->BgL_bodyz00);
		}
	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_739, BgL_nodez00_bglt BgL_vz00_740)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1087 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_739))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_740), BUNSPEC);
		}
	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6876,
		obj_t BgL_oz00_6877, obj_t BgL_vz00_6878)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1087 */
			{	/* Ast/nodetype.sch 1087 */
				BgL_letzd2varzd2_bglt BgL_oz00_9160;
				BgL_nodez00_bglt BgL_vz00_9161;

				BgL_oz00_9160 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6877);
				BgL_vz00_9161 = ((BgL_nodez00_bglt) BgL_vz00_6878);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9160))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9161), BUNSPEC);
			}
		}
	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_741)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1088 */
			return (((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_741))->BgL_bindingsz00);
		}
	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_6879,
		obj_t BgL_oz00_6880)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1088 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6880)))->BgL_bindingsz00);
		}
	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_742, obj_t BgL_vz00_743)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1089 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_742))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_743), BUNSPEC);
		}
	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6881, obj_t BgL_oz00_6882, obj_t BgL_vz00_6883)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1089 */
			{	/* Ast/nodetype.sch 1089 */
				BgL_letzd2varzd2_bglt BgL_oz00_9163;

				BgL_oz00_9163 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6882);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9163))->BgL_bindingsz00) =
					((obj_t) BgL_vz00_6883), BUNSPEC);
			}
		}
	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_744)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1090 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_744)))->BgL_keyz00);
		}
	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_6884,
		obj_t BgL_oz00_6885)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1090 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6885))))->BgL_keyz00);
		}
	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_745, obj_t BgL_vz00_746)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1091 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_745)))->BgL_keyz00) =
				((obj_t) BgL_vz00_746), BUNSPEC);
		}
	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6886,
		obj_t BgL_oz00_6887, obj_t BgL_vz00_6888)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1091 */
			{	/* Ast/nodetype.sch 1091 */
				BgL_letzd2varzd2_bglt BgL_oz00_9166;

				BgL_oz00_9166 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6887);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9166)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6888), BUNSPEC);
			}
		}
	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_747)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1092 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_747)))->BgL_sidezd2effectzd2);
		}
	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6889,
		obj_t BgL_oz00_6890)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1092 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6890))))->BgL_sidezd2effectzd2);
		}
	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_748, obj_t BgL_vz00_749)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1093 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_748)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_749), BUNSPEC);
		}
	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6891, obj_t BgL_oz00_6892, obj_t BgL_vz00_6893)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1093 */
			{	/* Ast/nodetype.sch 1093 */
				BgL_letzd2varzd2_bglt BgL_oz00_9169;

				BgL_oz00_9169 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6892);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9169)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6893), BUNSPEC);
			}
		}
	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_750)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1094 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_750)))->BgL_typez00);
		}
	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6894, obj_t BgL_oz00_6895)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1094 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6895))))->BgL_typez00);
		}
	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_751, BgL_typez00_bglt BgL_vz00_752)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1095 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_751)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_752), BUNSPEC);
		}
	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6896,
		obj_t BgL_oz00_6897, obj_t BgL_vz00_6898)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1095 */
			{	/* Ast/nodetype.sch 1095 */
				BgL_letzd2varzd2_bglt BgL_oz00_9172;
				BgL_typez00_bglt BgL_vz00_9173;

				BgL_oz00_9172 = ((BgL_letzd2varzd2_bglt) BgL_oz00_6897);
				BgL_vz00_9173 = ((BgL_typez00_bglt) BgL_vz00_6898);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9172)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9173), BUNSPEC);
			}
		}
	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_753)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1096 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_753)))->BgL_locz00);
		}
	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_6899,
		obj_t BgL_oz00_6900)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1096 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6900))))->BgL_locz00);
		}
	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1449z00_756,
		BgL_typez00_bglt BgL_type1450z00_757, BgL_varz00_bglt BgL_var1451z00_758,
		BgL_nodez00_bglt BgL_body1452z00_759)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1100 */
			{	/* Ast/nodetype.sch 1100 */
				BgL_setzd2exzd2itz00_bglt BgL_new1805z00_9175;

				{	/* Ast/nodetype.sch 1100 */
					BgL_setzd2exzd2itz00_bglt BgL_new1804z00_9176;

					BgL_new1804z00_9176 =
						((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1100 */
						long BgL_arg2432z00_9177;

						{	/* Ast/nodetype.sch 1100 */
							long BgL_res3246z00_9178;

							{	/* Ast/nodetype.sch 1100 */
								obj_t BgL_classz00_9179;

								BgL_classz00_9179 = BGl_setzd2exzd2itz00zzast_nodez00;
								{	/* Ast/nodetype.sch 1100 */
									obj_t BgL_vectorz00_9180;
									int BgL_kz00_9181;

									BgL_vectorz00_9180 = BgL_classz00_9179;
									BgL_kz00_9181 = (int) (((long) 1));
									BgL_res3246z00_9178 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9180, BgL_kz00_9181));
							}}
							BgL_arg2432z00_9177 = BgL_res3246z00_9178;
						}
						{	/* Ast/nodetype.sch 1100 */
							BgL_objectz00_bglt BgL_objz00_9182;

							BgL_objz00_9182 = ((BgL_objectz00_bglt) BgL_new1804z00_9176);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9182, BgL_arg2432z00_9177);
					}}
					{	/* Ast/nodetype.sch 1100 */
						BgL_objectz00_bglt BgL_auxz00_12474;

						BgL_auxz00_12474 = ((BgL_objectz00_bglt) BgL_new1804z00_9176);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12474, BFALSE);
					}
					BgL_new1805z00_9175 = BgL_new1804z00_9176;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1805z00_9175)))->BgL_locz00) =
					((obj_t) BgL_loc1449z00_756), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1805z00_9175)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1450z00_757), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1805z00_9175))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1451z00_758), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1805z00_9175))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1452z00_759), BUNSPEC);
				return BgL_new1805z00_9175;
			}
		}
	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6901, obj_t BgL_loc1449z00_6902, obj_t BgL_type1450z00_6903,
		obj_t BgL_var1451z00_6904, obj_t BgL_body1452z00_6905)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1100 */
			{	/* Ast/nodetype.sch 1100 */
				BgL_typez00_bglt BgL_type1450z00_9184;
				BgL_varz00_bglt BgL_var1451z00_9185;
				BgL_nodez00_bglt BgL_body1452z00_9186;

				BgL_type1450z00_9184 = ((BgL_typez00_bglt) BgL_type1450z00_6903);
				BgL_var1451z00_9185 = ((BgL_varz00_bglt) BgL_var1451z00_6904);
				BgL_body1452z00_9186 = ((BgL_nodez00_bglt) BgL_body1452z00_6905);
				{	/* Ast/nodetype.sch 1100 */
					BgL_setzd2exzd2itz00_bglt BgL_new1805z00_9187;

					{	/* Ast/nodetype.sch 1100 */
						BgL_setzd2exzd2itz00_bglt BgL_new1804z00_9188;

						BgL_new1804z00_9188 =
							((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setzd2exzd2itz00_bgl))));
						{	/* Ast/nodetype.sch 1100 */
							long BgL_arg2432z00_9189;

							{	/* Ast/nodetype.sch 1100 */
								long BgL_res3246z00_9190;

								{	/* Ast/nodetype.sch 1100 */
									obj_t BgL_classz00_9191;

									BgL_classz00_9191 = BGl_setzd2exzd2itz00zzast_nodez00;
									{	/* Ast/nodetype.sch 1100 */
										obj_t BgL_vectorz00_9192;
										int BgL_kz00_9193;

										BgL_vectorz00_9192 = BgL_classz00_9191;
										BgL_kz00_9193 = (int) (((long) 1));
										BgL_res3246z00_9190 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9192,
												BgL_kz00_9193));
								}}
								BgL_arg2432z00_9189 = BgL_res3246z00_9190;
							}
							{	/* Ast/nodetype.sch 1100 */
								BgL_objectz00_bglt BgL_objz00_9194;

								BgL_objz00_9194 = ((BgL_objectz00_bglt) BgL_new1804z00_9188);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9194, BgL_arg2432z00_9189);
						}}
						{	/* Ast/nodetype.sch 1100 */
							BgL_objectz00_bglt BgL_auxz00_12492;

							BgL_auxz00_12492 = ((BgL_objectz00_bglt) BgL_new1804z00_9188);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12492, BFALSE);
						}
						BgL_new1805z00_9187 = BgL_new1804z00_9188;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1805z00_9187)))->BgL_locz00) =
						((obj_t) BgL_loc1449z00_6902), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1805z00_9187)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1450z00_9184), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1805z00_9187))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1451z00_9185), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1805z00_9187))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1452z00_9186), BUNSPEC);
					return BgL_new1805z00_9187;
				}
			}
		}
	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_760)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1101 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_760,
				BGl_setzd2exzd2itz00zzast_nodez00);
		}
	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6906,
		obj_t BgL_objz00_6907)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1101 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6907,
					BGl_setzd2exzd2itz00zzast_nodez00));
		}
	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1102 */
			{	/* Ast/nodetype.sch 1102 */
				obj_t BgL_classz00_4579;

				BgL_classz00_4579 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1102 */
					obj_t BgL__ortest_1090z00_4580;

					BgL__ortest_1090z00_4580 =
						VECTOR_REF(BgL_classz00_4579, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4580))
						{	/* Ast/nodetype.sch 1102 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1090z00_4580);
						}
					else
						{	/* Ast/nodetype.sch 1102 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4579));
						}
				}
			}
		}
	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6908)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1102 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}
	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_761)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1103 */
			return (((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_761))->BgL_bodyz00);
		}
	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_6909, obj_t BgL_oz00_6910)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1103 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6910)))->BgL_bodyz00);
		}
	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_762, BgL_nodez00_bglt BgL_vz00_763)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1104 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_762))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_763), BUNSPEC);
		}
	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6911, obj_t BgL_oz00_6912, obj_t BgL_vz00_6913)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1104 */
			{	/* Ast/nodetype.sch 1104 */
				BgL_setzd2exzd2itz00_bglt BgL_oz00_9197;
				BgL_nodez00_bglt BgL_vz00_9198;

				BgL_oz00_9197 = ((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6912);
				BgL_vz00_9198 = ((BgL_nodez00_bglt) BgL_vz00_6913);
				return
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_9197))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9198), BUNSPEC);
			}
		}
	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_764)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1105 */
			return (((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_764))->BgL_varz00);
		}
	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_6914, obj_t BgL_oz00_6915)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1105 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6915)))->BgL_varz00);
		}
	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_765, BgL_varz00_bglt BgL_vz00_766)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1106 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_765))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_766), BUNSPEC);
		}
	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6916, obj_t BgL_oz00_6917, obj_t BgL_vz00_6918)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1106 */
			{	/* Ast/nodetype.sch 1106 */
				BgL_setzd2exzd2itz00_bglt BgL_oz00_9200;
				BgL_varz00_bglt BgL_vz00_9201;

				BgL_oz00_9200 = ((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6917);
				BgL_vz00_9201 = ((BgL_varz00_bglt) BgL_vz00_6918);
				return
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_9200))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9201), BUNSPEC);
			}
		}
	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_767)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1107 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_767)))->BgL_typez00);
		}
	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6919, obj_t BgL_oz00_6920)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1107 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6920))))->BgL_typez00);
		}
	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_768, BgL_typez00_bglt BgL_vz00_769)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1108 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_768)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_769), BUNSPEC);
		}
	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6921, obj_t BgL_oz00_6922, obj_t BgL_vz00_6923)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1108 */
			{	/* Ast/nodetype.sch 1108 */
				BgL_setzd2exzd2itz00_bglt BgL_oz00_9203;
				BgL_typez00_bglt BgL_vz00_9204;

				BgL_oz00_9203 = ((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6922);
				BgL_vz00_9204 = ((BgL_typez00_bglt) BgL_vz00_6923);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9203)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9204), BUNSPEC);
			}
		}
	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_770)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1109 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_770)))->BgL_locz00);
		}
	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6924,
		obj_t BgL_oz00_6925)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1109 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6925))))->BgL_locz00);
		}
	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1444z00_773,
		BgL_typez00_bglt BgL_type1445z00_774, BgL_nodez00_bglt BgL_exit1446z00_775,
		BgL_nodez00_bglt BgL_value1447z00_776)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1113 */
			{	/* Ast/nodetype.sch 1113 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1815z00_9206;

				{	/* Ast/nodetype.sch 1113 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1814z00_9207;

					BgL_new1814z00_9207 =
						((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1113 */
						long BgL_arg2433z00_9208;

						{	/* Ast/nodetype.sch 1113 */
							long BgL_res3247z00_9209;

							{	/* Ast/nodetype.sch 1113 */
								obj_t BgL_classz00_9210;

								BgL_classz00_9210 = BGl_jumpzd2exzd2itz00zzast_nodez00;
								{	/* Ast/nodetype.sch 1113 */
									obj_t BgL_vectorz00_9211;
									int BgL_kz00_9212;

									BgL_vectorz00_9211 = BgL_classz00_9210;
									BgL_kz00_9212 = (int) (((long) 1));
									BgL_res3247z00_9209 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9211, BgL_kz00_9212));
							}}
							BgL_arg2433z00_9208 = BgL_res3247z00_9209;
						}
						{	/* Ast/nodetype.sch 1113 */
							BgL_objectz00_bglt BgL_objz00_9213;

							BgL_objz00_9213 = ((BgL_objectz00_bglt) BgL_new1814z00_9207);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9213, BgL_arg2433z00_9208);
					}}
					{	/* Ast/nodetype.sch 1113 */
						BgL_objectz00_bglt BgL_auxz00_12548;

						BgL_auxz00_12548 = ((BgL_objectz00_bglt) BgL_new1814z00_9207);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12548, BFALSE);
					}
					BgL_new1815z00_9206 = BgL_new1814z00_9207;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1815z00_9206)))->BgL_locz00) =
					((obj_t) BgL_loc1444z00_773), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1815z00_9206)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1445z00_774), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1815z00_9206))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1446z00_775), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1815z00_9206))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1447z00_776), BUNSPEC);
				return BgL_new1815z00_9206;
			}
		}
	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6926, obj_t BgL_loc1444z00_6927, obj_t BgL_type1445z00_6928,
		obj_t BgL_exit1446z00_6929, obj_t BgL_value1447z00_6930)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1113 */
			{	/* Ast/nodetype.sch 1113 */
				BgL_typez00_bglt BgL_type1445z00_9215;
				BgL_nodez00_bglt BgL_exit1446z00_9216;
				BgL_nodez00_bglt BgL_value1447z00_9217;

				BgL_type1445z00_9215 = ((BgL_typez00_bglt) BgL_type1445z00_6928);
				BgL_exit1446z00_9216 = ((BgL_nodez00_bglt) BgL_exit1446z00_6929);
				BgL_value1447z00_9217 = ((BgL_nodez00_bglt) BgL_value1447z00_6930);
				{	/* Ast/nodetype.sch 1113 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1815z00_9218;

					{	/* Ast/nodetype.sch 1113 */
						BgL_jumpzd2exzd2itz00_bglt BgL_new1814z00_9219;

						BgL_new1814z00_9219 =
							((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_jumpzd2exzd2itz00_bgl))));
						{	/* Ast/nodetype.sch 1113 */
							long BgL_arg2433z00_9220;

							{	/* Ast/nodetype.sch 1113 */
								long BgL_res3247z00_9221;

								{	/* Ast/nodetype.sch 1113 */
									obj_t BgL_classz00_9222;

									BgL_classz00_9222 = BGl_jumpzd2exzd2itz00zzast_nodez00;
									{	/* Ast/nodetype.sch 1113 */
										obj_t BgL_vectorz00_9223;
										int BgL_kz00_9224;

										BgL_vectorz00_9223 = BgL_classz00_9222;
										BgL_kz00_9224 = (int) (((long) 1));
										BgL_res3247z00_9221 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9223,
												BgL_kz00_9224));
								}}
								BgL_arg2433z00_9220 = BgL_res3247z00_9221;
							}
							{	/* Ast/nodetype.sch 1113 */
								BgL_objectz00_bglt BgL_objz00_9225;

								BgL_objz00_9225 = ((BgL_objectz00_bglt) BgL_new1814z00_9219);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9225, BgL_arg2433z00_9220);
						}}
						{	/* Ast/nodetype.sch 1113 */
							BgL_objectz00_bglt BgL_auxz00_12566;

							BgL_auxz00_12566 = ((BgL_objectz00_bglt) BgL_new1814z00_9219);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12566, BFALSE);
						}
						BgL_new1815z00_9218 = BgL_new1814z00_9219;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1815z00_9218)))->BgL_locz00) =
						((obj_t) BgL_loc1444z00_6927), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1815z00_9218)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1445z00_9215), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1815z00_9218))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_exit1446z00_9216), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1815z00_9218))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1447z00_9217), BUNSPEC);
					return BgL_new1815z00_9218;
				}
			}
		}
	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_777)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1114 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_777,
				BGl_jumpzd2exzd2itz00zzast_nodez00);
		}
	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6931,
		obj_t BgL_objz00_6932)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1114 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6932,
					BGl_jumpzd2exzd2itz00zzast_nodez00));
		}
	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1115 */
			{	/* Ast/nodetype.sch 1115 */
				obj_t BgL_classz00_4599;

				BgL_classz00_4599 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1115 */
					obj_t BgL__ortest_1090z00_4600;

					BgL__ortest_1090z00_4600 =
						VECTOR_REF(BgL_classz00_4599, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4600))
						{	/* Ast/nodetype.sch 1115 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1090z00_4600);
						}
					else
						{	/* Ast/nodetype.sch 1115 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4599));
						}
				}
			}
		}
	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6933)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1115 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}
	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_778)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1116 */
			return (((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_778))->BgL_valuez00);
		}
	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_6934, obj_t BgL_oz00_6935)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6935)))->BgL_valuez00);
		}
	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_779, BgL_nodez00_bglt BgL_vz00_780)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1117 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_779))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_780), BUNSPEC);
		}
	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6936, obj_t BgL_oz00_6937, obj_t BgL_vz00_6938)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1117 */
			{	/* Ast/nodetype.sch 1117 */
				BgL_jumpzd2exzd2itz00_bglt BgL_oz00_9228;
				BgL_nodez00_bglt BgL_vz00_9229;

				BgL_oz00_9228 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6937);
				BgL_vz00_9229 = ((BgL_nodez00_bglt) BgL_vz00_6938);
				return
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_9228))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9229), BUNSPEC);
			}
		}
	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_781)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1118 */
			return (((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_781))->BgL_exitz00);
		}
	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_6939, obj_t BgL_oz00_6940)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1118 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6940)))->BgL_exitz00);
		}
	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_782, BgL_nodez00_bglt BgL_vz00_783)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1119 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_782))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_783), BUNSPEC);
		}
	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6941, obj_t BgL_oz00_6942, obj_t BgL_vz00_6943)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1119 */
			{	/* Ast/nodetype.sch 1119 */
				BgL_jumpzd2exzd2itz00_bglt BgL_oz00_9231;
				BgL_nodez00_bglt BgL_vz00_9232;

				BgL_oz00_9231 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6942);
				BgL_vz00_9232 = ((BgL_nodez00_bglt) BgL_vz00_6943);
				return
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_9231))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_vz00_9232), BUNSPEC);
			}
		}
	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_784)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_784)))->BgL_typez00);
		}
	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6944, obj_t BgL_oz00_6945)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6945))))->BgL_typez00);
		}
	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_785, BgL_typez00_bglt BgL_vz00_786)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1121 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_785)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_786), BUNSPEC);
		}
	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6946, obj_t BgL_oz00_6947, obj_t BgL_vz00_6948)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1121 */
			{	/* Ast/nodetype.sch 1121 */
				BgL_jumpzd2exzd2itz00_bglt BgL_oz00_9234;
				BgL_typez00_bglt BgL_vz00_9235;

				BgL_oz00_9234 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6947);
				BgL_vz00_9235 = ((BgL_typez00_bglt) BgL_vz00_6948);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9234)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9235), BUNSPEC);
			}
		}
	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_787)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_787)))->BgL_locz00);
		}
	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6949,
		obj_t BgL_oz00_6950)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6950))))->BgL_locz00);
		}
	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1438z00_790,
		BgL_typez00_bglt BgL_type1439z00_791, obj_t BgL_sidezd2effect1440zd2_792,
		obj_t BgL_key1441z00_793, BgL_nodez00_bglt BgL_value1442z00_794)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1126 */
			{	/* Ast/nodetype.sch 1126 */
				BgL_makezd2boxzd2_bglt BgL_new1825z00_9237;

				{	/* Ast/nodetype.sch 1126 */
					BgL_makezd2boxzd2_bglt BgL_new1824z00_9238;

					BgL_new1824z00_9238 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1126 */
						long BgL_arg2434z00_9239;

						{	/* Ast/nodetype.sch 1126 */
							long BgL_res3248z00_9240;

							{	/* Ast/nodetype.sch 1126 */
								obj_t BgL_classz00_9241;

								BgL_classz00_9241 = BGl_makezd2boxzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 1126 */
									obj_t BgL_vectorz00_9242;
									int BgL_kz00_9243;

									BgL_vectorz00_9242 = BgL_classz00_9241;
									BgL_kz00_9243 = (int) (((long) 1));
									BgL_res3248z00_9240 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9242, BgL_kz00_9243));
							}}
							BgL_arg2434z00_9239 = BgL_res3248z00_9240;
						}
						{	/* Ast/nodetype.sch 1126 */
							BgL_objectz00_bglt BgL_objz00_9244;

							BgL_objz00_9244 = ((BgL_objectz00_bglt) BgL_new1824z00_9238);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9244, BgL_arg2434z00_9239);
					}}
					{	/* Ast/nodetype.sch 1126 */
						BgL_objectz00_bglt BgL_auxz00_12622;

						BgL_auxz00_12622 = ((BgL_objectz00_bglt) BgL_new1824z00_9238);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12622, BFALSE);
					}
					BgL_new1825z00_9237 = BgL_new1824z00_9238;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1825z00_9237)))->BgL_locz00) =
					((obj_t) BgL_loc1438z00_790), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1825z00_9237)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1439z00_791), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1825z00_9237)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1440zd2_792), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1825z00_9237)))->BgL_keyz00) =
					((obj_t) BgL_key1441z00_793), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1825z00_9237))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1442z00_794), BUNSPEC);
				return BgL_new1825z00_9237;
			}
		}
	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_6951, obj_t BgL_loc1438z00_6952, obj_t BgL_type1439z00_6953,
		obj_t BgL_sidezd2effect1440zd2_6954, obj_t BgL_key1441z00_6955,
		obj_t BgL_value1442z00_6956)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1126 */
			{	/* Ast/nodetype.sch 1126 */
				BgL_typez00_bglt BgL_type1439z00_9246;
				BgL_nodez00_bglt BgL_value1442z00_9249;

				BgL_type1439z00_9246 = ((BgL_typez00_bglt) BgL_type1439z00_6953);
				BgL_value1442z00_9249 = ((BgL_nodez00_bglt) BgL_value1442z00_6956);
				{	/* Ast/nodetype.sch 1126 */
					BgL_makezd2boxzd2_bglt BgL_new1825z00_9250;

					{	/* Ast/nodetype.sch 1126 */
						BgL_makezd2boxzd2_bglt BgL_new1824z00_9251;

						BgL_new1824z00_9251 =
							((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_makezd2boxzd2_bgl))));
						{	/* Ast/nodetype.sch 1126 */
							long BgL_arg2434z00_9252;

							{	/* Ast/nodetype.sch 1126 */
								long BgL_res3248z00_9253;

								{	/* Ast/nodetype.sch 1126 */
									obj_t BgL_classz00_9254;

									BgL_classz00_9254 = BGl_makezd2boxzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 1126 */
										obj_t BgL_vectorz00_9255;
										int BgL_kz00_9256;

										BgL_vectorz00_9255 = BgL_classz00_9254;
										BgL_kz00_9256 = (int) (((long) 1));
										BgL_res3248z00_9253 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9255,
												BgL_kz00_9256));
								}}
								BgL_arg2434z00_9252 = BgL_res3248z00_9253;
							}
							{	/* Ast/nodetype.sch 1126 */
								BgL_objectz00_bglt BgL_objz00_9257;

								BgL_objz00_9257 = ((BgL_objectz00_bglt) BgL_new1824z00_9251);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9257, BgL_arg2434z00_9252);
						}}
						{	/* Ast/nodetype.sch 1126 */
							BgL_objectz00_bglt BgL_auxz00_12642;

							BgL_auxz00_12642 = ((BgL_objectz00_bglt) BgL_new1824z00_9251);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12642, BFALSE);
						}
						BgL_new1825z00_9250 = BgL_new1824z00_9251;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1825z00_9250)))->BgL_locz00) =
						((obj_t) BgL_loc1438z00_6952), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1825z00_9250)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1439z00_9246), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1825z00_9250)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1440zd2_6954), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1825z00_9250)))->BgL_keyz00) =
						((obj_t) BgL_key1441z00_6955), BUNSPEC);
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1825z00_9250))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1442z00_9249), BUNSPEC);
					return BgL_new1825z00_9250;
				}
			}
		}
	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_795)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1127 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_795,
				BGl_makezd2boxzd2zzast_nodez00);
		}
	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_6957,
		obj_t BgL_objz00_6958)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1127 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6958,
					BGl_makezd2boxzd2zzast_nodez00));
		}
	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt BGl_makezd2boxzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1128 */
			{	/* Ast/nodetype.sch 1128 */
				obj_t BgL_classz00_4619;

				BgL_classz00_4619 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1128 */
					obj_t BgL__ortest_1090z00_4620;

					BgL__ortest_1090z00_4620 =
						VECTOR_REF(BgL_classz00_4619, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4620))
						{	/* Ast/nodetype.sch 1128 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1090z00_4620);
						}
					else
						{	/* Ast/nodetype.sch 1128 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4619));
						}
				}
			}
		}
	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6959)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1128 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}
	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_796)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1129 */
			return (((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_796))->BgL_valuez00);
		}
	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_6960, obj_t BgL_oz00_6961)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1129 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_6961)))->BgL_valuez00);
		}
	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_797, BgL_nodez00_bglt BgL_vz00_798)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1130 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_797))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_798), BUNSPEC);
		}
	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6962, obj_t BgL_oz00_6963, obj_t BgL_vz00_6964)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1130 */
			{	/* Ast/nodetype.sch 1130 */
				BgL_makezd2boxzd2_bglt BgL_oz00_9260;
				BgL_nodez00_bglt BgL_vz00_9261;

				BgL_oz00_9260 = ((BgL_makezd2boxzd2_bglt) BgL_oz00_6963);
				BgL_vz00_9261 = ((BgL_nodez00_bglt) BgL_vz00_6964);
				return
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_9260))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9261), BUNSPEC);
			}
		}
	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_799)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1131 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_799)))->BgL_keyz00);
		}
	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_6965,
		obj_t BgL_oz00_6966)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1131 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6966))))->BgL_keyz00);
		}
	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_800, obj_t BgL_vz00_801)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1132 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_800)))->BgL_keyz00) =
				((obj_t) BgL_vz00_801), BUNSPEC);
		}
	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6967,
		obj_t BgL_oz00_6968, obj_t BgL_vz00_6969)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1132 */
			{	/* Ast/nodetype.sch 1132 */
				BgL_makezd2boxzd2_bglt BgL_oz00_9263;

				BgL_oz00_9263 = ((BgL_makezd2boxzd2_bglt) BgL_oz00_6968);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9263)))->BgL_keyz00) =
					((obj_t) BgL_vz00_6969), BUNSPEC);
			}
		}
	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_802)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1133 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_802)))->BgL_sidezd2effectzd2);
		}
	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6970,
		obj_t BgL_oz00_6971)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1133 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6971))))->
				BgL_sidezd2effectzd2);
		}
	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_803, obj_t BgL_vz00_804)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1134 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_803)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_804), BUNSPEC);
		}
	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6972, obj_t BgL_oz00_6973, obj_t BgL_vz00_6974)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1134 */
			{	/* Ast/nodetype.sch 1134 */
				BgL_makezd2boxzd2_bglt BgL_oz00_9266;

				BgL_oz00_9266 = ((BgL_makezd2boxzd2_bglt) BgL_oz00_6973);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9266)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6974), BUNSPEC);
			}
		}
	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_805)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1135 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_805)))->BgL_typez00);
		}
	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6975, obj_t BgL_oz00_6976)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1135 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6976))))->BgL_typez00);
		}
	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_806, BgL_typez00_bglt BgL_vz00_807)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1136 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_806)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_807), BUNSPEC);
		}
	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6977,
		obj_t BgL_oz00_6978, obj_t BgL_vz00_6979)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1136 */
			{	/* Ast/nodetype.sch 1136 */
				BgL_makezd2boxzd2_bglt BgL_oz00_9269;
				BgL_typez00_bglt BgL_vz00_9270;

				BgL_oz00_9269 = ((BgL_makezd2boxzd2_bglt) BgL_oz00_6978);
				BgL_vz00_9270 = ((BgL_typez00_bglt) BgL_vz00_6979);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9269)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9270), BUNSPEC);
			}
		}
	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_808)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1137 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_808)))->BgL_locz00);
		}
	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_6980,
		obj_t BgL_oz00_6981)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1137 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6981))))->BgL_locz00);
		}
	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1432z00_811,
		BgL_typez00_bglt BgL_type1433z00_812, obj_t BgL_sidezd2effect1434zd2_813,
		obj_t BgL_key1435z00_814, BgL_varz00_bglt BgL_var1436z00_815)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1141 */
			{	/* Ast/nodetype.sch 1141 */
				BgL_boxzd2refzd2_bglt BgL_new1837z00_9272;

				{	/* Ast/nodetype.sch 1141 */
					BgL_boxzd2refzd2_bglt BgL_new1836z00_9273;

					BgL_new1836z00_9273 =
						((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1141 */
						long BgL_arg2435z00_9274;

						{	/* Ast/nodetype.sch 1141 */
							long BgL_res3249z00_9275;

							{	/* Ast/nodetype.sch 1141 */
								obj_t BgL_classz00_9276;

								BgL_classz00_9276 = BGl_boxzd2refzd2zzast_nodez00;
								{	/* Ast/nodetype.sch 1141 */
									obj_t BgL_vectorz00_9277;
									int BgL_kz00_9278;

									BgL_vectorz00_9277 = BgL_classz00_9276;
									BgL_kz00_9278 = (int) (((long) 1));
									BgL_res3249z00_9275 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9277, BgL_kz00_9278));
							}}
							BgL_arg2435z00_9274 = BgL_res3249z00_9275;
						}
						{	/* Ast/nodetype.sch 1141 */
							BgL_objectz00_bglt BgL_objz00_9279;

							BgL_objz00_9279 = ((BgL_objectz00_bglt) BgL_new1836z00_9273);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9279, BgL_arg2435z00_9274);
					}}
					{	/* Ast/nodetype.sch 1141 */
						BgL_objectz00_bglt BgL_auxz00_12714;

						BgL_auxz00_12714 = ((BgL_objectz00_bglt) BgL_new1836z00_9273);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12714, BFALSE);
					}
					BgL_new1837z00_9272 = BgL_new1836z00_9273;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1837z00_9272)))->BgL_locz00) =
					((obj_t) BgL_loc1432z00_811), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1837z00_9272)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1433z00_812), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1837z00_9272)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1434zd2_813), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1837z00_9272)))->BgL_keyz00) =
					((obj_t) BgL_key1435z00_814), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1837z00_9272))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1436z00_815), BUNSPEC);
				return BgL_new1837z00_9272;
			}
		}
	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_6982, obj_t BgL_loc1432z00_6983, obj_t BgL_type1433z00_6984,
		obj_t BgL_sidezd2effect1434zd2_6985, obj_t BgL_key1435z00_6986,
		obj_t BgL_var1436z00_6987)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1141 */
			{	/* Ast/nodetype.sch 1141 */
				BgL_typez00_bglt BgL_type1433z00_9281;
				BgL_varz00_bglt BgL_var1436z00_9284;

				BgL_type1433z00_9281 = ((BgL_typez00_bglt) BgL_type1433z00_6984);
				BgL_var1436z00_9284 = ((BgL_varz00_bglt) BgL_var1436z00_6987);
				{	/* Ast/nodetype.sch 1141 */
					BgL_boxzd2refzd2_bglt BgL_new1837z00_9285;

					{	/* Ast/nodetype.sch 1141 */
						BgL_boxzd2refzd2_bglt BgL_new1836z00_9286;

						BgL_new1836z00_9286 =
							((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzd2_bgl))));
						{	/* Ast/nodetype.sch 1141 */
							long BgL_arg2435z00_9287;

							{	/* Ast/nodetype.sch 1141 */
								long BgL_res3249z00_9288;

								{	/* Ast/nodetype.sch 1141 */
									obj_t BgL_classz00_9289;

									BgL_classz00_9289 = BGl_boxzd2refzd2zzast_nodez00;
									{	/* Ast/nodetype.sch 1141 */
										obj_t BgL_vectorz00_9290;
										int BgL_kz00_9291;

										BgL_vectorz00_9290 = BgL_classz00_9289;
										BgL_kz00_9291 = (int) (((long) 1));
										BgL_res3249z00_9288 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9290,
												BgL_kz00_9291));
								}}
								BgL_arg2435z00_9287 = BgL_res3249z00_9288;
							}
							{	/* Ast/nodetype.sch 1141 */
								BgL_objectz00_bglt BgL_objz00_9292;

								BgL_objz00_9292 = ((BgL_objectz00_bglt) BgL_new1836z00_9286);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9292, BgL_arg2435z00_9287);
						}}
						{	/* Ast/nodetype.sch 1141 */
							BgL_objectz00_bglt BgL_auxz00_12734;

							BgL_auxz00_12734 = ((BgL_objectz00_bglt) BgL_new1836z00_9286);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12734, BFALSE);
						}
						BgL_new1837z00_9285 = BgL_new1836z00_9286;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1837z00_9285)))->BgL_locz00) =
						((obj_t) BgL_loc1432z00_6983), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1837z00_9285)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1433z00_9281), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1837z00_9285)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1434zd2_6985), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1837z00_9285)))->BgL_keyz00) =
						((obj_t) BgL_key1435z00_6986), BUNSPEC);
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1837z00_9285))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1436z00_9284), BUNSPEC);
					return BgL_new1837z00_9285;
				}
			}
		}
	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_816)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1142 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_816,
				BGl_boxzd2refzd2zzast_nodez00);
		}
	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_6988,
		obj_t BgL_objz00_6989)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1142 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6989,
					BGl_boxzd2refzd2zzast_nodez00));
		}
	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1143 */
			{	/* Ast/nodetype.sch 1143 */
				obj_t BgL_classz00_4641;

				BgL_classz00_4641 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1143 */
					obj_t BgL__ortest_1090z00_4642;

					BgL__ortest_1090z00_4642 =
						VECTOR_REF(BgL_classz00_4641, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4642))
						{	/* Ast/nodetype.sch 1143 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1090z00_4642);
						}
					else
						{	/* Ast/nodetype.sch 1143 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4641));
						}
				}
			}
		}
	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6990)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1143 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}
	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_817)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1144 */
			return (((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_817))->BgL_varz00);
		}
	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_6991,
		obj_t BgL_oz00_6992)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1144 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_6992)))->BgL_varz00);
		}
	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_818, BgL_varz00_bglt BgL_vz00_819)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1145 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_818))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_819), BUNSPEC);
		}
	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6993,
		obj_t BgL_oz00_6994, obj_t BgL_vz00_6995)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1145 */
			{	/* Ast/nodetype.sch 1145 */
				BgL_boxzd2refzd2_bglt BgL_oz00_9295;
				BgL_varz00_bglt BgL_vz00_9296;

				BgL_oz00_9295 = ((BgL_boxzd2refzd2_bglt) BgL_oz00_6994);
				BgL_vz00_9296 = ((BgL_varz00_bglt) BgL_vz00_6995);
				return
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_9295))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9296), BUNSPEC);
			}
		}
	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_820)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1146 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_820)))->BgL_keyz00);
		}
	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_6996,
		obj_t BgL_oz00_6997)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1146 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_6997))))->BgL_keyz00);
		}
	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_821, obj_t BgL_vz00_822)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1147 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_821)))->BgL_keyz00) =
				((obj_t) BgL_vz00_822), BUNSPEC);
		}
	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6998,
		obj_t BgL_oz00_6999, obj_t BgL_vz00_7000)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1147 */
			{	/* Ast/nodetype.sch 1147 */
				BgL_boxzd2refzd2_bglt BgL_oz00_9298;

				BgL_oz00_9298 = ((BgL_boxzd2refzd2_bglt) BgL_oz00_6999);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9298)))->BgL_keyz00) =
					((obj_t) BgL_vz00_7000), BUNSPEC);
			}
		}
	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_823)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1148 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_823)))->BgL_sidezd2effectzd2);
		}
	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7001,
		obj_t BgL_oz00_7002)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1148 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7002))))->BgL_sidezd2effectzd2);
		}
	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_824, obj_t BgL_vz00_825)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1149 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_824)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_825), BUNSPEC);
		}
	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7003, obj_t BgL_oz00_7004, obj_t BgL_vz00_7005)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1149 */
			{	/* Ast/nodetype.sch 1149 */
				BgL_boxzd2refzd2_bglt BgL_oz00_9301;

				BgL_oz00_9301 = ((BgL_boxzd2refzd2_bglt) BgL_oz00_7004);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_9301)))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_7005), BUNSPEC);
			}
		}
	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_826)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1150 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_826)))->BgL_typez00);
		}
	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7006, obj_t BgL_oz00_7007)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1150 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7007))))->BgL_typez00);
		}
	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_827, BgL_typez00_bglt BgL_vz00_828)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1151 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_827)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_828), BUNSPEC);
		}
	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7008,
		obj_t BgL_oz00_7009, obj_t BgL_vz00_7010)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1151 */
			{	/* Ast/nodetype.sch 1151 */
				BgL_boxzd2refzd2_bglt BgL_oz00_9304;
				BgL_typez00_bglt BgL_vz00_9305;

				BgL_oz00_9304 = ((BgL_boxzd2refzd2_bglt) BgL_oz00_7009);
				BgL_vz00_9305 = ((BgL_typez00_bglt) BgL_vz00_7010);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9304)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9305), BUNSPEC);
			}
		}
	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_829)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1152 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_829)))->BgL_locz00);
		}
	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_7011,
		obj_t BgL_oz00_7012)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1152 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7012))))->BgL_locz00);
		}
	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1427z00_832,
		BgL_typez00_bglt BgL_type1428z00_833, BgL_varz00_bglt BgL_var1429z00_834,
		BgL_nodez00_bglt BgL_value1430z00_835)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1156 */
			{	/* Ast/nodetype.sch 1156 */
				BgL_boxzd2setz12zc0_bglt BgL_new1849z00_9307;

				{	/* Ast/nodetype.sch 1156 */
					BgL_boxzd2setz12zc0_bglt BgL_new1848z00_9308;

					BgL_new1848z00_9308 =
						((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1156 */
						long BgL_arg2436z00_9309;

						{	/* Ast/nodetype.sch 1156 */
							long BgL_res3250z00_9310;

							{	/* Ast/nodetype.sch 1156 */
								obj_t BgL_classz00_9311;

								BgL_classz00_9311 = BGl_boxzd2setz12zc0zzast_nodez00;
								{	/* Ast/nodetype.sch 1156 */
									obj_t BgL_vectorz00_9312;
									int BgL_kz00_9313;

									BgL_vectorz00_9312 = BgL_classz00_9311;
									BgL_kz00_9313 = (int) (((long) 1));
									BgL_res3250z00_9310 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_9312, BgL_kz00_9313));
							}}
							BgL_arg2436z00_9309 = BgL_res3250z00_9310;
						}
						{	/* Ast/nodetype.sch 1156 */
							BgL_objectz00_bglt BgL_objz00_9314;

							BgL_objz00_9314 = ((BgL_objectz00_bglt) BgL_new1848z00_9308);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9314, BgL_arg2436z00_9309);
					}}
					{	/* Ast/nodetype.sch 1156 */
						BgL_objectz00_bglt BgL_auxz00_12806;

						BgL_auxz00_12806 = ((BgL_objectz00_bglt) BgL_new1848z00_9308);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12806, BFALSE);
					}
					BgL_new1849z00_9307 = BgL_new1848z00_9308;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1849z00_9307)))->BgL_locz00) =
					((obj_t) BgL_loc1427z00_832), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1849z00_9307)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1428z00_833), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1849z00_9307))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1429z00_834), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1849z00_9307))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1430z00_835), BUNSPEC);
				return BgL_new1849z00_9307;
			}
		}
	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7013, obj_t BgL_loc1427z00_7014, obj_t BgL_type1428z00_7015,
		obj_t BgL_var1429z00_7016, obj_t BgL_value1430z00_7017)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1156 */
			{	/* Ast/nodetype.sch 1156 */
				BgL_typez00_bglt BgL_type1428z00_9316;
				BgL_varz00_bglt BgL_var1429z00_9317;
				BgL_nodez00_bglt BgL_value1430z00_9318;

				BgL_type1428z00_9316 = ((BgL_typez00_bglt) BgL_type1428z00_7015);
				BgL_var1429z00_9317 = ((BgL_varz00_bglt) BgL_var1429z00_7016);
				BgL_value1430z00_9318 = ((BgL_nodez00_bglt) BgL_value1430z00_7017);
				{	/* Ast/nodetype.sch 1156 */
					BgL_boxzd2setz12zc0_bglt BgL_new1849z00_9319;

					{	/* Ast/nodetype.sch 1156 */
						BgL_boxzd2setz12zc0_bglt BgL_new1848z00_9320;

						BgL_new1848z00_9320 =
							((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zc0_bgl))));
						{	/* Ast/nodetype.sch 1156 */
							long BgL_arg2436z00_9321;

							{	/* Ast/nodetype.sch 1156 */
								long BgL_res3250z00_9322;

								{	/* Ast/nodetype.sch 1156 */
									obj_t BgL_classz00_9323;

									BgL_classz00_9323 = BGl_boxzd2setz12zc0zzast_nodez00;
									{	/* Ast/nodetype.sch 1156 */
										obj_t BgL_vectorz00_9324;
										int BgL_kz00_9325;

										BgL_vectorz00_9324 = BgL_classz00_9323;
										BgL_kz00_9325 = (int) (((long) 1));
										BgL_res3250z00_9322 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_9324,
												BgL_kz00_9325));
								}}
								BgL_arg2436z00_9321 = BgL_res3250z00_9322;
							}
							{	/* Ast/nodetype.sch 1156 */
								BgL_objectz00_bglt BgL_objz00_9326;

								BgL_objz00_9326 = ((BgL_objectz00_bglt) BgL_new1848z00_9320);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_9326, BgL_arg2436z00_9321);
						}}
						{	/* Ast/nodetype.sch 1156 */
							BgL_objectz00_bglt BgL_auxz00_12824;

							BgL_auxz00_12824 = ((BgL_objectz00_bglt) BgL_new1848z00_9320);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12824, BFALSE);
						}
						BgL_new1849z00_9319 = BgL_new1848z00_9320;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1849z00_9319)))->BgL_locz00) =
						((obj_t) BgL_loc1427z00_7014), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1849z00_9319)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1428z00_9316), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1849z00_9319))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1429z00_9317), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1849z00_9319))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1430z00_9318), BUNSPEC);
					return BgL_new1849z00_9319;
				}
			}
		}
	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_836)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1157 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_836,
				BGl_boxzd2setz12zc0zzast_nodez00);
		}
	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_7018,
		obj_t BgL_objz00_7019)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1157 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_7019,
					BGl_boxzd2setz12zc0zzast_nodez00));
		}
	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1158 */
			{	/* Ast/nodetype.sch 1158 */
				obj_t BgL_classz00_4663;

				BgL_classz00_4663 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1158 */
					obj_t BgL__ortest_1090z00_4664;

					BgL__ortest_1090z00_4664 =
						VECTOR_REF(BgL_classz00_4663, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1090z00_4664))
						{	/* Ast/nodetype.sch 1158 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1090z00_4664);
						}
					else
						{	/* Ast/nodetype.sch 1158 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4663));
						}
				}
			}
		}
	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_7020)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1158 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}
	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_837)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1159 */
			return (((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_837))->BgL_valuez00);
		}
	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_7021, obj_t BgL_oz00_7022)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1159 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7022)))->BgL_valuez00);
		}
	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_838, BgL_nodez00_bglt BgL_vz00_839)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1160 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_838))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_839), BUNSPEC);
		}
	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7023, obj_t BgL_oz00_7024, obj_t BgL_vz00_7025)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1160 */
			{	/* Ast/nodetype.sch 1160 */
				BgL_boxzd2setz12zc0_bglt BgL_oz00_9329;
				BgL_nodez00_bglt BgL_vz00_9330;

				BgL_oz00_9329 = ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7024);
				BgL_vz00_9330 = ((BgL_nodez00_bglt) BgL_vz00_7025);
				return
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_9329))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9330), BUNSPEC);
			}
		}
	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_840)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1161 */
			return (((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_840))->BgL_varz00);
		}
	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_7026, obj_t BgL_oz00_7027)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1161 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7027)))->BgL_varz00);
		}
	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_841, BgL_varz00_bglt BgL_vz00_842)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1162 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_841))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_842), BUNSPEC);
		}
	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7028, obj_t BgL_oz00_7029, obj_t BgL_vz00_7030)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1162 */
			{	/* Ast/nodetype.sch 1162 */
				BgL_boxzd2setz12zc0_bglt BgL_oz00_9332;
				BgL_varz00_bglt BgL_vz00_9333;

				BgL_oz00_9332 = ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7029);
				BgL_vz00_9333 = ((BgL_varz00_bglt) BgL_vz00_7030);
				return
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_9332))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9333), BUNSPEC);
			}
		}
	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_843)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1163 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_843)))->BgL_typez00);
		}
	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_7031, obj_t BgL_oz00_7032)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1163 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7032))))->BgL_typez00);
		}
	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_844, BgL_typez00_bglt BgL_vz00_845)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1164 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_844)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_845), BUNSPEC);
		}
	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7033, obj_t BgL_oz00_7034, obj_t BgL_vz00_7035)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1164 */
			{	/* Ast/nodetype.sch 1164 */
				BgL_boxzd2setz12zc0_bglt BgL_oz00_9335;
				BgL_typez00_bglt BgL_vz00_9336;

				BgL_oz00_9335 = ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7034);
				BgL_vz00_9336 = ((BgL_typez00_bglt) BgL_vz00_7035);
				return
					((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_oz00_9335)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9336), BUNSPEC);
			}
		}
	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_846)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1165 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_846)))->BgL_locz00);
		}
	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_7036,
		obj_t BgL_oz00_7037)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1165 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7037))))->BgL_locz00);
		}
	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_849,
		BgL_typez00_bglt BgL_t2z00_850)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 263 */
			return BgL_t1z00_849;
		}
	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_7038, obj_t BgL_t1z00_7039, obj_t BgL_t2z00_7040)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 263 */
			return ((BgL_typez00_bglt) BgL_t1z00_7039);
		}
	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_893,
		obj_t BgL_procz00_894)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 432 */
			{
				obj_t BgL_l2282z00_1795;

				BgL_l2282z00_1795 = BgL_nodeza2za2_893;
			BgL_zc3anonymousza32437ze3z83_1796:
				if (PAIRP(BgL_l2282z00_1795))
					{	/* Ast/node.scm 433 */
						{	/* Ast/node.scm 433 */
							obj_t BgL_nodez00_1798;

							BgL_nodez00_1798 = CAR(BgL_l2282z00_1795);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1798), BgL_procz00_894);
						}
						{
							obj_t BgL_l2282z00_12880;

							BgL_l2282z00_12880 = CDR(BgL_l2282z00_1795);
							BgL_l2282z00_1795 = BgL_l2282z00_12880;
							goto BgL_zc3anonymousza32437ze3z83_1796;
						}
					}
				else
					{	/* Ast/node.scm 433 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg2443z00_1804;
				obj_t BgL_arg2444z00_1805;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v2284z00_1817;

					BgL_v2284z00_1817 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg2450z00_1818;

						BgL_arg2450z00_1818 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3355z00zzast_nodez00,
							BGl_proc3354z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2284z00_1817, (int) (((long) 1)),
							BgL_arg2450z00_1818);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg2455z00_1830;

						BgL_arg2455z00_1830 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3358z00zzast_nodez00,
							BGl_proc3357z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3356z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2284z00_1817, (int) (((long) 0)),
							BgL_arg2455z00_1830);
					}
					BgL_arg2443z00_1804 = BgL_v2284z00_1817;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v2285z00_1845;

					BgL_v2285z00_1845 = create_vector((int) (((long) 0)));
					BgL_arg2444z00_1805 = BgL_v2285z00_1845;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_objectz00zz__objectz00,
					((long) 44826), BGl_proc3361z00zzast_nodez00,
					BGl_proc3360z00zzast_nodez00, BFALSE, BGl_proc3359z00zzast_nodez00,
					BFALSE, BgL_arg2443z00_1804, BgL_arg2444z00_1805);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg2465z00_1852;
				obj_t BgL_arg2466z00_1853;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v2286z00_1867;

					BgL_v2286z00_1867 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg2472z00_1868;

						BgL_arg2472z00_1868 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3364z00zzast_nodez00,
							BGl_proc3363z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3362z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2286z00_1867, (int) (((long) 1)),
							BgL_arg2472z00_1868);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg2479z00_1883;

						BgL_arg2479z00_1883 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3367z00zzast_nodez00,
							BGl_proc3366z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3365z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2286z00_1867, (int) (((long) 0)),
							BgL_arg2479z00_1883);
					}
					BgL_arg2465z00_1852 = BgL_v2286z00_1867;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v2287z00_1898;

					BgL_v2287z00_1898 = create_vector((int) (((long) 0)));
					BgL_arg2466z00_1853 = BgL_v2287z00_1898;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 44959),
					BGl_proc3370z00zzast_nodez00, BGl_proc3369z00zzast_nodez00, BFALSE,
					BGl_proc3368z00zzast_nodez00, BFALSE, BgL_arg2465z00_1852,
					BgL_arg2466z00_1853);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg2489z00_1905;
				obj_t BgL_arg2490z00_1906;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v2288z00_1919;

					BgL_v2288z00_1919 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg2496z00_1920;

						BgL_arg2496z00_1920 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3372z00zzast_nodez00,
							BGl_proc3371z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2288z00_1919, (int) (((long) 0)),
							BgL_arg2496z00_1920);
					}
					BgL_arg2489z00_1905 = BgL_v2288z00_1919;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v2289z00_1932;

					BgL_v2289z00_1932 = create_vector((int) (((long) 0)));
					BgL_arg2490z00_1906 = BgL_v2289z00_1932;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 42583),
					BGl_proc3375z00zzast_nodez00, BGl_proc3374z00zzast_nodez00, BFALSE,
					BGl_proc3373z00zzast_nodez00, BFALSE, BgL_arg2489z00_1905,
					BgL_arg2490z00_1906);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg2504z00_1939;
				obj_t BgL_arg2505z00_1940;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v2290z00_1953;

					BgL_v2290z00_1953 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 51 */
						obj_t BgL_arg2512z00_1954;

						BgL_arg2512z00_1954 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3377z00zzast_nodez00,
							BGl_proc3376z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v2290z00_1953, (int) (((long) 0)),
							BgL_arg2512z00_1954);
					}
					BgL_arg2504z00_1939 = BgL_v2290z00_1953;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v2291z00_1966;

					BgL_v2291z00_1966 = create_vector((int) (((long) 0)));
					BgL_arg2505z00_1940 = BgL_v2291z00_1966;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 38068),
					BGl_proc3380z00zzast_nodez00, BGl_proc3379z00zzast_nodez00, BFALSE,
					BGl_proc3378z00zzast_nodez00, BFALSE, BgL_arg2504z00_1939,
					BgL_arg2505z00_1940);
			}
			{	/* Ast/node.scm 56 */
				obj_t BgL_arg2520z00_1973;
				obj_t BgL_arg2521z00_1974;

				{	/* Ast/node.scm 56 */
					obj_t BgL_v2292z00_1987;

					BgL_v2292z00_1987 = create_vector((int) (((long) 0)));
					BgL_arg2520z00_1973 = BgL_v2292z00_1987;
				}
				{	/* Ast/node.scm 56 */
					obj_t BgL_v2293z00_1988;

					BgL_v2293z00_1988 = create_vector((int) (((long) 0)));
					BgL_arg2521z00_1974 = BgL_v2293z00_1988;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 40917),
					BGl_proc3383z00zzast_nodez00, BGl_proc3382z00zzast_nodez00, BFALSE,
					BGl_proc3381z00zzast_nodez00, BFALSE, BgL_arg2520z00_1973,
					BgL_arg2521z00_1974);
			}
			{	/* Ast/node.scm 59 */
				obj_t BgL_arg2531z00_1995;
				obj_t BgL_arg2532z00_1996;

				{	/* Ast/node.scm 59 */
					obj_t BgL_v2294z00_2009;

					BgL_v2294z00_2009 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 59 */
						obj_t BgL_arg2538z00_2010;

						BgL_arg2538z00_2010 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3385z00zzast_nodez00,
							BGl_proc3384z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2294z00_2009, (int) (((long) 0)),
							BgL_arg2538z00_2010);
					}
					BgL_arg2531z00_1995 = BgL_v2294z00_2009;
				}
				{	/* Ast/node.scm 59 */
					obj_t BgL_v2295z00_2022;

					BgL_v2295z00_2022 = create_vector((int) (((long) 0)));
					BgL_arg2532z00_1996 = BgL_v2295z00_2022;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14781),
					BGl_proc3388z00zzast_nodez00, BGl_proc3387z00zzast_nodez00, BFALSE,
					BGl_proc3386z00zzast_nodez00, BFALSE, BgL_arg2531z00_1995,
					BgL_arg2532z00_1996);
			}
			{	/* Ast/node.scm 64 */
				obj_t BgL_arg2546z00_2029;
				obj_t BgL_arg2547z00_2030;

				{	/* Ast/node.scm 64 */
					obj_t BgL_v2296z00_2046;

					BgL_v2296z00_2046 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 64 */
						obj_t BgL_arg2553z00_2047;

						BgL_arg2553z00_2047 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3391z00zzast_nodez00,
							BGl_proc3390z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3389z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2296z00_2046, (int) (((long) 1)),
							BgL_arg2553z00_2047);
					}
					{	/* Ast/node.scm 64 */
						obj_t BgL_arg2560z00_2062;

						BgL_arg2560z00_2062 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3393z00zzast_nodez00,
							BGl_proc3392z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2296z00_2046, (int) (((long) 0)),
							BgL_arg2560z00_2062);
					}
					BgL_arg2546z00_2029 = BgL_v2296z00_2046;
				}
				{	/* Ast/node.scm 64 */
					obj_t BgL_v2297z00_2074;

					BgL_v2297z00_2074 = create_vector((int) (((long) 0)));
					BgL_arg2547z00_2030 = BgL_v2297z00_2074;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 24077), BGl_proc3396z00zzast_nodez00,
					BGl_proc3395z00zzast_nodez00, BFALSE, BGl_proc3394z00zzast_nodez00,
					BFALSE, BgL_arg2546z00_2029, BgL_arg2547z00_2030);
			}
			{	/* Ast/node.scm 69 */
				obj_t BgL_arg2568z00_2081;
				obj_t BgL_arg2569z00_2082;

				{	/* Ast/node.scm 69 */
					obj_t BgL_v2298z00_2098;

					BgL_v2298z00_2098 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 69 */
						obj_t BgL_arg2575z00_2099;

						BgL_arg2575z00_2099 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3398z00zzast_nodez00,
							BGl_proc3397z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2298z00_2098, (int) (((long) 1)),
							BgL_arg2575z00_2099);
					}
					{	/* Ast/node.scm 69 */
						obj_t BgL_arg2580z00_2111;

						BgL_arg2580z00_2111 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3400z00zzast_nodez00,
							BGl_proc3399z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2298z00_2098, (int) (((long) 0)),
							BgL_arg2580z00_2111);
					}
					BgL_arg2568z00_2081 = BgL_v2298z00_2098;
				}
				{	/* Ast/node.scm 69 */
					obj_t BgL_v2299z00_2123;

					BgL_v2299z00_2123 = create_vector((int) (((long) 0)));
					BgL_arg2569z00_2082 = BgL_v2299z00_2123;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 35480), BGl_proc3403z00zzast_nodez00,
					BGl_proc3402z00zzast_nodez00, BFALSE, BGl_proc3401z00zzast_nodez00,
					BFALSE, BgL_arg2568z00_2081, BgL_arg2569z00_2082);
			}
			{	/* Ast/node.scm 76 */
				obj_t BgL_arg2589z00_2130;
				obj_t BgL_arg2590z00_2131;

				{	/* Ast/node.scm 76 */
					obj_t BgL_v2300z00_2145;

					BgL_v2300z00_2145 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 76 */
						obj_t BgL_arg2597z00_2146;

						BgL_arg2597z00_2146 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc3405z00zzast_nodez00,
							BGl_proc3404z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2300z00_2145, (int) (((long) 1)),
							BgL_arg2597z00_2146);
					}
					{	/* Ast/node.scm 76 */
						obj_t BgL_arg2602z00_2158;

						BgL_arg2602z00_2158 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3407z00zzast_nodez00,
							BGl_proc3406z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2300z00_2145, (int) (((long) 0)),
							BgL_arg2602z00_2158);
					}
					BgL_arg2589z00_2130 = BgL_v2300z00_2145;
				}
				{	/* Ast/node.scm 76 */
					obj_t BgL_v2301z00_2170;

					BgL_v2301z00_2170 = create_vector((int) (((long) 0)));
					BgL_arg2590z00_2131 = BgL_v2301z00_2170;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 54426),
					BGl_proc3410z00zzast_nodez00, BGl_proc3409z00zzast_nodez00, BFALSE,
					BGl_proc3408z00zzast_nodez00, BFALSE, BgL_arg2589z00_2130,
					BgL_arg2590z00_2131);
			}
			{	/* Ast/node.scm 83 */
				obj_t BgL_arg2610z00_2177;
				obj_t BgL_arg2611z00_2178;

				{	/* Ast/node.scm 83 */
					obj_t BgL_v2302z00_2194;

					BgL_v2302z00_2194 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2617z00_2195;

						BgL_arg2617z00_2195 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3413z00zzast_nodez00,
							BGl_proc3412z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3411z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2302z00_2194, (int) (((long) 3)),
							BgL_arg2617z00_2195);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2624z00_2210;

						BgL_arg2624z00_2210 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3416z00zzast_nodez00,
							BGl_proc3415z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3414z00zzast_nodez00, CNST_TABLE_REF(((long) 25)));
						VECTOR_SET(BgL_v2302z00_2194, (int) (((long) 2)),
							BgL_arg2624z00_2210);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2631z00_2225;

						BgL_arg2631z00_2225 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3418z00zzast_nodez00,
							BGl_proc3417z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2302z00_2194, (int) (((long) 1)),
							BgL_arg2631z00_2225);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2636z00_2237;

						BgL_arg2636z00_2237 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3420z00zzast_nodez00,
							BGl_proc3419z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2302z00_2194, (int) (((long) 0)),
							BgL_arg2636z00_2237);
					}
					BgL_arg2610z00_2177 = BgL_v2302z00_2194;
				}
				{	/* Ast/node.scm 83 */
					obj_t BgL_v2303z00_2249;

					BgL_v2303z00_2249 = create_vector((int) (((long) 0)));
					BgL_arg2611z00_2178 = BgL_v2303z00_2249;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14944),
					BGl_proc3423z00zzast_nodez00, BGl_proc3422z00zzast_nodez00, BFALSE,
					BGl_proc3421z00zzast_nodez00, BFALSE, BgL_arg2610z00_2177,
					BgL_arg2611z00_2178);
			}
			{	/* Ast/node.scm 95 */
				obj_t BgL_arg2645z00_2256;
				obj_t BgL_arg2646z00_2257;

				{	/* Ast/node.scm 95 */
					obj_t BgL_v2304z00_2273;

					BgL_v2304z00_2273 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2652z00_2274;

						BgL_arg2652z00_2274 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3426z00zzast_nodez00,
							BGl_proc3425z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3424z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2304z00_2273, (int) (((long) 1)),
							BgL_arg2652z00_2274);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2659z00_2289;

						BgL_arg2659z00_2289 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3429z00zzast_nodez00,
							BGl_proc3428z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3427z00zzast_nodez00, CNST_TABLE_REF(((long) 29)));
						VECTOR_SET(BgL_v2304z00_2273, (int) (((long) 0)),
							BgL_arg2659z00_2289);
					}
					BgL_arg2645z00_2256 = BgL_v2304z00_2273;
				}
				{	/* Ast/node.scm 95 */
					obj_t BgL_v2305z00_2304;

					BgL_v2305z00_2304 = create_vector((int) (((long) 0)));
					BgL_arg2646z00_2257 = BgL_v2305z00_2304;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 3996), BGl_proc3432z00zzast_nodez00,
					BGl_proc3431z00zzast_nodez00, BFALSE, BGl_proc3430z00zzast_nodez00,
					BFALSE, BgL_arg2645z00_2256, BgL_arg2646z00_2257);
			}
			{	/* Ast/node.scm 102 */
				obj_t BgL_arg2670z00_2311;
				obj_t BgL_arg2671z00_2312;

				{	/* Ast/node.scm 102 */
					obj_t BgL_v2306z00_2329;

					BgL_v2306z00_2329 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 102 */
						obj_t BgL_arg2677z00_2330;

						BgL_arg2677z00_2330 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc3434z00zzast_nodez00,
							BGl_proc3433z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2306z00_2329, (int) (((long) 0)),
							BgL_arg2677z00_2330);
					}
					BgL_arg2670z00_2311 = BgL_v2306z00_2329;
				}
				{	/* Ast/node.scm 102 */
					obj_t BgL_v2307z00_2342;

					BgL_v2307z00_2342 = create_vector((int) (((long) 0)));
					BgL_arg2671z00_2312 = BgL_v2307z00_2342;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00, ((long) 1873),
					BGl_proc3437z00zzast_nodez00, BGl_proc3436z00zzast_nodez00, BFALSE,
					BGl_proc3435z00zzast_nodez00, BFALSE, BgL_arg2670z00_2311,
					BgL_arg2671z00_2312);
			}
			{	/* Ast/node.scm 106 */
				obj_t BgL_arg2685z00_2349;
				obj_t BgL_arg2687z00_2350;

				{	/* Ast/node.scm 106 */
					obj_t BgL_v2308z00_2367;

					BgL_v2308z00_2367 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 106 */
						obj_t BgL_arg2694z00_2368;

						BgL_arg2694z00_2368 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3439z00zzast_nodez00,
							BGl_proc3438z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2308z00_2367, (int) (((long) 0)),
							BgL_arg2694z00_2368);
					}
					BgL_arg2685z00_2349 = BgL_v2308z00_2367;
				}
				{	/* Ast/node.scm 106 */
					obj_t BgL_v2309z00_2380;

					BgL_v2309z00_2380 = create_vector((int) (((long) 0)));
					BgL_arg2687z00_2350 = BgL_v2309z00_2380;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30541), BGl_proc3442z00zzast_nodez00,
					BGl_proc3441z00zzast_nodez00, BFALSE, BGl_proc3440z00zzast_nodez00,
					BFALSE, BgL_arg2685z00_2349, BgL_arg2687z00_2350);
			}
			{	/* Ast/node.scm 110 */
				obj_t BgL_arg2702z00_2387;
				obj_t BgL_arg2704z00_2388;

				{	/* Ast/node.scm 110 */
					obj_t BgL_v2310z00_2408;

					BgL_v2310z00_2408 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2710z00_2409;

						BgL_arg2710z00_2409 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3444z00zzast_nodez00,
							BGl_proc3443z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2310z00_2408, (int) (((long) 2)),
							BgL_arg2710z00_2409);
					}
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2715z00_2421;

						BgL_arg2715z00_2421 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3446z00zzast_nodez00,
							BGl_proc3445z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2310z00_2408, (int) (((long) 1)),
							BgL_arg2715z00_2421);
					}
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2720z00_2433;

						BgL_arg2720z00_2433 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3448z00zzast_nodez00,
							BGl_proc3447z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2310z00_2408, (int) (((long) 0)),
							BgL_arg2720z00_2433);
					}
					BgL_arg2702z00_2387 = BgL_v2310z00_2408;
				}
				{	/* Ast/node.scm 110 */
					obj_t BgL_v2311z00_2445;

					BgL_v2311z00_2445 = create_vector((int) (((long) 0)));
					BgL_arg2704z00_2388 = BgL_v2311z00_2445;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 53519), BGl_proc3451z00zzast_nodez00,
					BGl_proc3450z00zzast_nodez00, BFALSE, BGl_proc3449z00zzast_nodez00,
					BFALSE, BgL_arg2702z00_2387, BgL_arg2704z00_2388);
			}
			{	/* Ast/node.scm 119 */
				obj_t BgL_arg2728z00_2452;
				obj_t BgL_arg2729z00_2453;

				{	/* Ast/node.scm 119 */
					obj_t BgL_v2312z00_2473;

					BgL_v2312z00_2473 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2735z00_2474;

						BgL_arg2735z00_2474 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3453z00zzast_nodez00,
							BGl_proc3452z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2312z00_2473, (int) (((long) 2)),
							BgL_arg2735z00_2474);
					}
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2740z00_2486;

						BgL_arg2740z00_2486 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3455z00zzast_nodez00,
							BGl_proc3454z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2312z00_2473, (int) (((long) 1)),
							BgL_arg2740z00_2486);
					}
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2745z00_2498;

						BgL_arg2745z00_2498 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3457z00zzast_nodez00,
							BGl_proc3456z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2312z00_2473, (int) (((long) 0)),
							BgL_arg2745z00_2498);
					}
					BgL_arg2728z00_2452 = BgL_v2312z00_2473;
				}
				{	/* Ast/node.scm 119 */
					obj_t BgL_v2313z00_2510;

					BgL_v2313z00_2510 = create_vector((int) (((long) 0)));
					BgL_arg2729z00_2453 = BgL_v2313z00_2510;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 18739), BGl_proc3460z00zzast_nodez00,
					BGl_proc3459z00zzast_nodez00, BFALSE, BGl_proc3458z00zzast_nodez00,
					BFALSE, BgL_arg2728z00_2452, BgL_arg2729z00_2453);
			}
			{	/* Ast/node.scm 129 */
				obj_t BgL_arg2753z00_2517;
				obj_t BgL_arg2754z00_2518;

				{	/* Ast/node.scm 129 */
					obj_t BgL_v2314z00_2536;

					BgL_v2314z00_2536 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 129 */
						obj_t BgL_arg2760z00_2537;

						BgL_arg2760z00_2537 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3462z00zzast_nodez00,
							BGl_proc3461z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2314z00_2536, (int) (((long) 0)),
							BgL_arg2760z00_2537);
					}
					BgL_arg2753z00_2517 = BgL_v2314z00_2536;
				}
				{	/* Ast/node.scm 129 */
					obj_t BgL_v2315z00_2549;

					BgL_v2315z00_2549 = create_vector((int) (((long) 0)));
					BgL_arg2754z00_2518 = BgL_v2315z00_2549;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 56467), BGl_proc3465z00zzast_nodez00,
					BGl_proc3464z00zzast_nodez00, BFALSE, BGl_proc3463z00zzast_nodez00,
					BFALSE, BgL_arg2753z00_2517, BgL_arg2754z00_2518);
			}
			{	/* Ast/node.scm 133 */
				obj_t BgL_arg2768z00_2556;
				obj_t BgL_arg2769z00_2557;

				{	/* Ast/node.scm 133 */
					obj_t BgL_v2316z00_2575;

					BgL_v2316z00_2575 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 133 */
						obj_t BgL_arg2775z00_2576;

						BgL_arg2775z00_2576 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc3468z00zzast_nodez00,
							BGl_proc3467z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3466z00zzast_nodez00, CNST_TABLE_REF(((long) 29)));
						VECTOR_SET(BgL_v2316z00_2575, (int) (((long) 0)),
							BgL_arg2775z00_2576);
					}
					BgL_arg2768z00_2556 = BgL_v2316z00_2575;
				}
				{	/* Ast/node.scm 133 */
					obj_t BgL_v2317z00_2591;

					BgL_v2317z00_2591 = create_vector((int) (((long) 0)));
					BgL_arg2769z00_2557 = BgL_v2317z00_2591;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 21062), BGl_proc3471z00zzast_nodez00,
					BGl_proc3470z00zzast_nodez00, BFALSE, BGl_proc3469z00zzast_nodez00,
					BFALSE, BgL_arg2768z00_2556, BgL_arg2769z00_2557);
			}
			{	/* Ast/node.scm 137 */
				obj_t BgL_arg2785z00_2598;
				obj_t BgL_arg2786z00_2599;

				{	/* Ast/node.scm 137 */
					obj_t BgL_v2318z00_2618;

					BgL_v2318z00_2618 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2792z00_2619;

						BgL_arg2792z00_2619 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3473z00zzast_nodez00,
							BGl_proc3472z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2318z00_2618, (int) (((long) 1)),
							BgL_arg2792z00_2619);
					}
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2797z00_2631;

						BgL_arg2797z00_2631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3475z00zzast_nodez00,
							BGl_proc3474z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2318z00_2618, (int) (((long) 0)),
							BgL_arg2797z00_2631);
					}
					BgL_arg2785z00_2598 = BgL_v2318z00_2618;
				}
				{	/* Ast/node.scm 137 */
					obj_t BgL_v2319z00_2643;

					BgL_v2319z00_2643 = create_vector((int) (((long) 0)));
					BgL_arg2786z00_2599 = BgL_v2319z00_2643;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 60165), BGl_proc3478z00zzast_nodez00,
					BGl_proc3477z00zzast_nodez00, BFALSE, BGl_proc3476z00zzast_nodez00,
					BFALSE, BgL_arg2785z00_2598, BgL_arg2786z00_2599);
			}
			{	/* Ast/node.scm 144 */
				obj_t BgL_arg2805z00_2650;
				obj_t BgL_arg2806z00_2651;

				{	/* Ast/node.scm 144 */
					obj_t BgL_v2320z00_2672;

					BgL_v2320z00_2672 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2812z00_2673;

						BgL_arg2812z00_2673 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3481z00zzast_nodez00,
							BGl_proc3480z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3479z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2320z00_2672, (int) (((long) 3)),
							BgL_arg2812z00_2673);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2819z00_2688;

						BgL_arg2819z00_2688 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3483z00zzast_nodez00,
							BGl_proc3482z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2320z00_2672, (int) (((long) 2)),
							BgL_arg2819z00_2688);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2824z00_2700;

						BgL_arg2824z00_2700 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3485z00zzast_nodez00,
							BGl_proc3484z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2320z00_2672, (int) (((long) 1)),
							BgL_arg2824z00_2700);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2829z00_2712;

						BgL_arg2829z00_2712 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3487z00zzast_nodez00,
							BGl_proc3486z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2320z00_2672, (int) (((long) 0)),
							BgL_arg2829z00_2712);
					}
					BgL_arg2805z00_2650 = BgL_v2320z00_2672;
				}
				{	/* Ast/node.scm 144 */
					obj_t BgL_v2321z00_2724;

					BgL_v2321z00_2724 = create_vector((int) (((long) 0)));
					BgL_arg2806z00_2651 = BgL_v2321z00_2724;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 50258), BGl_proc3490z00zzast_nodez00,
					BGl_proc3489z00zzast_nodez00, BFALSE, BGl_proc3488z00zzast_nodez00,
					BFALSE, BgL_arg2805z00_2650, BgL_arg2806z00_2651);
			}
			{	/* Ast/node.scm 155 */
				obj_t BgL_arg2837z00_2731;
				obj_t BgL_arg2838z00_2732;

				{	/* Ast/node.scm 155 */
					obj_t BgL_v2322z00_2753;

					BgL_v2322z00_2753 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2844z00_2754;

						BgL_arg2844z00_2754 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3493z00zzast_nodez00,
							BGl_proc3492z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3491z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2322z00_2753, (int) (((long) 3)),
							BgL_arg2844z00_2754);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2851z00_2769;

						BgL_arg2851z00_2769 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3495z00zzast_nodez00,
							BGl_proc3494z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2322z00_2753, (int) (((long) 2)),
							BgL_arg2851z00_2769);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2856z00_2781;

						BgL_arg2856z00_2781 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3497z00zzast_nodez00,
							BGl_proc3496z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2322z00_2753, (int) (((long) 1)),
							BgL_arg2856z00_2781);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2861z00_2793;

						BgL_arg2861z00_2793 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3499z00zzast_nodez00,
							BGl_proc3498z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2322z00_2753, (int) (((long) 0)),
							BgL_arg2861z00_2793);
					}
					BgL_arg2837z00_2731 = BgL_v2322z00_2753;
				}
				{	/* Ast/node.scm 155 */
					obj_t BgL_v2323z00_2805;

					BgL_v2323z00_2805 = create_vector((int) (((long) 0)));
					BgL_arg2838z00_2732 = BgL_v2323z00_2805;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 47)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 16130), BGl_proc3502z00zzast_nodez00,
					BGl_proc3501z00zzast_nodez00, BFALSE, BGl_proc3500z00zzast_nodez00,
					BFALSE, BgL_arg2837z00_2731, BgL_arg2838z00_2732);
			}
			{	/* Ast/node.scm 166 */
				obj_t BgL_arg2869z00_2812;
				obj_t BgL_arg2870z00_2813;

				{	/* Ast/node.scm 166 */
					obj_t BgL_v2324z00_2831;

					BgL_v2324z00_2831 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 166 */
						obj_t BgL_arg2876z00_2832;

						BgL_arg2876z00_2832 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3504z00zzast_nodez00,
							BGl_proc3503z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2324z00_2831, (int) (((long) 0)),
							BgL_arg2876z00_2832);
					}
					BgL_arg2869z00_2812 = BgL_v2324z00_2831;
				}
				{	/* Ast/node.scm 166 */
					obj_t BgL_v2325z00_2844;

					BgL_v2325z00_2844 = create_vector((int) (((long) 0)));
					BgL_arg2870z00_2813 = BgL_v2325z00_2844;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 17037), BGl_proc3507z00zzast_nodez00,
					BGl_proc3506z00zzast_nodez00, BFALSE, BGl_proc3505z00zzast_nodez00,
					BFALSE, BgL_arg2869z00_2812, BgL_arg2870z00_2813);
			}
			{	/* Ast/node.scm 171 */
				obj_t BgL_arg2884z00_2851;
				obj_t BgL_arg2885z00_2852;

				{	/* Ast/node.scm 171 */
					obj_t BgL_v2326z00_2870;

					BgL_v2326z00_2870 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 171 */
						obj_t BgL_arg2891z00_2871;

						BgL_arg2891z00_2871 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc3509z00zzast_nodez00,
							BGl_proc3508z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2326z00_2870, (int) (((long) 0)),
							BgL_arg2891z00_2871);
					}
					BgL_arg2884z00_2851 = BgL_v2326z00_2870;
				}
				{	/* Ast/node.scm 171 */
					obj_t BgL_v2327z00_2883;

					BgL_v2327z00_2883 = create_vector((int) (((long) 0)));
					BgL_arg2885z00_2852 = BgL_v2327z00_2883;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 64505), BGl_proc3512z00zzast_nodez00,
					BGl_proc3511z00zzast_nodez00, BFALSE, BGl_proc3510z00zzast_nodez00,
					BFALSE, BgL_arg2884z00_2851, BgL_arg2885z00_2852);
			}
			{	/* Ast/node.scm 175 */
				obj_t BgL_arg2899z00_2890;
				obj_t BgL_arg2900z00_2891;

				{	/* Ast/node.scm 175 */
					obj_t BgL_v2328z00_2908;

					BgL_v2328z00_2908 = create_vector((int) (((long) 0)));
					BgL_arg2899z00_2890 = BgL_v2328z00_2908;
				}
				{	/* Ast/node.scm 175 */
					obj_t BgL_v2329z00_2909;

					BgL_v2329z00_2909 = create_vector((int) (((long) 0)));
					BgL_arg2900z00_2891 = BgL_v2329z00_2909;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 51)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 35218), BGl_proc3515z00zzast_nodez00,
					BGl_proc3514z00zzast_nodez00, BFALSE, BGl_proc3513z00zzast_nodez00,
					BFALSE, BgL_arg2899z00_2890, BgL_arg2900z00_2891);
			}
			{	/* Ast/node.scm 178 */
				obj_t BgL_arg2909z00_2916;
				obj_t BgL_arg2910z00_2917;

				{	/* Ast/node.scm 178 */
					obj_t BgL_v2330z00_2930;

					BgL_v2330z00_2930 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 178 */
						obj_t BgL_arg2916z00_2931;

						BgL_arg2916z00_2931 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc3517z00zzast_nodez00,
							BGl_proc3516z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2330z00_2930, (int) (((long) 0)),
							BgL_arg2916z00_2931);
					}
					BgL_arg2909z00_2916 = BgL_v2330z00_2930;
				}
				{	/* Ast/node.scm 178 */
					obj_t BgL_v2331z00_2943;

					BgL_v2331z00_2943 = create_vector((int) (((long) 0)));
					BgL_arg2910z00_2917 = BgL_v2331z00_2943;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 52)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 15530),
					BGl_proc3520z00zzast_nodez00, BGl_proc3519z00zzast_nodez00, BFALSE,
					BGl_proc3518z00zzast_nodez00, BFALSE, BgL_arg2909z00_2916,
					BgL_arg2910z00_2917);
			}
			{	/* Ast/node.scm 183 */
				obj_t BgL_arg2924z00_2950;
				obj_t BgL_arg2925z00_2951;

				{	/* Ast/node.scm 183 */
					obj_t BgL_v2332z00_2965;

					BgL_v2332z00_2965 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2931z00_2966;

						BgL_arg2931z00_2966 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3522z00zzast_nodez00,
							BGl_proc3521z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2332z00_2965, (int) (((long) 1)),
							BgL_arg2931z00_2966);
					}
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg2936z00_2978;

						BgL_arg2936z00_2978 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3524z00zzast_nodez00,
							BGl_proc3523z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2332z00_2965, (int) (((long) 0)),
							BgL_arg2936z00_2978);
					}
					BgL_arg2924z00_2950 = BgL_v2332z00_2965;
				}
				{	/* Ast/node.scm 183 */
					obj_t BgL_v2333z00_2990;

					BgL_v2333z00_2990 = create_vector((int) (((long) 0)));
					BgL_arg2925z00_2951 = BgL_v2333z00_2990;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57238),
					BGl_proc3527z00zzast_nodez00, BGl_proc3526z00zzast_nodez00, BFALSE,
					BGl_proc3525z00zzast_nodez00, BFALSE, BgL_arg2924z00_2950,
					BgL_arg2925z00_2951);
			}
			{	/* Ast/node.scm 190 */
				obj_t BgL_arg2944z00_2997;
				obj_t BgL_arg2945z00_2998;

				{	/* Ast/node.scm 190 */
					obj_t BgL_v2334z00_3015;

					BgL_v2334z00_3015 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg2951z00_3016;

						BgL_arg2951z00_3016 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3529z00zzast_nodez00,
							BGl_proc3528z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2334z00_3015, (int) (((long) 2)),
							BgL_arg2951z00_3016);
					}
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg2956z00_3028;

						BgL_arg2956z00_3028 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3531z00zzast_nodez00,
							BGl_proc3530z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2334z00_3015, (int) (((long) 1)),
							BgL_arg2956z00_3028);
					}
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg2961z00_3040;

						BgL_arg2961z00_3040 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc3533z00zzast_nodez00,
							BGl_proc3532z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2334z00_3015, (int) (((long) 0)),
							BgL_arg2961z00_3040);
					}
					BgL_arg2944z00_2997 = BgL_v2334z00_3015;
				}
				{	/* Ast/node.scm 190 */
					obj_t BgL_v2335z00_3052;

					BgL_v2335z00_3052 = create_vector((int) (((long) 0)));
					BgL_arg2945z00_2998 = BgL_v2335z00_3052;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 32399), BGl_proc3536z00zzast_nodez00,
					BGl_proc3535z00zzast_nodez00, BFALSE, BGl_proc3534z00zzast_nodez00,
					BFALSE, BgL_arg2944z00_2997, BgL_arg2945z00_2998);
			}
			{	/* Ast/node.scm 199 */
				obj_t BgL_arg2969z00_3059;
				obj_t BgL_arg2970z00_3060;

				{	/* Ast/node.scm 199 */
					obj_t BgL_v2336z00_3075;

					BgL_v2336z00_3075 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg2976z00_3076;

						BgL_arg2976z00_3076 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3538z00zzast_nodez00,
							BGl_proc3537z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2336z00_3075, (int) (((long) 2)),
							BgL_arg2976z00_3076);
					}
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg2981z00_3088;

						BgL_arg2981z00_3088 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc3540z00zzast_nodez00,
							BGl_proc3539z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2336z00_3075, (int) (((long) 1)),
							BgL_arg2981z00_3088);
					}
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg2986z00_3100;

						BgL_arg2986z00_3100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc3542z00zzast_nodez00,
							BGl_proc3541z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2336z00_3075, (int) (((long) 0)),
							BgL_arg2986z00_3100);
					}
					BgL_arg2969z00_3059 = BgL_v2336z00_3075;
				}
				{	/* Ast/node.scm 199 */
					obj_t BgL_v2337z00_3112;

					BgL_v2337z00_3112 = create_vector((int) (((long) 0)));
					BgL_arg2970z00_3060 = BgL_v2337z00_3112;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 25408),
					BGl_proc3545z00zzast_nodez00, BGl_proc3544z00zzast_nodez00, BFALSE,
					BGl_proc3543z00zzast_nodez00, BFALSE, BgL_arg2969z00_3059,
					BgL_arg2970z00_3060);
			}
			{	/* Ast/node.scm 206 */
				obj_t BgL_arg2994z00_3119;
				obj_t BgL_arg2995z00_3120;

				{	/* Ast/node.scm 206 */
					obj_t BgL_v2338z00_3137;

					BgL_v2338z00_3137 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3001z00_3138;

						BgL_arg3001z00_3138 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									61)), BGl_proc3547z00zzast_nodez00,
							BGl_proc3546z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2338z00_3137, (int) (((long) 2)),
							BgL_arg3001z00_3138);
					}
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3006z00_3150;

						BgL_arg3006z00_3150 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									62)), BGl_proc3549z00zzast_nodez00,
							BGl_proc3548z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2338z00_3137, (int) (((long) 1)),
							BgL_arg3006z00_3150);
					}
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3012z00_3162;

						BgL_arg3012z00_3162 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc3551z00zzast_nodez00,
							BGl_proc3550z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2338z00_3137, (int) (((long) 0)),
							BgL_arg3012z00_3162);
					}
					BgL_arg2994z00_3119 = BgL_v2338z00_3137;
				}
				{	/* Ast/node.scm 206 */
					obj_t BgL_v2339z00_3174;

					BgL_v2339z00_3174 = create_vector((int) (((long) 0)));
					BgL_arg2995z00_3120 = BgL_v2339z00_3174;
				}
				BGl_selectz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 12311), BGl_proc3554z00zzast_nodez00,
					BGl_proc3553z00zzast_nodez00, BFALSE, BGl_proc3552z00zzast_nodez00,
					BFALSE, BgL_arg2994z00_3119, BgL_arg2995z00_3120);
			}
			{	/* Ast/node.scm 215 */
				obj_t BgL_arg3021z00_3181;
				obj_t BgL_arg3022z00_3182;

				{	/* Ast/node.scm 215 */
					obj_t BgL_v2340z00_3198;

					BgL_v2340z00_3198 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 215 */
						obj_t BgL_arg3028z00_3199;

						BgL_arg3028z00_3199 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3556z00zzast_nodez00,
							BGl_proc3555z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2340z00_3198, (int) (((long) 1)),
							BgL_arg3028z00_3199);
					}
					{	/* Ast/node.scm 215 */
						obj_t BgL_arg3033z00_3211;

						BgL_arg3033z00_3211 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3558z00zzast_nodez00,
							BGl_proc3557z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2340z00_3198, (int) (((long) 0)),
							BgL_arg3033z00_3211);
					}
					BgL_arg3021z00_3181 = BgL_v2340z00_3198;
				}
				{	/* Ast/node.scm 215 */
					obj_t BgL_v2341z00_3223;

					BgL_v2341z00_3223 = create_vector((int) (((long) 0)));
					BgL_arg3022z00_3182 = BgL_v2341z00_3223;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 30800), BGl_proc3561z00zzast_nodez00,
					BGl_proc3560z00zzast_nodez00, BFALSE, BGl_proc3559z00zzast_nodez00,
					BFALSE, BgL_arg3021z00_3181, BgL_arg3022z00_3182);
			}
			{	/* Ast/node.scm 222 */
				obj_t BgL_arg3042z00_3230;
				obj_t BgL_arg3043z00_3231;

				{	/* Ast/node.scm 222 */
					obj_t BgL_v2342z00_3248;

					BgL_v2342z00_3248 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3050z00_3249;

						BgL_arg3050z00_3249 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									67)), BGl_proc3564z00zzast_nodez00,
							BGl_proc3563z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3562z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2342z00_3248, (int) (((long) 2)),
							BgL_arg3050z00_3249);
					}
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3059z00_3264;

						BgL_arg3059z00_3264 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3566z00zzast_nodez00,
							BGl_proc3565z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2342z00_3248, (int) (((long) 1)),
							BgL_arg3059z00_3264);
					}
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3064z00_3276;

						BgL_arg3064z00_3276 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3568z00zzast_nodez00,
							BGl_proc3567z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2342z00_3248, (int) (((long) 0)),
							BgL_arg3064z00_3276);
					}
					BgL_arg3042z00_3230 = BgL_v2342z00_3248;
				}
				{	/* Ast/node.scm 222 */
					obj_t BgL_v2343z00_3288;

					BgL_v2343z00_3288 = create_vector((int) (((long) 0)));
					BgL_arg3043z00_3231 = BgL_v2343z00_3288;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 69)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 54885), BGl_proc3571z00zzast_nodez00,
					BGl_proc3570z00zzast_nodez00, BFALSE, BGl_proc3569z00zzast_nodez00,
					BFALSE, BgL_arg3042z00_3230, BgL_arg3043z00_3231);
			}
			{	/* Ast/node.scm 231 */
				obj_t BgL_arg3072z00_3295;
				obj_t BgL_arg3073z00_3296;

				{	/* Ast/node.scm 231 */
					obj_t BgL_v2344z00_3310;

					BgL_v2344z00_3310 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 231 */
						obj_t BgL_arg3079z00_3311;

						BgL_arg3079z00_3311 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3573z00zzast_nodez00,
							BGl_proc3572z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2344z00_3310, (int) (((long) 1)),
							BgL_arg3079z00_3311);
					}
					{	/* Ast/node.scm 231 */
						obj_t BgL_arg3084z00_3323;

						BgL_arg3084z00_3323 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3575z00zzast_nodez00,
							BGl_proc3574z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2344z00_3310, (int) (((long) 0)),
							BgL_arg3084z00_3323);
					}
					BgL_arg3072z00_3295 = BgL_v2344z00_3310;
				}
				{	/* Ast/node.scm 231 */
					obj_t BgL_v2345z00_3335;

					BgL_v2345z00_3335 = create_vector((int) (((long) 0)));
					BgL_arg3073z00_3296 = BgL_v2345z00_3335;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 26680),
					BGl_proc3578z00zzast_nodez00, BGl_proc3577z00zzast_nodez00, BFALSE,
					BGl_proc3576z00zzast_nodez00, BFALSE, BgL_arg3072z00_3295,
					BgL_arg3073z00_3296);
			}
			{	/* Ast/node.scm 238 */
				obj_t BgL_arg3092z00_3342;
				obj_t BgL_arg3093z00_3343;

				{	/* Ast/node.scm 238 */
					obj_t BgL_v2346z00_3357;

					BgL_v2346z00_3357 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 238 */
						obj_t BgL_arg3100z00_3358;

						BgL_arg3100z00_3358 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3580z00zzast_nodez00,
							BGl_proc3579z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2346z00_3357, (int) (((long) 1)),
							BgL_arg3100z00_3358);
					}
					{	/* Ast/node.scm 238 */
						obj_t BgL_arg3105z00_3370;

						BgL_arg3105z00_3370 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3582z00zzast_nodez00,
							BGl_proc3581z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2346z00_3357, (int) (((long) 0)),
							BgL_arg3105z00_3370);
					}
					BgL_arg3092z00_3342 = BgL_v2346z00_3357;
				}
				{	/* Ast/node.scm 238 */
					obj_t BgL_v2347z00_3382;

					BgL_v2347z00_3382 = create_vector((int) (((long) 0)));
					BgL_arg3093z00_3343 = BgL_v2347z00_3382;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 72)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40013),
					BGl_proc3585z00zzast_nodez00, BGl_proc3584z00zzast_nodez00, BFALSE,
					BGl_proc3583z00zzast_nodez00, BFALSE, BgL_arg3092z00_3342,
					BgL_arg3093z00_3343);
			}
			{	/* Ast/node.scm 245 */
				obj_t BgL_arg3115z00_3389;
				obj_t BgL_arg3116z00_3390;

				{	/* Ast/node.scm 245 */
					obj_t BgL_v2348z00_3405;

					BgL_v2348z00_3405 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 245 */
						obj_t BgL_arg3123z00_3406;

						BgL_arg3123z00_3406 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3587z00zzast_nodez00,
							BGl_proc3586z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2348z00_3405, (int) (((long) 0)),
							BgL_arg3123z00_3406);
					}
					BgL_arg3115z00_3389 = BgL_v2348z00_3405;
				}
				{	/* Ast/node.scm 245 */
					obj_t BgL_v2349z00_3418;

					BgL_v2349z00_3418 = create_vector((int) (((long) 0)));
					BgL_arg3116z00_3390 = BgL_v2349z00_3418;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 4889), BGl_proc3590z00zzast_nodez00,
					BGl_proc3589z00zzast_nodez00, BFALSE, BGl_proc3588z00zzast_nodez00,
					BFALSE, BgL_arg3115z00_3389, BgL_arg3116z00_3390);
			}
			{	/* Ast/node.scm 249 */
				obj_t BgL_arg3131z00_3425;
				obj_t BgL_arg3132z00_3426;

				{	/* Ast/node.scm 249 */
					obj_t BgL_v2350z00_3441;

					BgL_v2350z00_3441 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 249 */
						obj_t BgL_arg3138z00_3442;

						BgL_arg3138z00_3442 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3592z00zzast_nodez00,
							BGl_proc3591z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2350z00_3441, (int) (((long) 0)),
							BgL_arg3138z00_3442);
					}
					BgL_arg3131z00_3425 = BgL_v2350z00_3441;
				}
				{	/* Ast/node.scm 249 */
					obj_t BgL_v2351z00_3454;

					BgL_v2351z00_3454 = create_vector((int) (((long) 0)));
					BgL_arg3132z00_3426 = BgL_v2351z00_3454;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 74)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 16567), BGl_proc3595z00zzast_nodez00,
					BGl_proc3594z00zzast_nodez00, BFALSE, BGl_proc3593z00zzast_nodez00,
					BFALSE, BgL_arg3131z00_3425, BgL_arg3132z00_3426);
			}
			{	/* Ast/node.scm 253 */
				obj_t BgL_arg3146z00_3461;
				obj_t BgL_arg3147z00_3462;

				{	/* Ast/node.scm 253 */
					obj_t BgL_v2352z00_3476;

					BgL_v2352z00_3476 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 253 */
						obj_t BgL_arg3154z00_3477;

						BgL_arg3154z00_3477 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3597z00zzast_nodez00,
							BGl_proc3596z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2352z00_3476, (int) (((long) 1)),
							BgL_arg3154z00_3477);
					}
					{	/* Ast/node.scm 253 */
						obj_t BgL_arg3160z00_3489;

						BgL_arg3160z00_3489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3599z00zzast_nodez00,
							BGl_proc3598z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2352z00_3476, (int) (((long) 0)),
							BgL_arg3160z00_3489);
					}
					BgL_arg3146z00_3461 = BgL_v2352z00_3476;
				}
				{	/* Ast/node.scm 253 */
					obj_t BgL_v2353z00_3501;

					BgL_v2353z00_3501 = create_vector((int) (((long) 0)));
					BgL_arg3147z00_3462 = BgL_v2353z00_3501;
				}
				return (BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 75)),
						CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00,
						((long) 60616), BGl_proc3602z00zzast_nodez00,
						BGl_proc3601z00zzast_nodez00, BFALSE, BGl_proc3600z00zzast_nodez00,
						BFALSE, BgL_arg3146z00_3461, BgL_arg3147z00_3462), BUNSPEC);
		}}
	}



/* &<anonymous:3152> */
	BgL_boxzd2setz12zc0_bglt BGl_z62zc3anonymousza33152ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7290, obj_t BgL_new1382z00_7291)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_new1382z00_3474;

				BgL_new1382z00_3474 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1382z00_7291);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1382z00_3474)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13417;

					{	/* Ast/node.scm 253 */
						obj_t BgL_classz00_5739;

						BgL_classz00_5739 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 253 */
							obj_t BgL__ortest_1090z00_5740;

							{	/* Ast/node.scm 253 */
								obj_t BgL_vectorz00_5741;
								int BgL_kz00_5742;

								BgL_vectorz00_5741 = BgL_classz00_5739;
								BgL_kz00_5742 = (int) (((long) 17));
								BgL__ortest_1090z00_5740 =
									VECTOR_REF(BgL_vectorz00_5741, BgL_kz00_5742);
							}
							if (CBOOL(BgL__ortest_1090z00_5740))
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13417 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5740);
								}
							else
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13417 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5739));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1382z00_3474)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13417), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13427;

					{	/* Ast/node.scm 253 */
						obj_t BgL_classz00_5743;

						BgL_classz00_5743 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 253 */
							obj_t BgL__ortest_1090z00_5744;

							{	/* Ast/node.scm 253 */
								obj_t BgL_vectorz00_5745;
								int BgL_kz00_5746;

								BgL_vectorz00_5745 = BgL_classz00_5743;
								BgL_kz00_5746 = (int) (((long) 17));
								BgL__ortest_1090z00_5744 =
									VECTOR_REF(BgL_vectorz00_5745, BgL_kz00_5746);
							}
							if (CBOOL(BgL__ortest_1090z00_5744))
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13427 =
										((BgL_varz00_bglt) BgL__ortest_1090z00_5744);
								}
							else
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13427 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5743));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1382z00_3474))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_13427), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13436;

					{	/* Ast/node.scm 253 */
						obj_t BgL_classz00_5747;

						BgL_classz00_5747 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 253 */
							obj_t BgL__ortest_1090z00_5748;

							{	/* Ast/node.scm 253 */
								obj_t BgL_vectorz00_5749;
								int BgL_kz00_5750;

								BgL_vectorz00_5749 = BgL_classz00_5747;
								BgL_kz00_5750 = (int) (((long) 17));
								BgL__ortest_1090z00_5748 =
									VECTOR_REF(BgL_vectorz00_5749, BgL_kz00_5750);
							}
							if (CBOOL(BgL__ortest_1090z00_5748))
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13436 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5748);
								}
							else
								{	/* Ast/node.scm 253 */
									BgL_auxz00_13436 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5747));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1382z00_3474))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13436), BUNSPEC);
				}
				return BgL_new1382z00_3474;
			}
		}
	}



/* &lambda3150 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3150z62zzast_nodez00(obj_t
		BgL_envz00_7292)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			{

				{	/* Ast/node.scm 253 */
					BgL_boxzd2setz12zc0_bglt BgL_new1381z00_3472;

					BgL_new1381z00_3472 =
						((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 253 */
						long BgL_arg3151z00_3473;

						{	/* Ast/node.scm 253 */
							long BgL_res3321z00_5736;

							{	/* Ast/node.scm 253 */
								obj_t BgL_classz00_5733;

								BgL_classz00_5733 = BGl_boxzd2setz12zc0zzast_nodez00;
								{	/* Ast/node.scm 253 */
									obj_t BgL_vectorz00_5734;
									int BgL_kz00_5735;

									BgL_vectorz00_5734 = BgL_classz00_5733;
									BgL_kz00_5735 = (int) (((long) 1));
									BgL_res3321z00_5736 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5734, BgL_kz00_5735));
							}}
							BgL_arg3151z00_3473 = BgL_res3321z00_5736;
						}
						{	/* Ast/node.scm 253 */
							BgL_objectz00_bglt BgL_objz00_5737;

							BgL_objz00_5737 = ((BgL_objectz00_bglt) BgL_new1381z00_3472);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5737, BgL_arg3151z00_3473);
					}}
					{	/* Ast/node.scm 253 */
						BgL_objectz00_bglt BgL_auxz00_13452;

						BgL_auxz00_13452 = ((BgL_objectz00_bglt) BgL_new1381z00_3472);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13452, BFALSE);
					}
					return BgL_new1381z00_3472;
				}
			}
		}
	}



/* &lambda3148 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3148z62zzast_nodez00(obj_t
		BgL_envz00_7293, obj_t BgL_loc1377z00_7294, obj_t BgL_type1378z00_7295,
		obj_t BgL_var1379z00_7296, obj_t BgL_value1380z00_7297)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			{
				obj_t BgL_loc1377z00_3463;
				BgL_typez00_bglt BgL_type1378z00_3464;
				BgL_varz00_bglt BgL_var1379z00_3465;
				BgL_nodez00_bglt BgL_value1380z00_3466;

				BgL_loc1377z00_3463 = BgL_loc1377z00_7294;
				BgL_type1378z00_3464 = ((BgL_typez00_bglt) BgL_type1378z00_7295);
				BgL_var1379z00_3465 = ((BgL_varz00_bglt) BgL_var1379z00_7296);
				BgL_value1380z00_3466 = ((BgL_nodez00_bglt) BgL_value1380z00_7297);
				{	/* Ast/node.scm 253 */
					BgL_boxzd2setz12zc0_bglt BgL_new2057z00_3468;

					{	/* Ast/node.scm 253 */
						BgL_boxzd2setz12zc0_bglt BgL_new2056z00_3469;

						BgL_new2056z00_3469 =
							((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zc0_bgl))));
						{	/* Ast/node.scm 253 */
							long BgL_arg3149z00_3470;

							{	/* Ast/node.scm 253 */
								long BgL_res3320z00_5730;

								{	/* Ast/node.scm 253 */
									obj_t BgL_classz00_5727;

									BgL_classz00_5727 = BGl_boxzd2setz12zc0zzast_nodez00;
									{	/* Ast/node.scm 253 */
										obj_t BgL_vectorz00_5728;
										int BgL_kz00_5729;

										BgL_vectorz00_5728 = BgL_classz00_5727;
										BgL_kz00_5729 = (int) (((long) 1));
										BgL_res3320z00_5730 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5728,
												BgL_kz00_5729));
								}}
								BgL_arg3149z00_3470 = BgL_res3320z00_5730;
							}
							{	/* Ast/node.scm 253 */
								BgL_objectz00_bglt BgL_objz00_5731;

								BgL_objz00_5731 = ((BgL_objectz00_bglt) BgL_new2056z00_3469);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5731, BgL_arg3149z00_3470);
						}}
						{	/* Ast/node.scm 253 */
							BgL_objectz00_bglt BgL_auxz00_13461;

							BgL_auxz00_13461 = ((BgL_objectz00_bglt) BgL_new2056z00_3469);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13461, BFALSE);
						}
						BgL_new2057z00_3468 = BgL_new2056z00_3469;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2057z00_3468)))->BgL_locz00) =
						((obj_t) BgL_loc1377z00_3463), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2057z00_3468)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1378z00_3464), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new2057z00_3468))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1379z00_3465), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new2057z00_3468))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1380z00_3466), BUNSPEC);
					return BgL_new2057z00_3468;
				}
			}
		}
	}



/* &lambda3164 */
	obj_t BGl_z62lambda3164z62zzast_nodez00(obj_t BgL_envz00_7298,
		obj_t BgL_oz00_7299, obj_t BgL_vz00_7300)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			{	/* Ast/node.scm 253 */
				BgL_boxzd2setz12zc0_bglt BgL_oz00_9340;
				BgL_varz00_bglt BgL_vz00_9341;

				BgL_oz00_9340 = ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7299);
				BgL_vz00_9341 = ((BgL_varz00_bglt) BgL_vz00_7300);
				return
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_9340))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9341), BUNSPEC);
			}
		}
	}



/* &lambda3163 */
	BgL_varz00_bglt BGl_z62lambda3163z62zzast_nodez00(obj_t BgL_envz00_7301,
		obj_t BgL_oz00_7302)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7302)))->BgL_varz00);
		}
	}



/* &lambda3159 */
	obj_t BGl_z62lambda3159z62zzast_nodez00(obj_t BgL_envz00_7303,
		obj_t BgL_oz00_7304, obj_t BgL_vz00_7305)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			{	/* Ast/node.scm 253 */
				BgL_boxzd2setz12zc0_bglt BgL_oz00_9343;
				BgL_nodez00_bglt BgL_vz00_9344;

				BgL_oz00_9343 = ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7304);
				BgL_vz00_9344 = ((BgL_nodez00_bglt) BgL_vz00_7305);
				return
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_9343))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9344), BUNSPEC);
			}
		}
	}



/* &lambda3158 */
	BgL_nodez00_bglt BGl_z62lambda3158z62zzast_nodez00(obj_t BgL_envz00_7306,
		obj_t BgL_oz00_7307)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 253 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7307)))->BgL_valuez00);
		}
	}



/* &<anonymous:3137> */
	BgL_boxzd2refzd2_bglt BGl_z62zc3anonymousza33137ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7308, obj_t BgL_new1375z00_7309)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 249 */
			{
				BgL_boxzd2refzd2_bglt BgL_new1375z00_3439;

				BgL_new1375z00_3439 = ((BgL_boxzd2refzd2_bglt) BgL_new1375z00_7309);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1375z00_3439)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13485;

					{	/* Ast/node.scm 249 */
						obj_t BgL_classz00_5709;

						BgL_classz00_5709 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 249 */
							obj_t BgL__ortest_1090z00_5710;

							{	/* Ast/node.scm 249 */
								obj_t BgL_vectorz00_5711;
								int BgL_kz00_5712;

								BgL_vectorz00_5711 = BgL_classz00_5709;
								BgL_kz00_5712 = (int) (((long) 17));
								BgL__ortest_1090z00_5710 =
									VECTOR_REF(BgL_vectorz00_5711, BgL_kz00_5712);
							}
							if (CBOOL(BgL__ortest_1090z00_5710))
								{	/* Ast/node.scm 249 */
									BgL_auxz00_13485 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5710);
								}
							else
								{	/* Ast/node.scm 249 */
									BgL_auxz00_13485 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5709));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1375z00_3439)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13485), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1375z00_3439)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1375z00_3439)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_13499;

					{	/* Ast/node.scm 249 */
						obj_t BgL_classz00_5713;

						BgL_classz00_5713 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 249 */
							obj_t BgL__ortest_1090z00_5714;

							{	/* Ast/node.scm 249 */
								obj_t BgL_vectorz00_5715;
								int BgL_kz00_5716;

								BgL_vectorz00_5715 = BgL_classz00_5713;
								BgL_kz00_5716 = (int) (((long) 17));
								BgL__ortest_1090z00_5714 =
									VECTOR_REF(BgL_vectorz00_5715, BgL_kz00_5716);
							}
							if (CBOOL(BgL__ortest_1090z00_5714))
								{	/* Ast/node.scm 249 */
									BgL_auxz00_13499 =
										((BgL_varz00_bglt) BgL__ortest_1090z00_5714);
								}
							else
								{	/* Ast/node.scm 249 */
									BgL_auxz00_13499 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5713));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1375z00_3439))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_13499), BUNSPEC);
				}
				return BgL_new1375z00_3439;
			}
		}
	}



/* &lambda3135 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3135z62zzast_nodez00(obj_t BgL_envz00_7310)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 249 */
			{

				{	/* Ast/node.scm 249 */
					BgL_boxzd2refzd2_bglt BgL_new1374z00_3437;

					BgL_new1374z00_3437 =
						((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 249 */
						long BgL_arg3136z00_3438;

						{	/* Ast/node.scm 249 */
							long BgL_res3319z00_5706;

							{	/* Ast/node.scm 249 */
								obj_t BgL_classz00_5703;

								BgL_classz00_5703 = BGl_boxzd2refzd2zzast_nodez00;
								{	/* Ast/node.scm 249 */
									obj_t BgL_vectorz00_5704;
									int BgL_kz00_5705;

									BgL_vectorz00_5704 = BgL_classz00_5703;
									BgL_kz00_5705 = (int) (((long) 1));
									BgL_res3319z00_5706 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5704, BgL_kz00_5705));
							}}
							BgL_arg3136z00_3438 = BgL_res3319z00_5706;
						}
						{	/* Ast/node.scm 249 */
							BgL_objectz00_bglt BgL_objz00_5707;

							BgL_objz00_5707 = ((BgL_objectz00_bglt) BgL_new1374z00_3437);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5707, BgL_arg3136z00_3438);
					}}
					{	/* Ast/node.scm 249 */
						BgL_objectz00_bglt BgL_auxz00_13515;

						BgL_auxz00_13515 = ((BgL_objectz00_bglt) BgL_new1374z00_3437);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13515, BFALSE);
					}
					return BgL_new1374z00_3437;
				}
			}
		}
	}



/* &lambda3133 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3133z62zzast_nodez00(obj_t BgL_envz00_7311,
		obj_t BgL_loc1369z00_7312, obj_t BgL_type1370z00_7313,
		obj_t BgL_sidezd2effect1371zd2_7314, obj_t BgL_key1372z00_7315,
		obj_t BgL_var1373z00_7316)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 249 */
			{
				obj_t BgL_loc1369z00_3427;
				BgL_typez00_bglt BgL_type1370z00_3428;
				obj_t BgL_sidezd2effect1371zd2_3429;
				obj_t BgL_key1372z00_3430;
				BgL_varz00_bglt BgL_var1373z00_3431;

				BgL_loc1369z00_3427 = BgL_loc1369z00_7312;
				BgL_type1370z00_3428 = ((BgL_typez00_bglt) BgL_type1370z00_7313);
				BgL_sidezd2effect1371zd2_3429 = BgL_sidezd2effect1371zd2_7314;
				BgL_key1372z00_3430 = BgL_key1372z00_7315;
				BgL_var1373z00_3431 = ((BgL_varz00_bglt) BgL_var1373z00_7316);
				{	/* Ast/node.scm 249 */
					BgL_boxzd2refzd2_bglt BgL_new2053z00_3433;

					{	/* Ast/node.scm 249 */
						BgL_boxzd2refzd2_bglt BgL_new2052z00_3434;

						BgL_new2052z00_3434 =
							((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzd2_bgl))));
						{	/* Ast/node.scm 249 */
							long BgL_arg3134z00_3435;

							{	/* Ast/node.scm 249 */
								long BgL_res3318z00_5700;

								{	/* Ast/node.scm 249 */
									obj_t BgL_classz00_5697;

									BgL_classz00_5697 = BGl_boxzd2refzd2zzast_nodez00;
									{	/* Ast/node.scm 249 */
										obj_t BgL_vectorz00_5698;
										int BgL_kz00_5699;

										BgL_vectorz00_5698 = BgL_classz00_5697;
										BgL_kz00_5699 = (int) (((long) 1));
										BgL_res3318z00_5700 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5698,
												BgL_kz00_5699));
								}}
								BgL_arg3134z00_3435 = BgL_res3318z00_5700;
							}
							{	/* Ast/node.scm 249 */
								BgL_objectz00_bglt BgL_objz00_5701;

								BgL_objz00_5701 = ((BgL_objectz00_bglt) BgL_new2052z00_3434);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5701, BgL_arg3134z00_3435);
						}}
						{	/* Ast/node.scm 249 */
							BgL_objectz00_bglt BgL_auxz00_13524;

							BgL_auxz00_13524 = ((BgL_objectz00_bglt) BgL_new2052z00_3434);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13524, BFALSE);
						}
						BgL_new2053z00_3433 = BgL_new2052z00_3434;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2053z00_3433)))->BgL_locz00) =
						((obj_t) BgL_loc1369z00_3427), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2053z00_3433)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1370z00_3428), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2053z00_3433)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1371zd2_3429), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2053z00_3433)))->BgL_keyz00) =
						((obj_t) BgL_key1372z00_3430), BUNSPEC);
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new2053z00_3433))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1373z00_3431), BUNSPEC);
					return BgL_new2053z00_3433;
				}
			}
		}
	}



/* &lambda3142 */
	obj_t BGl_z62lambda3142z62zzast_nodez00(obj_t BgL_envz00_7317,
		obj_t BgL_oz00_7318, obj_t BgL_vz00_7319)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 249 */
			{	/* Ast/node.scm 249 */
				BgL_boxzd2refzd2_bglt BgL_oz00_9346;
				BgL_varz00_bglt BgL_vz00_9347;

				BgL_oz00_9346 = ((BgL_boxzd2refzd2_bglt) BgL_oz00_7318);
				BgL_vz00_9347 = ((BgL_varz00_bglt) BgL_vz00_7319);
				return
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_9346))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9347), BUNSPEC);
			}
		}
	}



/* &lambda3141 */
	BgL_varz00_bglt BGl_z62lambda3141z62zzast_nodez00(obj_t BgL_envz00_7320,
		obj_t BgL_oz00_7321)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 249 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_7321)))->BgL_varz00);
		}
	}



/* &<anonymous:3122> */
	BgL_makezd2boxzd2_bglt BGl_z62zc3anonymousza33122ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7322, obj_t BgL_new1367z00_7323)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{
				BgL_makezd2boxzd2_bglt BgL_new1367z00_3403;

				BgL_new1367z00_3403 = ((BgL_makezd2boxzd2_bglt) BgL_new1367z00_7323);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1367z00_3403)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13545;

					{	/* Ast/node.scm 245 */
						obj_t BgL_classz00_5684;

						BgL_classz00_5684 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 245 */
							obj_t BgL__ortest_1090z00_5685;

							{	/* Ast/node.scm 245 */
								obj_t BgL_vectorz00_5686;
								int BgL_kz00_5687;

								BgL_vectorz00_5686 = BgL_classz00_5684;
								BgL_kz00_5687 = (int) (((long) 17));
								BgL__ortest_1090z00_5685 =
									VECTOR_REF(BgL_vectorz00_5686, BgL_kz00_5687);
							}
							if (CBOOL(BgL__ortest_1090z00_5685))
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13545 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5685);
								}
							else
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13545 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5684));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1367z00_3403)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13545), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1367z00_3403)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1367z00_3403)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13559;

					{	/* Ast/node.scm 245 */
						obj_t BgL_classz00_5688;

						BgL_classz00_5688 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 245 */
							obj_t BgL__ortest_1090z00_5689;

							{	/* Ast/node.scm 245 */
								obj_t BgL_vectorz00_5690;
								int BgL_kz00_5691;

								BgL_vectorz00_5690 = BgL_classz00_5688;
								BgL_kz00_5691 = (int) (((long) 17));
								BgL__ortest_1090z00_5689 =
									VECTOR_REF(BgL_vectorz00_5690, BgL_kz00_5691);
							}
							if (CBOOL(BgL__ortest_1090z00_5689))
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13559 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5689);
								}
							else
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13559 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5688));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1367z00_3403))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13559), BUNSPEC);
				}
				return BgL_new1367z00_3403;
			}
		}
	}



/* &lambda3120 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3120z62zzast_nodez00(obj_t
		BgL_envz00_7324)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{

				{	/* Ast/node.scm 245 */
					BgL_makezd2boxzd2_bglt BgL_new1366z00_3401;

					BgL_new1366z00_3401 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 245 */
						long BgL_arg3121z00_3402;

						{	/* Ast/node.scm 245 */
							long BgL_res3317z00_5681;

							{	/* Ast/node.scm 245 */
								obj_t BgL_classz00_5678;

								BgL_classz00_5678 = BGl_makezd2boxzd2zzast_nodez00;
								{	/* Ast/node.scm 245 */
									obj_t BgL_vectorz00_5679;
									int BgL_kz00_5680;

									BgL_vectorz00_5679 = BgL_classz00_5678;
									BgL_kz00_5680 = (int) (((long) 1));
									BgL_res3317z00_5681 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5679, BgL_kz00_5680));
							}}
							BgL_arg3121z00_3402 = BgL_res3317z00_5681;
						}
						{	/* Ast/node.scm 245 */
							BgL_objectz00_bglt BgL_objz00_5682;

							BgL_objz00_5682 = ((BgL_objectz00_bglt) BgL_new1366z00_3401);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5682, BgL_arg3121z00_3402);
					}}
					{	/* Ast/node.scm 245 */
						BgL_objectz00_bglt BgL_auxz00_13575;

						BgL_auxz00_13575 = ((BgL_objectz00_bglt) BgL_new1366z00_3401);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13575, BFALSE);
					}
					return BgL_new1366z00_3401;
				}
			}
		}
	}



/* &lambda3117 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3117z62zzast_nodez00(obj_t
		BgL_envz00_7325, obj_t BgL_loc1361z00_7326, obj_t BgL_type1362z00_7327,
		obj_t BgL_sidezd2effect1363zd2_7328, obj_t BgL_key1364z00_7329,
		obj_t BgL_value1365z00_7330)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{
				obj_t BgL_loc1361z00_3391;
				BgL_typez00_bglt BgL_type1362z00_3392;
				obj_t BgL_sidezd2effect1363zd2_3393;
				obj_t BgL_key1364z00_3394;
				BgL_nodez00_bglt BgL_value1365z00_3395;

				BgL_loc1361z00_3391 = BgL_loc1361z00_7326;
				BgL_type1362z00_3392 = ((BgL_typez00_bglt) BgL_type1362z00_7327);
				BgL_sidezd2effect1363zd2_3393 = BgL_sidezd2effect1363zd2_7328;
				BgL_key1364z00_3394 = BgL_key1364z00_7329;
				BgL_value1365z00_3395 = ((BgL_nodez00_bglt) BgL_value1365z00_7330);
				{	/* Ast/node.scm 245 */
					BgL_makezd2boxzd2_bglt BgL_new2049z00_3397;

					{	/* Ast/node.scm 245 */
						BgL_makezd2boxzd2_bglt BgL_new2048z00_3398;

						BgL_new2048z00_3398 =
							((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_makezd2boxzd2_bgl))));
						{	/* Ast/node.scm 245 */
							long BgL_arg3119z00_3399;

							{	/* Ast/node.scm 245 */
								long BgL_res3316z00_5675;

								{	/* Ast/node.scm 245 */
									obj_t BgL_classz00_5672;

									BgL_classz00_5672 = BGl_makezd2boxzd2zzast_nodez00;
									{	/* Ast/node.scm 245 */
										obj_t BgL_vectorz00_5673;
										int BgL_kz00_5674;

										BgL_vectorz00_5673 = BgL_classz00_5672;
										BgL_kz00_5674 = (int) (((long) 1));
										BgL_res3316z00_5675 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5673,
												BgL_kz00_5674));
								}}
								BgL_arg3119z00_3399 = BgL_res3316z00_5675;
							}
							{	/* Ast/node.scm 245 */
								BgL_objectz00_bglt BgL_objz00_5676;

								BgL_objz00_5676 = ((BgL_objectz00_bglt) BgL_new2048z00_3398);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5676, BgL_arg3119z00_3399);
						}}
						{	/* Ast/node.scm 245 */
							BgL_objectz00_bglt BgL_auxz00_13584;

							BgL_auxz00_13584 = ((BgL_objectz00_bglt) BgL_new2048z00_3398);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13584, BFALSE);
						}
						BgL_new2049z00_3397 = BgL_new2048z00_3398;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2049z00_3397)))->BgL_locz00) =
						((obj_t) BgL_loc1361z00_3391), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2049z00_3397)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1362z00_3392), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2049z00_3397)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1363zd2_3393), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2049z00_3397)))->BgL_keyz00) =
						((obj_t) BgL_key1364z00_3394), BUNSPEC);
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new2049z00_3397))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1365z00_3395), BUNSPEC);
					return BgL_new2049z00_3397;
				}
			}
		}
	}



/* &lambda3127 */
	obj_t BGl_z62lambda3127z62zzast_nodez00(obj_t BgL_envz00_7331,
		obj_t BgL_oz00_7332, obj_t BgL_vz00_7333)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{	/* Ast/node.scm 245 */
				BgL_makezd2boxzd2_bglt BgL_oz00_9349;
				BgL_nodez00_bglt BgL_vz00_9350;

				BgL_oz00_9349 = ((BgL_makezd2boxzd2_bglt) BgL_oz00_7332);
				BgL_vz00_9350 = ((BgL_nodez00_bglt) BgL_vz00_7333);
				return
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_9349))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9350), BUNSPEC);
			}
		}
	}



/* &lambda3126 */
	BgL_nodez00_bglt BGl_z62lambda3126z62zzast_nodez00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_7335)))->BgL_valuez00);
		}
	}



/* &<anonymous:3099> */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62zc3anonymousza33099ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7336, obj_t BgL_new1359z00_7337)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_new1359z00_3355;

				BgL_new1359z00_3355 =
					((BgL_jumpzd2exzd2itz00_bglt) BgL_new1359z00_7337);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1359z00_3355)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13605;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5655;

						BgL_classz00_5655 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1090z00_5656;

							{	/* Ast/node.scm 238 */
								obj_t BgL_vectorz00_5657;
								int BgL_kz00_5658;

								BgL_vectorz00_5657 = BgL_classz00_5655;
								BgL_kz00_5658 = (int) (((long) 17));
								BgL__ortest_1090z00_5656 =
									VECTOR_REF(BgL_vectorz00_5657, BgL_kz00_5658);
							}
							if (CBOOL(BgL__ortest_1090z00_5656))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13605 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5656);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13605 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5655));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1359z00_3355)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13605), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13615;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5659;

						BgL_classz00_5659 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1090z00_5660;

							{	/* Ast/node.scm 238 */
								obj_t BgL_vectorz00_5661;
								int BgL_kz00_5662;

								BgL_vectorz00_5661 = BgL_classz00_5659;
								BgL_kz00_5662 = (int) (((long) 17));
								BgL__ortest_1090z00_5660 =
									VECTOR_REF(BgL_vectorz00_5661, BgL_kz00_5662);
							}
							if (CBOOL(BgL__ortest_1090z00_5660))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13615 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5660);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13615 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5659));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1359z00_3355))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_13615), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13624;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5663;

						BgL_classz00_5663 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1090z00_5664;

							{	/* Ast/node.scm 238 */
								obj_t BgL_vectorz00_5665;
								int BgL_kz00_5666;

								BgL_vectorz00_5665 = BgL_classz00_5663;
								BgL_kz00_5666 = (int) (((long) 17));
								BgL__ortest_1090z00_5664 =
									VECTOR_REF(BgL_vectorz00_5665, BgL_kz00_5666);
							}
							if (CBOOL(BgL__ortest_1090z00_5664))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13624 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5664);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13624 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5663));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1359z00_3355))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13624), BUNSPEC);
				}
				return BgL_new1359z00_3355;
			}
		}
	}



/* &lambda3097 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3097z62zzast_nodez00(obj_t
		BgL_envz00_7338)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{

				{	/* Ast/node.scm 238 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1358z00_3353;

					BgL_new1358z00_3353 =
						((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 238 */
						long BgL_arg3098z00_3354;

						{	/* Ast/node.scm 238 */
							long BgL_res3315z00_5652;

							{	/* Ast/node.scm 238 */
								obj_t BgL_classz00_5649;

								BgL_classz00_5649 = BGl_jumpzd2exzd2itz00zzast_nodez00;
								{	/* Ast/node.scm 238 */
									obj_t BgL_vectorz00_5650;
									int BgL_kz00_5651;

									BgL_vectorz00_5650 = BgL_classz00_5649;
									BgL_kz00_5651 = (int) (((long) 1));
									BgL_res3315z00_5652 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5650, BgL_kz00_5651));
							}}
							BgL_arg3098z00_3354 = BgL_res3315z00_5652;
						}
						{	/* Ast/node.scm 238 */
							BgL_objectz00_bglt BgL_objz00_5653;

							BgL_objz00_5653 = ((BgL_objectz00_bglt) BgL_new1358z00_3353);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5653, BgL_arg3098z00_3354);
					}}
					{	/* Ast/node.scm 238 */
						BgL_objectz00_bglt BgL_auxz00_13640;

						BgL_auxz00_13640 = ((BgL_objectz00_bglt) BgL_new1358z00_3353);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13640, BFALSE);
					}
					return BgL_new1358z00_3353;
				}
			}
		}
	}



/* &lambda3094 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3094z62zzast_nodez00(obj_t
		BgL_envz00_7339, obj_t BgL_loc1354z00_7340, obj_t BgL_type1355z00_7341,
		obj_t BgL_exit1356z00_7342, obj_t BgL_value1357z00_7343)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{
				obj_t BgL_loc1354z00_3344;
				BgL_typez00_bglt BgL_type1355z00_3345;
				BgL_nodez00_bglt BgL_exit1356z00_3346;
				BgL_nodez00_bglt BgL_value1357z00_3347;

				BgL_loc1354z00_3344 = BgL_loc1354z00_7340;
				BgL_type1355z00_3345 = ((BgL_typez00_bglt) BgL_type1355z00_7341);
				BgL_exit1356z00_3346 = ((BgL_nodez00_bglt) BgL_exit1356z00_7342);
				BgL_value1357z00_3347 = ((BgL_nodez00_bglt) BgL_value1357z00_7343);
				{	/* Ast/node.scm 238 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new2043z00_3349;

					{	/* Ast/node.scm 238 */
						BgL_jumpzd2exzd2itz00_bglt BgL_new2042z00_3350;

						BgL_new2042z00_3350 =
							((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_jumpzd2exzd2itz00_bgl))));
						{	/* Ast/node.scm 238 */
							long BgL_arg3096z00_3351;

							{	/* Ast/node.scm 238 */
								long BgL_res3314z00_5646;

								{	/* Ast/node.scm 238 */
									obj_t BgL_classz00_5643;

									BgL_classz00_5643 = BGl_jumpzd2exzd2itz00zzast_nodez00;
									{	/* Ast/node.scm 238 */
										obj_t BgL_vectorz00_5644;
										int BgL_kz00_5645;

										BgL_vectorz00_5644 = BgL_classz00_5643;
										BgL_kz00_5645 = (int) (((long) 1));
										BgL_res3314z00_5646 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5644,
												BgL_kz00_5645));
								}}
								BgL_arg3096z00_3351 = BgL_res3314z00_5646;
							}
							{	/* Ast/node.scm 238 */
								BgL_objectz00_bglt BgL_objz00_5647;

								BgL_objz00_5647 = ((BgL_objectz00_bglt) BgL_new2042z00_3350);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5647, BgL_arg3096z00_3351);
						}}
						{	/* Ast/node.scm 238 */
							BgL_objectz00_bglt BgL_auxz00_13649;

							BgL_auxz00_13649 = ((BgL_objectz00_bglt) BgL_new2042z00_3350);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13649, BFALSE);
						}
						BgL_new2043z00_3349 = BgL_new2042z00_3350;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2043z00_3349)))->BgL_locz00) =
						((obj_t) BgL_loc1354z00_3344), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2043z00_3349)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1355z00_3345), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new2043z00_3349))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_exit1356z00_3346), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new2043z00_3349))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1357z00_3347), BUNSPEC);
					return BgL_new2043z00_3349;
				}
			}
		}
	}



/* &lambda3109 */
	obj_t BGl_z62lambda3109z62zzast_nodez00(obj_t BgL_envz00_7344,
		obj_t BgL_oz00_7345, obj_t BgL_vz00_7346)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{	/* Ast/node.scm 238 */
				BgL_jumpzd2exzd2itz00_bglt BgL_oz00_9352;
				BgL_nodez00_bglt BgL_vz00_9353;

				BgL_oz00_9352 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7345);
				BgL_vz00_9353 = ((BgL_nodez00_bglt) BgL_vz00_7346);
				return
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_9352))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_vz00_9353), BUNSPEC);
			}
		}
	}



/* &lambda3108 */
	BgL_nodez00_bglt BGl_z62lambda3108z62zzast_nodez00(obj_t BgL_envz00_7347,
		obj_t BgL_oz00_7348)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7348)))->BgL_exitz00);
		}
	}



/* &lambda3104 */
	obj_t BGl_z62lambda3104z62zzast_nodez00(obj_t BgL_envz00_7349,
		obj_t BgL_oz00_7350, obj_t BgL_vz00_7351)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{	/* Ast/node.scm 238 */
				BgL_jumpzd2exzd2itz00_bglt BgL_oz00_9355;
				BgL_nodez00_bglt BgL_vz00_9356;

				BgL_oz00_9355 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7350);
				BgL_vz00_9356 = ((BgL_nodez00_bglt) BgL_vz00_7351);
				return
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_9355))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9356), BUNSPEC);
			}
		}
	}



/* &lambda3103 */
	BgL_nodez00_bglt BGl_z62lambda3103z62zzast_nodez00(obj_t BgL_envz00_7352,
		obj_t BgL_oz00_7353)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7353)))->BgL_valuez00);
		}
	}



/* &<anonymous:3078> */
	BgL_setzd2exzd2itz00_bglt BGl_z62zc3anonymousza33078ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7354, obj_t BgL_new1352z00_7355)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_new1352z00_3308;

				BgL_new1352z00_3308 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1352z00_7355);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1352z00_3308)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13673;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5621;

						BgL_classz00_5621 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1090z00_5622;

							{	/* Ast/node.scm 231 */
								obj_t BgL_vectorz00_5623;
								int BgL_kz00_5624;

								BgL_vectorz00_5623 = BgL_classz00_5621;
								BgL_kz00_5624 = (int) (((long) 17));
								BgL__ortest_1090z00_5622 =
									VECTOR_REF(BgL_vectorz00_5623, BgL_kz00_5624);
							}
							if (CBOOL(BgL__ortest_1090z00_5622))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13673 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5622);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13673 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5621));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1352z00_3308)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13673), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13683;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5625;

						BgL_classz00_5625 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1090z00_5626;

							{	/* Ast/node.scm 231 */
								obj_t BgL_vectorz00_5627;
								int BgL_kz00_5628;

								BgL_vectorz00_5627 = BgL_classz00_5625;
								BgL_kz00_5628 = (int) (((long) 17));
								BgL__ortest_1090z00_5626 =
									VECTOR_REF(BgL_vectorz00_5627, BgL_kz00_5628);
							}
							if (CBOOL(BgL__ortest_1090z00_5626))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13683 =
										((BgL_varz00_bglt) BgL__ortest_1090z00_5626);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13683 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5625));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1352z00_3308))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_13683), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13692;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5629;

						BgL_classz00_5629 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1090z00_5630;

							{	/* Ast/node.scm 231 */
								obj_t BgL_vectorz00_5631;
								int BgL_kz00_5632;

								BgL_vectorz00_5631 = BgL_classz00_5629;
								BgL_kz00_5632 = (int) (((long) 17));
								BgL__ortest_1090z00_5630 =
									VECTOR_REF(BgL_vectorz00_5631, BgL_kz00_5632);
							}
							if (CBOOL(BgL__ortest_1090z00_5630))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13692 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5630);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13692 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5629));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1352z00_3308))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_13692), BUNSPEC);
				}
				return BgL_new1352z00_3308;
			}
		}
	}



/* &lambda3076 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3076z62zzast_nodez00(obj_t
		BgL_envz00_7356)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{

				{	/* Ast/node.scm 231 */
					BgL_setzd2exzd2itz00_bglt BgL_new1351z00_3306;

					BgL_new1351z00_3306 =
						((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 231 */
						long BgL_arg3077z00_3307;

						{	/* Ast/node.scm 231 */
							long BgL_res3313z00_5618;

							{	/* Ast/node.scm 231 */
								obj_t BgL_classz00_5615;

								BgL_classz00_5615 = BGl_setzd2exzd2itz00zzast_nodez00;
								{	/* Ast/node.scm 231 */
									obj_t BgL_vectorz00_5616;
									int BgL_kz00_5617;

									BgL_vectorz00_5616 = BgL_classz00_5615;
									BgL_kz00_5617 = (int) (((long) 1));
									BgL_res3313z00_5618 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5616, BgL_kz00_5617));
							}}
							BgL_arg3077z00_3307 = BgL_res3313z00_5618;
						}
						{	/* Ast/node.scm 231 */
							BgL_objectz00_bglt BgL_objz00_5619;

							BgL_objz00_5619 = ((BgL_objectz00_bglt) BgL_new1351z00_3306);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5619, BgL_arg3077z00_3307);
					}}
					{	/* Ast/node.scm 231 */
						BgL_objectz00_bglt BgL_auxz00_13708;

						BgL_auxz00_13708 = ((BgL_objectz00_bglt) BgL_new1351z00_3306);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13708, BFALSE);
					}
					return BgL_new1351z00_3306;
				}
			}
		}
	}



/* &lambda3074 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3074z62zzast_nodez00(obj_t
		BgL_envz00_7357, obj_t BgL_loc1347z00_7358, obj_t BgL_type1348z00_7359,
		obj_t BgL_var1349z00_7360, obj_t BgL_body1350z00_7361)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{
				obj_t BgL_loc1347z00_3297;
				BgL_typez00_bglt BgL_type1348z00_3298;
				BgL_varz00_bglt BgL_var1349z00_3299;
				BgL_nodez00_bglt BgL_body1350z00_3300;

				BgL_loc1347z00_3297 = BgL_loc1347z00_7358;
				BgL_type1348z00_3298 = ((BgL_typez00_bglt) BgL_type1348z00_7359);
				BgL_var1349z00_3299 = ((BgL_varz00_bglt) BgL_var1349z00_7360);
				BgL_body1350z00_3300 = ((BgL_nodez00_bglt) BgL_body1350z00_7361);
				{	/* Ast/node.scm 231 */
					BgL_setzd2exzd2itz00_bglt BgL_new2037z00_3302;

					{	/* Ast/node.scm 231 */
						BgL_setzd2exzd2itz00_bglt BgL_new2036z00_3303;

						BgL_new2036z00_3303 =
							((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setzd2exzd2itz00_bgl))));
						{	/* Ast/node.scm 231 */
							long BgL_arg3075z00_3304;

							{	/* Ast/node.scm 231 */
								long BgL_res3312z00_5612;

								{	/* Ast/node.scm 231 */
									obj_t BgL_classz00_5609;

									BgL_classz00_5609 = BGl_setzd2exzd2itz00zzast_nodez00;
									{	/* Ast/node.scm 231 */
										obj_t BgL_vectorz00_5610;
										int BgL_kz00_5611;

										BgL_vectorz00_5610 = BgL_classz00_5609;
										BgL_kz00_5611 = (int) (((long) 1));
										BgL_res3312z00_5612 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5610,
												BgL_kz00_5611));
								}}
								BgL_arg3075z00_3304 = BgL_res3312z00_5612;
							}
							{	/* Ast/node.scm 231 */
								BgL_objectz00_bglt BgL_objz00_5613;

								BgL_objz00_5613 = ((BgL_objectz00_bglt) BgL_new2036z00_3303);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5613, BgL_arg3075z00_3304);
						}}
						{	/* Ast/node.scm 231 */
							BgL_objectz00_bglt BgL_auxz00_13717;

							BgL_auxz00_13717 = ((BgL_objectz00_bglt) BgL_new2036z00_3303);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13717, BFALSE);
						}
						BgL_new2037z00_3302 = BgL_new2036z00_3303;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2037z00_3302)))->BgL_locz00) =
						((obj_t) BgL_loc1347z00_3297), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2037z00_3302)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1348z00_3298), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new2037z00_3302))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1349z00_3299), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new2037z00_3302))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1350z00_3300), BUNSPEC);
					return BgL_new2037z00_3302;
				}
			}
		}
	}



/* &lambda3088 */
	obj_t BGl_z62lambda3088z62zzast_nodez00(obj_t BgL_envz00_7362,
		obj_t BgL_oz00_7363, obj_t BgL_vz00_7364)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{	/* Ast/node.scm 231 */
				BgL_setzd2exzd2itz00_bglt BgL_oz00_9358;
				BgL_varz00_bglt BgL_vz00_9359;

				BgL_oz00_9358 = ((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7363);
				BgL_vz00_9359 = ((BgL_varz00_bglt) BgL_vz00_7364);
				return
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_9358))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9359), BUNSPEC);
			}
		}
	}



/* &lambda3087 */
	BgL_varz00_bglt BGl_z62lambda3087z62zzast_nodez00(obj_t BgL_envz00_7365,
		obj_t BgL_oz00_7366)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7366)))->BgL_varz00);
		}
	}



/* &lambda3083 */
	obj_t BGl_z62lambda3083z62zzast_nodez00(obj_t BgL_envz00_7367,
		obj_t BgL_oz00_7368, obj_t BgL_vz00_7369)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{	/* Ast/node.scm 231 */
				BgL_setzd2exzd2itz00_bglt BgL_oz00_9361;
				BgL_nodez00_bglt BgL_vz00_9362;

				BgL_oz00_9361 = ((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7368);
				BgL_vz00_9362 = ((BgL_nodez00_bglt) BgL_vz00_7369);
				return
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_9361))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9362), BUNSPEC);
			}
		}
	}



/* &lambda3082 */
	BgL_nodez00_bglt BGl_z62lambda3082z62zzast_nodez00(obj_t BgL_envz00_7370,
		obj_t BgL_oz00_7371)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7371)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3049> */
	BgL_letzd2varzd2_bglt BGl_z62zc3anonymousza33049ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7372, obj_t BgL_new1345z00_7373)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{
				BgL_letzd2varzd2_bglt BgL_new1345z00_3246;

				BgL_new1345z00_3246 = ((BgL_letzd2varzd2_bglt) BgL_new1345z00_7373);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1345z00_3246)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13741;

					{	/* Ast/node.scm 222 */
						obj_t BgL_classz00_5591;

						BgL_classz00_5591 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 222 */
							obj_t BgL__ortest_1090z00_5592;

							{	/* Ast/node.scm 222 */
								obj_t BgL_vectorz00_5593;
								int BgL_kz00_5594;

								BgL_vectorz00_5593 = BgL_classz00_5591;
								BgL_kz00_5594 = (int) (((long) 17));
								BgL__ortest_1090z00_5592 =
									VECTOR_REF(BgL_vectorz00_5593, BgL_kz00_5594);
							}
							if (CBOOL(BgL__ortest_1090z00_5592))
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13741 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5592);
								}
							else
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13741 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5591));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1345z00_3246)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13741), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1345z00_3246)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1345z00_3246)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1345z00_3246))->
						BgL_bindingsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13756;

					{	/* Ast/node.scm 222 */
						obj_t BgL_classz00_5595;

						BgL_classz00_5595 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 222 */
							obj_t BgL__ortest_1090z00_5596;

							{	/* Ast/node.scm 222 */
								obj_t BgL_vectorz00_5597;
								int BgL_kz00_5598;

								BgL_vectorz00_5597 = BgL_classz00_5595;
								BgL_kz00_5598 = (int) (((long) 17));
								BgL__ortest_1090z00_5596 =
									VECTOR_REF(BgL_vectorz00_5597, BgL_kz00_5598);
							}
							if (CBOOL(BgL__ortest_1090z00_5596))
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13756 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5596);
								}
							else
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13756 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5595));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1345z00_3246))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13756), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1345z00_3246))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1345z00_3246;
			}
		}
	}



/* &lambda3046 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3046z62zzast_nodez00(obj_t BgL_envz00_7374)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{

				{	/* Ast/node.scm 222 */
					BgL_letzd2varzd2_bglt BgL_new1344z00_3244;

					BgL_new1344z00_3244 =
						((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/node.scm 222 */
						long BgL_arg3048z00_3245;

						{	/* Ast/node.scm 222 */
							long BgL_res3311z00_5588;

							{	/* Ast/node.scm 222 */
								obj_t BgL_classz00_5585;

								BgL_classz00_5585 = BGl_letzd2varzd2zzast_nodez00;
								{	/* Ast/node.scm 222 */
									obj_t BgL_vectorz00_5586;
									int BgL_kz00_5587;

									BgL_vectorz00_5586 = BgL_classz00_5585;
									BgL_kz00_5587 = (int) (((long) 1));
									BgL_res3311z00_5588 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5586, BgL_kz00_5587));
							}}
							BgL_arg3048z00_3245 = BgL_res3311z00_5588;
						}
						{	/* Ast/node.scm 222 */
							BgL_objectz00_bglt BgL_objz00_5589;

							BgL_objz00_5589 = ((BgL_objectz00_bglt) BgL_new1344z00_3244);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5589, BgL_arg3048z00_3245);
					}}
					{	/* Ast/node.scm 222 */
						BgL_objectz00_bglt BgL_auxz00_13773;

						BgL_auxz00_13773 = ((BgL_objectz00_bglt) BgL_new1344z00_3244);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13773, BFALSE);
					}
					return BgL_new1344z00_3244;
				}
			}
		}
	}



/* &lambda3044 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3044z62zzast_nodez00(obj_t BgL_envz00_7375,
		obj_t BgL_loc1337z00_7376, obj_t BgL_type1338z00_7377,
		obj_t BgL_sidezd2effect1339zd2_7378, obj_t BgL_key1340z00_7379,
		obj_t BgL_bindings1341z00_7380, obj_t BgL_body1342z00_7381,
		obj_t BgL_removablezf31343zf3_7382)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{
				obj_t BgL_loc1337z00_3232;
				BgL_typez00_bglt BgL_type1338z00_3233;
				obj_t BgL_sidezd2effect1339zd2_3234;
				obj_t BgL_key1340z00_3235;
				obj_t BgL_bindings1341z00_3236;
				BgL_nodez00_bglt BgL_body1342z00_3237;
				bool_t BgL_removablezf31343zf3_3238;

				BgL_loc1337z00_3232 = BgL_loc1337z00_7376;
				BgL_type1338z00_3233 = ((BgL_typez00_bglt) BgL_type1338z00_7377);
				BgL_sidezd2effect1339zd2_3234 = BgL_sidezd2effect1339zd2_7378;
				BgL_key1340z00_3235 = BgL_key1340z00_7379;
				BgL_bindings1341z00_3236 = BgL_bindings1341z00_7380;
				BgL_body1342z00_3237 = ((BgL_nodez00_bglt) BgL_body1342z00_7381);
				BgL_removablezf31343zf3_3238 = CBOOL(BgL_removablezf31343zf3_7382);
				{	/* Ast/node.scm 222 */
					BgL_letzd2varzd2_bglt BgL_new2029z00_3240;

					{	/* Ast/node.scm 222 */
						BgL_letzd2varzd2_bglt BgL_new2028z00_3241;

						BgL_new2028z00_3241 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 222 */
							long BgL_arg3045z00_3242;

							{	/* Ast/node.scm 222 */
								long BgL_res3310z00_5582;

								{	/* Ast/node.scm 222 */
									obj_t BgL_classz00_5579;

									BgL_classz00_5579 = BGl_letzd2varzd2zzast_nodez00;
									{	/* Ast/node.scm 222 */
										obj_t BgL_vectorz00_5580;
										int BgL_kz00_5581;

										BgL_vectorz00_5580 = BgL_classz00_5579;
										BgL_kz00_5581 = (int) (((long) 1));
										BgL_res3310z00_5582 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5580,
												BgL_kz00_5581));
								}}
								BgL_arg3045z00_3242 = BgL_res3310z00_5582;
							}
							{	/* Ast/node.scm 222 */
								BgL_objectz00_bglt BgL_objz00_5583;

								BgL_objz00_5583 = ((BgL_objectz00_bglt) BgL_new2028z00_3241);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5583, BgL_arg3045z00_3242);
						}}
						{	/* Ast/node.scm 222 */
							BgL_objectz00_bglt BgL_auxz00_13782;

							BgL_auxz00_13782 = ((BgL_objectz00_bglt) BgL_new2028z00_3241);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13782, BFALSE);
						}
						BgL_new2029z00_3240 = BgL_new2028z00_3241;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2029z00_3240)))->BgL_locz00) =
						((obj_t) BgL_loc1337z00_3232), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2029z00_3240)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1338z00_3233), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2029z00_3240)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1339zd2_3234), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2029z00_3240)))->BgL_keyz00) =
						((obj_t) BgL_key1340z00_3235), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2029z00_3240))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1341z00_3236), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2029z00_3240))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1342z00_3237), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2029z00_3240))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31343zf3_3238), BUNSPEC);
					return BgL_new2029z00_3240;
				}
			}
		}
	}



/* &lambda3068 */
	obj_t BGl_z62lambda3068z62zzast_nodez00(obj_t BgL_envz00_7383,
		obj_t BgL_oz00_7384, obj_t BgL_vz00_7385)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{	/* Ast/node.scm 222 */
				BgL_letzd2varzd2_bglt BgL_oz00_9364;

				BgL_oz00_9364 = ((BgL_letzd2varzd2_bglt) BgL_oz00_7384);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9364))->BgL_bindingsz00) =
					((obj_t) BgL_vz00_7385), BUNSPEC);
			}
		}
	}



/* &lambda3067 */
	obj_t BGl_z62lambda3067z62zzast_nodez00(obj_t BgL_envz00_7386,
		obj_t BgL_oz00_7387)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_7387)))->BgL_bindingsz00);
		}
	}



/* &lambda3063 */
	obj_t BGl_z62lambda3063z62zzast_nodez00(obj_t BgL_envz00_7388,
		obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{	/* Ast/node.scm 222 */
				BgL_letzd2varzd2_bglt BgL_oz00_9367;
				BgL_nodez00_bglt BgL_vz00_9368;

				BgL_oz00_9367 = ((BgL_letzd2varzd2_bglt) BgL_oz00_7389);
				BgL_vz00_9368 = ((BgL_nodez00_bglt) BgL_vz00_7390);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9367))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9368), BUNSPEC);
			}
		}
	}



/* &lambda3062 */
	BgL_nodez00_bglt BGl_z62lambda3062z62zzast_nodez00(obj_t BgL_envz00_7391,
		obj_t BgL_oz00_7392)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_7392)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3057> */
	obj_t BGl_z62zc3anonymousza33057ze3ze1zzast_nodez00(obj_t BgL_envz00_7393)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &lambda3056 */
	obj_t BGl_z62lambda3056z62zzast_nodez00(obj_t BgL_envz00_7394,
		obj_t BgL_oz00_7395, obj_t BgL_vz00_7396)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{	/* Ast/node.scm 222 */
				BgL_letzd2varzd2_bglt BgL_oz00_9370;
				bool_t BgL_vz00_9371;

				BgL_oz00_9370 = ((BgL_letzd2varzd2_bglt) BgL_oz00_7395);
				BgL_vz00_9371 = CBOOL(BgL_vz00_7396);
				return
					((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_9370))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9371), BUNSPEC);
			}
		}
	}



/* &lambda3055 */
	obj_t BGl_z62lambda3055z62zzast_nodez00(obj_t BgL_envz00_7397,
		obj_t BgL_oz00_7398)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_7398)))->BgL_removablezf3zf3));
		}
	}



/* &<anonymous:3027> */
	BgL_letzd2funzd2_bglt BGl_z62zc3anonymousza33027ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7399, obj_t BgL_new1335z00_7400)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{
				BgL_letzd2funzd2_bglt BgL_new1335z00_3196;

				BgL_new1335z00_3196 = ((BgL_letzd2funzd2_bglt) BgL_new1335z00_7400);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1335z00_3196)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13817;

					{	/* Ast/node.scm 215 */
						obj_t BgL_classz00_5556;

						BgL_classz00_5556 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 215 */
							obj_t BgL__ortest_1090z00_5557;

							{	/* Ast/node.scm 215 */
								obj_t BgL_vectorz00_5558;
								int BgL_kz00_5559;

								BgL_vectorz00_5558 = BgL_classz00_5556;
								BgL_kz00_5559 = (int) (((long) 17));
								BgL__ortest_1090z00_5557 =
									VECTOR_REF(BgL_vectorz00_5558, BgL_kz00_5559);
							}
							if (CBOOL(BgL__ortest_1090z00_5557))
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13817 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5557);
								}
							else
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13817 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5556));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1335z00_3196)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13817), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1335z00_3196)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1335z00_3196)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1335z00_3196))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13832;

					{	/* Ast/node.scm 215 */
						obj_t BgL_classz00_5560;

						BgL_classz00_5560 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 215 */
							obj_t BgL__ortest_1090z00_5561;

							{	/* Ast/node.scm 215 */
								obj_t BgL_vectorz00_5562;
								int BgL_kz00_5563;

								BgL_vectorz00_5562 = BgL_classz00_5560;
								BgL_kz00_5563 = (int) (((long) 17));
								BgL__ortest_1090z00_5561 =
									VECTOR_REF(BgL_vectorz00_5562, BgL_kz00_5563);
							}
							if (CBOOL(BgL__ortest_1090z00_5561))
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13832 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5561);
								}
							else
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13832 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5560));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new1335z00_3196))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13832), BUNSPEC);
				}
				return BgL_new1335z00_3196;
			}
		}
	}



/* &lambda3025 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3025z62zzast_nodez00(obj_t BgL_envz00_7401)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{

				{	/* Ast/node.scm 215 */
					BgL_letzd2funzd2_bglt BgL_new1334z00_3194;

					BgL_new1334z00_3194 =
						((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 215 */
						long BgL_arg3026z00_3195;

						{	/* Ast/node.scm 215 */
							long BgL_res3309z00_5553;

							{	/* Ast/node.scm 215 */
								obj_t BgL_classz00_5550;

								BgL_classz00_5550 = BGl_letzd2funzd2zzast_nodez00;
								{	/* Ast/node.scm 215 */
									obj_t BgL_vectorz00_5551;
									int BgL_kz00_5552;

									BgL_vectorz00_5551 = BgL_classz00_5550;
									BgL_kz00_5552 = (int) (((long) 1));
									BgL_res3309z00_5553 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5551, BgL_kz00_5552));
							}}
							BgL_arg3026z00_3195 = BgL_res3309z00_5553;
						}
						{	/* Ast/node.scm 215 */
							BgL_objectz00_bglt BgL_objz00_5554;

							BgL_objz00_5554 = ((BgL_objectz00_bglt) BgL_new1334z00_3194);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5554, BgL_arg3026z00_3195);
					}}
					{	/* Ast/node.scm 215 */
						BgL_objectz00_bglt BgL_auxz00_13848;

						BgL_auxz00_13848 = ((BgL_objectz00_bglt) BgL_new1334z00_3194);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13848, BFALSE);
					}
					return BgL_new1334z00_3194;
				}
			}
		}
	}



/* &lambda3023 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3023z62zzast_nodez00(obj_t BgL_envz00_7402,
		obj_t BgL_loc1328z00_7403, obj_t BgL_type1329z00_7404,
		obj_t BgL_sidezd2effect1330zd2_7405, obj_t BgL_key1331z00_7406,
		obj_t BgL_locals1332z00_7407, obj_t BgL_body1333z00_7408)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{
				obj_t BgL_loc1328z00_3183;
				BgL_typez00_bglt BgL_type1329z00_3184;
				obj_t BgL_sidezd2effect1330zd2_3185;
				obj_t BgL_key1331z00_3186;
				obj_t BgL_locals1332z00_3187;
				BgL_nodez00_bglt BgL_body1333z00_3188;

				BgL_loc1328z00_3183 = BgL_loc1328z00_7403;
				BgL_type1329z00_3184 = ((BgL_typez00_bglt) BgL_type1329z00_7404);
				BgL_sidezd2effect1330zd2_3185 = BgL_sidezd2effect1330zd2_7405;
				BgL_key1331z00_3186 = BgL_key1331z00_7406;
				BgL_locals1332z00_3187 = BgL_locals1332z00_7407;
				BgL_body1333z00_3188 = ((BgL_nodez00_bglt) BgL_body1333z00_7408);
				{	/* Ast/node.scm 215 */
					BgL_letzd2funzd2_bglt BgL_new2023z00_3190;

					{	/* Ast/node.scm 215 */
						BgL_letzd2funzd2_bglt BgL_new2022z00_3191;

						BgL_new2022z00_3191 =
							((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Ast/node.scm 215 */
							long BgL_arg3024z00_3192;

							{	/* Ast/node.scm 215 */
								long BgL_res3308z00_5547;

								{	/* Ast/node.scm 215 */
									obj_t BgL_classz00_5544;

									BgL_classz00_5544 = BGl_letzd2funzd2zzast_nodez00;
									{	/* Ast/node.scm 215 */
										obj_t BgL_vectorz00_5545;
										int BgL_kz00_5546;

										BgL_vectorz00_5545 = BgL_classz00_5544;
										BgL_kz00_5546 = (int) (((long) 1));
										BgL_res3308z00_5547 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5545,
												BgL_kz00_5546));
								}}
								BgL_arg3024z00_3192 = BgL_res3308z00_5547;
							}
							{	/* Ast/node.scm 215 */
								BgL_objectz00_bglt BgL_objz00_5548;

								BgL_objz00_5548 = ((BgL_objectz00_bglt) BgL_new2022z00_3191);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5548, BgL_arg3024z00_3192);
						}}
						{	/* Ast/node.scm 215 */
							BgL_objectz00_bglt BgL_auxz00_13857;

							BgL_auxz00_13857 = ((BgL_objectz00_bglt) BgL_new2022z00_3191);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13857, BFALSE);
						}
						BgL_new2023z00_3190 = BgL_new2022z00_3191;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2023z00_3190)))->BgL_locz00) =
						((obj_t) BgL_loc1328z00_3183), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2023z00_3190)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1329z00_3184), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2023z00_3190)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1330zd2_3185), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2023z00_3190)))->BgL_keyz00) =
						((obj_t) BgL_key1331z00_3186), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new2023z00_3190))->
							BgL_localsz00) = ((obj_t) BgL_locals1332z00_3187), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new2023z00_3190))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1333z00_3188), BUNSPEC);
					return BgL_new2023z00_3190;
				}
			}
		}
	}



/* &lambda3037 */
	obj_t BGl_z62lambda3037z62zzast_nodez00(obj_t BgL_envz00_7409,
		obj_t BgL_oz00_7410, obj_t BgL_vz00_7411)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{	/* Ast/node.scm 215 */
				BgL_letzd2funzd2_bglt BgL_oz00_9373;

				BgL_oz00_9373 = ((BgL_letzd2funzd2_bglt) BgL_oz00_7410);
				return
					((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_9373))->BgL_localsz00) =
					((obj_t) BgL_vz00_7411), BUNSPEC);
			}
		}
	}



/* &lambda3036 */
	obj_t BGl_z62lambda3036z62zzast_nodez00(obj_t BgL_envz00_7412,
		obj_t BgL_oz00_7413)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_7413)))->BgL_localsz00);
		}
	}



/* &lambda3032 */
	obj_t BGl_z62lambda3032z62zzast_nodez00(obj_t BgL_envz00_7414,
		obj_t BgL_oz00_7415, obj_t BgL_vz00_7416)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{	/* Ast/node.scm 215 */
				BgL_letzd2funzd2_bglt BgL_oz00_9376;
				BgL_nodez00_bglt BgL_vz00_9377;

				BgL_oz00_9376 = ((BgL_letzd2funzd2_bglt) BgL_oz00_7415);
				BgL_vz00_9377 = ((BgL_nodez00_bglt) BgL_vz00_7416);
				return
					((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_9376))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_vz00_9377), BUNSPEC);
			}
		}
	}



/* &lambda3031 */
	BgL_nodez00_bglt BGl_z62lambda3031z62zzast_nodez00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_7418)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3000> */
	BgL_selectz00_bglt BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7419, obj_t BgL_new1326z00_7420)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{
				BgL_selectz00_bglt BgL_new1326z00_3135;

				BgL_new1326z00_3135 = ((BgL_selectz00_bglt) BgL_new1326z00_7420);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1326z00_3135)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13883;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5522;

						BgL_classz00_5522 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1090z00_5523;

							{	/* Ast/node.scm 206 */
								obj_t BgL_vectorz00_5524;
								int BgL_kz00_5525;

								BgL_vectorz00_5524 = BgL_classz00_5522;
								BgL_kz00_5525 = (int) (((long) 17));
								BgL__ortest_1090z00_5523 =
									VECTOR_REF(BgL_vectorz00_5524, BgL_kz00_5525);
							}
							if (CBOOL(BgL__ortest_1090z00_5523))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13883 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5523);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13883 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5522));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1326z00_3135)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13883), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1326z00_3135)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1326z00_3135)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13897;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5526;

						BgL_classz00_5526 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1090z00_5527;

							{	/* Ast/node.scm 206 */
								obj_t BgL_vectorz00_5528;
								int BgL_kz00_5529;

								BgL_vectorz00_5528 = BgL_classz00_5526;
								BgL_kz00_5529 = (int) (((long) 17));
								BgL__ortest_1090z00_5527 =
									VECTOR_REF(BgL_vectorz00_5528, BgL_kz00_5529);
							}
							if (CBOOL(BgL__ortest_1090z00_5527))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13897 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5527);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13897 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5526));
								}
						}
					}
					((((BgL_selectz00_bglt) CREF(BgL_new1326z00_3135))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13897), BUNSPEC);
				}
				((((BgL_selectz00_bglt) CREF(BgL_new1326z00_3135))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13907;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5530;

						BgL_classz00_5530 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1090z00_5531;

							{	/* Ast/node.scm 206 */
								obj_t BgL_vectorz00_5532;
								int BgL_kz00_5533;

								BgL_vectorz00_5532 = BgL_classz00_5530;
								BgL_kz00_5533 = (int) (((long) 17));
								BgL__ortest_1090z00_5531 =
									VECTOR_REF(BgL_vectorz00_5532, BgL_kz00_5533);
							}
							if (CBOOL(BgL__ortest_1090z00_5531))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13907 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5531);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_13907 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5530));
								}
						}
					}
					((((BgL_selectz00_bglt) CREF(BgL_new1326z00_3135))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_13907), BUNSPEC);
				}
				return BgL_new1326z00_3135;
			}
		}
	}



/* &lambda2998 */
	BgL_selectz00_bglt BGl_z62lambda2998z62zzast_nodez00(obj_t BgL_envz00_7421)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{

				{	/* Ast/node.scm 206 */
					BgL_selectz00_bglt BgL_new1325z00_3133;

					BgL_new1325z00_3133 =
						((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_selectz00_bgl))));
					{	/* Ast/node.scm 206 */
						long BgL_arg2999z00_3134;

						{	/* Ast/node.scm 206 */
							long BgL_res3307z00_5519;

							{	/* Ast/node.scm 206 */
								obj_t BgL_classz00_5516;

								BgL_classz00_5516 = BGl_selectz00zzast_nodez00;
								{	/* Ast/node.scm 206 */
									obj_t BgL_vectorz00_5517;
									int BgL_kz00_5518;

									BgL_vectorz00_5517 = BgL_classz00_5516;
									BgL_kz00_5518 = (int) (((long) 1));
									BgL_res3307z00_5519 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5517, BgL_kz00_5518));
							}}
							BgL_arg2999z00_3134 = BgL_res3307z00_5519;
						}
						{	/* Ast/node.scm 206 */
							BgL_objectz00_bglt BgL_objz00_5520;

							BgL_objz00_5520 = ((BgL_objectz00_bglt) BgL_new1325z00_3133);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5520, BgL_arg2999z00_3134);
					}}
					{	/* Ast/node.scm 206 */
						BgL_objectz00_bglt BgL_auxz00_13923;

						BgL_auxz00_13923 = ((BgL_objectz00_bglt) BgL_new1325z00_3133);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13923, BFALSE);
					}
					return BgL_new1325z00_3133;
				}
			}
		}
	}



/* &lambda2996 */
	BgL_selectz00_bglt BGl_z62lambda2996z62zzast_nodez00(obj_t BgL_envz00_7422,
		obj_t BgL_loc1318z00_7423, obj_t BgL_type1319z00_7424,
		obj_t BgL_sidezd2effect1320zd2_7425, obj_t BgL_key1321z00_7426,
		obj_t BgL_test1322z00_7427, obj_t BgL_clauses1323z00_7428,
		obj_t BgL_itemzd2type1324zd2_7429)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{
				obj_t BgL_loc1318z00_3121;
				BgL_typez00_bglt BgL_type1319z00_3122;
				obj_t BgL_sidezd2effect1320zd2_3123;
				obj_t BgL_key1321z00_3124;
				BgL_nodez00_bglt BgL_test1322z00_3125;
				obj_t BgL_clauses1323z00_3126;
				BgL_typez00_bglt BgL_itemzd2type1324zd2_3127;

				BgL_loc1318z00_3121 = BgL_loc1318z00_7423;
				BgL_type1319z00_3122 = ((BgL_typez00_bglt) BgL_type1319z00_7424);
				BgL_sidezd2effect1320zd2_3123 = BgL_sidezd2effect1320zd2_7425;
				BgL_key1321z00_3124 = BgL_key1321z00_7426;
				BgL_test1322z00_3125 = ((BgL_nodez00_bglt) BgL_test1322z00_7427);
				BgL_clauses1323z00_3126 = BgL_clauses1323z00_7428;
				BgL_itemzd2type1324zd2_3127 =
					((BgL_typez00_bglt) BgL_itemzd2type1324zd2_7429);
				{	/* Ast/node.scm 206 */
					BgL_selectz00_bglt BgL_new2015z00_3129;

					{	/* Ast/node.scm 206 */
						BgL_selectz00_bglt BgL_new2014z00_3130;

						BgL_new2014z00_3130 =
							((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_selectz00_bgl))));
						{	/* Ast/node.scm 206 */
							long BgL_arg2997z00_3131;

							{	/* Ast/node.scm 206 */
								long BgL_res3306z00_5513;

								{	/* Ast/node.scm 206 */
									obj_t BgL_classz00_5510;

									BgL_classz00_5510 = BGl_selectz00zzast_nodez00;
									{	/* Ast/node.scm 206 */
										obj_t BgL_vectorz00_5511;
										int BgL_kz00_5512;

										BgL_vectorz00_5511 = BgL_classz00_5510;
										BgL_kz00_5512 = (int) (((long) 1));
										BgL_res3306z00_5513 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5511,
												BgL_kz00_5512));
								}}
								BgL_arg2997z00_3131 = BgL_res3306z00_5513;
							}
							{	/* Ast/node.scm 206 */
								BgL_objectz00_bglt BgL_objz00_5514;

								BgL_objz00_5514 = ((BgL_objectz00_bglt) BgL_new2014z00_3130);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5514, BgL_arg2997z00_3131);
						}}
						{	/* Ast/node.scm 206 */
							BgL_objectz00_bglt BgL_auxz00_13932;

							BgL_auxz00_13932 = ((BgL_objectz00_bglt) BgL_new2014z00_3130);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13932, BFALSE);
						}
						BgL_new2015z00_3129 = BgL_new2014z00_3130;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2015z00_3129)))->BgL_locz00) =
						((obj_t) BgL_loc1318z00_3121), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2015z00_3129)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1319z00_3122), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2015z00_3129)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1320zd2_3123), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2015z00_3129)))->BgL_keyz00) =
						((obj_t) BgL_key1321z00_3124), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2015z00_3129))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1322z00_3125), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2015z00_3129))->BgL_clausesz00) =
						((obj_t) BgL_clauses1323z00_3126), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2015z00_3129))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_itemzd2type1324zd2_3127), BUNSPEC);
					return BgL_new2015z00_3129;
				}
			}
		}
	}



/* &lambda3016 */
	obj_t BGl_z62lambda3016z62zzast_nodez00(obj_t BgL_envz00_7430,
		obj_t BgL_oz00_7431, obj_t BgL_vz00_7432)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{	/* Ast/node.scm 206 */
				BgL_selectz00_bglt BgL_oz00_9379;
				BgL_nodez00_bglt BgL_vz00_9380;

				BgL_oz00_9379 = ((BgL_selectz00_bglt) BgL_oz00_7431);
				BgL_vz00_9380 = ((BgL_nodez00_bglt) BgL_vz00_7432);
				return
					((((BgL_selectz00_bglt) CREF(BgL_oz00_9379))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_vz00_9380), BUNSPEC);
			}
		}
	}



/* &lambda3015 */
	BgL_nodez00_bglt BGl_z62lambda3015z62zzast_nodez00(obj_t BgL_envz00_7433,
		obj_t BgL_oz00_7434)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7434)))->BgL_testz00);
		}
	}



/* &lambda3011 */
	obj_t BGl_z62lambda3011z62zzast_nodez00(obj_t BgL_envz00_7435,
		obj_t BgL_oz00_7436, obj_t BgL_vz00_7437)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{	/* Ast/node.scm 206 */
				BgL_selectz00_bglt BgL_oz00_9382;

				BgL_oz00_9382 = ((BgL_selectz00_bglt) BgL_oz00_7436);
				return
					((((BgL_selectz00_bglt) CREF(BgL_oz00_9382))->BgL_clausesz00) =
					((obj_t) BgL_vz00_7437), BUNSPEC);
			}
		}
	}



/* &lambda3010 */
	obj_t BGl_z62lambda3010z62zzast_nodez00(obj_t BgL_envz00_7438,
		obj_t BgL_oz00_7439)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7439)))->BgL_clausesz00);
		}
	}



/* &lambda3005 */
	obj_t BGl_z62lambda3005z62zzast_nodez00(obj_t BgL_envz00_7440,
		obj_t BgL_oz00_7441, obj_t BgL_vz00_7442)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{	/* Ast/node.scm 206 */
				BgL_selectz00_bglt BgL_oz00_9385;
				BgL_typez00_bglt BgL_vz00_9386;

				BgL_oz00_9385 = ((BgL_selectz00_bglt) BgL_oz00_7441);
				BgL_vz00_9386 = ((BgL_typez00_bglt) BgL_vz00_7442);
				return
					((((BgL_selectz00_bglt) CREF(BgL_oz00_9385))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_vz00_9386), BUNSPEC);
			}
		}
	}



/* &lambda3004 */
	BgL_typez00_bglt BGl_z62lambda3004z62zzast_nodez00(obj_t BgL_envz00_7443,
		obj_t BgL_oz00_7444)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7444)))->BgL_itemzd2typezd2);
		}
	}



/* &<anonymous:2975> */
	BgL_failz00_bglt BGl_z62zc3anonymousza32975ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7445, obj_t BgL_new1316z00_7446)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{
				BgL_failz00_bglt BgL_new1316z00_3073;

				BgL_new1316z00_3073 = ((BgL_failz00_bglt) BgL_new1316z00_7446);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1316z00_3073)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13965;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5479;

						BgL_classz00_5479 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1090z00_5480;

							{	/* Ast/node.scm 199 */
								obj_t BgL_vectorz00_5481;
								int BgL_kz00_5482;

								BgL_vectorz00_5481 = BgL_classz00_5479;
								BgL_kz00_5482 = (int) (((long) 17));
								BgL__ortest_1090z00_5480 =
									VECTOR_REF(BgL_vectorz00_5481, BgL_kz00_5482);
							}
							if (CBOOL(BgL__ortest_1090z00_5480))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13965 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5480);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13965 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5479));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1316z00_3073)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13965), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13975;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5483;

						BgL_classz00_5483 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1090z00_5484;

							{	/* Ast/node.scm 199 */
								obj_t BgL_vectorz00_5485;
								int BgL_kz00_5486;

								BgL_vectorz00_5485 = BgL_classz00_5483;
								BgL_kz00_5486 = (int) (((long) 17));
								BgL__ortest_1090z00_5484 =
									VECTOR_REF(BgL_vectorz00_5485, BgL_kz00_5486);
							}
							if (CBOOL(BgL__ortest_1090z00_5484))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13975 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5484);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13975 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5483));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1316z00_3073))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13975), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13984;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5487;

						BgL_classz00_5487 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1090z00_5488;

							{	/* Ast/node.scm 199 */
								obj_t BgL_vectorz00_5489;
								int BgL_kz00_5490;

								BgL_vectorz00_5489 = BgL_classz00_5487;
								BgL_kz00_5490 = (int) (((long) 17));
								BgL__ortest_1090z00_5488 =
									VECTOR_REF(BgL_vectorz00_5489, BgL_kz00_5490);
							}
							if (CBOOL(BgL__ortest_1090z00_5488))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13984 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5488);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13984 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5487));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1316z00_3073))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13984), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13993;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5491;

						BgL_classz00_5491 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1090z00_5492;

							{	/* Ast/node.scm 199 */
								obj_t BgL_vectorz00_5493;
								int BgL_kz00_5494;

								BgL_vectorz00_5493 = BgL_classz00_5491;
								BgL_kz00_5494 = (int) (((long) 17));
								BgL__ortest_1090z00_5492 =
									VECTOR_REF(BgL_vectorz00_5493, BgL_kz00_5494);
							}
							if (CBOOL(BgL__ortest_1090z00_5492))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13993 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5492);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_13993 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5491));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1316z00_3073))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13993), BUNSPEC);
				}
				return BgL_new1316z00_3073;
			}
		}
	}



/* &lambda2973 */
	BgL_failz00_bglt BGl_z62lambda2973z62zzast_nodez00(obj_t BgL_envz00_7447)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{

				{	/* Ast/node.scm 199 */
					BgL_failz00_bglt BgL_new1315z00_3071;

					BgL_new1315z00_3071 =
						((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 199 */
						long BgL_arg2974z00_3072;

						{	/* Ast/node.scm 199 */
							long BgL_res3305z00_5476;

							{	/* Ast/node.scm 199 */
								obj_t BgL_classz00_5473;

								BgL_classz00_5473 = BGl_failz00zzast_nodez00;
								{	/* Ast/node.scm 199 */
									obj_t BgL_vectorz00_5474;
									int BgL_kz00_5475;

									BgL_vectorz00_5474 = BgL_classz00_5473;
									BgL_kz00_5475 = (int) (((long) 1));
									BgL_res3305z00_5476 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5474, BgL_kz00_5475));
							}}
							BgL_arg2974z00_3072 = BgL_res3305z00_5476;
						}
						{	/* Ast/node.scm 199 */
							BgL_objectz00_bglt BgL_objz00_5477;

							BgL_objz00_5477 = ((BgL_objectz00_bglt) BgL_new1315z00_3071);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5477, BgL_arg2974z00_3072);
					}}
					{	/* Ast/node.scm 199 */
						BgL_objectz00_bglt BgL_auxz00_14009;

						BgL_auxz00_14009 = ((BgL_objectz00_bglt) BgL_new1315z00_3071);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14009, BFALSE);
					}
					return BgL_new1315z00_3071;
				}
			}
		}
	}



/* &lambda2971 */
	BgL_failz00_bglt BGl_z62lambda2971z62zzast_nodez00(obj_t BgL_envz00_7448,
		obj_t BgL_loc1310z00_7449, obj_t BgL_type1311z00_7450,
		obj_t BgL_proc1312z00_7451, obj_t BgL_msg1313z00_7452,
		obj_t BgL_obj1314z00_7453)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{
				obj_t BgL_loc1310z00_3061;
				BgL_typez00_bglt BgL_type1311z00_3062;
				BgL_nodez00_bglt BgL_proc1312z00_3063;
				BgL_nodez00_bglt BgL_msg1313z00_3064;
				BgL_nodez00_bglt BgL_obj1314z00_3065;

				BgL_loc1310z00_3061 = BgL_loc1310z00_7449;
				BgL_type1311z00_3062 = ((BgL_typez00_bglt) BgL_type1311z00_7450);
				BgL_proc1312z00_3063 = ((BgL_nodez00_bglt) BgL_proc1312z00_7451);
				BgL_msg1313z00_3064 = ((BgL_nodez00_bglt) BgL_msg1313z00_7452);
				BgL_obj1314z00_3065 = ((BgL_nodez00_bglt) BgL_obj1314z00_7453);
				{	/* Ast/node.scm 199 */
					BgL_failz00_bglt BgL_new2007z00_3067;

					{	/* Ast/node.scm 199 */
						BgL_failz00_bglt BgL_new2006z00_3068;

						BgL_new2006z00_3068 =
							((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_failz00_bgl))));
						{	/* Ast/node.scm 199 */
							long BgL_arg2972z00_3069;

							{	/* Ast/node.scm 199 */
								long BgL_res3304z00_5470;

								{	/* Ast/node.scm 199 */
									obj_t BgL_classz00_5467;

									BgL_classz00_5467 = BGl_failz00zzast_nodez00;
									{	/* Ast/node.scm 199 */
										obj_t BgL_vectorz00_5468;
										int BgL_kz00_5469;

										BgL_vectorz00_5468 = BgL_classz00_5467;
										BgL_kz00_5469 = (int) (((long) 1));
										BgL_res3304z00_5470 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5468,
												BgL_kz00_5469));
								}}
								BgL_arg2972z00_3069 = BgL_res3304z00_5470;
							}
							{	/* Ast/node.scm 199 */
								BgL_objectz00_bglt BgL_objz00_5471;

								BgL_objz00_5471 = ((BgL_objectz00_bglt) BgL_new2006z00_3068);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5471, BgL_arg2972z00_3069);
						}}
						{	/* Ast/node.scm 199 */
							BgL_objectz00_bglt BgL_auxz00_14018;

							BgL_auxz00_14018 = ((BgL_objectz00_bglt) BgL_new2006z00_3068);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14018, BFALSE);
						}
						BgL_new2007z00_3067 = BgL_new2006z00_3068;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2007z00_3067)))->BgL_locz00) =
						((obj_t) BgL_loc1310z00_3061), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2007z00_3067)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1311z00_3062), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2007z00_3067))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_proc1312z00_3063), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2007z00_3067))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_msg1313z00_3064), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2007z00_3067))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_obj1314z00_3065), BUNSPEC);
					return BgL_new2007z00_3067;
				}
			}
		}
	}



/* &lambda2990 */
	obj_t BGl_z62lambda2990z62zzast_nodez00(obj_t BgL_envz00_7454,
		obj_t BgL_oz00_7455, obj_t BgL_vz00_7456)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{	/* Ast/node.scm 199 */
				BgL_failz00_bglt BgL_oz00_9388;
				BgL_nodez00_bglt BgL_vz00_9389;

				BgL_oz00_9388 = ((BgL_failz00_bglt) BgL_oz00_7455);
				BgL_vz00_9389 = ((BgL_nodez00_bglt) BgL_vz00_7456);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9388))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_vz00_9389), BUNSPEC);
			}
		}
	}



/* &lambda2989 */
	BgL_nodez00_bglt BGl_z62lambda2989z62zzast_nodez00(obj_t BgL_envz00_7457,
		obj_t BgL_oz00_7458)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7458)))->BgL_procz00);
		}
	}



/* &lambda2985 */
	obj_t BGl_z62lambda2985z62zzast_nodez00(obj_t BgL_envz00_7459,
		obj_t BgL_oz00_7460, obj_t BgL_vz00_7461)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{	/* Ast/node.scm 199 */
				BgL_failz00_bglt BgL_oz00_9391;
				BgL_nodez00_bglt BgL_vz00_9392;

				BgL_oz00_9391 = ((BgL_failz00_bglt) BgL_oz00_7460);
				BgL_vz00_9392 = ((BgL_nodez00_bglt) BgL_vz00_7461);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9391))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_vz00_9392), BUNSPEC);
			}
		}
	}



/* &lambda2984 */
	BgL_nodez00_bglt BGl_z62lambda2984z62zzast_nodez00(obj_t BgL_envz00_7462,
		obj_t BgL_oz00_7463)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7463)))->BgL_msgz00);
		}
	}



/* &lambda2980 */
	obj_t BGl_z62lambda2980z62zzast_nodez00(obj_t BgL_envz00_7464,
		obj_t BgL_oz00_7465, obj_t BgL_vz00_7466)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{	/* Ast/node.scm 199 */
				BgL_failz00_bglt BgL_oz00_9394;
				BgL_nodez00_bglt BgL_vz00_9395;

				BgL_oz00_9394 = ((BgL_failz00_bglt) BgL_oz00_7465);
				BgL_vz00_9395 = ((BgL_nodez00_bglt) BgL_vz00_7466);
				return
					((((BgL_failz00_bglt) CREF(BgL_oz00_9394))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_vz00_9395), BUNSPEC);
			}
		}
	}



/* &lambda2979 */
	BgL_nodez00_bglt BGl_z62lambda2979z62zzast_nodez00(obj_t BgL_envz00_7467,
		obj_t BgL_oz00_7468)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7468)))->BgL_objz00);
		}
	}



/* &<anonymous:2950> */
	BgL_conditionalz00_bglt BGl_z62zc3anonymousza32950ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7469, obj_t BgL_new1308z00_7470)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{
				BgL_conditionalz00_bglt BgL_new1308z00_3013;

				BgL_new1308z00_3013 = ((BgL_conditionalz00_bglt) BgL_new1308z00_7470);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1308z00_3013)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14049;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5436;

						BgL_classz00_5436 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1090z00_5437;

							{	/* Ast/node.scm 190 */
								obj_t BgL_vectorz00_5438;
								int BgL_kz00_5439;

								BgL_vectorz00_5438 = BgL_classz00_5436;
								BgL_kz00_5439 = (int) (((long) 17));
								BgL__ortest_1090z00_5437 =
									VECTOR_REF(BgL_vectorz00_5438, BgL_kz00_5439);
							}
							if (CBOOL(BgL__ortest_1090z00_5437))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14049 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5437);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14049 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5436));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1308z00_3013)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14049), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1308z00_3013)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1308z00_3013)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14063;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5440;

						BgL_classz00_5440 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1090z00_5441;

							{	/* Ast/node.scm 190 */
								obj_t BgL_vectorz00_5442;
								int BgL_kz00_5443;

								BgL_vectorz00_5442 = BgL_classz00_5440;
								BgL_kz00_5443 = (int) (((long) 17));
								BgL__ortest_1090z00_5441 =
									VECTOR_REF(BgL_vectorz00_5442, BgL_kz00_5443);
							}
							if (CBOOL(BgL__ortest_1090z00_5441))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14063 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5441);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14063 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5440));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1308z00_3013))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_14063), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14072;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5444;

						BgL_classz00_5444 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1090z00_5445;

							{	/* Ast/node.scm 190 */
								obj_t BgL_vectorz00_5446;
								int BgL_kz00_5447;

								BgL_vectorz00_5446 = BgL_classz00_5444;
								BgL_kz00_5447 = (int) (((long) 17));
								BgL__ortest_1090z00_5445 =
									VECTOR_REF(BgL_vectorz00_5446, BgL_kz00_5447);
							}
							if (CBOOL(BgL__ortest_1090z00_5445))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14072 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5445);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14072 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5444));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1308z00_3013))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_14072), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14081;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5448;

						BgL_classz00_5448 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1090z00_5449;

							{	/* Ast/node.scm 190 */
								obj_t BgL_vectorz00_5450;
								int BgL_kz00_5451;

								BgL_vectorz00_5450 = BgL_classz00_5448;
								BgL_kz00_5451 = (int) (((long) 17));
								BgL__ortest_1090z00_5449 =
									VECTOR_REF(BgL_vectorz00_5450, BgL_kz00_5451);
							}
							if (CBOOL(BgL__ortest_1090z00_5449))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14081 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5449);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14081 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5448));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1308z00_3013))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_14081), BUNSPEC);
				}
				return BgL_new1308z00_3013;
			}
		}
	}



/* &lambda2948 */
	BgL_conditionalz00_bglt BGl_z62lambda2948z62zzast_nodez00(obj_t
		BgL_envz00_7471)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{

				{	/* Ast/node.scm 190 */
					BgL_conditionalz00_bglt BgL_new1307z00_3011;

					BgL_new1307z00_3011 =
						((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 190 */
						long BgL_arg2949z00_3012;

						{	/* Ast/node.scm 190 */
							long BgL_res3303z00_5433;

							{	/* Ast/node.scm 190 */
								obj_t BgL_classz00_5430;

								BgL_classz00_5430 = BGl_conditionalz00zzast_nodez00;
								{	/* Ast/node.scm 190 */
									obj_t BgL_vectorz00_5431;
									int BgL_kz00_5432;

									BgL_vectorz00_5431 = BgL_classz00_5430;
									BgL_kz00_5432 = (int) (((long) 1));
									BgL_res3303z00_5433 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5431, BgL_kz00_5432));
							}}
							BgL_arg2949z00_3012 = BgL_res3303z00_5433;
						}
						{	/* Ast/node.scm 190 */
							BgL_objectz00_bglt BgL_objz00_5434;

							BgL_objz00_5434 = ((BgL_objectz00_bglt) BgL_new1307z00_3011);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5434, BgL_arg2949z00_3012);
					}}
					{	/* Ast/node.scm 190 */
						BgL_objectz00_bglt BgL_auxz00_14097;

						BgL_auxz00_14097 = ((BgL_objectz00_bglt) BgL_new1307z00_3011);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14097, BFALSE);
					}
					return BgL_new1307z00_3011;
				}
			}
		}
	}



/* &lambda2946 */
	BgL_conditionalz00_bglt BGl_z62lambda2946z62zzast_nodez00(obj_t
		BgL_envz00_7472, obj_t BgL_loc1294z00_7473, obj_t BgL_type1295z00_7474,
		obj_t BgL_sidezd2effect1296zd2_7475, obj_t BgL_key1297z00_7476,
		obj_t BgL_test1304z00_7477, obj_t BgL_true1305z00_7478,
		obj_t BgL_false1306z00_7479)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{
				obj_t BgL_loc1294z00_2999;
				BgL_typez00_bglt BgL_type1295z00_3000;
				obj_t BgL_sidezd2effect1296zd2_3001;
				obj_t BgL_key1297z00_3002;
				BgL_nodez00_bglt BgL_test1304z00_3003;
				BgL_nodez00_bglt BgL_true1305z00_3004;
				BgL_nodez00_bglt BgL_false1306z00_3005;

				BgL_loc1294z00_2999 = BgL_loc1294z00_7473;
				BgL_type1295z00_3000 = ((BgL_typez00_bglt) BgL_type1295z00_7474);
				BgL_sidezd2effect1296zd2_3001 = BgL_sidezd2effect1296zd2_7475;
				BgL_key1297z00_3002 = BgL_key1297z00_7476;
				BgL_test1304z00_3003 = ((BgL_nodez00_bglt) BgL_test1304z00_7477);
				BgL_true1305z00_3004 = ((BgL_nodez00_bglt) BgL_true1305z00_7478);
				BgL_false1306z00_3005 = ((BgL_nodez00_bglt) BgL_false1306z00_7479);
				{	/* Ast/node.scm 190 */
					BgL_conditionalz00_bglt BgL_new1999z00_3007;

					{	/* Ast/node.scm 190 */
						BgL_conditionalz00_bglt BgL_new1998z00_3008;

						BgL_new1998z00_3008 =
							((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_conditionalz00_bgl))));
						{	/* Ast/node.scm 190 */
							long BgL_arg2947z00_3009;

							{	/* Ast/node.scm 190 */
								long BgL_res3302z00_5427;

								{	/* Ast/node.scm 190 */
									obj_t BgL_classz00_5424;

									BgL_classz00_5424 = BGl_conditionalz00zzast_nodez00;
									{	/* Ast/node.scm 190 */
										obj_t BgL_vectorz00_5425;
										int BgL_kz00_5426;

										BgL_vectorz00_5425 = BgL_classz00_5424;
										BgL_kz00_5426 = (int) (((long) 1));
										BgL_res3302z00_5427 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5425,
												BgL_kz00_5426));
								}}
								BgL_arg2947z00_3009 = BgL_res3302z00_5427;
							}
							{	/* Ast/node.scm 190 */
								BgL_objectz00_bglt BgL_objz00_5428;

								BgL_objz00_5428 = ((BgL_objectz00_bglt) BgL_new1998z00_3008);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5428, BgL_arg2947z00_3009);
						}}
						{	/* Ast/node.scm 190 */
							BgL_objectz00_bglt BgL_auxz00_14106;

							BgL_auxz00_14106 = ((BgL_objectz00_bglt) BgL_new1998z00_3008);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14106, BFALSE);
						}
						BgL_new1999z00_3007 = BgL_new1998z00_3008;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1999z00_3007)))->BgL_locz00) =
						((obj_t) BgL_loc1294z00_2999), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1999z00_3007)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1295z00_3000), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1999z00_3007)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1296zd2_3001), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1999z00_3007)))->BgL_keyz00) =
						((obj_t) BgL_key1297z00_3002), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1999z00_3007))->
							BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1304z00_3003), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1999z00_3007))->
							BgL_truez00) =
						((BgL_nodez00_bglt) BgL_true1305z00_3004), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new1999z00_3007))->
							BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_false1306z00_3005), BUNSPEC);
					return BgL_new1999z00_3007;
				}
			}
		}
	}



/* &lambda2965 */
	obj_t BGl_z62lambda2965z62zzast_nodez00(obj_t BgL_envz00_7480,
		obj_t BgL_oz00_7481, obj_t BgL_vz00_7482)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_conditionalz00_bglt BgL_oz00_9397;
				BgL_nodez00_bglt BgL_vz00_9398;

				BgL_oz00_9397 = ((BgL_conditionalz00_bglt) BgL_oz00_7481);
				BgL_vz00_9398 = ((BgL_nodez00_bglt) BgL_vz00_7482);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9397))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_vz00_9398), BUNSPEC);
			}
		}
	}



/* &lambda2964 */
	BgL_nodez00_bglt BGl_z62lambda2964z62zzast_nodez00(obj_t BgL_envz00_7483,
		obj_t BgL_oz00_7484)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7484)))->BgL_testz00);
		}
	}



/* &lambda2960 */
	obj_t BGl_z62lambda2960z62zzast_nodez00(obj_t BgL_envz00_7485,
		obj_t BgL_oz00_7486, obj_t BgL_vz00_7487)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_conditionalz00_bglt BgL_oz00_9400;
				BgL_nodez00_bglt BgL_vz00_9401;

				BgL_oz00_9400 = ((BgL_conditionalz00_bglt) BgL_oz00_7486);
				BgL_vz00_9401 = ((BgL_nodez00_bglt) BgL_vz00_7487);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9400))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_vz00_9401), BUNSPEC);
			}
		}
	}



/* &lambda2959 */
	BgL_nodez00_bglt BGl_z62lambda2959z62zzast_nodez00(obj_t BgL_envz00_7488,
		obj_t BgL_oz00_7489)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7489)))->BgL_truez00);
		}
	}



/* &lambda2955 */
	obj_t BGl_z62lambda2955z62zzast_nodez00(obj_t BgL_envz00_7490,
		obj_t BgL_oz00_7491, obj_t BgL_vz00_7492)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{	/* Ast/node.scm 190 */
				BgL_conditionalz00_bglt BgL_oz00_9403;
				BgL_nodez00_bglt BgL_vz00_9404;

				BgL_oz00_9403 = ((BgL_conditionalz00_bglt) BgL_oz00_7491);
				BgL_vz00_9404 = ((BgL_nodez00_bglt) BgL_vz00_7492);
				return
					((((BgL_conditionalz00_bglt) CREF(BgL_oz00_9403))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_vz00_9404), BUNSPEC);
			}
		}
	}



/* &lambda2954 */
	BgL_nodez00_bglt BGl_z62lambda2954z62zzast_nodez00(obj_t BgL_envz00_7493,
		obj_t BgL_oz00_7494)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7494)))->BgL_falsez00);
		}
	}



/* &<anonymous:2930> */
	BgL_setqz00_bglt BGl_z62zc3anonymousza32930ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7495, obj_t BgL_new1292z00_7496)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{
				BgL_setqz00_bglt BgL_new1292z00_2963;

				BgL_new1292z00_2963 = ((BgL_setqz00_bglt) BgL_new1292z00_7496);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1292z00_2963)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14141;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5397;

						BgL_classz00_5397 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1090z00_5398;

							{	/* Ast/node.scm 183 */
								obj_t BgL_vectorz00_5399;
								int BgL_kz00_5400;

								BgL_vectorz00_5399 = BgL_classz00_5397;
								BgL_kz00_5400 = (int) (((long) 17));
								BgL__ortest_1090z00_5398 =
									VECTOR_REF(BgL_vectorz00_5399, BgL_kz00_5400);
							}
							if (CBOOL(BgL__ortest_1090z00_5398))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14141 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5398);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14141 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5397));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1292z00_2963)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14141), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_14151;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5401;

						BgL_classz00_5401 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1090z00_5402;

							{	/* Ast/node.scm 183 */
								obj_t BgL_vectorz00_5403;
								int BgL_kz00_5404;

								BgL_vectorz00_5403 = BgL_classz00_5401;
								BgL_kz00_5404 = (int) (((long) 17));
								BgL__ortest_1090z00_5402 =
									VECTOR_REF(BgL_vectorz00_5403, BgL_kz00_5404);
							}
							if (CBOOL(BgL__ortest_1090z00_5402))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14151 =
										((BgL_varz00_bglt) BgL__ortest_1090z00_5402);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14151 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5401));
								}
						}
					}
					((((BgL_setqz00_bglt) CREF(BgL_new1292z00_2963))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_14151), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14160;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5405;

						BgL_classz00_5405 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1090z00_5406;

							{	/* Ast/node.scm 183 */
								obj_t BgL_vectorz00_5407;
								int BgL_kz00_5408;

								BgL_vectorz00_5407 = BgL_classz00_5405;
								BgL_kz00_5408 = (int) (((long) 17));
								BgL__ortest_1090z00_5406 =
									VECTOR_REF(BgL_vectorz00_5407, BgL_kz00_5408);
							}
							if (CBOOL(BgL__ortest_1090z00_5406))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14160 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5406);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14160 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5405));
								}
						}
					}
					((((BgL_setqz00_bglt) CREF(BgL_new1292z00_2963))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_14160), BUNSPEC);
				}
				return BgL_new1292z00_2963;
			}
		}
	}



/* &lambda2928 */
	BgL_setqz00_bglt BGl_z62lambda2928z62zzast_nodez00(obj_t BgL_envz00_7497)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{

				{	/* Ast/node.scm 183 */
					BgL_setqz00_bglt BgL_new1291z00_2961;

					BgL_new1291z00_2961 =
						((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 183 */
						long BgL_arg2929z00_2962;

						{	/* Ast/node.scm 183 */
							long BgL_res3301z00_5394;

							{	/* Ast/node.scm 183 */
								obj_t BgL_classz00_5391;

								BgL_classz00_5391 = BGl_setqz00zzast_nodez00;
								{	/* Ast/node.scm 183 */
									obj_t BgL_vectorz00_5392;
									int BgL_kz00_5393;

									BgL_vectorz00_5392 = BgL_classz00_5391;
									BgL_kz00_5393 = (int) (((long) 1));
									BgL_res3301z00_5394 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5392, BgL_kz00_5393));
							}}
							BgL_arg2929z00_2962 = BgL_res3301z00_5394;
						}
						{	/* Ast/node.scm 183 */
							BgL_objectz00_bglt BgL_objz00_5395;

							BgL_objz00_5395 = ((BgL_objectz00_bglt) BgL_new1291z00_2961);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5395, BgL_arg2929z00_2962);
					}}
					{	/* Ast/node.scm 183 */
						BgL_objectz00_bglt BgL_auxz00_14176;

						BgL_auxz00_14176 = ((BgL_objectz00_bglt) BgL_new1291z00_2961);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14176, BFALSE);
					}
					return BgL_new1291z00_2961;
				}
			}
		}
	}



/* &lambda2926 */
	BgL_setqz00_bglt BGl_z62lambda2926z62zzast_nodez00(obj_t BgL_envz00_7498,
		obj_t BgL_loc1287z00_7499, obj_t BgL_type1288z00_7500,
		obj_t BgL_var1289z00_7501, obj_t BgL_value1290z00_7502)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{
				obj_t BgL_loc1287z00_2952;
				BgL_typez00_bglt BgL_type1288z00_2953;
				BgL_varz00_bglt BgL_var1289z00_2954;
				BgL_nodez00_bglt BgL_value1290z00_2955;

				BgL_loc1287z00_2952 = BgL_loc1287z00_7499;
				BgL_type1288z00_2953 = ((BgL_typez00_bglt) BgL_type1288z00_7500);
				BgL_var1289z00_2954 = ((BgL_varz00_bglt) BgL_var1289z00_7501);
				BgL_value1290z00_2955 = ((BgL_nodez00_bglt) BgL_value1290z00_7502);
				{	/* Ast/node.scm 183 */
					BgL_setqz00_bglt BgL_new1993z00_2957;

					{	/* Ast/node.scm 183 */
						BgL_setqz00_bglt BgL_new1992z00_2958;

						BgL_new1992z00_2958 =
							((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setqz00_bgl))));
						{	/* Ast/node.scm 183 */
							long BgL_arg2927z00_2959;

							{	/* Ast/node.scm 183 */
								long BgL_res3300z00_5388;

								{	/* Ast/node.scm 183 */
									obj_t BgL_classz00_5385;

									BgL_classz00_5385 = BGl_setqz00zzast_nodez00;
									{	/* Ast/node.scm 183 */
										obj_t BgL_vectorz00_5386;
										int BgL_kz00_5387;

										BgL_vectorz00_5386 = BgL_classz00_5385;
										BgL_kz00_5387 = (int) (((long) 1));
										BgL_res3300z00_5388 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5386,
												BgL_kz00_5387));
								}}
								BgL_arg2927z00_2959 = BgL_res3300z00_5388;
							}
							{	/* Ast/node.scm 183 */
								BgL_objectz00_bglt BgL_objz00_5389;

								BgL_objz00_5389 = ((BgL_objectz00_bglt) BgL_new1992z00_2958);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5389, BgL_arg2927z00_2959);
						}}
						{	/* Ast/node.scm 183 */
							BgL_objectz00_bglt BgL_auxz00_14185;

							BgL_auxz00_14185 = ((BgL_objectz00_bglt) BgL_new1992z00_2958);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14185, BFALSE);
						}
						BgL_new1993z00_2957 = BgL_new1992z00_2958;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1993z00_2957)))->BgL_locz00) =
						((obj_t) BgL_loc1287z00_2952), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1993z00_2957)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1288z00_2953), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new1993z00_2957))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1289z00_2954), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new1993z00_2957))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1290z00_2955), BUNSPEC);
					return BgL_new1993z00_2957;
				}
			}
		}
	}



/* &lambda2940 */
	obj_t BGl_z62lambda2940z62zzast_nodez00(obj_t BgL_envz00_7503,
		obj_t BgL_oz00_7504, obj_t BgL_vz00_7505)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_setqz00_bglt BgL_oz00_9406;
				BgL_varz00_bglt BgL_vz00_9407;

				BgL_oz00_9406 = ((BgL_setqz00_bglt) BgL_oz00_7504);
				BgL_vz00_9407 = ((BgL_varz00_bglt) BgL_vz00_7505);
				return
					((((BgL_setqz00_bglt) CREF(BgL_oz00_9406))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_vz00_9407), BUNSPEC);
			}
		}
	}



/* &lambda2939 */
	BgL_varz00_bglt BGl_z62lambda2939z62zzast_nodez00(obj_t BgL_envz00_7506,
		obj_t BgL_oz00_7507)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_7507)))->BgL_varz00);
		}
	}



/* &lambda2935 */
	obj_t BGl_z62lambda2935z62zzast_nodez00(obj_t BgL_envz00_7508,
		obj_t BgL_oz00_7509, obj_t BgL_vz00_7510)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{	/* Ast/node.scm 183 */
				BgL_setqz00_bglt BgL_oz00_9409;
				BgL_nodez00_bglt BgL_vz00_9410;

				BgL_oz00_9409 = ((BgL_setqz00_bglt) BgL_oz00_7509);
				BgL_vz00_9410 = ((BgL_nodez00_bglt) BgL_vz00_7510);
				return
					((((BgL_setqz00_bglt) CREF(BgL_oz00_9409))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_vz00_9410), BUNSPEC);
			}
		}
	}



/* &lambda2934 */
	BgL_nodez00_bglt BGl_z62lambda2934z62zzast_nodez00(obj_t BgL_envz00_7511,
		obj_t BgL_oz00_7512)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_7512)))->BgL_valuez00);
		}
	}



/* &<anonymous:2915> */
	BgL_castz00_bglt BGl_z62zc3anonymousza32915ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7513, obj_t BgL_new1285z00_7514)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{
				BgL_castz00_bglt BgL_new1285z00_2928;

				BgL_new1285z00_2928 = ((BgL_castz00_bglt) BgL_new1285z00_7514);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1285z00_2928)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14209;

					{	/* Ast/node.scm 178 */
						obj_t BgL_classz00_5367;

						BgL_classz00_5367 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 178 */
							obj_t BgL__ortest_1090z00_5368;

							{	/* Ast/node.scm 178 */
								obj_t BgL_vectorz00_5369;
								int BgL_kz00_5370;

								BgL_vectorz00_5369 = BgL_classz00_5367;
								BgL_kz00_5370 = (int) (((long) 17));
								BgL__ortest_1090z00_5368 =
									VECTOR_REF(BgL_vectorz00_5369, BgL_kz00_5370);
							}
							if (CBOOL(BgL__ortest_1090z00_5368))
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14209 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5368);
								}
							else
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14209 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5367));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1285z00_2928)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14209), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14219;

					{	/* Ast/node.scm 178 */
						obj_t BgL_classz00_5371;

						BgL_classz00_5371 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 178 */
							obj_t BgL__ortest_1090z00_5372;

							{	/* Ast/node.scm 178 */
								obj_t BgL_vectorz00_5373;
								int BgL_kz00_5374;

								BgL_vectorz00_5373 = BgL_classz00_5371;
								BgL_kz00_5374 = (int) (((long) 17));
								BgL__ortest_1090z00_5372 =
									VECTOR_REF(BgL_vectorz00_5373, BgL_kz00_5374);
							}
							if (CBOOL(BgL__ortest_1090z00_5372))
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14219 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_5372);
								}
							else
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14219 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5371));
								}
						}
					}
					((((BgL_castz00_bglt) CREF(BgL_new1285z00_2928))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14219), BUNSPEC);
				}
				return BgL_new1285z00_2928;
			}
		}
	}



/* &lambda2913 */
	BgL_castz00_bglt BGl_z62lambda2913z62zzast_nodez00(obj_t BgL_envz00_7515)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{

				{	/* Ast/node.scm 178 */
					BgL_castz00_bglt BgL_new1284z00_2926;

					BgL_new1284z00_2926 =
						((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 178 */
						long BgL_arg2914z00_2927;

						{	/* Ast/node.scm 178 */
							long BgL_res3299z00_5364;

							{	/* Ast/node.scm 178 */
								obj_t BgL_classz00_5361;

								BgL_classz00_5361 = BGl_castz00zzast_nodez00;
								{	/* Ast/node.scm 178 */
									obj_t BgL_vectorz00_5362;
									int BgL_kz00_5363;

									BgL_vectorz00_5362 = BgL_classz00_5361;
									BgL_kz00_5363 = (int) (((long) 1));
									BgL_res3299z00_5364 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5362, BgL_kz00_5363));
							}}
							BgL_arg2914z00_2927 = BgL_res3299z00_5364;
						}
						{	/* Ast/node.scm 178 */
							BgL_objectz00_bglt BgL_objz00_5365;

							BgL_objz00_5365 = ((BgL_objectz00_bglt) BgL_new1284z00_2926);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5365, BgL_arg2914z00_2927);
					}}
					{	/* Ast/node.scm 178 */
						BgL_objectz00_bglt BgL_auxz00_14235;

						BgL_auxz00_14235 = ((BgL_objectz00_bglt) BgL_new1284z00_2926);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14235, BFALSE);
					}
					return BgL_new1284z00_2926;
				}
			}
		}
	}



/* &lambda2911 */
	BgL_castz00_bglt BGl_z62lambda2911z62zzast_nodez00(obj_t BgL_envz00_7516,
		obj_t BgL_loc1280z00_7517, obj_t BgL_type1281z00_7518,
		obj_t BgL_arg1283z00_7519)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{
				obj_t BgL_loc1280z00_2918;
				BgL_typez00_bglt BgL_type1281z00_2919;
				BgL_nodez00_bglt BgL_arg1283z00_2920;

				BgL_loc1280z00_2918 = BgL_loc1280z00_7517;
				BgL_type1281z00_2919 = ((BgL_typez00_bglt) BgL_type1281z00_7518);
				BgL_arg1283z00_2920 = ((BgL_nodez00_bglt) BgL_arg1283z00_7519);
				{	/* Ast/node.scm 178 */
					BgL_castz00_bglt BgL_new1989z00_2922;

					{	/* Ast/node.scm 178 */
						BgL_castz00_bglt BgL_new1988z00_2923;

						BgL_new1988z00_2923 =
							((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castz00_bgl))));
						{	/* Ast/node.scm 178 */
							long BgL_arg2912z00_2924;

							{	/* Ast/node.scm 178 */
								long BgL_res3298z00_5358;

								{	/* Ast/node.scm 178 */
									obj_t BgL_classz00_5355;

									BgL_classz00_5355 = BGl_castz00zzast_nodez00;
									{	/* Ast/node.scm 178 */
										obj_t BgL_vectorz00_5356;
										int BgL_kz00_5357;

										BgL_vectorz00_5356 = BgL_classz00_5355;
										BgL_kz00_5357 = (int) (((long) 1));
										BgL_res3298z00_5358 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5356,
												BgL_kz00_5357));
								}}
								BgL_arg2912z00_2924 = BgL_res3298z00_5358;
							}
							{	/* Ast/node.scm 178 */
								BgL_objectz00_bglt BgL_objz00_5359;

								BgL_objz00_5359 = ((BgL_objectz00_bglt) BgL_new1988z00_2923);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5359, BgL_arg2912z00_2924);
						}}
						{	/* Ast/node.scm 178 */
							BgL_objectz00_bglt BgL_auxz00_14244;

							BgL_auxz00_14244 = ((BgL_objectz00_bglt) BgL_new1988z00_2923);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14244, BFALSE);
						}
						BgL_new1989z00_2922 = BgL_new1988z00_2923;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1989z00_2922)))->BgL_locz00) =
						((obj_t) BgL_loc1280z00_2918), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1989z00_2922)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1281z00_2919), BUNSPEC);
					((((BgL_castz00_bglt) CREF(BgL_new1989z00_2922))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1283z00_2920), BUNSPEC);
					return BgL_new1989z00_2922;
				}
			}
		}
	}



/* &lambda2920 */
	obj_t BGl_z62lambda2920z62zzast_nodez00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521, obj_t BgL_vz00_7522)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{	/* Ast/node.scm 178 */
				BgL_castz00_bglt BgL_oz00_9412;
				BgL_nodez00_bglt BgL_vz00_9413;

				BgL_oz00_9412 = ((BgL_castz00_bglt) BgL_oz00_7521);
				BgL_vz00_9413 = ((BgL_nodez00_bglt) BgL_vz00_7522);
				return
					((((BgL_castz00_bglt) CREF(BgL_oz00_9412))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_vz00_9413), BUNSPEC);
			}
		}
	}



/* &lambda2919 */
	BgL_nodez00_bglt BGl_z62lambda2919z62zzast_nodez00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			return
				(((BgL_castz00_bglt) CREF(
						((BgL_castz00_bglt) BgL_oz00_7524)))->BgL_argz00);
		}
	}



/* &<anonymous:2905> */
	BgL_castzd2nullzd2_bglt BGl_z62zc3anonymousza32905ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7525, obj_t BgL_new1278z00_7526)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{
				BgL_castzd2nullzd2_bglt BgL_new1278z00_2906;

				BgL_new1278z00_2906 = ((BgL_castzd2nullzd2_bglt) BgL_new1278z00_7526);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1278z00_2906)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14261;

					{	/* Ast/node.scm 175 */
						obj_t BgL_classz00_5346;

						BgL_classz00_5346 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 175 */
							obj_t BgL__ortest_1090z00_5347;

							{	/* Ast/node.scm 175 */
								obj_t BgL_vectorz00_5348;
								int BgL_kz00_5349;

								BgL_vectorz00_5348 = BgL_classz00_5346;
								BgL_kz00_5349 = (int) (((long) 17));
								BgL__ortest_1090z00_5347 =
									VECTOR_REF(BgL_vectorz00_5348, BgL_kz00_5349);
							}
							if (CBOOL(BgL__ortest_1090z00_5347))
								{	/* Ast/node.scm 175 */
									BgL_auxz00_14261 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5347);
								}
							else
								{	/* Ast/node.scm 175 */
									BgL_auxz00_14261 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5346));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1278z00_2906)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14261), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1278z00_2906)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1278z00_2906)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1278z00_2906)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1278z00_2906)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1278z00_2906)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				return BgL_new1278z00_2906;
			}
		}
	}



/* &lambda2903 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2903z62zzast_nodez00(obj_t
		BgL_envz00_7527)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{

				{	/* Ast/node.scm 175 */
					BgL_castzd2nullzd2_bglt BgL_new1277z00_2904;

					BgL_new1277z00_2904 =
						((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 175 */
						long BgL_arg2904z00_2905;

						{	/* Ast/node.scm 175 */
							long BgL_res3297z00_5343;

							{	/* Ast/node.scm 175 */
								obj_t BgL_classz00_5340;

								BgL_classz00_5340 = BGl_castzd2nullzd2zzast_nodez00;
								{	/* Ast/node.scm 175 */
									obj_t BgL_vectorz00_5341;
									int BgL_kz00_5342;

									BgL_vectorz00_5341 = BgL_classz00_5340;
									BgL_kz00_5342 = (int) (((long) 1));
									BgL_res3297z00_5343 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5341, BgL_kz00_5342));
							}}
							BgL_arg2904z00_2905 = BgL_res3297z00_5343;
						}
						{	/* Ast/node.scm 175 */
							BgL_objectz00_bglt BgL_objz00_5344;

							BgL_objz00_5344 = ((BgL_objectz00_bglt) BgL_new1277z00_2904);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5344, BgL_arg2904z00_2905);
					}}
					{	/* Ast/node.scm 175 */
						BgL_objectz00_bglt BgL_auxz00_14288;

						BgL_auxz00_14288 = ((BgL_objectz00_bglt) BgL_new1277z00_2904);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14288, BFALSE);
					}
					return BgL_new1277z00_2904;
				}
			}
		}
	}



/* &lambda2901 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2901z62zzast_nodez00(obj_t
		BgL_envz00_7528, obj_t BgL_loc1270z00_7529, obj_t BgL_type1271z00_7530,
		obj_t BgL_sidezd2effect1272zd2_7531, obj_t BgL_key1273z00_7532,
		obj_t BgL_exprza21274za2_7533, obj_t BgL_effect1275z00_7534,
		obj_t BgL_czd2format1276zd2_7535)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{
				obj_t BgL_loc1270z00_2892;
				BgL_typez00_bglt BgL_type1271z00_2893;
				obj_t BgL_sidezd2effect1272zd2_2894;
				obj_t BgL_key1273z00_2895;
				obj_t BgL_exprza21274za2_2896;
				obj_t BgL_effect1275z00_2897;
				obj_t BgL_czd2format1276zd2_2898;

				BgL_loc1270z00_2892 = BgL_loc1270z00_7529;
				BgL_type1271z00_2893 = ((BgL_typez00_bglt) BgL_type1271z00_7530);
				BgL_sidezd2effect1272zd2_2894 = BgL_sidezd2effect1272zd2_7531;
				BgL_key1273z00_2895 = BgL_key1273z00_7532;
				BgL_exprza21274za2_2896 = BgL_exprza21274za2_7533;
				BgL_effect1275z00_2897 = BgL_effect1275z00_7534;
				BgL_czd2format1276zd2_2898 = BgL_czd2format1276zd2_7535;
				{	/* Ast/node.scm 175 */
					BgL_castzd2nullzd2_bglt BgL_new1987z00_2900;

					{	/* Ast/node.scm 175 */
						BgL_castzd2nullzd2_bglt BgL_new1986z00_2901;

						BgL_new1986z00_2901 =
							((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castzd2nullzd2_bgl))));
						{	/* Ast/node.scm 175 */
							long BgL_arg2902z00_2902;

							{	/* Ast/node.scm 175 */
								long BgL_res3296z00_5337;

								{	/* Ast/node.scm 175 */
									obj_t BgL_classz00_5334;

									BgL_classz00_5334 = BGl_castzd2nullzd2zzast_nodez00;
									{	/* Ast/node.scm 175 */
										obj_t BgL_vectorz00_5335;
										int BgL_kz00_5336;

										BgL_vectorz00_5335 = BgL_classz00_5334;
										BgL_kz00_5336 = (int) (((long) 1));
										BgL_res3296z00_5337 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5335,
												BgL_kz00_5336));
								}}
								BgL_arg2902z00_2902 = BgL_res3296z00_5337;
							}
							{	/* Ast/node.scm 175 */
								BgL_objectz00_bglt BgL_objz00_5338;

								BgL_objz00_5338 = ((BgL_objectz00_bglt) BgL_new1986z00_2901);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5338, BgL_arg2902z00_2902);
						}}
						{	/* Ast/node.scm 175 */
							BgL_objectz00_bglt BgL_auxz00_14297;

							BgL_auxz00_14297 = ((BgL_objectz00_bglt) BgL_new1986z00_2901);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14297, BFALSE);
						}
						BgL_new1987z00_2900 = BgL_new1986z00_2901;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1987z00_2900)))->BgL_locz00) =
						((obj_t) BgL_loc1270z00_2892), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1987z00_2900)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1271z00_2893), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1987z00_2900)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1272zd2_2894), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1987z00_2900)))->BgL_keyz00) =
						((obj_t) BgL_key1273z00_2895), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1987z00_2900)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21274za2_2896), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1987z00_2900)))->BgL_effectz00) =
						((obj_t) BgL_effect1275z00_2897), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1987z00_2900)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1276zd2_2898), BUNSPEC);
					return BgL_new1987z00_2900;
				}
			}
		}
	}



/* &<anonymous:2890> */
	BgL_instanceofz00_bglt BGl_z62zc3anonymousza32890ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7536, obj_t BgL_new1268z00_7537)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{
				BgL_instanceofz00_bglt BgL_new1268z00_2868;

				BgL_new1268z00_2868 = ((BgL_instanceofz00_bglt) BgL_new1268z00_7537);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1268z00_2868)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14317;

					{	/* Ast/node.scm 171 */
						obj_t BgL_classz00_5326;

						BgL_classz00_5326 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 171 */
							obj_t BgL__ortest_1090z00_5327;

							{	/* Ast/node.scm 171 */
								obj_t BgL_vectorz00_5328;
								int BgL_kz00_5329;

								BgL_vectorz00_5328 = BgL_classz00_5326;
								BgL_kz00_5329 = (int) (((long) 17));
								BgL__ortest_1090z00_5327 =
									VECTOR_REF(BgL_vectorz00_5328, BgL_kz00_5329);
							}
							if (CBOOL(BgL__ortest_1090z00_5327))
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14317 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5327);
								}
							else
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14317 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5326));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1268z00_2868)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14317), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1268z00_2868)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1268z00_2868)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1268z00_2868)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1268z00_2868)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1268z00_2868)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14337;

					{	/* Ast/node.scm 171 */
						obj_t BgL_classz00_5330;

						BgL_classz00_5330 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 171 */
							obj_t BgL__ortest_1090z00_5331;

							{	/* Ast/node.scm 171 */
								obj_t BgL_vectorz00_5332;
								int BgL_kz00_5333;

								BgL_vectorz00_5332 = BgL_classz00_5330;
								BgL_kz00_5333 = (int) (((long) 17));
								BgL__ortest_1090z00_5331 =
									VECTOR_REF(BgL_vectorz00_5332, BgL_kz00_5333);
							}
							if (CBOOL(BgL__ortest_1090z00_5331))
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14337 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5331);
								}
							else
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14337 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5330));
								}
						}
					}
					((((BgL_instanceofz00_bglt) CREF(BgL_new1268z00_2868))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_14337), BUNSPEC);
				}
				return BgL_new1268z00_2868;
			}
		}
	}



/* &lambda2888 */
	BgL_instanceofz00_bglt BGl_z62lambda2888z62zzast_nodez00(obj_t
		BgL_envz00_7538)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{

				{	/* Ast/node.scm 171 */
					BgL_instanceofz00_bglt BgL_new1267z00_2866;

					BgL_new1267z00_2866 =
						((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 171 */
						long BgL_arg2889z00_2867;

						{	/* Ast/node.scm 171 */
							long BgL_res3295z00_5323;

							{	/* Ast/node.scm 171 */
								obj_t BgL_classz00_5320;

								BgL_classz00_5320 = BGl_instanceofz00zzast_nodez00;
								{	/* Ast/node.scm 171 */
									obj_t BgL_vectorz00_5321;
									int BgL_kz00_5322;

									BgL_vectorz00_5321 = BgL_classz00_5320;
									BgL_kz00_5322 = (int) (((long) 1));
									BgL_res3295z00_5323 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5321, BgL_kz00_5322));
							}}
							BgL_arg2889z00_2867 = BgL_res3295z00_5323;
						}
						{	/* Ast/node.scm 171 */
							BgL_objectz00_bglt BgL_objz00_5324;

							BgL_objz00_5324 = ((BgL_objectz00_bglt) BgL_new1267z00_2866);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5324, BgL_arg2889z00_2867);
					}}
					{	/* Ast/node.scm 171 */
						BgL_objectz00_bglt BgL_auxz00_14353;

						BgL_auxz00_14353 = ((BgL_objectz00_bglt) BgL_new1267z00_2866);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14353, BFALSE);
					}
					return BgL_new1267z00_2866;
				}
			}
		}
	}



/* &lambda2886 */
	BgL_instanceofz00_bglt BGl_z62lambda2886z62zzast_nodez00(obj_t
		BgL_envz00_7539, obj_t BgL_loc1259z00_7540, obj_t BgL_type1260z00_7541,
		obj_t BgL_sidezd2effect1261zd2_7542, obj_t BgL_key1262z00_7543,
		obj_t BgL_exprza21263za2_7544, obj_t BgL_effect1264z00_7545,
		obj_t BgL_czd2format1265zd2_7546, obj_t BgL_class1266z00_7547)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{
				obj_t BgL_loc1259z00_2853;
				BgL_typez00_bglt BgL_type1260z00_2854;
				obj_t BgL_sidezd2effect1261zd2_2855;
				obj_t BgL_key1262z00_2856;
				obj_t BgL_exprza21263za2_2857;
				obj_t BgL_effect1264z00_2858;
				obj_t BgL_czd2format1265zd2_2859;
				BgL_typez00_bglt BgL_class1266z00_2860;

				BgL_loc1259z00_2853 = BgL_loc1259z00_7540;
				BgL_type1260z00_2854 = ((BgL_typez00_bglt) BgL_type1260z00_7541);
				BgL_sidezd2effect1261zd2_2855 = BgL_sidezd2effect1261zd2_7542;
				BgL_key1262z00_2856 = BgL_key1262z00_7543;
				BgL_exprza21263za2_2857 = BgL_exprza21263za2_7544;
				BgL_effect1264z00_2858 = BgL_effect1264z00_7545;
				BgL_czd2format1265zd2_2859 = BgL_czd2format1265zd2_7546;
				BgL_class1266z00_2860 = ((BgL_typez00_bglt) BgL_class1266z00_7547);
				{	/* Ast/node.scm 171 */
					BgL_instanceofz00_bglt BgL_new1983z00_2862;

					{	/* Ast/node.scm 171 */
						BgL_instanceofz00_bglt BgL_new1982z00_2863;

						BgL_new1982z00_2863 =
							((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_instanceofz00_bgl))));
						{	/* Ast/node.scm 171 */
							long BgL_arg2887z00_2864;

							{	/* Ast/node.scm 171 */
								long BgL_res3294z00_5317;

								{	/* Ast/node.scm 171 */
									obj_t BgL_classz00_5314;

									BgL_classz00_5314 = BGl_instanceofz00zzast_nodez00;
									{	/* Ast/node.scm 171 */
										obj_t BgL_vectorz00_5315;
										int BgL_kz00_5316;

										BgL_vectorz00_5315 = BgL_classz00_5314;
										BgL_kz00_5316 = (int) (((long) 1));
										BgL_res3294z00_5317 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5315,
												BgL_kz00_5316));
								}}
								BgL_arg2887z00_2864 = BgL_res3294z00_5317;
							}
							{	/* Ast/node.scm 171 */
								BgL_objectz00_bglt BgL_objz00_5318;

								BgL_objz00_5318 = ((BgL_objectz00_bglt) BgL_new1982z00_2863);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5318, BgL_arg2887z00_2864);
						}}
						{	/* Ast/node.scm 171 */
							BgL_objectz00_bglt BgL_auxz00_14362;

							BgL_auxz00_14362 = ((BgL_objectz00_bglt) BgL_new1982z00_2863);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14362, BFALSE);
						}
						BgL_new1983z00_2862 = BgL_new1982z00_2863;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1983z00_2862)))->BgL_locz00) =
						((obj_t) BgL_loc1259z00_2853), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1983z00_2862)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1260z00_2854), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1983z00_2862)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1261zd2_2855), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1983z00_2862)))->BgL_keyz00) =
						((obj_t) BgL_key1262z00_2856), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1983z00_2862)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21263za2_2857), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1983z00_2862)))->BgL_effectz00) =
						((obj_t) BgL_effect1264z00_2858), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1983z00_2862)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1265zd2_2859), BUNSPEC);
					((((BgL_instanceofz00_bglt) CREF(BgL_new1983z00_2862))->
							BgL_classz00) =
						((BgL_typez00_bglt) BgL_class1266z00_2860), BUNSPEC);
					return BgL_new1983z00_2862;
				}
			}
		}
	}



/* &lambda2895 */
	obj_t BGl_z62lambda2895z62zzast_nodez00(obj_t BgL_envz00_7548,
		obj_t BgL_oz00_7549, obj_t BgL_vz00_7550)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{	/* Ast/node.scm 171 */
				BgL_instanceofz00_bglt BgL_oz00_9415;
				BgL_typez00_bglt BgL_vz00_9416;

				BgL_oz00_9415 = ((BgL_instanceofz00_bglt) BgL_oz00_7549);
				BgL_vz00_9416 = ((BgL_typez00_bglt) BgL_vz00_7550);
				return
					((((BgL_instanceofz00_bglt) CREF(BgL_oz00_9415))->BgL_classz00) =
					((BgL_typez00_bglt) BgL_vz00_9416), BUNSPEC);
			}
		}
	}



/* &lambda2894 */
	BgL_typez00_bglt BGl_z62lambda2894z62zzast_nodez00(obj_t BgL_envz00_7551,
		obj_t BgL_oz00_7552)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			return
				(((BgL_instanceofz00_bglt) CREF(
						((BgL_instanceofz00_bglt) BgL_oz00_7552)))->BgL_classz00);
		}
	}



/* &<anonymous:2875> */
	BgL_vlengthz00_bglt BGl_z62zc3anonymousza32875ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7553, obj_t BgL_new1257z00_7554)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{
				BgL_vlengthz00_bglt BgL_new1257z00_2829;

				BgL_new1257z00_2829 = ((BgL_vlengthz00_bglt) BgL_new1257z00_7554);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1257z00_2829)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14389;

					{	/* Ast/node.scm 166 */
						obj_t BgL_classz00_5301;

						BgL_classz00_5301 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 166 */
							obj_t BgL__ortest_1090z00_5302;

							{	/* Ast/node.scm 166 */
								obj_t BgL_vectorz00_5303;
								int BgL_kz00_5304;

								BgL_vectorz00_5303 = BgL_classz00_5301;
								BgL_kz00_5304 = (int) (((long) 17));
								BgL__ortest_1090z00_5302 =
									VECTOR_REF(BgL_vectorz00_5303, BgL_kz00_5304);
							}
							if (CBOOL(BgL__ortest_1090z00_5302))
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14389 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5302);
								}
							else
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14389 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5301));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1257z00_2829)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14389), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1257z00_2829)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1257z00_2829)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1257z00_2829)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1257z00_2829)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1257z00_2829)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14409;

					{	/* Ast/node.scm 166 */
						obj_t BgL_classz00_5305;

						BgL_classz00_5305 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 166 */
							obj_t BgL__ortest_1090z00_5306;

							{	/* Ast/node.scm 166 */
								obj_t BgL_vectorz00_5307;
								int BgL_kz00_5308;

								BgL_vectorz00_5307 = BgL_classz00_5305;
								BgL_kz00_5308 = (int) (((long) 17));
								BgL__ortest_1090z00_5306 =
									VECTOR_REF(BgL_vectorz00_5307, BgL_kz00_5308);
							}
							if (CBOOL(BgL__ortest_1090z00_5306))
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14409 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5306);
								}
							else
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14409 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5305));
								}
						}
					}
					((((BgL_vlengthz00_bglt) CREF(BgL_new1257z00_2829))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14409), BUNSPEC);
				}
				return BgL_new1257z00_2829;
			}
		}
	}



/* &lambda2873 */
	BgL_vlengthz00_bglt BGl_z62lambda2873z62zzast_nodez00(obj_t BgL_envz00_7555)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{

				{	/* Ast/node.scm 166 */
					BgL_vlengthz00_bglt BgL_new1256z00_2827;

					BgL_new1256z00_2827 =
						((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 166 */
						long BgL_arg2874z00_2828;

						{	/* Ast/node.scm 166 */
							long BgL_res3293z00_5298;

							{	/* Ast/node.scm 166 */
								obj_t BgL_classz00_5295;

								BgL_classz00_5295 = BGl_vlengthz00zzast_nodez00;
								{	/* Ast/node.scm 166 */
									obj_t BgL_vectorz00_5296;
									int BgL_kz00_5297;

									BgL_vectorz00_5296 = BgL_classz00_5295;
									BgL_kz00_5297 = (int) (((long) 1));
									BgL_res3293z00_5298 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5296, BgL_kz00_5297));
							}}
							BgL_arg2874z00_2828 = BgL_res3293z00_5298;
						}
						{	/* Ast/node.scm 166 */
							BgL_objectz00_bglt BgL_objz00_5299;

							BgL_objz00_5299 = ((BgL_objectz00_bglt) BgL_new1256z00_2827);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5299, BgL_arg2874z00_2828);
					}}
					{	/* Ast/node.scm 166 */
						BgL_objectz00_bglt BgL_auxz00_14425;

						BgL_auxz00_14425 = ((BgL_objectz00_bglt) BgL_new1256z00_2827);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14425, BFALSE);
					}
					return BgL_new1256z00_2827;
				}
			}
		}
	}



/* &lambda2871 */
	BgL_vlengthz00_bglt BGl_z62lambda2871z62zzast_nodez00(obj_t BgL_envz00_7556,
		obj_t BgL_loc1248z00_7557, obj_t BgL_type1249z00_7558,
		obj_t BgL_sidezd2effect1250zd2_7559, obj_t BgL_key1251z00_7560,
		obj_t BgL_exprza21252za2_7561, obj_t BgL_effect1253z00_7562,
		obj_t BgL_czd2format1254zd2_7563, obj_t BgL_vtype1255z00_7564)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{
				obj_t BgL_loc1248z00_2814;
				BgL_typez00_bglt BgL_type1249z00_2815;
				obj_t BgL_sidezd2effect1250zd2_2816;
				obj_t BgL_key1251z00_2817;
				obj_t BgL_exprza21252za2_2818;
				obj_t BgL_effect1253z00_2819;
				obj_t BgL_czd2format1254zd2_2820;
				BgL_typez00_bglt BgL_vtype1255z00_2821;

				BgL_loc1248z00_2814 = BgL_loc1248z00_7557;
				BgL_type1249z00_2815 = ((BgL_typez00_bglt) BgL_type1249z00_7558);
				BgL_sidezd2effect1250zd2_2816 = BgL_sidezd2effect1250zd2_7559;
				BgL_key1251z00_2817 = BgL_key1251z00_7560;
				BgL_exprza21252za2_2818 = BgL_exprza21252za2_7561;
				BgL_effect1253z00_2819 = BgL_effect1253z00_7562;
				BgL_czd2format1254zd2_2820 = BgL_czd2format1254zd2_7563;
				BgL_vtype1255z00_2821 = ((BgL_typez00_bglt) BgL_vtype1255z00_7564);
				{	/* Ast/node.scm 166 */
					BgL_vlengthz00_bglt BgL_new1979z00_2823;

					{	/* Ast/node.scm 166 */
						BgL_vlengthz00_bglt BgL_new1978z00_2824;

						BgL_new1978z00_2824 =
							((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vlengthz00_bgl))));
						{	/* Ast/node.scm 166 */
							long BgL_arg2872z00_2825;

							{	/* Ast/node.scm 166 */
								long BgL_res3292z00_5292;

								{	/* Ast/node.scm 166 */
									obj_t BgL_classz00_5289;

									BgL_classz00_5289 = BGl_vlengthz00zzast_nodez00;
									{	/* Ast/node.scm 166 */
										obj_t BgL_vectorz00_5290;
										int BgL_kz00_5291;

										BgL_vectorz00_5290 = BgL_classz00_5289;
										BgL_kz00_5291 = (int) (((long) 1));
										BgL_res3292z00_5292 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5290,
												BgL_kz00_5291));
								}}
								BgL_arg2872z00_2825 = BgL_res3292z00_5292;
							}
							{	/* Ast/node.scm 166 */
								BgL_objectz00_bglt BgL_objz00_5293;

								BgL_objz00_5293 = ((BgL_objectz00_bglt) BgL_new1978z00_2824);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5293, BgL_arg2872z00_2825);
						}}
						{	/* Ast/node.scm 166 */
							BgL_objectz00_bglt BgL_auxz00_14434;

							BgL_auxz00_14434 = ((BgL_objectz00_bglt) BgL_new1978z00_2824);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14434, BFALSE);
						}
						BgL_new1979z00_2823 = BgL_new1978z00_2824;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1979z00_2823)))->BgL_locz00) =
						((obj_t) BgL_loc1248z00_2814), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1979z00_2823)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1249z00_2815), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1979z00_2823)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1250zd2_2816), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1979z00_2823)))->BgL_keyz00) =
						((obj_t) BgL_key1251z00_2817), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1979z00_2823)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21252za2_2818), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1979z00_2823)))->BgL_effectz00) =
						((obj_t) BgL_effect1253z00_2819), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1979z00_2823)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1254zd2_2820), BUNSPEC);
					((((BgL_vlengthz00_bglt) CREF(BgL_new1979z00_2823))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1255z00_2821), BUNSPEC);
					return BgL_new1979z00_2823;
				}
			}
		}
	}



/* &lambda2880 */
	obj_t BGl_z62lambda2880z62zzast_nodez00(obj_t BgL_envz00_7565,
		obj_t BgL_oz00_7566, obj_t BgL_vz00_7567)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{	/* Ast/node.scm 166 */
				BgL_vlengthz00_bglt BgL_oz00_9418;
				BgL_typez00_bglt BgL_vz00_9419;

				BgL_oz00_9418 = ((BgL_vlengthz00_bglt) BgL_oz00_7566);
				BgL_vz00_9419 = ((BgL_typez00_bglt) BgL_vz00_7567);
				return
					((((BgL_vlengthz00_bglt) CREF(BgL_oz00_9418))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vz00_9419), BUNSPEC);
			}
		}
	}



/* &lambda2879 */
	BgL_typez00_bglt BGl_z62lambda2879z62zzast_nodez00(obj_t BgL_envz00_7568,
		obj_t BgL_oz00_7569)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			return
				(((BgL_vlengthz00_bglt) CREF(
						((BgL_vlengthz00_bglt) BgL_oz00_7569)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2843> */
	BgL_vsetz12z12_bglt BGl_z62zc3anonymousza32843ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7570, obj_t BgL_new1246z00_7571)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{
				BgL_vsetz12z12_bglt BgL_new1246z00_2751;

				BgL_new1246z00_2751 = ((BgL_vsetz12z12_bglt) BgL_new1246z00_7571);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1246z00_2751)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14461;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5268;

						BgL_classz00_5268 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1090z00_5269;

							{	/* Ast/node.scm 155 */
								obj_t BgL_vectorz00_5270;
								int BgL_kz00_5271;

								BgL_vectorz00_5270 = BgL_classz00_5268;
								BgL_kz00_5271 = (int) (((long) 17));
								BgL__ortest_1090z00_5269 =
									VECTOR_REF(BgL_vectorz00_5270, BgL_kz00_5271);
							}
							if (CBOOL(BgL__ortest_1090z00_5269))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14461 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5269);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14461 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5268));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1246z00_2751)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14461), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1246z00_2751)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1246z00_2751)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1246z00_2751)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1246z00_2751)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1246z00_2751)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14481;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5272;

						BgL_classz00_5272 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1090z00_5273;

							{	/* Ast/node.scm 155 */
								obj_t BgL_vectorz00_5274;
								int BgL_kz00_5275;

								BgL_vectorz00_5274 = BgL_classz00_5272;
								BgL_kz00_5275 = (int) (((long) 17));
								BgL__ortest_1090z00_5273 =
									VECTOR_REF(BgL_vectorz00_5274, BgL_kz00_5275);
							}
							if (CBOOL(BgL__ortest_1090z00_5273))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14481 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5273);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14481 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5272));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1246z00_2751))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14481), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14490;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5276;

						BgL_classz00_5276 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1090z00_5277;

							{	/* Ast/node.scm 155 */
								obj_t BgL_vectorz00_5278;
								int BgL_kz00_5279;

								BgL_vectorz00_5278 = BgL_classz00_5276;
								BgL_kz00_5279 = (int) (((long) 17));
								BgL__ortest_1090z00_5277 =
									VECTOR_REF(BgL_vectorz00_5278, BgL_kz00_5279);
							}
							if (CBOOL(BgL__ortest_1090z00_5277))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14490 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5277);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14490 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5276));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1246z00_2751))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14490), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14499;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5280;

						BgL_classz00_5280 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1090z00_5281;

							{	/* Ast/node.scm 155 */
								obj_t BgL_vectorz00_5282;
								int BgL_kz00_5283;

								BgL_vectorz00_5282 = BgL_classz00_5280;
								BgL_kz00_5283 = (int) (((long) 17));
								BgL__ortest_1090z00_5281 =
									VECTOR_REF(BgL_vectorz00_5282, BgL_kz00_5283);
							}
							if (CBOOL(BgL__ortest_1090z00_5281))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14499 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5281);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14499 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5280));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1246z00_2751))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14499), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1246z00_2751))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1246z00_2751;
			}
		}
	}



/* &lambda2841 */
	BgL_vsetz12z12_bglt BGl_z62lambda2841z62zzast_nodez00(obj_t BgL_envz00_7572)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{

				{	/* Ast/node.scm 155 */
					BgL_vsetz12z12_bglt BgL_new1245z00_2749;

					BgL_new1245z00_2749 =
						((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/node.scm 155 */
						long BgL_arg2842z00_2750;

						{	/* Ast/node.scm 155 */
							long BgL_res3291z00_5265;

							{	/* Ast/node.scm 155 */
								obj_t BgL_classz00_5262;

								BgL_classz00_5262 = BGl_vsetz12z12zzast_nodez00;
								{	/* Ast/node.scm 155 */
									obj_t BgL_vectorz00_5263;
									int BgL_kz00_5264;

									BgL_vectorz00_5263 = BgL_classz00_5262;
									BgL_kz00_5264 = (int) (((long) 1));
									BgL_res3291z00_5265 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5263, BgL_kz00_5264));
							}}
							BgL_arg2842z00_2750 = BgL_res3291z00_5265;
						}
						{	/* Ast/node.scm 155 */
							BgL_objectz00_bglt BgL_objz00_5266;

							BgL_objz00_5266 = ((BgL_objectz00_bglt) BgL_new1245z00_2749);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5266, BgL_arg2842z00_2750);
					}}
					{	/* Ast/node.scm 155 */
						BgL_objectz00_bglt BgL_auxz00_14516;

						BgL_auxz00_14516 = ((BgL_objectz00_bglt) BgL_new1245z00_2749);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14516, BFALSE);
					}
					return BgL_new1245z00_2749;
				}
			}
		}
	}



/* &lambda2839 */
	BgL_vsetz12z12_bglt BGl_z62lambda2839z62zzast_nodez00(obj_t BgL_envz00_7573,
		obj_t BgL_loc1233z00_7574, obj_t BgL_type1234z00_7575,
		obj_t BgL_sidezd2effect1235zd2_7576, obj_t BgL_key1236z00_7577,
		obj_t BgL_exprza21237za2_7578, obj_t BgL_effect1239z00_7579,
		obj_t BgL_czd2format1240zd2_7580, obj_t BgL_ftype1241z00_7581,
		obj_t BgL_otype1242z00_7582, obj_t BgL_vtype1243z00_7583,
		obj_t BgL_unsafe1244z00_7584)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{
				obj_t BgL_loc1233z00_2733;
				BgL_typez00_bglt BgL_type1234z00_2734;
				obj_t BgL_sidezd2effect1235zd2_2735;
				obj_t BgL_key1236z00_2736;
				obj_t BgL_exprza21237za2_2737;
				obj_t BgL_effect1239z00_2738;
				obj_t BgL_czd2format1240zd2_2739;
				BgL_typez00_bglt BgL_ftype1241z00_2740;
				BgL_typez00_bglt BgL_otype1242z00_2741;
				BgL_typez00_bglt BgL_vtype1243z00_2742;
				bool_t BgL_unsafe1244z00_2743;

				BgL_loc1233z00_2733 = BgL_loc1233z00_7574;
				BgL_type1234z00_2734 = ((BgL_typez00_bglt) BgL_type1234z00_7575);
				BgL_sidezd2effect1235zd2_2735 = BgL_sidezd2effect1235zd2_7576;
				BgL_key1236z00_2736 = BgL_key1236z00_7577;
				BgL_exprza21237za2_2737 = BgL_exprza21237za2_7578;
				BgL_effect1239z00_2738 = BgL_effect1239z00_7579;
				BgL_czd2format1240zd2_2739 = BgL_czd2format1240zd2_7580;
				BgL_ftype1241z00_2740 = ((BgL_typez00_bglt) BgL_ftype1241z00_7581);
				BgL_otype1242z00_2741 = ((BgL_typez00_bglt) BgL_otype1242z00_7582);
				BgL_vtype1243z00_2742 = ((BgL_typez00_bglt) BgL_vtype1243z00_7583);
				BgL_unsafe1244z00_2743 = CBOOL(BgL_unsafe1244z00_7584);
				{	/* Ast/node.scm 155 */
					BgL_vsetz12z12_bglt BgL_new1969z00_5253;

					{	/* Ast/node.scm 155 */
						BgL_vsetz12z12_bglt BgL_new1968z00_5254;

						BgL_new1968z00_5254 =
							((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 155 */
							long BgL_arg2840z00_5255;

							{	/* Ast/node.scm 155 */
								long BgL_res3290z00_5259;

								{	/* Ast/node.scm 155 */
									obj_t BgL_classz00_5256;

									BgL_classz00_5256 = BGl_vsetz12z12zzast_nodez00;
									{	/* Ast/node.scm 155 */
										obj_t BgL_vectorz00_5257;
										int BgL_kz00_5258;

										BgL_vectorz00_5257 = BgL_classz00_5256;
										BgL_kz00_5258 = (int) (((long) 1));
										BgL_res3290z00_5259 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5257,
												BgL_kz00_5258));
								}}
								BgL_arg2840z00_5255 = BgL_res3290z00_5259;
							}
							{	/* Ast/node.scm 155 */
								BgL_objectz00_bglt BgL_objz00_5260;

								BgL_objz00_5260 = ((BgL_objectz00_bglt) BgL_new1968z00_5254);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5260, BgL_arg2840z00_5255);
						}}
						{	/* Ast/node.scm 155 */
							BgL_objectz00_bglt BgL_auxz00_14525;

							BgL_auxz00_14525 = ((BgL_objectz00_bglt) BgL_new1968z00_5254);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14525, BFALSE);
						}
						BgL_new1969z00_5253 = BgL_new1968z00_5254;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1969z00_5253)))->BgL_locz00) =
						((obj_t) BgL_loc1233z00_2733), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1969z00_5253)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1234z00_2734), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1969z00_5253)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1235zd2_2735), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1969z00_5253)))->BgL_keyz00) =
						((obj_t) BgL_key1236z00_2736), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1969z00_5253)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21237za2_2737), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1969z00_5253)))->BgL_effectz00) =
						((obj_t) BgL_effect1239z00_2738), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1969z00_5253)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1240zd2_2739), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1969z00_5253))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1241z00_2740), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1969z00_5253))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1242z00_2741), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1969z00_5253))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1243z00_2742), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1969z00_5253))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1244z00_2743), BUNSPEC);
					return BgL_new1969z00_5253;
				}
			}
		}
	}



/* &lambda2865 */
	obj_t BGl_z62lambda2865z62zzast_nodez00(obj_t BgL_envz00_7585,
		obj_t BgL_oz00_7586, obj_t BgL_vz00_7587)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vsetz12z12_bglt BgL_oz00_9421;
				BgL_typez00_bglt BgL_vz00_9422;

				BgL_oz00_9421 = ((BgL_vsetz12z12_bglt) BgL_oz00_7586);
				BgL_vz00_9422 = ((BgL_typez00_bglt) BgL_vz00_7587);
				return
					((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_9421))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_9422), BUNSPEC);
			}
		}
	}



/* &lambda2864 */
	BgL_typez00_bglt BGl_z62lambda2864z62zzast_nodez00(obj_t BgL_envz00_7588,
		obj_t BgL_oz00_7589)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7589)))->BgL_ftypez00);
		}
	}



/* &lambda2860 */
	obj_t BGl_z62lambda2860z62zzast_nodez00(obj_t BgL_envz00_7590,
		obj_t BgL_oz00_7591, obj_t BgL_vz00_7592)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vsetz12z12_bglt BgL_oz00_9424;
				BgL_typez00_bglt BgL_vz00_9425;

				BgL_oz00_9424 = ((BgL_vsetz12z12_bglt) BgL_oz00_7591);
				BgL_vz00_9425 = ((BgL_typez00_bglt) BgL_vz00_7592);
				return
					((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_9424))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9425), BUNSPEC);
			}
		}
	}



/* &lambda2859 */
	BgL_typez00_bglt BGl_z62lambda2859z62zzast_nodez00(obj_t BgL_envz00_7593,
		obj_t BgL_oz00_7594)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7594)))->BgL_otypez00);
		}
	}



/* &lambda2855 */
	obj_t BGl_z62lambda2855z62zzast_nodez00(obj_t BgL_envz00_7595,
		obj_t BgL_oz00_7596, obj_t BgL_vz00_7597)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vsetz12z12_bglt BgL_oz00_9427;
				BgL_typez00_bglt BgL_vz00_9428;

				BgL_oz00_9427 = ((BgL_vsetz12z12_bglt) BgL_oz00_7596);
				BgL_vz00_9428 = ((BgL_typez00_bglt) BgL_vz00_7597);
				return
					((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_9427))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vz00_9428), BUNSPEC);
			}
		}
	}



/* &lambda2854 */
	BgL_typez00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t BgL_envz00_7598,
		obj_t BgL_oz00_7599)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7599)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2850> */
	obj_t BGl_z62zc3anonymousza32850ze3ze1zzast_nodez00(obj_t BgL_envz00_7600)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2849 */
	obj_t BGl_z62lambda2849z62zzast_nodez00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602, obj_t BgL_vz00_7603)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vsetz12z12_bglt BgL_oz00_9430;
				bool_t BgL_vz00_9431;

				BgL_oz00_9430 = ((BgL_vsetz12z12_bglt) BgL_oz00_7602);
				BgL_vz00_9431 = CBOOL(BgL_vz00_7603);
				return
					((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_9430))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9431), BUNSPEC);
			}
		}
	}



/* &lambda2848 */
	obj_t BGl_z62lambda2848z62zzast_nodez00(obj_t BgL_envz00_7604,
		obj_t BgL_oz00_7605)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_7605)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2811> */
	BgL_vrefz00_bglt BGl_z62zc3anonymousza32811ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7606, obj_t BgL_new1231z00_7607)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{
				BgL_vrefz00_bglt BgL_new1231z00_2670;

				BgL_new1231z00_2670 = ((BgL_vrefz00_bglt) BgL_new1231z00_7607);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1231z00_2670)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14575;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5217;

						BgL_classz00_5217 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1090z00_5218;

							{	/* Ast/node.scm 144 */
								obj_t BgL_vectorz00_5219;
								int BgL_kz00_5220;

								BgL_vectorz00_5219 = BgL_classz00_5217;
								BgL_kz00_5220 = (int) (((long) 17));
								BgL__ortest_1090z00_5218 =
									VECTOR_REF(BgL_vectorz00_5219, BgL_kz00_5220);
							}
							if (CBOOL(BgL__ortest_1090z00_5218))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14575 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5218);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14575 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5217));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1231z00_2670)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14575), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1231z00_2670)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1231z00_2670)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1231z00_2670)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1231z00_2670)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1231z00_2670)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14595;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5221;

						BgL_classz00_5221 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1090z00_5222;

							{	/* Ast/node.scm 144 */
								obj_t BgL_vectorz00_5223;
								int BgL_kz00_5224;

								BgL_vectorz00_5223 = BgL_classz00_5221;
								BgL_kz00_5224 = (int) (((long) 17));
								BgL__ortest_1090z00_5222 =
									VECTOR_REF(BgL_vectorz00_5223, BgL_kz00_5224);
							}
							if (CBOOL(BgL__ortest_1090z00_5222))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14595 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5222);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14595 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5221));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2670))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14595), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14604;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5225;

						BgL_classz00_5225 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1090z00_5226;

							{	/* Ast/node.scm 144 */
								obj_t BgL_vectorz00_5227;
								int BgL_kz00_5228;

								BgL_vectorz00_5227 = BgL_classz00_5225;
								BgL_kz00_5228 = (int) (((long) 17));
								BgL__ortest_1090z00_5226 =
									VECTOR_REF(BgL_vectorz00_5227, BgL_kz00_5228);
							}
							if (CBOOL(BgL__ortest_1090z00_5226))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14604 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5226);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14604 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5225));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2670))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14604), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14613;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5229;

						BgL_classz00_5229 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1090z00_5230;

							{	/* Ast/node.scm 144 */
								obj_t BgL_vectorz00_5231;
								int BgL_kz00_5232;

								BgL_vectorz00_5231 = BgL_classz00_5229;
								BgL_kz00_5232 = (int) (((long) 17));
								BgL__ortest_1090z00_5230 =
									VECTOR_REF(BgL_vectorz00_5231, BgL_kz00_5232);
							}
							if (CBOOL(BgL__ortest_1090z00_5230))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14613 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5230);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14613 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5229));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2670))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14613), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2670))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1231z00_2670;
			}
		}
	}



/* &lambda2809 */
	BgL_vrefz00_bglt BGl_z62lambda2809z62zzast_nodez00(obj_t BgL_envz00_7608)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{

				{	/* Ast/node.scm 144 */
					BgL_vrefz00_bglt BgL_new1230z00_2668;

					BgL_new1230z00_2668 =
						((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/node.scm 144 */
						long BgL_arg2810z00_2669;

						{	/* Ast/node.scm 144 */
							long BgL_res3289z00_5214;

							{	/* Ast/node.scm 144 */
								obj_t BgL_classz00_5211;

								BgL_classz00_5211 = BGl_vrefz00zzast_nodez00;
								{	/* Ast/node.scm 144 */
									obj_t BgL_vectorz00_5212;
									int BgL_kz00_5213;

									BgL_vectorz00_5212 = BgL_classz00_5211;
									BgL_kz00_5213 = (int) (((long) 1));
									BgL_res3289z00_5214 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5212, BgL_kz00_5213));
							}}
							BgL_arg2810z00_2669 = BgL_res3289z00_5214;
						}
						{	/* Ast/node.scm 144 */
							BgL_objectz00_bglt BgL_objz00_5215;

							BgL_objz00_5215 = ((BgL_objectz00_bglt) BgL_new1230z00_2668);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5215, BgL_arg2810z00_2669);
					}}
					{	/* Ast/node.scm 144 */
						BgL_objectz00_bglt BgL_auxz00_14630;

						BgL_auxz00_14630 = ((BgL_objectz00_bglt) BgL_new1230z00_2668);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14630, BFALSE);
					}
					return BgL_new1230z00_2668;
				}
			}
		}
	}



/* &lambda2807 */
	BgL_vrefz00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t BgL_envz00_7609,
		obj_t BgL_loc1219z00_7610, obj_t BgL_type1220z00_7611,
		obj_t BgL_sidezd2effect1221zd2_7612, obj_t BgL_key1222z00_7613,
		obj_t BgL_exprza21223za2_7614, obj_t BgL_effect1224z00_7615,
		obj_t BgL_czd2format1225zd2_7616, obj_t BgL_ftype1226z00_7617,
		obj_t BgL_otype1227z00_7618, obj_t BgL_vtype1228z00_7619,
		obj_t BgL_unsafe1229z00_7620)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{
				obj_t BgL_loc1219z00_2652;
				BgL_typez00_bglt BgL_type1220z00_2653;
				obj_t BgL_sidezd2effect1221zd2_2654;
				obj_t BgL_key1222z00_2655;
				obj_t BgL_exprza21223za2_2656;
				obj_t BgL_effect1224z00_2657;
				obj_t BgL_czd2format1225zd2_2658;
				BgL_typez00_bglt BgL_ftype1226z00_2659;
				BgL_typez00_bglt BgL_otype1227z00_2660;
				BgL_typez00_bglt BgL_vtype1228z00_2661;
				bool_t BgL_unsafe1229z00_2662;

				BgL_loc1219z00_2652 = BgL_loc1219z00_7610;
				BgL_type1220z00_2653 = ((BgL_typez00_bglt) BgL_type1220z00_7611);
				BgL_sidezd2effect1221zd2_2654 = BgL_sidezd2effect1221zd2_7612;
				BgL_key1222z00_2655 = BgL_key1222z00_7613;
				BgL_exprza21223za2_2656 = BgL_exprza21223za2_7614;
				BgL_effect1224z00_2657 = BgL_effect1224z00_7615;
				BgL_czd2format1225zd2_2658 = BgL_czd2format1225zd2_7616;
				BgL_ftype1226z00_2659 = ((BgL_typez00_bglt) BgL_ftype1226z00_7617);
				BgL_otype1227z00_2660 = ((BgL_typez00_bglt) BgL_otype1227z00_7618);
				BgL_vtype1228z00_2661 = ((BgL_typez00_bglt) BgL_vtype1228z00_7619);
				BgL_unsafe1229z00_2662 = CBOOL(BgL_unsafe1229z00_7620);
				{	/* Ast/node.scm 144 */
					BgL_vrefz00_bglt BgL_new1959z00_5202;

					{	/* Ast/node.scm 144 */
						BgL_vrefz00_bglt BgL_new1958z00_5203;

						BgL_new1958z00_5203 =
							((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 144 */
							long BgL_arg2808z00_5204;

							{	/* Ast/node.scm 144 */
								long BgL_res3288z00_5208;

								{	/* Ast/node.scm 144 */
									obj_t BgL_classz00_5205;

									BgL_classz00_5205 = BGl_vrefz00zzast_nodez00;
									{	/* Ast/node.scm 144 */
										obj_t BgL_vectorz00_5206;
										int BgL_kz00_5207;

										BgL_vectorz00_5206 = BgL_classz00_5205;
										BgL_kz00_5207 = (int) (((long) 1));
										BgL_res3288z00_5208 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5206,
												BgL_kz00_5207));
								}}
								BgL_arg2808z00_5204 = BgL_res3288z00_5208;
							}
							{	/* Ast/node.scm 144 */
								BgL_objectz00_bglt BgL_objz00_5209;

								BgL_objz00_5209 = ((BgL_objectz00_bglt) BgL_new1958z00_5203);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5209, BgL_arg2808z00_5204);
						}}
						{	/* Ast/node.scm 144 */
							BgL_objectz00_bglt BgL_auxz00_14639;

							BgL_auxz00_14639 = ((BgL_objectz00_bglt) BgL_new1958z00_5203);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14639, BFALSE);
						}
						BgL_new1959z00_5202 = BgL_new1958z00_5203;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1959z00_5202)))->BgL_locz00) =
						((obj_t) BgL_loc1219z00_2652), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1959z00_5202)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1220z00_2653), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1959z00_5202)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1221zd2_2654), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1959z00_5202)))->BgL_keyz00) =
						((obj_t) BgL_key1222z00_2655), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1959z00_5202)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21223za2_2656), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1959z00_5202)))->BgL_effectz00) =
						((obj_t) BgL_effect1224z00_2657), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1959z00_5202)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1225zd2_2658), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1959z00_5202))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1226z00_2659), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1959z00_5202))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1227z00_2660), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1959z00_5202))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1228z00_2661), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1959z00_5202))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1229z00_2662), BUNSPEC);
					return BgL_new1959z00_5202;
				}
			}
		}
	}



/* &lambda2833 */
	obj_t BGl_z62lambda2833z62zzast_nodez00(obj_t BgL_envz00_7621,
		obj_t BgL_oz00_7622, obj_t BgL_vz00_7623)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_vrefz00_bglt BgL_oz00_9433;
				BgL_typez00_bglt BgL_vz00_9434;

				BgL_oz00_9433 = ((BgL_vrefz00_bglt) BgL_oz00_7622);
				BgL_vz00_9434 = ((BgL_typez00_bglt) BgL_vz00_7623);
				return
					((((BgL_vrefz00_bglt) CREF(BgL_oz00_9433))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_9434), BUNSPEC);
			}
		}
	}



/* &lambda2832 */
	BgL_typez00_bglt BGl_z62lambda2832z62zzast_nodez00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7625)))->BgL_ftypez00);
		}
	}



/* &lambda2828 */
	obj_t BGl_z62lambda2828z62zzast_nodez00(obj_t BgL_envz00_7626,
		obj_t BgL_oz00_7627, obj_t BgL_vz00_7628)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_vrefz00_bglt BgL_oz00_9436;
				BgL_typez00_bglt BgL_vz00_9437;

				BgL_oz00_9436 = ((BgL_vrefz00_bglt) BgL_oz00_7627);
				BgL_vz00_9437 = ((BgL_typez00_bglt) BgL_vz00_7628);
				return
					((((BgL_vrefz00_bglt) CREF(BgL_oz00_9436))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9437), BUNSPEC);
			}
		}
	}



/* &lambda2827 */
	BgL_typez00_bglt BGl_z62lambda2827z62zzast_nodez00(obj_t BgL_envz00_7629,
		obj_t BgL_oz00_7630)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7630)))->BgL_otypez00);
		}
	}



/* &lambda2823 */
	obj_t BGl_z62lambda2823z62zzast_nodez00(obj_t BgL_envz00_7631,
		obj_t BgL_oz00_7632, obj_t BgL_vz00_7633)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_vrefz00_bglt BgL_oz00_9439;
				BgL_typez00_bglt BgL_vz00_9440;

				BgL_oz00_9439 = ((BgL_vrefz00_bglt) BgL_oz00_7632);
				BgL_vz00_9440 = ((BgL_typez00_bglt) BgL_vz00_7633);
				return
					((((BgL_vrefz00_bglt) CREF(BgL_oz00_9439))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vz00_9440), BUNSPEC);
			}
		}
	}



/* &lambda2822 */
	BgL_typez00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t BgL_envz00_7634,
		obj_t BgL_oz00_7635)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7635)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2818> */
	obj_t BGl_z62zc3anonymousza32818ze3ze1zzast_nodez00(obj_t BgL_envz00_7636)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2817 */
	obj_t BGl_z62lambda2817z62zzast_nodez00(obj_t BgL_envz00_7637,
		obj_t BgL_oz00_7638, obj_t BgL_vz00_7639)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_vrefz00_bglt BgL_oz00_9442;
				bool_t BgL_vz00_9443;

				BgL_oz00_9442 = ((BgL_vrefz00_bglt) BgL_oz00_7638);
				BgL_vz00_9443 = CBOOL(BgL_vz00_7639);
				return
					((((BgL_vrefz00_bglt) CREF(BgL_oz00_9442))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9443), BUNSPEC);
			}
		}
	}



/* &lambda2816 */
	obj_t BGl_z62lambda2816z62zzast_nodez00(obj_t BgL_envz00_7640,
		obj_t BgL_oz00_7641)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_7641)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2791> */
	BgL_vallocz00_bglt BGl_z62zc3anonymousza32791ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7642, obj_t BgL_new1217z00_7643)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{
				BgL_vallocz00_bglt BgL_new1217z00_2616;

				BgL_new1217z00_2616 = ((BgL_vallocz00_bglt) BgL_new1217z00_7643);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1217z00_2616)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14689;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5170;

						BgL_classz00_5170 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1090z00_5171;

							{	/* Ast/node.scm 137 */
								obj_t BgL_vectorz00_5172;
								int BgL_kz00_5173;

								BgL_vectorz00_5172 = BgL_classz00_5170;
								BgL_kz00_5173 = (int) (((long) 17));
								BgL__ortest_1090z00_5171 =
									VECTOR_REF(BgL_vectorz00_5172, BgL_kz00_5173);
							}
							if (CBOOL(BgL__ortest_1090z00_5171))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14689 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5171);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14689 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5170));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1217z00_2616)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14689), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1217z00_2616)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1217z00_2616)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1217z00_2616)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1217z00_2616)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1217z00_2616)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14709;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5174;

						BgL_classz00_5174 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1090z00_5175;

							{	/* Ast/node.scm 137 */
								obj_t BgL_vectorz00_5176;
								int BgL_kz00_5177;

								BgL_vectorz00_5176 = BgL_classz00_5174;
								BgL_kz00_5177 = (int) (((long) 17));
								BgL__ortest_1090z00_5175 =
									VECTOR_REF(BgL_vectorz00_5176, BgL_kz00_5177);
							}
							if (CBOOL(BgL__ortest_1090z00_5175))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14709 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5175);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14709 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5174));
								}
						}
					}
					((((BgL_vallocz00_bglt) CREF(BgL_new1217z00_2616))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14709), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14718;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5178;

						BgL_classz00_5178 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1090z00_5179;

							{	/* Ast/node.scm 137 */
								obj_t BgL_vectorz00_5180;
								int BgL_kz00_5181;

								BgL_vectorz00_5180 = BgL_classz00_5178;
								BgL_kz00_5181 = (int) (((long) 17));
								BgL__ortest_1090z00_5179 =
									VECTOR_REF(BgL_vectorz00_5180, BgL_kz00_5181);
							}
							if (CBOOL(BgL__ortest_1090z00_5179))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14718 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5179);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14718 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5178));
								}
						}
					}
					((((BgL_vallocz00_bglt) CREF(BgL_new1217z00_2616))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14718), BUNSPEC);
				}
				return BgL_new1217z00_2616;
			}
		}
	}



/* &lambda2789 */
	BgL_vallocz00_bglt BGl_z62lambda2789z62zzast_nodez00(obj_t BgL_envz00_7644)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{

				{	/* Ast/node.scm 137 */
					BgL_vallocz00_bglt BgL_new1216z00_2614;

					BgL_new1216z00_2614 =
						((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 137 */
						long BgL_arg2790z00_2615;

						{	/* Ast/node.scm 137 */
							long BgL_res3287z00_5167;

							{	/* Ast/node.scm 137 */
								obj_t BgL_classz00_5164;

								BgL_classz00_5164 = BGl_vallocz00zzast_nodez00;
								{	/* Ast/node.scm 137 */
									obj_t BgL_vectorz00_5165;
									int BgL_kz00_5166;

									BgL_vectorz00_5165 = BgL_classz00_5164;
									BgL_kz00_5166 = (int) (((long) 1));
									BgL_res3287z00_5167 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5165, BgL_kz00_5166));
							}}
							BgL_arg2790z00_2615 = BgL_res3287z00_5167;
						}
						{	/* Ast/node.scm 137 */
							BgL_objectz00_bglt BgL_objz00_5168;

							BgL_objz00_5168 = ((BgL_objectz00_bglt) BgL_new1216z00_2614);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5168, BgL_arg2790z00_2615);
					}}
					{	/* Ast/node.scm 137 */
						BgL_objectz00_bglt BgL_auxz00_14734;

						BgL_auxz00_14734 = ((BgL_objectz00_bglt) BgL_new1216z00_2614);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14734, BFALSE);
					}
					return BgL_new1216z00_2614;
				}
			}
		}
	}



/* &lambda2787 */
	BgL_vallocz00_bglt BGl_z62lambda2787z62zzast_nodez00(obj_t BgL_envz00_7645,
		obj_t BgL_loc1207z00_7646, obj_t BgL_type1208z00_7647,
		obj_t BgL_sidezd2effect1209zd2_7648, obj_t BgL_key1210z00_7649,
		obj_t BgL_exprza21211za2_7650, obj_t BgL_effect1212z00_7651,
		obj_t BgL_czd2format1213zd2_7652, obj_t BgL_ftype1214z00_7653,
		obj_t BgL_otype1215z00_7654)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{
				obj_t BgL_loc1207z00_2600;
				BgL_typez00_bglt BgL_type1208z00_2601;
				obj_t BgL_sidezd2effect1209zd2_2602;
				obj_t BgL_key1210z00_2603;
				obj_t BgL_exprza21211za2_2604;
				obj_t BgL_effect1212z00_2605;
				obj_t BgL_czd2format1213zd2_2606;
				BgL_typez00_bglt BgL_ftype1214z00_2607;
				BgL_typez00_bglt BgL_otype1215z00_2608;

				BgL_loc1207z00_2600 = BgL_loc1207z00_7646;
				BgL_type1208z00_2601 = ((BgL_typez00_bglt) BgL_type1208z00_7647);
				BgL_sidezd2effect1209zd2_2602 = BgL_sidezd2effect1209zd2_7648;
				BgL_key1210z00_2603 = BgL_key1210z00_7649;
				BgL_exprza21211za2_2604 = BgL_exprza21211za2_7650;
				BgL_effect1212z00_2605 = BgL_effect1212z00_7651;
				BgL_czd2format1213zd2_2606 = BgL_czd2format1213zd2_7652;
				BgL_ftype1214z00_2607 = ((BgL_typez00_bglt) BgL_ftype1214z00_7653);
				BgL_otype1215z00_2608 = ((BgL_typez00_bglt) BgL_otype1215z00_7654);
				{	/* Ast/node.scm 137 */
					BgL_vallocz00_bglt BgL_new1953z00_5155;

					{	/* Ast/node.scm 137 */
						BgL_vallocz00_bglt BgL_new1952z00_5156;

						BgL_new1952z00_5156 =
							((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vallocz00_bgl))));
						{	/* Ast/node.scm 137 */
							long BgL_arg2788z00_5157;

							{	/* Ast/node.scm 137 */
								long BgL_res3286z00_5161;

								{	/* Ast/node.scm 137 */
									obj_t BgL_classz00_5158;

									BgL_classz00_5158 = BGl_vallocz00zzast_nodez00;
									{	/* Ast/node.scm 137 */
										obj_t BgL_vectorz00_5159;
										int BgL_kz00_5160;

										BgL_vectorz00_5159 = BgL_classz00_5158;
										BgL_kz00_5160 = (int) (((long) 1));
										BgL_res3286z00_5161 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5159,
												BgL_kz00_5160));
								}}
								BgL_arg2788z00_5157 = BgL_res3286z00_5161;
							}
							{	/* Ast/node.scm 137 */
								BgL_objectz00_bglt BgL_objz00_5162;

								BgL_objz00_5162 = ((BgL_objectz00_bglt) BgL_new1952z00_5156);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5162, BgL_arg2788z00_5157);
						}}
						{	/* Ast/node.scm 137 */
							BgL_objectz00_bglt BgL_auxz00_14743;

							BgL_auxz00_14743 = ((BgL_objectz00_bglt) BgL_new1952z00_5156);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14743, BFALSE);
						}
						BgL_new1953z00_5155 = BgL_new1952z00_5156;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1953z00_5155)))->BgL_locz00) =
						((obj_t) BgL_loc1207z00_2600), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1953z00_5155)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1208z00_2601), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1953z00_5155)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1209zd2_2602), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1953z00_5155)))->BgL_keyz00) =
						((obj_t) BgL_key1210z00_2603), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1953z00_5155)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21211za2_2604), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1953z00_5155)))->BgL_effectz00) =
						((obj_t) BgL_effect1212z00_2605), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1953z00_5155)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1213zd2_2606), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1953z00_5155))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1214z00_2607), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1953z00_5155))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1215z00_2608), BUNSPEC);
					return BgL_new1953z00_5155;
				}
			}
		}
	}



/* &lambda2801 */
	obj_t BGl_z62lambda2801z62zzast_nodez00(obj_t BgL_envz00_7655,
		obj_t BgL_oz00_7656, obj_t BgL_vz00_7657)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{	/* Ast/node.scm 137 */
				BgL_vallocz00_bglt BgL_oz00_9445;
				BgL_typez00_bglt BgL_vz00_9446;

				BgL_oz00_9445 = ((BgL_vallocz00_bglt) BgL_oz00_7656);
				BgL_vz00_9446 = ((BgL_typez00_bglt) BgL_vz00_7657);
				return
					((((BgL_vallocz00_bglt) CREF(BgL_oz00_9445))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_9446), BUNSPEC);
			}
		}
	}



/* &lambda2800 */
	BgL_typez00_bglt BGl_z62lambda2800z62zzast_nodez00(obj_t BgL_envz00_7658,
		obj_t BgL_oz00_7659)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_7659)))->BgL_ftypez00);
		}
	}



/* &lambda2796 */
	obj_t BGl_z62lambda2796z62zzast_nodez00(obj_t BgL_envz00_7660,
		obj_t BgL_oz00_7661, obj_t BgL_vz00_7662)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{	/* Ast/node.scm 137 */
				BgL_vallocz00_bglt BgL_oz00_9448;
				BgL_typez00_bglt BgL_vz00_9449;

				BgL_oz00_9448 = ((BgL_vallocz00_bglt) BgL_oz00_7661);
				BgL_vz00_9449 = ((BgL_typez00_bglt) BgL_vz00_7662);
				return
					((((BgL_vallocz00_bglt) CREF(BgL_oz00_9448))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9449), BUNSPEC);
			}
		}
	}



/* &lambda2795 */
	BgL_typez00_bglt BGl_z62lambda2795z62zzast_nodez00(obj_t BgL_envz00_7663,
		obj_t BgL_oz00_7664)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_7664)))->BgL_otypez00);
		}
	}



/* &<anonymous:2774> */
	BgL_newz00_bglt BGl_z62zc3anonymousza32774ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7665, obj_t BgL_new1205z00_7666)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{
				BgL_newz00_bglt BgL_new1205z00_2573;

				BgL_new1205z00_2573 = ((BgL_newz00_bglt) BgL_new1205z00_7666);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1205z00_2573)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14777;

					{	/* Ast/node.scm 133 */
						obj_t BgL_classz00_5141;

						BgL_classz00_5141 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 133 */
							obj_t BgL__ortest_1090z00_5142;

							{	/* Ast/node.scm 133 */
								obj_t BgL_vectorz00_5143;
								int BgL_kz00_5144;

								BgL_vectorz00_5143 = BgL_classz00_5141;
								BgL_kz00_5144 = (int) (((long) 17));
								BgL__ortest_1090z00_5142 =
									VECTOR_REF(BgL_vectorz00_5143, BgL_kz00_5144);
							}
							if (CBOOL(BgL__ortest_1090z00_5142))
								{	/* Ast/node.scm 133 */
									BgL_auxz00_14777 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5142);
								}
							else
								{	/* Ast/node.scm 133 */
									BgL_auxz00_14777 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5141));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1205z00_2573)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14777), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1205z00_2573)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1205z00_2573)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1205z00_2573)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1205z00_2573)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1205z00_2573)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) CREF(BgL_new1205z00_2573))->BgL_argszd2typezd2) =
					((obj_t) BNIL), BUNSPEC);
				return BgL_new1205z00_2573;
			}
		}
	}



/* &lambda2772 */
	BgL_newz00_bglt BGl_z62lambda2772z62zzast_nodez00(obj_t BgL_envz00_7667)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{

				{	/* Ast/node.scm 133 */
					BgL_newz00_bglt BgL_new1204z00_2571;

					BgL_new1204z00_2571 =
						((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
					{	/* Ast/node.scm 133 */
						long BgL_arg2773z00_2572;

						{	/* Ast/node.scm 133 */
							long BgL_res3285z00_5138;

							{	/* Ast/node.scm 133 */
								obj_t BgL_classz00_5135;

								BgL_classz00_5135 = BGl_newz00zzast_nodez00;
								{	/* Ast/node.scm 133 */
									obj_t BgL_vectorz00_5136;
									int BgL_kz00_5137;

									BgL_vectorz00_5136 = BgL_classz00_5135;
									BgL_kz00_5137 = (int) (((long) 1));
									BgL_res3285z00_5138 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5136, BgL_kz00_5137));
							}}
							BgL_arg2773z00_2572 = BgL_res3285z00_5138;
						}
						{	/* Ast/node.scm 133 */
							BgL_objectz00_bglt BgL_objz00_5139;

							BgL_objz00_5139 = ((BgL_objectz00_bglt) BgL_new1204z00_2571);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5139, BgL_arg2773z00_2572);
					}}
					{	/* Ast/node.scm 133 */
						BgL_objectz00_bglt BgL_auxz00_14805;

						BgL_auxz00_14805 = ((BgL_objectz00_bglt) BgL_new1204z00_2571);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14805, BFALSE);
					}
					return BgL_new1204z00_2571;
				}
			}
		}
	}



/* &lambda2770 */
	BgL_newz00_bglt BGl_z62lambda2770z62zzast_nodez00(obj_t BgL_envz00_7668,
		obj_t BgL_loc1196z00_7669, obj_t BgL_type1197z00_7670,
		obj_t BgL_sidezd2effect1198zd2_7671, obj_t BgL_key1199z00_7672,
		obj_t BgL_exprza21200za2_7673, obj_t BgL_effect1201z00_7674,
		obj_t BgL_czd2format1202zd2_7675, obj_t BgL_argszd2type1203zd2_7676)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{
				obj_t BgL_loc1196z00_2558;
				BgL_typez00_bglt BgL_type1197z00_2559;
				obj_t BgL_sidezd2effect1198zd2_2560;
				obj_t BgL_key1199z00_2561;
				obj_t BgL_exprza21200za2_2562;
				obj_t BgL_effect1201z00_2563;
				obj_t BgL_czd2format1202zd2_2564;
				obj_t BgL_argszd2type1203zd2_2565;

				BgL_loc1196z00_2558 = BgL_loc1196z00_7669;
				BgL_type1197z00_2559 = ((BgL_typez00_bglt) BgL_type1197z00_7670);
				BgL_sidezd2effect1198zd2_2560 = BgL_sidezd2effect1198zd2_7671;
				BgL_key1199z00_2561 = BgL_key1199z00_7672;
				BgL_exprza21200za2_2562 = BgL_exprza21200za2_7673;
				BgL_effect1201z00_2563 = BgL_effect1201z00_7674;
				BgL_czd2format1202zd2_2564 = BgL_czd2format1202zd2_7675;
				BgL_argszd2type1203zd2_2565 = BgL_argszd2type1203zd2_7676;
				{	/* Ast/node.scm 133 */
					BgL_newz00_bglt BgL_new1949z00_2567;

					{	/* Ast/node.scm 133 */
						BgL_newz00_bglt BgL_new1948z00_2568;

						BgL_new1948z00_2568 =
							((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_newz00_bgl))));
						{	/* Ast/node.scm 133 */
							long BgL_arg2771z00_2569;

							{	/* Ast/node.scm 133 */
								long BgL_res3284z00_5132;

								{	/* Ast/node.scm 133 */
									obj_t BgL_classz00_5129;

									BgL_classz00_5129 = BGl_newz00zzast_nodez00;
									{	/* Ast/node.scm 133 */
										obj_t BgL_vectorz00_5130;
										int BgL_kz00_5131;

										BgL_vectorz00_5130 = BgL_classz00_5129;
										BgL_kz00_5131 = (int) (((long) 1));
										BgL_res3284z00_5132 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5130,
												BgL_kz00_5131));
								}}
								BgL_arg2771z00_2569 = BgL_res3284z00_5132;
							}
							{	/* Ast/node.scm 133 */
								BgL_objectz00_bglt BgL_objz00_5133;

								BgL_objz00_5133 = ((BgL_objectz00_bglt) BgL_new1948z00_2568);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5133, BgL_arg2771z00_2569);
						}}
						{	/* Ast/node.scm 133 */
							BgL_objectz00_bglt BgL_auxz00_14814;

							BgL_auxz00_14814 = ((BgL_objectz00_bglt) BgL_new1948z00_2568);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14814, BFALSE);
						}
						BgL_new1949z00_2567 = BgL_new1948z00_2568;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1949z00_2567)))->BgL_locz00) =
						((obj_t) BgL_loc1196z00_2558), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1949z00_2567)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1197z00_2559), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1949z00_2567)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1198zd2_2560), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1949z00_2567)))->BgL_keyz00) =
						((obj_t) BgL_key1199z00_2561), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1949z00_2567)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21200za2_2562), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1949z00_2567)))->BgL_effectz00) =
						((obj_t) BgL_effect1201z00_2563), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1949z00_2567)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1202zd2_2564), BUNSPEC);
					((((BgL_newz00_bglt) CREF(BgL_new1949z00_2567))->BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1203zd2_2565), BUNSPEC);
					return BgL_new1949z00_2567;
				}
			}
		}
	}



/* &<anonymous:2781> */
	obj_t BGl_z62zc3anonymousza32781ze3ze1zzast_nodez00(obj_t BgL_envz00_7677)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			return BNIL;
		}
	}



/* &lambda2780 */
	obj_t BGl_z62lambda2780z62zzast_nodez00(obj_t BgL_envz00_7678,
		obj_t BgL_oz00_7679, obj_t BgL_vz00_7680)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{	/* Ast/node.scm 133 */
				BgL_newz00_bglt BgL_oz00_9451;
				obj_t BgL_vz00_9452;

				BgL_oz00_9451 = ((BgL_newz00_bglt) BgL_oz00_7679);
				BgL_vz00_9452 = BgL_vz00_7680;
				return
					((((BgL_newz00_bglt) CREF(BgL_oz00_9451))->BgL_argszd2typezd2) =
					((obj_t) BgL_vz00_9452), BUNSPEC);
			}
		}
	}



/* &lambda2779 */
	obj_t BGl_z62lambda2779z62zzast_nodez00(obj_t BgL_envz00_7681,
		obj_t BgL_oz00_7682)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			return
				(((BgL_newz00_bglt) CREF(
						((BgL_newz00_bglt) BgL_oz00_7682)))->BgL_argszd2typezd2);
		}
	}



/* &<anonymous:2759> */
	BgL_wideningz00_bglt BGl_z62zc3anonymousza32759ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7683, obj_t BgL_new1194z00_7684)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{
				BgL_wideningz00_bglt BgL_new1194z00_2534;

				BgL_new1194z00_2534 = ((BgL_wideningz00_bglt) BgL_new1194z00_7684);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1194z00_2534)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14839;

					{	/* Ast/node.scm 129 */
						obj_t BgL_classz00_5116;

						BgL_classz00_5116 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 129 */
							obj_t BgL__ortest_1090z00_5117;

							{	/* Ast/node.scm 129 */
								obj_t BgL_vectorz00_5118;
								int BgL_kz00_5119;

								BgL_vectorz00_5118 = BgL_classz00_5116;
								BgL_kz00_5119 = (int) (((long) 17));
								BgL__ortest_1090z00_5117 =
									VECTOR_REF(BgL_vectorz00_5118, BgL_kz00_5119);
							}
							if (CBOOL(BgL__ortest_1090z00_5117))
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14839 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5117);
								}
							else
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14839 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5116));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1194z00_2534)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14839), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1194z00_2534)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1194z00_2534)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1194z00_2534)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1194z00_2534)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1194z00_2534)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14859;

					{	/* Ast/node.scm 129 */
						obj_t BgL_classz00_5120;

						BgL_classz00_5120 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 129 */
							obj_t BgL__ortest_1090z00_5121;

							{	/* Ast/node.scm 129 */
								obj_t BgL_vectorz00_5122;
								int BgL_kz00_5123;

								BgL_vectorz00_5122 = BgL_classz00_5120;
								BgL_kz00_5123 = (int) (((long) 17));
								BgL__ortest_1090z00_5121 =
									VECTOR_REF(BgL_vectorz00_5122, BgL_kz00_5123);
							}
							if (CBOOL(BgL__ortest_1090z00_5121))
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14859 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5121);
								}
							else
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14859 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5120));
								}
						}
					}
					((((BgL_wideningz00_bglt) CREF(BgL_new1194z00_2534))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14859), BUNSPEC);
				}
				return BgL_new1194z00_2534;
			}
		}
	}



/* &lambda2757 */
	BgL_wideningz00_bglt BGl_z62lambda2757z62zzast_nodez00(obj_t BgL_envz00_7685)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{

				{	/* Ast/node.scm 129 */
					BgL_wideningz00_bglt BgL_new1193z00_2532;

					BgL_new1193z00_2532 =
						((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 129 */
						long BgL_arg2758z00_2533;

						{	/* Ast/node.scm 129 */
							long BgL_res3283z00_5113;

							{	/* Ast/node.scm 129 */
								obj_t BgL_classz00_5110;

								BgL_classz00_5110 = BGl_wideningz00zzast_nodez00;
								{	/* Ast/node.scm 129 */
									obj_t BgL_vectorz00_5111;
									int BgL_kz00_5112;

									BgL_vectorz00_5111 = BgL_classz00_5110;
									BgL_kz00_5112 = (int) (((long) 1));
									BgL_res3283z00_5113 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5111, BgL_kz00_5112));
							}}
							BgL_arg2758z00_2533 = BgL_res3283z00_5113;
						}
						{	/* Ast/node.scm 129 */
							BgL_objectz00_bglt BgL_objz00_5114;

							BgL_objz00_5114 = ((BgL_objectz00_bglt) BgL_new1193z00_2532);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5114, BgL_arg2758z00_2533);
					}}
					{	/* Ast/node.scm 129 */
						BgL_objectz00_bglt BgL_auxz00_14875;

						BgL_auxz00_14875 = ((BgL_objectz00_bglt) BgL_new1193z00_2532);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14875, BFALSE);
					}
					return BgL_new1193z00_2532;
				}
			}
		}
	}



/* &lambda2755 */
	BgL_wideningz00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t BgL_envz00_7686,
		obj_t BgL_loc1185z00_7687, obj_t BgL_type1186z00_7688,
		obj_t BgL_sidezd2effect1187zd2_7689, obj_t BgL_key1188z00_7690,
		obj_t BgL_exprza21189za2_7691, obj_t BgL_effect1190z00_7692,
		obj_t BgL_czd2format1191zd2_7693, obj_t BgL_otype1192z00_7694)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{
				obj_t BgL_loc1185z00_2519;
				BgL_typez00_bglt BgL_type1186z00_2520;
				obj_t BgL_sidezd2effect1187zd2_2521;
				obj_t BgL_key1188z00_2522;
				obj_t BgL_exprza21189za2_2523;
				obj_t BgL_effect1190z00_2524;
				obj_t BgL_czd2format1191zd2_2525;
				BgL_typez00_bglt BgL_otype1192z00_2526;

				BgL_loc1185z00_2519 = BgL_loc1185z00_7687;
				BgL_type1186z00_2520 = ((BgL_typez00_bglt) BgL_type1186z00_7688);
				BgL_sidezd2effect1187zd2_2521 = BgL_sidezd2effect1187zd2_7689;
				BgL_key1188z00_2522 = BgL_key1188z00_7690;
				BgL_exprza21189za2_2523 = BgL_exprza21189za2_7691;
				BgL_effect1190z00_2524 = BgL_effect1190z00_7692;
				BgL_czd2format1191zd2_2525 = BgL_czd2format1191zd2_7693;
				BgL_otype1192z00_2526 = ((BgL_typez00_bglt) BgL_otype1192z00_7694);
				{	/* Ast/node.scm 129 */
					BgL_wideningz00_bglt BgL_new1945z00_2528;

					{	/* Ast/node.scm 129 */
						BgL_wideningz00_bglt BgL_new1944z00_2529;

						BgL_new1944z00_2529 =
							((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_wideningz00_bgl))));
						{	/* Ast/node.scm 129 */
							long BgL_arg2756z00_2530;

							{	/* Ast/node.scm 129 */
								long BgL_res3282z00_5107;

								{	/* Ast/node.scm 129 */
									obj_t BgL_classz00_5104;

									BgL_classz00_5104 = BGl_wideningz00zzast_nodez00;
									{	/* Ast/node.scm 129 */
										obj_t BgL_vectorz00_5105;
										int BgL_kz00_5106;

										BgL_vectorz00_5105 = BgL_classz00_5104;
										BgL_kz00_5106 = (int) (((long) 1));
										BgL_res3282z00_5107 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5105,
												BgL_kz00_5106));
								}}
								BgL_arg2756z00_2530 = BgL_res3282z00_5107;
							}
							{	/* Ast/node.scm 129 */
								BgL_objectz00_bglt BgL_objz00_5108;

								BgL_objz00_5108 = ((BgL_objectz00_bglt) BgL_new1944z00_2529);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5108, BgL_arg2756z00_2530);
						}}
						{	/* Ast/node.scm 129 */
							BgL_objectz00_bglt BgL_auxz00_14884;

							BgL_auxz00_14884 = ((BgL_objectz00_bglt) BgL_new1944z00_2529);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14884, BFALSE);
						}
						BgL_new1945z00_2528 = BgL_new1944z00_2529;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1945z00_2528)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2519), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1945z00_2528)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1186z00_2520), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1945z00_2528)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1187zd2_2521), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1945z00_2528)))->BgL_keyz00) =
						((obj_t) BgL_key1188z00_2522), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1945z00_2528)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21189za2_2523), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1945z00_2528)))->BgL_effectz00) =
						((obj_t) BgL_effect1190z00_2524), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1945z00_2528)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1191zd2_2525), BUNSPEC);
					((((BgL_wideningz00_bglt) CREF(BgL_new1945z00_2528))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1192z00_2526), BUNSPEC);
					return BgL_new1945z00_2528;
				}
			}
		}
	}



/* &lambda2764 */
	obj_t BGl_z62lambda2764z62zzast_nodez00(obj_t BgL_envz00_7695,
		obj_t BgL_oz00_7696, obj_t BgL_vz00_7697)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{	/* Ast/node.scm 129 */
				BgL_wideningz00_bglt BgL_oz00_9454;
				BgL_typez00_bglt BgL_vz00_9455;

				BgL_oz00_9454 = ((BgL_wideningz00_bglt) BgL_oz00_7696);
				BgL_vz00_9455 = ((BgL_typez00_bglt) BgL_vz00_7697);
				return
					((((BgL_wideningz00_bglt) CREF(BgL_oz00_9454))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9455), BUNSPEC);
			}
		}
	}



/* &lambda2763 */
	BgL_typez00_bglt BGl_z62lambda2763z62zzast_nodez00(obj_t BgL_envz00_7698,
		obj_t BgL_oz00_7699)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			return
				(((BgL_wideningz00_bglt) CREF(
						((BgL_wideningz00_bglt) BgL_oz00_7699)))->BgL_otypez00);
		}
	}



/* &<anonymous:2734> */
	BgL_setfieldz00_bglt BGl_z62zc3anonymousza32734ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7700, obj_t BgL_new1183z00_7701)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{
				BgL_setfieldz00_bglt BgL_new1183z00_2471;

				BgL_new1183z00_2471 = ((BgL_setfieldz00_bglt) BgL_new1183z00_7701);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1183z00_2471)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14911;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5087;

						BgL_classz00_5087 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1090z00_5088;

							{	/* Ast/node.scm 119 */
								obj_t BgL_vectorz00_5089;
								int BgL_kz00_5090;

								BgL_vectorz00_5089 = BgL_classz00_5087;
								BgL_kz00_5090 = (int) (((long) 17));
								BgL__ortest_1090z00_5088 =
									VECTOR_REF(BgL_vectorz00_5089, BgL_kz00_5090);
							}
							if (CBOOL(BgL__ortest_1090z00_5088))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14911 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5088);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14911 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5087));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1183z00_2471)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14911), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1183z00_2471)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1183z00_2471)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1183z00_2471)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1183z00_2471)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1183z00_2471)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2471))->BgL_fnamez00) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14932;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5091;

						BgL_classz00_5091 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1090z00_5092;

							{	/* Ast/node.scm 119 */
								obj_t BgL_vectorz00_5093;
								int BgL_kz00_5094;

								BgL_vectorz00_5093 = BgL_classz00_5091;
								BgL_kz00_5094 = (int) (((long) 17));
								BgL__ortest_1090z00_5092 =
									VECTOR_REF(BgL_vectorz00_5093, BgL_kz00_5094);
							}
							if (CBOOL(BgL__ortest_1090z00_5092))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14932 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5092);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14932 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5091));
								}
						}
					}
					((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2471))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14932), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14941;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5095;

						BgL_classz00_5095 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1090z00_5096;

							{	/* Ast/node.scm 119 */
								obj_t BgL_vectorz00_5097;
								int BgL_kz00_5098;

								BgL_vectorz00_5097 = BgL_classz00_5095;
								BgL_kz00_5098 = (int) (((long) 17));
								BgL__ortest_1090z00_5096 =
									VECTOR_REF(BgL_vectorz00_5097, BgL_kz00_5098);
							}
							if (CBOOL(BgL__ortest_1090z00_5096))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14941 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5096);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14941 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5095));
								}
						}
					}
					((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2471))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14941), BUNSPEC);
				}
				return BgL_new1183z00_2471;
			}
		}
	}



/* &lambda2732 */
	BgL_setfieldz00_bglt BGl_z62lambda2732z62zzast_nodez00(obj_t BgL_envz00_7702)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{

				{	/* Ast/node.scm 119 */
					BgL_setfieldz00_bglt BgL_new1182z00_2469;

					BgL_new1182z00_2469 =
						((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 119 */
						long BgL_arg2733z00_2470;

						{	/* Ast/node.scm 119 */
							long BgL_res3281z00_5084;

							{	/* Ast/node.scm 119 */
								obj_t BgL_classz00_5081;

								BgL_classz00_5081 = BGl_setfieldz00zzast_nodez00;
								{	/* Ast/node.scm 119 */
									obj_t BgL_vectorz00_5082;
									int BgL_kz00_5083;

									BgL_vectorz00_5082 = BgL_classz00_5081;
									BgL_kz00_5083 = (int) (((long) 1));
									BgL_res3281z00_5084 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5082, BgL_kz00_5083));
							}}
							BgL_arg2733z00_2470 = BgL_res3281z00_5084;
						}
						{	/* Ast/node.scm 119 */
							BgL_objectz00_bglt BgL_objz00_5085;

							BgL_objz00_5085 = ((BgL_objectz00_bglt) BgL_new1182z00_2469);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5085, BgL_arg2733z00_2470);
					}}
					{	/* Ast/node.scm 119 */
						BgL_objectz00_bglt BgL_auxz00_14957;

						BgL_auxz00_14957 = ((BgL_objectz00_bglt) BgL_new1182z00_2469);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14957, BFALSE);
					}
					return BgL_new1182z00_2469;
				}
			}
		}
	}



/* &lambda2730 */
	BgL_setfieldz00_bglt BGl_z62lambda2730z62zzast_nodez00(obj_t BgL_envz00_7703,
		obj_t BgL_loc1172z00_7704, obj_t BgL_type1173z00_7705,
		obj_t BgL_sidezd2effect1174zd2_7706, obj_t BgL_key1175z00_7707,
		obj_t BgL_exprza21176za2_7708, obj_t BgL_effect1177z00_7709,
		obj_t BgL_czd2format1178zd2_7710, obj_t BgL_fname1179z00_7711,
		obj_t BgL_ftype1180z00_7712, obj_t BgL_otype1181z00_7713)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{
				obj_t BgL_loc1172z00_2454;
				BgL_typez00_bglt BgL_type1173z00_2455;
				obj_t BgL_sidezd2effect1174zd2_2456;
				obj_t BgL_key1175z00_2457;
				obj_t BgL_exprza21176za2_2458;
				obj_t BgL_effect1177z00_2459;
				obj_t BgL_czd2format1178zd2_2460;
				obj_t BgL_fname1179z00_2461;
				BgL_typez00_bglt BgL_ftype1180z00_2462;
				BgL_typez00_bglt BgL_otype1181z00_2463;

				BgL_loc1172z00_2454 = BgL_loc1172z00_7704;
				BgL_type1173z00_2455 = ((BgL_typez00_bglt) BgL_type1173z00_7705);
				BgL_sidezd2effect1174zd2_2456 = BgL_sidezd2effect1174zd2_7706;
				BgL_key1175z00_2457 = BgL_key1175z00_7707;
				BgL_exprza21176za2_2458 = BgL_exprza21176za2_7708;
				BgL_effect1177z00_2459 = BgL_effect1177z00_7709;
				BgL_czd2format1178zd2_2460 = BgL_czd2format1178zd2_7710;
				BgL_fname1179z00_2461 = BgL_fname1179z00_7711;
				BgL_ftype1180z00_2462 = ((BgL_typez00_bglt) BgL_ftype1180z00_7712);
				BgL_otype1181z00_2463 = ((BgL_typez00_bglt) BgL_otype1181z00_7713);
				{	/* Ast/node.scm 119 */
					BgL_setfieldz00_bglt BgL_new1937z00_5072;

					{	/* Ast/node.scm 119 */
						BgL_setfieldz00_bglt BgL_new1936z00_5073;

						BgL_new1936z00_5073 =
							((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setfieldz00_bgl))));
						{	/* Ast/node.scm 119 */
							long BgL_arg2731z00_5074;

							{	/* Ast/node.scm 119 */
								long BgL_res3280z00_5078;

								{	/* Ast/node.scm 119 */
									obj_t BgL_classz00_5075;

									BgL_classz00_5075 = BGl_setfieldz00zzast_nodez00;
									{	/* Ast/node.scm 119 */
										obj_t BgL_vectorz00_5076;
										int BgL_kz00_5077;

										BgL_vectorz00_5076 = BgL_classz00_5075;
										BgL_kz00_5077 = (int) (((long) 1));
										BgL_res3280z00_5078 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5076,
												BgL_kz00_5077));
								}}
								BgL_arg2731z00_5074 = BgL_res3280z00_5078;
							}
							{	/* Ast/node.scm 119 */
								BgL_objectz00_bglt BgL_objz00_5079;

								BgL_objz00_5079 = ((BgL_objectz00_bglt) BgL_new1936z00_5073);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5079, BgL_arg2731z00_5074);
						}}
						{	/* Ast/node.scm 119 */
							BgL_objectz00_bglt BgL_auxz00_14966;

							BgL_auxz00_14966 = ((BgL_objectz00_bglt) BgL_new1936z00_5073);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14966, BFALSE);
						}
						BgL_new1937z00_5072 = BgL_new1936z00_5073;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1937z00_5072)))->BgL_locz00) =
						((obj_t) BgL_loc1172z00_2454), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1937z00_5072)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1173z00_2455), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1937z00_5072)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1174zd2_2456), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1937z00_5072)))->BgL_keyz00) =
						((obj_t) BgL_key1175z00_2457), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1937z00_5072)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21176za2_2458), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1937z00_5072)))->BgL_effectz00) =
						((obj_t) BgL_effect1177z00_2459), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1937z00_5072)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1178zd2_2460), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1937z00_5072))->BgL_fnamez00) =
						((obj_t) BgL_fname1179z00_2461), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1937z00_5072))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1180z00_2462), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1937z00_5072))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1181z00_2463), BUNSPEC);
					return BgL_new1937z00_5072;
				}
			}
		}
	}



/* &lambda2749 */
	obj_t BGl_z62lambda2749z62zzast_nodez00(obj_t BgL_envz00_7714,
		obj_t BgL_oz00_7715, obj_t BgL_vz00_7716)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				BgL_setfieldz00_bglt BgL_oz00_9457;
				obj_t BgL_vz00_9458;

				BgL_oz00_9457 = ((BgL_setfieldz00_bglt) BgL_oz00_7715);
				BgL_vz00_9458 = BgL_vz00_7716;
				return
					((((BgL_setfieldz00_bglt) CREF(BgL_oz00_9457))->BgL_fnamez00) =
					((obj_t) BgL_vz00_9458), BUNSPEC);
			}
		}
	}



/* &lambda2748 */
	obj_t BGl_z62lambda2748z62zzast_nodez00(obj_t BgL_envz00_7717,
		obj_t BgL_oz00_7718)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7718)))->BgL_fnamez00);
		}
	}



/* &lambda2744 */
	obj_t BGl_z62lambda2744z62zzast_nodez00(obj_t BgL_envz00_7719,
		obj_t BgL_oz00_7720, obj_t BgL_vz00_7721)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				BgL_setfieldz00_bglt BgL_oz00_9460;
				BgL_typez00_bglt BgL_vz00_9461;

				BgL_oz00_9460 = ((BgL_setfieldz00_bglt) BgL_oz00_7720);
				BgL_vz00_9461 = ((BgL_typez00_bglt) BgL_vz00_7721);
				return
					((((BgL_setfieldz00_bglt) CREF(BgL_oz00_9460))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_9461), BUNSPEC);
			}
		}
	}



/* &lambda2743 */
	BgL_typez00_bglt BGl_z62lambda2743z62zzast_nodez00(obj_t BgL_envz00_7722,
		obj_t BgL_oz00_7723)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7723)))->BgL_ftypez00);
		}
	}



/* &lambda2739 */
	obj_t BGl_z62lambda2739z62zzast_nodez00(obj_t BgL_envz00_7724,
		obj_t BgL_oz00_7725, obj_t BgL_vz00_7726)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				BgL_setfieldz00_bglt BgL_oz00_9463;
				BgL_typez00_bglt BgL_vz00_9464;

				BgL_oz00_9463 = ((BgL_setfieldz00_bglt) BgL_oz00_7725);
				BgL_vz00_9464 = ((BgL_typez00_bglt) BgL_vz00_7726);
				return
					((((BgL_setfieldz00_bglt) CREF(BgL_oz00_9463))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9464), BUNSPEC);
			}
		}
	}



/* &lambda2738 */
	BgL_typez00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t BgL_envz00_7727,
		obj_t BgL_oz00_7728)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7728)))->BgL_otypez00);
		}
	}



/* &<anonymous:2709> */
	BgL_getfieldz00_bglt BGl_z62zc3anonymousza32709ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7729, obj_t BgL_new1170z00_7730)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{
				BgL_getfieldz00_bglt BgL_new1170z00_2406;

				BgL_new1170z00_2406 = ((BgL_getfieldz00_bglt) BgL_new1170z00_7730);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1170z00_2406)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15005;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5045;

						BgL_classz00_5045 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1090z00_5046;

							{	/* Ast/node.scm 110 */
								obj_t BgL_vectorz00_5047;
								int BgL_kz00_5048;

								BgL_vectorz00_5047 = BgL_classz00_5045;
								BgL_kz00_5048 = (int) (((long) 17));
								BgL__ortest_1090z00_5046 =
									VECTOR_REF(BgL_vectorz00_5047, BgL_kz00_5048);
							}
							if (CBOOL(BgL__ortest_1090z00_5046))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15005 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5046);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15005 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5045));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1170z00_2406)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15005), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1170z00_2406)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1170z00_2406)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1170z00_2406)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1170z00_2406)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1170z00_2406)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2406))->BgL_fnamez00) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15026;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5049;

						BgL_classz00_5049 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1090z00_5050;

							{	/* Ast/node.scm 110 */
								obj_t BgL_vectorz00_5051;
								int BgL_kz00_5052;

								BgL_vectorz00_5051 = BgL_classz00_5049;
								BgL_kz00_5052 = (int) (((long) 17));
								BgL__ortest_1090z00_5050 =
									VECTOR_REF(BgL_vectorz00_5051, BgL_kz00_5052);
							}
							if (CBOOL(BgL__ortest_1090z00_5050))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15026 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5050);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15026 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5049));
								}
						}
					}
					((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2406))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15026), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15035;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5053;

						BgL_classz00_5053 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1090z00_5054;

							{	/* Ast/node.scm 110 */
								obj_t BgL_vectorz00_5055;
								int BgL_kz00_5056;

								BgL_vectorz00_5055 = BgL_classz00_5053;
								BgL_kz00_5056 = (int) (((long) 17));
								BgL__ortest_1090z00_5054 =
									VECTOR_REF(BgL_vectorz00_5055, BgL_kz00_5056);
							}
							if (CBOOL(BgL__ortest_1090z00_5054))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15035 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5054);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15035 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5053));
								}
						}
					}
					((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2406))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15035), BUNSPEC);
				}
				return BgL_new1170z00_2406;
			}
		}
	}



/* &lambda2707 */
	BgL_getfieldz00_bglt BGl_z62lambda2707z62zzast_nodez00(obj_t BgL_envz00_7731)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{

				{	/* Ast/node.scm 110 */
					BgL_getfieldz00_bglt BgL_new1169z00_2404;

					BgL_new1169z00_2404 =
						((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 110 */
						long BgL_arg2708z00_2405;

						{	/* Ast/node.scm 110 */
							long BgL_res3279z00_5042;

							{	/* Ast/node.scm 110 */
								obj_t BgL_classz00_5039;

								BgL_classz00_5039 = BGl_getfieldz00zzast_nodez00;
								{	/* Ast/node.scm 110 */
									obj_t BgL_vectorz00_5040;
									int BgL_kz00_5041;

									BgL_vectorz00_5040 = BgL_classz00_5039;
									BgL_kz00_5041 = (int) (((long) 1));
									BgL_res3279z00_5042 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5040, BgL_kz00_5041));
							}}
							BgL_arg2708z00_2405 = BgL_res3279z00_5042;
						}
						{	/* Ast/node.scm 110 */
							BgL_objectz00_bglt BgL_objz00_5043;

							BgL_objz00_5043 = ((BgL_objectz00_bglt) BgL_new1169z00_2404);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5043, BgL_arg2708z00_2405);
					}}
					{	/* Ast/node.scm 110 */
						BgL_objectz00_bglt BgL_auxz00_15051;

						BgL_auxz00_15051 = ((BgL_objectz00_bglt) BgL_new1169z00_2404);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15051, BFALSE);
					}
					return BgL_new1169z00_2404;
				}
			}
		}
	}



/* &lambda2705 */
	BgL_getfieldz00_bglt BGl_z62lambda2705z62zzast_nodez00(obj_t BgL_envz00_7732,
		obj_t BgL_loc1159z00_7733, obj_t BgL_type1160z00_7734,
		obj_t BgL_sidezd2effect1161zd2_7735, obj_t BgL_key1162z00_7736,
		obj_t BgL_exprza21163za2_7737, obj_t BgL_effect1164z00_7738,
		obj_t BgL_czd2format1165zd2_7739, obj_t BgL_fname1166z00_7740,
		obj_t BgL_ftype1167z00_7741, obj_t BgL_otype1168z00_7742)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{
				obj_t BgL_loc1159z00_2389;
				BgL_typez00_bglt BgL_type1160z00_2390;
				obj_t BgL_sidezd2effect1161zd2_2391;
				obj_t BgL_key1162z00_2392;
				obj_t BgL_exprza21163za2_2393;
				obj_t BgL_effect1164z00_2394;
				obj_t BgL_czd2format1165zd2_2395;
				obj_t BgL_fname1166z00_2396;
				BgL_typez00_bglt BgL_ftype1167z00_2397;
				BgL_typez00_bglt BgL_otype1168z00_2398;

				BgL_loc1159z00_2389 = BgL_loc1159z00_7733;
				BgL_type1160z00_2390 = ((BgL_typez00_bglt) BgL_type1160z00_7734);
				BgL_sidezd2effect1161zd2_2391 = BgL_sidezd2effect1161zd2_7735;
				BgL_key1162z00_2392 = BgL_key1162z00_7736;
				BgL_exprza21163za2_2393 = BgL_exprza21163za2_7737;
				BgL_effect1164z00_2394 = BgL_effect1164z00_7738;
				BgL_czd2format1165zd2_2395 = BgL_czd2format1165zd2_7739;
				BgL_fname1166z00_2396 = BgL_fname1166z00_7740;
				BgL_ftype1167z00_2397 = ((BgL_typez00_bglt) BgL_ftype1167z00_7741);
				BgL_otype1168z00_2398 = ((BgL_typez00_bglt) BgL_otype1168z00_7742);
				{	/* Ast/node.scm 110 */
					BgL_getfieldz00_bglt BgL_new1929z00_5030;

					{	/* Ast/node.scm 110 */
						BgL_getfieldz00_bglt BgL_new1928z00_5031;

						BgL_new1928z00_5031 =
							((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_getfieldz00_bgl))));
						{	/* Ast/node.scm 110 */
							long BgL_arg2706z00_5032;

							{	/* Ast/node.scm 110 */
								long BgL_res3278z00_5036;

								{	/* Ast/node.scm 110 */
									obj_t BgL_classz00_5033;

									BgL_classz00_5033 = BGl_getfieldz00zzast_nodez00;
									{	/* Ast/node.scm 110 */
										obj_t BgL_vectorz00_5034;
										int BgL_kz00_5035;

										BgL_vectorz00_5034 = BgL_classz00_5033;
										BgL_kz00_5035 = (int) (((long) 1));
										BgL_res3278z00_5036 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5034,
												BgL_kz00_5035));
								}}
								BgL_arg2706z00_5032 = BgL_res3278z00_5036;
							}
							{	/* Ast/node.scm 110 */
								BgL_objectz00_bglt BgL_objz00_5037;

								BgL_objz00_5037 = ((BgL_objectz00_bglt) BgL_new1928z00_5031);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5037, BgL_arg2706z00_5032);
						}}
						{	/* Ast/node.scm 110 */
							BgL_objectz00_bglt BgL_auxz00_15060;

							BgL_auxz00_15060 = ((BgL_objectz00_bglt) BgL_new1928z00_5031);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15060, BFALSE);
						}
						BgL_new1929z00_5030 = BgL_new1928z00_5031;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1929z00_5030)))->BgL_locz00) =
						((obj_t) BgL_loc1159z00_2389), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1929z00_5030)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1160z00_2390), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1929z00_5030)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1161zd2_2391), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1929z00_5030)))->BgL_keyz00) =
						((obj_t) BgL_key1162z00_2392), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1929z00_5030)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21163za2_2393), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1929z00_5030)))->BgL_effectz00) =
						((obj_t) BgL_effect1164z00_2394), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1929z00_5030)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1165zd2_2395), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1929z00_5030))->BgL_fnamez00) =
						((obj_t) BgL_fname1166z00_2396), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1929z00_5030))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1167z00_2397), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1929z00_5030))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1168z00_2398), BUNSPEC);
					return BgL_new1929z00_5030;
				}
			}
		}
	}



/* &lambda2724 */
	obj_t BGl_z62lambda2724z62zzast_nodez00(obj_t BgL_envz00_7743,
		obj_t BgL_oz00_7744, obj_t BgL_vz00_7745)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{	/* Ast/node.scm 110 */
				BgL_getfieldz00_bglt BgL_oz00_9466;
				obj_t BgL_vz00_9467;

				BgL_oz00_9466 = ((BgL_getfieldz00_bglt) BgL_oz00_7744);
				BgL_vz00_9467 = BgL_vz00_7745;
				return
					((((BgL_getfieldz00_bglt) CREF(BgL_oz00_9466))->BgL_fnamez00) =
					((obj_t) BgL_vz00_9467), BUNSPEC);
			}
		}
	}



/* &lambda2723 */
	obj_t BGl_z62lambda2723z62zzast_nodez00(obj_t BgL_envz00_7746,
		obj_t BgL_oz00_7747)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7747)))->BgL_fnamez00);
		}
	}



/* &lambda2719 */
	obj_t BGl_z62lambda2719z62zzast_nodez00(obj_t BgL_envz00_7748,
		obj_t BgL_oz00_7749, obj_t BgL_vz00_7750)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{	/* Ast/node.scm 110 */
				BgL_getfieldz00_bglt BgL_oz00_9469;
				BgL_typez00_bglt BgL_vz00_9470;

				BgL_oz00_9469 = ((BgL_getfieldz00_bglt) BgL_oz00_7749);
				BgL_vz00_9470 = ((BgL_typez00_bglt) BgL_vz00_7750);
				return
					((((BgL_getfieldz00_bglt) CREF(BgL_oz00_9469))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_vz00_9470), BUNSPEC);
			}
		}
	}



/* &lambda2718 */
	BgL_typez00_bglt BGl_z62lambda2718z62zzast_nodez00(obj_t BgL_envz00_7751,
		obj_t BgL_oz00_7752)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7752)))->BgL_ftypez00);
		}
	}



/* &lambda2714 */
	obj_t BGl_z62lambda2714z62zzast_nodez00(obj_t BgL_envz00_7753,
		obj_t BgL_oz00_7754, obj_t BgL_vz00_7755)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{	/* Ast/node.scm 110 */
				BgL_getfieldz00_bglt BgL_oz00_9472;
				BgL_typez00_bglt BgL_vz00_9473;

				BgL_oz00_9472 = ((BgL_getfieldz00_bglt) BgL_oz00_7754);
				BgL_vz00_9473 = ((BgL_typez00_bglt) BgL_vz00_7755);
				return
					((((BgL_getfieldz00_bglt) CREF(BgL_oz00_9472))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_vz00_9473), BUNSPEC);
			}
		}
	}



/* &lambda2713 */
	BgL_typez00_bglt BGl_z62lambda2713z62zzast_nodez00(obj_t BgL_envz00_7756,
		obj_t BgL_oz00_7757)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7757)))->BgL_otypez00);
		}
	}



/* &<anonymous:2693> */
	BgL_privatez00_bglt BGl_z62zc3anonymousza32693ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7758, obj_t BgL_new1157z00_7759)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{
				BgL_privatez00_bglt BgL_new1157z00_2365;

				BgL_new1157z00_2365 = ((BgL_privatez00_bglt) BgL_new1157z00_7759);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1157z00_2365)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15099;

					{	/* Ast/node.scm 106 */
						obj_t BgL_classz00_5011;

						BgL_classz00_5011 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 106 */
							obj_t BgL__ortest_1090z00_5012;

							{	/* Ast/node.scm 106 */
								obj_t BgL_vectorz00_5013;
								int BgL_kz00_5014;

								BgL_vectorz00_5013 = BgL_classz00_5011;
								BgL_kz00_5014 = (int) (((long) 17));
								BgL__ortest_1090z00_5012 =
									VECTOR_REF(BgL_vectorz00_5013, BgL_kz00_5014);
							}
							if (CBOOL(BgL__ortest_1090z00_5012))
								{	/* Ast/node.scm 106 */
									BgL_auxz00_15099 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_5012);
								}
							else
								{	/* Ast/node.scm 106 */
									BgL_auxz00_15099 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5011));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1157z00_2365)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15099), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1157z00_2365)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1157z00_2365)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1157z00_2365)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1157z00_2365)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(BgL_new1157z00_2365))->
						BgL_czd2formatzd2) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				return BgL_new1157z00_2365;
			}
		}
	}



/* &lambda2690 */
	BgL_privatez00_bglt BGl_z62lambda2690z62zzast_nodez00(obj_t BgL_envz00_7760)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{

				{	/* Ast/node.scm 106 */
					BgL_privatez00_bglt BgL_new1156z00_2363;

					BgL_new1156z00_2363 =
						((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 106 */
						long BgL_arg2692z00_2364;

						{	/* Ast/node.scm 106 */
							long BgL_res3277z00_5008;

							{	/* Ast/node.scm 106 */
								obj_t BgL_classz00_5005;

								BgL_classz00_5005 = BGl_privatez00zzast_nodez00;
								{	/* Ast/node.scm 106 */
									obj_t BgL_vectorz00_5006;
									int BgL_kz00_5007;

									BgL_vectorz00_5006 = BgL_classz00_5005;
									BgL_kz00_5007 = (int) (((long) 1));
									BgL_res3277z00_5008 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_5006, BgL_kz00_5007));
							}}
							BgL_arg2692z00_2364 = BgL_res3277z00_5008;
						}
						{	/* Ast/node.scm 106 */
							BgL_objectz00_bglt BgL_objz00_5009;

							BgL_objz00_5009 = ((BgL_objectz00_bglt) BgL_new1156z00_2363);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5009, BgL_arg2692z00_2364);
					}}
					{	/* Ast/node.scm 106 */
						BgL_objectz00_bglt BgL_auxz00_15125;

						BgL_auxz00_15125 = ((BgL_objectz00_bglt) BgL_new1156z00_2363);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15125, BFALSE);
					}
					return BgL_new1156z00_2363;
				}
			}
		}
	}



/* &lambda2688 */
	BgL_privatez00_bglt BGl_z62lambda2688z62zzast_nodez00(obj_t BgL_envz00_7761,
		obj_t BgL_loc1149z00_7762, obj_t BgL_type1150z00_7763,
		obj_t BgL_sidezd2effect1151zd2_7764, obj_t BgL_key1152z00_7765,
		obj_t BgL_exprza21153za2_7766, obj_t BgL_effect1154z00_7767,
		obj_t BgL_czd2format1155zd2_7768)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{
				obj_t BgL_loc1149z00_2351;
				BgL_typez00_bglt BgL_type1150z00_2352;
				obj_t BgL_sidezd2effect1151zd2_2353;
				obj_t BgL_key1152z00_2354;
				obj_t BgL_exprza21153za2_2355;
				obj_t BgL_effect1154z00_2356;
				obj_t BgL_czd2format1155zd2_2357;

				BgL_loc1149z00_2351 = BgL_loc1149z00_7762;
				BgL_type1150z00_2352 = ((BgL_typez00_bglt) BgL_type1150z00_7763);
				BgL_sidezd2effect1151zd2_2353 = BgL_sidezd2effect1151zd2_7764;
				BgL_key1152z00_2354 = BgL_key1152z00_7765;
				BgL_exprza21153za2_2355 = BgL_exprza21153za2_7766;
				BgL_effect1154z00_2356 = BgL_effect1154z00_7767;
				BgL_czd2format1155zd2_2357 = BgL_czd2format1155zd2_7768;
				{	/* Ast/node.scm 106 */
					BgL_privatez00_bglt BgL_new1925z00_2359;

					{	/* Ast/node.scm 106 */
						BgL_privatez00_bglt BgL_new1924z00_2360;

						BgL_new1924z00_2360 =
							((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_privatez00_bgl))));
						{	/* Ast/node.scm 106 */
							long BgL_arg2689z00_2361;

							{	/* Ast/node.scm 106 */
								long BgL_res3276z00_5002;

								{	/* Ast/node.scm 106 */
									obj_t BgL_classz00_4999;

									BgL_classz00_4999 = BGl_privatez00zzast_nodez00;
									{	/* Ast/node.scm 106 */
										obj_t BgL_vectorz00_5000;
										int BgL_kz00_5001;

										BgL_vectorz00_5000 = BgL_classz00_4999;
										BgL_kz00_5001 = (int) (((long) 1));
										BgL_res3276z00_5002 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_5000,
												BgL_kz00_5001));
								}}
								BgL_arg2689z00_2361 = BgL_res3276z00_5002;
							}
							{	/* Ast/node.scm 106 */
								BgL_objectz00_bglt BgL_objz00_5003;

								BgL_objz00_5003 = ((BgL_objectz00_bglt) BgL_new1924z00_2360);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5003, BgL_arg2689z00_2361);
						}}
						{	/* Ast/node.scm 106 */
							BgL_objectz00_bglt BgL_auxz00_15134;

							BgL_auxz00_15134 = ((BgL_objectz00_bglt) BgL_new1924z00_2360);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15134, BFALSE);
						}
						BgL_new1925z00_2359 = BgL_new1924z00_2360;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1925z00_2359)))->BgL_locz00) =
						((obj_t) BgL_loc1149z00_2351), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1925z00_2359)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1150z00_2352), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1925z00_2359)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1151zd2_2353), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1925z00_2359)))->BgL_keyz00) =
						((obj_t) BgL_key1152z00_2354), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1925z00_2359)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21153za2_2355), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1925z00_2359)))->BgL_effectz00) =
						((obj_t) BgL_effect1154z00_2356), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(BgL_new1925z00_2359))->
							BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1155zd2_2357), BUNSPEC);
					return BgL_new1925z00_2359;
				}
			}
		}
	}



/* &lambda2698 */
	obj_t BGl_z62lambda2698z62zzast_nodez00(obj_t BgL_envz00_7769,
		obj_t BgL_oz00_7770, obj_t BgL_vz00_7771)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{	/* Ast/node.scm 106 */
				BgL_privatez00_bglt BgL_oz00_9475;
				obj_t BgL_vz00_9476;

				BgL_oz00_9475 = ((BgL_privatez00_bglt) BgL_oz00_7770);
				BgL_vz00_9476 = BgL_vz00_7771;
				return
					((((BgL_privatez00_bglt) CREF(BgL_oz00_9475))->BgL_czd2formatzd2) =
					((obj_t) BgL_vz00_9476), BUNSPEC);
			}
		}
	}



/* &lambda2697 */
	obj_t BGl_z62lambda2697z62zzast_nodez00(obj_t BgL_envz00_7772,
		obj_t BgL_oz00_7773)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_7773)))->BgL_czd2formatzd2);
		}
	}



/* &<anonymous:2676> */
	BgL_pragmaz00_bglt BGl_z62zc3anonymousza32676ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7774, obj_t BgL_new1147z00_7775)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{
				BgL_pragmaz00_bglt BgL_new1147z00_2327;

				BgL_new1147z00_2327 = ((BgL_pragmaz00_bglt) BgL_new1147z00_7775);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1147z00_2327)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15157;

					{	/* Ast/node.scm 102 */
						obj_t BgL_classz00_4990;

						BgL_classz00_4990 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 102 */
							obj_t BgL__ortest_1090z00_4991;

							{	/* Ast/node.scm 102 */
								obj_t BgL_vectorz00_4992;
								int BgL_kz00_4993;

								BgL_vectorz00_4992 = BgL_classz00_4990;
								BgL_kz00_4993 = (int) (((long) 17));
								BgL__ortest_1090z00_4991 =
									VECTOR_REF(BgL_vectorz00_4992, BgL_kz00_4993);
							}
							if (CBOOL(BgL__ortest_1090z00_4991))
								{	/* Ast/node.scm 102 */
									BgL_auxz00_15157 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4991);
								}
							else
								{	/* Ast/node.scm 102 */
									BgL_auxz00_15157 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4990));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1147z00_2327)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15157), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1147z00_2327)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1147z00_2327)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1147z00_2327)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1147z00_2327)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) CREF(BgL_new1147z00_2327))->BgL_formatz00) =
					((obj_t) BGl_string3603z00zzast_nodez00), BUNSPEC);
				return BgL_new1147z00_2327;
			}
		}
	}



/* &lambda2674 */
	BgL_pragmaz00_bglt BGl_z62lambda2674z62zzast_nodez00(obj_t BgL_envz00_7776)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{

				{	/* Ast/node.scm 102 */
					BgL_pragmaz00_bglt BgL_new1146z00_2325;

					BgL_new1146z00_2325 =
						((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 102 */
						long BgL_arg2675z00_2326;

						{	/* Ast/node.scm 102 */
							long BgL_res3275z00_4987;

							{	/* Ast/node.scm 102 */
								obj_t BgL_classz00_4984;

								BgL_classz00_4984 = BGl_pragmaz00zzast_nodez00;
								{	/* Ast/node.scm 102 */
									obj_t BgL_vectorz00_4985;
									int BgL_kz00_4986;

									BgL_vectorz00_4985 = BgL_classz00_4984;
									BgL_kz00_4986 = (int) (((long) 1));
									BgL_res3275z00_4987 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4985, BgL_kz00_4986));
							}}
							BgL_arg2675z00_2326 = BgL_res3275z00_4987;
						}
						{	/* Ast/node.scm 102 */
							BgL_objectz00_bglt BgL_objz00_4988;

							BgL_objz00_4988 = ((BgL_objectz00_bglt) BgL_new1146z00_2325);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4988, BgL_arg2675z00_2326);
					}}
					{	/* Ast/node.scm 102 */
						BgL_objectz00_bglt BgL_auxz00_15183;

						BgL_auxz00_15183 = ((BgL_objectz00_bglt) BgL_new1146z00_2325);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15183, BFALSE);
					}
					return BgL_new1146z00_2325;
				}
			}
		}
	}



/* &lambda2672 */
	BgL_pragmaz00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t BgL_envz00_7777,
		obj_t BgL_loc1139z00_7778, obj_t BgL_type1140z00_7779,
		obj_t BgL_sidezd2effect1141zd2_7780, obj_t BgL_key1142z00_7781,
		obj_t BgL_exprza21143za2_7782, obj_t BgL_effect1144z00_7783,
		obj_t BgL_format1145z00_7784)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{
				obj_t BgL_loc1139z00_2313;
				BgL_typez00_bglt BgL_type1140z00_2314;
				obj_t BgL_sidezd2effect1141zd2_2315;
				obj_t BgL_key1142z00_2316;
				obj_t BgL_exprza21143za2_2317;
				obj_t BgL_effect1144z00_2318;
				obj_t BgL_format1145z00_2319;

				BgL_loc1139z00_2313 = BgL_loc1139z00_7778;
				BgL_type1140z00_2314 = ((BgL_typez00_bglt) BgL_type1140z00_7779);
				BgL_sidezd2effect1141zd2_2315 = BgL_sidezd2effect1141zd2_7780;
				BgL_key1142z00_2316 = BgL_key1142z00_7781;
				BgL_exprza21143za2_2317 = BgL_exprza21143za2_7782;
				BgL_effect1144z00_2318 = BgL_effect1144z00_7783;
				BgL_format1145z00_2319 = BgL_format1145z00_7784;
				{	/* Ast/node.scm 102 */
					BgL_pragmaz00_bglt BgL_new1921z00_2321;

					{	/* Ast/node.scm 102 */
						BgL_pragmaz00_bglt BgL_new1920z00_2322;

						BgL_new1920z00_2322 =
							((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_pragmaz00_bgl))));
						{	/* Ast/node.scm 102 */
							long BgL_arg2673z00_2323;

							{	/* Ast/node.scm 102 */
								long BgL_res3274z00_4981;

								{	/* Ast/node.scm 102 */
									obj_t BgL_classz00_4978;

									BgL_classz00_4978 = BGl_pragmaz00zzast_nodez00;
									{	/* Ast/node.scm 102 */
										obj_t BgL_vectorz00_4979;
										int BgL_kz00_4980;

										BgL_vectorz00_4979 = BgL_classz00_4978;
										BgL_kz00_4980 = (int) (((long) 1));
										BgL_res3274z00_4981 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4979,
												BgL_kz00_4980));
								}}
								BgL_arg2673z00_2323 = BgL_res3274z00_4981;
							}
							{	/* Ast/node.scm 102 */
								BgL_objectz00_bglt BgL_objz00_4982;

								BgL_objz00_4982 = ((BgL_objectz00_bglt) BgL_new1920z00_2322);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4982, BgL_arg2673z00_2323);
						}}
						{	/* Ast/node.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_15192;

							BgL_auxz00_15192 = ((BgL_objectz00_bglt) BgL_new1920z00_2322);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15192, BFALSE);
						}
						BgL_new1921z00_2321 = BgL_new1920z00_2322;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1921z00_2321)))->BgL_locz00) =
						((obj_t) BgL_loc1139z00_2313), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1921z00_2321)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1140z00_2314), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1921z00_2321)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1141zd2_2315), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1921z00_2321)))->BgL_keyz00) =
						((obj_t) BgL_key1142z00_2316), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1921z00_2321)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21143za2_2317), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1921z00_2321)))->BgL_effectz00) =
						((obj_t) BgL_effect1144z00_2318), BUNSPEC);
					((((BgL_pragmaz00_bglt) CREF(BgL_new1921z00_2321))->BgL_formatz00) =
						((obj_t) BgL_format1145z00_2319), BUNSPEC);
					return BgL_new1921z00_2321;
				}
			}
		}
	}



/* &lambda2681 */
	obj_t BGl_z62lambda2681z62zzast_nodez00(obj_t BgL_envz00_7785,
		obj_t BgL_oz00_7786, obj_t BgL_vz00_7787)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{	/* Ast/node.scm 102 */
				BgL_pragmaz00_bglt BgL_oz00_9478;
				obj_t BgL_vz00_9479;

				BgL_oz00_9478 = ((BgL_pragmaz00_bglt) BgL_oz00_7786);
				BgL_vz00_9479 = BgL_vz00_7787;
				return
					((((BgL_pragmaz00_bglt) CREF(BgL_oz00_9478))->BgL_formatz00) =
					((obj_t) BgL_vz00_9479), BUNSPEC);
			}
		}
	}



/* &lambda2680 */
	obj_t BGl_z62lambda2680z62zzast_nodez00(obj_t BgL_envz00_7788,
		obj_t BgL_oz00_7789)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			return
				(((BgL_pragmaz00_bglt) CREF(
						((BgL_pragmaz00_bglt) BgL_oz00_7789)))->BgL_formatz00);
		}
	}



/* &<anonymous:2651> */
	BgL_externz00_bglt BGl_z62zc3anonymousza32651ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7790, obj_t BgL_new1137z00_7791)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{
				BgL_externz00_bglt BgL_new1137z00_2271;

				BgL_new1137z00_2271 = ((BgL_externz00_bglt) BgL_new1137z00_7791);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1137z00_2271)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15215;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_4969;

						BgL_classz00_4969 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1090z00_4970;

							{	/* Ast/node.scm 95 */
								obj_t BgL_vectorz00_4971;
								int BgL_kz00_4972;

								BgL_vectorz00_4971 = BgL_classz00_4969;
								BgL_kz00_4972 = (int) (((long) 17));
								BgL__ortest_1090z00_4970 =
									VECTOR_REF(BgL_vectorz00_4971, BgL_kz00_4972);
							}
							if (CBOOL(BgL__ortest_1090z00_4970))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_15215 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4970);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_15215 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4969));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1137z00_2271)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15215), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2271)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1137z00_2271)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1137z00_2271))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1137z00_2271))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1137z00_2271;
			}
		}
	}



/* &lambda2649 */
	BgL_externz00_bglt BGl_z62lambda2649z62zzast_nodez00(obj_t BgL_envz00_7792)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{

				{	/* Ast/node.scm 95 */
					BgL_externz00_bglt BgL_new1136z00_2269;

					BgL_new1136z00_2269 =
						((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 95 */
						long BgL_arg2650z00_2270;

						{	/* Ast/node.scm 95 */
							long BgL_res3273z00_4966;

							{	/* Ast/node.scm 95 */
								obj_t BgL_classz00_4963;

								BgL_classz00_4963 = BGl_externz00zzast_nodez00;
								{	/* Ast/node.scm 95 */
									obj_t BgL_vectorz00_4964;
									int BgL_kz00_4965;

									BgL_vectorz00_4964 = BgL_classz00_4963;
									BgL_kz00_4965 = (int) (((long) 1));
									BgL_res3273z00_4966 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4964, BgL_kz00_4965));
							}}
							BgL_arg2650z00_2270 = BgL_res3273z00_4966;
						}
						{	/* Ast/node.scm 95 */
							BgL_objectz00_bglt BgL_objz00_4967;

							BgL_objz00_4967 = ((BgL_objectz00_bglt) BgL_new1136z00_2269);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4967, BgL_arg2650z00_2270);
					}}
					{	/* Ast/node.scm 95 */
						BgL_objectz00_bglt BgL_auxz00_15238;

						BgL_auxz00_15238 = ((BgL_objectz00_bglt) BgL_new1136z00_2269);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15238, BFALSE);
					}
					return BgL_new1136z00_2269;
				}
			}
		}
	}



/* &lambda2647 */
	BgL_externz00_bglt BGl_z62lambda2647z62zzast_nodez00(obj_t BgL_envz00_7793,
		obj_t BgL_loc1130z00_7794, obj_t BgL_type1131z00_7795,
		obj_t BgL_sidezd2effect1132zd2_7796, obj_t BgL_key1133z00_7797,
		obj_t BgL_exprza21134za2_7798, obj_t BgL_effect1135z00_7799)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{
				obj_t BgL_loc1130z00_2258;
				BgL_typez00_bglt BgL_type1131z00_2259;
				obj_t BgL_sidezd2effect1132zd2_2260;
				obj_t BgL_key1133z00_2261;
				obj_t BgL_exprza21134za2_2262;
				obj_t BgL_effect1135z00_2263;

				BgL_loc1130z00_2258 = BgL_loc1130z00_7794;
				BgL_type1131z00_2259 = ((BgL_typez00_bglt) BgL_type1131z00_7795);
				BgL_sidezd2effect1132zd2_2260 = BgL_sidezd2effect1132zd2_7796;
				BgL_key1133z00_2261 = BgL_key1133z00_7797;
				BgL_exprza21134za2_2262 = BgL_exprza21134za2_7798;
				BgL_effect1135z00_2263 = BgL_effect1135z00_7799;
				{	/* Ast/node.scm 95 */
					BgL_externz00_bglt BgL_new1915z00_2265;

					{	/* Ast/node.scm 95 */
						BgL_externz00_bglt BgL_new1914z00_2266;

						BgL_new1914z00_2266 =
							((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_externz00_bgl))));
						{	/* Ast/node.scm 95 */
							long BgL_arg2648z00_2267;

							{	/* Ast/node.scm 95 */
								long BgL_res3272z00_4960;

								{	/* Ast/node.scm 95 */
									obj_t BgL_classz00_4957;

									BgL_classz00_4957 = BGl_externz00zzast_nodez00;
									{	/* Ast/node.scm 95 */
										obj_t BgL_vectorz00_4958;
										int BgL_kz00_4959;

										BgL_vectorz00_4958 = BgL_classz00_4957;
										BgL_kz00_4959 = (int) (((long) 1));
										BgL_res3272z00_4960 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4958,
												BgL_kz00_4959));
								}}
								BgL_arg2648z00_2267 = BgL_res3272z00_4960;
							}
							{	/* Ast/node.scm 95 */
								BgL_objectz00_bglt BgL_objz00_4961;

								BgL_objz00_4961 = ((BgL_objectz00_bglt) BgL_new1914z00_2266);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4961, BgL_arg2648z00_2267);
						}}
						{	/* Ast/node.scm 95 */
							BgL_objectz00_bglt BgL_auxz00_15247;

							BgL_auxz00_15247 = ((BgL_objectz00_bglt) BgL_new1914z00_2266);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15247, BFALSE);
						}
						BgL_new1915z00_2265 = BgL_new1914z00_2266;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1915z00_2265)))->BgL_locz00) =
						((obj_t) BgL_loc1130z00_2258), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1915z00_2265)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1131z00_2259), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1915z00_2265)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1132zd2_2260), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1915z00_2265)))->BgL_keyz00) =
						((obj_t) BgL_key1133z00_2261), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1915z00_2265))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21134za2_2262), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1915z00_2265))->BgL_effectz00) =
						((obj_t) BgL_effect1135z00_2263), BUNSPEC);
					return BgL_new1915z00_2265;
				}
			}
		}
	}



/* &<anonymous:2666> */
	obj_t BGl_z62zc3anonymousza32666ze3ze1zzast_nodez00(obj_t BgL_envz00_7800)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return BNIL;
		}
	}



/* &lambda2665 */
	obj_t BGl_z62lambda2665z62zzast_nodez00(obj_t BgL_envz00_7801,
		obj_t BgL_oz00_7802, obj_t BgL_vz00_7803)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_externz00_bglt BgL_oz00_9481;
				obj_t BgL_vz00_9482;

				BgL_oz00_9481 = ((BgL_externz00_bglt) BgL_oz00_7802);
				BgL_vz00_9482 = BgL_vz00_7803;
				return
					((((BgL_externz00_bglt) CREF(BgL_oz00_9481))->BgL_exprza2za2) =
					((obj_t) BgL_vz00_9482), BUNSPEC);
			}
		}
	}



/* &lambda2664 */
	obj_t BGl_z62lambda2664z62zzast_nodez00(obj_t BgL_envz00_7804,
		obj_t BgL_oz00_7805)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_7805)))->BgL_exprza2za2);
		}
	}



/* &<anonymous:2658> */
	obj_t BGl_z62zc3anonymousza32658ze3ze1zzast_nodez00(obj_t BgL_envz00_7806)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return BUNSPEC;
		}
	}



/* &lambda2657 */
	obj_t BGl_z62lambda2657z62zzast_nodez00(obj_t BgL_envz00_7807,
		obj_t BgL_oz00_7808, obj_t BgL_vz00_7809)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_externz00_bglt BgL_oz00_9484;

				BgL_oz00_9484 = ((BgL_externz00_bglt) BgL_oz00_7808);
				return
					((((BgL_externz00_bglt) CREF(BgL_oz00_9484))->BgL_effectz00) =
					((obj_t) BgL_vz00_7809), BUNSPEC);
			}
		}
	}



/* &lambda2656 */
	obj_t BGl_z62lambda2656z62zzast_nodez00(obj_t BgL_envz00_7810,
		obj_t BgL_oz00_7811)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_7811)))->BgL_effectz00);
		}
	}



/* &<anonymous:2616> */
	BgL_funcallz00_bglt BGl_z62zc3anonymousza32616ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7812, obj_t BgL_new1128z00_7813)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{
				BgL_funcallz00_bglt BgL_new1128z00_2192;

				BgL_new1128z00_2192 = ((BgL_funcallz00_bglt) BgL_new1128z00_7813);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1128z00_2192)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15271;

					{	/* Ast/node.scm 83 */
						obj_t BgL_classz00_4939;

						BgL_classz00_4939 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 83 */
							obj_t BgL__ortest_1090z00_4940;

							{	/* Ast/node.scm 83 */
								obj_t BgL_vectorz00_4941;
								int BgL_kz00_4942;

								BgL_vectorz00_4941 = BgL_classz00_4939;
								BgL_kz00_4942 = (int) (((long) 17));
								BgL__ortest_1090z00_4940 =
									VECTOR_REF(BgL_vectorz00_4941, BgL_kz00_4942);
							}
							if (CBOOL(BgL__ortest_1090z00_4940))
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15271 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4940);
								}
							else
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15271 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4939));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1128z00_2192)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15271), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15281;

					{	/* Ast/node.scm 83 */
						obj_t BgL_classz00_4943;

						BgL_classz00_4943 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 83 */
							obj_t BgL__ortest_1090z00_4944;

							{	/* Ast/node.scm 83 */
								obj_t BgL_vectorz00_4945;
								int BgL_kz00_4946;

								BgL_vectorz00_4945 = BgL_classz00_4943;
								BgL_kz00_4946 = (int) (((long) 17));
								BgL__ortest_1090z00_4944 =
									VECTOR_REF(BgL_vectorz00_4945, BgL_kz00_4946);
							}
							if (CBOOL(BgL__ortest_1090z00_4944))
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15281 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_4944);
								}
							else
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15281 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4943));
								}
						}
					}
					((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2192))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15281), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2192))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2192))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 76))), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2192))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1128z00_2192;
			}
		}
	}



/* &lambda2614 */
	BgL_funcallz00_bglt BGl_z62lambda2614z62zzast_nodez00(obj_t BgL_envz00_7814)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{

				{	/* Ast/node.scm 83 */
					BgL_funcallz00_bglt BgL_new1127z00_2190;

					BgL_new1127z00_2190 =
						((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 83 */
						long BgL_arg2615z00_2191;

						{	/* Ast/node.scm 83 */
							long BgL_res3271z00_4936;

							{	/* Ast/node.scm 83 */
								obj_t BgL_classz00_4933;

								BgL_classz00_4933 = BGl_funcallz00zzast_nodez00;
								{	/* Ast/node.scm 83 */
									obj_t BgL_vectorz00_4934;
									int BgL_kz00_4935;

									BgL_vectorz00_4934 = BgL_classz00_4933;
									BgL_kz00_4935 = (int) (((long) 1));
									BgL_res3271z00_4936 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4934, BgL_kz00_4935));
							}}
							BgL_arg2615z00_2191 = BgL_res3271z00_4936;
						}
						{	/* Ast/node.scm 83 */
							BgL_objectz00_bglt BgL_objz00_4937;

							BgL_objz00_4937 = ((BgL_objectz00_bglt) BgL_new1127z00_2190);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4937, BgL_arg2615z00_2191);
					}}
					{	/* Ast/node.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_15301;

						BgL_auxz00_15301 = ((BgL_objectz00_bglt) BgL_new1127z00_2190);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15301, BFALSE);
					}
					return BgL_new1127z00_2190;
				}
			}
		}
	}



/* &lambda2612 */
	BgL_funcallz00_bglt BGl_z62lambda2612z62zzast_nodez00(obj_t BgL_envz00_7815,
		obj_t BgL_loc1121z00_7816, obj_t BgL_type1122z00_7817,
		obj_t BgL_fun1123z00_7818, obj_t BgL_args1124z00_7819,
		obj_t BgL_strength1125z00_7820, obj_t BgL_functions1126z00_7821)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{
				obj_t BgL_loc1121z00_2179;
				BgL_typez00_bglt BgL_type1122z00_2180;
				BgL_nodez00_bglt BgL_fun1123z00_2181;
				obj_t BgL_args1124z00_2182;
				obj_t BgL_strength1125z00_2183;
				obj_t BgL_functions1126z00_2184;

				BgL_loc1121z00_2179 = BgL_loc1121z00_7816;
				BgL_type1122z00_2180 = ((BgL_typez00_bglt) BgL_type1122z00_7817);
				BgL_fun1123z00_2181 = ((BgL_nodez00_bglt) BgL_fun1123z00_7818);
				BgL_args1124z00_2182 = BgL_args1124z00_7819;
				BgL_strength1125z00_2183 = BgL_strength1125z00_7820;
				BgL_functions1126z00_2184 = BgL_functions1126z00_7821;
				{	/* Ast/node.scm 83 */
					BgL_funcallz00_bglt BgL_new1905z00_2186;

					{	/* Ast/node.scm 83 */
						BgL_funcallz00_bglt BgL_new1904z00_2187;

						BgL_new1904z00_2187 =
							((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_funcallz00_bgl))));
						{	/* Ast/node.scm 83 */
							long BgL_arg2613z00_2188;

							{	/* Ast/node.scm 83 */
								long BgL_res3270z00_4930;

								{	/* Ast/node.scm 83 */
									obj_t BgL_classz00_4927;

									BgL_classz00_4927 = BGl_funcallz00zzast_nodez00;
									{	/* Ast/node.scm 83 */
										obj_t BgL_vectorz00_4928;
										int BgL_kz00_4929;

										BgL_vectorz00_4928 = BgL_classz00_4927;
										BgL_kz00_4929 = (int) (((long) 1));
										BgL_res3270z00_4930 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4928,
												BgL_kz00_4929));
								}}
								BgL_arg2613z00_2188 = BgL_res3270z00_4930;
							}
							{	/* Ast/node.scm 83 */
								BgL_objectz00_bglt BgL_objz00_4931;

								BgL_objz00_4931 = ((BgL_objectz00_bglt) BgL_new1904z00_2187);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4931, BgL_arg2613z00_2188);
						}}
						{	/* Ast/node.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_15310;

							BgL_auxz00_15310 = ((BgL_objectz00_bglt) BgL_new1904z00_2187);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15310, BFALSE);
						}
						BgL_new1905z00_2186 = BgL_new1904z00_2187;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1905z00_2186)))->BgL_locz00) =
						((obj_t) BgL_loc1121z00_2179), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1905z00_2186)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1122z00_2180), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1905z00_2186))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1123z00_2181), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1905z00_2186))->BgL_argsz00) =
						((obj_t) BgL_args1124z00_2182), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1905z00_2186))->
							BgL_strengthz00) = ((obj_t) BgL_strength1125z00_2183), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1905z00_2186))->
							BgL_functionsz00) = ((obj_t) BgL_functions1126z00_2184), BUNSPEC);
					return BgL_new1905z00_2186;
				}
			}
		}
	}



/* &lambda2641 */
	obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t BgL_envz00_7822,
		obj_t BgL_oz00_7823, obj_t BgL_vz00_7824)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{	/* Ast/node.scm 83 */
				BgL_funcallz00_bglt BgL_oz00_9487;
				BgL_nodez00_bglt BgL_vz00_9488;

				BgL_oz00_9487 = ((BgL_funcallz00_bglt) BgL_oz00_7823);
				BgL_vz00_9488 = ((BgL_nodez00_bglt) BgL_vz00_7824);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_9487))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_vz00_9488), BUNSPEC);
			}
		}
	}



/* &lambda2640 */
	BgL_nodez00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t BgL_envz00_7825,
		obj_t BgL_oz00_7826)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7826)))->BgL_funz00);
		}
	}



/* &lambda2635 */
	obj_t BGl_z62lambda2635z62zzast_nodez00(obj_t BgL_envz00_7827,
		obj_t BgL_oz00_7828, obj_t BgL_vz00_7829)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{	/* Ast/node.scm 83 */
				BgL_funcallz00_bglt BgL_oz00_9490;

				BgL_oz00_9490 = ((BgL_funcallz00_bglt) BgL_oz00_7828);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_9490))->BgL_argsz00) =
					((obj_t) BgL_vz00_7829), BUNSPEC);
			}
		}
	}



/* &lambda2634 */
	obj_t BGl_z62lambda2634z62zzast_nodez00(obj_t BgL_envz00_7830,
		obj_t BgL_oz00_7831)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7831)))->BgL_argsz00);
		}
	}



/* &<anonymous:2630> */
	obj_t BGl_z62zc3anonymousza32630ze3ze1zzast_nodez00(obj_t BgL_envz00_7832)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{

				return CNST_TABLE_REF(((long) 77));
		}}
	}



/* &lambda2629 */
	obj_t BGl_z62lambda2629z62zzast_nodez00(obj_t BgL_envz00_7833,
		obj_t BgL_oz00_7834, obj_t BgL_vz00_7835)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{	/* Ast/node.scm 83 */
				BgL_funcallz00_bglt BgL_oz00_9493;
				obj_t BgL_vz00_9494;

				BgL_oz00_9493 = ((BgL_funcallz00_bglt) BgL_oz00_7834);
				BgL_vz00_9494 = BgL_vz00_7835;
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_9493))->BgL_strengthz00) =
					((obj_t) BgL_vz00_9494), BUNSPEC);
			}
		}
	}



/* &lambda2628 */
	obj_t BGl_z62lambda2628z62zzast_nodez00(obj_t BgL_envz00_7836,
		obj_t BgL_oz00_7837)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7837)))->BgL_strengthz00);
		}
	}



/* &<anonymous:2623> */
	obj_t BGl_z62zc3anonymousza32623ze3ze1zzast_nodez00(obj_t BgL_envz00_7838)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return BUNSPEC;
		}
	}



/* &lambda2622 */
	obj_t BGl_z62lambda2622z62zzast_nodez00(obj_t BgL_envz00_7839,
		obj_t BgL_oz00_7840, obj_t BgL_vz00_7841)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{	/* Ast/node.scm 83 */
				BgL_funcallz00_bglt BgL_oz00_9496;

				BgL_oz00_9496 = ((BgL_funcallz00_bglt) BgL_oz00_7840);
				return
					((((BgL_funcallz00_bglt) CREF(BgL_oz00_9496))->BgL_functionsz00) =
					((obj_t) BgL_vz00_7841), BUNSPEC);
			}
		}
	}



/* &lambda2621 */
	obj_t BGl_z62lambda2621z62zzast_nodez00(obj_t BgL_envz00_7842,
		obj_t BgL_oz00_7843)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7843)))->BgL_functionsz00);
		}
	}



/* &<anonymous:2595> */
	BgL_appzd2lyzd2_bglt BGl_z62zc3anonymousza32595ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7844, obj_t BgL_new1119z00_7845)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{
				BgL_appzd2lyzd2_bglt BgL_new1119z00_2143;

				BgL_new1119z00_2143 = ((BgL_appzd2lyzd2_bglt) BgL_new1119z00_7845);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1119z00_2143)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15343;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_4895;

						BgL_classz00_4895 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1090z00_4896;

							{	/* Ast/node.scm 76 */
								obj_t BgL_vectorz00_4897;
								int BgL_kz00_4898;

								BgL_vectorz00_4897 = BgL_classz00_4895;
								BgL_kz00_4898 = (int) (((long) 17));
								BgL__ortest_1090z00_4896 =
									VECTOR_REF(BgL_vectorz00_4897, BgL_kz00_4898);
							}
							if (CBOOL(BgL__ortest_1090z00_4896))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15343 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4896);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15343 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4895));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1119z00_2143)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15343), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15353;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_4899;

						BgL_classz00_4899 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1090z00_4900;

							{	/* Ast/node.scm 76 */
								obj_t BgL_vectorz00_4901;
								int BgL_kz00_4902;

								BgL_vectorz00_4901 = BgL_classz00_4899;
								BgL_kz00_4902 = (int) (((long) 17));
								BgL__ortest_1090z00_4900 =
									VECTOR_REF(BgL_vectorz00_4901, BgL_kz00_4902);
							}
							if (CBOOL(BgL__ortest_1090z00_4900))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15353 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_4900);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15353 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4899));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1119z00_2143))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15353), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15362;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_4903;

						BgL_classz00_4903 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1090z00_4904;

							{	/* Ast/node.scm 76 */
								obj_t BgL_vectorz00_4905;
								int BgL_kz00_4906;

								BgL_vectorz00_4905 = BgL_classz00_4903;
								BgL_kz00_4906 = (int) (((long) 17));
								BgL__ortest_1090z00_4904 =
									VECTOR_REF(BgL_vectorz00_4905, BgL_kz00_4906);
							}
							if (CBOOL(BgL__ortest_1090z00_4904))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15362 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_4904);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15362 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4903));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1119z00_2143))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15362), BUNSPEC);
				}
				return BgL_new1119z00_2143;
			}
		}
	}



/* &lambda2593 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2593z62zzast_nodez00(obj_t BgL_envz00_7846)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{

				{	/* Ast/node.scm 76 */
					BgL_appzd2lyzd2_bglt BgL_new1118z00_2141;

					BgL_new1118z00_2141 =
						((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 76 */
						long BgL_arg2594z00_2142;

						{	/* Ast/node.scm 76 */
							long BgL_res3269z00_4892;

							{	/* Ast/node.scm 76 */
								obj_t BgL_classz00_4889;

								BgL_classz00_4889 = BGl_appzd2lyzd2zzast_nodez00;
								{	/* Ast/node.scm 76 */
									obj_t BgL_vectorz00_4890;
									int BgL_kz00_4891;

									BgL_vectorz00_4890 = BgL_classz00_4889;
									BgL_kz00_4891 = (int) (((long) 1));
									BgL_res3269z00_4892 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4890, BgL_kz00_4891));
							}}
							BgL_arg2594z00_2142 = BgL_res3269z00_4892;
						}
						{	/* Ast/node.scm 76 */
							BgL_objectz00_bglt BgL_objz00_4893;

							BgL_objz00_4893 = ((BgL_objectz00_bglt) BgL_new1118z00_2141);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4893, BgL_arg2594z00_2142);
					}}
					{	/* Ast/node.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_15378;

						BgL_auxz00_15378 = ((BgL_objectz00_bglt) BgL_new1118z00_2141);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15378, BFALSE);
					}
					return BgL_new1118z00_2141;
				}
			}
		}
	}



/* &lambda2591 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t BgL_envz00_7847,
		obj_t BgL_loc1114z00_7848, obj_t BgL_type1115z00_7849,
		obj_t BgL_fun1116z00_7850, obj_t BgL_arg1117z00_7851)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{
				obj_t BgL_loc1114z00_2132;
				BgL_typez00_bglt BgL_type1115z00_2133;
				BgL_nodez00_bglt BgL_fun1116z00_2134;
				BgL_nodez00_bglt BgL_arg1117z00_2135;

				BgL_loc1114z00_2132 = BgL_loc1114z00_7848;
				BgL_type1115z00_2133 = ((BgL_typez00_bglt) BgL_type1115z00_7849);
				BgL_fun1116z00_2134 = ((BgL_nodez00_bglt) BgL_fun1116z00_7850);
				BgL_arg1117z00_2135 = ((BgL_nodez00_bglt) BgL_arg1117z00_7851);
				{	/* Ast/node.scm 76 */
					BgL_appzd2lyzd2_bglt BgL_new1899z00_2137;

					{	/* Ast/node.scm 76 */
						BgL_appzd2lyzd2_bglt BgL_new1898z00_2138;

						BgL_new1898z00_2138 =
							((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzd2_bgl))));
						{	/* Ast/node.scm 76 */
							long BgL_arg2592z00_2139;

							{	/* Ast/node.scm 76 */
								long BgL_res3268z00_4886;

								{	/* Ast/node.scm 76 */
									obj_t BgL_classz00_4883;

									BgL_classz00_4883 = BGl_appzd2lyzd2zzast_nodez00;
									{	/* Ast/node.scm 76 */
										obj_t BgL_vectorz00_4884;
										int BgL_kz00_4885;

										BgL_vectorz00_4884 = BgL_classz00_4883;
										BgL_kz00_4885 = (int) (((long) 1));
										BgL_res3268z00_4886 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4884,
												BgL_kz00_4885));
								}}
								BgL_arg2592z00_2139 = BgL_res3268z00_4886;
							}
							{	/* Ast/node.scm 76 */
								BgL_objectz00_bglt BgL_objz00_4887;

								BgL_objz00_4887 = ((BgL_objectz00_bglt) BgL_new1898z00_2138);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4887, BgL_arg2592z00_2139);
						}}
						{	/* Ast/node.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_15387;

							BgL_auxz00_15387 = ((BgL_objectz00_bglt) BgL_new1898z00_2138);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15387, BFALSE);
						}
						BgL_new1899z00_2137 = BgL_new1898z00_2138;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1899z00_2137)))->BgL_locz00) =
						((obj_t) BgL_loc1114z00_2132), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1899z00_2137)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1115z00_2133), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1899z00_2137))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1116z00_2134), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1899z00_2137))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1117z00_2135), BUNSPEC);
					return BgL_new1899z00_2137;
				}
			}
		}
	}



/* &lambda2606 */
	obj_t BGl_z62lambda2606z62zzast_nodez00(obj_t BgL_envz00_7852,
		obj_t BgL_oz00_7853, obj_t BgL_vz00_7854)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{	/* Ast/node.scm 76 */
				BgL_appzd2lyzd2_bglt BgL_oz00_9499;
				BgL_nodez00_bglt BgL_vz00_9500;

				BgL_oz00_9499 = ((BgL_appzd2lyzd2_bglt) BgL_oz00_7853);
				BgL_vz00_9500 = ((BgL_nodez00_bglt) BgL_vz00_7854);
				return
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_9499))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_vz00_9500), BUNSPEC);
			}
		}
	}



/* &lambda2605 */
	BgL_nodez00_bglt BGl_z62lambda2605z62zzast_nodez00(obj_t BgL_envz00_7855,
		obj_t BgL_oz00_7856)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7856)))->BgL_funz00);
		}
	}



/* &lambda2601 */
	obj_t BGl_z62lambda2601z62zzast_nodez00(obj_t BgL_envz00_7857,
		obj_t BgL_oz00_7858, obj_t BgL_vz00_7859)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{	/* Ast/node.scm 76 */
				BgL_appzd2lyzd2_bglt BgL_oz00_9502;
				BgL_nodez00_bglt BgL_vz00_9503;

				BgL_oz00_9502 = ((BgL_appzd2lyzd2_bglt) BgL_oz00_7858);
				BgL_vz00_9503 = ((BgL_nodez00_bglt) BgL_vz00_7859);
				return
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_9502))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_vz00_9503), BUNSPEC);
			}
		}
	}



/* &lambda2600 */
	BgL_nodez00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t BgL_envz00_7860,
		obj_t BgL_oz00_7861)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7861)))->BgL_argz00);
		}
	}



/* &<anonymous:2574> */
	BgL_appz00_bglt BGl_z62zc3anonymousza32574ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7862, obj_t BgL_new1112z00_7863)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{
				BgL_appz00_bglt BgL_new1112z00_2096;

				BgL_new1112z00_2096 = ((BgL_appz00_bglt) BgL_new1112z00_7863);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1112z00_2096)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15411;

					{	/* Ast/node.scm 69 */
						obj_t BgL_classz00_4865;

						BgL_classz00_4865 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 69 */
							obj_t BgL__ortest_1090z00_4866;

							{	/* Ast/node.scm 69 */
								obj_t BgL_vectorz00_4867;
								int BgL_kz00_4868;

								BgL_vectorz00_4867 = BgL_classz00_4865;
								BgL_kz00_4868 = (int) (((long) 17));
								BgL__ortest_1090z00_4866 =
									VECTOR_REF(BgL_vectorz00_4867, BgL_kz00_4868);
							}
							if (CBOOL(BgL__ortest_1090z00_4866))
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15411 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4866);
								}
							else
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15411 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4865));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1112z00_2096)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15411), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1112z00_2096)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1112z00_2096)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_15425;

					{	/* Ast/node.scm 69 */
						obj_t BgL_classz00_4869;

						BgL_classz00_4869 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 69 */
							obj_t BgL__ortest_1090z00_4870;

							{	/* Ast/node.scm 69 */
								obj_t BgL_vectorz00_4871;
								int BgL_kz00_4872;

								BgL_vectorz00_4871 = BgL_classz00_4869;
								BgL_kz00_4872 = (int) (((long) 17));
								BgL__ortest_1090z00_4870 =
									VECTOR_REF(BgL_vectorz00_4871, BgL_kz00_4872);
							}
							if (CBOOL(BgL__ortest_1090z00_4870))
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15425 =
										((BgL_varz00_bglt) BgL__ortest_1090z00_4870);
								}
							else
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15425 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4869));
								}
						}
					}
					((((BgL_appz00_bglt) CREF(BgL_new1112z00_2096))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_15425), BUNSPEC);
				}
				((((BgL_appz00_bglt) CREF(BgL_new1112z00_2096))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1112z00_2096;
			}
		}
	}



/* &lambda2572 */
	BgL_appz00_bglt BGl_z62lambda2572z62zzast_nodez00(obj_t BgL_envz00_7864)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{

				{	/* Ast/node.scm 69 */
					BgL_appz00_bglt BgL_new1111z00_2094;

					BgL_new1111z00_2094 =
						((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
					{	/* Ast/node.scm 69 */
						long BgL_arg2573z00_2095;

						{	/* Ast/node.scm 69 */
							long BgL_res3267z00_4862;

							{	/* Ast/node.scm 69 */
								obj_t BgL_classz00_4859;

								BgL_classz00_4859 = BGl_appz00zzast_nodez00;
								{	/* Ast/node.scm 69 */
									obj_t BgL_vectorz00_4860;
									int BgL_kz00_4861;

									BgL_vectorz00_4860 = BgL_classz00_4859;
									BgL_kz00_4861 = (int) (((long) 1));
									BgL_res3267z00_4862 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4860, BgL_kz00_4861));
							}}
							BgL_arg2573z00_2095 = BgL_res3267z00_4862;
						}
						{	/* Ast/node.scm 69 */
							BgL_objectz00_bglt BgL_objz00_4863;

							BgL_objz00_4863 = ((BgL_objectz00_bglt) BgL_new1111z00_2094);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4863, BgL_arg2573z00_2095);
					}}
					{	/* Ast/node.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_15442;

						BgL_auxz00_15442 = ((BgL_objectz00_bglt) BgL_new1111z00_2094);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15442, BFALSE);
					}
					return BgL_new1111z00_2094;
				}
			}
		}
	}



/* &lambda2570 */
	BgL_appz00_bglt BGl_z62lambda2570z62zzast_nodez00(obj_t BgL_envz00_7865,
		obj_t BgL_loc1105z00_7866, obj_t BgL_type1106z00_7867,
		obj_t BgL_sidezd2effect1107zd2_7868, obj_t BgL_key1108z00_7869,
		obj_t BgL_fun1109z00_7870, obj_t BgL_args1110z00_7871)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{
				obj_t BgL_loc1105z00_2083;
				BgL_typez00_bglt BgL_type1106z00_2084;
				obj_t BgL_sidezd2effect1107zd2_2085;
				obj_t BgL_key1108z00_2086;
				BgL_varz00_bglt BgL_fun1109z00_2087;
				obj_t BgL_args1110z00_2088;

				BgL_loc1105z00_2083 = BgL_loc1105z00_7866;
				BgL_type1106z00_2084 = ((BgL_typez00_bglt) BgL_type1106z00_7867);
				BgL_sidezd2effect1107zd2_2085 = BgL_sidezd2effect1107zd2_7868;
				BgL_key1108z00_2086 = BgL_key1108z00_7869;
				BgL_fun1109z00_2087 = ((BgL_varz00_bglt) BgL_fun1109z00_7870);
				BgL_args1110z00_2088 = BgL_args1110z00_7871;
				{	/* Ast/node.scm 69 */
					BgL_appz00_bglt BgL_new1893z00_2090;

					{	/* Ast/node.scm 69 */
						BgL_appz00_bglt BgL_new1892z00_2091;

						BgL_new1892z00_2091 =
							((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appz00_bgl))));
						{	/* Ast/node.scm 69 */
							long BgL_arg2571z00_2092;

							{	/* Ast/node.scm 69 */
								long BgL_res3266z00_4856;

								{	/* Ast/node.scm 69 */
									obj_t BgL_classz00_4853;

									BgL_classz00_4853 = BGl_appz00zzast_nodez00;
									{	/* Ast/node.scm 69 */
										obj_t BgL_vectorz00_4854;
										int BgL_kz00_4855;

										BgL_vectorz00_4854 = BgL_classz00_4853;
										BgL_kz00_4855 = (int) (((long) 1));
										BgL_res3266z00_4856 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4854,
												BgL_kz00_4855));
								}}
								BgL_arg2571z00_2092 = BgL_res3266z00_4856;
							}
							{	/* Ast/node.scm 69 */
								BgL_objectz00_bglt BgL_objz00_4857;

								BgL_objz00_4857 = ((BgL_objectz00_bglt) BgL_new1892z00_2091);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4857, BgL_arg2571z00_2092);
						}}
						{	/* Ast/node.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_15451;

							BgL_auxz00_15451 = ((BgL_objectz00_bglt) BgL_new1892z00_2091);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15451, BFALSE);
						}
						BgL_new1893z00_2090 = BgL_new1892z00_2091;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1893z00_2090)))->BgL_locz00) =
						((obj_t) BgL_loc1105z00_2083), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1893z00_2090)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1106z00_2084), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1893z00_2090)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1107zd2_2085), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1893z00_2090)))->BgL_keyz00) =
						((obj_t) BgL_key1108z00_2086), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1893z00_2090))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_fun1109z00_2087), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1893z00_2090))->BgL_argsz00) =
						((obj_t) BgL_args1110z00_2088), BUNSPEC);
					return BgL_new1893z00_2090;
				}
			}
		}
	}



/* &lambda2584 */
	obj_t BGl_z62lambda2584z62zzast_nodez00(obj_t BgL_envz00_7872,
		obj_t BgL_oz00_7873, obj_t BgL_vz00_7874)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{	/* Ast/node.scm 69 */
				BgL_appz00_bglt BgL_oz00_9505;
				BgL_varz00_bglt BgL_vz00_9506;

				BgL_oz00_9505 = ((BgL_appz00_bglt) BgL_oz00_7873);
				BgL_vz00_9506 = ((BgL_varz00_bglt) BgL_vz00_7874);
				return
					((((BgL_appz00_bglt) CREF(BgL_oz00_9505))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_vz00_9506), BUNSPEC);
			}
		}
	}



/* &lambda2583 */
	BgL_varz00_bglt BGl_z62lambda2583z62zzast_nodez00(obj_t BgL_envz00_7875,
		obj_t BgL_oz00_7876)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_7876)))->BgL_funz00);
		}
	}



/* &lambda2579 */
	obj_t BGl_z62lambda2579z62zzast_nodez00(obj_t BgL_envz00_7877,
		obj_t BgL_oz00_7878, obj_t BgL_vz00_7879)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{	/* Ast/node.scm 69 */
				BgL_appz00_bglt BgL_oz00_9508;

				BgL_oz00_9508 = ((BgL_appz00_bglt) BgL_oz00_7878);
				return
					((((BgL_appz00_bglt) CREF(BgL_oz00_9508))->BgL_argsz00) =
					((obj_t) BgL_vz00_7879), BUNSPEC);
			}
		}
	}



/* &lambda2578 */
	obj_t BGl_z62lambda2578z62zzast_nodez00(obj_t BgL_envz00_7880,
		obj_t BgL_oz00_7881)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_7881)))->BgL_argsz00);
		}
	}



/* &<anonymous:2552> */
	BgL_sequencez00_bglt BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7882, obj_t BgL_new1103z00_7883)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{
				BgL_sequencez00_bglt BgL_new1103z00_2044;

				BgL_new1103z00_2044 = ((BgL_sequencez00_bglt) BgL_new1103z00_7883);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1103z00_2044)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15477;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_4839;

						BgL_classz00_4839 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1090z00_4840;

							{	/* Ast/node.scm 64 */
								obj_t BgL_vectorz00_4841;
								int BgL_kz00_4842;

								BgL_vectorz00_4841 = BgL_classz00_4839;
								BgL_kz00_4842 = (int) (((long) 17));
								BgL__ortest_1090z00_4840 =
									VECTOR_REF(BgL_vectorz00_4841, BgL_kz00_4842);
							}
							if (CBOOL(BgL__ortest_1090z00_4840))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_15477 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4840);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_15477 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4839));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1103z00_2044)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15477), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1103z00_2044)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1103z00_2044)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1103z00_2044))->BgL_nodesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1103z00_2044))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1103z00_2044;
			}
		}
	}



/* &lambda2550 */
	BgL_sequencez00_bglt BGl_z62lambda2550z62zzast_nodez00(obj_t BgL_envz00_7884)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{

				{	/* Ast/node.scm 64 */
					BgL_sequencez00_bglt BgL_new1102z00_2042;

					BgL_new1102z00_2042 =
						((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/node.scm 64 */
						long BgL_arg2551z00_2043;

						{	/* Ast/node.scm 64 */
							long BgL_res3265z00_4836;

							{	/* Ast/node.scm 64 */
								obj_t BgL_classz00_4833;

								BgL_classz00_4833 = BGl_sequencez00zzast_nodez00;
								{	/* Ast/node.scm 64 */
									obj_t BgL_vectorz00_4834;
									int BgL_kz00_4835;

									BgL_vectorz00_4834 = BgL_classz00_4833;
									BgL_kz00_4835 = (int) (((long) 1));
									BgL_res3265z00_4836 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4834, BgL_kz00_4835));
							}}
							BgL_arg2551z00_2043 = BgL_res3265z00_4836;
						}
						{	/* Ast/node.scm 64 */
							BgL_objectz00_bglt BgL_objz00_4837;

							BgL_objz00_4837 = ((BgL_objectz00_bglt) BgL_new1102z00_2042);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4837, BgL_arg2551z00_2043);
					}}
					{	/* Ast/node.scm 64 */
						BgL_objectz00_bglt BgL_auxz00_15500;

						BgL_auxz00_15500 = ((BgL_objectz00_bglt) BgL_new1102z00_2042);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15500, BFALSE);
					}
					return BgL_new1102z00_2042;
				}
			}
		}
	}



/* &lambda2548 */
	BgL_sequencez00_bglt BGl_z62lambda2548z62zzast_nodez00(obj_t BgL_envz00_7885,
		obj_t BgL_loc1096z00_7886, obj_t BgL_type1097z00_7887,
		obj_t BgL_sidezd2effect1098zd2_7888, obj_t BgL_key1099z00_7889,
		obj_t BgL_nodes1100z00_7890, obj_t BgL_unsafe1101z00_7891)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{
				obj_t BgL_loc1096z00_2031;
				BgL_typez00_bglt BgL_type1097z00_2032;
				obj_t BgL_sidezd2effect1098zd2_2033;
				obj_t BgL_key1099z00_2034;
				obj_t BgL_nodes1100z00_2035;
				bool_t BgL_unsafe1101z00_2036;

				BgL_loc1096z00_2031 = BgL_loc1096z00_7886;
				BgL_type1097z00_2032 = ((BgL_typez00_bglt) BgL_type1097z00_7887);
				BgL_sidezd2effect1098zd2_2033 = BgL_sidezd2effect1098zd2_7888;
				BgL_key1099z00_2034 = BgL_key1099z00_7889;
				BgL_nodes1100z00_2035 = BgL_nodes1100z00_7890;
				BgL_unsafe1101z00_2036 = CBOOL(BgL_unsafe1101z00_7891);
				{	/* Ast/node.scm 64 */
					BgL_sequencez00_bglt BgL_new1887z00_2038;

					{	/* Ast/node.scm 64 */
						BgL_sequencez00_bglt BgL_new1886z00_2039;

						BgL_new1886z00_2039 =
							((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 64 */
							long BgL_arg2549z00_2040;

							{	/* Ast/node.scm 64 */
								long BgL_res3264z00_4830;

								{	/* Ast/node.scm 64 */
									obj_t BgL_classz00_4827;

									BgL_classz00_4827 = BGl_sequencez00zzast_nodez00;
									{	/* Ast/node.scm 64 */
										obj_t BgL_vectorz00_4828;
										int BgL_kz00_4829;

										BgL_vectorz00_4828 = BgL_classz00_4827;
										BgL_kz00_4829 = (int) (((long) 1));
										BgL_res3264z00_4830 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4828,
												BgL_kz00_4829));
								}}
								BgL_arg2549z00_2040 = BgL_res3264z00_4830;
							}
							{	/* Ast/node.scm 64 */
								BgL_objectz00_bglt BgL_objz00_4831;

								BgL_objz00_4831 = ((BgL_objectz00_bglt) BgL_new1886z00_2039);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4831, BgL_arg2549z00_2040);
						}}
						{	/* Ast/node.scm 64 */
							BgL_objectz00_bglt BgL_auxz00_15509;

							BgL_auxz00_15509 = ((BgL_objectz00_bglt) BgL_new1886z00_2039);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15509, BFALSE);
						}
						BgL_new1887z00_2038 = BgL_new1886z00_2039;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1887z00_2038)))->BgL_locz00) =
						((obj_t) BgL_loc1096z00_2031), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1887z00_2038)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1097z00_2032), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1887z00_2038)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1098zd2_2033), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1887z00_2038)))->BgL_keyz00) =
						((obj_t) BgL_key1099z00_2034), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1887z00_2038))->BgL_nodesz00) =
						((obj_t) BgL_nodes1100z00_2035), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1887z00_2038))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1101z00_2036), BUNSPEC);
					return BgL_new1887z00_2038;
				}
			}
		}
	}



/* &lambda2564 */
	obj_t BGl_z62lambda2564z62zzast_nodez00(obj_t BgL_envz00_7892,
		obj_t BgL_oz00_7893, obj_t BgL_vz00_7894)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_sequencez00_bglt BgL_oz00_9511;

				BgL_oz00_9511 = ((BgL_sequencez00_bglt) BgL_oz00_7893);
				return
					((((BgL_sequencez00_bglt) CREF(BgL_oz00_9511))->BgL_nodesz00) =
					((obj_t) BgL_vz00_7894), BUNSPEC);
			}
		}
	}



/* &lambda2563 */
	obj_t BGl_z62lambda2563z62zzast_nodez00(obj_t BgL_envz00_7895,
		obj_t BgL_oz00_7896)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return
				(((BgL_sequencez00_bglt) CREF(
						((BgL_sequencez00_bglt) BgL_oz00_7896)))->BgL_nodesz00);
		}
	}



/* &<anonymous:2559> */
	obj_t BGl_z62zc3anonymousza32559ze3ze1zzast_nodez00(obj_t BgL_envz00_7897)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2558 */
	obj_t BGl_z62lambda2558z62zzast_nodez00(obj_t BgL_envz00_7898,
		obj_t BgL_oz00_7899, obj_t BgL_vz00_7900)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_sequencez00_bglt BgL_oz00_9514;
				bool_t BgL_vz00_9515;

				BgL_oz00_9514 = ((BgL_sequencez00_bglt) BgL_oz00_7899);
				BgL_vz00_9515 = CBOOL(BgL_vz00_7900);
				return
					((((BgL_sequencez00_bglt) CREF(BgL_oz00_9514))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9515), BUNSPEC);
			}
		}
	}



/* &lambda2557 */
	obj_t BGl_z62lambda2557z62zzast_nodez00(obj_t BgL_envz00_7901,
		obj_t BgL_oz00_7902)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_oz00_7902)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2537> */
	BgL_kwotez00_bglt BGl_z62zc3anonymousza32537ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7903, obj_t BgL_new1094z00_7904)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{
				BgL_kwotez00_bglt BgL_new1094z00_2007;

				BgL_new1094z00_2007 = ((BgL_kwotez00_bglt) BgL_new1094z00_7904);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1094z00_2007)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15537;

					{	/* Ast/node.scm 59 */
						obj_t BgL_classz00_4813;

						BgL_classz00_4813 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 59 */
							obj_t BgL__ortest_1090z00_4814;

							{	/* Ast/node.scm 59 */
								obj_t BgL_vectorz00_4815;
								int BgL_kz00_4816;

								BgL_vectorz00_4815 = BgL_classz00_4813;
								BgL_kz00_4816 = (int) (((long) 17));
								BgL__ortest_1090z00_4814 =
									VECTOR_REF(BgL_vectorz00_4815, BgL_kz00_4816);
							}
							if (CBOOL(BgL__ortest_1090z00_4814))
								{	/* Ast/node.scm 59 */
									BgL_auxz00_15537 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4814);
								}
							else
								{	/* Ast/node.scm 59 */
									BgL_auxz00_15537 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4813));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1094z00_2007)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15537), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) CREF(BgL_new1094z00_2007))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1094z00_2007;
			}
		}
	}



/* &lambda2535 */
	BgL_kwotez00_bglt BGl_z62lambda2535z62zzast_nodez00(obj_t BgL_envz00_7905)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{

				{	/* Ast/node.scm 59 */
					BgL_kwotez00_bglt BgL_new1093z00_2005;

					BgL_new1093z00_2005 =
						((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 59 */
						long BgL_arg2536z00_2006;

						{	/* Ast/node.scm 59 */
							long BgL_res3263z00_4810;

							{	/* Ast/node.scm 59 */
								obj_t BgL_classz00_4807;

								BgL_classz00_4807 = BGl_kwotez00zzast_nodez00;
								{	/* Ast/node.scm 59 */
									obj_t BgL_vectorz00_4808;
									int BgL_kz00_4809;

									BgL_vectorz00_4808 = BgL_classz00_4807;
									BgL_kz00_4809 = (int) (((long) 1));
									BgL_res3263z00_4810 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4808, BgL_kz00_4809));
							}}
							BgL_arg2536z00_2006 = BgL_res3263z00_4810;
						}
						{	/* Ast/node.scm 59 */
							BgL_objectz00_bglt BgL_objz00_4811;

							BgL_objz00_4811 = ((BgL_objectz00_bglt) BgL_new1093z00_2005);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4811, BgL_arg2536z00_2006);
					}}
					{	/* Ast/node.scm 59 */
						BgL_objectz00_bglt BgL_auxz00_15555;

						BgL_auxz00_15555 = ((BgL_objectz00_bglt) BgL_new1093z00_2005);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15555, BFALSE);
					}
					return BgL_new1093z00_2005;
				}
			}
		}
	}



/* &lambda2533 */
	BgL_kwotez00_bglt BGl_z62lambda2533z62zzast_nodez00(obj_t BgL_envz00_7906,
		obj_t BgL_loc1090z00_7907, obj_t BgL_type1091z00_7908,
		obj_t BgL_value1092z00_7909)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{
				obj_t BgL_loc1090z00_1997;
				BgL_typez00_bglt BgL_type1091z00_1998;
				obj_t BgL_value1092z00_1999;

				BgL_loc1090z00_1997 = BgL_loc1090z00_7907;
				BgL_type1091z00_1998 = ((BgL_typez00_bglt) BgL_type1091z00_7908);
				BgL_value1092z00_1999 = BgL_value1092z00_7909;
				{	/* Ast/node.scm 59 */
					BgL_kwotez00_bglt BgL_new1883z00_2001;

					{	/* Ast/node.scm 59 */
						BgL_kwotez00_bglt BgL_new1882z00_2002;

						BgL_new1882z00_2002 =
							((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_kwotez00_bgl))));
						{	/* Ast/node.scm 59 */
							long BgL_arg2534z00_2003;

							{	/* Ast/node.scm 59 */
								long BgL_res3262z00_4804;

								{	/* Ast/node.scm 59 */
									obj_t BgL_classz00_4801;

									BgL_classz00_4801 = BGl_kwotez00zzast_nodez00;
									{	/* Ast/node.scm 59 */
										obj_t BgL_vectorz00_4802;
										int BgL_kz00_4803;

										BgL_vectorz00_4802 = BgL_classz00_4801;
										BgL_kz00_4803 = (int) (((long) 1));
										BgL_res3262z00_4804 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4802,
												BgL_kz00_4803));
								}}
								BgL_arg2534z00_2003 = BgL_res3262z00_4804;
							}
							{	/* Ast/node.scm 59 */
								BgL_objectz00_bglt BgL_objz00_4805;

								BgL_objz00_4805 = ((BgL_objectz00_bglt) BgL_new1882z00_2002);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4805, BgL_arg2534z00_2003);
						}}
						{	/* Ast/node.scm 59 */
							BgL_objectz00_bglt BgL_auxz00_15564;

							BgL_auxz00_15564 = ((BgL_objectz00_bglt) BgL_new1882z00_2002);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15564, BFALSE);
						}
						BgL_new1883z00_2001 = BgL_new1882z00_2002;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1883z00_2001)))->BgL_locz00) =
						((obj_t) BgL_loc1090z00_1997), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1883z00_2001)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1091z00_1998), BUNSPEC);
					((((BgL_kwotez00_bglt) CREF(BgL_new1883z00_2001))->BgL_valuez00) =
						((obj_t) BgL_value1092z00_1999), BUNSPEC);
					return BgL_new1883z00_2001;
				}
			}
		}
	}



/* &lambda2542 */
	obj_t BGl_z62lambda2542z62zzast_nodez00(obj_t BgL_envz00_7910,
		obj_t BgL_oz00_7911, obj_t BgL_vz00_7912)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{	/* Ast/node.scm 59 */
				BgL_kwotez00_bglt BgL_oz00_9517;

				BgL_oz00_9517 = ((BgL_kwotez00_bglt) BgL_oz00_7911);
				return
					((((BgL_kwotez00_bglt) CREF(BgL_oz00_9517))->BgL_valuez00) =
					((obj_t) BgL_vz00_7912), BUNSPEC);
			}
		}
	}



/* &lambda2541 */
	obj_t BGl_z62lambda2541z62zzast_nodez00(obj_t BgL_envz00_7913,
		obj_t BgL_oz00_7914)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			return
				(((BgL_kwotez00_bglt) CREF(
						((BgL_kwotez00_bglt) BgL_oz00_7914)))->BgL_valuez00);
		}
	}



/* &<anonymous:2526> */
	BgL_closurez00_bglt BGl_z62zc3anonymousza32526ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7915, obj_t BgL_new1088z00_7916)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{
				BgL_closurez00_bglt BgL_new1088z00_1985;

				BgL_new1088z00_1985 = ((BgL_closurez00_bglt) BgL_new1088z00_7916);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1088z00_1985)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15579;

					{	/* Ast/node.scm 56 */
						obj_t BgL_classz00_4788;

						BgL_classz00_4788 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 56 */
							obj_t BgL__ortest_1090z00_4789;

							{	/* Ast/node.scm 56 */
								obj_t BgL_vectorz00_4790;
								int BgL_kz00_4791;

								BgL_vectorz00_4790 = BgL_classz00_4788;
								BgL_kz00_4791 = (int) (((long) 17));
								BgL__ortest_1090z00_4789 =
									VECTOR_REF(BgL_vectorz00_4790, BgL_kz00_4791);
							}
							if (CBOOL(BgL__ortest_1090z00_4789))
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15579 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4789);
								}
							else
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15579 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4788));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1088z00_1985)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15579), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_15589;

					{	/* Ast/node.scm 56 */
						obj_t BgL_classz00_4792;

						BgL_classz00_4792 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 56 */
							obj_t BgL__ortest_1090z00_4793;

							{	/* Ast/node.scm 56 */
								obj_t BgL_vectorz00_4794;
								int BgL_kz00_4795;

								BgL_vectorz00_4794 = BgL_classz00_4792;
								BgL_kz00_4795 = (int) (((long) 17));
								BgL__ortest_1090z00_4793 =
									VECTOR_REF(BgL_vectorz00_4794, BgL_kz00_4795);
							}
							if (CBOOL(BgL__ortest_1090z00_4793))
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15589 =
										((BgL_variablez00_bglt) BgL__ortest_1090z00_4793);
								}
							else
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15589 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4792));
								}
						}
					}
					((((BgL_varz00_bglt) CREF(
									((BgL_varz00_bglt) BgL_new1088z00_1985)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_15589), BUNSPEC);
				}
				return BgL_new1088z00_1985;
			}
		}
	}



/* &lambda2524 */
	BgL_closurez00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t BgL_envz00_7917)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{

				{	/* Ast/node.scm 56 */
					BgL_closurez00_bglt BgL_new1087z00_1983;

					BgL_new1087z00_1983 =
						((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 56 */
						long BgL_arg2525z00_1984;

						{	/* Ast/node.scm 56 */
							long BgL_res3261z00_4785;

							{	/* Ast/node.scm 56 */
								obj_t BgL_classz00_4782;

								BgL_classz00_4782 = BGl_closurez00zzast_nodez00;
								{	/* Ast/node.scm 56 */
									obj_t BgL_vectorz00_4783;
									int BgL_kz00_4784;

									BgL_vectorz00_4783 = BgL_classz00_4782;
									BgL_kz00_4784 = (int) (((long) 1));
									BgL_res3261z00_4785 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4783, BgL_kz00_4784));
							}}
							BgL_arg2525z00_1984 = BgL_res3261z00_4785;
						}
						{	/* Ast/node.scm 56 */
							BgL_objectz00_bglt BgL_objz00_4786;

							BgL_objz00_4786 = ((BgL_objectz00_bglt) BgL_new1087z00_1983);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4786, BgL_arg2525z00_1984);
					}}
					{	/* Ast/node.scm 56 */
						BgL_objectz00_bglt BgL_auxz00_15606;

						BgL_auxz00_15606 = ((BgL_objectz00_bglt) BgL_new1087z00_1983);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15606, BFALSE);
					}
					return BgL_new1087z00_1983;
				}
			}
		}
	}



/* &lambda2522 */
	BgL_closurez00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t BgL_envz00_7918,
		obj_t BgL_loc1084z00_7919, obj_t BgL_type1085z00_7920,
		obj_t BgL_variable1086z00_7921)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{
				obj_t BgL_loc1084z00_1975;
				BgL_typez00_bglt BgL_type1085z00_1976;
				BgL_variablez00_bglt BgL_variable1086z00_1977;

				BgL_loc1084z00_1975 = BgL_loc1084z00_7919;
				BgL_type1085z00_1976 = ((BgL_typez00_bglt) BgL_type1085z00_7920);
				BgL_variable1086z00_1977 =
					((BgL_variablez00_bglt) BgL_variable1086z00_7921);
				{	/* Ast/node.scm 56 */
					BgL_closurez00_bglt BgL_new1881z00_1979;

					{	/* Ast/node.scm 56 */
						BgL_closurez00_bglt BgL_new1880z00_1980;

						BgL_new1880z00_1980 =
							((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_closurez00_bgl))));
						{	/* Ast/node.scm 56 */
							long BgL_arg2523z00_1981;

							{	/* Ast/node.scm 56 */
								long BgL_res3260z00_4779;

								{	/* Ast/node.scm 56 */
									obj_t BgL_classz00_4776;

									BgL_classz00_4776 = BGl_closurez00zzast_nodez00;
									{	/* Ast/node.scm 56 */
										obj_t BgL_vectorz00_4777;
										int BgL_kz00_4778;

										BgL_vectorz00_4777 = BgL_classz00_4776;
										BgL_kz00_4778 = (int) (((long) 1));
										BgL_res3260z00_4779 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4777,
												BgL_kz00_4778));
								}}
								BgL_arg2523z00_1981 = BgL_res3260z00_4779;
							}
							{	/* Ast/node.scm 56 */
								BgL_objectz00_bglt BgL_objz00_4780;

								BgL_objz00_4780 = ((BgL_objectz00_bglt) BgL_new1880z00_1980);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4780, BgL_arg2523z00_1981);
						}}
						{	/* Ast/node.scm 56 */
							BgL_objectz00_bglt BgL_auxz00_15615;

							BgL_auxz00_15615 = ((BgL_objectz00_bglt) BgL_new1880z00_1980);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15615, BFALSE);
						}
						BgL_new1881z00_1979 = BgL_new1880z00_1980;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1881z00_1979)))->BgL_locz00) =
						((obj_t) BgL_loc1084z00_1975), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1881z00_1979)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1085z00_1976), BUNSPEC);
					((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1881z00_1979)))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1086z00_1977), BUNSPEC);
					return BgL_new1881z00_1979;
				}
			}
		}
	}



/* &<anonymous:2511> */
	BgL_varz00_bglt BGl_z62zc3anonymousza32511ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7922, obj_t BgL_new1082z00_7923)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{
				BgL_varz00_bglt BgL_new1082z00_1951;

				BgL_new1082z00_1951 = ((BgL_varz00_bglt) BgL_new1082z00_7923);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1082z00_1951)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15628;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_4768;

						BgL_classz00_4768 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1090z00_4769;

							{	/* Ast/node.scm 51 */
								obj_t BgL_vectorz00_4770;
								int BgL_kz00_4771;

								BgL_vectorz00_4770 = BgL_classz00_4768;
								BgL_kz00_4771 = (int) (((long) 17));
								BgL__ortest_1090z00_4769 =
									VECTOR_REF(BgL_vectorz00_4770, BgL_kz00_4771);
							}
							if (CBOOL(BgL__ortest_1090z00_4769))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15628 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4769);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15628 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4768));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1082z00_1951)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15628), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_15638;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_4772;

						BgL_classz00_4772 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1090z00_4773;

							{	/* Ast/node.scm 51 */
								obj_t BgL_vectorz00_4774;
								int BgL_kz00_4775;

								BgL_vectorz00_4774 = BgL_classz00_4772;
								BgL_kz00_4775 = (int) (((long) 17));
								BgL__ortest_1090z00_4773 =
									VECTOR_REF(BgL_vectorz00_4774, BgL_kz00_4775);
							}
							if (CBOOL(BgL__ortest_1090z00_4773))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15638 =
										((BgL_variablez00_bglt) BgL__ortest_1090z00_4773);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15638 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4772));
								}
						}
					}
					((((BgL_varz00_bglt) CREF(BgL_new1082z00_1951))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_15638), BUNSPEC);
				}
				return BgL_new1082z00_1951;
			}
		}
	}



/* &lambda2509 */
	BgL_varz00_bglt BGl_z62lambda2509z62zzast_nodez00(obj_t BgL_envz00_7924)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{

				{	/* Ast/node.scm 51 */
					BgL_varz00_bglt BgL_new1081z00_1949;

					BgL_new1081z00_1949 =
						((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg2510z00_1950;

						{	/* Ast/node.scm 51 */
							long BgL_res3259z00_4765;

							{	/* Ast/node.scm 51 */
								obj_t BgL_classz00_4762;

								BgL_classz00_4762 = BGl_varz00zzast_nodez00;
								{	/* Ast/node.scm 51 */
									obj_t BgL_vectorz00_4763;
									int BgL_kz00_4764;

									BgL_vectorz00_4763 = BgL_classz00_4762;
									BgL_kz00_4764 = (int) (((long) 1));
									BgL_res3259z00_4765 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4763, BgL_kz00_4764));
							}}
							BgL_arg2510z00_1950 = BgL_res3259z00_4765;
						}
						{	/* Ast/node.scm 51 */
							BgL_objectz00_bglt BgL_objz00_4766;

							BgL_objz00_4766 = ((BgL_objectz00_bglt) BgL_new1081z00_1949);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4766, BgL_arg2510z00_1950);
					}}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_15654;

						BgL_auxz00_15654 = ((BgL_objectz00_bglt) BgL_new1081z00_1949);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15654, BFALSE);
					}
					return BgL_new1081z00_1949;
				}
			}
		}
	}



/* &lambda2506 */
	BgL_varz00_bglt BGl_z62lambda2506z62zzast_nodez00(obj_t BgL_envz00_7925,
		obj_t BgL_loc1078z00_7926, obj_t BgL_type1079z00_7927,
		obj_t BgL_variable1080z00_7928)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{
				obj_t BgL_loc1078z00_1941;
				BgL_typez00_bglt BgL_type1079z00_1942;
				BgL_variablez00_bglt BgL_variable1080z00_1943;

				BgL_loc1078z00_1941 = BgL_loc1078z00_7926;
				BgL_type1079z00_1942 = ((BgL_typez00_bglt) BgL_type1079z00_7927);
				BgL_variable1080z00_1943 =
					((BgL_variablez00_bglt) BgL_variable1080z00_7928);
				{	/* Ast/node.scm 51 */
					BgL_varz00_bglt BgL_new1877z00_1945;

					{	/* Ast/node.scm 51 */
						BgL_varz00_bglt BgL_new1876z00_1946;

						BgL_new1876z00_1946 =
							((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_varz00_bgl))));
						{	/* Ast/node.scm 51 */
							long BgL_arg2508z00_1947;

							{	/* Ast/node.scm 51 */
								long BgL_res3258z00_4759;

								{	/* Ast/node.scm 51 */
									obj_t BgL_classz00_4756;

									BgL_classz00_4756 = BGl_varz00zzast_nodez00;
									{	/* Ast/node.scm 51 */
										obj_t BgL_vectorz00_4757;
										int BgL_kz00_4758;

										BgL_vectorz00_4757 = BgL_classz00_4756;
										BgL_kz00_4758 = (int) (((long) 1));
										BgL_res3258z00_4759 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4757,
												BgL_kz00_4758));
								}}
								BgL_arg2508z00_1947 = BgL_res3258z00_4759;
							}
							{	/* Ast/node.scm 51 */
								BgL_objectz00_bglt BgL_objz00_4760;

								BgL_objz00_4760 = ((BgL_objectz00_bglt) BgL_new1876z00_1946);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4760, BgL_arg2508z00_1947);
						}}
						{	/* Ast/node.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_15663;

							BgL_auxz00_15663 = ((BgL_objectz00_bglt) BgL_new1876z00_1946);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15663, BFALSE);
						}
						BgL_new1877z00_1945 = BgL_new1876z00_1946;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1877z00_1945)))->BgL_locz00) =
						((obj_t) BgL_loc1078z00_1941), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1877z00_1945)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1079z00_1942), BUNSPEC);
					((((BgL_varz00_bglt) CREF(BgL_new1877z00_1945))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1080z00_1943), BUNSPEC);
					return BgL_new1877z00_1945;
				}
			}
		}
	}



/* &lambda2516 */
	obj_t BGl_z62lambda2516z62zzast_nodez00(obj_t BgL_envz00_7929,
		obj_t BgL_oz00_7930, obj_t BgL_vz00_7931)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_varz00_bglt BgL_oz00_9520;
				BgL_variablez00_bglt BgL_vz00_9521;

				BgL_oz00_9520 = ((BgL_varz00_bglt) BgL_oz00_7930);
				BgL_vz00_9521 = ((BgL_variablez00_bglt) BgL_vz00_7931);
				return
					((((BgL_varz00_bglt) CREF(BgL_oz00_9520))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_vz00_9521), BUNSPEC);
			}
		}
	}



/* &lambda2515 */
	BgL_variablez00_bglt BGl_z62lambda2515z62zzast_nodez00(obj_t BgL_envz00_7932,
		obj_t BgL_oz00_7933)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_7933)))->BgL_variablez00);
		}
	}



/* &<anonymous:2495> */
	BgL_atomz00_bglt BGl_z62zc3anonymousza32495ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7934, obj_t BgL_new1076z00_7935)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_new1076z00_1917;

				BgL_new1076z00_1917 = ((BgL_atomz00_bglt) BgL_new1076z00_7935);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1076z00_1917)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15680;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_4747;

						BgL_classz00_4747 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1090z00_4748;

							{	/* Ast/node.scm 46 */
								obj_t BgL_vectorz00_4749;
								int BgL_kz00_4750;

								BgL_vectorz00_4749 = BgL_classz00_4747;
								BgL_kz00_4750 = (int) (((long) 17));
								BgL__ortest_1090z00_4748 =
									VECTOR_REF(BgL_vectorz00_4749, BgL_kz00_4750);
							}
							if (CBOOL(BgL__ortest_1090z00_4748))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_15680 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4748);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_15680 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4747));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1076z00_1917)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15680), BUNSPEC);
				}
				((((BgL_atomz00_bglt) CREF(BgL_new1076z00_1917))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1076z00_1917;
			}
		}
	}



/* &lambda2493 */
	BgL_atomz00_bglt BGl_z62lambda2493z62zzast_nodez00(obj_t BgL_envz00_7936)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{

				{	/* Ast/node.scm 46 */
					BgL_atomz00_bglt BgL_new1075z00_1915;

					BgL_new1075z00_1915 =
						((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_atomz00_bgl))));
					{	/* Ast/node.scm 46 */
						long BgL_arg2494z00_1916;

						{	/* Ast/node.scm 46 */
							long BgL_res3257z00_4744;

							{	/* Ast/node.scm 46 */
								obj_t BgL_classz00_4741;

								BgL_classz00_4741 = BGl_atomz00zzast_nodez00;
								{	/* Ast/node.scm 46 */
									obj_t BgL_vectorz00_4742;
									int BgL_kz00_4743;

									BgL_vectorz00_4742 = BgL_classz00_4741;
									BgL_kz00_4743 = (int) (((long) 1));
									BgL_res3257z00_4744 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4742, BgL_kz00_4743));
							}}
							BgL_arg2494z00_1916 = BgL_res3257z00_4744;
						}
						{	/* Ast/node.scm 46 */
							BgL_objectz00_bglt BgL_objz00_4745;

							BgL_objz00_4745 = ((BgL_objectz00_bglt) BgL_new1075z00_1915);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4745, BgL_arg2494z00_1916);
					}}
					{	/* Ast/node.scm 46 */
						BgL_objectz00_bglt BgL_auxz00_15698;

						BgL_auxz00_15698 = ((BgL_objectz00_bglt) BgL_new1075z00_1915);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15698, BFALSE);
					}
					return BgL_new1075z00_1915;
				}
			}
		}
	}



/* &lambda2491 */
	BgL_atomz00_bglt BGl_z62lambda2491z62zzast_nodez00(obj_t BgL_envz00_7937,
		obj_t BgL_loc1072z00_7938, obj_t BgL_type1073z00_7939,
		obj_t BgL_value1074z00_7940)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{
				obj_t BgL_loc1072z00_1907;
				BgL_typez00_bglt BgL_type1073z00_1908;
				obj_t BgL_value1074z00_1909;

				BgL_loc1072z00_1907 = BgL_loc1072z00_7938;
				BgL_type1073z00_1908 = ((BgL_typez00_bglt) BgL_type1073z00_7939);
				BgL_value1074z00_1909 = BgL_value1074z00_7940;
				{	/* Ast/node.scm 46 */
					BgL_atomz00_bglt BgL_new1873z00_1911;

					{	/* Ast/node.scm 46 */
						BgL_atomz00_bglt BgL_new1872z00_1912;

						BgL_new1872z00_1912 =
							((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_atomz00_bgl))));
						{	/* Ast/node.scm 46 */
							long BgL_arg2492z00_1913;

							{	/* Ast/node.scm 46 */
								long BgL_res3256z00_4738;

								{	/* Ast/node.scm 46 */
									obj_t BgL_classz00_4735;

									BgL_classz00_4735 = BGl_atomz00zzast_nodez00;
									{	/* Ast/node.scm 46 */
										obj_t BgL_vectorz00_4736;
										int BgL_kz00_4737;

										BgL_vectorz00_4736 = BgL_classz00_4735;
										BgL_kz00_4737 = (int) (((long) 1));
										BgL_res3256z00_4738 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4736,
												BgL_kz00_4737));
								}}
								BgL_arg2492z00_1913 = BgL_res3256z00_4738;
							}
							{	/* Ast/node.scm 46 */
								BgL_objectz00_bglt BgL_objz00_4739;

								BgL_objz00_4739 = ((BgL_objectz00_bglt) BgL_new1872z00_1912);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4739, BgL_arg2492z00_1913);
						}}
						{	/* Ast/node.scm 46 */
							BgL_objectz00_bglt BgL_auxz00_15707;

							BgL_auxz00_15707 = ((BgL_objectz00_bglt) BgL_new1872z00_1912);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15707, BFALSE);
						}
						BgL_new1873z00_1911 = BgL_new1872z00_1912;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1873z00_1911)))->BgL_locz00) =
						((obj_t) BgL_loc1072z00_1907), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1873z00_1911)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1073z00_1908), BUNSPEC);
					((((BgL_atomz00_bglt) CREF(BgL_new1873z00_1911))->BgL_valuez00) =
						((obj_t) BgL_value1074z00_1909), BUNSPEC);
					return BgL_new1873z00_1911;
				}
			}
		}
	}



/* &lambda2500 */
	obj_t BGl_z62lambda2500z62zzast_nodez00(obj_t BgL_envz00_7941,
		obj_t BgL_oz00_7942, obj_t BgL_vz00_7943)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{	/* Ast/node.scm 46 */
				BgL_atomz00_bglt BgL_oz00_9523;

				BgL_oz00_9523 = ((BgL_atomz00_bglt) BgL_oz00_7942);
				return
					((((BgL_atomz00_bglt) CREF(BgL_oz00_9523))->BgL_valuez00) =
					((obj_t) BgL_vz00_7943), BUNSPEC);
			}
		}
	}



/* &lambda2499 */
	obj_t BGl_z62lambda2499z62zzast_nodez00(obj_t BgL_envz00_7944,
		obj_t BgL_oz00_7945)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) CREF(
						((BgL_atomz00_bglt) BgL_oz00_7945)))->BgL_valuez00);
		}
	}



/* &<anonymous:2471> */
	BgL_nodezf2effectzf2_bglt BGl_z62zc3anonymousza32471ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7946, obj_t BgL_new1070z00_7947)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_new1070z00_1865;

				BgL_new1070z00_1865 = ((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_7947);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1070z00_1865)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15722;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_4726;

						BgL_classz00_4726 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1090z00_4727;

							{	/* Ast/node.scm 37 */
								obj_t BgL_vectorz00_4728;
								int BgL_kz00_4729;

								BgL_vectorz00_4728 = BgL_classz00_4726;
								BgL_kz00_4729 = (int) (((long) 17));
								BgL__ortest_1090z00_4727 =
									VECTOR_REF(BgL_vectorz00_4728, BgL_kz00_4729);
							}
							if (CBOOL(BgL__ortest_1090z00_4727))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_15722 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4727);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_15722 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4726));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1070z00_1865)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15722), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1070z00_1865))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1070z00_1865))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_1865;
			}
		}
	}



/* &lambda2469 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda2469z62zzast_nodez00(obj_t
		BgL_envz00_7948)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1069z00_1863;

					BgL_new1069z00_1863 =
						((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg2470z00_1864;

						{	/* Ast/node.scm 37 */
							long BgL_res3255z00_4723;

							{	/* Ast/node.scm 37 */
								obj_t BgL_classz00_4720;

								BgL_classz00_4720 = BGl_nodezf2effectzf2zzast_nodez00;
								{	/* Ast/node.scm 37 */
									obj_t BgL_vectorz00_4721;
									int BgL_kz00_4722;

									BgL_vectorz00_4721 = BgL_classz00_4720;
									BgL_kz00_4722 = (int) (((long) 1));
									BgL_res3255z00_4723 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4721, BgL_kz00_4722));
							}}
							BgL_arg2470z00_1864 = BgL_res3255z00_4723;
						}
						{	/* Ast/node.scm 37 */
							BgL_objectz00_bglt BgL_objz00_4724;

							BgL_objz00_4724 = ((BgL_objectz00_bglt) BgL_new1069z00_1863);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4724, BgL_arg2470z00_1864);
					}}
					{	/* Ast/node.scm 37 */
						BgL_objectz00_bglt BgL_auxz00_15741;

						BgL_auxz00_15741 = ((BgL_objectz00_bglt) BgL_new1069z00_1863);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15741, BFALSE);
					}
					return BgL_new1069z00_1863;
				}
			}
		}
	}



/* &lambda2467 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda2467z62zzast_nodez00(obj_t
		BgL_envz00_7949, obj_t BgL_loc1065z00_7950, obj_t BgL_type1066z00_7951,
		obj_t BgL_sidezd2effect1067zd2_7952, obj_t BgL_key1068z00_7953)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{
				obj_t BgL_loc1065z00_1854;
				BgL_typez00_bglt BgL_type1066z00_1855;
				obj_t BgL_sidezd2effect1067zd2_1856;
				obj_t BgL_key1068z00_1857;

				BgL_loc1065z00_1854 = BgL_loc1065z00_7950;
				BgL_type1066z00_1855 = ((BgL_typez00_bglt) BgL_type1066z00_7951);
				BgL_sidezd2effect1067zd2_1856 = BgL_sidezd2effect1067zd2_7952;
				BgL_key1068z00_1857 = BgL_key1068z00_7953;
				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1867z00_1859;

					{	/* Ast/node.scm 37 */
						BgL_nodezf2effectzf2_bglt BgL_new1866z00_1860;

						BgL_new1866z00_1860 =
							((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodezf2effectzf2_bgl))));
						{	/* Ast/node.scm 37 */
							long BgL_arg2468z00_1861;

							{	/* Ast/node.scm 37 */
								long BgL_res3254z00_4717;

								{	/* Ast/node.scm 37 */
									obj_t BgL_classz00_4714;

									BgL_classz00_4714 = BGl_nodezf2effectzf2zzast_nodez00;
									{	/* Ast/node.scm 37 */
										obj_t BgL_vectorz00_4715;
										int BgL_kz00_4716;

										BgL_vectorz00_4715 = BgL_classz00_4714;
										BgL_kz00_4716 = (int) (((long) 1));
										BgL_res3254z00_4717 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4715,
												BgL_kz00_4716));
								}}
								BgL_arg2468z00_1861 = BgL_res3254z00_4717;
							}
							{	/* Ast/node.scm 37 */
								BgL_objectz00_bglt BgL_objz00_4718;

								BgL_objz00_4718 = ((BgL_objectz00_bglt) BgL_new1866z00_1860);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4718, BgL_arg2468z00_1861);
						}}
						{	/* Ast/node.scm 37 */
							BgL_objectz00_bglt BgL_auxz00_15750;

							BgL_auxz00_15750 = ((BgL_objectz00_bglt) BgL_new1866z00_1860);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15750, BFALSE);
						}
						BgL_new1867z00_1859 = BgL_new1866z00_1860;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1867z00_1859)))->BgL_locz00) =
						((obj_t) BgL_loc1065z00_1854), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1867z00_1859)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1066z00_1855), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1867z00_1859))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1067zd2_1856), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1867z00_1859))->
							BgL_keyz00) = ((obj_t) BgL_key1068z00_1857), BUNSPEC);
					return BgL_new1867z00_1859;
				}
			}
		}
	}



/* &<anonymous:2485> */
	obj_t BGl_z62zc3anonymousza32485ze3ze1zzast_nodez00(obj_t BgL_envz00_7954)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}
	}



/* &lambda2484 */
	obj_t BGl_z62lambda2484z62zzast_nodez00(obj_t BgL_envz00_7955,
		obj_t BgL_oz00_7956, obj_t BgL_vz00_7957)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_oz00_9526;

				BgL_oz00_9526 = ((BgL_nodezf2effectzf2_bglt) BgL_oz00_7956);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_9526))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_7957), BUNSPEC);
			}
		}
	}



/* &lambda2483 */
	obj_t BGl_z62lambda2483z62zzast_nodez00(obj_t BgL_envz00_7958,
		obj_t BgL_oz00_7959)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_7959)))->
				BgL_sidezd2effectzd2);
		}
	}



/* &<anonymous:2478> */
	obj_t BGl_z62zc3anonymousza32478ze3ze1zzast_nodez00(obj_t BgL_envz00_7960)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return BINT(((long) -1));
		}
	}



/* &lambda2477 */
	obj_t BGl_z62lambda2477z62zzast_nodez00(obj_t BgL_envz00_7961,
		obj_t BgL_oz00_7962, obj_t BgL_vz00_7963)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_oz00_9529;

				BgL_oz00_9529 = ((BgL_nodezf2effectzf2_bglt) BgL_oz00_7962);
				return
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_9529))->BgL_keyz00) =
					((obj_t) BgL_vz00_7963), BUNSPEC);
			}
		}
	}



/* &lambda2476 */
	obj_t BGl_z62lambda2476z62zzast_nodez00(obj_t BgL_envz00_7964,
		obj_t BgL_oz00_7965)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_7965)))->BgL_keyz00);
		}
	}



/* &<anonymous:2449> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32449ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7966, obj_t BgL_new1063z00_7967)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_new1063z00_1815;

				BgL_new1063z00_1815 = ((BgL_nodez00_bglt) BgL_new1063z00_7967);
				((((BgL_nodez00_bglt) CREF(BgL_new1063z00_1815))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15770;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_4700;

						BgL_classz00_4700 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1090z00_4701;

							{	/* Ast/node.scm 21 */
								obj_t BgL_vectorz00_4702;
								int BgL_kz00_4703;

								BgL_vectorz00_4702 = BgL_classz00_4700;
								BgL_kz00_4703 = (int) (((long) 17));
								BgL__ortest_1090z00_4701 =
									VECTOR_REF(BgL_vectorz00_4702, BgL_kz00_4703);
							}
							if (CBOOL(BgL__ortest_1090z00_4701))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15770 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_4701);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15770 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4700));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(BgL_new1063z00_1815))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15770), BUNSPEC);
				}
				return BgL_new1063z00_1815;
			}
		}
	}



/* &lambda2447 */
	BgL_nodez00_bglt BGl_z62lambda2447z62zzast_nodez00(obj_t BgL_envz00_7968)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1062z00_1813;

					BgL_new1062z00_1813 =
						((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg2448z00_1814;

						{	/* Ast/node.scm 21 */
							long BgL_res3253z00_4697;

							{	/* Ast/node.scm 21 */
								obj_t BgL_classz00_4694;

								BgL_classz00_4694 = BGl_nodez00zzast_nodez00;
								{	/* Ast/node.scm 21 */
									obj_t BgL_vectorz00_4695;
									int BgL_kz00_4696;

									BgL_vectorz00_4695 = BgL_classz00_4694;
									BgL_kz00_4696 = (int) (((long) 1));
									BgL_res3253z00_4697 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_4695, BgL_kz00_4696));
							}}
							BgL_arg2448z00_1814 = BgL_res3253z00_4697;
						}
						{	/* Ast/node.scm 21 */
							BgL_objectz00_bglt BgL_objz00_4698;

							BgL_objz00_4698 = ((BgL_objectz00_bglt) BgL_new1062z00_1813);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4698, BgL_arg2448z00_1814);
					}}
					{	/* Ast/node.scm 21 */
						BgL_objectz00_bglt BgL_auxz00_15786;

						BgL_auxz00_15786 = ((BgL_objectz00_bglt) BgL_new1062z00_1813);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15786, BFALSE);
					}
					return BgL_new1062z00_1813;
				}
			}
		}
	}



/* &lambda2445 */
	BgL_nodez00_bglt BGl_z62lambda2445z62zzast_nodez00(obj_t BgL_envz00_7969,
		obj_t BgL_loc1060z00_7970, obj_t BgL_type1061z00_7971)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{
				obj_t BgL_loc1060z00_1806;
				BgL_typez00_bglt BgL_type1061z00_1807;

				BgL_loc1060z00_1806 = BgL_loc1060z00_7970;
				BgL_type1061z00_1807 = ((BgL_typez00_bglt) BgL_type1061z00_7971);
				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1861z00_1809;

					{	/* Ast/node.scm 21 */
						BgL_nodez00_bglt BgL_new1860z00_1810;

						BgL_new1860z00_1810 =
							((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodez00_bgl))));
						{	/* Ast/node.scm 21 */
							long BgL_arg2446z00_1811;

							{	/* Ast/node.scm 21 */
								long BgL_res3252z00_4691;

								{	/* Ast/node.scm 21 */
									obj_t BgL_classz00_4688;

									BgL_classz00_4688 = BGl_nodez00zzast_nodez00;
									{	/* Ast/node.scm 21 */
										obj_t BgL_vectorz00_4689;
										int BgL_kz00_4690;

										BgL_vectorz00_4689 = BgL_classz00_4688;
										BgL_kz00_4690 = (int) (((long) 1));
										BgL_res3252z00_4691 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_4689,
												BgL_kz00_4690));
								}}
								BgL_arg2446z00_1811 = BgL_res3252z00_4691;
							}
							{	/* Ast/node.scm 21 */
								BgL_objectz00_bglt BgL_objz00_4692;

								BgL_objz00_4692 = ((BgL_objectz00_bglt) BgL_new1860z00_1810);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4692, BgL_arg2446z00_1811);
						}}
						{	/* Ast/node.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_15795;

							BgL_auxz00_15795 = ((BgL_objectz00_bglt) BgL_new1860z00_1810);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15795, BFALSE);
						}
						BgL_new1861z00_1809 = BgL_new1860z00_1810;
					}
					((((BgL_nodez00_bglt) CREF(BgL_new1861z00_1809))->BgL_locz00) =
						((obj_t) BgL_loc1060z00_1806), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(BgL_new1861z00_1809))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1061z00_1807), BUNSPEC);
					return BgL_new1861z00_1809;
				}
			}
		}
	}



/* &<anonymous:2461> */
	obj_t BGl_z62zc3anonymousza32461ze3ze1zzast_nodez00(obj_t BgL_envz00_7972)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2460 */
	obj_t BGl_z62lambda2460z62zzast_nodez00(obj_t BgL_envz00_7973,
		obj_t BgL_oz00_7974, obj_t BgL_vz00_7975)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_oz00_9532;

				BgL_oz00_9532 = ((BgL_nodez00_bglt) BgL_oz00_7974);
				return
					((((BgL_nodez00_bglt) CREF(BgL_oz00_9532))->BgL_locz00) =
					((obj_t) BgL_vz00_7975), BUNSPEC);
			}
		}
	}



/* &lambda2459 */
	obj_t BGl_z62lambda2459z62zzast_nodez00(obj_t BgL_envz00_7976,
		obj_t BgL_oz00_7977)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_7977)))->BgL_locz00);
		}
	}



/* &lambda2454 */
	obj_t BGl_z62lambda2454z62zzast_nodez00(obj_t BgL_envz00_7978,
		obj_t BgL_oz00_7979, obj_t BgL_vz00_7980)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_oz00_9535;
				BgL_typez00_bglt BgL_vz00_9536;

				BgL_oz00_9535 = ((BgL_nodez00_bglt) BgL_oz00_7979);
				BgL_vz00_9536 = ((BgL_typez00_bglt) BgL_vz00_7980);
				return
					((((BgL_nodez00_bglt) CREF(BgL_oz00_9535))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_9536), BUNSPEC);
			}
		}
	}



/* &lambda2453 */
	BgL_typez00_bglt BGl_z62lambda2453z62zzast_nodez00(obj_t BgL_envz00_7981,
		obj_t BgL_oz00_7982)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_7982)))->BgL_typez00);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3604z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3605z00zzast_nodez00);
		}
	}



/* &node-walk2355 */
	obj_t BGl_z62nodezd2walk2355zb0zzast_nodez00(obj_t BgL_envz00_7984,
		BgL_nodez00_bglt BgL_nodez00_7985, obj_t BgL_procz00_7986)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 269 */
			{
				BgL_nodez00_bglt BgL_nodez00_3506;
				obj_t BgL_procz00_3507;

				BgL_nodez00_3506 = BgL_nodez00_7985;
				BgL_procz00_3507 = BgL_procz00_7986;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 78)),
					BGl_string3606z00zzast_nodez00, ((obj_t) BgL_nodez00_3506));
		}}
	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_851, obj_t BgL_procz00_852)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 269 */
			{	/* Ast/node.scm 269 */
				obj_t BgL_method2356z00_3510;

				{	/* Ast/node.scm 269 */
					obj_t BgL_res3328z00_5779;

					{	/* Ast/node.scm 269 */
						BgL_objectz00_bglt BgL_objz00_5751;

						BgL_objz00_5751 = ((BgL_objectz00_bglt) BgL_nodez00_851);
						{	/* Ast/node.scm 269 */
							long BgL_objzd2classzd2numz00_5752;

							{	/* Ast/node.scm 269 */
								long BgL_res3322z00_5755;

								BgL_res3322z00_5755 = BGL_OBJECT_CLASS_NUM(BgL_objz00_5751);
								BgL_objzd2classzd2numz00_5752 = BgL_res3322z00_5755;
							}
							{	/* Ast/node.scm 269 */
								obj_t BgL_arg1812z00_5753;

								BgL_arg1812z00_5753 =
									PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
									(int) (((long) 1)));
								{	/* Ast/node.scm 269 */
									obj_t BgL_arrayz00_5756;
									int BgL_offsetz00_5757;

									BgL_arrayz00_5756 = BgL_arg1812z00_5753;
									BgL_offsetz00_5757 = (int) (BgL_objzd2classzd2numz00_5752);
									{	/* Ast/node.scm 269 */
										long BgL_offsetz00_5758;

										BgL_offsetz00_5758 =
											((long) (BgL_offsetz00_5757) - OBJECT_TYPE);
										{	/* Ast/node.scm 269 */
											long BgL_modz00_5759;

											{	/* Ast/node.scm 269 */
												int BgL_arg1814z00_5760;

												BgL_arg1814z00_5760 = (int) (((long) 16));
												{	/* Ast/node.scm 269 */
													long BgL_res3325z00_5770;

													{	/* Ast/node.scm 269 */
														long BgL_auxz00_15823;

														BgL_auxz00_15823 = (long) (BgL_arg1814z00_5760);
														BgL_res3325z00_5770 =
															(BgL_offsetz00_5758 / BgL_auxz00_15823);
													}
													BgL_modz00_5759 = BgL_res3325z00_5770;
											}}
											{	/* Ast/node.scm 269 */
												long BgL_restz00_5761;

												{	/* Ast/node.scm 269 */
													int BgL_arg1813z00_5762;

													BgL_arg1813z00_5762 = (int) (((long) 16));
													{	/* Ast/node.scm 269 */
														long BgL_res3327z00_5774;

														{	/* Ast/node.scm 269 */
															long BgL_auxz00_15827;

															BgL_auxz00_15827 = (long) (BgL_arg1813z00_5762);
															BgL_res3327z00_5774 =
																(BgL_offsetz00_5758 % BgL_auxz00_15827);
														}
														BgL_restz00_5761 = BgL_res3327z00_5774;
												}}
												{	/* Ast/node.scm 269 */

													BgL_res3328z00_5779 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_5756,
															(int) (BgL_modz00_5759)),
														(int) (BgL_restz00_5761));
					}}}}}}}}
					BgL_method2356z00_3510 = BgL_res3328z00_5779;
				}
				return
					PROCEDURE_ENTRY(BgL_method2356z00_3510) (BgL_method2356z00_3510,
					((obj_t) BgL_nodez00_851), BgL_procz00_852, BEOA);
			}
		}
	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_7987,
		obj_t BgL_nodez00_7988, obj_t BgL_procz00_7989)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 269 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_7988), BgL_procz00_7989);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3607z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3609z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3610z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3611z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3612z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3613z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3614z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3615z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3616z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3617z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3618z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3619z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc3620z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3621z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3622z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3623z00zzast_nodez00,
				BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3624z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3625z00zzast_nodez00, BGl_string3608z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3626z00zzast_nodez00,
				BGl_string3608z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3627z00zzast_nodez00,
				BGl_string3608z00zzast_nodez00);
		}
	}



/* &node-walk-jump-ex-it2396 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it2396z62zzast_nodez00(obj_t
		BgL_envz00_8010, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_8011,
		obj_t BgL_procz00_8012)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 424 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3660;
				obj_t BgL_procz00_3661;

				BgL_nodez00_3660 = BgL_nodez00_8011;
				BgL_procz00_3661 = BgL_procz00_8012;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3660))->BgL_exitz00),
					BgL_procz00_3661);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_jumpzd2exzd2itz00_bglt)
							CREF(BgL_nodez00_3660))->BgL_valuez00), BgL_procz00_3661);
				return PROCEDURE_ENTRY(BgL_procz00_3661) (BgL_procz00_3661,
					((obj_t) BgL_nodez00_3660), BEOA);
			}
		}
	}



/* &node-walk-set-ex-it2394 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it2394z62zzast_nodez00(obj_t
		BgL_envz00_8013, BgL_setzd2exzd2itz00_bglt BgL_nodez00_8014,
		obj_t BgL_procz00_8015)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 417 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3654;
				obj_t BgL_procz00_3655;

				BgL_nodez00_3654 = BgL_nodez00_8014;
				BgL_procz00_3655 = BgL_procz00_8015;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3654))->BgL_bodyz00),
					BgL_procz00_3655);
				return PROCEDURE_ENTRY(BgL_procz00_3655) (BgL_procz00_3655,
					((obj_t) BgL_nodez00_3654), BEOA);
			}
		}
	}



/* &node-walk-let-var2392 */
	obj_t BGl_z62nodezd2walkzd2letzd2var2392zb0zzast_nodez00(obj_t
		BgL_envz00_8016, BgL_letzd2varzd2_bglt BgL_nodez00_8017,
		obj_t BgL_procz00_8018)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 406 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3638;
				obj_t BgL_procz00_3639;

				BgL_nodez00_3638 = BgL_nodez00_8017;
				BgL_procz00_3639 = BgL_procz00_8018;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3638))->BgL_bodyz00),
					BgL_procz00_3639);
				{	/* Ast/node.scm 409 */
					obj_t BgL_g2281z00_3644;

					BgL_g2281z00_3644 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3638))->BgL_bindingsz00);
					{
						obj_t BgL_l2279z00_3646;

						BgL_l2279z00_3646 = BgL_g2281z00_3644;
					BgL_zc3anonymousza33197ze3z83_3647:
						if (PAIRP(BgL_l2279z00_3646))
							{	/* Ast/node.scm 409 */
								{	/* Ast/node.scm 410 */
									obj_t BgL_bindingz00_3649;

									BgL_bindingz00_3649 = CAR(BgL_l2279z00_3646);
									{	/* Ast/node.scm 410 */
										obj_t BgL_arg3199z00_3650;

										BgL_arg3199z00_3650 = CDR(BgL_bindingz00_3649);
										BGl_nodezd2walkzd2zzast_nodez00(
											((BgL_nodez00_bglt) BgL_arg3199z00_3650),
											BgL_procz00_3639);
									}
								}
								{
									obj_t BgL_l2279z00_15887;

									BgL_l2279z00_15887 = CDR(BgL_l2279z00_3646);
									BgL_l2279z00_3646 = BgL_l2279z00_15887;
									goto BgL_zc3anonymousza33197ze3z83_3647;
								}
							}
						else
							{	/* Ast/node.scm 409 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3639) (BgL_procz00_3639,
					((obj_t) BgL_nodez00_3638), BEOA);
			}
		}
	}



/* &node-walk-let-fun2390 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun2390zb0zzast_nodez00(obj_t
		BgL_envz00_8019, BgL_letzd2funzd2_bglt BgL_nodez00_8020,
		obj_t BgL_procz00_8021)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 394 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3621;
				obj_t BgL_procz00_3622;

				BgL_nodez00_3621 = BgL_nodez00_8020;
				BgL_procz00_3622 = BgL_procz00_8021;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3621))->BgL_bodyz00),
					BgL_procz00_3622);
				{	/* Ast/node.scm 397 */
					obj_t BgL_g2278z00_3627;

					BgL_g2278z00_3627 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3621))->BgL_localsz00);
					{
						obj_t BgL_l2276z00_3629;

						BgL_l2276z00_3629 = BgL_g2278z00_3627;
					BgL_zc3anonymousza33192ze3z83_3630:
						if (PAIRP(BgL_l2276z00_3629))
							{	/* Ast/node.scm 397 */
								{	/* Ast/node.scm 398 */
									obj_t BgL_localz00_3632;

									BgL_localz00_3632 = CAR(BgL_l2276z00_3629);
									{	/* Ast/node.scm 398 */
										BgL_valuez00_bglt BgL_sfunz00_3633;

										BgL_sfunz00_3633 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_3632))))->
											BgL_valuez00);
										{	/* Ast/node.scm 399 */
											obj_t BgL_arg3194z00_3634;

											BgL_arg3194z00_3634 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_3633)))->
												BgL_bodyz00);
											BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
													BgL_arg3194z00_3634), BgL_procz00_3622);
										}
									}
								}
								{
									obj_t BgL_l2276z00_15907;

									BgL_l2276z00_15907 = CDR(BgL_l2276z00_3629);
									BgL_l2276z00_3629 = BgL_l2276z00_15907;
									goto BgL_zc3anonymousza33192ze3z83_3630;
								}
							}
						else
							{	/* Ast/node.scm 397 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3622) (BgL_procz00_3622,
					((obj_t) BgL_nodez00_3621), BEOA);
			}
		}
	}



/* &node-walk-box-set!2388 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz122388za2zzast_nodez00(obj_t
		BgL_envz00_8022, BgL_boxzd2setz12zc0_bglt BgL_nodez00_8023,
		obj_t BgL_procz00_8024)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 386 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3614;
				obj_t BgL_procz00_3615;

				BgL_nodez00_3614 = BgL_nodez00_8023;
				BgL_procz00_3615 = BgL_procz00_8024;
				{	/* Ast/node.scm 387 */
					BgL_varz00_bglt BgL_arg3189z00_3618;

					BgL_arg3189z00_3618 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3614))->BgL_varz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3189z00_3618), BgL_procz00_3615);
				}
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3614))->BgL_valuez00),
					BgL_procz00_3615);
				return PROCEDURE_ENTRY(BgL_procz00_3615) (BgL_procz00_3615,
					((obj_t) BgL_nodez00_3614), BEOA);
			}
		}
	}



/* &node-walk-box-ref2386 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref2386zb0zzast_nodez00(obj_t
		BgL_envz00_8025, BgL_boxzd2refzd2_bglt BgL_nodez00_8026,
		obj_t BgL_procz00_8027)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 379 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3608;
				obj_t BgL_procz00_3609;

				BgL_nodez00_3608 = BgL_nodez00_8026;
				BgL_procz00_3609 = BgL_procz00_8027;
				{	/* Ast/node.scm 380 */
					BgL_varz00_bglt BgL_arg3188z00_5843;

					BgL_arg3188z00_5843 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3608))->BgL_varz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3188z00_5843), BgL_procz00_3609);
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3609) (BgL_procz00_3609,
					((obj_t) BgL_nodez00_3608), BEOA);
			}
		}
	}



/* &node-walk-make-box2384 */
	obj_t BGl_z62nodezd2walkzd2makezd2box2384zb0zzast_nodez00(obj_t
		BgL_envz00_8028, BgL_makezd2boxzd2_bglt BgL_nodez00_8029,
		obj_t BgL_procz00_8030)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 372 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3602;
				obj_t BgL_procz00_3603;

				BgL_nodez00_3602 = BgL_nodez00_8029;
				BgL_procz00_3603 = BgL_procz00_8030;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3602))->BgL_valuez00),
					BgL_procz00_3603);
				return PROCEDURE_ENTRY(BgL_procz00_3603) (BgL_procz00_3603,
					((obj_t) BgL_nodez00_3602), BEOA);
			}
		}
	}



/* &node-walk-select2382 */
	obj_t BGl_z62nodezd2walkzd2select2382z62zzast_nodez00(obj_t BgL_envz00_8031,
		BgL_selectz00_bglt BgL_nodez00_8032, obj_t BgL_procz00_8033)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 362 */
			{
				BgL_selectz00_bglt BgL_nodez00_3587;
				obj_t BgL_procz00_3588;

				BgL_nodez00_3587 = BgL_nodez00_8032;
				BgL_procz00_3588 = BgL_procz00_8033;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_3587))->BgL_testz00),
					BgL_procz00_3588);
				{	/* Ast/node.scm 364 */
					obj_t BgL_g2275z00_3592;

					BgL_g2275z00_3592 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3587))->BgL_clausesz00);
					{
						obj_t BgL_l2273z00_3594;

						BgL_l2273z00_3594 = BgL_g2275z00_3592;
					BgL_zc3anonymousza33183ze3z83_3595:
						if (PAIRP(BgL_l2273z00_3594))
							{	/* Ast/node.scm 366 */
								{	/* Ast/node.scm 365 */
									obj_t BgL_clausez00_3597;

									BgL_clausez00_3597 = CAR(BgL_l2273z00_3594);
									{	/* Ast/node.scm 365 */
										obj_t BgL_arg3185z00_3598;

										BgL_arg3185z00_3598 = CDR(BgL_clausez00_3597);
										BGl_nodezd2walkzd2zzast_nodez00(
											((BgL_nodez00_bglt) BgL_arg3185z00_3598),
											BgL_procz00_3588);
									}
								}
								{
									obj_t BgL_l2273z00_15948;

									BgL_l2273z00_15948 = CDR(BgL_l2273z00_3594);
									BgL_l2273z00_3594 = BgL_l2273z00_15948;
									goto BgL_zc3anonymousza33183ze3z83_3595;
								}
							}
						else
							{	/* Ast/node.scm 366 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3588) (BgL_procz00_3588,
					((obj_t) BgL_nodez00_3587), BEOA);
			}
		}
	}



/* &node-walk-fail2380 */
	obj_t BGl_z62nodezd2walkzd2fail2380z62zzast_nodez00(obj_t BgL_envz00_8034,
		BgL_failz00_bglt BgL_nodez00_8035, obj_t BgL_procz00_8036)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 353 */
			{
				BgL_failz00_bglt BgL_nodez00_3579;
				obj_t BgL_procz00_3580;

				BgL_nodez00_3579 = BgL_nodez00_8035;
				BgL_procz00_3580 = BgL_procz00_8036;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_3579))->BgL_procz00),
					BgL_procz00_3580);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_3579))->BgL_msgz00), BgL_procz00_3580);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_3579))->BgL_objz00), BgL_procz00_3580);
				return PROCEDURE_ENTRY(BgL_procz00_3580) (BgL_procz00_3580,
					((obj_t) BgL_nodez00_3579), BEOA);
			}
		}
	}



/* &node-walk-conditiona2378 */
	obj_t BGl_z62nodezd2walkzd2conditiona2378z62zzast_nodez00(obj_t
		BgL_envz00_8037, BgL_conditionalz00_bglt BgL_nodez00_8038,
		obj_t BgL_procz00_8039)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 344 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3571;
				obj_t BgL_procz00_3572;

				BgL_nodez00_3571 = BgL_nodez00_8038;
				BgL_procz00_3572 = BgL_procz00_8039;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3571))->BgL_testz00),
					BgL_procz00_3572);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_3571))->BgL_truez00), BgL_procz00_3572);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_3571))->BgL_falsez00), BgL_procz00_3572);
				return PROCEDURE_ENTRY(BgL_procz00_3572) (BgL_procz00_3572,
					((obj_t) BgL_nodez00_3571), BEOA);
			}
		}
	}



/* &node-walk-setq2376 */
	obj_t BGl_z62nodezd2walkzd2setq2376z62zzast_nodez00(obj_t BgL_envz00_8040,
		BgL_setqz00_bglt BgL_nodez00_8041, obj_t BgL_procz00_8042)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 337 */
			{
				BgL_setqz00_bglt BgL_nodez00_3565;
				obj_t BgL_procz00_3566;

				BgL_nodez00_3565 = BgL_nodez00_8041;
				BgL_procz00_3566 = BgL_procz00_8042;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_3565))->BgL_valuez00),
					BgL_procz00_3566);
				return PROCEDURE_ENTRY(BgL_procz00_3566) (BgL_procz00_3566,
					((obj_t) BgL_nodez00_3565), BEOA);
			}
		}
	}



/* &node-walk-cast2374 */
	obj_t BGl_z62nodezd2walkzd2cast2374z62zzast_nodez00(obj_t BgL_envz00_8043,
		BgL_castz00_bglt BgL_nodez00_8044, obj_t BgL_procz00_8045)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 330 */
			{
				BgL_castz00_bglt BgL_nodez00_3559;
				obj_t BgL_procz00_3560;

				BgL_nodez00_3559 = BgL_nodez00_8044;
				BgL_procz00_3560 = BgL_procz00_8045;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_3559))->BgL_argz00),
					BgL_procz00_3560);
				return PROCEDURE_ENTRY(BgL_procz00_3560) (BgL_procz00_3560,
					((obj_t) BgL_nodez00_3559), BEOA);
			}
		}
	}



/* &node-walk-extern2372 */
	obj_t BGl_z62nodezd2walkzd2extern2372z62zzast_nodez00(obj_t BgL_envz00_8046,
		BgL_externz00_bglt BgL_nodez00_8047, obj_t BgL_procz00_8048)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 323 */
			{
				BgL_externz00_bglt BgL_nodez00_3553;
				obj_t BgL_procz00_3554;

				BgL_nodez00_3553 = BgL_nodez00_8047;
				BgL_procz00_3554 = BgL_procz00_8048;
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3553))->BgL_exprza2za2),
					BgL_procz00_3554);
				return PROCEDURE_ENTRY(BgL_procz00_3554) (BgL_procz00_3554,
					((obj_t) BgL_nodez00_3553), BEOA);
			}
		}
	}



/* &node-walk-funcall2370 */
	obj_t BGl_z62nodezd2walkzd2funcall2370z62zzast_nodez00(obj_t BgL_envz00_8049,
		BgL_funcallz00_bglt BgL_nodez00_8050, obj_t BgL_procz00_8051)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 315 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3546;
				obj_t BgL_procz00_3547;

				BgL_nodez00_3546 = BgL_nodez00_8050;
				BgL_procz00_3547 = BgL_procz00_8051;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_3546))->BgL_funz00),
					BgL_procz00_3547);
				BGl_nodezd2walkza2z70zzast_nodez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_3546))->BgL_argsz00), BgL_procz00_3547);
				return PROCEDURE_ENTRY(BgL_procz00_3547) (BgL_procz00_3547,
					((obj_t) BgL_nodez00_3546), BEOA);
			}
		}
	}



/* &node-walk-app-ly2368 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly2368zb0zzast_nodez00(obj_t BgL_envz00_8052,
		BgL_appzd2lyzd2_bglt BgL_nodez00_8053, obj_t BgL_procz00_8054)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 307 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3539;
				obj_t BgL_procz00_3540;

				BgL_nodez00_3539 = BgL_nodez00_8053;
				BgL_procz00_3540 = BgL_procz00_8054;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_3539))->BgL_funz00),
					BgL_procz00_3540);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_3539))->BgL_argz00), BgL_procz00_3540);
				return PROCEDURE_ENTRY(BgL_procz00_3540) (BgL_procz00_3540,
					((obj_t) BgL_nodez00_3539), BEOA);
			}
		}
	}



/* &node-walk-app2366 */
	obj_t BGl_z62nodezd2walkzd2app2366z62zzast_nodez00(obj_t BgL_envz00_8055,
		BgL_appz00_bglt BgL_nodez00_8056, obj_t BgL_procz00_8057)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 299 */
			{
				BgL_appz00_bglt BgL_nodez00_3532;
				obj_t BgL_procz00_3533;

				BgL_nodez00_3532 = BgL_nodez00_8056;
				BgL_procz00_3533 = BgL_procz00_8057;
				{	/* Ast/node.scm 300 */
					BgL_varz00_bglt BgL_arg3167z00_3536;

					BgL_arg3167z00_3536 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_3532))->BgL_funz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3167z00_3536), BgL_procz00_3533);
				}
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3532))->BgL_argsz00),
					BgL_procz00_3533);
				return PROCEDURE_ENTRY(BgL_procz00_3533) (BgL_procz00_3533,
					((obj_t) BgL_nodez00_3532), BEOA);
			}
		}
	}



/* &node-walk-sequence2364 */
	obj_t BGl_z62nodezd2walkzd2sequence2364z62zzast_nodez00(obj_t BgL_envz00_8058,
		BgL_sequencez00_bglt BgL_nodez00_8059, obj_t BgL_procz00_8060)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 292 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3526;
				obj_t BgL_procz00_3527;

				BgL_nodez00_3526 = BgL_nodez00_8059;
				BgL_procz00_3527 = BgL_procz00_8060;
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3526))->BgL_nodesz00),
					BgL_procz00_3527);
				return PROCEDURE_ENTRY(BgL_procz00_3527) (BgL_procz00_3527,
					((obj_t) BgL_nodez00_3526), BEOA);
			}
		}
	}



/* &node-walk-kwote2362 */
	obj_t BGl_z62nodezd2walkzd2kwote2362z62zzast_nodez00(obj_t BgL_envz00_8061,
		BgL_kwotez00_bglt BgL_nodez00_8062, obj_t BgL_procz00_8063)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 286 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3521;
				obj_t BgL_procz00_3522;

				BgL_nodez00_3521 = BgL_nodez00_8062;
				BgL_procz00_3522 = BgL_procz00_8063;
				return
					PROCEDURE_ENTRY(BgL_procz00_3522) (BgL_procz00_3522,
					((obj_t) BgL_nodez00_3521), BEOA);
			}
		}
	}



/* &node-walk-var2360 */
	obj_t BGl_z62nodezd2walkzd2var2360z62zzast_nodez00(obj_t BgL_envz00_8064,
		BgL_varz00_bglt BgL_nodez00_8065, obj_t BgL_procz00_8066)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 280 */
			{
				BgL_varz00_bglt BgL_nodez00_3516;
				obj_t BgL_procz00_3517;

				BgL_nodez00_3516 = BgL_nodez00_8065;
				BgL_procz00_3517 = BgL_procz00_8066;
				return
					PROCEDURE_ENTRY(BgL_procz00_3517) (BgL_procz00_3517,
					((obj_t) BgL_nodez00_3516), BEOA);
			}
		}
	}



/* &node-walk-atom2358 */
	obj_t BGl_z62nodezd2walkzd2atom2358z62zzast_nodez00(obj_t BgL_envz00_8067,
		BgL_atomz00_bglt BgL_nodez00_8068, obj_t BgL_procz00_8069)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 274 */
			{
				BgL_atomz00_bglt BgL_nodez00_3511;
				obj_t BgL_procz00_3512;

				BgL_nodez00_3511 = BgL_nodez00_8068;
				BgL_procz00_3512 = BgL_procz00_8069;
				return
					PROCEDURE_ENTRY(BgL_procz00_3512) (BgL_procz00_3512,
					((obj_t) BgL_nodez00_3511), BEOA);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3628z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3628z00zzast_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
