/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31968ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32350ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32357ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32576ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31971ze3ze1zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza31972ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[42];


	   
		 
		DEFINE_STRING(BGl_string3083z00zzast_sexpz00,
		BgL_bgl_string3083za700za7za7a3118za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string3084z00zzast_sexpz00,
		BgL_bgl_string3084za700za7za7a3119za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string3085z00zzast_sexpz00,
		BgL_bgl_string3085za700za7za7a3120za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string3086z00zzast_sexpz00,
		BgL_bgl_string3086za700za7za7a3121za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string3087z00zzast_sexpz00,
		BgL_bgl_string3087za700za7za7a3122za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string3088z00zzast_sexpz00,
		BgL_bgl_string3088za700za7za7a3123za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string3089z00zzast_sexpz00,
		BgL_bgl_string3089za700za7za7a3124za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string3090z00zzast_sexpz00,
		BgL_bgl_string3090za700za7za7a3125za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string3091z00zzast_sexpz00,
		BgL_bgl_string3091za700za7za7a3126za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string3092z00zzast_sexpz00,
		BgL_bgl_string3092za700za7za7a3127za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string3093z00zzast_sexpz00,
		BgL_bgl_string3093za700za7za7a3128za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string3094z00zzast_sexpz00,
		BgL_bgl_string3094za700za7za7a3129za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string3095z00zzast_sexpz00,
		BgL_bgl_string3095za700za7za7a3130za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string3096z00zzast_sexpz00,
		BgL_bgl_string3096za700za7za7a3131za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string3097z00zzast_sexpz00,
		BgL_bgl_string3097za700za7za7a3132za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string3098z00zzast_sexpz00,
		BgL_bgl_string3098za700za7za7a3133za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string3099z00zzast_sexpz00,
		BgL_bgl_string3099za700za7za7a3134za7, "wrong number of argument", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3135z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza73136za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym3137z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza73138za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e3139za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod3140za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3100z00zzast_sexpz00,
		BgL_bgl_string3100za700za7za7a3141za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string3101z00zzast_sexpz00,
		BgL_bgl_string3101za700za7za7a3142za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string3102z00zzast_sexpz00,
		BgL_bgl_string3102za700za7za7a3143za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string3103z00zzast_sexpz00,
		BgL_bgl_string3103za700za7za7a3144za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string3104z00zzast_sexpz00,
		BgL_bgl_string3104za700za7za7a3145za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string3105z00zzast_sexpz00,
		BgL_bgl_string3105za700za7za7a3146za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string3106z00zzast_sexpz00,
		BgL_bgl_string3106za700za7za7a3147za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string3107z00zzast_sexpz00,
		BgL_bgl_string3107za700za7za7a3148za7, "($1)", 4);
	      DEFINE_STRING(BGl_string3108z00zzast_sexpz00,
		BgL_bgl_string3108za700za7za7a3149za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string3109z00zzast_sexpz00,
		BgL_bgl_string3109za700za7za7a3150za7, "<", 1);
	      DEFINE_STRING(BGl_string3110z00zzast_sexpz00,
		BgL_bgl_string3110za700za7za7a3151za7, ":", 1);
	      DEFINE_STRING(BGl_string3111z00zzast_sexpz00,
		BgL_bgl_string3111za700za7za7a3152za7, "./", 2);
	      DEFINE_STRING(BGl_string3112z00zzast_sexpz00,
		BgL_bgl_string3112za700za7za7a3153za7, ">", 1);
	      DEFINE_STRING(BGl_string3113z00zzast_sexpz00,
		BgL_bgl_string3113za700za7za7a3154za7, "-", 1);
	      DEFINE_STRING(BGl_string3114z00zzast_sexpz00,
		BgL_bgl_string3114za700za7za7a3155za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string3115z00zzast_sexpz00,
		BgL_bgl_string3115za700za7za7a3156za7,
		"> bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let lambda define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) value if (value apply app set!) ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d3157za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e33158z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za73159za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl3160z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3161z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_4729, char *BgL_fromz00_4730)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_4719;

				BgL_cportz00_4719 =
					bgl_open_input_string(BGl_string3115z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4720;

					BgL_iz00_4720 = ((long) 41);
				BgL_loopz00_4721:
					if ((BgL_iz00_4720 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg3117z00_4723;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_4725;

										BgL_locationz00_4725 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg3117z00_4723 =
												BGl_readz00zz__readerz00(BgL_cportz00_4719,
												BgL_locationz00_4725);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_4763;

									BgL_auxz00_4763 = (int) (BgL_iz00_4720);
									CNST_TABLE_SET(BgL_auxz00_4763, BgL_arg3117z00_4723);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_4726;

								BgL_auxz00_4726 = (int) ((BgL_iz00_4720 - ((long) 1)));
								{
									long BgL_iz00_4768;

									BgL_iz00_4768 = (long) (BgL_auxz00_4726);
									BgL_iz00_4720 = BgL_iz00_4768;
									goto BgL_loopz00_4721;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31968ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17));
		}
	}



/* <exit:1968> */
	obj_t BGl_zc3exitza31968ze3z83zzast_sexpz00(obj_t BgL_locz00_4717,
		obj_t BgL_expz00_4716)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1107z00_1473;

			if (SET_EXIT(BgL_an_exit1107z00_1473))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1107z00_1473 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 63 */

						PUSH_EXIT(BgL_an_exit1107z00_1473, ((long) 1));
						{	/* Ast/sexp.scm 63 */
							obj_t BgL_an_exitd1108z00_1474;

							BgL_an_exitd1108z00_1474 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Ast/sexp.scm 66 */
								obj_t BgL_res1110z00_1477;

								{	/* Ast/sexp.scm 66 */
									obj_t BgL_zc3anonymousza31972ze3z83_4653;
									obj_t BgL_zc3anonymousza31971ze3z83_4654;

									BgL_zc3anonymousza31972ze3z83_4653 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31972ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza31971ze3z83_4654 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31971ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31972ze3z83_4653,
										(int) (((long) 0)), BgL_expz00_4716);
									PROCEDURE_SET(BgL_zc3anonymousza31972ze3z83_4653,
										(int) (((long) 1)), BgL_locz00_4717);
									PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_4654,
										(int) (((long) 0)), BgL_an_exitd1108z00_1474);
									BgL_res1110z00_1477 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza31971ze3z83_4654,
										BgL_zc3anonymousza31972ze3z83_4653);
								}
								POP_EXIT();
								return BgL_res1110z00_1477;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4655, obj_t BgL_expz00_4656, obj_t BgL_locz00_4657)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31968ze3z83zzast_sexpz00(BgL_locz00_4657,
					BgL_expz00_4656));
		}
	}



/* &<anonymous:1972> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza31972ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4658)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_expz00_4659;
				obj_t BgL_locz00_4660;

				BgL_expz00_4659 = PROCEDURE_REF(BgL_envz00_4658, (int) (((long) 0)));
				BgL_locz00_4660 = PROCEDURE_REF(BgL_envz00_4658, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_4659, BNIL,
						BgL_locz00_4660, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:1971> */
	obj_t BGl_z62zc3anonymousza31971ze3ze1zzast_sexpz00(obj_t BgL_envz00_4661,
		obj_t BgL_ez00_4663)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_an_exitd1108z00_4662;

				BgL_an_exitd1108z00_4662 =
					PROCEDURE_REF(BgL_envz00_4661, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1480;

					BgL_ez00_1480 = BgL_ez00_4663;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1480);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1108z00_4662,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_4664)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_20, obj_t BgL_stackz00_21, obj_t BgL_locz00_22,
		obj_t BgL_sitez00_23)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 101 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1487;
				obj_t BgL_lz00_1492;
				obj_t BgL_bodyz00_1496;
				obj_t BgL_lz00_1499;
				obj_t BgL_valz00_1500;
				obj_t BgL_bodyz00_1504;
				obj_t BgL_argsz00_1505;
				obj_t BgL_varz00_1509;
				obj_t BgL_bodyz00_1510;
				obj_t BgL_argz00_1511;
				obj_t BgL_varsz00_1513;
				obj_t BgL_bodyz00_1514;
				obj_t BgL_argsz00_1515;
				obj_t BgL_effectz00_1519;
				obj_t BgL_restz00_1520;
				obj_t BgL_effectz00_1523;
				obj_t BgL_restz00_1524;

				if (NULLP(BgL_expz00_20))
					{	/* Ast/sexp.scm 106 */
						{	/* Ast/sexp.scm 109 */
							BgL_nodez00_bglt BgL_res2850z00_3489;

							{	/* Ast/sexp.scm 109 */
								obj_t BgL_arg2734z00_3485;
								BgL_nodez00_bglt BgL_arg2735z00_3486;

								BgL_arg2734z00_3485 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg2735z00_3486 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 3)),
									BNIL, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 109 */
									obj_t BgL_list2736z00_3488;

									BgL_list2736z00_3488 =
										MAKE_PAIR(((obj_t) BgL_arg2735z00_3486), BNIL);
									BgL_res2850z00_3489 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_22, BgL_arg2734z00_3485,
											BGl_string3098z00zzast_sexpz00, BgL_expz00_20,
											BgL_list2736z00_3488));
							}}
							return BgL_res2850z00_3489;
						}
					}
				else
					{	/* Ast/sexp.scm 106 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_4818;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 113 */
										BgL_externz00_bglt BgL_i1111z00_1957;

										BgL_i1111z00_1957 = ((BgL_externz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 114 */
											obj_t BgL_arg2348z00_1959;

											BgL_arg2348z00_1959 =
												(((BgL_externz00_bglt) CREF(BgL_i1111z00_1957))->
												BgL_exprza2za2);
											{	/* Ast/sexp.scm 114 */
												obj_t BgL_zc3anonymousza32350ze3z83_4667;

												BgL_zc3anonymousza32350ze3z83_4667 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32350ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32350ze3z83_4667,
													(int) (((long) 0)), ((obj_t) BgL_i1111z00_1957));
												PROCEDURE_SET(BgL_zc3anonymousza32350ze3z83_4667,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 114 */
													obj_t BgL_list2349z00_1960;

													BgL_list2349z00_1960 =
														MAKE_PAIR(BgL_arg2348z00_1959, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza32350ze3z83_4667,
														BgL_list2349z00_1960);
									}}}}
								else
									{	/* Ast/sexp.scm 112 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 116 */
										BgL_appz00_bglt BgL_i1112z00_1966;

										BgL_i1112z00_1966 = ((BgL_appz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 117 */
											obj_t BgL_arg2355z00_1968;

											BgL_arg2355z00_1968 =
												(((BgL_appz00_bglt) CREF(BgL_i1112z00_1966))->
												BgL_argsz00);
											{	/* Ast/sexp.scm 117 */
												obj_t BgL_zc3anonymousza32357ze3z83_4666;

												BgL_zc3anonymousza32357ze3z83_4666 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32357ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_4666,
													(int) (((long) 0)), ((obj_t) BgL_i1112z00_1966));
												PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_4666,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 117 */
													obj_t BgL_list2356z00_1969;

													BgL_list2356z00_1969 =
														MAKE_PAIR(BgL_arg2355z00_1968, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza32357ze3z83_4666,
														BgL_list2356z00_1969);
									}}}}
								else
									{	/* Ast/sexp.scm 115 */
										BFALSE;
									}
								BgL_auxz00_4818 = BgL_expz00_20;
								return ((BgL_nodez00_bglt) BgL_auxz00_4818);
							}
						else
							{	/* Ast/sexp.scm 106 */
								if (PAIRP(BgL_expz00_20))
									{	/* Ast/sexp.scm 106 */
										obj_t BgL_carzd2435zd2_1538;

										BgL_carzd2435zd2_1538 = CAR(BgL_expz00_20);
										if (SYMBOLP(BgL_carzd2435zd2_1538))
											{	/* Ast/sexp.scm 106 */
												bool_t BgL_testz00_4853;

												{	/* Ast/sexp.scm 106 */
													obj_t BgL_xz00_1746;

													BgL_xz00_1746 = BgL_carzd2435zd2_1538;
													{	/* Ast/sexp.scm 106 */
														obj_t BgL__ortest_1141z00_1747;

														BgL__ortest_1141z00_1747 =
															BGl_findzd2localzd2zzast_sexpz00(BgL_xz00_1746,
															BgL_stackz00_21);
														if (CBOOL(BgL__ortest_1141z00_1747))
															{	/* Ast/sexp.scm 106 */
																BgL_testz00_4853 =
																	CBOOL(BgL__ortest_1141z00_1747);
															}
														else
															{	/* Ast/sexp.scm 106 */
																obj_t BgL_gz00_1748;

																BgL_gz00_1748 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_1746, BNIL);
																if (CBOOL(BgL_gz00_1748))
																	{	/* Ast/sexp.scm 106 */
																		if (
																			((((BgL_globalz00_bglt) CREF(
																							((BgL_globalz00_bglt)
																								BgL_gz00_1748)))->
																					BgL_modulez00) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 106 */
																				BgL_testz00_4853 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				BgL_testz00_4853 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		BgL_testz00_4853 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_4853)
													{	/* Ast/sexp.scm 106 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20,
															BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
													}
												else
													{	/* Ast/sexp.scm 106 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 11))))
															{	/* Ast/sexp.scm 106 */
															BgL_tagzd2363zd2_1491:
																{	/* Ast/sexp.scm 157 */
																	obj_t BgL_locz00_1996;

																	BgL_locz00_1996 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_20, BgL_locz00_22);
																	{
																		obj_t BgL_namez00_1997;
																		obj_t BgL_modulez00_1998;

																		if (PAIRP(BgL_expz00_20))
																			{	/* Ast/sexp.scm 158 */
																				obj_t BgL_cdrzd21975zd2_2003;

																				BgL_cdrzd21975zd2_2003 =
																					CDR(BgL_expz00_20);
																				if (
																					(CAR(BgL_expz00_20) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Ast/sexp.scm 158 */
																						if (PAIRP(BgL_cdrzd21975zd2_2003))
																							{	/* Ast/sexp.scm 158 */
																								obj_t BgL_carzd21978zd2_2006;
																								obj_t BgL_cdrzd21979zd2_2007;

																								BgL_carzd21978zd2_2006 =
																									CAR(BgL_cdrzd21975zd2_2003);
																								BgL_cdrzd21979zd2_2007 =
																									CDR(BgL_cdrzd21975zd2_2003);
																								if (SYMBOLP
																									(BgL_carzd21978zd2_2006))
																									{	/* Ast/sexp.scm 158 */
																										if (PAIRP
																											(BgL_cdrzd21979zd2_2007))
																											{	/* Ast/sexp.scm 158 */
																												obj_t
																													BgL_carzd21984zd2_2010;
																												BgL_carzd21984zd2_2010 =
																													CAR
																													(BgL_cdrzd21979zd2_2007);
																												if (SYMBOLP
																													(BgL_carzd21984zd2_2010))
																													{	/* Ast/sexp.scm 158 */
																														if (NULLP(CDR
																																(BgL_cdrzd21979zd2_2007)))
																															{	/* Ast/sexp.scm 158 */
																																BgL_namez00_1997
																																	=
																																	BgL_carzd21978zd2_2006;
																																BgL_modulez00_1998
																																	=
																																	BgL_carzd21984zd2_2010;
																																{	/* Ast/sexp.scm 160 */
																																	obj_t
																																		BgL_globalz00_2015;
																																	BgL_globalz00_2015
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_1997,
																																		BgL_modulez00_1998);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2015, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 162 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_2015)))->BgL_importz00) == CNST_TABLE_REF(((long) 10))))
																																				{	/* Ast/sexp.scm 165 */
																																					obj_t
																																						BgL_arg2386z00_2018;
																																					{	/* Ast/sexp.scm 165 */
																																						obj_t
																																							BgL_arg2387z00_2019;
																																						BgL_arg2387z00_2019
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg2386z00_2018
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 10)), BgL_arg2387z00_2019);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_4905;
																																						obj_t
																																							BgL_expz00_4904;
																																						BgL_expz00_4904
																																							=
																																							BgL_arg2386z00_2018;
																																						BgL_locz00_4905
																																							=
																																							BgL_locz00_1996;
																																						BgL_locz00_22
																																							=
																																							BgL_locz00_4905;
																																						BgL_expz00_20
																																							=
																																							BgL_expz00_4904;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 164 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_2015,
																																						BgL_locz00_1996,
																																						BgL_sitez00_23);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 163 */
																																			BgL_nodez00_bglt
																																				BgL_res2865z00_3547;
																																			{	/* Ast/sexp.scm 163 */
																																				obj_t
																																					BgL_arg2734z00_3543;
																																				BgL_nodez00_bglt
																																					BgL_arg2735z00_3544;
																																				BgL_arg2734z00_3543
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg2735z00_3544
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 3)), BNIL, BgL_locz00_1996, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 163 */
																																					obj_t
																																						BgL_list2736z00_3546;
																																					BgL_list2736z00_3546
																																						=
																																						MAKE_PAIR
																																						(((obj_t) BgL_arg2735z00_3544), BNIL);
																																					BgL_res2865z00_3547
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_1996,
																																							BgL_arg2734z00_3543,
																																							BGl_string3096z00zzast_sexpz00,
																																							BgL_expz00_20,
																																							BgL_list2736z00_3546));
																																			}}
																																			return
																																				BgL_res2865z00_3547;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 158 */
																															BgL_tagzd21968zd2_2000:
																																{	/* Ast/sexp.scm 169 */
																																	BgL_nodez00_bglt
																																		BgL_res2866z00_3555;
																																	{	/* Ast/sexp.scm 169 */
																																		obj_t
																																			BgL_arg2734z00_3551;
																																		BgL_nodez00_bglt
																																			BgL_arg2735z00_3552;
																																		BgL_arg2734z00_3551
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg2735z00_3552
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					3)),
																																			BNIL,
																																			BgL_locz00_1996,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 169 */
																																			obj_t
																																				BgL_list2736z00_3554;
																																			BgL_list2736z00_3554
																																				=
																																				MAKE_PAIR
																																				(((obj_t) BgL_arg2735z00_3552), BNIL);
																																			BgL_res2866z00_3555
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_1996,
																																					BgL_arg2734z00_3551,
																																					BGl_string3095z00zzast_sexpz00,
																																					BgL_expz00_20,
																																					BgL_list2736z00_3554));
																																	}}
																																	return
																																		BgL_res2866z00_3555;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 158 */
																														goto
																															BgL_tagzd21968zd2_2000;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 158 */
																												goto
																													BgL_tagzd21968zd2_2000;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 158 */
																										goto BgL_tagzd21968zd2_2000;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 158 */
																								goto BgL_tagzd21968zd2_2000;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 158 */
																						goto BgL_tagzd21968zd2_2000;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 158 */
																				goto BgL_tagzd21968zd2_2000;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 106 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 14))))
																	{	/* Ast/sexp.scm 106 */
																		BgL_lz00_1492 = CDR(BgL_expz00_20);
																	BgL_tagzd2364zd2_1493:
																		{	/* Ast/sexp.scm 172 */
																			bool_t BgL_testz00_4929;

																			if (PAIRP(BgL_lz00_1492))
																				{	/* Ast/sexp.scm 172 */
																					bool_t BgL_testz00_4932;

																					{	/* Ast/sexp.scm 172 */
																						obj_t BgL_auxz00_4933;

																						BgL_auxz00_4933 =
																							CDR(BgL_lz00_1492);
																						BgL_testz00_4932 =
																							PAIRP(BgL_auxz00_4933);
																					}
																					if (BgL_testz00_4932)
																						{
																							obj_t BgL_l1955z00_2025;

																							BgL_l1955z00_2025 = BgL_lz00_1492;
																						BgL_zc3anonymousza32393ze3z83_2026:
																							if (NULLP(BgL_l1955z00_2025))
																								{	/* Ast/sexp.scm 172 */
																									BgL_testz00_4929 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 172 */
																									bool_t BgL_testz00_4938;

																									{	/* Ast/sexp.scm 172 */
																										obj_t BgL_auxz00_4939;

																										BgL_auxz00_4939 =
																											CAR(BgL_l1955z00_2025);
																										BgL_testz00_4938 =
																											SYMBOLP(BgL_auxz00_4939);
																									}
																									if (BgL_testz00_4938)
																										{
																											obj_t BgL_l1955z00_4942;

																											BgL_l1955z00_4942 =
																												CDR(BgL_l1955z00_2025);
																											BgL_l1955z00_2025 =
																												BgL_l1955z00_4942;
																											goto
																												BgL_zc3anonymousza32393ze3z83_2026;
																										}
																									else
																										{	/* Ast/sexp.scm 172 */
																											BgL_testz00_4929 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 172 */
																							BgL_testz00_4929 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 172 */
																					BgL_testz00_4929 = ((bool_t) 0);
																				}
																			if (BgL_testz00_4929)
																				{	/* Ast/sexp.scm 172 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1492, BgL_expz00_20,
																						BgL_stackz00_21, BgL_locz00_22,
																						BgL_sitez00_23);
																				}
																			else
																				{	/* Ast/sexp.scm 174 */
																					BgL_nodez00_bglt BgL_res2877z00_3592;

																					{	/* Ast/sexp.scm 174 */
																						obj_t BgL_arg2734z00_3588;
																						BgL_nodez00_bglt
																							BgL_arg2735z00_3589;
																						BgL_arg2734z00_3588 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg2735z00_3589 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 3)), BNIL,
																							BgL_locz00_22,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 174 */
																							obj_t BgL_list2736z00_3591;

																							BgL_list2736z00_3591 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg2735z00_3589),
																								BNIL);
																							BgL_res2877z00_3592 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_22,
																									BgL_arg2734z00_3588,
																									BGl_string3092z00zzast_sexpz00,
																									BgL_expz00_20,
																									BgL_list2736z00_3591));
																					}}
																					return BgL_res2877z00_3592;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		if (
																			(CAR(BgL_expz00_20) ==
																				CNST_TABLE_REF(((long) 12))))
																			{	/* Ast/sexp.scm 106 */
																			BgL_tagzd2365zd2_1494:
																				{
																					obj_t BgL_valuez00_2033;

																					if (PAIRP(BgL_expz00_20))
																						{	/* Ast/sexp.scm 106 */
																							obj_t BgL_cdrzd21995zd2_2038;

																							BgL_cdrzd21995zd2_2038 =
																								CDR(BgL_expz00_20);
																							if (PAIRP(BgL_cdrzd21995zd2_2038))
																								{	/* Ast/sexp.scm 106 */
																									if (NULLP(CDR
																											(BgL_cdrzd21995zd2_2038)))
																										{	/* Ast/sexp.scm 106 */
																											BgL_valuez00_2033 =
																												CAR
																												(BgL_cdrzd21995zd2_2038);
																											{	/* Ast/sexp.scm 179 */
																												obj_t BgL_locz00_2043;

																												BgL_locz00_2043 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_20,
																													BgL_locz00_22);
																												if (NULLP
																													(BgL_valuez00_2033))
																													{	/* Ast/sexp.scm 182 */
																														BgL_atomz00_bglt
																															BgL_new1121z00_2045;
																														{	/* Ast/sexp.scm 182 */
																															BgL_atomz00_bglt
																																BgL_new1119z00_2047;
																															BgL_new1119z00_2047
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 182 */
																																long
																																	BgL_arg2406z00_2048;
																																{	/* Ast/sexp.scm 182 */
																																	long
																																		BgL_res2879z00_3598;
																																	{	/* Ast/sexp.scm 182 */
																																		obj_t
																																			BgL_classz00_3595;
																																		BgL_classz00_3595
																																			=
																																			BGl_atomz00zzast_nodez00;
																																		{	/* Ast/sexp.scm 182 */
																																			obj_t
																																				BgL_vectorz00_3596;
																																			int
																																				BgL_kz00_3597;
																																			BgL_vectorz00_3596
																																				=
																																				BgL_classz00_3595;
																																			BgL_kz00_3597
																																				=
																																				(int) ((
																																					(long)
																																					1));
																																			BgL_res2879z00_3598
																																				=
																																				(long)
																																				CINT
																																				(VECTOR_REF
																																				(BgL_vectorz00_3596,
																																					BgL_kz00_3597));
																																	}}
																																	BgL_arg2406z00_2048
																																		=
																																		BgL_res2879z00_3598;
																																}
																																{	/* Ast/sexp.scm 182 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_3599;
																																	BgL_objz00_3599
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1119z00_2047);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(BgL_objz00_3599,
																																		BgL_arg2406z00_2048);
																															}}
																															{	/* Ast/sexp.scm 182 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_4976;
																																BgL_auxz00_4976
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1119z00_2047);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_auxz00_4976,
																																	BFALSE);
																															}
																															BgL_new1121z00_2045
																																=
																																BgL_new1119z00_2047;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1121z00_2045)))->BgL_locz00) = ((obj_t) BgL_locz00_2043), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_4981;
																															{	/* Ast/sexp.scm 184 */
																																BgL_typez00_bglt
																																	BgL_arg2405z00_2046;
																																BgL_arg2405z00_2046
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_2033);
																																BgL_auxz00_4981
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg2405z00_2046,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1121z00_2045)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_4981), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1121z00_2045))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1121z00_2045);
																													}
																												else
																													{	/* Ast/sexp.scm 186 */
																														bool_t
																															BgL_testz00_4989;
																														if (PAIRP
																															(BgL_valuez00_2033))
																															{	/* Ast/sexp.scm 186 */
																																BgL_testz00_4989
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 186 */
																																if (VECTORP
																																	(BgL_valuez00_2033))
																																	{	/* Ast/sexp.scm 187 */
																																		BgL_testz00_4989
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 187 */
																																		if (BGL_HVECTORP(BgL_valuez00_2033))
																																			{	/* Ast/sexp.scm 188 */
																																				BgL_testz00_4989
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 188 */
																																				if (STRUCTP(BgL_valuez00_2033))
																																					{	/* Ast/sexp.scm 189 */
																																						BgL_testz00_4989
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 189 */
																																						if (SYMBOLP(BgL_valuez00_2033))
																																							{	/* Ast/sexp.scm 190 */
																																								BgL_testz00_4989
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 190 */
																																								BgL_testz00_4989
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_2033);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_4989)
																															{	/* Ast/sexp.scm 192 */
																																BgL_kwotez00_bglt
																																	BgL_new1124z00_2050;
																																{	/* Ast/sexp.scm 192 */
																																	BgL_kwotez00_bglt
																																		BgL_new1122z00_2052;
																																	BgL_new1122z00_2052
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 192 */
																																		long
																																			BgL_arg2409z00_2053;
																																		{	/* Ast/sexp.scm 192 */
																																			long
																																				BgL_res2885z00_3615;
																																			{	/* Ast/sexp.scm 192 */
																																				obj_t
																																					BgL_classz00_3612;
																																				BgL_classz00_3612
																																					=
																																					BGl_kwotez00zzast_nodez00;
																																				{	/* Ast/sexp.scm 192 */
																																					obj_t
																																						BgL_vectorz00_3613;
																																					int
																																						BgL_kz00_3614;
																																					BgL_vectorz00_3613
																																						=
																																						BgL_classz00_3612;
																																					BgL_kz00_3614
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2885z00_3615
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_3613,
																																							BgL_kz00_3614));
																																			}}
																																			BgL_arg2409z00_2053
																																				=
																																				BgL_res2885z00_3615;
																																		}
																																		{	/* Ast/sexp.scm 192 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_3616;
																																			BgL_objz00_3616
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1122z00_2052);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_3616,
																																				BgL_arg2409z00_2053);
																																	}}
																																	{	/* Ast/sexp.scm 192 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_5007;
																																		BgL_auxz00_5007
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1122z00_2052);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_5007,
																																			BFALSE);
																																	}
																																	BgL_new1124z00_2050
																																		=
																																		BgL_new1122z00_2052;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1124z00_2050)))->BgL_locz00) = ((obj_t) BgL_locz00_2043), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_5012;
																																	{	/* Ast/sexp.scm 194 */
																																		BgL_typez00_bglt
																																			BgL_arg2408z00_2051;
																																		BgL_arg2408z00_2051
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_2033);
																																		BgL_auxz00_5012
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg2408z00_2051,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1124z00_2050)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5012), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1124z00_2050))->BgL_valuez00) = ((obj_t) BgL_valuez00_2033), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1124z00_2050);
																															}
																														else
																															{	/* Ast/sexp.scm 196 */
																																bool_t
																																	BgL_testz00_5020;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2033))
																																	{	/* Ast/sexp.scm 196 */
																																		BgL_testz00_5020
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		if (STRINGP
																																			(BgL_valuez00_2033))
																																			{	/* Ast/sexp.scm 197 */
																																				BgL_testz00_5020
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 197 */
																																				if (CNSTP(BgL_valuez00_2033))
																																					{	/* Ast/sexp.scm 198 */
																																						BgL_testz00_5020
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 198 */
																																						if (CHARP(BgL_valuez00_2033))
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_5020
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_5020
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_2033);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_5020)
																																	{
																																		obj_t
																																			BgL_locz00_5031;
																																		obj_t
																																			BgL_expz00_5030;
																																		BgL_expz00_5030
																																			=
																																			BgL_valuez00_2033;
																																		BgL_locz00_5031
																																			=
																																			BgL_locz00_2043;
																																		BgL_locz00_22
																																			=
																																			BgL_locz00_5031;
																																		BgL_expz00_20
																																			=
																																			BgL_expz00_5030;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 206 */
																																		BgL_nodez00_bglt
																																			BgL_res2890z00_3633;
																																		{	/* Ast/sexp.scm 206 */
																																			obj_t
																																				BgL_arg2734z00_3629;
																																			BgL_nodez00_bglt
																																				BgL_arg2735z00_3630;
																																			BgL_arg2734z00_3629
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg2735z00_3630
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						3)),
																																				BNIL,
																																				BgL_locz00_2043,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 206 */
																																				obj_t
																																					BgL_list2736z00_3632;
																																				BgL_list2736z00_3632
																																					=
																																					MAKE_PAIR
																																					(((obj_t) BgL_arg2735z00_3630), BNIL);
																																				BgL_res2890z00_3633
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_2043,
																																						BgL_arg2734z00_3629,
																																						BGl_string3094z00zzast_sexpz00,
																																						BgL_expz00_20,
																																						BgL_list2736z00_3632));
																																		}}
																																		return
																																			BgL_res2890z00_3633;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 106 */
																										BgL_tagzd21990zd2_2035:
																											{	/* Ast/sexp.scm 208 */
																												BgL_nodez00_bglt
																													BgL_res2891z00_3641;
																												{	/* Ast/sexp.scm 208 */
																													obj_t
																														BgL_arg2734z00_3637;
																													BgL_nodez00_bglt
																														BgL_arg2735z00_3638;
																													BgL_arg2734z00_3637 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg2735z00_3638 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 3)),
																														BNIL, BgL_locz00_22,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 208 */
																														obj_t
																															BgL_list2736z00_3640;
																														BgL_list2736z00_3640
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_arg2735z00_3638),
																															BNIL);
																														BgL_res2891z00_3641
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_22,
																																BgL_arg2734z00_3637,
																																BGl_string3094z00zzast_sexpz00,
																																BgL_expz00_20,
																																BgL_list2736z00_3640));
																												}}
																												return
																													BgL_res2891z00_3641;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 106 */
																									goto BgL_tagzd21990zd2_2035;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 106 */
																							goto BgL_tagzd21990zd2_2035;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				if (
																					(CAR(BgL_expz00_20) ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* Ast/sexp.scm 106 */
																						if (NULLP(CDR(BgL_expz00_20)))
																							{	/* Ast/sexp.scm 106 */
																							BgL_tagzd2366zd2_1495:
																								{
																									obj_t BgL_locz00_5059;
																									obj_t BgL_expz00_5058;

																									BgL_expz00_5058 = BUNSPEC;
																									BgL_locz00_5059 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_20,
																										BgL_locz00_22);
																									BgL_locz00_22 =
																										BgL_locz00_5059;
																									BgL_expz00_20 =
																										BgL_expz00_5058;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								obj_t BgL_arg1986z00_1548;

																								BgL_arg1986z00_1548 =
																									CDR(BgL_expz00_20);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_5062;
																									BgL_bodyz00_1496 =
																										BgL_arg1986z00_1548;
																								BgL_tagzd2367zd2_1497:
																									{	/* Ast/sexp.scm 213 */
																										obj_t BgL_locz00_2065;

																										BgL_locz00_2065 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_20,
																											BgL_locz00_22);
																										{	/* Ast/sexp.scm 213 */
																											obj_t BgL_nodesz00_2066;

																											BgL_nodesz00_2066 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1496,
																												BgL_stackz00_21,
																												BgL_locz00_2065,
																												BgL_sitez00_23);
																											{	/* Ast/sexp.scm 214 */

																												{	/* Ast/sexp.scm 215 */
																													BgL_sequencez00_bglt
																														BgL_new1126z00_2067;
																													{	/* Ast/sexp.scm 215 */
																														BgL_sequencez00_bglt
																															BgL_new1125z00_2068;
																														BgL_new1125z00_2068
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 215 */
																															long
																																BgL_arg2421z00_2069;
																															{	/* Ast/sexp.scm 215 */
																																long
																																	BgL_res2895z00_3654;
																																{	/* Ast/sexp.scm 215 */
																																	obj_t
																																		BgL_classz00_3651;
																																	BgL_classz00_3651
																																		=
																																		BGl_sequencez00zzast_nodez00;
																																	{	/* Ast/sexp.scm 215 */
																																		obj_t
																																			BgL_vectorz00_3652;
																																		int
																																			BgL_kz00_3653;
																																		BgL_vectorz00_3652
																																			=
																																			BgL_classz00_3651;
																																		BgL_kz00_3653
																																			=
																																			(int) ((
																																				(long)
																																				1));
																																		BgL_res2895z00_3654
																																			=
																																			(long)
																																			CINT
																																			(VECTOR_REF
																																			(BgL_vectorz00_3652,
																																				BgL_kz00_3653));
																																}}
																																BgL_arg2421z00_2069
																																	=
																																	BgL_res2895z00_3654;
																															}
																															{	/* Ast/sexp.scm 215 */
																																BgL_objectz00_bglt
																																	BgL_objz00_3655;
																																BgL_objz00_3655
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1125z00_2068);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(BgL_objz00_3655,
																																	BgL_arg2421z00_2069);
																														}}
																														{	/* Ast/sexp.scm 215 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5071;
																															BgL_auxz00_5071 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1125z00_2068);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_5071,
																																BFALSE);
																														}
																														BgL_new1126z00_2067
																															=
																															BgL_new1125z00_2068;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1126z00_2067)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2065),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1126z00_2067)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1126z00_2067)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1126z00_2067)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1126z00_2067))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_2066), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1126z00_2067))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_5062 =
																														BgL_new1126z00_2067;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_5062);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						obj_t BgL_carzd2516zd2_1550;

																						BgL_carzd2516zd2_1550 =
																							CAR(BgL_expz00_20);
																						if (
																							(BgL_carzd2516zd2_1550 ==
																								CNST_TABLE_REF(((long) 1))))
																							{	/* Ast/sexp.scm 106 */
																							BgL_tagzd2368zd2_1498:
																								{
																									obj_t BgL_siz00_2070;
																									obj_t BgL_alorsz00_2071;
																									obj_t BgL_sinonz00_2072;
																									obj_t BgL_siz00_2074;
																									obj_t BgL_alorsz00_2075;

																									if (PAIRP(BgL_expz00_20))
																										{	/* Ast/sexp.scm 106 */
																											obj_t
																												BgL_cdrzd22011zd2_2080;
																											BgL_cdrzd22011zd2_2080 =
																												CDR(BgL_expz00_20);
																											if (PAIRP
																												(BgL_cdrzd22011zd2_2080))
																												{	/* Ast/sexp.scm 106 */
																													obj_t
																														BgL_cdrzd22016zd2_2082;
																													BgL_cdrzd22016zd2_2082
																														=
																														CDR
																														(BgL_cdrzd22011zd2_2080);
																													if (PAIRP
																														(BgL_cdrzd22016zd2_2082))
																														{	/* Ast/sexp.scm 106 */
																															obj_t
																																BgL_cdrzd22021zd2_2084;
																															BgL_cdrzd22021zd2_2084
																																=
																																CDR
																																(BgL_cdrzd22016zd2_2082);
																															if (PAIRP
																																(BgL_cdrzd22021zd2_2084))
																																{	/* Ast/sexp.scm 106 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd22021zd2_2084)))
																																		{	/* Ast/sexp.scm 106 */
																																			BgL_siz00_2070
																																				=
																																				CAR
																																				(BgL_cdrzd22011zd2_2080);
																																			BgL_alorsz00_2071
																																				=
																																				CAR
																																				(BgL_cdrzd22016zd2_2082);
																																			BgL_sinonz00_2072
																																				=
																																				CAR
																																				(BgL_cdrzd22021zd2_2084);
																																			{
																																				obj_t
																																					BgL_siz00_2097;
																																				if (PAIRP(BgL_siz00_2070))
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_cdrzd22076zd2_2102;
																																						BgL_cdrzd22076zd2_2102
																																							=
																																							CDR
																																							(BgL_siz00_2070);
																																						if (
																																							(CAR
																																								(BgL_siz00_2070)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 1))))
																																							{	/* Ast/sexp.scm 106 */
																																								if (PAIRP(BgL_cdrzd22076zd2_2102))
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_cdrzd22079zd2_2105;
																																										BgL_cdrzd22079zd2_2105
																																											=
																																											CDR
																																											(BgL_cdrzd22076zd2_2102);
																																										if (PAIRP(BgL_cdrzd22079zd2_2105))
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd22082zd2_2107;
																																												BgL_cdrzd22082zd2_2107
																																													=
																																													CDR
																																													(BgL_cdrzd22079zd2_2105);
																																												if ((CAR(BgL_cdrzd22079zd2_2105) == BFALSE))
																																													{	/* Ast/sexp.scm 106 */
																																														if (PAIRP(BgL_cdrzd22082zd2_2107))
																																															{	/* Ast/sexp.scm 106 */
																																																if ((CAR(BgL_cdrzd22082zd2_2107) == BTRUE))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (NULLP(CDR(BgL_cdrzd22082zd2_2107)))
																																																			{	/* Ast/sexp.scm 106 */
																																																				BgL_siz00_2097
																																																					=
																																																					CAR
																																																					(BgL_cdrzd22076zd2_2102);
																																																			BgL_tagzd22068zd2_2098:
																																																				{	/* Ast/sexp.scm 225 */
																																																					obj_t
																																																						BgL_auxz00_5129;
																																																					BgL_auxz00_5129
																																																						=
																																																						CDR
																																																						(BgL_expz00_20);
																																																					SET_CAR
																																																						(BgL_auxz00_5129,
																																																						BgL_siz00_2097);
																																																				}
																																																				{	/* Ast/sexp.scm 226 */
																																																					obj_t
																																																						BgL_arg2455z00_2125;
																																																					{	/* Ast/sexp.scm 226 */
																																																						obj_t
																																																							BgL_pairz00_3660;
																																																						BgL_pairz00_3660
																																																							=
																																																							BgL_expz00_20;
																																																						BgL_arg2455z00_2125
																																																							=
																																																							CDR
																																																							(CDR
																																																							(BgL_pairz00_3660));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2455z00_2125,
																																																						BgL_sinonz00_2072);
																																																				}
																																																				{	/* Ast/sexp.scm 227 */
																																																					obj_t
																																																						BgL_arg2456z00_2126;
																																																					{	/* Ast/sexp.scm 227 */
																																																						obj_t
																																																							BgL_pairz00_3666;
																																																						BgL_pairz00_3666
																																																							=
																																																							BgL_expz00_20;
																																																						BgL_arg2456z00_2126
																																																							=
																																																							CDR
																																																							(CDR
																																																							(CDR
																																																								(BgL_pairz00_3666)));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2456z00_2126,
																																																						BgL_alorsz00_2071);
																																																				}
																																																				{

																																																					goto
																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																			BgL_tagzd22069zd2_2099:
																																																				{	/* Ast/sexp.scm 230 */
																																																					bool_t
																																																						BgL_testz00_5140;
																																																					if (SYMBOLP(BgL_siz00_2070))
																																																						{	/* Ast/sexp.scm 230 */
																																																							BgL_testz00_5140
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 230 */
																																																							BgL_testz00_5140
																																																								=
																																																								BGl_isazf3zf3zz__objectz00
																																																								(BgL_siz00_2070,
																																																								BGl_atomz00zzast_nodez00);
																																																						}
																																																					if (BgL_testz00_5140)
																																																						{	/* Ast/sexp.scm 231 */
																																																							obj_t
																																																								BgL_locz00_2128;
																																																							BgL_locz00_2128
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_20,
																																																								BgL_locz00_22);
																																																							{	/* Ast/sexp.scm 231 */
																																																								obj_t
																																																									BgL_cdlocz00_2129;
																																																								BgL_cdlocz00_2129
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_20),
																																																									BgL_locz00_2128);
																																																								{	/* Ast/sexp.scm 232 */
																																																									obj_t
																																																										BgL_cddlocz00_2130;
																																																									{	/* Ast/sexp.scm 233 */
																																																										obj_t
																																																											BgL_arg2460z00_2142;
																																																										{	/* Ast/sexp.scm 233 */
																																																											obj_t
																																																												BgL_pairz00_3679;
																																																											BgL_pairz00_3679
																																																												=
																																																												BgL_expz00_20;
																																																											BgL_arg2460z00_2142
																																																												=
																																																												CDR
																																																												(CDR
																																																												(BgL_pairz00_3679));
																																																										}
																																																										BgL_cddlocz00_2130
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg2460z00_2142,
																																																											BgL_locz00_2128);
																																																									}
																																																									{	/* Ast/sexp.scm 233 */
																																																										obj_t
																																																											BgL_cdddlocz00_2131;
																																																										{	/* Ast/sexp.scm 234 */
																																																											obj_t
																																																												BgL_arg2459z00_2141;
																																																											{	/* Ast/sexp.scm 234 */
																																																												obj_t
																																																													BgL_pairz00_3683;
																																																												BgL_pairz00_3683
																																																													=
																																																													BgL_expz00_20;
																																																												BgL_arg2459z00_2141
																																																													=
																																																													CDR
																																																													(CDR
																																																													(CDR
																																																														(BgL_pairz00_3683)));
																																																											}
																																																											BgL_cdddlocz00_2131
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg2459z00_2141,
																																																												BgL_locz00_2128);
																																																										}
																																																										{	/* Ast/sexp.scm 234 */
																																																											obj_t
																																																												BgL_lzd2sizd2_2132;
																																																											BgL_lzd2sizd2_2132
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_2070,
																																																												BgL_cdlocz00_2129);
																																																											{	/* Ast/sexp.scm 235 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_2133;
																																																												BgL_lzd2alorszd2_2133
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_2071,
																																																													BgL_cddlocz00_2130);
																																																												{	/* Ast/sexp.scm 236 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_2134;
																																																													BgL_lzd2sinonzd2_2134
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_2072,
																																																														BgL_cdddlocz00_2131);
																																																													{	/* Ast/sexp.scm 237 */
																																																														BgL_nodez00_bglt
																																																															BgL_siz00_2135;
																																																														BgL_siz00_2135
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_2070,
																																																															BgL_stackz00_21,
																																																															BgL_lzd2sizd2_2132,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 238 */
																																																															BgL_nodez00_bglt
																																																																BgL_alorsz00_2136;
																																																															BgL_alorsz00_2136
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_alorsz00_2071,
																																																																BgL_stackz00_21,
																																																																BgL_lzd2alorszd2_2133,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 239 */
																																																																BgL_nodez00_bglt
																																																																	BgL_sinonz00_2137;
																																																																BgL_sinonz00_2137
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_sinonz00_2072,
																																																																	BgL_stackz00_21,
																																																																	BgL_lzd2sinonzd2_2134,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																{	/* Ast/sexp.scm 240 */

																																																																	{	/* Ast/sexp.scm 241 */
																																																																		BgL_conditionalz00_bglt
																																																																			BgL_new1128z00_2138;
																																																																		{	/* Ast/sexp.scm 241 */
																																																																			BgL_conditionalz00_bglt
																																																																				BgL_new1127z00_2139;
																																																																			BgL_new1127z00_2139
																																																																				=
																																																																				(
																																																																				(BgL_conditionalz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_conditionalz00_bgl))));
																																																																			{	/* Ast/sexp.scm 241 */
																																																																				long
																																																																					BgL_arg2458z00_2140;
																																																																				{	/* Ast/sexp.scm 241 */
																																																																					long
																																																																						BgL_res2898z00_3692;
																																																																					{	/* Ast/sexp.scm 241 */
																																																																						obj_t
																																																																							BgL_classz00_3689;
																																																																						BgL_classz00_3689
																																																																							=
																																																																							BGl_conditionalz00zzast_nodez00;
																																																																						{	/* Ast/sexp.scm 241 */
																																																																							obj_t
																																																																								BgL_vectorz00_3690;
																																																																							int
																																																																								BgL_kz00_3691;
																																																																							BgL_vectorz00_3690
																																																																								=
																																																																								BgL_classz00_3689;
																																																																							BgL_kz00_3691
																																																																								=
																																																																								(int)
																																																																								(
																																																																								((long) 1));
																																																																							BgL_res2898z00_3692
																																																																								=
																																																																								(long)
																																																																								CINT
																																																																								(VECTOR_REF
																																																																								(BgL_vectorz00_3690,
																																																																									BgL_kz00_3691));
																																																																					}}
																																																																					BgL_arg2458z00_2140
																																																																						=
																																																																						BgL_res2898z00_3692;
																																																																				}
																																																																				{	/* Ast/sexp.scm 241 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_objz00_3693;
																																																																					BgL_objz00_3693
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1127z00_2139);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(BgL_objz00_3693,
																																																																						BgL_arg2458z00_2140);
																																																																			}}
																																																																			{	/* Ast/sexp.scm 241 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_auxz00_5169;
																																																																				BgL_auxz00_5169
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1127z00_2139);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_auxz00_5169,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1128z00_2138
																																																																				=
																																																																				BgL_new1127z00_2139;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2138)))->BgL_locz00) = ((obj_t) BgL_locz00_2128), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2138)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_2138)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_2138)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1128z00_2138))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_siz00_2135), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1128z00_2138))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_2136), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1128z00_2138))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_2137), BUNSPEC);
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1128z00_2138);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 247 */
																																																							obj_t
																																																								BgL_vz00_2144;
																																																							BgL_vz00_2144
																																																								=
																																																								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																								(BGl_gensymz00zz__r4_symbols_6_4z00
																																																								(CNST_TABLE_REF
																																																									(((long) 7))));
																																																							{	/* Ast/sexp.scm 247 */
																																																								obj_t
																																																									BgL_varz00_2145;
																																																								BgL_varz00_2145
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_2144,
																																																									CNST_TABLE_REF
																																																									(((long) 8)));
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_nexpz00_2146;
																																																									{	/* Ast/sexp.scm 249 */
																																																										obj_t
																																																											BgL_arg2469z00_2154;
																																																										{	/* Ast/sexp.scm 249 */
																																																											obj_t
																																																												BgL_arg2470z00_2155;
																																																											{	/* Ast/sexp.scm 249 */
																																																												obj_t
																																																													BgL_arg2471z00_2156;
																																																												{	/* Ast/sexp.scm 249 */
																																																													obj_t
																																																														BgL_arg2472z00_2157;
																																																													BgL_arg2472z00_2157
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_2072,
																																																														BNIL);
																																																													BgL_arg2471z00_2156
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_alorsz00_2071,
																																																														BgL_arg2472z00_2157);
																																																												}
																																																												BgL_arg2470z00_2155
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_vz00_2144,
																																																													BgL_arg2471z00_2156);
																																																											}
																																																											BgL_arg2469z00_2154
																																																												=
																																																												MAKE_PAIR
																																																												(CNST_TABLE_REF
																																																												(((long) 1)), BgL_arg2470z00_2155);
																																																										}
																																																										BgL_nexpz00_2146
																																																											=
																																																											BGl_epairifyzd2reczd2zztools_miscz00
																																																											(BgL_arg2469z00_2154,
																																																											BgL_expz00_20);
																																																									}
																																																									{	/* Ast/sexp.scm 249 */

																																																										{	/* Ast/sexp.scm 250 */
																																																											obj_t
																																																												BgL_arg2462z00_2147;
																																																											{	/* Ast/sexp.scm 250 */
																																																												obj_t
																																																													BgL_arg2463z00_2148;
																																																												obj_t
																																																													BgL_arg2464z00_2149;
																																																												BgL_arg2463z00_2148
																																																													=
																																																													BGl_letzd2symzd2zzast_letz00
																																																													();
																																																												{	/* Ast/sexp.scm 250 */
																																																													obj_t
																																																														BgL_arg2465z00_2150;
																																																													obj_t
																																																														BgL_arg2466z00_2151;
																																																													{	/* Ast/sexp.scm 250 */
																																																														obj_t
																																																															BgL_arg2467z00_2152;
																																																														{	/* Ast/sexp.scm 250 */
																																																															obj_t
																																																																BgL_arg2468z00_2153;
																																																															BgL_arg2468z00_2153
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_siz00_2070,
																																																																BNIL);
																																																															BgL_arg2467z00_2152
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_varz00_2145,
																																																																BgL_arg2468z00_2153);
																																																														}
																																																														BgL_arg2465z00_2150
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg2467z00_2152,
																																																															BNIL);
																																																													}
																																																													BgL_arg2466z00_2151
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_nexpz00_2146,
																																																														BNIL);
																																																													BgL_arg2464z00_2149
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_arg2465z00_2150,
																																																														BgL_arg2466z00_2151);
																																																												}
																																																												BgL_arg2462z00_2147
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg2463z00_2148,
																																																													BgL_arg2464z00_2149);
																																																											}
																																																											BGl_replacez12z12zztools_miscz00
																																																												(BgL_expz00_20,
																																																												BgL_arg2462z00_2147);
																																																										}
																																																										{

																																																											goto
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd22069zd2_2099;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd22069zd2_2099;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd22069zd2_2099;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd22069zd2_2099;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										goto
																																											BgL_tagzd22069zd2_2099;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								if ((CAR(BgL_siz00_2070) == CNST_TABLE_REF(((long) 9))))
																																									{	/* Ast/sexp.scm 106 */
																																										if (PAIRP(BgL_cdrzd22076zd2_2102))
																																											{	/* Ast/sexp.scm 106 */
																																												if (NULLP(CDR(BgL_cdrzd22076zd2_2102)))
																																													{
																																														obj_t
																																															BgL_siz00_5214;
																																														BgL_siz00_5214
																																															=
																																															CAR
																																															(BgL_cdrzd22076zd2_2102);
																																														BgL_siz00_2097
																																															=
																																															BgL_siz00_5214;
																																														goto
																																															BgL_tagzd22068zd2_2098;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd22069zd2_2099;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd22069zd2_2099;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										goto
																																											BgL_tagzd22069zd2_2099;
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd22069zd2_2099;
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																		BgL_tagzd22002zd2_2077:
																																			{	/* Ast/sexp.scm 256 */
																																				BgL_nodez00_bglt
																																					BgL_res2907z00_3736;
																																				{	/* Ast/sexp.scm 256 */
																																					obj_t
																																						BgL_arg2734z00_3732;
																																					BgL_nodez00_bglt
																																						BgL_arg2735z00_3733;
																																					BgL_arg2734z00_3732
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg2735z00_3733
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 3)), BNIL, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 256 */
																																						obj_t
																																							BgL_list2736z00_3735;
																																						BgL_list2736z00_3735
																																							=
																																							MAKE_PAIR
																																							(((obj_t) BgL_arg2735z00_3733), BNIL);
																																						BgL_res2907z00_3736
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_22,
																																								BgL_arg2734z00_3732,
																																								BGl_string3093z00zzast_sexpz00,
																																								BgL_expz00_20,
																																								BgL_list2736z00_3735));
																																				}}
																																				return
																																					BgL_res2907z00_3736;
																																			}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	obj_t
																																		BgL_cdrzd22046zd2_2092;
																																	BgL_cdrzd22046zd2_2092
																																		=
																																		CDR
																																		(BgL_cdrzd22011zd2_2080);
																																	if (NULLP(CDR
																																			(BgL_cdrzd22046zd2_2092)))
																																		{	/* Ast/sexp.scm 106 */
																																			BgL_siz00_2074
																																				=
																																				CAR
																																				(BgL_cdrzd22011zd2_2080);
																																			BgL_alorsz00_2075
																																				=
																																				CAR
																																				(BgL_cdrzd22046zd2_2092);
																																			{	/* Ast/sexp.scm 253 */
																																				obj_t
																																					BgL_arg2475z00_2160;
																																				obj_t
																																					BgL_arg2476z00_2161;
																																				{	/* Ast/sexp.scm 253 */
																																					obj_t
																																						BgL_pairz00_3721;
																																					BgL_pairz00_3721
																																						=
																																						BgL_expz00_20;
																																					BgL_arg2475z00_2160
																																						=
																																						CDR
																																						(CDR
																																						(BgL_pairz00_3721));
																																				}
																																				{	/* Ast/sexp.scm 253 */
																																					obj_t
																																						BgL_list2477z00_2162;
																																					BgL_list2477z00_2162
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_arg2476z00_2161
																																						=
																																						BgL_list2477z00_2162;
																																				}
																																				SET_CDR
																																					(BgL_arg2475z00_2160,
																																					BgL_arg2476z00_2161);
																																			}
																																			{

																																				goto
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			goto
																																				BgL_tagzd22002zd2_2077;
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 106 */
																															goto
																																BgL_tagzd22002zd2_2077;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 106 */
																													goto
																														BgL_tagzd22002zd2_2077;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 106 */
																											goto
																												BgL_tagzd22002zd2_2077;
																										}
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								if (
																									(BgL_carzd2516zd2_1550 ==
																										BGl_za2ifza2z00zzast_sexpz00))
																									{	/* Ast/sexp.scm 106 */
																										goto BgL_tagzd2368zd2_1498;
																									}
																								else
																									{	/* Ast/sexp.scm 106 */
																										obj_t BgL_cdrzd2531zd2_1553;

																										BgL_cdrzd2531zd2_1553 =
																											CDR(BgL_expz00_20);
																										if (
																											(CAR(BgL_expz00_20) ==
																												CNST_TABLE_REF(((long)
																														6))))
																											{	/* Ast/sexp.scm 106 */
																												if (PAIRP
																													(BgL_cdrzd2531zd2_1553))
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd2534zd2_1556;
																														obj_t
																															BgL_cdrzd2535zd2_1557;
																														BgL_carzd2534zd2_1556
																															=
																															CAR
																															(BgL_cdrzd2531zd2_1553);
																														BgL_cdrzd2535zd2_1557
																															=
																															CDR
																															(BgL_cdrzd2531zd2_1553);
																														if (PAIRP
																															(BgL_carzd2534zd2_1556))
																															{	/* Ast/sexp.scm 106 */
																																if (
																																	(CAR
																																		(BgL_carzd2534zd2_1556)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				14))))
																																	{	/* Ast/sexp.scm 106 */
																																		if (PAIRP
																																			(BgL_cdrzd2535zd2_1557))
																																			{	/* Ast/sexp.scm 106 */
																																				if (NULLP(CDR(BgL_cdrzd2535zd2_1557)))
																																					{	/* Ast/sexp.scm 106 */
																																						BgL_lz00_1499
																																							=
																																							CDR
																																							(BgL_carzd2534zd2_1556);
																																						BgL_valz00_1500
																																							=
																																							CAR
																																							(BgL_cdrzd2535zd2_1557);
																																					BgL_tagzd2369zd2_1501:
																																						{	/* Ast/sexp.scm 259 */
																																							bool_t
																																								BgL_testz00_5260;
																																							if (PAIRP(BgL_lz00_1499))
																																								{	/* Ast/sexp.scm 259 */
																																									bool_t
																																										BgL_testz00_5263;
																																									{	/* Ast/sexp.scm 259 */
																																										obj_t
																																											BgL_auxz00_5264;
																																										BgL_auxz00_5264
																																											=
																																											CDR
																																											(BgL_lz00_1499);
																																										BgL_testz00_5263
																																											=
																																											PAIRP
																																											(BgL_auxz00_5264);
																																									}
																																									if (BgL_testz00_5263)
																																										{
																																											obj_t
																																												BgL_l1957z00_2167;
																																											BgL_l1957z00_2167
																																												=
																																												BgL_lz00_1499;
																																										BgL_zc3anonymousza32481ze3z83_2168:
																																											if (NULLP(BgL_l1957z00_2167))
																																												{	/* Ast/sexp.scm 259 */
																																													BgL_testz00_5260
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 259 */
																																													bool_t
																																														BgL_testz00_5269;
																																													{	/* Ast/sexp.scm 259 */
																																														obj_t
																																															BgL_auxz00_5270;
																																														BgL_auxz00_5270
																																															=
																																															CAR
																																															(BgL_l1957z00_2167);
																																														BgL_testz00_5269
																																															=
																																															SYMBOLP
																																															(BgL_auxz00_5270);
																																													}
																																													if (BgL_testz00_5269)
																																														{
																																															obj_t
																																																BgL_l1957z00_5273;
																																															BgL_l1957z00_5273
																																																=
																																																CDR
																																																(BgL_l1957z00_2167);
																																															BgL_l1957z00_2167
																																																=
																																																BgL_l1957z00_5273;
																																															goto
																																																BgL_zc3anonymousza32481ze3z83_2168;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 259 */
																																															BgL_testz00_5260
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 259 */
																																											BgL_testz00_5260
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 259 */
																																									BgL_testz00_5260
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_testz00_5260)
																																								{	/* Ast/sexp.scm 259 */
																																									return
																																										BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																										(BgL_lz00_1499,
																																										BgL_valz00_1500,
																																										BgL_expz00_20,
																																										BgL_stackz00_21,
																																										BgL_locz00_22,
																																										BgL_sitez00_23);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 261 */
																																									BgL_nodez00_bglt
																																										BgL_res2918z00_3779;
																																									{	/* Ast/sexp.scm 261 */
																																										obj_t
																																											BgL_arg2734z00_3775;
																																										BgL_nodez00_bglt
																																											BgL_arg2735z00_3776;
																																										BgL_arg2734z00_3775
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg2735z00_3776
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 3)), BNIL, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 261 */
																																											obj_t
																																												BgL_list2736z00_3778;
																																											BgL_list2736z00_3778
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg2735z00_3776), BNIL);
																																											BgL_res2918z00_3779
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_locz00_22,
																																													BgL_arg2734z00_3775,
																																													BGl_string3092z00zzast_sexpz00,
																																													BgL_expz00_20,
																																													BgL_list2736z00_3778));
																																									}}
																																									return
																																										BgL_res2918z00_3779;
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																					BgL_tagzd2370zd2_1502:
																																						{
																																							obj_t
																																								BgL_varz00_2175;
																																							obj_t
																																								BgL_valz00_2176;
																																							if (PAIRP(BgL_expz00_20))
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_cdrzd22107zd2_2181;
																																									BgL_cdrzd22107zd2_2181
																																										=
																																										CDR
																																										(BgL_expz00_20);
																																									if (PAIRP(BgL_cdrzd22107zd2_2181))
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_cdrzd22111zd2_2183;
																																											BgL_cdrzd22111zd2_2183
																																												=
																																												CDR
																																												(BgL_cdrzd22107zd2_2181);
																																											if (PAIRP(BgL_cdrzd22111zd2_2183))
																																												{	/* Ast/sexp.scm 106 */
																																													if (NULLP(CDR(BgL_cdrzd22111zd2_2183)))
																																														{	/* Ast/sexp.scm 106 */
																																															BgL_varz00_2175
																																																=
																																																CAR
																																																(BgL_cdrzd22107zd2_2181);
																																															BgL_valz00_2176
																																																=
																																																CAR
																																																(BgL_cdrzd22111zd2_2183);
																																															{	/* Ast/sexp.scm 265 */
																																																obj_t
																																																	BgL_locz00_2189;
																																																BgL_locz00_2189
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_20,
																																																	BgL_locz00_22);
																																																{	/* Ast/sexp.scm 265 */
																																																	obj_t
																																																		BgL_cdlocz00_2190;
																																																	BgL_cdlocz00_2190
																																																		=
																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																		(CDR
																																																		(BgL_expz00_20),
																																																		BgL_locz00_2189);
																																																	{	/* Ast/sexp.scm 266 */
																																																		obj_t
																																																			BgL_cddlocz00_2191;
																																																		{	/* Ast/sexp.scm 267 */
																																																			obj_t
																																																				BgL_arg2500z00_2204;
																																																			{	/* Ast/sexp.scm 267 */
																																																				obj_t
																																																					BgL_pairz00_3781;
																																																				BgL_pairz00_3781
																																																					=
																																																					BgL_expz00_20;
																																																				BgL_arg2500z00_2204
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_3781));
																																																			}
																																																			BgL_cddlocz00_2191
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_arg2500z00_2204,
																																																				BgL_locz00_2189);
																																																		}
																																																		{	/* Ast/sexp.scm 267 */
																																																			obj_t
																																																				BgL_valzd2loczd2_2192;
																																																			BgL_valzd2loczd2_2192
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_valz00_2176,
																																																				BgL_cddlocz00_2191);
																																																			{	/* Ast/sexp.scm 268 */
																																																				BgL_nodez00_bglt
																																																					BgL_valz00_2193;
																																																				BgL_valz00_2193
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_valz00_2176,
																																																					BgL_stackz00_21,
																																																					BgL_valzd2loczd2_2192,
																																																					CNST_TABLE_REF
																																																					(((long) 2)));
																																																				{	/* Ast/sexp.scm 269 */

																																																					{	/* Ast/sexp.scm 270 */
																																																						BgL_nodez00_bglt
																																																							BgL_astz00_2194;
																																																						BgL_astz00_2194
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(BgL_varz00_2175,
																																																							BgL_stackz00_21,
																																																							BgL_cdlocz00_2190,
																																																							CNST_TABLE_REF
																																																							(((long) 6)));
																																																						{	/* Ast/sexp.scm 271 */
																																																							bool_t
																																																								BgL_testz00_5309;
																																																							{	/* Ast/sexp.scm 271 */
																																																								bool_t
																																																									BgL_res2919z00_3786;
																																																								{	/* Ast/sexp.scm 271 */
																																																									obj_t
																																																										BgL_objz00_3785;
																																																									BgL_objz00_3785
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_astz00_2194);
																																																									BgL_res2919z00_3786
																																																										=
																																																										BGl_isazf3zf3zz__objectz00
																																																										(BgL_objz00_3785,
																																																										BGl_varz00zzast_nodez00);
																																																								}
																																																								BgL_testz00_5309
																																																									=
																																																									BgL_res2919z00_3786;
																																																							}
																																																							if (BgL_testz00_5309)
																																																								{	/* Ast/sexp.scm 272 */
																																																									BgL_varz00_bglt
																																																										BgL_i1129z00_2196;
																																																									BgL_i1129z00_2196
																																																										=
																																																										(
																																																										(BgL_varz00_bglt)
																																																										BgL_astz00_2194);
																																																									{	/* Ast/sexp.scm 273 */
																																																										bool_t
																																																											BgL_testz00_5313;
																																																										{	/* Ast/sexp.scm 273 */
																																																											bool_t
																																																												BgL_testz00_5314;
																																																											{	/* Ast/sexp.scm 273 */
																																																												BgL_variablez00_bglt
																																																													BgL_arg2499z00_2203;
																																																												BgL_arg2499z00_2203
																																																													=
																																																													(
																																																													((BgL_varz00_bglt) CREF(BgL_i1129z00_2196))->BgL_variablez00);
																																																												{	/* Ast/sexp.scm 273 */
																																																													bool_t
																																																														BgL_res2920z00_3788;
																																																													{	/* Ast/sexp.scm 273 */
																																																														obj_t
																																																															BgL_objz00_3787;
																																																														BgL_objz00_3787
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_arg2499z00_2203);
																																																														BgL_res2920z00_3788
																																																															=
																																																															BGl_isazf3zf3zz__objectz00
																																																															(BgL_objz00_3787,
																																																															BGl_globalz00zzast_varz00);
																																																													}
																																																													BgL_testz00_5314
																																																														=
																																																														BgL_res2920z00_3788;
																																																												}
																																																											}
																																																											if (BgL_testz00_5314)
																																																												{	/* Ast/sexp.scm 274 */
																																																													BgL_variablez00_bglt
																																																														BgL_arg2498z00_2202;
																																																													BgL_arg2498z00_2202
																																																														=
																																																														(
																																																														((BgL_varz00_bglt) CREF(BgL_i1129z00_2196))->BgL_variablez00);
																																																													BgL_testz00_5313
																																																														=
																																																														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																														(
																																																														((BgL_globalz00_bglt) BgL_arg2498z00_2202));
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 273 */
																																																													BgL_testz00_5313
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_testz00_5313)
																																																											{	/* Ast/sexp.scm 275 */
																																																												BgL_nodez00_bglt
																																																													BgL_res2921z00_3796;
																																																												{	/* Ast/sexp.scm 275 */
																																																													obj_t
																																																														BgL_arg2734z00_3792;
																																																													BgL_nodez00_bglt
																																																														BgL_arg2735z00_3793;
																																																													BgL_arg2734z00_3792
																																																														=
																																																														BGl_shapez00zztools_shapez00
																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																														());
																																																													BgL_arg2735z00_3793
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(CNST_TABLE_REF
																																																														(((long) 3)), BNIL, BgL_cdlocz00_2190, CNST_TABLE_REF(((long) 2)));
																																																													{	/* Ast/sexp.scm 275 */
																																																														obj_t
																																																															BgL_list2736z00_3795;
																																																														BgL_list2736z00_3795
																																																															=
																																																															MAKE_PAIR
																																																															(
																																																															((obj_t) BgL_arg2735z00_3793), BNIL);
																																																														BgL_res2921z00_3796
																																																															=
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																															(BgL_cdlocz00_2190,
																																																																BgL_arg2734z00_3792,
																																																																BGl_string3090z00zzast_sexpz00,
																																																																BgL_expz00_20,
																																																																BgL_list2736z00_3795));
																																																												}}
																																																												return
																																																													BgL_res2921z00_3796;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 277 */
																																																												BgL_setqz00_bglt
																																																													BgL_new1131z00_2198;
																																																												{	/* Ast/sexp.scm 277 */
																																																													BgL_setqz00_bglt
																																																														BgL_new1130z00_2199;
																																																													BgL_new1130z00_2199
																																																														=
																																																														(
																																																														(BgL_setqz00_bglt)
																																																														BREF
																																																														(GC_MALLOC
																																																															(sizeof
																																																																(struct
																																																																	BgL_setqz00_bgl))));
																																																													{	/* Ast/sexp.scm 277 */
																																																														long
																																																															BgL_arg2496z00_2200;
																																																														{	/* Ast/sexp.scm 277 */
																																																															long
																																																																BgL_res2922z00_3800;
																																																															{	/* Ast/sexp.scm 277 */
																																																																obj_t
																																																																	BgL_classz00_3797;
																																																																BgL_classz00_3797
																																																																	=
																																																																	BGl_setqz00zzast_nodez00;
																																																																{	/* Ast/sexp.scm 277 */
																																																																	obj_t
																																																																		BgL_vectorz00_3798;
																																																																	int
																																																																		BgL_kz00_3799;
																																																																	BgL_vectorz00_3798
																																																																		=
																																																																		BgL_classz00_3797;
																																																																	BgL_kz00_3799
																																																																		=
																																																																		(int)
																																																																		(
																																																																		((long) 1));
																																																																	BgL_res2922z00_3800
																																																																		=
																																																																		(long)
																																																																		CINT
																																																																		(VECTOR_REF
																																																																		(BgL_vectorz00_3798,
																																																																			BgL_kz00_3799));
																																																															}}
																																																															BgL_arg2496z00_2200
																																																																=
																																																																BgL_res2922z00_3800;
																																																														}
																																																														{	/* Ast/sexp.scm 277 */
																																																															BgL_objectz00_bglt
																																																																BgL_objz00_3801;
																																																															BgL_objz00_3801
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1130z00_2199);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(BgL_objz00_3801,
																																																																BgL_arg2496z00_2200);
																																																													}}
																																																													{	/* Ast/sexp.scm 277 */
																																																														BgL_objectz00_bglt
																																																															BgL_auxz00_5336;
																																																														BgL_auxz00_5336
																																																															=
																																																															(
																																																															(BgL_objectz00_bglt)
																																																															BgL_new1130z00_2199);
																																																														BGL_OBJECT_WIDENING_SET
																																																															(BgL_auxz00_5336,
																																																															BFALSE);
																																																													}
																																																													BgL_new1131z00_2198
																																																														=
																																																														BgL_new1130z00_2199;
																																																												}
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1131z00_2198)))->BgL_locz00) = ((obj_t) BgL_locz00_2189), BUNSPEC);
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1131z00_2198)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1131z00_2198))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2194)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1131z00_2198))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2193), BUNSPEC);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_new1131z00_2198);
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 282 */
																																																									BgL_nodez00_bglt
																																																										BgL_res2923z00_3810;
																																																									{	/* Ast/sexp.scm 282 */
																																																										obj_t
																																																											BgL_arg2734z00_3806;
																																																										BgL_nodez00_bglt
																																																											BgL_arg2735z00_3807;
																																																										BgL_arg2734z00_3806
																																																											=
																																																											BGl_shapez00zztools_shapez00
																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																											());
																																																										BgL_arg2735z00_3807
																																																											=
																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																											(CNST_TABLE_REF
																																																											(((long) 3)), BNIL, BgL_locz00_2189, CNST_TABLE_REF(((long) 2)));
																																																										{	/* Ast/sexp.scm 282 */
																																																											obj_t
																																																												BgL_list2736z00_3809;
																																																											BgL_list2736z00_3809
																																																												=
																																																												MAKE_PAIR
																																																												(
																																																												((obj_t) BgL_arg2735z00_3807), BNIL);
																																																											BgL_res2923z00_3810
																																																												=
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																																												(BgL_locz00_2189,
																																																													BgL_arg2734z00_3806,
																																																													BGl_string3091z00zzast_sexpz00,
																																																													BgL_expz00_20,
																																																													BgL_list2736z00_3809));
																																																									}}
																																																									return
																																																										BgL_res2923z00_3810;
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 106 */
																																														BgL_tagzd22100zd2_2178:
																																															{	/* Ast/sexp.scm 286 */
																																																obj_t
																																																	BgL_arg2502z00_2206;
																																																BgL_arg2502z00_2206
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_20,
																																																	BgL_locz00_22);
																																																{	/* Ast/sexp.scm 285 */
																																																	BgL_nodez00_bglt
																																																		BgL_res2924z00_3818;
																																																	{	/* Ast/sexp.scm 285 */
																																																		obj_t
																																																			BgL_arg2734z00_3814;
																																																		BgL_nodez00_bglt
																																																			BgL_arg2735z00_3815;
																																																		BgL_arg2734z00_3814
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg2735z00_3815
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 3)), BNIL, BgL_arg2502z00_2206, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 285 */
																																																			obj_t
																																																				BgL_list2736z00_3817;
																																																			BgL_list2736z00_3817
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg2735z00_3815), BNIL);
																																																			BgL_res2924z00_3818
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_arg2502z00_2206,
																																																					BgL_arg2734z00_3814,
																																																					BGl_string3089z00zzast_sexpz00,
																																																					BgL_expz00_20,
																																																					BgL_list2736z00_3817));
																																																	}}
																																																	return
																																																		BgL_res2924z00_3818;
																																																}
																																															}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													goto
																																														BgL_tagzd22100zd2_2178;
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd22100zd2_2178;
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									goto
																																										BgL_tagzd22100zd2_2178;
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2370zd2_1502;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2370zd2_1502;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2370zd2_1502;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														goto
																															BgL_tagzd2370zd2_1502;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												if (
																													(CAR(BgL_expz00_20) ==
																														CNST_TABLE_REF((
																																(long) 16))))
																													{	/* Ast/sexp.scm 106 */
																													BgL_tagzd2371zd2_1503:
																														{
																															obj_t
																																BgL_varz00_2207;
																															obj_t
																																BgL_valz00_2208;
																															if (PAIRP
																																(BgL_expz00_20))
																																{	/* Ast/sexp.scm 106 */
																																	obj_t
																																		BgL_cdrzd22125zd2_2213;
																																	BgL_cdrzd22125zd2_2213
																																		=
																																		CDR
																																		(BgL_expz00_20);
																																	if (PAIRP
																																		(BgL_cdrzd22125zd2_2213))
																																		{	/* Ast/sexp.scm 106 */
																																			obj_t
																																				BgL_cdrzd22129zd2_2215;
																																			BgL_cdrzd22129zd2_2215
																																				=
																																				CDR
																																				(BgL_cdrzd22125zd2_2213);
																																			if (PAIRP
																																				(BgL_cdrzd22129zd2_2215))
																																				{	/* Ast/sexp.scm 106 */
																																					if (NULLP(CDR(BgL_cdrzd22129zd2_2215)))
																																						{	/* Ast/sexp.scm 106 */
																																							BgL_varz00_2207
																																								=
																																								CAR
																																								(BgL_cdrzd22125zd2_2213);
																																							BgL_valz00_2208
																																								=
																																								CAR
																																								(BgL_cdrzd22129zd2_2215);
																																							{	/* Ast/sexp.scm 293 */
																																								obj_t
																																									BgL_locz00_2221;
																																								BgL_locz00_2221
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_20,
																																									BgL_locz00_22);
																																								{	/* Ast/sexp.scm 293 */
																																									obj_t
																																										BgL_cdlocz00_2222;
																																									BgL_cdlocz00_2222
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(CDR
																																										(BgL_expz00_20),
																																										BgL_locz00_2221);
																																									{	/* Ast/sexp.scm 294 */
																																										obj_t
																																											BgL_cddlocz00_2223;
																																										{	/* Ast/sexp.scm 295 */
																																											obj_t
																																												BgL_arg2516z00_2234;
																																											{	/* Ast/sexp.scm 295 */
																																												obj_t
																																													BgL_pairz00_3833;
																																												BgL_pairz00_3833
																																													=
																																													BgL_expz00_20;
																																												BgL_arg2516z00_2234
																																													=
																																													CDR
																																													(CDR
																																													(BgL_pairz00_3833));
																																											}
																																											BgL_cddlocz00_2223
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_arg2516z00_2234,
																																												BgL_locz00_2221);
																																										}
																																										{	/* Ast/sexp.scm 295 */
																																											obj_t
																																												BgL_valzd2loczd2_2224;
																																											BgL_valzd2loczd2_2224
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_valz00_2208,
																																												BgL_cddlocz00_2223);
																																											{	/* Ast/sexp.scm 296 */
																																												BgL_nodez00_bglt
																																													BgL_valz00_2225;
																																												BgL_valz00_2225
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_valz00_2208,
																																													BgL_stackz00_21,
																																													BgL_valzd2loczd2_2224,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 297 */

																																													{	/* Ast/sexp.scm 298 */
																																														BgL_nodez00_bglt
																																															BgL_astz00_2226;
																																														BgL_astz00_2226
																																															=
																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																															(BgL_varz00_2207,
																																															BgL_stackz00_21,
																																															BgL_cdlocz00_2222,
																																															CNST_TABLE_REF
																																															(((long) 2)));
																																														{	/* Ast/sexp.scm 299 */
																																															bool_t
																																																BgL_testz00_5395;
																																															{	/* Ast/sexp.scm 299 */
																																																bool_t
																																																	BgL_testz00_5396;
																																																{	/* Ast/sexp.scm 299 */
																																																	bool_t
																																																		BgL_res2929z00_3838;
																																																	{	/* Ast/sexp.scm 299 */
																																																		obj_t
																																																			BgL_objz00_3837;
																																																		BgL_objz00_3837
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_astz00_2226);
																																																		BgL_res2929z00_3838
																																																			=
																																																			BGl_isazf3zf3zz__objectz00
																																																			(BgL_objz00_3837,
																																																			BGl_varz00zzast_nodez00);
																																																	}
																																																	BgL_testz00_5396
																																																		=
																																																		BgL_res2929z00_3838;
																																																}
																																																if (BgL_testz00_5396)
																																																	{	/* Ast/sexp.scm 299 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2515z00_2233;
																																																		BgL_arg2515z00_2233
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2226)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 299 */
																																																			bool_t
																																																				BgL_res2931z00_3843;
																																																			{	/* Ast/sexp.scm 299 */
																																																				obj_t
																																																					BgL_objz00_3842;
																																																				BgL_objz00_3842
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_arg2515z00_2233);
																																																				BgL_res2931z00_3843
																																																					=
																																																					BGl_isazf3zf3zz__objectz00
																																																					(BgL_objz00_3842,
																																																					BGl_globalz00zzast_varz00);
																																																			}
																																																			BgL_testz00_5395
																																																				=
																																																				BgL_res2931z00_3843;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 299 */
																																																		BgL_testz00_5395
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																															if (BgL_testz00_5395)
																																																{	/* Ast/sexp.scm 299 */
																																																	{	/* Ast/sexp.scm 301 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2512z00_2228;
																																																		BgL_arg2512z00_2228
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2226)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 301 */
																																																			BgL_globalz00_bglt
																																																				BgL_oz00_3847;
																																																			obj_t
																																																				BgL_vz00_3848;
																																																			BgL_oz00_3847
																																																				=
																																																				(
																																																				(BgL_globalz00_bglt)
																																																				BgL_arg2512z00_2228);
																																																			BgL_vz00_3848
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_valz00_2225);
																																																			((((BgL_globalz00_bglt) CREF(BgL_oz00_3847))->BgL_srcz00) = ((obj_t) BgL_vz00_3848), BUNSPEC);
																																																		}
																																																	}
																																																	{	/* Ast/sexp.scm 302 */
																																																		BgL_setqz00_bglt
																																																			BgL_new1133z00_2229;
																																																		{	/* Ast/sexp.scm 302 */
																																																			BgL_setqz00_bglt
																																																				BgL_new1132z00_2230;
																																																			BgL_new1132z00_2230
																																																				=
																																																				(
																																																				(BgL_setqz00_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_setqz00_bgl))));
																																																			{	/* Ast/sexp.scm 302 */
																																																				long
																																																					BgL_arg2513z00_2231;
																																																				{	/* Ast/sexp.scm 302 */
																																																					long
																																																						BgL_res2933z00_3853;
																																																					{	/* Ast/sexp.scm 302 */
																																																						obj_t
																																																							BgL_classz00_3850;
																																																						BgL_classz00_3850
																																																							=
																																																							BGl_setqz00zzast_nodez00;
																																																						{	/* Ast/sexp.scm 302 */
																																																							obj_t
																																																								BgL_vectorz00_3851;
																																																							int
																																																								BgL_kz00_3852;
																																																							BgL_vectorz00_3851
																																																								=
																																																								BgL_classz00_3850;
																																																							BgL_kz00_3852
																																																								=
																																																								(int)
																																																								(
																																																								((long) 1));
																																																							BgL_res2933z00_3853
																																																								=
																																																								(long)
																																																								CINT
																																																								(VECTOR_REF
																																																								(BgL_vectorz00_3851,
																																																									BgL_kz00_3852));
																																																					}}
																																																					BgL_arg2513z00_2231
																																																						=
																																																						BgL_res2933z00_3853;
																																																				}
																																																				{	/* Ast/sexp.scm 302 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_3854;
																																																					BgL_objz00_3854
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1132z00_2230);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_3854,
																																																						BgL_arg2513z00_2231);
																																																			}}
																																																			{	/* Ast/sexp.scm 302 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_5414;
																																																				BgL_auxz00_5414
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1132z00_2230);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_5414,
																																																					BFALSE);
																																																			}
																																																			BgL_new1133z00_2229
																																																				=
																																																				BgL_new1132z00_2230;
																																																		}
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_2229)))->BgL_locz00) = ((obj_t) BgL_locz00_2221), BUNSPEC);
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_2229)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1133z00_2229))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2226)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1133z00_2229))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2225), BUNSPEC);
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_new1133z00_2229);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 307 */
																																																	BgL_nodez00_bglt
																																																		BgL_res2934z00_3863;
																																																	{	/* Ast/sexp.scm 307 */
																																																		obj_t
																																																			BgL_arg2734z00_3859;
																																																		BgL_nodez00_bglt
																																																			BgL_arg2735z00_3860;
																																																		BgL_arg2734z00_3859
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg2735z00_3860
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 3)), BNIL, BgL_locz00_2221, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 307 */
																																																			obj_t
																																																				BgL_list2736z00_3862;
																																																			BgL_list2736z00_3862
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg2735z00_3860), BNIL);
																																																			BgL_res2934z00_3863
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_2221,
																																																					BgL_arg2734z00_3859,
																																																					BGl_string3088z00zzast_sexpz00,
																																																					BgL_expz00_20,
																																																					BgL_list2736z00_3862));
																																																	}}
																																																	return
																																																		BgL_res2934z00_3863;
																																																}
																																														}
																																													}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																						BgL_tagzd22118zd2_2210:
																																							{	/* Ast/sexp.scm 311 */
																																								obj_t
																																									BgL_arg2518z00_2236;
																																								BgL_arg2518z00_2236
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_20,
																																									BgL_locz00_22);
																																								{	/* Ast/sexp.scm 310 */
																																									BgL_nodez00_bglt
																																										BgL_res2935z00_3871;
																																									{	/* Ast/sexp.scm 310 */
																																										obj_t
																																											BgL_arg2734z00_3867;
																																										BgL_nodez00_bglt
																																											BgL_arg2735z00_3868;
																																										BgL_arg2734z00_3867
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg2735z00_3868
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 3)), BNIL, BgL_arg2518z00_2236, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 310 */
																																											obj_t
																																												BgL_list2736z00_3870;
																																											BgL_list2736z00_3870
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg2735z00_3868), BNIL);
																																											BgL_res2935z00_3871
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_arg2518z00_2236,
																																													BgL_arg2734z00_3867,
																																													BGl_string3087z00zzast_sexpz00,
																																													BgL_expz00_20,
																																													BgL_list2736z00_3870));
																																									}}
																																									return
																																										BgL_res2935z00_3871;
																																								}
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					goto
																																						BgL_tagzd22118zd2_2210;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			goto
																																				BgL_tagzd22118zd2_2210;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	goto
																																		BgL_tagzd22118zd2_2210;
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd2604zd2_1567;
																														BgL_carzd2604zd2_1567
																															=
																															CAR
																															(BgL_expz00_20);
																														if (PAIRP
																															(BgL_carzd2604zd2_1567))
																															{	/* Ast/sexp.scm 106 */
																																obj_t
																																	BgL_carzd2607zd2_1569;
																																obj_t
																																	BgL_cdrzd2608zd2_1570;
																																BgL_carzd2607zd2_1569
																																	=
																																	CAR
																																	(BgL_carzd2604zd2_1567);
																																BgL_cdrzd2608zd2_1570
																																	=
																																	CDR
																																	(BgL_carzd2604zd2_1567);
																																{

																																	if (
																																		(BgL_carzd2607zd2_1569
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{
																																			obj_t
																																				BgL_auxz00_5455;
																																		BgL_kapzd2609zd2_1571:
																																			if (PAIRP
																																				(BgL_cdrzd2608zd2_1570))
																																				{	/* Ast/sexp.scm 106 */
																																					obj_t
																																						BgL_cdrzd2612zd2_1652;
																																					BgL_cdrzd2612zd2_1652
																																						=
																																						CDR
																																						(BgL_cdrzd2608zd2_1570);
																																					if (PAIRP(BgL_cdrzd2612zd2_1652))
																																						{	/* Ast/sexp.scm 106 */
																																							if (NULLP(CDR(BgL_cdrzd2612zd2_1652)))
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_arg2079z00_1655;
																																									obj_t
																																										BgL_arg2080z00_1656;
																																									BgL_arg2079z00_1655
																																										=
																																										CAR
																																										(BgL_cdrzd2612zd2_1652);
																																									BgL_arg2080z00_1656
																																										=
																																										CDR
																																										(BgL_expz00_20);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_5466;
																																										BgL_bodyz00_1504
																																											=
																																											BgL_arg2079z00_1655;
																																										BgL_argsz00_1505
																																											=
																																											BgL_arg2080z00_1656;
																																									BgL_tagzd2372zd2_1506:
																																										{	/* Ast/sexp.scm 314 */
																																											obj_t
																																												BgL_letzd2partzd2_2237;
																																											BgL_letzd2partzd2_2237
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 314 */
																																												obj_t
																																													BgL_nexpz00_2238;
																																												{	/* Ast/sexp.scm 315 */
																																													obj_t
																																														BgL_arg2519z00_2239;
																																													obj_t
																																														BgL_arg2520z00_2240;
																																													BgL_arg2519z00_2239
																																														=
																																														CAR
																																														(BgL_letzd2partzd2_2237);
																																													{	/* Ast/sexp.scm 315 */
																																														obj_t
																																															BgL_arg2521z00_2241;
																																														obj_t
																																															BgL_arg2522z00_2242;
																																														{	/* Ast/sexp.scm 315 */
																																															obj_t
																																																BgL_pairz00_3887;
																																															BgL_pairz00_3887
																																																=
																																																BgL_letzd2partzd2_2237;
																																															BgL_arg2521z00_2241
																																																=
																																																CAR
																																																(CDR
																																																(BgL_pairz00_3887));
																																														}
																																														{	/* Ast/sexp.scm 315 */
																																															obj_t
																																																BgL_arg2523z00_2243;
																																															BgL_arg2523z00_2243
																																																=
																																																MAKE_PAIR
																																																(BgL_bodyz00_1504,
																																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																(BgL_argsz00_1505,
																																																	BNIL));
																																															BgL_arg2522z00_2242
																																																=
																																																MAKE_PAIR
																																																(BgL_arg2523z00_2243,
																																																BNIL);
																																														}
																																														BgL_arg2520z00_2240
																																															=
																																															MAKE_PAIR
																																															(BgL_arg2521z00_2241,
																																															BgL_arg2522z00_2242);
																																													}
																																													BgL_nexpz00_2238
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2519z00_2239,
																																														BgL_arg2520z00_2240);
																																												}
																																												{	/* Ast/sexp.scm 315 */

																																													BgL_auxz00_5466
																																														=
																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																														(BgL_nexpz00_2238,
																																														BgL_stackz00_21,
																																														BgL_locz00_22,
																																														BgL_sitez00_23);
																																												}
																																											}
																																										}
																																										BgL_auxz00_5455
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_5466);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5478;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2092z00_1668;
																																										BgL_arg2092z00_1668
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5478
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2092z00_1668));
																																									}
																																									if (BgL_testz00_5478)
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_5482;
																																										BgL_tagzd2373zd2_1507:
																																											BgL_auxz00_5482 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_5455
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5482);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_5486;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2091z00_1667;
																																												BgL_arg2091z00_1667
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_5486
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2091z00_1667));
																																											}
																																											if (BgL_testz00_5486)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_5490;
																																												BgL_tagzd2374zd2_1508:
																																													BgL_auxz00_5490 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																													BgL_auxz00_5455
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_5490);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													obj_t
																																														BgL_carzd2659zd2_1659;
																																													BgL_carzd2659zd2_1659
																																														=
																																														CAR
																																														(BgL_expz00_20);
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd2664zd2_1660;
																																														BgL_cdrzd2664zd2_1660
																																															=
																																															CDR
																																															(BgL_carzd2659zd2_1659);
																																														if ((CAR(BgL_carzd2659zd2_1659) == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_arg2085z00_1662;
																																																obj_t
																																																	BgL_arg2087z00_1663;
																																																obj_t
																																																	BgL_arg2088z00_1664;
																																																BgL_arg2085z00_1662
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2664zd2_1660);
																																																BgL_arg2087z00_1663
																																																	=
																																																	CDR
																																																	(BgL_cdrzd2664zd2_1660);
																																																BgL_arg2088z00_1664
																																																	=
																																																	CDR
																																																	(BgL_expz00_20);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_5503;
																																																	BgL_varsz00_1513
																																																		=
																																																		BgL_arg2085z00_1662;
																																																	BgL_bodyz00_1514
																																																		=
																																																		BgL_arg2087z00_1663;
																																																	BgL_argsz00_1515
																																																		=
																																																		BgL_arg2088z00_1664;
																																																BgL_tagzd2376zd2_1516:
																																																	{	/* Ast/sexp.scm 330 */
																																																		obj_t
																																																			BgL_locz00_2249;
																																																		obj_t
																																																			BgL_nexpz00_2250;
																																																		BgL_locz00_2249
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_20,
																																																			BgL_locz00_22);
																																																		{	/* Ast/sexp.scm 331 */
																																																			obj_t
																																																				BgL_arg2527z00_2251;
																																																			obj_t
																																																				BgL_arg2529z00_2252;
																																																			BgL_arg2527z00_2251
																																																				=
																																																				BGl_letzd2symzd2zzast_letz00
																																																				();
																																																			{	/* Ast/sexp.scm 334 */
																																																				obj_t
																																																					BgL_arg2530z00_2253;
																																																				obj_t
																																																					BgL_arg2531z00_2254;
																																																				BgL_arg2530z00_2253
																																																					=
																																																					BGl_loopz00zzast_sexpz00
																																																					(BgL_expz00_20,
																																																					BgL_locz00_22,
																																																					BgL_varsz00_1513,
																																																					BgL_argsz00_1515);
																																																				{	/* Ast/sexp.scm 373 */
																																																					obj_t
																																																						BgL_arg2571z00_2302;
																																																					{	/* Ast/sexp.scm 373 */
																																																						obj_t
																																																							BgL_arg2572z00_2303;
																																																						obj_t
																																																							BgL_arg2573z00_2304;
																																																						BgL_arg2572z00_2303
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2573z00_2304
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1514);
																																																						{	/* Ast/sexp.scm 377 */
																																																							obj_t
																																																								BgL_zc3anonymousza32576ze3z83_4665;
																																																							BgL_zc3anonymousza32576ze3z83_4665
																																																								=
																																																								MAKE_FX_PROCEDURE
																																																								(BGl_z62zc3anonymousza32576ze3ze1zzast_sexpz00,
																																																								(int)
																																																								(((long) 3)), (int) (((long) 1)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza32576ze3z83_4665,
																																																								(int)
																																																								(((long) 0)), BgL_locz00_22);
																																																							BgL_arg2571z00_2302
																																																								=
																																																								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																								(BgL_arg2572z00_2303,
																																																								BgL_varsz00_1513,
																																																								BgL_arg2573z00_2304,
																																																								BgL_zc3anonymousza32576ze3z83_4665);
																																																					}}
																																																					BgL_arg2531z00_2254
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2571z00_2302,
																																																						BNIL);
																																																				}
																																																				BgL_arg2529z00_2252
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg2530z00_2253,
																																																					BgL_arg2531z00_2254);
																																																			}
																																																			BgL_nexpz00_2250
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg2527z00_2251,
																																																				BgL_arg2529z00_2252);
																																																		}
																																																		BgL_auxz00_5503
																																																			=
																																																			BGl_letzd2ze3nodez31zzast_letz00
																																																			(BgL_nexpz00_2250,
																																																			BgL_stackz00_21,
																																																			BgL_locz00_2249,
																																																			BgL_sitez00_23);
																																																	}
																																																	BgL_auxz00_5455
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5503);
																																															}}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{	/* Ast/sexp.scm 106 */
																																																	BgL_tagzd2388zd2_1532:
																																																		BgL_auxz00_5455 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_5524;
																																																	BgL_tagzd2389zd2_1533:
																																																		BgL_auxz00_5524 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																		BgL_auxz00_5455
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5524);
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5527;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2104z00_1681;
																																								BgL_arg2104z00_1681
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5527
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2104z00_1681));
																																							}
																																							if (BgL_testz00_5527)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_5531;
																																									goto
																																										BgL_tagzd2373zd2_1507;
																																									BgL_auxz00_5455
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5531);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5533;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2103z00_1680;
																																										BgL_arg2103z00_1680
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5533
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2103z00_1680));
																																									}
																																									if (BgL_testz00_5533)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_5537;
																																											goto
																																												BgL_tagzd2374zd2_1508;
																																											BgL_auxz00_5455
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5537);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_carzd2726zd2_1672;
																																											BgL_carzd2726zd2_1672
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd2731zd2_1673;
																																												BgL_cdrzd2731zd2_1673
																																													=
																																													CDR
																																													(BgL_carzd2726zd2_1672);
																																												if ((CAR(BgL_carzd2726zd2_1672) == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2097z00_1675;
																																														obj_t
																																															BgL_arg2098z00_1676;
																																														obj_t
																																															BgL_arg2099z00_1677;
																																														BgL_arg2097z00_1675
																																															=
																																															CAR
																																															(BgL_cdrzd2731zd2_1673);
																																														BgL_arg2098z00_1676
																																															=
																																															CDR
																																															(BgL_cdrzd2731zd2_1673);
																																														BgL_arg2099z00_1677
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_5548;
																																															{
																																																obj_t
																																																	BgL_argsz00_5551;
																																																obj_t
																																																	BgL_bodyz00_5550;
																																																obj_t
																																																	BgL_varsz00_5549;
																																																BgL_varsz00_5549
																																																	=
																																																	BgL_arg2097z00_1675;
																																																BgL_bodyz00_5550
																																																	=
																																																	BgL_arg2098z00_1676;
																																																BgL_argsz00_5551
																																																	=
																																																	BgL_arg2099z00_1677;
																																																BgL_argsz00_1515
																																																	=
																																																	BgL_argsz00_5551;
																																																BgL_bodyz00_1514
																																																	=
																																																	BgL_bodyz00_5550;
																																																BgL_varsz00_1513
																																																	=
																																																	BgL_varsz00_5549;
																																																goto
																																																	BgL_tagzd2376zd2_1516;
																																															}
																																															BgL_auxz00_5455
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_5548);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd2388zd2_1532;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_5555;
																																																goto
																																																	BgL_tagzd2389zd2_1533;
																																																BgL_auxz00_5455
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5555);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_5557;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2109z00_1686;
																																						BgL_arg2109z00_1686
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_5557
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2109z00_1686));
																																					}
																																					if (BgL_testz00_5557)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_5561;
																																							goto
																																								BgL_tagzd2373zd2_1507;
																																							BgL_auxz00_5455
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_5561);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5563;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2108z00_1685;
																																								BgL_arg2108z00_1685
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5563
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2108z00_1685));
																																							}
																																							if (BgL_testz00_5563)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_5567;
																																									goto
																																										BgL_tagzd2374zd2_1508;
																																									BgL_auxz00_5455
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5567);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd2388zd2_1532;
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_5571;
																																											goto
																																												BgL_tagzd2389zd2_1533;
																																											BgL_auxz00_5455
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5571);
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_5455);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd2607zd2_1569)))
																																				{
																																					obj_t
																																						BgL_auxz00_5577;
																																					goto
																																						BgL_kapzd2609zd2_1571;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_5577);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					if (
																																						(BgL_carzd2607zd2_1569
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							obj_t
																																								BgL_auxz00_5582;
																																							goto
																																								BgL_kapzd2609zd2_1571;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_5582);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if ((BgL_carzd2607zd2_1569 == CNST_TABLE_REF(((long) 20))))
																																								{
																																									obj_t
																																										BgL_auxz00_5587;
																																									goto
																																										BgL_kapzd2609zd2_1571;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_5587);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2607zd2_1569)))
																																										{
																																											obj_t
																																												BgL_auxz00_5592;
																																											goto
																																												BgL_kapzd2609zd2_1571;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_5592);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_5594;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2074z00_1650;
																																												BgL_arg2074z00_1650
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_5594
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg2074z00_1650));
																																											}
																																											if (BgL_testz00_5594)
																																												{	/* Ast/sexp.scm 106 */
																																													goto
																																														BgL_tagzd2373zd2_1507;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													bool_t
																																														BgL_testz00_5598;
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2073z00_1649;
																																														BgL_arg2073z00_1649
																																															=
																																															CAR
																																															(BgL_expz00_20);
																																														BgL_testz00_5598
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg2073z00_1649));
																																													}
																																													if (BgL_testz00_5598)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_5602;
																																															goto
																																																BgL_tagzd2374zd2_1508;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_5602);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 106 */
																																															obj_t
																																																BgL_carzd2842zd2_1579;
																																															obj_t
																																																BgL_cdrzd2843zd2_1580;
																																															BgL_carzd2842zd2_1579
																																																=
																																																CAR
																																																(BgL_expz00_20);
																																															BgL_cdrzd2843zd2_1580
																																																=
																																																CDR
																																																(BgL_expz00_20);
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_cdrzd2847zd2_1581;
																																																BgL_cdrzd2847zd2_1581
																																																	=
																																																	CDR
																																																	(BgL_carzd2842zd2_1579);
																																																if ((CAR(BgL_carzd2842zd2_1579) == CNST_TABLE_REF(((long) 17))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (PAIRP(BgL_cdrzd2847zd2_1581))
																																																			{	/* Ast/sexp.scm 106 */
																																																				obj_t
																																																					BgL_carzd2850zd2_1584;
																																																				obj_t
																																																					BgL_cdrzd2851zd2_1585;
																																																				BgL_carzd2850zd2_1584
																																																					=
																																																					CAR
																																																					(BgL_cdrzd2847zd2_1581);
																																																				BgL_cdrzd2851zd2_1585
																																																					=
																																																					CDR
																																																					(BgL_cdrzd2847zd2_1581);
																																																				if (PAIRP(BgL_carzd2850zd2_1584))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (NULLP(CDR(BgL_carzd2850zd2_1584)))
																																																							{	/* Ast/sexp.scm 106 */
																																																								if (PAIRP(BgL_cdrzd2851zd2_1585))
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_carzd2857zd2_1589;
																																																										BgL_carzd2857zd2_1589
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2851zd2_1585);
																																																										if (PAIRP(BgL_carzd2857zd2_1589))
																																																											{	/* Ast/sexp.scm 106 */
																																																												if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd2857zd2_1589))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (NULLP(CDR(BgL_cdrzd2851zd2_1585)))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (PAIRP(BgL_cdrzd2843zd2_1580))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_carzd2864zd2_1594;
																																																																		BgL_carzd2864zd2_1594
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd2843zd2_1580);
																																																																		if (PAIRP(BgL_carzd2864zd2_1594))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_cdrzd2883zd2_1596;
																																																																				BgL_cdrzd2883zd2_1596
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_20));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_5641;
																																																																					obj_t
																																																																						BgL_bodyz00_5639;
																																																																					obj_t
																																																																						BgL_varsz00_5637;
																																																																					BgL_varsz00_5637
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd2883zd2_1596);
																																																																					BgL_bodyz00_5639
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd2883zd2_1596);
																																																																					BgL_argsz00_5641
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_20);
																																																																					BgL_argsz00_1515
																																																																						=
																																																																						BgL_argsz00_5641;
																																																																					BgL_bodyz00_1514
																																																																						=
																																																																						BgL_bodyz00_5639;
																																																																					BgL_varsz00_1513
																																																																						=
																																																																						BgL_varsz00_5637;
																																																																					goto
																																																																						BgL_tagzd2376zd2_1516;
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (NULLP(CDR(BgL_cdrzd2843zd2_1580)))
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						obj_t
																																																																							BgL_arg2028z00_1602;
																																																																						BgL_arg2028z00_1602
																																																																							=
																																																																							CAR
																																																																							(BgL_carzd2850zd2_1584);
																																																																						{
																																																																							BgL_castz00_bglt
																																																																								BgL_auxz00_5647;
																																																																							BgL_varz00_1509
																																																																								=
																																																																								BgL_arg2028z00_1602;
																																																																							BgL_bodyz00_1510
																																																																								=
																																																																								BgL_carzd2857zd2_1589;
																																																																							BgL_argz00_1511
																																																																								=
																																																																								BgL_carzd2864zd2_1594;
																																																																						BgL_tagzd2375zd2_1512:
																																																																							{	/* Ast/sexp.scm 325 */
																																																																								BgL_castz00_bglt
																																																																									BgL_new1135z00_2245;
																																																																								{	/* Ast/sexp.scm 325 */
																																																																									BgL_castz00_bglt
																																																																										BgL_new1134z00_2247;
																																																																									BgL_new1134z00_2247
																																																																										=
																																																																										(
																																																																										(BgL_castz00_bglt)
																																																																										BREF
																																																																										(GC_MALLOC
																																																																											(sizeof
																																																																												(struct
																																																																													BgL_castz00_bgl))));
																																																																									{	/* Ast/sexp.scm 325 */
																																																																										long
																																																																											BgL_arg2526z00_2248;
																																																																										{	/* Ast/sexp.scm 325 */
																																																																											long
																																																																												BgL_res2940z00_3894;
																																																																											{	/* Ast/sexp.scm 325 */
																																																																												obj_t
																																																																													BgL_classz00_3891;
																																																																												BgL_classz00_3891
																																																																													=
																																																																													BGl_castz00zzast_nodez00;
																																																																												{	/* Ast/sexp.scm 325 */
																																																																													obj_t
																																																																														BgL_vectorz00_3892;
																																																																													int
																																																																														BgL_kz00_3893;
																																																																													BgL_vectorz00_3892
																																																																														=
																																																																														BgL_classz00_3891;
																																																																													BgL_kz00_3893
																																																																														=
																																																																														(int)
																																																																														(
																																																																														((long) 1));
																																																																													BgL_res2940z00_3894
																																																																														=
																																																																														(long)
																																																																														CINT
																																																																														(VECTOR_REF
																																																																														(BgL_vectorz00_3892,
																																																																															BgL_kz00_3893));
																																																																											}}
																																																																											BgL_arg2526z00_2248
																																																																												=
																																																																												BgL_res2940z00_3894;
																																																																										}
																																																																										{	/* Ast/sexp.scm 325 */
																																																																											BgL_objectz00_bglt
																																																																												BgL_objz00_3895;
																																																																											BgL_objz00_3895
																																																																												=
																																																																												(
																																																																												(BgL_objectz00_bglt)
																																																																												BgL_new1134z00_2247);
																																																																											BGL_OBJECT_CLASS_NUM_SET
																																																																												(BgL_objz00_3895,
																																																																												BgL_arg2526z00_2248);
																																																																									}}
																																																																									{	/* Ast/sexp.scm 325 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_auxz00_5654;
																																																																										BgL_auxz00_5654
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1134z00_2247);
																																																																										BGL_OBJECT_WIDENING_SET
																																																																											(BgL_auxz00_5654,
																																																																											BFALSE);
																																																																									}
																																																																									BgL_new1135z00_2245
																																																																										=
																																																																										BgL_new1134z00_2247;
																																																																								}
																																																																								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1135z00_2245)))->BgL_locz00) = ((obj_t) BgL_locz00_22), BUNSPEC);
																																																																								{
																																																																									BgL_typez00_bglt
																																																																										BgL_auxz00_5659;
																																																																									{	/* Ast/sexp.scm 327 */
																																																																										obj_t
																																																																											BgL_arg2525z00_2246;
																																																																										BgL_arg2525z00_2246
																																																																											=
																																																																											BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																											(BgL_bodyz00_1510);
																																																																										BgL_auxz00_5659
																																																																											=
																																																																											BGl_usezd2typez12zc0zztype_envz00
																																																																											(BgL_arg2525z00_2246,
																																																																											BgL_locz00_22);
																																																																									}
																																																																									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1135z00_2245)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5659), BUNSPEC);
																																																																								}
																																																																								((((BgL_castz00_bglt) CREF(BgL_new1135z00_2245))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1511, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23)), BUNSPEC);
																																																																								BgL_auxz00_5647
																																																																									=
																																																																									BgL_new1135z00_2245;
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_5647);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						obj_t
																																																																							BgL_cdrzd2905zd2_1603;
																																																																						BgL_cdrzd2905zd2_1603
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_20));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_5673;
																																																																							obj_t
																																																																								BgL_bodyz00_5671;
																																																																							obj_t
																																																																								BgL_varsz00_5669;
																																																																							BgL_varsz00_5669
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd2905zd2_1603);
																																																																							BgL_bodyz00_5671
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd2905zd2_1603);
																																																																							BgL_argsz00_5673
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_20);
																																																																							BgL_argsz00_1515
																																																																								=
																																																																								BgL_argsz00_5673;
																																																																							BgL_bodyz00_1514
																																																																								=
																																																																								BgL_bodyz00_5671;
																																																																							BgL_varsz00_1513
																																																																								=
																																																																								BgL_varsz00_5669;
																																																																							goto
																																																																								BgL_tagzd2376zd2_1516;
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd2926zd2_1609;
																																																																		BgL_cdrzd2926zd2_1609
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_20));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_5681;
																																																																			obj_t
																																																																				BgL_bodyz00_5679;
																																																																			obj_t
																																																																				BgL_varsz00_5677;
																																																																			BgL_varsz00_5677
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd2926zd2_1609);
																																																																			BgL_bodyz00_5679
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd2926zd2_1609);
																																																																			BgL_argsz00_5681
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_20);
																																																																			BgL_argsz00_1515
																																																																				=
																																																																				BgL_argsz00_5681;
																																																																			BgL_bodyz00_1514
																																																																				=
																																																																				BgL_bodyz00_5679;
																																																																			BgL_varsz00_1513
																																																																				=
																																																																				BgL_varsz00_5677;
																																																																			goto
																																																																				BgL_tagzd2376zd2_1516;
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd2947zd2_1614;
																																																																BgL_cdrzd2947zd2_1614
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_20));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_5689;
																																																																	obj_t
																																																																		BgL_bodyz00_5687;
																																																																	obj_t
																																																																		BgL_varsz00_5685;
																																																																	BgL_varsz00_5685
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2947zd2_1614);
																																																																	BgL_bodyz00_5687
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd2947zd2_1614);
																																																																	BgL_argsz00_5689
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_20);
																																																																	BgL_argsz00_1515
																																																																		=
																																																																		BgL_argsz00_5689;
																																																																	BgL_bodyz00_1514
																																																																		=
																																																																		BgL_bodyz00_5687;
																																																																	BgL_varsz00_1513
																																																																		=
																																																																		BgL_varsz00_5685;
																																																																	goto
																																																																		BgL_tagzd2376zd2_1516;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd2968zd2_1620;
																																																														BgL_cdrzd2968zd2_1620
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_20));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_5697;
																																																															obj_t
																																																																BgL_bodyz00_5695;
																																																															obj_t
																																																																BgL_varsz00_5693;
																																																															BgL_varsz00_5693
																																																																=
																																																																CAR
																																																																(BgL_cdrzd2968zd2_1620);
																																																															BgL_bodyz00_5695
																																																																=
																																																																CDR
																																																																(BgL_cdrzd2968zd2_1620);
																																																															BgL_argsz00_5697
																																																																=
																																																																CDR
																																																																(BgL_expz00_20);
																																																															BgL_argsz00_1515
																																																																=
																																																																BgL_argsz00_5697;
																																																															BgL_bodyz00_1514
																																																																=
																																																																BgL_bodyz00_5695;
																																																															BgL_varsz00_1513
																																																																=
																																																																BgL_varsz00_5693;
																																																															goto
																																																																BgL_tagzd2376zd2_1516;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd2989zd2_1625;
																																																												BgL_cdrzd2989zd2_1625
																																																													=
																																																													CDR
																																																													(BgL_carzd2842zd2_1579);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_5704;
																																																													obj_t
																																																														BgL_bodyz00_5702;
																																																													obj_t
																																																														BgL_varsz00_5700;
																																																													BgL_varsz00_5700
																																																														=
																																																														CAR
																																																														(BgL_cdrzd2989zd2_1625);
																																																													BgL_bodyz00_5702
																																																														=
																																																														CDR
																																																														(BgL_cdrzd2989zd2_1625);
																																																													BgL_argsz00_5704
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													BgL_argsz00_1515
																																																														=
																																																														BgL_argsz00_5704;
																																																													BgL_bodyz00_1514
																																																														=
																																																														BgL_bodyz00_5702;
																																																													BgL_varsz00_1513
																																																														=
																																																														BgL_varsz00_5700;
																																																													goto
																																																														BgL_tagzd2376zd2_1516;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_cdrzd21010zd2_1630;
																																																										BgL_cdrzd21010zd2_1630
																																																											=
																																																											CDR
																																																											(BgL_carzd2842zd2_1579);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_5711;
																																																											obj_t
																																																												BgL_bodyz00_5709;
																																																											obj_t
																																																												BgL_varsz00_5707;
																																																											BgL_varsz00_5707
																																																												=
																																																												CAR
																																																												(BgL_cdrzd21010zd2_1630);
																																																											BgL_bodyz00_5709
																																																												=
																																																												CDR
																																																												(BgL_cdrzd21010zd2_1630);
																																																											BgL_argsz00_5711
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											BgL_argsz00_1515
																																																												=
																																																												BgL_argsz00_5711;
																																																											BgL_bodyz00_1514
																																																												=
																																																												BgL_bodyz00_5709;
																																																											BgL_varsz00_1513
																																																												=
																																																												BgL_varsz00_5707;
																																																											goto
																																																												BgL_tagzd2376zd2_1516;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_cdrzd21031zd2_1635;
																																																								BgL_cdrzd21031zd2_1635
																																																									=
																																																									CDR
																																																									(BgL_carzd2842zd2_1579);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_5718;
																																																									obj_t
																																																										BgL_bodyz00_5716;
																																																									obj_t
																																																										BgL_varsz00_5714;
																																																									BgL_varsz00_5714
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21031zd2_1635);
																																																									BgL_bodyz00_5716
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21031zd2_1635);
																																																									BgL_argsz00_5718
																																																										=
																																																										CDR
																																																										(BgL_expz00_20);
																																																									BgL_argsz00_1515
																																																										=
																																																										BgL_argsz00_5718;
																																																									BgL_bodyz00_1514
																																																										=
																																																										BgL_bodyz00_5716;
																																																									BgL_varsz00_1513
																																																										=
																																																										BgL_varsz00_5714;
																																																									goto
																																																										BgL_tagzd2376zd2_1516;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						obj_t
																																																							BgL_cdrzd21052zd2_1641;
																																																						BgL_cdrzd21052zd2_1641
																																																							=
																																																							CDR
																																																							(BgL_carzd2842zd2_1579);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_5725;
																																																							obj_t
																																																								BgL_bodyz00_5723;
																																																							obj_t
																																																								BgL_varsz00_5721;
																																																							BgL_varsz00_5721
																																																								=
																																																								CAR
																																																								(BgL_cdrzd21052zd2_1641);
																																																							BgL_bodyz00_5723
																																																								=
																																																								CDR
																																																								(BgL_cdrzd21052zd2_1641);
																																																							BgL_argsz00_5725
																																																								=
																																																								CDR
																																																								(BgL_expz00_20);
																																																							BgL_argsz00_1515
																																																								=
																																																								BgL_argsz00_5725;
																																																							BgL_bodyz00_1514
																																																								=
																																																								BgL_bodyz00_5723;
																																																							BgL_varsz00_1513
																																																								=
																																																								BgL_varsz00_5721;
																																																							goto
																																																								BgL_tagzd2376zd2_1516;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_5729;
																																																						goto
																																																							BgL_tagzd2388zd2_1532;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_5729);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2389zd2_1533;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_5733;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_5733);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																if (
																																	(BgL_carzd2604zd2_1567
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				18))))
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2373zd2_1507;
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		if (CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																				(BgL_carzd2604zd2_1567)))
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2373zd2_1507;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				if (
																																					(BgL_carzd2604zd2_1567
																																						==
																																						CNST_TABLE_REF
																																						(((long) 19))))
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd2373zd2_1507;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						if (
																																							(BgL_carzd2604zd2_1567
																																								==
																																								CNST_TABLE_REF
																																								(((long) 21))))
																																							{	/* Ast/sexp.scm 106 */
																																								goto
																																									BgL_tagzd2373zd2_1507;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_carzd21123zd2_1692;
																																								BgL_carzd21123zd2_1692
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								if ((BgL_carzd21123zd2_1692 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_5751;
																																										goto
																																											BgL_tagzd2374zd2_1508;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_5751);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21123zd2_1692)))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_5756;
																																												goto
																																													BgL_tagzd2374zd2_1508;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_5756);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 106 */
																																													BgL_tagzd2377zd2_1517:
																																														{
																																															obj_t
																																																BgL_argsz00_2313;
																																															obj_t
																																																BgL_bodyz00_2314;
																																															if (PAIRP(BgL_expz00_20))
																																																{	/* Ast/sexp.scm 106 */
																																																	obj_t
																																																		BgL_cdrzd22143zd2_2319;
																																																	BgL_cdrzd22143zd2_2319
																																																		=
																																																		CDR
																																																		(BgL_expz00_20);
																																																	if (PAIRP(BgL_cdrzd22143zd2_2319))
																																																		{	/* Ast/sexp.scm 106 */
																																																			BgL_argsz00_2313
																																																				=
																																																				CAR
																																																				(BgL_cdrzd22143zd2_2319);
																																																			BgL_bodyz00_2314
																																																				=
																																																				CDR
																																																				(BgL_cdrzd22143zd2_2319);
																																																			{	/* Ast/sexp.scm 383 */
																																																				obj_t
																																																					BgL_locz00_2323;
																																																				obj_t
																																																					BgL_funz00_2324;
																																																				BgL_locz00_2323
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_20,
																																																					BgL_locz00_22);
																																																				BgL_funz00_2324
																																																					=
																																																					BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																					(BgL_locz00_22,
																																																					BNIL);
																																																				{	/* Ast/sexp.scm 385 */
																																																					obj_t
																																																						BgL_arg2582z00_2325;
																																																					{	/* Ast/sexp.scm 385 */
																																																						obj_t
																																																							BgL_arg2583z00_2326;
																																																						obj_t
																																																							BgL_arg2584z00_2327;
																																																						BgL_arg2583z00_2326
																																																							=
																																																							BGl_labelszd2symzd2zzast_labelsz00
																																																							();
																																																						{	/* Ast/sexp.scm 385 */
																																																							obj_t
																																																								BgL_arg2585z00_2328;
																																																							obj_t
																																																								BgL_arg2587z00_2329;
																																																							{	/* Ast/sexp.scm 385 */
																																																								obj_t
																																																									BgL_arg2588z00_2330;
																																																								{	/* Ast/sexp.scm 385 */
																																																									obj_t
																																																										BgL_arg2589z00_2331;
																																																									{	/* Ast/sexp.scm 385 */
																																																										obj_t
																																																											BgL_arg2590z00_2332;
																																																										BgL_arg2590z00_2332
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																											(BgL_bodyz00_2314),
																																																											BNIL);
																																																										BgL_arg2589z00_2331
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_argsz00_2313,
																																																											BgL_arg2590z00_2332);
																																																									}
																																																									BgL_arg2588z00_2330
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_funz00_2324,
																																																										BgL_arg2589z00_2331);
																																																								}
																																																								BgL_arg2585z00_2328
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg2588z00_2330,
																																																									BNIL);
																																																							}
																																																							BgL_arg2587z00_2329
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_2324,
																																																								BNIL);
																																																							BgL_arg2584z00_2327
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg2585z00_2328,
																																																								BgL_arg2587z00_2329);
																																																						}
																																																						BgL_arg2582z00_2325
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2583z00_2326,
																																																							BgL_arg2584z00_2327);
																																																					}
																																																					{
																																																						obj_t
																																																							BgL_locz00_5779;
																																																						obj_t
																																																							BgL_expz00_5778;
																																																						BgL_expz00_5778
																																																							=
																																																							BgL_arg2582z00_2325;
																																																						BgL_locz00_5779
																																																							=
																																																							BgL_locz00_2323;
																																																						BgL_locz00_22
																																																							=
																																																							BgL_locz00_5779;
																																																						BgL_expz00_20
																																																							=
																																																							BgL_expz00_5778;
																																																						goto
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																					}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 106 */
																																																		BgL_tagzd22136zd2_2316:
																																																			{	/* Ast/sexp.scm 392 */
																																																				obj_t
																																																					BgL_arg2593z00_2335;
																																																				BgL_arg2593z00_2335
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_20,
																																																					BgL_locz00_22);
																																																				{	/* Ast/sexp.scm 390 */
																																																					BgL_nodez00_bglt
																																																						BgL_res2950z00_3932;
																																																					{	/* Ast/sexp.scm 390 */
																																																						obj_t
																																																							BgL_arg2734z00_3928;
																																																						BgL_nodez00_bglt
																																																							BgL_arg2735z00_3929;
																																																						BgL_arg2734z00_3928
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2735z00_3929
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 3)), BNIL, BgL_arg2593z00_2335, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 390 */
																																																							obj_t
																																																								BgL_list2736z00_3931;
																																																							BgL_list2736z00_3931
																																																								=
																																																								MAKE_PAIR
																																																								(
																																																								((obj_t) BgL_arg2735z00_3929), BNIL);
																																																							BgL_res2950z00_3932
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_arg2593z00_2335,
																																																									BgL_arg2734z00_3928,
																																																									BGl_string3086z00zzast_sexpz00,
																																																									BgL_expz00_20,
																																																									BgL_list2736z00_3931));
																																																					}}
																																																					return
																																																						BgL_res2950z00_3932;
																																																				}
																																																			}
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 106 */
																																																	goto
																																																		BgL_tagzd22136zd2_2316;
																																																}
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 5))))
																																															{	/* Ast/sexp.scm 106 */
																																															BgL_tagzd2378zd2_1518:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_cdrzd21157zd2_1697;
																																																BgL_cdrzd21157zd2_1697
																																																	=
																																																	CDR
																																																	(BgL_expz00_20);
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (PAIRP(BgL_cdrzd21157zd2_1697))
																																																			{	/* Ast/sexp.scm 106 */
																																																				BgL_effectz00_1519
																																																					=
																																																					CAR
																																																					(BgL_cdrzd21157zd2_1697);
																																																				BgL_restz00_1520
																																																					=
																																																					CDR
																																																					(BgL_cdrzd21157zd2_1697);
																																																			BgL_tagzd2379zd2_1521:
																																																				{	/* Ast/sexp.scm 399 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg2594z00_2336;
																																																					obj_t
																																																						BgL_arg2595z00_2337;
																																																					BgL_arg2594z00_2336
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_1519);
																																																					{	/* Ast/sexp.scm 400 */
																																																						obj_t
																																																							BgL_arg2597z00_2338;
																																																						BgL_arg2597z00_2338
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_1520,
																																																							BNIL);
																																																						BgL_arg2595z00_2337
																																																							=
																																																							MAKE_PAIR
																																																							(CNST_TABLE_REF
																																																							(((long) 5)), BgL_arg2597z00_2338);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 0), ((obj_t) BgL_arg2594z00_2336), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2595z00_2337, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_5816;
																																																						goto
																																																							BgL_tagzd2388zd2_1532;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_5816);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2389zd2_1533;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 106 */
																																																			BgL_tagzd2380zd2_1522:
																																																				return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (PAIRP(BgL_cdrzd21157zd2_1697))
																																																							{	/* Ast/sexp.scm 106 */
																																																								BgL_effectz00_1523
																																																									=
																																																									CAR
																																																									(BgL_cdrzd21157zd2_1697);
																																																								BgL_restz00_1524
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21157zd2_1697);
																																																							BgL_tagzd2381zd2_1525:
																																																								{	/* Ast/sexp.scm 407 */
																																																									BgL_feffectz00_bglt
																																																										BgL_arg2598z00_2339;
																																																									obj_t
																																																										BgL_arg2599z00_2340;
																																																									BgL_arg2598z00_2339
																																																										=
																																																										BGl_parsezd2effectzd2zzeffect_feffectz00
																																																										(BgL_effectz00_1523);
																																																									{	/* Ast/sexp.scm 408 */
																																																										obj_t
																																																											BgL_arg2600z00_2341;
																																																										BgL_arg2600z00_2341
																																																											=
																																																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																											(BgL_restz00_1524,
																																																											BNIL);
																																																										BgL_arg2599z00_2340
																																																											=
																																																											MAKE_PAIR
																																																											(CNST_TABLE_REF
																																																											(((long) 5)), BgL_arg2600z00_2341);
																																																									}
																																																									return
																																																										BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																										(
																																																										((bool_t) 1), ((obj_t) BgL_arg2598z00_2339), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2599z00_2340, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_5841;
																																																										goto
																																																											BgL_tagzd2388zd2_1532;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_5841);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										goto
																																																											BgL_tagzd2389zd2_1533;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 106 */
																																																							BgL_tagzd2382zd2_1526:
																																																								{
																																																									obj_t
																																																										BgL_procz00_2342;
																																																									obj_t
																																																										BgL_msgz00_2343;
																																																									obj_t
																																																										BgL_objz00_2344;
																																																									if (PAIRP(BgL_expz00_20))
																																																										{	/* Ast/sexp.scm 106 */
																																																											obj_t
																																																												BgL_cdrzd22160zd2_2349;
																																																											BgL_cdrzd22160zd2_2349
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											if (PAIRP(BgL_cdrzd22160zd2_2349))
																																																												{	/* Ast/sexp.scm 106 */
																																																													obj_t
																																																														BgL_cdrzd22165zd2_2351;
																																																													BgL_cdrzd22165zd2_2351
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22160zd2_2349);
																																																													if (PAIRP(BgL_cdrzd22165zd2_2351))
																																																														{	/* Ast/sexp.scm 106 */
																																																															obj_t
																																																																BgL_cdrzd22170zd2_2353;
																																																															BgL_cdrzd22170zd2_2353
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22165zd2_2351);
																																																															if (PAIRP(BgL_cdrzd22170zd2_2353))
																																																																{	/* Ast/sexp.scm 106 */
																																																																	if (NULLP(CDR(BgL_cdrzd22170zd2_2353)))
																																																																		{	/* Ast/sexp.scm 106 */
																																																																			obj_t
																																																																				BgL_arg2606z00_2356;
																																																																			obj_t
																																																																				BgL_arg2607z00_2357;
																																																																			obj_t
																																																																				BgL_arg2608z00_2358;
																																																																			BgL_arg2606z00_2356
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22160zd2_2349);
																																																																			BgL_arg2607z00_2357
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22165zd2_2351);
																																																																			BgL_arg2608z00_2358
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22170zd2_2353);
																																																																			{
																																																																				BgL_failz00_bglt
																																																																					BgL_auxz00_5864;
																																																																				BgL_procz00_2342
																																																																					=
																																																																					BgL_arg2606z00_2356;
																																																																				BgL_msgz00_2343
																																																																					=
																																																																					BgL_arg2607z00_2357;
																																																																				BgL_objz00_2344
																																																																					=
																																																																					BgL_arg2608z00_2358;
																																																																				{	/* Ast/sexp.scm 413 */
																																																																					obj_t
																																																																						BgL_locz00_2360;
																																																																					BgL_locz00_2360
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_20,
																																																																						BgL_locz00_22);
																																																																					{	/* Ast/sexp.scm 413 */
																																																																						obj_t
																																																																							BgL_cdlocz00_2361;
																																																																						BgL_cdlocz00_2361
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(CDR
																																																																							(BgL_expz00_20),
																																																																							BgL_locz00_2360);
																																																																						{	/* Ast/sexp.scm 414 */
																																																																							obj_t
																																																																								BgL_cddlocz00_2362;
																																																																							{	/* Ast/sexp.scm 415 */
																																																																								obj_t
																																																																									BgL_arg2612z00_2374;
																																																																								{	/* Ast/sexp.scm 415 */
																																																																									obj_t
																																																																										BgL_pairz00_3941;
																																																																									BgL_pairz00_3941
																																																																										=
																																																																										BgL_expz00_20;
																																																																									BgL_arg2612z00_2374
																																																																										=
																																																																										CDR
																																																																										(CDR
																																																																										(BgL_pairz00_3941));
																																																																								}
																																																																								BgL_cddlocz00_2362
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg2612z00_2374,
																																																																									BgL_locz00_2360);
																																																																							}
																																																																							{	/* Ast/sexp.scm 415 */
																																																																								obj_t
																																																																									BgL_cdddlocz00_2363;
																																																																								{	/* Ast/sexp.scm 416 */
																																																																									obj_t
																																																																										BgL_arg2611z00_2373;
																																																																									{	/* Ast/sexp.scm 416 */
																																																																										obj_t
																																																																											BgL_pairz00_3945;
																																																																										BgL_pairz00_3945
																																																																											=
																																																																											BgL_expz00_20;
																																																																										BgL_arg2611z00_2373
																																																																											=
																																																																											CDR
																																																																											(CDR
																																																																											(CDR
																																																																												(BgL_pairz00_3945)));
																																																																									}
																																																																									BgL_cdddlocz00_2363
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg2611z00_2373,
																																																																										BgL_locz00_2360);
																																																																								}
																																																																								{	/* Ast/sexp.scm 416 */
																																																																									obj_t
																																																																										BgL_loczd2proczd2_2364;
																																																																									BgL_loczd2proczd2_2364
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_procz00_2342,
																																																																										BgL_cdlocz00_2361);
																																																																									{	/* Ast/sexp.scm 417 */
																																																																										obj_t
																																																																											BgL_loczd2msgzd2_2365;
																																																																										BgL_loczd2msgzd2_2365
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_msgz00_2343,
																																																																											BgL_cddlocz00_2362);
																																																																										{	/* Ast/sexp.scm 418 */
																																																																											obj_t
																																																																												BgL_loczd2objzd2_2366;
																																																																											BgL_loczd2objzd2_2366
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_objz00_2344,
																																																																												BgL_cdddlocz00_2363);
																																																																											{	/* Ast/sexp.scm 419 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_procz00_2367;
																																																																												BgL_procz00_2367
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_procz00_2342,
																																																																													BgL_stackz00_21,
																																																																													BgL_loczd2proczd2_2364,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 420 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_msgz00_2368;
																																																																													BgL_msgz00_2368
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_msgz00_2343,
																																																																														BgL_stackz00_21,
																																																																														BgL_loczd2msgzd2_2365,
																																																																														CNST_TABLE_REF
																																																																														(((long) 2)));
																																																																													{	/* Ast/sexp.scm 421 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_objz00_2369;
																																																																														BgL_objz00_2369
																																																																															=
																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																															(BgL_objz00_2344,
																																																																															BgL_stackz00_21,
																																																																															BgL_loczd2objzd2_2366,
																																																																															CNST_TABLE_REF
																																																																															(((long) 2)));
																																																																														{	/* Ast/sexp.scm 422 */

																																																																															{	/* Ast/sexp.scm 423 */
																																																																																BgL_failz00_bglt
																																																																																	BgL_new1137z00_2370;
																																																																																{	/* Ast/sexp.scm 423 */
																																																																																	BgL_failz00_bglt
																																																																																		BgL_new1136z00_2371;
																																																																																	BgL_new1136z00_2371
																																																																																		=
																																																																																		(
																																																																																		(BgL_failz00_bglt)
																																																																																		BREF
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_failz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 423 */
																																																																																		long
																																																																																			BgL_arg2610z00_2372;
																																																																																		{	/* Ast/sexp.scm 423 */
																																																																																			long
																																																																																				BgL_res2953z00_3954;
																																																																																			{	/* Ast/sexp.scm 423 */
																																																																																				obj_t
																																																																																					BgL_classz00_3951;
																																																																																				BgL_classz00_3951
																																																																																					=
																																																																																					BGl_failz00zzast_nodez00;
																																																																																				{	/* Ast/sexp.scm 423 */
																																																																																					obj_t
																																																																																						BgL_vectorz00_3952;
																																																																																					int
																																																																																						BgL_kz00_3953;
																																																																																					BgL_vectorz00_3952
																																																																																						=
																																																																																						BgL_classz00_3951;
																																																																																					BgL_kz00_3953
																																																																																						=
																																																																																						(int)
																																																																																						(
																																																																																						((long) 1));
																																																																																					BgL_res2953z00_3954
																																																																																						=
																																																																																						(long)
																																																																																						CINT
																																																																																						(VECTOR_REF
																																																																																						(BgL_vectorz00_3952,
																																																																																							BgL_kz00_3953));
																																																																																			}}
																																																																																			BgL_arg2610z00_2372
																																																																																				=
																																																																																				BgL_res2953z00_3954;
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 423 */
																																																																																			BgL_objectz00_bglt
																																																																																				BgL_objz00_3955;
																																																																																			BgL_objz00_3955
																																																																																				=
																																																																																				(
																																																																																				(BgL_objectz00_bglt)
																																																																																				BgL_new1136z00_2371);
																																																																																			BGL_OBJECT_CLASS_NUM_SET
																																																																																				(BgL_objz00_3955,
																																																																																				BgL_arg2610z00_2372);
																																																																																	}}
																																																																																	{	/* Ast/sexp.scm 423 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_auxz00_5890;
																																																																																		BgL_auxz00_5890
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1136z00_2371);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_auxz00_5890,
																																																																																			BFALSE);
																																																																																	}
																																																																																	BgL_new1137z00_2370
																																																																																		=
																																																																																		BgL_new1136z00_2371;
																																																																																}
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2370)))->BgL_locz00) = ((obj_t) BgL_locz00_2360), BUNSPEC);
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2370)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1137z00_2370))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_2367), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1137z00_2370))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_2368), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1137z00_2370))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_2369), BUNSPEC);
																																																																																BgL_auxz00_5864
																																																																																	=
																																																																																	BgL_new1137z00_2370;
																																																																				}}}}}}}}}}}}
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_5864);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 106 */
																																																																		BgL_tagzd22151zd2_2346:
																																																																			{	/* Ast/sexp.scm 431 */
																																																																				obj_t
																																																																					BgL_arg2614z00_2376;
																																																																				BgL_arg2614z00_2376
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_20,
																																																																					BgL_locz00_22);
																																																																				{	/* Ast/sexp.scm 430 */
																																																																					BgL_nodez00_bglt
																																																																						BgL_res2954z00_3964;
																																																																					{	/* Ast/sexp.scm 430 */
																																																																						obj_t
																																																																							BgL_arg2734z00_3960;
																																																																						BgL_nodez00_bglt
																																																																							BgL_arg2735z00_3961;
																																																																						BgL_arg2734z00_3960
																																																																							=
																																																																							BGl_shapez00zztools_shapez00
																																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																																							());
																																																																						BgL_arg2735z00_3961
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(CNST_TABLE_REF
																																																																							(((long) 3)), BNIL, BgL_arg2614z00_2376, CNST_TABLE_REF(((long) 2)));
																																																																						{	/* Ast/sexp.scm 430 */
																																																																							obj_t
																																																																								BgL_list2736z00_3963;
																																																																							BgL_list2736z00_3963
																																																																								=
																																																																								MAKE_PAIR
																																																																								(
																																																																								((obj_t) BgL_arg2735z00_3961), BNIL);
																																																																							BgL_res2954z00_3964
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																								(BgL_arg2614z00_2376,
																																																																									BgL_arg2734z00_3960,
																																																																									BGl_string3085z00zzast_sexpz00,
																																																																									BgL_expz00_20,
																																																																									BgL_list2736z00_3963));
																																																																					}}
																																																																					return
																																																																						BgL_res2954z00_3964;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 106 */
																																																																	goto
																																																																		BgL_tagzd22151zd2_2346;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 106 */
																																																															goto
																																																																BgL_tagzd22151zd2_2346;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 106 */
																																																													goto
																																																														BgL_tagzd22151zd2_2346;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 106 */
																																																											goto
																																																												BgL_tagzd22151zd2_2346;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																									{	/* Ast/sexp.scm 106 */
																																																									BgL_tagzd2383zd2_1527:
																																																										{
																																																											obj_t
																																																												BgL_testz00_2377;
																																																											obj_t
																																																												BgL_clausesz00_2378;
																																																											if (PAIRP(BgL_expz00_20))
																																																												{	/* Ast/sexp.scm 106 */
																																																													obj_t
																																																														BgL_cdrzd22184zd2_2383;
																																																													BgL_cdrzd22184zd2_2383
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													if (PAIRP(BgL_cdrzd22184zd2_2383))
																																																														{	/* Ast/sexp.scm 106 */
																																																															BgL_testz00_2377
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22184zd2_2383);
																																																															BgL_clausesz00_2378
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22184zd2_2383);
																																																															{	/* Ast/sexp.scm 442 */
																																																																obj_t
																																																																	BgL_locz00_2387;
																																																																BgL_locz00_2387
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_20,
																																																																	BgL_locz00_22);
																																																																{	/* Ast/sexp.scm 442 */
																																																																	obj_t
																																																																		BgL_cdlocz00_2388;
																																																																	BgL_cdlocz00_2388
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(CDR
																																																																		(BgL_expz00_20),
																																																																		BgL_locz00_2387);
																																																																	{	/* Ast/sexp.scm 443 */
																																																																		obj_t
																																																																			BgL_cddlocz00_2389;
																																																																		BgL_cddlocz00_2389
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_20),
																																																																			BgL_locz00_2387);
																																																																		{	/* Ast/sexp.scm 444 */
																																																																			BgL_nodez00_bglt
																																																																				BgL_testz00_2390;
																																																																			{	/* Ast/sexp.scm 447 */
																																																																				obj_t
																																																																					BgL_arg2639z00_2420;
																																																																				BgL_arg2639z00_2420
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_testz00_2377,
																																																																					BgL_cdlocz00_2388);
																																																																				BgL_testz00_2390
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_testz00_2377,
																																																																					BgL_stackz00_21,
																																																																					BgL_arg2639z00_2420,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			{	/* Ast/sexp.scm 445 */

																																																																				{
																																																																					obj_t
																																																																						BgL_clsz00_2393;
																																																																					obj_t
																																																																						BgL_nclausesz00_2394;
																																																																					BgL_clsz00_2393
																																																																						=
																																																																						BgL_clausesz00_2378;
																																																																					BgL_nclausesz00_2394
																																																																						=
																																																																						BNIL;
																																																																				BgL_zc3anonymousza32619ze3z83_2395:
																																																																					if (NULLP(BgL_clsz00_2393))
																																																																						{	/* Ast/sexp.scm 452 */
																																																																							BgL_selectz00_bglt
																																																																								BgL_new1140z00_2397;
																																																																							{	/* Ast/sexp.scm 452 */
																																																																								BgL_selectz00_bglt
																																																																									BgL_new1139z00_2401;
																																																																								BgL_new1139z00_2401
																																																																									=
																																																																									(
																																																																									(BgL_selectz00_bglt)
																																																																									BREF
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_selectz00_bgl))));
																																																																								{	/* Ast/sexp.scm 452 */
																																																																									long
																																																																										BgL_arg2624z00_2402;
																																																																									{	/* Ast/sexp.scm 452 */
																																																																										long
																																																																											BgL_res2961z00_3989;
																																																																										{	/* Ast/sexp.scm 452 */
																																																																											obj_t
																																																																												BgL_classz00_3986;
																																																																											BgL_classz00_3986
																																																																												=
																																																																												BGl_selectz00zzast_nodez00;
																																																																											{	/* Ast/sexp.scm 452 */
																																																																												obj_t
																																																																													BgL_vectorz00_3987;
																																																																												int
																																																																													BgL_kz00_3988;
																																																																												BgL_vectorz00_3987
																																																																													=
																																																																													BgL_classz00_3986;
																																																																												BgL_kz00_3988
																																																																													=
																																																																													(int)
																																																																													(
																																																																													((long) 1));
																																																																												BgL_res2961z00_3989
																																																																													=
																																																																													(long)
																																																																													CINT
																																																																													(VECTOR_REF
																																																																													(BgL_vectorz00_3987,
																																																																														BgL_kz00_3988));
																																																																										}}
																																																																										BgL_arg2624z00_2402
																																																																											=
																																																																											BgL_res2961z00_3989;
																																																																									}
																																																																									{	/* Ast/sexp.scm 452 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_objz00_3990;
																																																																										BgL_objz00_3990
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1139z00_2401);
																																																																										BGL_OBJECT_CLASS_NUM_SET
																																																																											(BgL_objz00_3990,
																																																																											BgL_arg2624z00_2402);
																																																																								}}
																																																																								{	/* Ast/sexp.scm 452 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_auxz00_5937;
																																																																									BgL_auxz00_5937
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1139z00_2401);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_auxz00_5937,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1140z00_2397
																																																																									=
																																																																									BgL_new1139z00_2401;
																																																																							}
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1140z00_2397)))->BgL_locz00) = ((obj_t) BgL_locz00_2387), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1140z00_2397)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1140z00_2397)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1140z00_2397)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1140z00_2397))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_2390), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1140z00_2397))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_2394)), BUNSPEC);
																																																																							{
																																																																								BgL_typez00_bglt
																																																																									BgL_auxz00_5953;
																																																																								{	/* Ast/sexp.scm 456 */
																																																																									obj_t
																																																																										BgL_arg2621z00_2398;
																																																																									{	/* Ast/sexp.scm 456 */
																																																																										obj_t
																																																																											BgL_pairz00_3994;
																																																																										{	/* Ast/sexp.scm 456 */
																																																																											obj_t
																																																																												BgL_pairz00_3993;
																																																																											{	/* Ast/sexp.scm 456 */
																																																																												obj_t
																																																																													BgL_pairz00_3992;
																																																																												BgL_pairz00_3992
																																																																													=
																																																																													BgL_clausesz00_2378;
																																																																												BgL_pairz00_3993
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_3992);
																																																																											}
																																																																											BgL_pairz00_3994
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_3993);
																																																																										}
																																																																										BgL_arg2621z00_2398
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_3994);
																																																																									}
																																																																									BgL_auxz00_5953
																																																																										=
																																																																										BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																										(BgL_arg2621z00_2398);
																																																																								}
																																																																								((((BgL_selectz00_bglt) CREF(BgL_new1140z00_2397))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_5953), BUNSPEC);
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1140z00_2397);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 458 */
																																																																							obj_t
																																																																								BgL_clausez00_2403;
																																																																							BgL_clausez00_2403
																																																																								=
																																																																								CAR
																																																																								(BgL_clsz00_2393);
																																																																							{	/* Ast/sexp.scm 458 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_bodyz00_2404;
																																																																								{	/* Ast/sexp.scm 459 */
																																																																									obj_t
																																																																										BgL_arg2635z00_2416;
																																																																									obj_t
																																																																										BgL_arg2636z00_2417;
																																																																									BgL_arg2635z00_2416
																																																																										=
																																																																										BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																										(CDR
																																																																										(BgL_clausez00_2403));
																																																																									BgL_arg2636z00_2417
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_clausez00_2403,
																																																																										BgL_cddlocz00_2389);
																																																																									BgL_bodyz00_2404
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_arg2635z00_2416,
																																																																										BgL_stackz00_21,
																																																																										BgL_arg2636z00_2417,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																								}
																																																																								{	/* Ast/sexp.scm 459 */
																																																																									obj_t
																																																																										BgL_nclausez00_2405;
																																																																									{	/* Ast/sexp.scm 463 */
																																																																										obj_t
																																																																											BgL_arg2634z00_2415;
																																																																										BgL_arg2634z00_2415
																																																																											=
																																																																											CAR
																																																																											(BgL_clausez00_2403);
																																																																										BgL_nclausez00_2405
																																																																											=
																																																																											MAKE_PAIR
																																																																											(BgL_arg2634z00_2415,
																																																																											((obj_t) BgL_bodyz00_2404));
																																																																									}
																																																																									{	/* Ast/sexp.scm 463 */

																																																																										{	/* Ast/sexp.scm 465 */
																																																																											bool_t
																																																																												BgL_testz00_5969;
																																																																											if ((CAR(BgL_clausez00_2403) == CNST_TABLE_REF(((long) 4))))
																																																																												{	/* Ast/sexp.scm 465 */
																																																																													if (NULLP(CDR(BgL_clsz00_2393)))
																																																																														{	/* Ast/sexp.scm 466 */
																																																																															BgL_testz00_5969
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 466 */
																																																																															BgL_testz00_5969
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 465 */
																																																																													BgL_testz00_5969
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											if (BgL_testz00_5969)
																																																																												{	/* Ast/sexp.scm 468 */
																																																																													obj_t
																																																																														BgL_arg2626z00_2407;
																																																																													BgL_arg2626z00_2407
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_20,
																																																																														BgL_locz00_2387);
																																																																													{	/* Ast/sexp.scm 467 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_res2963z00_4009;
																																																																														{	/* Ast/sexp.scm 467 */
																																																																															obj_t
																																																																																BgL_arg2734z00_4005;
																																																																															BgL_nodez00_bglt
																																																																																BgL_arg2735z00_4006;
																																																																															BgL_arg2734z00_4005
																																																																																=
																																																																																BGl_shapez00zztools_shapez00
																																																																																(BGl_currentzd2functionzd2zztools_errorz00
																																																																																());
																																																																															BgL_arg2735z00_4006
																																																																																=
																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																(CNST_TABLE_REF
																																																																																(((long) 3)), BNIL, BgL_arg2626z00_2407, CNST_TABLE_REF(((long) 2)));
																																																																															{	/* Ast/sexp.scm 467 */
																																																																																obj_t
																																																																																	BgL_list2736z00_4008;
																																																																																BgL_list2736z00_4008
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(
																																																																																	((obj_t) BgL_arg2735z00_4006), BNIL);
																																																																																BgL_res2963z00_4009
																																																																																	=
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																	(BgL_arg2626z00_2407,
																																																																																		BgL_arg2734z00_4005,
																																																																																		BGl_string3084z00zzast_sexpz00,
																																																																																		BgL_expz00_20,
																																																																																		BgL_list2736z00_4008));
																																																																														}}
																																																																														return
																																																																															BgL_res2963z00_4009;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 469 */
																																																																													obj_t
																																																																														BgL_arg2627z00_2408;
																																																																													obj_t
																																																																														BgL_arg2628z00_2409;
																																																																													BgL_arg2627z00_2408
																																																																														=
																																																																														CDR
																																																																														(BgL_clsz00_2393);
																																																																													BgL_arg2628z00_2409
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BGl_epairifyz00zztools_miscz00
																																																																														(BgL_nclausez00_2405,
																																																																															BgL_clausez00_2403),
																																																																														BgL_nclausesz00_2394);
																																																																													{
																																																																														obj_t
																																																																															BgL_nclausesz00_5991;
																																																																														obj_t
																																																																															BgL_clsz00_5990;
																																																																														BgL_clsz00_5990
																																																																															=
																																																																															BgL_arg2627z00_2408;
																																																																														BgL_nclausesz00_5991
																																																																															=
																																																																															BgL_arg2628z00_2409;
																																																																														BgL_nclausesz00_2394
																																																																															=
																																																																															BgL_nclausesz00_5991;
																																																																														BgL_clsz00_2393
																																																																															=
																																																																															BgL_clsz00_5990;
																																																																														goto
																																																																															BgL_zc3anonymousza32619ze3z83_2395;
																																																																													}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 106 */
																																																														BgL_tagzd22177zd2_2380:
																																																															{	/* Ast/sexp.scm 474 */
																																																																obj_t
																																																																	BgL_arg2642z00_2423;
																																																																BgL_arg2642z00_2423
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_20,
																																																																	BgL_locz00_22);
																																																																{	/* Ast/sexp.scm 473 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res2964z00_4018;
																																																																	{	/* Ast/sexp.scm 473 */
																																																																		obj_t
																																																																			BgL_arg2734z00_4014;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg2735z00_4015;
																																																																		BgL_arg2734z00_4014
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg2735z00_4015
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 3)), BNIL, BgL_arg2642z00_2423, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 473 */
																																																																			obj_t
																																																																				BgL_list2736z00_4017;
																																																																			BgL_list2736z00_4017
																																																																				=
																																																																				MAKE_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg2735z00_4015), BNIL);
																																																																			BgL_res2964z00_4018
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg2642z00_2423,
																																																																					BgL_arg2734z00_4014,
																																																																					BGl_string3084z00zzast_sexpz00,
																																																																					BgL_expz00_20,
																																																																					BgL_list2736z00_4017));
																																																																	}}
																																																																	return
																																																																		BgL_res2964z00_4018;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 106 */
																																																													goto
																																																														BgL_tagzd22177zd2_2380;
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_6008;
																																																											BgL_tagzd2384zd2_1528:
																																																												BgL_auxz00_6008 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_6008);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 28))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_6015;
																																																													BgL_tagzd2385zd2_1529:
																																																														BgL_auxz00_6015 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_6015);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd21195zd2_1714;
																																																														BgL_cdrzd21195zd2_1714
																																																															=
																																																															CDR
																																																															(BgL_expz00_20);
																																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 29))))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (PAIRP(BgL_cdrzd21195zd2_1714))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd21197zd2_1717;
																																																																		BgL_cdrzd21197zd2_1717
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd21195zd2_1714);
																																																																		if (PAIRP(BgL_cdrzd21197zd2_1717))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (NULLP(CDR(BgL_cdrzd21197zd2_1717)))
																																																																					{	/* Ast/sexp.scm 106 */
																																																																					BgL_tagzd2386zd2_1530:
																																																																						return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_6034;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1532;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_6034);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 106 */
																																																																								goto
																																																																									BgL_tagzd2389zd2_1533;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_6038;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_6038);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6042;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6042);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(BgL_cdrzd21195zd2_1714))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																			BgL_tagzd2387zd2_1531:
																																																																				{	/* Ast/sexp.scm 487 */
																																																																					obj_t
																																																																						BgL_arg2643z00_2424;
																																																																					BgL_arg2643z00_2424
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_20,
																																																																						BgL_locz00_22);
																																																																					{	/* Ast/sexp.scm 486 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_res2967z00_4033;
																																																																						{	/* Ast/sexp.scm 486 */
																																																																							obj_t
																																																																								BgL_arg2734z00_4029;
																																																																							BgL_nodez00_bglt
																																																																								BgL_arg2735z00_4030;
																																																																							BgL_arg2734z00_4029
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg2735z00_4030
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(CNST_TABLE_REF
																																																																								(((long) 3)), BNIL, BgL_arg2643z00_2424, CNST_TABLE_REF(((long) 2)));
																																																																							{	/* Ast/sexp.scm 486 */
																																																																								obj_t
																																																																									BgL_list2736z00_4032;
																																																																								BgL_list2736z00_4032
																																																																									=
																																																																									MAKE_PAIR
																																																																									(
																																																																									((obj_t) BgL_arg2735z00_4030), BNIL);
																																																																								BgL_res2967z00_4033
																																																																									=
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																									(BgL_arg2643z00_2424,
																																																																										BgL_arg2734z00_4029,
																																																																										BGl_string3083z00zzast_sexpz00,
																																																																										BgL_expz00_20,
																																																																										BgL_list2736z00_4032));
																																																																						}}
																																																																						return
																																																																							BgL_res2967z00_4033;
																																																																					}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_6061;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_6061);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6065;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6065);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 106 */
												if (
													(BgL_carzd2435zd2_1538 ==
														CNST_TABLE_REF(((long) 11))))
													{	/* Ast/sexp.scm 106 */
														goto BgL_tagzd2363zd2_1491;
													}
												else
													{	/* Ast/sexp.scm 106 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 14))))
															{
																obj_t BgL_lz00_6074;

																BgL_lz00_6074 = CDR(BgL_expz00_20);
																BgL_lz00_1492 = BgL_lz00_6074;
																goto BgL_tagzd2364zd2_1493;
															}
														else
															{	/* Ast/sexp.scm 106 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 12))))
																	{	/* Ast/sexp.scm 106 */
																		goto BgL_tagzd2365zd2_1494;
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		if (
																			(CAR(BgL_expz00_20) ==
																				CNST_TABLE_REF(((long) 15))))
																			{	/* Ast/sexp.scm 106 */
																				if (NULLP(CDR(BgL_expz00_20)))
																					{	/* Ast/sexp.scm 106 */
																						goto BgL_tagzd2366zd2_1495;
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						obj_t BgL_arg2176z00_1758;

																						BgL_arg2176z00_1758 =
																							CDR(BgL_expz00_20);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_6088;
																							{
																								obj_t BgL_bodyz00_6089;

																								BgL_bodyz00_6089 =
																									BgL_arg2176z00_1758;
																								BgL_bodyz00_1496 =
																									BgL_bodyz00_6089;
																								goto BgL_tagzd2367zd2_1497;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_6088);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				obj_t BgL_carzd21280zd2_1760;

																				BgL_carzd21280zd2_1760 =
																					CAR(BgL_expz00_20);
																				if (
																					(BgL_carzd21280zd2_1760 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 106 */
																						goto BgL_tagzd2368zd2_1498;
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						if (
																							(BgL_carzd21280zd2_1760 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 106 */
																								goto BgL_tagzd2368zd2_1498;
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								obj_t BgL_cdrzd21295zd2_1763;

																								BgL_cdrzd21295zd2_1763 =
																									CDR(BgL_expz00_20);
																								if (
																									(CAR(BgL_expz00_20) ==
																										CNST_TABLE_REF(((long) 6))))
																									{	/* Ast/sexp.scm 106 */
																										if (PAIRP
																											(BgL_cdrzd21295zd2_1763))
																											{	/* Ast/sexp.scm 106 */
																												obj_t
																													BgL_carzd21298zd2_1766;
																												obj_t
																													BgL_cdrzd21299zd2_1767;
																												BgL_carzd21298zd2_1766 =
																													CAR
																													(BgL_cdrzd21295zd2_1763);
																												BgL_cdrzd21299zd2_1767 =
																													CDR
																													(BgL_cdrzd21295zd2_1763);
																												if (PAIRP
																													(BgL_carzd21298zd2_1766))
																													{	/* Ast/sexp.scm 106 */
																														if (
																															(CAR
																																(BgL_carzd21298zd2_1766)
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		14))))
																															{	/* Ast/sexp.scm 106 */
																																if (PAIRP
																																	(BgL_cdrzd21299zd2_1767))
																																	{	/* Ast/sexp.scm 106 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd21299zd2_1767)))
																																			{
																																				obj_t
																																					BgL_valz00_6119;
																																				obj_t
																																					BgL_lz00_6117;
																																				BgL_lz00_6117
																																					=
																																					CDR
																																					(BgL_carzd21298zd2_1766);
																																				BgL_valz00_6119
																																					=
																																					CAR
																																					(BgL_cdrzd21299zd2_1767);
																																				BgL_valz00_1500
																																					=
																																					BgL_valz00_6119;
																																				BgL_lz00_1499
																																					=
																																					BgL_lz00_6117;
																																				goto
																																					BgL_tagzd2369zd2_1501;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2370zd2_1502;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2370zd2_1502;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2370zd2_1502;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														goto
																															BgL_tagzd2370zd2_1502;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												goto
																													BgL_tagzd2370zd2_1502;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 106 */
																										if (
																											(CAR(BgL_expz00_20) ==
																												CNST_TABLE_REF(((long)
																														16))))
																											{	/* Ast/sexp.scm 106 */
																												goto
																													BgL_tagzd2371zd2_1503;
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												obj_t
																													BgL_carzd21368zd2_1777;
																												BgL_carzd21368zd2_1777 =
																													CAR(BgL_expz00_20);
																												if (PAIRP
																													(BgL_carzd21368zd2_1777))
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd21371zd2_1779;
																														obj_t
																															BgL_cdrzd21372zd2_1780;
																														BgL_carzd21371zd2_1779
																															=
																															CAR
																															(BgL_carzd21368zd2_1777);
																														BgL_cdrzd21372zd2_1780
																															=
																															CDR
																															(BgL_carzd21368zd2_1777);
																														{

																															if (
																																(BgL_carzd21371zd2_1779
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			18))))
																																{
																																	obj_t
																																		BgL_auxz00_6133;
																																BgL_kapzd21373zd2_1781:
																																	if (PAIRP
																																		(BgL_cdrzd21372zd2_1780))
																																		{	/* Ast/sexp.scm 106 */
																																			obj_t
																																				BgL_cdrzd21376zd2_1862;
																																			BgL_cdrzd21376zd2_1862
																																				=
																																				CDR
																																				(BgL_cdrzd21372zd2_1780);
																																			if (PAIRP
																																				(BgL_cdrzd21376zd2_1862))
																																				{	/* Ast/sexp.scm 106 */
																																					if (NULLP(CDR(BgL_cdrzd21376zd2_1862)))
																																						{	/* Ast/sexp.scm 106 */
																																							obj_t
																																								BgL_arg2263z00_1865;
																																							obj_t
																																								BgL_arg2264z00_1866;
																																							BgL_arg2263z00_1865
																																								=
																																								CAR
																																								(BgL_cdrzd21376zd2_1862);
																																							BgL_arg2264z00_1866
																																								=
																																								CDR
																																								(BgL_expz00_20);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_6144;
																																								{
																																									obj_t
																																										BgL_argsz00_6146;
																																									obj_t
																																										BgL_bodyz00_6145;
																																									BgL_bodyz00_6145
																																										=
																																										BgL_arg2263z00_1865;
																																									BgL_argsz00_6146
																																										=
																																										BgL_arg2264z00_1866;
																																									BgL_argsz00_1505
																																										=
																																										BgL_argsz00_6146;
																																									BgL_bodyz00_1504
																																										=
																																										BgL_bodyz00_6145;
																																									goto
																																										BgL_tagzd2372zd2_1506;
																																								}
																																								BgL_auxz00_6133
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_6144);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_6148;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2274z00_1878;
																																								BgL_arg2274z00_1878
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_6148
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2274z00_1878));
																																							}
																																							if (BgL_testz00_6148)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_6152;
																																									goto
																																										BgL_tagzd2373zd2_1507;
																																									BgL_auxz00_6133
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6152);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_6154;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2273z00_1877;
																																										BgL_arg2273z00_1877
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_6154
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2273z00_1877));
																																									}
																																									if (BgL_testz00_6154)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_6158;
																																											goto
																																												BgL_tagzd2374zd2_1508;
																																											BgL_auxz00_6133
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6158);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_carzd21423zd2_1869;
																																											BgL_carzd21423zd2_1869
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd21428zd2_1870;
																																												BgL_cdrzd21428zd2_1870
																																													=
																																													CDR
																																													(BgL_carzd21423zd2_1869);
																																												if ((CAR(BgL_carzd21423zd2_1869) == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2268z00_1872;
																																														obj_t
																																															BgL_arg2269z00_1873;
																																														obj_t
																																															BgL_arg2270z00_1874;
																																														BgL_arg2268z00_1872
																																															=
																																															CAR
																																															(BgL_cdrzd21428zd2_1870);
																																														BgL_arg2269z00_1873
																																															=
																																															CDR
																																															(BgL_cdrzd21428zd2_1870);
																																														BgL_arg2270z00_1874
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_6169;
																																															{
																																																obj_t
																																																	BgL_argsz00_6172;
																																																obj_t
																																																	BgL_bodyz00_6171;
																																																obj_t
																																																	BgL_varsz00_6170;
																																																BgL_varsz00_6170
																																																	=
																																																	BgL_arg2268z00_1872;
																																																BgL_bodyz00_6171
																																																	=
																																																	BgL_arg2269z00_1873;
																																																BgL_argsz00_6172
																																																	=
																																																	BgL_arg2270z00_1874;
																																																BgL_argsz00_1515
																																																	=
																																																	BgL_argsz00_6172;
																																																BgL_bodyz00_1514
																																																	=
																																																	BgL_bodyz00_6171;
																																																BgL_varsz00_1513
																																																	=
																																																	BgL_varsz00_6170;
																																																goto
																																																	BgL_tagzd2376zd2_1516;
																																															}
																																															BgL_auxz00_6133
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_6169);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd2388zd2_1532;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_6176;
																																																goto
																																																	BgL_tagzd2389zd2_1533;
																																																BgL_auxz00_6133
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6176);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_6178;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2285z00_1891;
																																						BgL_arg2285z00_1891
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_6178
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2285z00_1891));
																																					}
																																					if (BgL_testz00_6178)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_6182;
																																							goto
																																								BgL_tagzd2373zd2_1507;
																																							BgL_auxz00_6133
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_6182);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_6184;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2284z00_1890;
																																								BgL_arg2284z00_1890
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_6184
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2284z00_1890));
																																							}
																																							if (BgL_testz00_6184)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_6188;
																																									goto
																																										BgL_tagzd2374zd2_1508;
																																									BgL_auxz00_6133
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6188);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_carzd21490zd2_1882;
																																									BgL_carzd21490zd2_1882
																																										=
																																										CAR
																																										(BgL_expz00_20);
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_cdrzd21495zd2_1883;
																																										BgL_cdrzd21495zd2_1883
																																											=
																																											CDR
																																											(BgL_carzd21490zd2_1882);
																																										if ((CAR(BgL_carzd21490zd2_1882) == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2279z00_1885;
																																												obj_t
																																													BgL_arg2280z00_1886;
																																												obj_t
																																													BgL_arg2281z00_1887;
																																												BgL_arg2279z00_1885
																																													=
																																													CAR
																																													(BgL_cdrzd21495zd2_1883);
																																												BgL_arg2280z00_1886
																																													=
																																													CDR
																																													(BgL_cdrzd21495zd2_1883);
																																												BgL_arg2281z00_1887
																																													=
																																													CDR
																																													(BgL_expz00_20);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_6199;
																																													{
																																														obj_t
																																															BgL_argsz00_6202;
																																														obj_t
																																															BgL_bodyz00_6201;
																																														obj_t
																																															BgL_varsz00_6200;
																																														BgL_varsz00_6200
																																															=
																																															BgL_arg2279z00_1885;
																																														BgL_bodyz00_6201
																																															=
																																															BgL_arg2280z00_1886;
																																														BgL_argsz00_6202
																																															=
																																															BgL_arg2281z00_1887;
																																														BgL_argsz00_1515
																																															=
																																															BgL_argsz00_6202;
																																														BgL_bodyz00_1514
																																															=
																																															BgL_bodyz00_6201;
																																														BgL_varsz00_1513
																																															=
																																															BgL_varsz00_6200;
																																														goto
																																															BgL_tagzd2376zd2_1516;
																																													}
																																													BgL_auxz00_6133
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_6199);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd2388zd2_1532;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_6206;
																																														goto
																																															BgL_tagzd2389zd2_1533;
																																														BgL_auxz00_6133
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_6206);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			bool_t
																																				BgL_testz00_6208;
																																			{	/* Ast/sexp.scm 106 */
																																				obj_t
																																					BgL_arg2290z00_1896;
																																				BgL_arg2290z00_1896
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				BgL_testz00_6208
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg2290z00_1896));
																																			}
																																			if (BgL_testz00_6208)
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_6212;
																																					goto
																																						BgL_tagzd2373zd2_1507;
																																					BgL_auxz00_6133
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_6212);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_6214;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2289z00_1895;
																																						BgL_arg2289z00_1895
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_6214
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg2289z00_1895));
																																					}
																																					if (BgL_testz00_6214)
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_6218;
																																							goto
																																								BgL_tagzd2374zd2_1508;
																																							BgL_auxz00_6133
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_6218);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																								{	/* Ast/sexp.scm 106 */
																																									goto
																																										BgL_tagzd2388zd2_1532;
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_6222;
																																									goto
																																										BgL_tagzd2389zd2_1533;
																																									BgL_auxz00_6133
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6222);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_auxz00_6133);
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd21371zd2_1779)))
																																		{
																																			obj_t
																																				BgL_auxz00_6228;
																																			goto
																																				BgL_kapzd21373zd2_1781;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_6228);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			if (
																																				(BgL_carzd21371zd2_1779
																																					==
																																					CNST_TABLE_REF
																																					(((long) 19))))
																																				{
																																					obj_t
																																						BgL_auxz00_6233;
																																					goto
																																						BgL_kapzd21373zd2_1781;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_6233);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					if (
																																						(BgL_carzd21371zd2_1779
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							obj_t
																																								BgL_auxz00_6238;
																																							goto
																																								BgL_kapzd21373zd2_1781;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_6238);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21371zd2_1779)))
																																								{
																																									obj_t
																																										BgL_auxz00_6243;
																																									goto
																																										BgL_kapzd21373zd2_1781;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_6243);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_6245;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2259z00_1860;
																																										BgL_arg2259z00_1860
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_6245
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2259z00_1860));
																																									}
																																									if (BgL_testz00_6245)
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd2373zd2_1507;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_6249;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2258z00_1859;
																																												BgL_arg2258z00_1859
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_6249
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2258z00_1859));
																																											}
																																											if (BgL_testz00_6249)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_6253;
																																													goto
																																														BgL_tagzd2374zd2_1508;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_6253);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													obj_t
																																														BgL_carzd21606zd2_1789;
																																													obj_t
																																														BgL_cdrzd21607zd2_1790;
																																													BgL_carzd21606zd2_1789
																																														=
																																														CAR
																																														(BgL_expz00_20);
																																													BgL_cdrzd21607zd2_1790
																																														=
																																														CDR
																																														(BgL_expz00_20);
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd21611zd2_1791;
																																														BgL_cdrzd21611zd2_1791
																																															=
																																															CDR
																																															(BgL_carzd21606zd2_1789);
																																														if ((CAR(BgL_carzd21606zd2_1789) == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 106 */
																																																if (PAIRP(BgL_cdrzd21611zd2_1791))
																																																	{	/* Ast/sexp.scm 106 */
																																																		obj_t
																																																			BgL_carzd21614zd2_1794;
																																																		obj_t
																																																			BgL_cdrzd21615zd2_1795;
																																																		BgL_carzd21614zd2_1794
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21611zd2_1791);
																																																		BgL_cdrzd21615zd2_1795
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21611zd2_1791);
																																																		if (PAIRP(BgL_carzd21614zd2_1794))
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (NULLP(CDR(BgL_carzd21614zd2_1794)))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (PAIRP(BgL_cdrzd21615zd2_1795))
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_carzd21621zd2_1799;
																																																								BgL_carzd21621zd2_1799
																																																									=
																																																									CAR
																																																									(BgL_cdrzd21615zd2_1795);
																																																								if (PAIRP(BgL_carzd21621zd2_1799))
																																																									{	/* Ast/sexp.scm 106 */
																																																										if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd21621zd2_1799))
																																																											{	/* Ast/sexp.scm 106 */
																																																												if (NULLP(CDR(BgL_cdrzd21615zd2_1795)))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (PAIRP(BgL_cdrzd21607zd2_1790))
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_carzd21628zd2_1804;
																																																																BgL_carzd21628zd2_1804
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd21607zd2_1790);
																																																																if (PAIRP(BgL_carzd21628zd2_1804))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd21647zd2_1806;
																																																																		BgL_cdrzd21647zd2_1806
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_20));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_6292;
																																																																			obj_t
																																																																				BgL_bodyz00_6290;
																																																																			obj_t
																																																																				BgL_varsz00_6288;
																																																																			BgL_varsz00_6288
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21647zd2_1806);
																																																																			BgL_bodyz00_6290
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd21647zd2_1806);
																																																																			BgL_argsz00_6292
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_20);
																																																																			BgL_argsz00_1515
																																																																				=
																																																																				BgL_argsz00_6292;
																																																																			BgL_bodyz00_1514
																																																																				=
																																																																				BgL_bodyz00_6290;
																																																																			BgL_varsz00_1513
																																																																				=
																																																																				BgL_varsz00_6288;
																																																																			goto
																																																																				BgL_tagzd2376zd2_1516;
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(CDR(BgL_cdrzd21607zd2_1790)))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_arg2218z00_1812;
																																																																				BgL_arg2218z00_1812
																																																																					=
																																																																					CAR
																																																																					(BgL_carzd21614zd2_1794);
																																																																				{
																																																																					BgL_castz00_bglt
																																																																						BgL_auxz00_6298;
																																																																					{
																																																																						obj_t
																																																																							BgL_argz00_6301;
																																																																						obj_t
																																																																							BgL_bodyz00_6300;
																																																																						obj_t
																																																																							BgL_varz00_6299;
																																																																						BgL_varz00_6299
																																																																							=
																																																																							BgL_arg2218z00_1812;
																																																																						BgL_bodyz00_6300
																																																																							=
																																																																							BgL_carzd21621zd2_1799;
																																																																						BgL_argz00_6301
																																																																							=
																																																																							BgL_carzd21628zd2_1804;
																																																																						BgL_argz00_1511
																																																																							=
																																																																							BgL_argz00_6301;
																																																																						BgL_bodyz00_1510
																																																																							=
																																																																							BgL_bodyz00_6300;
																																																																						BgL_varz00_1509
																																																																							=
																																																																							BgL_varz00_6299;
																																																																						goto
																																																																							BgL_tagzd2375zd2_1512;
																																																																					}
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6298);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_cdrzd21669zd2_1813;
																																																																				BgL_cdrzd21669zd2_1813
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_20));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6309;
																																																																					obj_t
																																																																						BgL_bodyz00_6307;
																																																																					obj_t
																																																																						BgL_varsz00_6305;
																																																																					BgL_varsz00_6305
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21669zd2_1813);
																																																																					BgL_bodyz00_6307
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd21669zd2_1813);
																																																																					BgL_argsz00_6309
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_20);
																																																																					BgL_argsz00_1515
																																																																						=
																																																																						BgL_argsz00_6309;
																																																																					BgL_bodyz00_1514
																																																																						=
																																																																						BgL_bodyz00_6307;
																																																																					BgL_varsz00_1513
																																																																						=
																																																																						BgL_varsz00_6305;
																																																																					goto
																																																																						BgL_tagzd2376zd2_1516;
																																																																				}
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd21690zd2_1819;
																																																																BgL_cdrzd21690zd2_1819
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_20));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_6317;
																																																																	obj_t
																																																																		BgL_bodyz00_6315;
																																																																	obj_t
																																																																		BgL_varsz00_6313;
																																																																	BgL_varsz00_6313
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd21690zd2_1819);
																																																																	BgL_bodyz00_6315
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd21690zd2_1819);
																																																																	BgL_argsz00_6317
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_20);
																																																																	BgL_argsz00_1515
																																																																		=
																																																																		BgL_argsz00_6317;
																																																																	BgL_bodyz00_1514
																																																																		=
																																																																		BgL_bodyz00_6315;
																																																																	BgL_varsz00_1513
																																																																		=
																																																																		BgL_varsz00_6313;
																																																																	goto
																																																																		BgL_tagzd2376zd2_1516;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd21711zd2_1824;
																																																														BgL_cdrzd21711zd2_1824
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_20));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_6325;
																																																															obj_t
																																																																BgL_bodyz00_6323;
																																																															obj_t
																																																																BgL_varsz00_6321;
																																																															BgL_varsz00_6321
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21711zd2_1824);
																																																															BgL_bodyz00_6323
																																																																=
																																																																CDR
																																																																(BgL_cdrzd21711zd2_1824);
																																																															BgL_argsz00_6325
																																																																=
																																																																CDR
																																																																(BgL_expz00_20);
																																																															BgL_argsz00_1515
																																																																=
																																																																BgL_argsz00_6325;
																																																															BgL_bodyz00_1514
																																																																=
																																																																BgL_bodyz00_6323;
																																																															BgL_varsz00_1513
																																																																=
																																																																BgL_varsz00_6321;
																																																															goto
																																																																BgL_tagzd2376zd2_1516;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd21732zd2_1830;
																																																												BgL_cdrzd21732zd2_1830
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_20));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_6333;
																																																													obj_t
																																																														BgL_bodyz00_6331;
																																																													obj_t
																																																														BgL_varsz00_6329;
																																																													BgL_varsz00_6329
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21732zd2_1830);
																																																													BgL_bodyz00_6331
																																																														=
																																																														CDR
																																																														(BgL_cdrzd21732zd2_1830);
																																																													BgL_argsz00_6333
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													BgL_argsz00_1515
																																																														=
																																																														BgL_argsz00_6333;
																																																													BgL_bodyz00_1514
																																																														=
																																																														BgL_bodyz00_6331;
																																																													BgL_varsz00_1513
																																																														=
																																																														BgL_varsz00_6329;
																																																													goto
																																																														BgL_tagzd2376zd2_1516;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_cdrzd21753zd2_1835;
																																																										BgL_cdrzd21753zd2_1835
																																																											=
																																																											CDR
																																																											(BgL_carzd21606zd2_1789);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_6340;
																																																											obj_t
																																																												BgL_bodyz00_6338;
																																																											obj_t
																																																												BgL_varsz00_6336;
																																																											BgL_varsz00_6336
																																																												=
																																																												CAR
																																																												(BgL_cdrzd21753zd2_1835);
																																																											BgL_bodyz00_6338
																																																												=
																																																												CDR
																																																												(BgL_cdrzd21753zd2_1835);
																																																											BgL_argsz00_6340
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											BgL_argsz00_1515
																																																												=
																																																												BgL_argsz00_6340;
																																																											BgL_bodyz00_1514
																																																												=
																																																												BgL_bodyz00_6338;
																																																											BgL_varsz00_1513
																																																												=
																																																												BgL_varsz00_6336;
																																																											goto
																																																												BgL_tagzd2376zd2_1516;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_cdrzd21774zd2_1840;
																																																								BgL_cdrzd21774zd2_1840
																																																									=
																																																									CDR
																																																									(BgL_carzd21606zd2_1789);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_6347;
																																																									obj_t
																																																										BgL_bodyz00_6345;
																																																									obj_t
																																																										BgL_varsz00_6343;
																																																									BgL_varsz00_6343
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21774zd2_1840);
																																																									BgL_bodyz00_6345
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21774zd2_1840);
																																																									BgL_argsz00_6347
																																																										=
																																																										CDR
																																																										(BgL_expz00_20);
																																																									BgL_argsz00_1515
																																																										=
																																																										BgL_argsz00_6347;
																																																									BgL_bodyz00_1514
																																																										=
																																																										BgL_bodyz00_6345;
																																																									BgL_varsz00_1513
																																																										=
																																																										BgL_varsz00_6343;
																																																									goto
																																																										BgL_tagzd2376zd2_1516;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						obj_t
																																																							BgL_cdrzd21795zd2_1845;
																																																						BgL_cdrzd21795zd2_1845
																																																							=
																																																							CDR
																																																							(BgL_carzd21606zd2_1789);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_6354;
																																																							obj_t
																																																								BgL_bodyz00_6352;
																																																							obj_t
																																																								BgL_varsz00_6350;
																																																							BgL_varsz00_6350
																																																								=
																																																								CAR
																																																								(BgL_cdrzd21795zd2_1845);
																																																							BgL_bodyz00_6352
																																																								=
																																																								CDR
																																																								(BgL_cdrzd21795zd2_1845);
																																																							BgL_argsz00_6354
																																																								=
																																																								CDR
																																																								(BgL_expz00_20);
																																																							BgL_argsz00_1515
																																																								=
																																																								BgL_argsz00_6354;
																																																							BgL_bodyz00_1514
																																																								=
																																																								BgL_bodyz00_6352;
																																																							BgL_varsz00_1513
																																																								=
																																																								BgL_varsz00_6350;
																																																							goto
																																																								BgL_tagzd2376zd2_1516;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				obj_t
																																																					BgL_cdrzd21816zd2_1851;
																																																				BgL_cdrzd21816zd2_1851
																																																					=
																																																					CDR
																																																					(BgL_carzd21606zd2_1789);
																																																				{
																																																					obj_t
																																																						BgL_argsz00_6361;
																																																					obj_t
																																																						BgL_bodyz00_6359;
																																																					obj_t
																																																						BgL_varsz00_6357;
																																																					BgL_varsz00_6357
																																																						=
																																																						CAR
																																																						(BgL_cdrzd21816zd2_1851);
																																																					BgL_bodyz00_6359
																																																						=
																																																						CDR
																																																						(BgL_cdrzd21816zd2_1851);
																																																					BgL_argsz00_6361
																																																						=
																																																						CDR
																																																						(BgL_expz00_20);
																																																					BgL_argsz00_1515
																																																						=
																																																						BgL_argsz00_6361;
																																																					BgL_bodyz00_1514
																																																						=
																																																						BgL_bodyz00_6359;
																																																					BgL_varsz00_1513
																																																						=
																																																						BgL_varsz00_6357;
																																																					goto
																																																						BgL_tagzd2376zd2_1516;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_6365;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_6365);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_6369;
																																																		goto
																																																			BgL_tagzd2388zd2_1532;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_6369);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd2389zd2_1533;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														if (
																															(BgL_carzd21368zd2_1777
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		18))))
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2373zd2_1507;
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd21368zd2_1777)))
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2373zd2_1507;
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		if (
																																			(BgL_carzd21368zd2_1777
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						19))))
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2373zd2_1507;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				if (
																																					(BgL_carzd21368zd2_1777
																																						==
																																						CNST_TABLE_REF
																																						(((long) 21))))
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd2373zd2_1507;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_carzd21887zd2_1902;
																																						BgL_carzd21887zd2_1902
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						if (
																																							(BgL_carzd21887zd2_1902
																																								==
																																								CNST_TABLE_REF
																																								(((long) 20))))
																																							{
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_6387;
																																								goto
																																									BgL_tagzd2374zd2_1508;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_6387);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21887zd2_1902)))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_6392;
																																										goto
																																											BgL_tagzd2374zd2_1508;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_6392);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd2377zd2_1517;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 5))))
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd2378zd2_1518;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd21921zd2_1907;
																																														BgL_cdrzd21921zd2_1907
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																															{	/* Ast/sexp.scm 106 */
																																																if (PAIRP(BgL_cdrzd21921zd2_1907))
																																																	{
																																																		obj_t
																																																			BgL_restz00_6411;
																																																		obj_t
																																																			BgL_effectz00_6409;
																																																		BgL_effectz00_6409
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21921zd2_1907);
																																																		BgL_restz00_6411
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21921zd2_1907);
																																																		BgL_restz00_1520
																																																			=
																																																			BgL_restz00_6411;
																																																		BgL_effectz00_1519
																																																			=
																																																			BgL_effectz00_6409;
																																																		goto
																																																			BgL_tagzd2379zd2_1521;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_6415;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_6415);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd2380zd2_1522;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (PAIRP(BgL_cdrzd21921zd2_1907))
																																																					{
																																																						obj_t
																																																							BgL_restz00_6429;
																																																						obj_t
																																																							BgL_effectz00_6427;
																																																						BgL_effectz00_6427
																																																							=
																																																							CAR
																																																							(BgL_cdrzd21921zd2_1907);
																																																						BgL_restz00_6429
																																																							=
																																																							CDR
																																																							(BgL_cdrzd21921zd2_1907);
																																																						BgL_restz00_1524
																																																							=
																																																							BgL_restz00_6429;
																																																						BgL_effectz00_1523
																																																							=
																																																							BgL_effectz00_6427;
																																																						goto
																																																							BgL_tagzd2381zd2_1525;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_6433;
																																																								goto
																																																									BgL_tagzd2388zd2_1532;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_6433);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								goto
																																																									BgL_tagzd2389zd2_1533;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2382zd2_1526;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																							{	/* Ast/sexp.scm 106 */
																																																								goto
																																																									BgL_tagzd2383zd2_1527;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_6447;
																																																										goto
																																																											BgL_tagzd2384zd2_1528;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_6447);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 28))))
																																																											{
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_auxz00_6453;
																																																												goto
																																																													BgL_tagzd2385zd2_1529;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_6453);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd21959zd2_1924;
																																																												BgL_cdrzd21959zd2_1924
																																																													=
																																																													CDR
																																																													(BgL_expz00_20);
																																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 29))))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (PAIRP(BgL_cdrzd21959zd2_1924))
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd21961zd2_1927;
																																																																BgL_cdrzd21961zd2_1927
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd21959zd2_1924);
																																																																if (PAIRP(BgL_cdrzd21961zd2_1927))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(CDR(BgL_cdrzd21961zd2_1927)))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2386zd2_1530;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_6470;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_6470);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6474;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6474);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6478;
																																																																		goto
																																																																			BgL_tagzd2388zd2_1532;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6478);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2389zd2_1533;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (NULLP(BgL_cdrzd21959zd2_1924))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2387zd2_1531;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6487;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6487);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6491;
																																																																		goto
																																																																			BgL_tagzd2388zd2_1532;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6491);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2389zd2_1533;
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 106 */
										BgL_atomz00_1487 = BgL_expz00_20;
										{	/* Ast/sexp.scm 122 */
											bool_t BgL_testz00_6493;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1487,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 122 */
													BgL_testz00_6493 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 122 */
													BgL_testz00_6493 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1487,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_6493)
												{	/* Ast/sexp.scm 122 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1487, BgL_locz00_22, BgL_sitez00_23);
												}
											else
												{	/* Ast/sexp.scm 124 */
													bool_t BgL_testz00_6498;

													if (STRUCTP(BgL_atomz00_1487))
														{	/* Ast/sexp.scm 124 */
															BgL_testz00_6498 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 124 */
															if (VECTORP(BgL_atomz00_1487))
																{	/* Ast/sexp.scm 124 */
																	BgL_testz00_6498 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 124 */
																	if (BGL_OBJECTP(BgL_atomz00_1487))
																		{	/* Ast/sexp.scm 124 */
																			BgL_testz00_6498 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 124 */
																			BgL_testz00_6498 =
																				PROCEDUREP(BgL_atomz00_1487);
																		}
																}
														}
													if (BgL_testz00_6498)
														{	/* Ast/sexp.scm 125 */
															BgL_nodez00_bglt BgL_res2859z00_3515;

															{	/* Ast/sexp.scm 125 */
																obj_t BgL_arg2734z00_3511;
																BgL_nodez00_bglt BgL_arg2735z00_3512;

																BgL_arg2734z00_3511 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg2735z00_3512 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 3)), BNIL,
																	BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 125 */
																	obj_t BgL_list2736z00_3514;

																	BgL_list2736z00_3514 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg2735z00_3512), BNIL);
																	BgL_res2859z00_3515 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_22, BgL_arg2734z00_3511,
																			BGl_string3097z00zzast_sexpz00,
																			BgL_expz00_20, BgL_list2736z00_3514));
															}}
															return BgL_res2859z00_3515;
														}
													else
														{	/* Ast/sexp.scm 124 */
															if (SYMBOLP(BgL_atomz00_1487))
																{	/* Ast/sexp.scm 131 */
																	obj_t BgL_g1115z00_1977;

																	BgL_g1115z00_1977 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1487, BgL_stackz00_21);
																	if (CBOOL(BgL_g1115z00_1977))
																		{	/* Ast/sexp.scm 131 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1115z00_1977, BgL_locz00_22,
																				BgL_sitez00_23);
																		}
																	else
																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_globalz00_1980;

																			BgL_globalz00_1980 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1487, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_1980,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 137 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_1980)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 10))))
																						{	/* Ast/sexp.scm 140 */
																							obj_t BgL_arg2364z00_1983;

																							{	/* Ast/sexp.scm 140 */
																								obj_t BgL_arg2365z00_1984;

																								{	/* Ast/sexp.scm 140 */
																									obj_t BgL_arg2366z00_1985;

																									{	/* Ast/sexp.scm 140 */
																										obj_t BgL_arg2367z00_1986;

																										BgL_arg2367z00_1986 =
																											MAKE_PAIR
																											(BgL_atomz00_1487, BNIL);
																										BgL_arg2366z00_1985 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 12)),
																											BgL_arg2367z00_1986);
																									}
																									BgL_arg2365z00_1984 =
																										MAKE_PAIR
																										(BgL_arg2366z00_1985, BNIL);
																								}
																								BgL_arg2364z00_1983 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 10)),
																									BgL_arg2365z00_1984);
																							}
																							{
																								obj_t BgL_expz00_6535;

																								BgL_expz00_6535 =
																									BgL_arg2364z00_1983;
																								BgL_expz00_20 = BgL_expz00_6535;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 139 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_1980,
																								BgL_locz00_22, BgL_sitez00_23);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 138 */
																					BgL_nodez00_bglt BgL_res2862z00_3529;

																					{	/* Ast/sexp.scm 138 */
																						obj_t BgL_arg2734z00_3525;
																						BgL_nodez00_bglt
																							BgL_arg2735z00_3526;
																						BgL_arg2734z00_3525 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg2735z00_3526 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 3)), BNIL,
																							BgL_locz00_22,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 138 */
																							obj_t BgL_list2736z00_3528;

																							BgL_list2736z00_3528 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg2735z00_3526),
																								BNIL);
																							BgL_res2862z00_3529 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_22,
																									BgL_arg2734z00_3525,
																									BGl_string3096z00zzast_sexpz00,
																									BgL_expz00_20,
																									BgL_list2736z00_3528));
																					}}
																					return BgL_res2862z00_3529;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 127 */
																	BgL_atomz00_bglt BgL_new1114z00_1989;

																	{	/* Ast/sexp.scm 127 */
																		BgL_atomz00_bglt BgL_new1113z00_1990;

																		BgL_new1113z00_1990 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 127 */
																			long BgL_arg2370z00_1991;

																			{	/* Ast/sexp.scm 127 */
																				long BgL_res2863z00_3533;

																				{	/* Ast/sexp.scm 127 */
																					obj_t BgL_classz00_3530;

																					BgL_classz00_3530 =
																						BGl_atomz00zzast_nodez00;
																					{	/* Ast/sexp.scm 127 */
																						obj_t BgL_vectorz00_3531;
																						int BgL_kz00_3532;

																						BgL_vectorz00_3531 =
																							BgL_classz00_3530;
																						BgL_kz00_3532 = (int) (((long) 1));
																						BgL_res2863z00_3533 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_3531,
																								BgL_kz00_3532));
																				}}
																				BgL_arg2370z00_1991 =
																					BgL_res2863z00_3533;
																			}
																			{	/* Ast/sexp.scm 127 */
																				BgL_objectz00_bglt BgL_objz00_3534;

																				BgL_objz00_3534 =
																					((BgL_objectz00_bglt)
																					BgL_new1113z00_1990);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_3534,
																					BgL_arg2370z00_1991);
																		}}
																		{	/* Ast/sexp.scm 127 */
																			BgL_objectz00_bglt BgL_auxz00_6552;

																			BgL_auxz00_6552 =
																				((BgL_objectz00_bglt)
																				BgL_new1113z00_1990);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_6552,
																				BFALSE);
																		}
																		BgL_new1114z00_1989 = BgL_new1113z00_1990;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1114z00_1989)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_22), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1114z00_1989)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1487)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1114z00_1989))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1487), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1114z00_1989);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_2292)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 346 */
			if (NULLP(BgL_argsz00_2292))
				{	/* Ast/sexp.scm 347 */
					return CNST_TABLE_REF(((long) 3));
				}
			else
				{	/* Ast/sexp.scm 349 */
					obj_t BgL_arg2566z00_2295;

					{	/* Ast/sexp.scm 349 */
						obj_t BgL_arg2567z00_2296;
						obj_t BgL_arg2568z00_2297;

						BgL_arg2567z00_2296 = CAR(BgL_argsz00_2292);
						BgL_arg2568z00_2297 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_2292)), BNIL);
						BgL_arg2566z00_2295 =
							MAKE_PAIR(BgL_arg2567z00_2296, BgL_arg2568z00_2297);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 30)), BgL_arg2566z00_2295);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_4715, obj_t BgL_locz00_4714,
		obj_t BgL_varsz00_2256, obj_t BgL_argsz00_2257)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 331 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_2256))
				{	/* Ast/sexp.scm 334 */
					if (NULLP(BgL_argsz00_2257))
						{	/* Ast/sexp.scm 335 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 335 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_4714,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string3099z00zzast_sexpz00, BgL_expz00_4715, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 334 */
					if (PAIRP(BgL_varsz00_2256))
						{	/* Ast/sexp.scm 342 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_2256)))
								{	/* Ast/sexp.scm 352 */
									obj_t BgL_argz00_2266;

									BgL_argz00_2266 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_2256));
									if (CBOOL(BgL_argz00_2266))
										{
											obj_t BgL_varsz00_6588;

											BgL_varsz00_6588 = BgL_argz00_2266;
											BgL_varsz00_2256 = BgL_varsz00_6588;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_6589;

											BgL_varsz00_6589 = BNIL;
											BgL_varsz00_2256 = BgL_varsz00_6589;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 357 */
									bool_t BgL_testz00_6590;

									{	/* Ast/sexp.scm 357 */
										obj_t BgL_auxz00_6591;

										BgL_auxz00_6591 = CAR(BgL_varsz00_2256);
										BgL_testz00_6590 = SYMBOLP(BgL_auxz00_6591);
									}
									if (BgL_testz00_6590)
										{	/* Ast/sexp.scm 357 */
											if (NULLP(BgL_argsz00_2257))
												{	/* Ast/sexp.scm 363 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_4714,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string3099z00zzast_sexpz00, BgL_expz00_4715,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 370 */
													obj_t BgL_arg2546z00_2273;
													obj_t BgL_arg2547z00_2274;

													{	/* Ast/sexp.scm 370 */
														obj_t BgL_arg2548z00_2275;
														obj_t BgL_arg2549z00_2276;

														BgL_arg2548z00_2275 = CAR(BgL_varsz00_2256);
														BgL_arg2549z00_2276 = CAR(BgL_argsz00_2257);
														{	/* Ast/sexp.scm 370 */
															obj_t BgL_list2550z00_2277;

															{	/* Ast/sexp.scm 370 */
																obj_t BgL_arg2551z00_2278;

																BgL_arg2551z00_2278 =
																	MAKE_PAIR(BgL_arg2549z00_2276, BNIL);
																BgL_list2550z00_2277 =
																	MAKE_PAIR(BgL_arg2548z00_2275,
																	BgL_arg2551z00_2278);
															}
															BgL_arg2546z00_2273 = BgL_list2550z00_2277;
														}
													}
													BgL_arg2547z00_2274 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_4715,
														BgL_locz00_4714, CDR(BgL_varsz00_2256),
														CDR(BgL_argsz00_2257));
													return MAKE_PAIR(BgL_arg2546z00_2273,
														BgL_arg2547z00_2274);
												}
										}
									else
										{	/* Ast/sexp.scm 357 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_4714,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string3100z00zzast_sexpz00, BgL_expz00_4715, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 347 */
							obj_t BgL_arg2559z00_2286;

							{	/* Ast/sexp.scm 347 */
								obj_t BgL_arg2561z00_2288;

								BgL_arg2561z00_2288 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_2257);
								{	/* Ast/sexp.scm 344 */
									obj_t BgL_list2562z00_2289;

									{	/* Ast/sexp.scm 344 */
										obj_t BgL_arg2563z00_2290;

										BgL_arg2563z00_2290 = MAKE_PAIR(BgL_arg2561z00_2288, BNIL);
										BgL_list2562z00_2289 =
											MAKE_PAIR(BgL_varsz00_2256, BgL_arg2563z00_2290);
									}
									BgL_arg2559z00_2286 = BgL_list2562z00_2289;
								}
							}
							{	/* Ast/sexp.scm 343 */
								obj_t BgL_list2560z00_2287;

								BgL_list2560z00_2287 = MAKE_PAIR(BgL_arg2559z00_2286, BNIL);
								return BgL_list2560z00_2287;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_4668,
		obj_t BgL_expz00_4669, obj_t BgL_stackz00_4670, obj_t BgL_locz00_4671,
		obj_t BgL_sitez00_4672)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 101 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_4669, BgL_stackz00_4670,
				BgL_locz00_4671, BgL_sitez00_4672);
		}
	}



/* &<anonymous:2576> */
	obj_t BGl_z62zc3anonymousza32576ze3ze1zzast_sexpz00(obj_t BgL_envz00_4673,
		obj_t BgL_objz00_4675, obj_t BgL_procz00_4676, obj_t BgL_msgz00_4677)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 376 */
			{	/* Ast/sexp.scm 377 */
				obj_t BgL_locz00_4674;

				BgL_locz00_4674 = PROCEDURE_REF(BgL_envz00_4673, (int) (((long) 0)));
				{
					obj_t BgL_objz00_2307;
					obj_t BgL_procz00_2308;
					obj_t BgL_msgz00_2309;

					BgL_objz00_2307 = BgL_objz00_4675;
					BgL_procz00_2308 = BgL_procz00_4676;
					BgL_msgz00_2309 = BgL_msgz00_4677;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_4674,
						BgL_objz00_2307, BgL_procz00_2308, BgL_msgz00_2309, BNIL);
				}
			}
		}
	}



/* &<anonymous:2357> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32357ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4678, obj_t BgL_ez00_4681)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 117 */
			{	/* Ast/sexp.scm 117 */
				BgL_appz00_bglt BgL_i1112z00_4679;
				obj_t BgL_stackz00_4680;

				BgL_i1112z00_4679 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_4678, (int) (((long) 0))));
				BgL_stackz00_4680 = PROCEDURE_REF(BgL_envz00_4678, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1970;

					BgL_ez00_1970 = BgL_ez00_4681;
					{	/* Ast/sexp.scm 117 */
						obj_t BgL_arg2358z00_3495;

						BgL_arg2358z00_3495 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_i1112z00_4679)))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1970,
							BgL_stackz00_4680, BgL_arg2358z00_3495,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* &<anonymous:2350> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32350ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4682, obj_t BgL_ez00_4685)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 114 */
			{	/* Ast/sexp.scm 114 */
				BgL_externz00_bglt BgL_i1111z00_4683;
				obj_t BgL_stackz00_4684;

				BgL_i1111z00_4683 =
					((BgL_externz00_bglt)
					PROCEDURE_REF(BgL_envz00_4682, (int) (((long) 0))));
				BgL_stackz00_4684 = PROCEDURE_REF(BgL_envz00_4682, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1961;

					BgL_ez00_1961 = BgL_ez00_4685;
					{	/* Ast/sexp.scm 114 */
						obj_t BgL_arg2352z00_3492;

						BgL_arg2352z00_3492 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_i1111z00_4683)))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1961,
							BgL_stackz00_4684, BgL_arg2352z00_3492,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_24,
		obj_t BgL_locz00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 502 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_24), BgL_locz00_25, BgL_sitez00_26);
			{	/* Ast/sexp.scm 504 */
				bool_t BgL_testz00_6638;

				if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 31))))
					{	/* Ast/sexp.scm 504 */
						BgL_testz00_6638 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 504 */
						BgL_valuez00_bglt BgL_arg2662z00_2446;

						BgL_arg2662z00_2446 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_valuez00);
						{	/* Ast/sexp.scm 504 */
							bool_t BgL_res3022z00_4398;

							{	/* Ast/sexp.scm 504 */
								obj_t BgL_objz00_4397;

								BgL_objz00_4397 = ((obj_t) BgL_arg2662z00_2446);
								BgL_res3022z00_4398 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_4397,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_6638 = BgL_res3022z00_4398;
						}
					}
				if (BgL_testz00_6638)
					{	/* Ast/sexp.scm 505 */
						bool_t BgL_testz00_6646;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_24,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 506 */
								bool_t BgL_testz00_6649;

								{	/* Ast/sexp.scm 506 */
									BgL_valuez00_bglt BgL_arg2658z00_2440;

									BgL_arg2658z00_2440 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_24))))->BgL_valuez00);
									{	/* Ast/sexp.scm 506 */
										bool_t BgL_res3025z00_4405;

										{	/* Ast/sexp.scm 506 */
											obj_t BgL_objz00_4404;

											BgL_objz00_4404 = ((obj_t) BgL_arg2658z00_2440);
											BgL_res3025z00_4405 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_4404,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_6649 = BgL_res3025z00_4405;
									}
								}
								if (BgL_testz00_6649)
									{	/* Ast/sexp.scm 507 */
										bool_t BgL_testz00_6655;

										{	/* Ast/sexp.scm 507 */
											obj_t BgL_arg2656z00_2439;

											BgL_arg2656z00_2439 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_6655 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg2656z00_2439)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_6655)
											{	/* Ast/sexp.scm 507 */
												BgL_testz00_6646 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 507 */
												if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 29))))
													{	/* Ast/sexp.scm 508 */
														BgL_testz00_6646 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 508 */
														BgL_testz00_6646 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 506 */
										BgL_testz00_6646 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 505 */
								BgL_testz00_6646 = ((bool_t) 0);
							}
						if (BgL_testz00_6646)
							{	/* Ast/sexp.scm 510 */
								obj_t BgL_arg2646z00_2427;

								{	/* Ast/sexp.scm 510 */
									obj_t BgL_arg2647z00_2428;

									{	/* Ast/sexp.scm 510 */
										obj_t BgL_arg2649z00_2430;

										BgL_arg2649z00_2430 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg2647z00_2428 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg2649z00_2430)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 510 */
										obj_t BgL_list2648z00_2429;

										BgL_list2648z00_2429 = MAKE_PAIR(BgL_arg2647z00_2428, BNIL);
										BgL_arg2646z00_2427 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string3101z00zzast_sexpz00, BgL_list2648z00_2429);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg2646z00_2427, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_25);
							}
						else
							{	/* Ast/sexp.scm 511 */
								BgL_closurez00_bglt BgL_new1143z00_2431;

								{	/* Ast/sexp.scm 511 */
									BgL_closurez00_bglt BgL_new1142z00_2433;

									BgL_new1142z00_2433 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 511 */
										long BgL_arg2651z00_2434;

										{	/* Ast/sexp.scm 511 */
											long BgL_res3028z00_4415;

											{	/* Ast/sexp.scm 511 */
												obj_t BgL_classz00_4412;

												BgL_classz00_4412 = BGl_closurez00zzast_nodez00;
												{	/* Ast/sexp.scm 511 */
													obj_t BgL_vectorz00_4413;
													int BgL_kz00_4414;

													BgL_vectorz00_4413 = BgL_classz00_4412;
													BgL_kz00_4414 = (int) (((long) 1));
													BgL_res3028z00_4415 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_4413,
															BgL_kz00_4414));
											}}
											BgL_arg2651z00_2434 = BgL_res3028z00_4415;
										}
										{	/* Ast/sexp.scm 511 */
											BgL_objectz00_bglt BgL_objz00_4416;

											BgL_objz00_4416 =
												((BgL_objectz00_bglt) BgL_new1142z00_2433);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4416,
												BgL_arg2651z00_2434);
									}}
									{	/* Ast/sexp.scm 511 */
										BgL_objectz00_bglt BgL_auxz00_6674;

										BgL_auxz00_6674 =
											((BgL_objectz00_bglt) BgL_new1142z00_2433);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6674, BFALSE);
									}
									BgL_new1143z00_2431 = BgL_new1142z00_2433;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1143z00_2431)))->
										BgL_locz00) = ((obj_t) BgL_locz00_25), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_6679;

									{	/* Ast/sexp.scm 513 */
										BgL_typez00_bglt BgL_arg2650z00_2432;

										BgL_arg2650z00_2432 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_typez00);
										BgL_auxz00_6679 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg2650z00_2432);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1143z00_2431)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_6679), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1143z00_2431)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_24)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1143z00_2431);
							}
					}
				else
					{	/* Ast/sexp.scm 515 */
						BgL_varz00_bglt BgL_new1145z00_2441;

						{	/* Ast/sexp.scm 515 */
							BgL_varz00_bglt BgL_new1144z00_2443;

							BgL_new1144z00_2443 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 515 */
								long BgL_arg2660z00_2444;

								{	/* Ast/sexp.scm 515 */
									long BgL_res3030z00_4424;

									{	/* Ast/sexp.scm 515 */
										obj_t BgL_classz00_4421;

										BgL_classz00_4421 = BGl_varz00zzast_nodez00;
										{	/* Ast/sexp.scm 515 */
											obj_t BgL_vectorz00_4422;
											int BgL_kz00_4423;

											BgL_vectorz00_4422 = BgL_classz00_4421;
											BgL_kz00_4423 = (int) (((long) 1));
											BgL_res3030z00_4424 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_4422,
													BgL_kz00_4423));
									}}
									BgL_arg2660z00_2444 = BgL_res3030z00_4424;
								}
								{	/* Ast/sexp.scm 515 */
									BgL_objectz00_bglt BgL_objz00_4425;

									BgL_objz00_4425 = ((BgL_objectz00_bglt) BgL_new1144z00_2443);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4425,
										BgL_arg2660z00_2444);
							}}
							{	/* Ast/sexp.scm 515 */
								BgL_objectz00_bglt BgL_auxz00_6696;

								BgL_auxz00_6696 = ((BgL_objectz00_bglt) BgL_new1144z00_2443);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_6696, BFALSE);
							}
							BgL_new1145z00_2441 = BgL_new1144z00_2443;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1145z00_2441)))->BgL_locz00) =
							((obj_t) BgL_locz00_25), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_6701;

							{	/* Ast/sexp.scm 517 */
								BgL_typez00_bglt BgL_arg2659z00_2442;

								BgL_arg2659z00_2442 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_typez00);
								BgL_auxz00_6701 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg2659z00_2442);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1145z00_2441)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_6701), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1145z00_2441))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_24)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1145z00_2441);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_27,
		obj_t BgL_stackz00_28, obj_t BgL_locz00_29, obj_t BgL_sitez00_30)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 523 */
			{	/* Ast/sexp.scm 524 */
				obj_t BgL_callerz00_2447;
				obj_t BgL_locz00_2448;

				BgL_callerz00_2447 = CAR(BgL_expz00_27);
				BgL_locz00_2448 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_27,
					BgL_locz00_29);
				if (SYMBOLP(BgL_callerz00_2447))
					{	/* Ast/sexp.scm 528 */
						obj_t BgL_pidz00_2450;

						BgL_pidz00_2450 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_2447,
							BgL_locz00_2448);
						{	/* Ast/sexp.scm 528 */
							obj_t BgL_idz00_2451;

							BgL_idz00_2451 = CAR(BgL_pidz00_2450);
							{	/* Ast/sexp.scm 529 */
								obj_t BgL_typez00_2452;

								BgL_typez00_2452 = CDR(BgL_pidz00_2450);
								{	/* Ast/sexp.scm 530 */

									if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 5))))
										{	/* Ast/sexp.scm 531 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_2452),
												BgL_expz00_27, BgL_stackz00_28, BgL_locz00_2448,
												BgL_sitez00_30);
										}
									else
										{	/* Ast/sexp.scm 531 */
											if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 535 */
													bool_t BgL_testz00_6726;

													{	/* Ast/sexp.scm 535 */
														obj_t BgL_auxz00_6727;

														BgL_auxz00_6727 = CDR(BgL_expz00_27);
														BgL_testz00_6726 = PAIRP(BgL_auxz00_6727);
													}
													if (BgL_testz00_6726)
														{	/* Ast/sexp.scm 539 */
															BgL_feffectz00_bglt BgL_arg2667z00_2457;
															obj_t BgL_arg2668z00_2458;

															{	/* Ast/sexp.scm 539 */
																obj_t BgL_arg2669z00_2459;

																{	/* Ast/sexp.scm 539 */
																	obj_t BgL_pairz00_4444;

																	BgL_pairz00_4444 = BgL_expz00_27;
																	BgL_arg2669z00_2459 =
																		CAR(CDR(BgL_pairz00_4444));
																}
																BgL_arg2667z00_2457 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg2669z00_2459);
															}
															{	/* Ast/sexp.scm 540 */
																obj_t BgL_arg2670z00_2460;
																obj_t BgL_arg2671z00_2461;

																{	/* Ast/sexp.scm 540 */
																	obj_t BgL_arg2672z00_2462;

																	BgL_arg2672z00_2462 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																		BNIL);
																	BgL_arg2670z00_2460 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg2672z00_2462);
																}
																{	/* Ast/sexp.scm 540 */
																	obj_t BgL_auxz00_6737;

																	{	/* Ast/sexp.scm 540 */
																		obj_t BgL_pairz00_4448;

																		BgL_pairz00_4448 = BgL_expz00_27;
																		BgL_auxz00_6737 =
																			CDR(CDR(BgL_pairz00_4448));
																	}
																	BgL_arg2671z00_2461 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_6737, BNIL);
																}
																BgL_arg2668z00_2458 =
																	MAKE_PAIR(BgL_arg2670z00_2460,
																	BgL_arg2671z00_2461);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg2667z00_2457),
																((BgL_typez00_bglt) BgL_typez00_2452),
																BgL_arg2668z00_2458, BgL_stackz00_28,
																BgL_locz00_2448, BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 538 */
															obj_t BgL_arg2674z00_2464;

															BgL_arg2674z00_2464 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_27, BgL_locz00_2448);
															{	/* Ast/sexp.scm 536 */
																BgL_nodez00_bglt BgL_res3036z00_4459;

																{	/* Ast/sexp.scm 536 */
																	obj_t BgL_arg2734z00_4455;
																	BgL_nodez00_bglt BgL_arg2735z00_4456;

																	BgL_arg2734z00_4455 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg2735z00_4456 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 3)), BNIL,
																		BgL_arg2674z00_2464,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 536 */
																		obj_t BgL_list2736z00_4458;

																		BgL_list2736z00_4458 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg2735z00_4456), BNIL);
																		BgL_res3036z00_4459 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg2674z00_2464, BgL_arg2734z00_4455,
																				BGl_string3102z00zzast_sexpz00,
																				BgL_expz00_27, BgL_list2736z00_4458));
																}}
																return BgL_res3036z00_4459;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 531 */
													if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 531 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_2452),
																BgL_expz00_27, BgL_stackz00_28, BgL_locz00_2448,
																BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 531 */
															if (
																(BgL_idz00_2451 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 545 */
																	bool_t BgL_testz00_6763;

																	{	/* Ast/sexp.scm 545 */
																		obj_t BgL_auxz00_6764;

																		BgL_auxz00_6764 = CDR(BgL_expz00_27);
																		BgL_testz00_6763 = PAIRP(BgL_auxz00_6764);
																	}
																	if (BgL_testz00_6763)
																		{	/* Ast/sexp.scm 549 */
																			BgL_feffectz00_bglt BgL_arg2679z00_2469;
																			obj_t BgL_arg2680z00_2470;

																			{	/* Ast/sexp.scm 549 */
																				obj_t BgL_arg2681z00_2471;

																				{	/* Ast/sexp.scm 549 */
																					obj_t BgL_pairz00_4469;

																					BgL_pairz00_4469 = BgL_expz00_27;
																					BgL_arg2681z00_2471 =
																						CAR(CDR(BgL_pairz00_4469));
																				}
																				BgL_arg2679z00_2469 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg2681z00_2471);
																			}
																			{	/* Ast/sexp.scm 550 */
																				obj_t BgL_arg2682z00_2472;
																				obj_t BgL_arg2683z00_2473;

																				{	/* Ast/sexp.scm 550 */
																					obj_t BgL_arg2684z00_2474;

																					BgL_arg2684z00_2474 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								32)), BNIL);
																					BgL_arg2682z00_2472 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								33)), BgL_arg2684z00_2474);
																				}
																				{	/* Ast/sexp.scm 550 */
																					obj_t BgL_auxz00_6774;

																					{	/* Ast/sexp.scm 550 */
																						obj_t BgL_pairz00_4473;

																						BgL_pairz00_4473 = BgL_expz00_27;
																						BgL_auxz00_6774 =
																							CDR(CDR(BgL_pairz00_4473));
																					}
																					BgL_arg2683z00_2473 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_6774, BNIL);
																				}
																				BgL_arg2680z00_2470 =
																					MAKE_PAIR(BgL_arg2682z00_2472,
																					BgL_arg2683z00_2473);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg2679z00_2469),
																				((BgL_typez00_bglt) BgL_typez00_2452),
																				BgL_arg2680z00_2470, BgL_stackz00_28,
																				BgL_locz00_2448, BgL_sitez00_30);
																		}
																	else
																		{	/* Ast/sexp.scm 548 */
																			obj_t BgL_arg2687z00_2476;

																			BgL_arg2687z00_2476 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_27, BgL_locz00_2448);
																			{	/* Ast/sexp.scm 546 */
																				BgL_nodez00_bglt BgL_res3040z00_4484;

																				{	/* Ast/sexp.scm 546 */
																					obj_t BgL_arg2734z00_4480;
																					BgL_nodez00_bglt BgL_arg2735z00_4481;

																					BgL_arg2734z00_4480 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg2735z00_4481 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 3)), BNIL,
																						BgL_arg2687z00_2476,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 546 */
																						obj_t BgL_list2736z00_4483;

																						BgL_list2736z00_4483 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg2735z00_4481),
																							BNIL);
																						BgL_res3040z00_4484 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg2687z00_2476,
																								BgL_arg2734z00_4480,
																								BGl_string3103z00zzast_sexpz00,
																								BgL_expz00_27,
																								BgL_list2736z00_4483));
																				}}
																				return BgL_res3040z00_4484;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 531 */
																	if (
																		(BgL_idz00_2451 ==
																			CNST_TABLE_REF(((long) 17))))
																		{
																			obj_t BgL_argsz00_2479;
																			obj_t BgL_bodyz00_2480;

																			if (PAIRP(BgL_expz00_27))
																				{	/* Ast/sexp.scm 553 */
																					obj_t BgL_cdrzd22199zd2_2485;

																					BgL_cdrzd22199zd2_2485 =
																						CDR(BgL_expz00_27);
																					if (PAIRP(BgL_cdrzd22199zd2_2485))
																						{	/* Ast/sexp.scm 553 */
																							BgL_argsz00_2479 =
																								CAR(BgL_cdrzd22199zd2_2485);
																							BgL_bodyz00_2480 =
																								CDR(BgL_cdrzd22199zd2_2485);
																							{	/* Ast/sexp.scm 555 */
																								obj_t BgL_locz00_2489;

																								BgL_locz00_2489 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_27,
																									BgL_locz00_2448);
																								{	/* Ast/sexp.scm 555 */
																									obj_t BgL_funz00_2490;

																									BgL_funz00_2490 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													17))));
																									{	/* Ast/sexp.scm 556 */
																										obj_t BgL_tfunz00_2491;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_2452)))
																											{	/* Ast/sexp.scm 558 */
																												obj_t
																													BgL_arg2704z00_2502;
																												BgL_arg2704z00_2502 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_2452)))->
																													BgL_idz00);
																												BgL_tfunz00_2491 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_2490,
																													BgL_arg2704z00_2502);
																											}
																										else
																											{	/* Ast/sexp.scm 557 */
																												BgL_tfunz00_2491 =
																													BgL_funz00_2490;
																											}
																										{	/* Ast/sexp.scm 557 */

																											{	/* Ast/sexp.scm 561 */
																												obj_t
																													BgL_arg2694z00_2492;
																												{	/* Ast/sexp.scm 561 */
																													obj_t
																														BgL_arg2695z00_2493;
																													obj_t
																														BgL_arg2696z00_2494;
																													BgL_arg2695z00_2493 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 561 */
																														obj_t
																															BgL_arg2697z00_2495;
																														obj_t
																															BgL_arg2698z00_2496;
																														{	/* Ast/sexp.scm 561 */
																															obj_t
																																BgL_arg2699z00_2497;
																															{	/* Ast/sexp.scm 561 */
																																obj_t
																																	BgL_arg2700z00_2498;
																																{	/* Ast/sexp.scm 561 */
																																	obj_t
																																		BgL_arg2701z00_2499;
																																	BgL_arg2701z00_2499
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_2480),
																																		BNIL);
																																	BgL_arg2700z00_2498
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_2479,
																																		BgL_arg2701z00_2499);
																																}
																																BgL_arg2699z00_2497
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_2491,
																																	BgL_arg2700z00_2498);
																															}
																															BgL_arg2697z00_2495
																																=
																																MAKE_PAIR
																																(BgL_arg2699z00_2497,
																																BNIL);
																														}
																														BgL_arg2698z00_2496
																															=
																															MAKE_PAIR
																															(BgL_funz00_2490,
																															BNIL);
																														BgL_arg2696z00_2494
																															=
																															MAKE_PAIR
																															(BgL_arg2697z00_2495,
																															BgL_arg2698z00_2496);
																													}
																													BgL_arg2694z00_2492 =
																														MAKE_PAIR
																														(BgL_arg2695z00_2493,
																														BgL_arg2696z00_2494);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg2694z00_2492,
																													BgL_stackz00_28,
																													BgL_locz00_2489,
																													BgL_sitez00_30);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 553 */
																						BgL_tagzd22192zd2_2482:
																							{	/* Ast/sexp.scm 567 */
																								BgL_nodez00_bglt
																									BgL_res3043z00_4498;
																								{	/* Ast/sexp.scm 567 */
																									obj_t BgL_arg2734z00_4494;
																									BgL_nodez00_bglt
																										BgL_arg2735z00_4495;
																									BgL_arg2734z00_4494 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg2735z00_4495 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 3)),
																										BNIL, BgL_locz00_2448,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 567 */
																										obj_t BgL_list2736z00_4497;

																										BgL_list2736z00_4497 =
																											MAKE_PAIR(
																											((obj_t)
																												BgL_arg2735z00_4495),
																											BNIL);
																										BgL_res3043z00_4498 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_2448,
																												BgL_arg2734z00_4494,
																												BGl_string3104z00zzast_sexpz00,
																												BgL_expz00_27,
																												BgL_list2736z00_4497));
																								}}
																								return BgL_res3043z00_4498;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 553 */
																					goto BgL_tagzd22192zd2_2482;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 531 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_27, BgL_stackz00_28,
																				BgL_locz00_2448, BgL_sitez00_30);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 526 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_27,
							BgL_stackz00_28, BgL_locz00_2448, BgL_sitez00_30);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_31, obj_t BgL_stackz00_32, obj_t BgL_locz00_33,
		obj_t BgL_sitez00_34)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 575 */
			{
				obj_t BgL_expsz00_2506;
				obj_t BgL_resz00_2507;
				obj_t BgL_locz00_2508;

				BgL_expsz00_2506 = BgL_expza2za2_31;
				BgL_resz00_2507 = BNIL;
				BgL_locz00_2508 = BgL_locz00_33;
			BgL_zc3anonymousza32706ze3z83_2509:
				if (NULLP(BgL_expsz00_2506))
					{	/* Ast/sexp.scm 581 */
						BgL_nodez00_bglt BgL_res3047z00_4515;

						{	/* Ast/sexp.scm 581 */
							obj_t BgL_arg2734z00_4511;
							BgL_nodez00_bglt BgL_arg2735z00_4512;

							BgL_arg2734z00_4511 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg2735z00_4512 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 3)),
								BNIL, BgL_locz00_2508, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 581 */
								obj_t BgL_list2736z00_4514;

								BgL_list2736z00_4514 =
									MAKE_PAIR(((obj_t) BgL_arg2735z00_4512), BNIL);
								BgL_res3047z00_4515 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_2508, BgL_arg2734z00_4511,
										BGl_string3105z00zzast_sexpz00, BgL_expsz00_2506,
										BgL_list2736z00_4514));
						}}
						return ((obj_t) BgL_res3047z00_4515);
					}
				else
					{	/* Ast/sexp.scm 580 */
						if (NULLP(CDR(BgL_expsz00_2506)))
							{	/* Ast/sexp.scm 583 */
								obj_t BgL_locz00_2512;
								obj_t BgL_nsitez00_2513;

								BgL_locz00_2512 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2506),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2506, BgL_locz00_2508));
								if ((BgL_sitez00_34 == CNST_TABLE_REF(((long) 31))))
									{	/* Ast/sexp.scm 585 */
										BgL_nsitez00_2513 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 585 */
										BgL_nsitez00_2513 = BgL_sitez00_34;
									}
								{	/* Ast/sexp.scm 586 */
									obj_t BgL_arg2709z00_2514;

									{	/* Ast/sexp.scm 586 */
										BgL_nodez00_bglt BgL_arg2710z00_2515;

										BgL_arg2710z00_2515 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_2506),
											BgL_stackz00_32, BgL_locz00_2512, BgL_nsitez00_2513);
										BgL_arg2709z00_2514 =
											MAKE_PAIR(((obj_t) BgL_arg2710z00_2515), BgL_resz00_2507);
									}
									return bgl_reverse_bang(BgL_arg2709z00_2514);
								}
							}
						else
							{	/* Ast/sexp.scm 588 */
								obj_t BgL_locz00_2520;

								BgL_locz00_2520 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2506),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2506, BgL_locz00_2508));
								{	/* Ast/sexp.scm 590 */
									obj_t BgL_arg2715z00_2521;
									obj_t BgL_arg2716z00_2522;

									BgL_arg2715z00_2521 = CDR(BgL_expsz00_2506);
									{	/* Ast/sexp.scm 591 */
										BgL_nodez00_bglt BgL_arg2717z00_2523;

										{	/* Ast/sexp.scm 591 */
											obj_t BgL_arg2718z00_2524;

											BgL_arg2718z00_2524 = CAR(BgL_expsz00_2506);
											BgL_arg2717z00_2523 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2718z00_2524,
												BgL_stackz00_32, BgL_locz00_2520,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg2716z00_2522 =
											MAKE_PAIR(((obj_t) BgL_arg2717z00_2523), BgL_resz00_2507);
									}
									{
										obj_t BgL_locz00_6871;
										obj_t BgL_resz00_6870;
										obj_t BgL_expsz00_6869;

										BgL_expsz00_6869 = BgL_arg2715z00_2521;
										BgL_resz00_6870 = BgL_arg2716z00_2522;
										BgL_locz00_6871 = BgL_locz00_2520;
										BgL_locz00_2508 = BgL_locz00_6871;
										BgL_resz00_2507 = BgL_resz00_6870;
										BgL_expsz00_2506 = BgL_expsz00_6869;
										goto BgL_zc3anonymousza32706ze3z83_2509;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_4688,
		obj_t BgL_expza2za2_4689, obj_t BgL_stackz00_4690, obj_t BgL_locz00_4691,
		obj_t BgL_sitez00_4692)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 575 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_4689,
				BgL_stackz00_4690, BgL_locz00_4691, BgL_sitez00_4692);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_35,
		obj_t BgL_stackz00_36)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			{	/* Ast/sexp.scm 605 */
				bool_t BgL_testz00_6873;

				if ((BgL_namez00_35 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 605 */
						BgL_testz00_6873 =
							(BgL_stackz00_36 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 605 */
						BgL_testz00_6873 = ((bool_t) 0);
					}
				if (BgL_testz00_6873)
					{	/* Ast/sexp.scm 605 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 605 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_35;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_36;
						{
							obj_t BgL_stackz00_2531;

							BgL_stackz00_2531 = BgL_stackz00_36;
						BgL_zc3anonymousza32723ze3z83_2532:
							if (NULLP(BgL_stackz00_2531))
								{	/* Ast/sexp.scm 612 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 615 */
									bool_t BgL_testz00_6879;

									{	/* Ast/sexp.scm 615 */
										obj_t BgL_auxz00_6880;

										{
											BgL_variablez00_bglt BgL_auxz00_6881;

											{
												BgL_localz00_bglt BgL_auxz00_6882;

												{	/* Ast/sexp.scm 615 */
													obj_t BgL_pairz00_4526;

													BgL_pairz00_4526 = BgL_stackz00_2531;
													BgL_auxz00_6882 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_4526));
												}
												BgL_auxz00_6881 =
													((BgL_variablez00_bglt) BgL_auxz00_6882);
											}
											BgL_auxz00_6880 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_6881))->
												BgL_idz00);
										}
										BgL_testz00_6879 = (BgL_auxz00_6880 == BgL_namez00_35);
									}
									if (BgL_testz00_6879)
										{	/* Ast/sexp.scm 615 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_2531);
											return CAR(BgL_stackz00_2531);
										}
									else
										{
											obj_t BgL_stackz00_6890;

											BgL_stackz00_6890 = CDR(BgL_stackz00_2531);
											BgL_stackz00_2531 = BgL_stackz00_6890;
											goto BgL_zc3anonymousza32723ze3z83_2532;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_4693,
		obj_t BgL_namez00_4694, obj_t BgL_stackz00_4695)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_4694, BgL_stackz00_4695);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_37,
		obj_t BgL_locz00_38, obj_t BgL_sitez00_39)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 624 */
			if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 6))))
				{	/* Ast/sexp.scm 627 */
					obj_t BgL_vz00_4534;

					BgL_vz00_4534 = CNST_TABLE_REF(((long) 34));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_37))->BgL_accessz00) =
						((obj_t) BgL_vz00_4534), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 626 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 628 */
				BgL_valuez00_bglt BgL_valz00_2541;

				BgL_valz00_2541 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_37))->BgL_valuez00);
				{	/* Ast/sexp.scm 629 */
					bool_t BgL_testz00_6899;

					if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 6))))
						{	/* Ast/sexp.scm 629 */
							bool_t BgL_res3052z00_4540;

							{	/* Ast/sexp.scm 629 */
								obj_t BgL_objz00_4539;

								BgL_objz00_4539 = ((obj_t) BgL_valz00_2541);
								BgL_res3052z00_4540 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_4539,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_6899 = BgL_res3052z00_4540;
						}
					else
						{	/* Ast/sexp.scm 629 */
							BgL_testz00_6899 = ((bool_t) 0);
						}
					if (BgL_testz00_6899)
						{	/* Ast/sexp.scm 630 */
							obj_t BgL_arg2732z00_2543;

							BgL_arg2732z00_2543 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_37));
							{	/* Ast/sexp.scm 630 */
								BgL_nodez00_bglt BgL_res3053z00_4548;

								{	/* Ast/sexp.scm 630 */
									obj_t BgL_arg2734z00_4544;
									BgL_nodez00_bglt BgL_arg2735z00_4545;

									BgL_arg2734z00_4544 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg2735z00_4545 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												3)), BNIL, BgL_locz00_38, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 630 */
										obj_t BgL_list2736z00_4547;

										BgL_list2736z00_4547 =
											MAKE_PAIR(((obj_t) BgL_arg2735z00_4545), BNIL);
										BgL_res3053z00_4548 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_38, BgL_arg2734z00_4544,
												BGl_string3106z00zzast_sexpz00, BgL_arg2732z00_2543,
												BgL_list2736z00_4547));
								}}
								return ((obj_t) BgL_res3053z00_4548);
							}
						}
					else
						{	/* Ast/sexp.scm 629 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_4696,
		obj_t BgL_varz00_4697, obj_t BgL_locz00_4698, obj_t BgL_sitez00_4699)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 624 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_4697), BgL_locz00_4698,
				BgL_sitez00_4699);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_40,
		obj_t BgL_expz00_41, obj_t BgL_locz00_42)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			{	/* Ast/sexp.scm 637 */
				obj_t BgL_arg2734z00_2545;
				BgL_nodez00_bglt BgL_arg2735z00_2546;

				BgL_arg2734z00_2545 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg2735z00_2546 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 3)), BNIL,
					BgL_locz00_42, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 636 */
					obj_t BgL_list2736z00_2547;

					BgL_list2736z00_2547 = MAKE_PAIR(((obj_t) BgL_arg2735z00_2546), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_42,
							BgL_arg2734z00_2545, BgL_msgz00_40, BgL_expz00_41,
							BgL_list2736z00_2547));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_4700, obj_t BgL_msgz00_4701, obj_t BgL_expz00_4702,
		obj_t BgL_locz00_4703)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_4701,
				BgL_expz00_4702, BgL_locz00_4703);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_43, BgL_nodez00_bglt BgL_refz00_44)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 645 */
			{	/* Ast/sexp.scm 646 */
				BgL_nodez00_bglt BgL_funz00_2549;

				BgL_funz00_2549 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 35)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 647 */
					bool_t BgL_testz00_6932;

					{	/* Ast/sexp.scm 647 */
						bool_t BgL_res3054z00_4550;

						{	/* Ast/sexp.scm 647 */
							obj_t BgL_objz00_4549;

							BgL_objz00_4549 = ((obj_t) BgL_funz00_2549);
							BgL_res3054z00_4550 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4549,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_6932 = BgL_res3054z00_4550;
					}
					if (BgL_testz00_6932)
						{	/* Ast/sexp.scm 648 */
							BgL_appz00_bglt BgL_new1148z00_2551;

							{	/* Ast/sexp.scm 648 */
								BgL_appz00_bglt BgL_new1147z00_2558;

								BgL_new1147z00_2558 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 648 */
									long BgL_arg2745z00_2559;

									{	/* Ast/sexp.scm 648 */
										long BgL_res3055z00_4554;

										{	/* Ast/sexp.scm 648 */
											obj_t BgL_classz00_4551;

											BgL_classz00_4551 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 648 */
												obj_t BgL_vectorz00_4552;
												int BgL_kz00_4553;

												BgL_vectorz00_4552 = BgL_classz00_4551;
												BgL_kz00_4553 = (int) (((long) 1));
												BgL_res3055z00_4554 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_4552,
														BgL_kz00_4553));
										}}
										BgL_arg2745z00_2559 = BgL_res3055z00_4554;
									}
									{	/* Ast/sexp.scm 648 */
										BgL_objectz00_bglt BgL_objz00_4555;

										BgL_objz00_4555 =
											((BgL_objectz00_bglt) BgL_new1147z00_2558);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4555,
											BgL_arg2745z00_2559);
								}}
								{	/* Ast/sexp.scm 648 */
									BgL_objectz00_bglt BgL_auxz00_6941;

									BgL_auxz00_6941 = ((BgL_objectz00_bglt) BgL_new1147z00_2558);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6941, BFALSE);
								}
								BgL_new1148z00_2551 = BgL_new1147z00_2558;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1148z00_2551)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1148z00_2551)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1148z00_2551)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1148z00_2551)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1148z00_2551))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2549)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_6956;

								{	/* Ast/sexp.scm 651 */
									BgL_nodez00_bglt BgL_arg2739z00_2552;

									{	/* Ast/sexp.scm 651 */
										obj_t BgL_arg2742z00_2555;

										{	/* Ast/sexp.scm 651 */
											obj_t BgL_arg2743z00_2556;

											{	/* Ast/sexp.scm 651 */
												obj_t BgL_arg2744z00_2557;

												BgL_arg2744z00_2557 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_43)))->
													BgL_idz00);
												BgL_arg2743z00_2556 =
													MAKE_PAIR(BgL_arg2744z00_2557, BNIL);
											}
											BgL_arg2742z00_2555 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg2743z00_2556);
										}
										BgL_arg2739z00_2552 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2742z00_2555,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 651 */
										obj_t BgL_list2740z00_2553;

										{	/* Ast/sexp.scm 651 */
											obj_t BgL_arg2741z00_2554;

											BgL_arg2741z00_2554 =
												MAKE_PAIR(((obj_t) BgL_refz00_44), BNIL);
											BgL_list2740z00_2553 =
												MAKE_PAIR(
												((obj_t) BgL_arg2739z00_2552), BgL_arg2741z00_2554);
										}
										BgL_auxz00_6956 = BgL_list2740z00_2553;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1148z00_2551))->BgL_argsz00) =
									((obj_t) BgL_auxz00_6956), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1148z00_2551);
						}
					else
						{	/* Ast/sexp.scm 647 */
							return BgL_funz00_2549;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4704, obj_t BgL_globalz00_4705, obj_t BgL_refz00_4706)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 645 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4705),
				((BgL_nodez00_bglt) BgL_refz00_4706));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 657 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_45), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 659 */
				BgL_nodez00_bglt BgL_funz00_2560;

				BgL_funz00_2560 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 660 */
					bool_t BgL_testz00_6979;

					{	/* Ast/sexp.scm 660 */
						bool_t BgL_res3058z00_4563;

						{	/* Ast/sexp.scm 660 */
							obj_t BgL_objz00_4562;

							BgL_objz00_4562 = ((obj_t) BgL_funz00_2560);
							BgL_res3058z00_4563 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4562,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_6979 = BgL_res3058z00_4563;
					}
					if (BgL_testz00_6979)
						{	/* Ast/sexp.scm 661 */
							BgL_appz00_bglt BgL_new1150z00_2562;

							{	/* Ast/sexp.scm 661 */
								BgL_appz00_bglt BgL_new1149z00_2570;

								BgL_new1149z00_2570 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 661 */
									long BgL_arg2754z00_2571;

									{	/* Ast/sexp.scm 661 */
										long BgL_res3059z00_4567;

										{	/* Ast/sexp.scm 661 */
											obj_t BgL_classz00_4564;

											BgL_classz00_4564 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 661 */
												obj_t BgL_vectorz00_4565;
												int BgL_kz00_4566;

												BgL_vectorz00_4565 = BgL_classz00_4564;
												BgL_kz00_4566 = (int) (((long) 1));
												BgL_res3059z00_4567 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_4565,
														BgL_kz00_4566));
										}}
										BgL_arg2754z00_2571 = BgL_res3059z00_4567;
									}
									{	/* Ast/sexp.scm 661 */
										BgL_objectz00_bglt BgL_objz00_4568;

										BgL_objz00_4568 =
											((BgL_objectz00_bglt) BgL_new1149z00_2570);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4568,
											BgL_arg2754z00_2571);
								}}
								{	/* Ast/sexp.scm 661 */
									BgL_objectz00_bglt BgL_auxz00_6988;

									BgL_auxz00_6988 = ((BgL_objectz00_bglt) BgL_new1149z00_2570);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6988, BFALSE);
								}
								BgL_new1150z00_2562 = BgL_new1149z00_2570;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1150z00_2562)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1150z00_2562)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1150z00_2562)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1150z00_2562)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1150z00_2562))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2560)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_7003;

								{	/* Ast/sexp.scm 664 */
									BgL_nodez00_bglt BgL_arg2747z00_2563;
									BgL_nodez00_bglt BgL_arg2748z00_2564;

									{	/* Ast/sexp.scm 664 */
										obj_t BgL_arg2751z00_2567;

										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg2752z00_2568;

											{	/* Ast/sexp.scm 664 */
												obj_t BgL_arg2753z00_2569;

												BgL_arg2753z00_2569 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_45)))->
													BgL_idz00);
												BgL_arg2752z00_2568 =
													MAKE_PAIR(BgL_arg2753z00_2569, BNIL);
											}
											BgL_arg2751z00_2567 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg2752z00_2568);
										}
										BgL_arg2747z00_2563 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2751z00_2567,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg2748z00_2564 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_45), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 664 */
										obj_t BgL_list2749z00_2565;

										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg2750z00_2566;

											BgL_arg2750z00_2566 =
												MAKE_PAIR(((obj_t) BgL_arg2748z00_2564), BNIL);
											BgL_list2749z00_2565 =
												MAKE_PAIR(
												((obj_t) BgL_arg2747z00_2563), BgL_arg2750z00_2566);
										}
										BgL_auxz00_7003 = BgL_list2749z00_2565;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1150z00_2562))->BgL_argsz00) =
									((obj_t) BgL_auxz00_7003), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1150z00_2562);
						}
					else
						{	/* Ast/sexp.scm 660 */
							return BgL_funz00_2560;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_4707, obj_t BgL_globalz00_4708)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 657 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4708));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 673 */
				BgL_nodez00_bglt BgL_funz00_2572;

				BgL_funz00_2572 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 674 */
					bool_t BgL_testz00_7028;

					{	/* Ast/sexp.scm 674 */
						bool_t BgL_res3062z00_4576;

						{	/* Ast/sexp.scm 674 */
							obj_t BgL_objz00_4575;

							BgL_objz00_4575 = ((obj_t) BgL_funz00_2572);
							BgL_res3062z00_4576 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4575,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_7028 = BgL_res3062z00_4576;
					}
					if (BgL_testz00_7028)
						{	/* Ast/sexp.scm 675 */
							obj_t BgL_exprz00_2574;

							{	/* Ast/sexp.scm 675 */
								bool_t BgL_testz00_7031;

								{	/* Ast/sexp.scm 675 */
									obj_t BgL_arg2762z00_2583;

									BgL_arg2762z00_2583 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_7031 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg2762z00_2583)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_7031)
									{	/* Ast/sexp.scm 676 */
										obj_t BgL_arg2760z00_2581;

										{	/* Ast/sexp.scm 676 */
											obj_t BgL_arg2761z00_2582;

											BgL_arg2761z00_2582 =
												MAKE_PAIR(((obj_t) BgL_globalz00_46), BNIL);
											BgL_arg2760z00_2581 =
												MAKE_PAIR(BGl_string3107z00zzast_sexpz00,
												BgL_arg2761z00_2582);
										}
										BgL_exprz00_2574 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
											BgL_arg2760z00_2581);
									}
								else
									{	/* Ast/sexp.scm 675 */
										BgL_exprz00_2574 = ((obj_t) BgL_globalz00_46);
									}
							}
							{	/* Ast/sexp.scm 678 */
								BgL_appz00_bglt BgL_new1152z00_2575;

								{	/* Ast/sexp.scm 678 */
									BgL_appz00_bglt BgL_new1151z00_2578;

									BgL_new1151z00_2578 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 678 */
										long BgL_arg2758z00_2579;

										{	/* Ast/sexp.scm 678 */
											long BgL_res3064z00_4583;

											{	/* Ast/sexp.scm 678 */
												obj_t BgL_classz00_4580;

												BgL_classz00_4580 = BGl_appz00zzast_nodez00;
												{	/* Ast/sexp.scm 678 */
													obj_t BgL_vectorz00_4581;
													int BgL_kz00_4582;

													BgL_vectorz00_4581 = BgL_classz00_4580;
													BgL_kz00_4582 = (int) (((long) 1));
													BgL_res3064z00_4583 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_4581,
															BgL_kz00_4582));
											}}
											BgL_arg2758z00_2579 = BgL_res3064z00_4583;
										}
										{	/* Ast/sexp.scm 678 */
											BgL_objectz00_bglt BgL_objz00_4584;

											BgL_objz00_4584 =
												((BgL_objectz00_bglt) BgL_new1151z00_2578);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4584,
												BgL_arg2758z00_2579);
									}}
									{	/* Ast/sexp.scm 678 */
										BgL_objectz00_bglt BgL_auxz00_7047;

										BgL_auxz00_7047 =
											((BgL_objectz00_bglt) BgL_new1151z00_2578);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7047, BFALSE);
									}
									BgL_new1152z00_2575 = BgL_new1151z00_2578;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1152z00_2575)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1152z00_2575)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1152z00_2575)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1152z00_2575)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1152z00_2575))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2572)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_7064;

									{	/* Ast/sexp.scm 681 */
										BgL_nodez00_bglt BgL_arg2756z00_2576;

										BgL_arg2756z00_2576 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_2574, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 681 */
											obj_t BgL_list2757z00_2577;

											BgL_list2757z00_2577 =
												MAKE_PAIR(((obj_t) BgL_arg2756z00_2576), BNIL);
											BgL_auxz00_7064 = BgL_list2757z00_2577;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1152z00_2575))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_7064), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1152z00_2575);
							}
						}
					else
						{	/* Ast/sexp.scm 674 */
							return BgL_funz00_2572;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4709, obj_t BgL_globalz00_4710)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4710));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_47, obj_t BgL_prefz00_48)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 687 */
			{	/* Ast/sexp.scm 688 */
				obj_t BgL_prefz00_2584;

				{	/* Ast/sexp.scm 688 */
					bool_t BgL_testz00_7073;

					if (PAIRP(BgL_prefz00_48))
						{	/* Ast/sexp.scm 688 */
							obj_t BgL_auxz00_7076;

							BgL_auxz00_7076 = CAR(BgL_prefz00_48);
							BgL_testz00_7073 = STRINGP(BgL_auxz00_7076);
						}
					else
						{	/* Ast/sexp.scm 688 */
							BgL_testz00_7073 = ((bool_t) 0);
						}
					if (BgL_testz00_7073)
						{	/* Ast/sexp.scm 688 */
							BgL_prefz00_2584 = CAR(BgL_prefz00_48);
						}
					else
						{	/* Ast/sexp.scm 688 */
							BgL_prefz00_2584 = BGl_string3108z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 691 */
					bool_t BgL_testz00_7080;

					if (STRUCTP(BgL_locz00_47))
						{	/* Ast/sexp.scm 691 */
							BgL_testz00_7080 =
								(STRUCT_KEY(BgL_locz00_47) == CNST_TABLE_REF(((long) 39)));
						}
					else
						{	/* Ast/sexp.scm 691 */
							BgL_testz00_7080 = ((bool_t) 0);
						}
					if (BgL_testz00_7080)
						{	/* Ast/sexp.scm 692 */
							obj_t BgL_filez00_2586;
							obj_t BgL_linez00_2587;
							obj_t BgL_basez00_2588;

							BgL_filez00_2586 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_47);
							BgL_linez00_2587 = STRUCT_REF(BgL_locz00_47, (int) (((long) 2)));
							{	/* Ast/sexp.scm 694 */
								obj_t BgL_arg2782z00_2610;

								BgL_arg2782z00_2610 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string3109z00zzast_sexpz00, BgL_prefz00_2584,
										BGl_string3110z00zzast_sexpz00));
								{	/* Ast/sexp.scm 694 */
									obj_t BgL_res3070z00_4606;

									{	/* Ast/sexp.scm 694 */
										obj_t BgL_arg1310z00_4605;

										BgL_arg1310z00_4605 = SYMBOL_TO_STRING(BgL_arg2782z00_2610);
										BgL_res3070z00_4606 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1310z00_4605);
									}
									BgL_basez00_2588 = BgL_res3070z00_4606;
							}}
							{	/* Ast/sexp.scm 696 */
								bool_t BgL_testz00_7093;

								{	/* Ast/sexp.scm 696 */
									bool_t BgL_testz00_7094;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 697 */
											obj_t BgL_arg2780z00_2608;

											{	/* Ast/sexp.scm 697 */
												obj_t BgL_arg2781z00_2609;

												BgL_arg2781z00_2609 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg2780z00_2608 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg2781z00_2609)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_7094 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 40)), BgL_arg2780z00_2608));
										}
									else
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_7094 = ((bool_t) 0);
										}
									if (BgL_testz00_7094)
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_7093 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_7093 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_7093)
									{	/* Ast/sexp.scm 699 */
										obj_t BgL_filez00_2590;

										if (bigloo_strncmp(BgL_filez00_2586,
												BGl_string3111z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 699 */
												BgL_filez00_2590 =
													c_substring(BgL_filez00_2586, ((long) 2),
													STRING_LENGTH(BgL_filez00_2586));
											}
										else
											{	/* Ast/sexp.scm 699 */
												BgL_filez00_2590 = BgL_filez00_2586;
											}
										{	/* Ast/sexp.scm 704 */
											obj_t BgL_arg2765z00_2591;

											{	/* Ast/sexp.scm 704 */
												obj_t BgL_arg2766z00_2592;
												obj_t BgL_arg2767z00_2593;

												BgL_arg2766z00_2592 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_2590, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 705 */

													BgL_arg2767z00_2593 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_2587, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 703 */
													obj_t BgL_list2768z00_2594;

													{	/* Ast/sexp.scm 703 */
														obj_t BgL_arg2769z00_2595;

														{	/* Ast/sexp.scm 703 */
															obj_t BgL_arg2770z00_2596;

															{	/* Ast/sexp.scm 703 */
																obj_t BgL_arg2771z00_2597;

																{	/* Ast/sexp.scm 703 */
																	obj_t BgL_arg2772z00_2598;

																	{	/* Ast/sexp.scm 703 */
																		obj_t BgL_arg2773z00_2599;

																		BgL_arg2773z00_2599 =
																			MAKE_PAIR(BGl_string3112z00zzast_sexpz00,
																			BNIL);
																		BgL_arg2772z00_2598 =
																			MAKE_PAIR(BgL_arg2767z00_2593,
																			BgL_arg2773z00_2599);
																	}
																	BgL_arg2771z00_2597 =
																		MAKE_PAIR(BGl_string3110z00zzast_sexpz00,
																		BgL_arg2772z00_2598);
																}
																BgL_arg2770z00_2596 =
																	MAKE_PAIR(BgL_arg2766z00_2592,
																	BgL_arg2771z00_2597);
															}
															BgL_arg2769z00_2595 =
																MAKE_PAIR(BGl_string3110z00zzast_sexpz00,
																BgL_arg2770z00_2596);
														}
														BgL_list2768z00_2594 =
															MAKE_PAIR(BgL_basez00_2588, BgL_arg2769z00_2595);
													}
													BgL_arg2765z00_2591 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2768z00_2594);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg2765z00_2591));
										}
									}
								else
									{	/* Ast/sexp.scm 708 */
										obj_t BgL_arg2776z00_2604;

										BgL_arg2776z00_2604 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_2588, BGl_string3112z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 708 */
											obj_t BgL_res3078z00_4629;

											{	/* Ast/sexp.scm 708 */
												obj_t BgL_stringz00_4628;

												BgL_stringz00_4628 = BgL_arg2776z00_2604;
												BgL_res3078z00_4629 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_stringz00_4628));
											}
											return BgL_res3078z00_4629;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 709 */
							obj_t BgL_arg2784z00_2612;

							{	/* Ast/sexp.scm 709 */
								obj_t BgL_arg2785z00_2613;
								obj_t BgL_arg2786z00_2614;

								{	/* Ast/sexp.scm 709 */
									obj_t BgL_arg2787z00_2615;

									BgL_arg2787z00_2615 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string3109z00zzast_sexpz00, BgL_prefz00_2584,
											BGl_string3113z00zzast_sexpz00));
									{	/* Ast/sexp.scm 709 */
										obj_t BgL_res3079z00_4632;

										{	/* Ast/sexp.scm 709 */
											obj_t BgL_arg1310z00_4631;

											BgL_arg1310z00_4631 =
												SYMBOL_TO_STRING(BgL_arg2787z00_2615);
											BgL_res3079z00_4632 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1310z00_4631);
										}
										BgL_arg2785z00_2613 = BgL_res3079z00_4632;
									}
								}
								{	/* Ast/sexp.scm 709 */
									obj_t BgL_res3080z00_4635;

									{	/* Ast/sexp.scm 709 */
										obj_t BgL_symbolz00_4633;

										BgL_symbolz00_4633 = CNST_TABLE_REF(((long) 41));
										{	/* Ast/sexp.scm 709 */
											obj_t BgL_arg1310z00_4634;

											BgL_arg1310z00_4634 =
												SYMBOL_TO_STRING(BgL_symbolz00_4633);
											BgL_res3080z00_4635 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1310z00_4634);
									}}
									BgL_arg2786z00_2614 = BgL_res3080z00_4635;
								}
								BgL_arg2784z00_2612 =
									string_append(BgL_arg2785z00_2613, BgL_arg2786z00_2614);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg2784z00_2612));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_4711,
		obj_t BgL_locz00_4712, obj_t BgL_prefz00_4713)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 687 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_4712,
				BgL_prefz00_4713);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 115318774),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3114z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
