/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/unit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32886ze3ze1zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_unitz00();
	extern obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
	static obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_unitz00();
	extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62zc3anonymousza32046ze3ze1zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_unitz00();
	static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_unitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t);
	extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	BGL_IMPORT obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_unitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00();
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	extern obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t);
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[56];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2ze3defszd2envze3zzast_unitz00,
		BgL_bgl_za762unitza7d2za7e3def3311za7,
		BGl_z62unitzd2ze3defsz53zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addzd2headz12zd2envzb0zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3312za7,
		BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initzd2callszd2envzd2zzast_unitz00,
		BgL_bgl_za762unitza7d2initza7d3313za7,
		BGl_z62unitzd2initzd2callsz62zzast_unitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3314za7,
		BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3294z00zzast_unitz00,
		BgL_bgl_string3294za700za7za7a3315za7, "]", 1);
	      DEFINE_STRING(BGl_string3295z00zzast_unitz00,
		BgL_bgl_string3295za700za7za7a3316za7, "      [", 7);
	      DEFINE_STRING(BGl_string3296z00zzast_unitz00,
		BgL_bgl_string3296za700za7za7a3317za7,
		"Unable to eta-expand #!optional alias", 37);
	      DEFINE_STRING(BGl_string3297z00zzast_unitz00,
		BgL_bgl_string3297za700za7za7a3318za7, "Unable to eta-expand #!key alias",
		32);
	      DEFINE_STRING(BGl_string3298z00zzast_unitz00,
		BgL_bgl_string3298za700za7za7a3319za7, "form no longer supported", 24);
	      DEFINE_STRING(BGl_string3299z00zzast_unitz00,
		BgL_bgl_string3299za700za7za7a3320za7, "define-generic", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3321z00,
		BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3300z00zzast_unitz00,
		BgL_bgl_string3300za700za7za7a3322za7, "Illegal '() expression", 22);
	      DEFINE_STRING(BGl_string3301z00zzast_unitz00,
		BgL_bgl_string3301za700za7za7a3323za7, "] expected, provided", 20);
	      DEFINE_STRING(BGl_string3302z00zzast_unitz00,
		BgL_bgl_string3302za700za7za7a3324za7, "..", 2);
	      DEFINE_STRING(BGl_string3303z00zzast_unitz00,
		BgL_bgl_string3303za700za7za7a3325za7, "wrong number of arguments: [", 28);
	      DEFINE_STRING(BGl_string3304z00zzast_unitz00,
		BgL_bgl_string3304za700za7za7a3326za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string3305z00zzast_unitz00,
		BgL_bgl_string3305za700za7za7a3327za7,
		"Illegal generic definition (first argument missing)", 51);
	      DEFINE_STRING(BGl_string3306z00zzast_unitz00,
		BgL_bgl_string3306za700za7za7a3328za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3307z00zzast_unitz00,
		BgL_bgl_string3307za700za7za7a3329za7, "ast_unit", 8);
	      DEFINE_STRING(BGl_string3308z00zzast_unitz00,
		BgL_bgl_string3308za700za7za7a3330za7,
		"unit register-generic! sgfun when >=fx index labels memq vector-ref let -fx +fx eq? v =fx k1 i vector-length var check search l globalization (env opt) env _ case else quote error __error let* $vector-length $vector-ref-ur opt cons* apply define-method define-generic sifun define-inline define lambda sfun read -require-initialization -init now export cgen snifun obj if begin set! @ ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initializa7erszd2envza7zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3331z00,
		BGl_z62unitzd2initializa7ersz17zzast_unitz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long
		BgL_checksumz00_5014, char *BgL_fromz00_5015)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_unitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_unitz00();
					BGl_cnstzd2initzd2zzast_unitz00();
					BGl_importedzd2moduleszd2initz00zzast_unitz00();
					BGl_toplevelzd2initzd2zzast_unitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_unit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			{	/* Ast/unit.scm 21 */
				obj_t BgL_cportz00_5005;

				BgL_cportz00_5005 =
					bgl_open_input_string(BGl_string3308z00zzast_unitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5006;

					BgL_iz00_5006 = ((long) 55);
				BgL_loopz00_5007:
					if ((BgL_iz00_5006 == ((long) -1)))
						{	/* Ast/unit.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Ast/unit.scm 21 */
							{	/* Ast/unit.scm 21 */
								obj_t BgL_arg3310z00_5009;

								{	/* Ast/unit.scm 21 */

									{	/* Ast/unit.scm 21 */
										obj_t BgL_locationz00_5011;

										BgL_locationz00_5011 = BBOOL(((bool_t) 0));
										{	/* Ast/unit.scm 21 */

											BgL_arg3310z00_5009 =
												BGl_readz00zz__readerz00(BgL_cportz00_5005,
												BgL_locationz00_5011);
										}
									}
								}
								{	/* Ast/unit.scm 21 */
									int BgL_auxz00_5041;

									BgL_auxz00_5041 = (int) (BgL_iz00_5006);
									CNST_TABLE_SET(BgL_auxz00_5041, BgL_arg3310z00_5009);
							}}
							{	/* Ast/unit.scm 21 */
								int BgL_auxz00_5012;

								BgL_auxz00_5012 = (int) ((BgL_iz00_5006 - ((long) 1)));
								{
									long BgL_iz00_5046;

									BgL_iz00_5046 = (long) (BgL_auxz00_5012);
									BgL_iz00_5006 = BgL_iz00_5046;
									goto BgL_loopz00_5007;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return (BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1440;

				BgL_headz00_1440 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1441;
					obj_t BgL_tailz00_1442;

					BgL_prevz00_1441 = BgL_headz00_1440;
					BgL_tailz00_1442 = BgL_l1z00_1;
				BgL_loopz00_1443:
					if (PAIRP(BgL_tailz00_1442))
						{
							obj_t BgL_newzd2prevzd2_1445;

							BgL_newzd2prevzd2_1445 =
								MAKE_PAIR(CAR(BgL_tailz00_1442), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1441, BgL_newzd2prevzd2_1445);
							{
								obj_t BgL_tailz00_5055;
								obj_t BgL_prevz00_5054;

								BgL_prevz00_5054 = BgL_newzd2prevzd2_1445;
								BgL_tailz00_5055 = CDR(BgL_tailz00_1442);
								BgL_tailz00_1442 = BgL_tailz00_5055;
								BgL_prevz00_1441 = BgL_prevz00_5054;
								goto BgL_loopz00_1443;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1440);
				}
			}
		}
	}



/* unit-sexp*-add! */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t
		BgL_unitz00_25, obj_t BgL_sexpz00_26)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			if (NULLP(STRUCT_REF(BgL_unitz00_25, (int) (((long) 2)))))
				{	/* Ast/unit.scm 62 */
					int BgL_auxz00_5062;

					BgL_auxz00_5062 = (int) (((long) 2));
					return STRUCT_SET(BgL_unitz00_25, BgL_auxz00_5062, BgL_sexpz00_26);
				}
			else
				{	/* Ast/unit.scm 63 */
					obj_t BgL_auxz00_5065;

					BgL_auxz00_5065 =
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(STRUCT_REF
						(BgL_unitz00_25, (int) (((long) 2))));
					return SET_CDR(BgL_auxz00_5065, BgL_sexpz00_26);
				}
		}
	}



/* &unit-sexp*-add! */
	obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t BgL_envz00_4977,
		obj_t BgL_unitz00_4978, obj_t BgL_sexpz00_4979)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			return
				BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_4978,
				BgL_sexpz00_4979);
		}
	}



/* unit-sexp*-add-head! */
	BGL_EXPORTED_DEF obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t BgL_unitz00_27,
		obj_t BgL_sexpz00_28)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			{	/* Ast/unit.scm 69 */
				obj_t BgL_auxz00_5073;
				int BgL_auxz00_5071;

				BgL_auxz00_5073 =
					BGl_appendzd221011zd2zzast_unitz00(BgL_sexpz00_28,
					STRUCT_REF(BgL_unitz00_27, (int) (((long) 2))));
				BgL_auxz00_5071 = (int) (((long) 2));
				return STRUCT_SET(BgL_unitz00_27, BgL_auxz00_5071, BgL_auxz00_5073);
			}
		}
	}



/* &unit-sexp*-add-head! */
	obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t
		BgL_envz00_4980, obj_t BgL_unitz00_4981, obj_t BgL_sexpz00_4982)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			return
				BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(BgL_unitz00_4981,
				BgL_sexpz00_4982);
		}
	}



/* unit->defs */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t
		BgL_unitz00_29)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			{	/* Ast/unit.scm 76 */
				obj_t BgL_arg2002z00_1461;

				{	/* Ast/unit.scm 76 */
					obj_t BgL_arg2008z00_1466;

					{	/* Ast/unit.scm 76 */
						obj_t BgL_arg2009z00_1467;

						BgL_arg2009z00_1467 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
						{	/* Ast/unit.scm 76 */
							obj_t BgL_res3074z00_3763;

							{	/* Ast/unit.scm 76 */
								obj_t BgL_symbolz00_3761;

								BgL_symbolz00_3761 = BgL_arg2009z00_1467;
								{	/* Ast/unit.scm 76 */
									obj_t BgL_arg1310z00_3762;

									BgL_arg1310z00_3762 = SYMBOL_TO_STRING(BgL_symbolz00_3761);
									BgL_res3074z00_3763 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1310z00_3762);
							}}
							BgL_arg2008z00_1466 = BgL_res3074z00_3763;
					}}
					BgL_arg2002z00_1461 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2008z00_1466);
				}
				{	/* Ast/unit.scm 75 */
					obj_t BgL_list2003z00_1462;

					{	/* Ast/unit.scm 75 */
						obj_t BgL_arg2004z00_1463;

						{	/* Ast/unit.scm 75 */
							obj_t BgL_arg2005z00_1464;

							{	/* Ast/unit.scm 75 */
								obj_t BgL_arg2006z00_1465;

								BgL_arg2006z00_1465 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2005z00_1464 =
									MAKE_PAIR(BGl_string3294z00zzast_unitz00,
									BgL_arg2006z00_1465);
							}
							BgL_arg2004z00_1463 =
								MAKE_PAIR(BgL_arg2002z00_1461, BgL_arg2005z00_1464);
						}
						BgL_list2003z00_1462 =
							MAKE_PAIR(BGl_string3295z00zzast_unitz00, BgL_arg2004z00_1463);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list2003z00_1462);
			}}
			{	/* Ast/unit.scm 80 */
				obj_t BgL_idz00_1468;

				BgL_idz00_1468 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
				{	/* Ast/unit.scm 80 */
					obj_t BgL_weightz00_1469;

					BgL_weightz00_1469 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 1)));
					{	/* Ast/unit.scm 81 */
						obj_t BgL_sexpza2za2_1470;

						BgL_sexpza2za2_1470 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 2)));
						{	/* Ast/unit.scm 82 */
							obj_t BgL_gdefsz00_1471;

							BgL_gdefsz00_1471 =
								BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2
								(BgL_sexpza2za2_1470);
							{	/* Ast/unit.scm 83 */

								{	/* Ast/unit.scm 85 */
									obj_t BgL_g1107z00_1472;
									obj_t BgL_g1111z00_1473;

									if (PROCEDUREP(BgL_sexpza2za2_1470))
										{	/* Ast/unit.scm 85 */
											BgL_g1107z00_1472 =
												PROCEDURE_ENTRY(BgL_sexpza2za2_1470)
												(BgL_sexpza2za2_1470, BEOA);
										}
									else
										{	/* Ast/unit.scm 85 */
											BgL_g1107z00_1472 =
												BGl_toplevelza2zd2ze3astz93zzast_unitz00
												(BgL_sexpza2za2_1470, BgL_gdefsz00_1471);
										}
									{	/* Ast/unit.scm 88 */
										bool_t BgL_testz00_5104;

										{	/* Ast/unit.scm 88 */
											obj_t BgL_sz00_3777;

											BgL_sz00_3777 = BgL_unitz00_29;
											BgL_testz00_5104 =
												CBOOL(STRUCT_REF(BgL_sz00_3777, (int) (((long) 4))));
										}
										if (BgL_testz00_5104)
											{	/* Ast/unit.scm 88 */
												obj_t BgL_list2059z00_1530;

												BgL_list2059z00_1530 = MAKE_PAIR(BUNSPEC, BNIL);
												BgL_g1111z00_1473 = BgL_list2059z00_1530;
											}
										else
											{	/* Ast/unit.scm 88 */
												BgL_g1111z00_1473 = BNIL;
											}
									}
									{
										obj_t BgL_aexpza2za2_1476;
										obj_t BgL_initza2za2_1477;
										obj_t BgL_defza2za2_1478;

										BgL_aexpza2za2_1476 = BgL_g1107z00_1472;
										BgL_initza2za2_1477 = BgL_g1111z00_1473;
										BgL_defza2za2_1478 = BNIL;
									BgL_zc3anonymousza32010ze3z83_1479:
										if (NULLP(BgL_aexpza2za2_1476))
											{	/* Ast/unit.scm 90 */
												if (NULLP(BgL_initza2za2_1477))
													{	/* Ast/unit.scm 91 */
														return bgl_reverse_bang(BgL_defza2za2_1478);
													}
												else
													{	/* Ast/unit.scm 92 */
														obj_t BgL_bodyz00_1482;

														{	/* Ast/unit.scm 92 */
															bool_t BgL_testz00_5114;

															{	/* Ast/unit.scm 92 */
																obj_t BgL_sz00_3786;

																BgL_sz00_3786 = BgL_unitz00_29;
																BgL_testz00_5114 =
																	CBOOL(STRUCT_REF(BgL_sz00_3786,
																		(int) (((long) 4))));
															}
															if (BgL_testz00_5114)
																{	/* Ast/unit.scm 93 */
																	obj_t BgL_arg2023z00_1495;

																	{	/* Ast/unit.scm 93 */
																		obj_t BgL_arg2024z00_1496;
																		obj_t BgL_arg2025z00_1497;

																		{	/* Ast/unit.scm 93 */
																			obj_t BgL_arg2026z00_1498;

																			{	/* Ast/unit.scm 93 */
																				obj_t BgL_arg2028z00_1499;
																				obj_t BgL_arg2029z00_1500;

																				BgL_arg2028z00_1499 =
																					BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																					(BgL_idz00_1468);
																				BgL_arg2029z00_1500 =
																					MAKE_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_arg2026z00_1498 =
																					MAKE_PAIR(BgL_arg2028z00_1499,
																					BgL_arg2029z00_1500);
																			}
																			BgL_arg2024z00_1496 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																				BgL_arg2026z00_1498);
																		}
																		{	/* Ast/unit.scm 95 */
																			obj_t BgL_arg2030z00_1501;

																			{	/* Ast/unit.scm 95 */
																				obj_t BgL_arg2031z00_1502;

																				{	/* Ast/unit.scm 95 */
																					obj_t BgL_arg2033z00_1503;
																					obj_t BgL_arg2034z00_1504;

																					{	/* Ast/unit.scm 95 */
																						obj_t BgL_arg2035z00_1505;

																						{	/* Ast/unit.scm 95 */
																							obj_t BgL_arg2037z00_1506;
																							obj_t BgL_arg2038z00_1507;

																							{	/* Ast/unit.scm 95 */
																								obj_t BgL_arg2039z00_1508;

																								{	/* Ast/unit.scm 95 */
																									obj_t BgL_arg2040z00_1509;
																									obj_t BgL_arg2041z00_1510;

																									BgL_arg2040z00_1509 =
																										BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																										(BgL_idz00_1468);
																									BgL_arg2041z00_1510 =
																										MAKE_PAIR
																										(BGl_za2moduleza2z00zzmodule_modulez00,
																										BNIL);
																									BgL_arg2039z00_1508 =
																										MAKE_PAIR
																										(BgL_arg2040z00_1509,
																										BgL_arg2041z00_1510);
																								}
																								BgL_arg2037z00_1506 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 0)),
																									BgL_arg2039z00_1508);
																							}
																							BgL_arg2038z00_1507 =
																								MAKE_PAIR(BFALSE, BNIL);
																							BgL_arg2035z00_1505 =
																								MAKE_PAIR(BgL_arg2037z00_1506,
																								BgL_arg2038z00_1507);
																						}
																						BgL_arg2033z00_1503 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									1)), BgL_arg2035z00_1505);
																					}
																					{	/* Ast/unit.scm 98 */
																						obj_t BgL_arg2043z00_1511;
																						obj_t BgL_arg2044z00_1512;

																						{	/* Ast/unit.scm 98 */
																							obj_t
																								BgL_zc3anonymousza32046ze3z83_4983;
																							BgL_zc3anonymousza32046ze3z83_4983
																								=
																								MAKE_FX_PROCEDURE
																								(BGl_z62zc3anonymousza32046ze3ze1zzast_unitz00,
																								(int) (((long) 1)),
																								(int) (((long) 1)));
																							PROCEDURE_SET
																								(BgL_zc3anonymousza32046ze3z83_4983,
																								(int) (((long) 0)),
																								BgL_idz00_1468);
																							BgL_arg2043z00_1511 =
																								BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
																								(BgL_zc3anonymousza32046ze3z83_4983);
																						}
																						BgL_arg2044z00_1512 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(bgl_reverse_bang
																							(BgL_initza2za2_1477), BNIL);
																						BgL_arg2034z00_1504 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2043z00_1511,
																							BgL_arg2044z00_1512);
																					}
																					BgL_arg2031z00_1502 =
																						MAKE_PAIR(BgL_arg2033z00_1503,
																						BgL_arg2034z00_1504);
																				}
																				BgL_arg2030z00_1501 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg2031z00_1502);
																			}
																			BgL_arg2025z00_1497 =
																				MAKE_PAIR(BgL_arg2030z00_1501, BNIL);
																		}
																		BgL_arg2023z00_1495 =
																			MAKE_PAIR(BgL_arg2024z00_1496,
																			BgL_arg2025z00_1497);
																	}
																	BgL_bodyz00_1482 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																		BgL_arg2023z00_1495);
																}
															else
																{	/* Ast/unit.scm 92 */
																	BgL_bodyz00_1482 =
																		BGl_normaliza7ezd2prognz75zztools_prognz00
																		(bgl_reverse_bang(BgL_initza2za2_1477));
																}
														}
														{	/* Ast/unit.scm 92 */
															BgL_globalz00_bglt BgL_initz00_1483;

															{	/* Ast/unit.scm 103 */
																obj_t BgL_arg2019z00_1492;

																{	/* Ast/unit.scm 103 */
																	obj_t BgL_arg2020z00_1493;

																	BgL_arg2020z00_1493 =
																		BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																		(BgL_idz00_1468);
																	BgL_arg2019z00_1492 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_arg2020z00_1493,
																		CNST_TABLE_REF(((long) 4)));
																}
																BgL_initz00_1483 =
																	BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
																	(BgL_arg2019z00_1492, BNIL, BNIL,
																	BGl_za2moduleza2z00zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 5)),
																	BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 6)), BgL_bodyz00_1482);
															}
															{	/* Ast/unit.scm 101 */

																{	/* Ast/unit.scm 112 */
																	bool_t BgL_testz00_5156;

																	{	/* Ast/unit.scm 112 */
																		obj_t BgL_sz00_3789;

																		BgL_sz00_3789 = BgL_unitz00_29;
																		BgL_testz00_5156 =
																			CBOOL(STRUCT_REF(BgL_sz00_3789,
																				(int) (((long) 4))));
																	}
																	if (BgL_testz00_5156)
																		{	/* Ast/unit.scm 113 */
																			obj_t BgL_vz00_3792;

																			BgL_vz00_3792 =
																				CNST_TABLE_REF(((long) 7));
																			((((BgL_globalz00_bglt)
																						CREF(BgL_initz00_1483))->
																					BgL_importz00) =
																				((obj_t) BgL_vz00_3792), BUNSPEC);
																		}
																	else
																		{	/* Ast/unit.scm 112 */
																			BFALSE;
																		}
																}
																if (
																	(BgL_unitz00_29 ==
																		BGl_getzd2toplevelzd2unitz00zzmodule_includez00
																		()))
																	{	/* Ast/unit.scm 116 */
																		BFALSE;
																	}
																else
																	{	/* Ast/unit.scm 116 */
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_initz00_1483)))->
																				BgL_userzf3zf3) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																	}
																BGl_declarezd2unitz12zc0zzast_unitz00
																	(BgL_idz00_1468,
																	(long) CINT(BgL_weightz00_1469));
																((((BgL_globalz00_bglt)
																			CREF(BgL_initz00_1483))->
																		BgL_evaluablezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
																{	/* Ast/unit.scm 126 */
																	bool_t BgL_testz00_5170;

																	{	/* Ast/unit.scm 126 */
																		obj_t BgL_sz00_3801;

																		BgL_sz00_3801 = BgL_unitz00_29;
																		BgL_testz00_5170 =
																			CBOOL(STRUCT_REF(BgL_sz00_3801,
																				(int) (((long) 4))));
																	}
																	if (BgL_testz00_5170)
																		{	/* Ast/unit.scm 127 */
																			obj_t BgL_idz00_1488;

																			{	/* Ast/unit.scm 127 */
																				obj_t BgL_arg2017z00_1490;

																				BgL_arg2017z00_1490 =
																					BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																					(BgL_idz00_1468);
																				BgL_idz00_1488 =
																					BGl_makezd2typedzd2identz00zzast_identz00
																					(BgL_arg2017z00_1490,
																					CNST_TABLE_REF(((long) 4)));
																			}
																			{	/* Ast/unit.scm 127 */
																				BgL_globalz00_bglt BgL_gloz00_1489;

																				BgL_gloz00_1489 =
																					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																					(BgL_idz00_1488,
																					BGl_za2moduleza2z00zzmodule_modulez00,
																					BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																					CNST_TABLE_REF(((long) 8)));
																				{	/* Ast/unit.scm 129 */

																					((((BgL_variablez00_bglt) CREF(
																									((BgL_variablez00_bglt)
																										BgL_gloz00_1489)))->
																							BgL_userzf3zf3) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_globalz00_bglt)
																								CREF(BgL_gloz00_1489))->
																							BgL_evaluablezf3zf3) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																		}}}
																	else
																		{	/* Ast/unit.scm 126 */
																			BFALSE;
																		}
																}
																{	/* Ast/unit.scm 133 */
																	obj_t BgL_arg2018z00_1491;

																	BgL_arg2018z00_1491 =
																		bgl_reverse_bang(BgL_defza2za2_1478);
																	return
																		MAKE_PAIR(
																		((obj_t) BgL_initz00_1483),
																		BgL_arg2018z00_1491);
																}
															}
														}
													}
											}
										else
											{	/* Ast/unit.scm 135 */
												bool_t BgL_testz00_5185;

												{	/* Ast/unit.scm 135 */
													obj_t BgL_arg2056z00_1526;

													BgL_arg2056z00_1526 = CAR(BgL_aexpza2za2_1476);
													BgL_testz00_5185 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2056z00_1526,
														BGl_globalz00zzast_varz00);
												}
												if (BgL_testz00_5185)
													{	/* Ast/unit.scm 136 */
														obj_t BgL_arg2050z00_1520;
														obj_t BgL_arg2051z00_1521;

														BgL_arg2050z00_1520 = CDR(BgL_aexpza2za2_1476);
														BgL_arg2051z00_1521 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1476),
															BgL_defza2za2_1478);
														{
															obj_t BgL_defza2za2_5192;
															obj_t BgL_aexpza2za2_5191;

															BgL_aexpza2za2_5191 = BgL_arg2050z00_1520;
															BgL_defza2za2_5192 = BgL_arg2051z00_1521;
															BgL_defza2za2_1478 = BgL_defza2za2_5192;
															BgL_aexpza2za2_1476 = BgL_aexpza2za2_5191;
															goto BgL_zc3anonymousza32010ze3z83_1479;
														}
													}
												else
													{	/* Ast/unit.scm 139 */
														obj_t BgL_arg2053z00_1523;
														obj_t BgL_arg2054z00_1524;

														BgL_arg2053z00_1523 = CDR(BgL_aexpza2za2_1476);
														BgL_arg2054z00_1524 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1476),
															BgL_initza2za2_1477);
														{
															obj_t BgL_initza2za2_5197;
															obj_t BgL_aexpza2za2_5196;

															BgL_aexpza2za2_5196 = BgL_arg2053z00_1523;
															BgL_initza2za2_5197 = BgL_arg2054z00_1524;
															BgL_initza2za2_1477 = BgL_initza2za2_5197;
															BgL_aexpza2za2_1476 = BgL_aexpza2za2_5196;
															goto BgL_zc3anonymousza32010ze3z83_1479;
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &unit->defs */
	obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t BgL_envz00_4984,
		obj_t BgL_unitz00_4985)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			return BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_4985);
		}
	}



/* &<anonymous:2046> */
	obj_t BGl_z62zc3anonymousza32046ze3ze1zzast_unitz00(obj_t BgL_envz00_4986,
		obj_t BgL_mz00_4988)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 97 */
			return
				BGl_unitzd2initializa7erzd2idza7zzast_unitz00(PROCEDURE_REF
				(BgL_envz00_4986, (int) (((long) 0))));
		}
	}



/* declare-unit! */
	obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_30,
		long BgL_weightz00_31)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 151 */
			{	/* Ast/unit.scm 152 */
				bool_t BgL_testz00_5202;

				if (NULLP(BGl_za2unitzd2listza2zd2zzast_unitz00))
					{	/* Ast/unit.scm 152 */
						BgL_testz00_5202 = ((bool_t) 1);
					}
				else
					{	/* Ast/unit.scm 152 */
						obj_t BgL_arg2077z00_1551;

						BgL_arg2077z00_1551 =
							CDR(CAR(BGl_za2unitzd2listza2zd2zzast_unitz00));
						BgL_testz00_5202 =
							(BgL_weightz00_31 < (long) CINT(BgL_arg2077z00_1551));
					}
				if (BgL_testz00_5202)
					{	/* Ast/unit.scm 153 */
						obj_t BgL_arg2061z00_1532;

						BgL_arg2061z00_1532 =
							MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
						return (BGl_za2unitzd2listza2zd2zzast_unitz00 =
							MAKE_PAIR(BgL_arg2061z00_1532,
								BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC);
					}
				else
					{
						obj_t BgL_ulistz00_1534;

						BgL_ulistz00_1534 = BGl_za2unitzd2listza2zd2zzast_unitz00;
					BgL_zc3anonymousza32062ze3z83_1535:
						if ((BgL_weightz00_31 < (long) CINT(CDR(CAR(BgL_ulistz00_1534)))))
							{	/* Ast/unit.scm 156 */
								{	/* Ast/unit.scm 157 */
									obj_t BgL_arg2064z00_1537;

									BgL_arg2064z00_1537 =
										MAKE_PAIR(CAR(BgL_ulistz00_1534), CDR(BgL_ulistz00_1534));
									SET_CDR(BgL_ulistz00_1534, BgL_arg2064z00_1537);
								}
								{	/* Ast/unit.scm 158 */
									obj_t BgL_arg2067z00_1540;

									BgL_arg2067z00_1540 =
										MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
									return SET_CAR(BgL_ulistz00_1534, BgL_arg2067z00_1540);
								}
							}
						else
							{	/* Ast/unit.scm 156 */
								if (NULLP(CDR(BgL_ulistz00_1534)))
									{	/* Ast/unit.scm 160 */
										obj_t BgL_arg2069z00_1542;

										{	/* Ast/unit.scm 160 */
											obj_t BgL_arg2070z00_1543;

											BgL_arg2070z00_1543 =
												MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
											{	/* Ast/unit.scm 160 */
												obj_t BgL_list2071z00_1544;

												BgL_list2071z00_1544 =
													MAKE_PAIR(BgL_arg2070z00_1543, BNIL);
												BgL_arg2069z00_1542 = BgL_list2071z00_1544;
											}
										}
										return SET_CDR(BgL_ulistz00_1534, BgL_arg2069z00_1542);
									}
								else
									{
										obj_t BgL_ulistz00_5231;

										BgL_ulistz00_5231 = CDR(BgL_ulistz00_1534);
										BgL_ulistz00_1534 = BgL_ulistz00_5231;
										goto BgL_zc3anonymousza32062ze3z83_1535;
									}
							}
					}
			}
		}
	}



/* unit-initializer-id */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t
		BgL_idz00_32)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			{	/* Ast/unit.scm 168 */
				obj_t BgL_arg2080z00_1553;

				{	/* Ast/unit.scm 168 */
					obj_t BgL_arg2081z00_1554;
					obj_t BgL_arg2082z00_1555;

					{	/* Ast/unit.scm 168 */
						obj_t BgL_res3085z00_3844;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_symbolz00_3842;

							BgL_symbolz00_3842 = BgL_idz00_32;
							{	/* Ast/unit.scm 168 */
								obj_t BgL_arg1310z00_3843;

								BgL_arg1310z00_3843 = SYMBOL_TO_STRING(BgL_symbolz00_3842);
								BgL_res3085z00_3844 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1310z00_3843);
							}
						}
						BgL_arg2081z00_1554 = BgL_res3085z00_3844;
					}
					{	/* Ast/unit.scm 168 */
						obj_t BgL_res3086z00_3847;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_symbolz00_3845;

							BgL_symbolz00_3845 = CNST_TABLE_REF(((long) 9));
							{	/* Ast/unit.scm 168 */
								obj_t BgL_arg1310z00_3846;

								BgL_arg1310z00_3846 = SYMBOL_TO_STRING(BgL_symbolz00_3845);
								BgL_res3086z00_3847 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1310z00_3846);
						}}
						BgL_arg2082z00_1555 = BgL_res3086z00_3847;
					}
					BgL_arg2080z00_1553 =
						string_append(BgL_arg2081z00_1554, BgL_arg2082z00_1555);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg2080z00_1553));
			}
		}
	}



/* &unit-initializer-id */
	obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t BgL_envz00_4989,
		obj_t BgL_idz00_4990)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			return BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_4990);
		}
	}



/* unit-require-init-id */
	obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t BgL_idz00_33)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 173 */
			{	/* Ast/unit.scm 174 */
				obj_t BgL_arg2083z00_1556;

				{	/* Ast/unit.scm 174 */
					obj_t BgL_arg2085z00_1557;
					obj_t BgL_arg2087z00_1558;

					{	/* Ast/unit.scm 174 */
						obj_t BgL_res3088z00_3852;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_symbolz00_3850;

							BgL_symbolz00_3850 = BgL_idz00_33;
							{	/* Ast/unit.scm 174 */
								obj_t BgL_arg1310z00_3851;

								BgL_arg1310z00_3851 = SYMBOL_TO_STRING(BgL_symbolz00_3850);
								BgL_res3088z00_3852 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1310z00_3851);
							}
						}
						BgL_arg2085z00_1557 = BgL_res3088z00_3852;
					}
					{	/* Ast/unit.scm 174 */
						obj_t BgL_res3089z00_3855;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_symbolz00_3853;

							BgL_symbolz00_3853 = CNST_TABLE_REF(((long) 10));
							{	/* Ast/unit.scm 174 */
								obj_t BgL_arg1310z00_3854;

								BgL_arg1310z00_3854 = SYMBOL_TO_STRING(BgL_symbolz00_3853);
								BgL_res3089z00_3855 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1310z00_3854);
						}}
						BgL_arg2087z00_1558 = BgL_res3089z00_3855;
					}
					BgL_arg2083z00_1556 =
						string_append(BgL_arg2085z00_1557, BgL_arg2087z00_1558);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg2083z00_1556));
			}
		}
	}



/* unit-initializers */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7ersz75zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			{	/* Ast/unit.scm 180 */
				obj_t BgL_l1876z00_1559;

				BgL_l1876z00_1559 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1876z00_1559))
					{	/* Ast/unit.scm 180 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 180 */
						obj_t BgL_head1878z00_1561;

						{	/* Ast/unit.scm 180 */
							obj_t BgL_res3092z00_3862;

							BgL_res3092z00_3862 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1878z00_1561 = BgL_res3092z00_3862;
						}
						{
							obj_t BgL_l1876z00_1563;
							obj_t BgL_tail1879z00_1564;

							BgL_l1876z00_1563 = BgL_l1876z00_1559;
							BgL_tail1879z00_1564 = BgL_head1878z00_1561;
						BgL_zc3anonymousza32089ze3z83_1565:
							if (NULLP(BgL_l1876z00_1563))
								{	/* Ast/unit.scm 180 */
									return CDR(BgL_head1878z00_1561);
								}
							else
								{	/* Ast/unit.scm 180 */
									obj_t BgL_newtail1880z00_1567;

									{	/* Ast/unit.scm 180 */
										obj_t BgL_arg2092z00_1569;

										{	/* Ast/unit.scm 180 */
											obj_t BgL_unitz00_1570;

											BgL_unitz00_1570 = CAR(BgL_l1876z00_1563);
											{	/* Ast/unit.scm 181 */
												obj_t BgL_arg2093z00_1571;

												BgL_arg2093z00_1571 =
													BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
													(BgL_unitz00_1570));
												BgL_arg2092z00_1569 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2093z00_1571,
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										}
										{	/* Ast/unit.scm 180 */
											obj_t BgL_res3094z00_3870;

											BgL_res3094z00_3870 =
												MAKE_PAIR(BgL_arg2092z00_1569, BNIL);
											BgL_newtail1880z00_1567 = BgL_res3094z00_3870;
										}
									}
									SET_CDR(BgL_tail1879z00_1564, BgL_newtail1880z00_1567);
									{
										obj_t BgL_tail1879z00_5264;
										obj_t BgL_l1876z00_5262;

										BgL_l1876z00_5262 = CDR(BgL_l1876z00_1563);
										BgL_tail1879z00_5264 = BgL_newtail1880z00_1567;
										BgL_tail1879z00_1564 = BgL_tail1879z00_5264;
										BgL_l1876z00_1563 = BgL_l1876z00_5262;
										goto BgL_zc3anonymousza32089ze3z83_1565;
									}
								}
						}
					}
			}
		}
	}



/* &unit-initializers */
	obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t BgL_envz00_4991)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			return BGl_unitzd2initializa7ersz75zzast_unitz00();
		}
	}



/* unit-init-calls */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initzd2callsz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			{	/* Ast/unit.scm 188 */
				obj_t BgL_l1881z00_1574;

				BgL_l1881z00_1574 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1881z00_1574))
					{	/* Ast/unit.scm 188 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 188 */
						obj_t BgL_head1883z00_1576;

						{	/* Ast/unit.scm 188 */
							obj_t BgL_res3096z00_3878;

							BgL_res3096z00_3878 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1883z00_1576 = BgL_res3096z00_3878;
						}
						{
							obj_t BgL_l1881z00_1578;
							obj_t BgL_tail1884z00_1579;

							BgL_l1881z00_1578 = BgL_l1881z00_1574;
							BgL_tail1884z00_1579 = BgL_head1883z00_1576;
						BgL_zc3anonymousza32096ze3z83_1580:
							if (NULLP(BgL_l1881z00_1578))
								{	/* Ast/unit.scm 188 */
									return CDR(BgL_head1883z00_1576);
								}
							else
								{	/* Ast/unit.scm 188 */
									obj_t BgL_newtail1885z00_1582;

									{	/* Ast/unit.scm 188 */
										obj_t BgL_arg2099z00_1584;

										{	/* Ast/unit.scm 188 */
											obj_t BgL_unitz00_1585;

											BgL_unitz00_1585 = CAR(BgL_l1881z00_1578);
											{	/* Ast/unit.scm 188 */
												obj_t BgL_arg2100z00_1586;

												{	/* Ast/unit.scm 188 */
													obj_t BgL_arg2101z00_1587;

													{	/* Ast/unit.scm 188 */
														obj_t BgL_arg2103z00_1588;
														obj_t BgL_arg2104z00_1589;

														BgL_arg2103z00_1588 =
															BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
															(BgL_unitz00_1585));
														BgL_arg2104z00_1589 =
															MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
															BNIL);
														BgL_arg2101z00_1587 =
															MAKE_PAIR(BgL_arg2103z00_1588,
															BgL_arg2104z00_1589);
													}
													BgL_arg2100z00_1586 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg2101z00_1587);
												}
												BgL_arg2099z00_1584 =
													MAKE_PAIR(BgL_arg2100z00_1586, BNIL);
										}}
										{	/* Ast/unit.scm 188 */
											obj_t BgL_res3098z00_3886;

											BgL_res3098z00_3886 =
												MAKE_PAIR(BgL_arg2099z00_1584, BNIL);
											BgL_newtail1885z00_1582 = BgL_res3098z00_3886;
									}}
									SET_CDR(BgL_tail1884z00_1579, BgL_newtail1885z00_1582);
									{
										obj_t BgL_tail1884z00_5284;
										obj_t BgL_l1881z00_5282;

										BgL_l1881z00_5282 = CDR(BgL_l1881z00_1578);
										BgL_tail1884z00_5284 = BgL_newtail1885z00_1582;
										BgL_tail1884z00_1579 = BgL_tail1884z00_5284;
										BgL_l1881z00_1578 = BgL_l1881z00_5282;
										goto BgL_zc3anonymousza32096ze3z83_1580;
									}
								}
						}
					}
			}
		}
	}



/* &unit-init-calls */
	obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t BgL_envz00_4992)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			return BGl_unitzd2initzd2callsz00zzast_unitz00();
		}
	}



/* toplevel*->ast */
	obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_34,
		obj_t BgL_gdefsz00_35)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 194 */
			{
				obj_t BgL_sexpza2za2_1594;
				obj_t BgL_aexpza2za2_1595;

				BgL_sexpza2za2_1594 = BgL_sexpza2za2_34;
				BgL_aexpza2za2_1595 = BNIL;
			BgL_zc3anonymousza32106ze3z83_1596:
				if (NULLP(BgL_sexpza2za2_1594))
					{	/* Ast/unit.scm 197 */
						return bgl_reverse_bang(BgL_aexpza2za2_1595);
					}
				else
					{
						obj_t BgL_aexpza2za2_5291;
						obj_t BgL_sexpza2za2_5289;

						BgL_sexpza2za2_5289 = CDR(BgL_sexpza2za2_1594);
						BgL_aexpza2za2_5291 =
							BGl_appendzd221011zd2zzast_unitz00
							(BGl_toplevelzd2ze3astz31zzast_unitz00(CAR(BgL_sexpza2za2_1594),
								BgL_gdefsz00_35), BgL_aexpza2za2_1595);
						BgL_aexpza2za2_1595 = BgL_aexpza2za2_5291;
						BgL_sexpza2za2_1594 = BgL_sexpza2za2_5289;
						goto BgL_zc3anonymousza32106ze3z83_1596;
					}
			}
		}
	}



/* toplevel->ast */
	obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_36,
		obj_t BgL_gdefsz00_37)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 207 */
		BGl_toplevelzd2ze3astz31zzast_unitz00:
			{
				obj_t BgL_varz00_1620;
				obj_t BgL_var2z00_1621;
				obj_t BgL_modulez00_1622;
				obj_t BgL_varz00_1617;
				obj_t BgL_var2z00_1618;
				obj_t BgL_varz00_1610;
				obj_t BgL_argsz00_1611;
				obj_t BgL_expz00_1612;
				obj_t BgL_varz00_1606;
				obj_t BgL_argsz00_1607;
				obj_t BgL_expz00_1608;

				if (PAIRP(BgL_sexpz00_36))
					{	/* Ast/unit.scm 208 */
						if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 2))))
							{	/* Ast/unit.scm 208 */
								if (NULLP(CDR(BgL_sexpz00_36)))
									{	/* Ast/unit.scm 208 */
										{	/* Ast/unit.scm 210 */
											obj_t BgL_list2293z00_1902;

											BgL_list2293z00_1902 = MAKE_PAIR(BgL_sexpz00_36, BNIL);
											return BgL_list2293z00_1902;
										}
									}
								else
									{	/* Ast/unit.scm 208 */
										obj_t BgL_arg2115z00_1654;

										BgL_arg2115z00_1654 = CDR(BgL_sexpz00_36);
										return
											bgl_reverse_bang(BGl_toplevelza2zd2ze3astz93zzast_unitz00
											(BgL_arg2115z00_1654, BgL_gdefsz00_37));
									}
							}
						else
							{	/* Ast/unit.scm 208 */
								obj_t BgL_cdrzd2412zd2_1656;

								BgL_cdrzd2412zd2_1656 = CDR(BgL_sexpz00_36);
								if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 14))))
									{	/* Ast/unit.scm 208 */
										if (PAIRP(BgL_cdrzd2412zd2_1656))
											{	/* Ast/unit.scm 208 */
												obj_t BgL_carzd2416zd2_1659;

												BgL_carzd2416zd2_1659 = CAR(BgL_cdrzd2412zd2_1656);
												if (PAIRP(BgL_carzd2416zd2_1659))
													{	/* Ast/unit.scm 208 */
														BgL_varz00_1606 = CAR(BgL_carzd2416zd2_1659);
														BgL_argsz00_1607 = CDR(BgL_carzd2416zd2_1659);
														BgL_expz00_1608 = CDR(BgL_cdrzd2412zd2_1656);
														{	/* Ast/unit.scm 214 */
															obj_t BgL_idz00_1904;

															BgL_idz00_1904 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_varz00_1606,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_sexpz00_36));
															{	/* Ast/unit.scm 214 */
																obj_t BgL_defz00_1905;

																BgL_defz00_1905 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_1904, BgL_gdefsz00_37);
																{	/* Ast/unit.scm 215 */
																	obj_t BgL_globalz00_1906;

																	BgL_globalz00_1906 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_1904,
																		BGl_za2moduleza2z00zzmodule_modulez00);
																	{	/* Ast/unit.scm 216 */

																		{	/* Ast/unit.scm 224 */
																			bool_t BgL_testz00_5322;

																			if (PAIRP(BgL_defz00_1905))
																				{	/* Ast/unit.scm 224 */
																					if (
																						(CAR(CDR(BgL_defz00_1905)) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/unit.scm 226 */
																							bool_t BgL__ortest_1116z00_1919;

																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_globalz00_1906,
																									BGl_globalz00zzast_varz00))
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_1116z00_1919 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_1116z00_1919 =
																										((bool_t) 1);
																								}
																							if (BgL__ortest_1116z00_1919)
																								{	/* Ast/unit.scm 226 */
																									BgL_testz00_5322 =
																										BgL__ortest_1116z00_1919;
																								}
																							else
																								{	/* Ast/unit.scm 226 */
																									BgL_testz00_5322 =
																										(
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_1906))))->BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
																						}}
																					else
																						{	/* Ast/unit.scm 225 */
																							BgL_testz00_5322 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/unit.scm 224 */
																					BgL_testz00_5322 = ((bool_t) 1);
																				}
																			if (BgL_testz00_5322)
																				{	/* Ast/unit.scm 234 */
																					obj_t BgL_arg2296z00_1908;

																					{	/* Ast/unit.scm 234 */
																						obj_t BgL_arg2297z00_1909;

																						{	/* Ast/unit.scm 234 */
																							obj_t BgL_arg2298z00_1910;

																							{	/* Ast/unit.scm 234 */
																								obj_t BgL_pairz00_3905;

																								BgL_pairz00_3905 =
																									BgL_sexpz00_36;
																								BgL_arg2298z00_1910 =
																									CDR(CDR(BgL_pairz00_3905));
																							}
																							BgL_arg2297z00_1909 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2298z00_1910);
																						}
																						BgL_arg2296z00_1908 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_expz00_1608, BgL_sexpz00_36,
																							BgL_arg2297z00_1909);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_varz00_1606,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_argsz00_1607,
																						BgL_arg2296z00_1908, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 12)));
																				}
																			else
																				{	/* Ast/unit.scm 237 */
																					obj_t BgL_newzd2sexpzd2_1911;

																					{	/* Ast/unit.scm 237 */
																						obj_t BgL_arg2300z00_1912;

																						{	/* Ast/unit.scm 237 */
																							obj_t BgL_arg2301z00_1913;

																							{	/* Ast/unit.scm 237 */
																								obj_t BgL_arg2302z00_1914;

																								{	/* Ast/unit.scm 237 */
																									obj_t BgL_arg2303z00_1915;

																									BgL_arg2303z00_1915 =
																										MAKE_PAIR(BgL_argsz00_1607,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_expz00_1608, BNIL));
																									BgL_arg2302z00_1914 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 13)),
																										BgL_arg2303z00_1915);
																								}
																								BgL_arg2301z00_1913 =
																									MAKE_PAIR(BgL_arg2302z00_1914,
																									BNIL);
																							}
																							BgL_arg2300z00_1912 =
																								MAKE_PAIR(BgL_varz00_1606,
																								BgL_arg2301z00_1913);
																						}
																						BgL_newzd2sexpzd2_1911 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									1)), BgL_arg2300z00_1912);
																					}
																					BGl_replacez12z12zztools_miscz00
																						(BgL_sexpz00_36,
																						BgL_newzd2sexpzd2_1911);
																					return
																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																						(BgL_varz00_1606, BgL_sexpz00_36);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/unit.scm 208 */
														obj_t BgL_cdrzd2440zd2_1665;

														BgL_cdrzd2440zd2_1665 = CDR(BgL_cdrzd2412zd2_1656);
														if (PAIRP(BgL_cdrzd2440zd2_1665))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd2444zd2_1667;

																BgL_carzd2444zd2_1667 =
																	CAR(BgL_cdrzd2440zd2_1665);
																if (PAIRP(BgL_carzd2444zd2_1667))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd2449zd2_1669;

																		BgL_cdrzd2449zd2_1669 =
																			CDR(BgL_carzd2444zd2_1667);
																		if (
																			(CAR(BgL_carzd2444zd2_1667) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd2449zd2_1669))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd2440zd2_1665)))
																							{	/* Ast/unit.scm 208 */
																								BgL_varz00_1610 =
																									CAR(BgL_cdrzd2412zd2_1656);
																								BgL_argsz00_1611 =
																									CAR(BgL_cdrzd2449zd2_1669);
																								BgL_expz00_1612 =
																									CDR(BgL_cdrzd2449zd2_1669);
																								{	/* Ast/unit.scm 241 */
																									obj_t BgL_idz00_1925;

																									BgL_idz00_1925 =
																										BGl_idzd2ofzd2idz00zzast_identz00
																										(BgL_varz00_1610,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sexpz00_36));
																									{	/* Ast/unit.scm 241 */
																										obj_t BgL_defz00_1926;

																										BgL_defz00_1926 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_1925,
																											BgL_gdefsz00_37);
																										{	/* Ast/unit.scm 242 */
																											obj_t BgL_globalz00_1927;

																											BgL_globalz00_1927 =
																												BGl_findzd2globalzf2modulez20zzast_envz00
																												(BgL_idz00_1925,
																												BGl_za2moduleza2z00zzmodule_modulez00);
																											{	/* Ast/unit.scm 243 */

																												{	/* Ast/unit.scm 245 */
																													bool_t
																														BgL_testz00_5377;
																													if ((CAR(CDR
																																(BgL_defz00_1926))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 246 */
																															bool_t
																																BgL__ortest_1117z00_1933;
																															if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1927, BGl_globalz00zzast_varz00))
																																{	/* Ast/unit.scm 246 */
																																	BgL__ortest_1117z00_1933
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* Ast/unit.scm 246 */
																																	BgL__ortest_1117z00_1933
																																		=
																																		((bool_t)
																																		1);
																																}
																															if (BgL__ortest_1117z00_1933)
																																{	/* Ast/unit.scm 246 */
																																	BgL_testz00_5377
																																		=
																																		BgL__ortest_1117z00_1933;
																																}
																															else
																																{	/* Ast/unit.scm 246 */
																																	BgL_testz00_5377
																																		=
																																		((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_1927))))->BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
																														}}
																													else
																														{	/* Ast/unit.scm 245 */
																															BgL_testz00_5377 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_5377)
																														{	/* Ast/unit.scm 254 */
																															obj_t
																																BgL_arg2313z00_1929;
																															{	/* Ast/unit.scm 254 */
																																obj_t
																																	BgL_arg2314z00_1930;
																																{	/* Ast/unit.scm 254 */
																																	obj_t
																																		BgL_arg2316z00_1931;
																																	{	/* Ast/unit.scm 254 */
																																		obj_t
																																			BgL_pairz00_3915;
																																		BgL_pairz00_3915
																																			=
																																			BgL_sexpz00_36;
																																		BgL_arg2316z00_1931
																																			=
																																			CDR(CDR
																																			(BgL_pairz00_3915));
																																	}
																																	BgL_arg2314z00_1930
																																		=
																																		BGl_findzd2locationzd2zztools_locationz00
																																		(BgL_arg2316z00_1931);
																																}
																																BgL_arg2313z00_1929
																																	=
																																	BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																	(BgL_expz00_1612,
																																	BgL_sexpz00_36,
																																	BgL_arg2314z00_1930);
																															}
																															return
																																BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																(BgL_varz00_1610,
																																BGl_za2moduleza2z00zzmodule_modulez00,
																																BgL_argsz00_1611,
																																BgL_arg2313z00_1929,
																																BgL_sexpz00_36,
																																CNST_TABLE_REF((
																																		(long)
																																		12)));
																														}
																													else
																														{	/* Ast/unit.scm 245 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1610,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd2490zd2_1676;

																								BgL_cdrzd2490zd2_1676 =
																									CDR(BgL_sexpz00_36);
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd2490zd2_1676),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd2517zd2_1680;

																						BgL_cdrzd2517zd2_1680 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd2522zd2_1681;

																							BgL_cdrzd2522zd2_1681 =
																								CDR(BgL_cdrzd2517zd2_1680);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd2526zd2_1682;

																								BgL_carzd2526zd2_1682 =
																									CAR(BgL_cdrzd2522zd2_1681);
																								if (SYMBOLP
																									(BgL_carzd2526zd2_1682))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd2522zd2_1681)))
																											{	/* Ast/unit.scm 208 */
																												BgL_varz00_1617 =
																													CAR
																													(BgL_cdrzd2517zd2_1680);
																												BgL_var2z00_1618 =
																													BgL_carzd2526zd2_1682;
																											BgL_tagzd2364zd2_1619:
																												{	/* Ast/unit.scm 262 */
																													obj_t BgL_defz00_1940;

																													BgL_defz00_1940 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BGl_idzd2ofzd2idz00zzast_identz00
																														(BgL_varz00_1617,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sexpz00_36)),
																														BgL_gdefsz00_37);
																													if ((CAR(CDR
																																(BgL_defz00_1940))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 264 */
																															obj_t
																																BgL_gz00_1942;
																															BgL_gz00_1942 =
																																BGl_findzd2globalzd2zzast_envz00
																																(BgL_var2z00_1618,
																																BNIL);
																															{	/* Ast/unit.scm 264 */
																																obj_t
																																	BgL_arityz00_1943;
																																if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1942, BGl_globalz00zzast_varz00))
																																	{	/* Ast/unit.scm 266 */
																																		bool_t
																																			BgL_testz00_5423;
																																		{	/* Ast/unit.scm 266 */
																																			BgL_valuez00_bglt
																																				BgL_arg2329z00_1951;
																																			BgL_arg2329z00_1951
																																				=
																																				(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_1942))))->BgL_valuez00);
																																			{	/* Ast/unit.scm 266 */
																																				bool_t
																																					BgL_res3106z00_3934;
																																				{	/* Ast/unit.scm 266 */
																																					obj_t
																																						BgL_objz00_3933;
																																					BgL_objz00_3933
																																						=
																																						(
																																						(obj_t)
																																						BgL_arg2329z00_1951);
																																					BgL_res3106z00_3934
																																						=
																																						BGl_isazf3zf3zz__objectz00
																																						(BgL_objz00_3933,
																																						BGl_funz00zzast_varz00);
																																				}
																																				BgL_testz00_5423
																																					=
																																					BgL_res3106z00_3934;
																																			}
																																		}
																																		if (BgL_testz00_5423)
																																			{	/* Ast/unit.scm 266 */
																																				BgL_arityz00_1943
																																					=
																																					BINT((
																																						((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) (((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_1942))))->BgL_valuez00))))->BgL_arityz00));
																																			}
																																		else
																																			{	/* Ast/unit.scm 266 */
																																				BgL_arityz00_1943
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 265 */
																																		BgL_arityz00_1943
																																			= BFALSE;
																																	}
																																{	/* Ast/unit.scm 265 */

																																	if (INTEGERP
																																		(BgL_arityz00_1943))
																																		{	/* Ast/unit.scm 268 */
																																			if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_1942))
																																				{	/* Ast/unit.scm 270 */
																																					BGl_userzd2warningzd2zztools_errorz00
																																						(BgL_varz00_1617,
																																						BGl_string3296z00zzast_unitz00,
																																						BgL_sexpz00_36);
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(BgL_varz00_1617,
																																						BgL_sexpz00_36);
																																				}
																																			else
																																				{	/* Ast/unit.scm 270 */
																																					if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_1942))
																																						{	/* Ast/unit.scm 275 */
																																							BGl_userzd2warningzd2zztools_errorz00
																																								(BgL_varz00_1617,
																																								BGl_string3297z00zzast_unitz00,
																																								BgL_sexpz00_36);
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(BgL_varz00_1617,
																																								BgL_sexpz00_36);
																																						}
																																					else
																																						{
																																							obj_t
																																								BgL_sexpz00_5445;
																																							BgL_sexpz00_5445
																																								=
																																								BGl_etazd2expansezd2zzast_unitz00
																																								(BgL_sexpz00_36,
																																								BgL_arityz00_1943);
																																							BgL_sexpz00_36
																																								=
																																								BgL_sexpz00_5445;
																																							goto
																																								BGl_toplevelzd2ze3astz31zzast_unitz00;
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 268 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(BgL_varz00_1617,
																																				BgL_sexpz00_36);
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 263 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1617,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												return
																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																													(CAR
																													(BgL_cdrzd2517zd2_1680),
																													BgL_sexpz00_36);
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										return
																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																											(CAR
																											(BgL_cdrzd2517zd2_1680),
																											BgL_sexpz00_36);
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd2593zd2_1693;

																				BgL_cdrzd2593zd2_1693 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_cdrzd2598zd2_1694;

																					BgL_cdrzd2598zd2_1694 =
																						CDR(BgL_cdrzd2593zd2_1693);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd2602zd2_1695;

																						BgL_carzd2602zd2_1695 =
																							CAR(BgL_cdrzd2598zd2_1694);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd2606zd2_1696;

																							BgL_cdrzd2606zd2_1696 =
																								CDR(BgL_carzd2602zd2_1695);
																							if (
																								(CAR(BgL_carzd2602zd2_1695) ==
																									CNST_TABLE_REF(((long) 2))))
																								{	/* Ast/unit.scm 208 */
																									if (PAIRP
																										(BgL_cdrzd2606zd2_1696))
																										{	/* Ast/unit.scm 208 */
																											if (NULLP(CDR
																													(BgL_cdrzd2606zd2_1696)))
																												{	/* Ast/unit.scm 208 */
																													if (NULLP(CDR
																															(BgL_cdrzd2598zd2_1694)))
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg2151z00_1702;
																															BgL_arg2151z00_1702
																																=
																																CAR
																																(BgL_cdrzd2606zd2_1696);
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_arg2323z00_4057;
																																{	/* Ast/unit.scm 208 */
																																	obj_t
																																		BgL_pairz00_4058;
																																	BgL_pairz00_4058
																																		=
																																		BgL_sexpz00_36;
																																	BgL_arg2323z00_4057
																																		=
																																		CDR(CDR
																																		(BgL_pairz00_4058));
																																}
																																SET_CAR
																																	(BgL_arg2323z00_4057,
																																	BgL_arg2151z00_1702);
																															}
																															{

																																goto
																																	BGl_toplevelzd2ze3astz31zzast_unitz00;
																															}
																														}
																													else
																														{	/* Ast/unit.scm 208 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(CAR
																																(BgL_cdrzd2593zd2_1693),
																																BgL_sexpz00_36);
																														}
																												}
																											else
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd2659zd2_1708;
																													BgL_cdrzd2659zd2_1708
																														=
																														CDR
																														(BgL_cdrzd2593zd2_1693);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd2663zd2_1709;
																														BgL_carzd2663zd2_1709
																															=
																															CAR
																															(BgL_cdrzd2659zd2_1708);
																														if (SYMBOLP
																															(BgL_carzd2663zd2_1709))
																															{	/* Ast/unit.scm 208 */
																																if (NULLP(CDR
																																		(BgL_cdrzd2659zd2_1708)))
																																	{
																																		obj_t
																																			BgL_var2z00_5485;
																																		obj_t
																																			BgL_varz00_5483;
																																		BgL_varz00_5483
																																			=
																																			CAR
																																			(BgL_cdrzd2593zd2_1693);
																																		BgL_var2z00_5485
																																			=
																																			BgL_carzd2663zd2_1709;
																																		BgL_var2z00_1618
																																			=
																																			BgL_var2z00_5485;
																																		BgL_varz00_1617
																																			=
																																			BgL_varz00_5483;
																																		goto
																																			BgL_tagzd2364zd2_1619;
																																	}
																																else
																																	{	/* Ast/unit.scm 208 */
																																		obj_t
																																			BgL_cdrzd2685zd2_1713;
																																		BgL_cdrzd2685zd2_1713
																																			=
																																			CDR
																																			(BgL_sexpz00_36);
																																		return
																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																			(CAR
																																			(BgL_cdrzd2685zd2_1713),
																																			BgL_sexpz00_36);
																																	}
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd2711zd2_1717;
																																BgL_cdrzd2711zd2_1717
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd2711zd2_1717),
																																	BgL_sexpz00_36);
																															}
																													}
																												}
																										}
																									else
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_cdrzd2734zd2_1722;
																											BgL_cdrzd2734zd2_1722 =
																												CDR
																												(BgL_cdrzd2593zd2_1693);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd2738zd2_1723;
																												BgL_carzd2738zd2_1723 =
																													CAR
																													(BgL_cdrzd2734zd2_1722);
																												if (SYMBOLP
																													(BgL_carzd2738zd2_1723))
																													{	/* Ast/unit.scm 208 */
																														if (NULLP(CDR
																																(BgL_cdrzd2734zd2_1722)))
																															{
																																obj_t
																																	BgL_var2z00_5501;
																																obj_t
																																	BgL_varz00_5499;
																																BgL_varz00_5499
																																	=
																																	CAR
																																	(BgL_cdrzd2593zd2_1693);
																																BgL_var2z00_5501
																																	=
																																	BgL_carzd2738zd2_1723;
																																BgL_var2z00_1618
																																	=
																																	BgL_var2z00_5501;
																																BgL_varz00_1617
																																	=
																																	BgL_varz00_5499;
																																goto
																																	BgL_tagzd2364zd2_1619;
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd2760zd2_1727;
																																BgL_cdrzd2760zd2_1727
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd2760zd2_1727),
																																	BgL_sexpz00_36);
																															}
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd2786zd2_1731;
																														BgL_cdrzd2786zd2_1731
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd2786zd2_1731),
																															BgL_sexpz00_36);
																													}
																											}
																										}
																								}
																							else
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_cdrzd2809zd2_1735;

																									BgL_cdrzd2809zd2_1735 =
																										CDR(BgL_cdrzd2593zd2_1693);
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_carzd2813zd2_1736;

																										BgL_carzd2813zd2_1736 =
																											CAR
																											(BgL_cdrzd2809zd2_1735);
																										if (SYMBOLP
																											(BgL_carzd2813zd2_1736))
																											{	/* Ast/unit.scm 208 */
																												if (NULLP(CDR
																														(BgL_cdrzd2809zd2_1735)))
																													{
																														obj_t
																															BgL_var2z00_5517;
																														obj_t
																															BgL_varz00_5515;
																														BgL_varz00_5515 =
																															CAR
																															(BgL_cdrzd2593zd2_1693);
																														BgL_var2z00_5517 =
																															BgL_carzd2813zd2_1736;
																														BgL_var2z00_1618 =
																															BgL_var2z00_5517;
																														BgL_varz00_1617 =
																															BgL_varz00_5515;
																														goto
																															BgL_tagzd2364zd2_1619;
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd2835zd2_1740;
																														BgL_cdrzd2835zd2_1740
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd2835zd2_1740),
																															BgL_sexpz00_36);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_cdrzd2854zd2_1744;
																												BgL_cdrzd2854zd2_1744 =
																													CDR(BgL_sexpz00_36);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd2860zd2_1745;
																													BgL_cdrzd2860zd2_1745
																														=
																														CDR
																														(BgL_cdrzd2854zd2_1744);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd2865zd2_1746;
																														BgL_carzd2865zd2_1746
																															=
																															CAR
																															(BgL_cdrzd2860zd2_1745);
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_cdrzd2870zd2_1747;
																															BgL_cdrzd2870zd2_1747
																																=
																																CDR
																																(BgL_carzd2865zd2_1746);
																															if ((CAR
																																	(BgL_carzd2865zd2_1746)
																																	==
																																	CNST_TABLE_REF
																																	(((long) 0))))
																																{	/* Ast/unit.scm 208 */
																																	if (PAIRP
																																		(BgL_cdrzd2870zd2_1747))
																																		{	/* Ast/unit.scm 208 */
																																			obj_t
																																				BgL_carzd2873zd2_1750;
																																			obj_t
																																				BgL_cdrzd2874zd2_1751;
																																			BgL_carzd2873zd2_1750
																																				=
																																				CAR
																																				(BgL_cdrzd2870zd2_1747);
																																			BgL_cdrzd2874zd2_1751
																																				=
																																				CDR
																																				(BgL_cdrzd2870zd2_1747);
																																			if (SYMBOLP(BgL_carzd2873zd2_1750))
																																				{	/* Ast/unit.scm 208 */
																																					if (PAIRP(BgL_cdrzd2874zd2_1751))
																																						{	/* Ast/unit.scm 208 */
																																							obj_t
																																								BgL_carzd2879zd2_1754;
																																							BgL_carzd2879zd2_1754
																																								=
																																								CAR
																																								(BgL_cdrzd2874zd2_1751);
																																							if (SYMBOLP(BgL_carzd2879zd2_1754))
																																								{	/* Ast/unit.scm 208 */
																																									if (NULLP(CDR(BgL_cdrzd2874zd2_1751)))
																																										{	/* Ast/unit.scm 208 */
																																											if (NULLP(CDR(BgL_cdrzd2860zd2_1745)))
																																												{	/* Ast/unit.scm 208 */
																																													BgL_varz00_1620
																																														=
																																														CAR
																																														(BgL_cdrzd2854zd2_1744);
																																													BgL_var2z00_1621
																																														=
																																														BgL_carzd2873zd2_1750;
																																													BgL_modulez00_1622
																																														=
																																														BgL_carzd2879zd2_1754;
																																													{	/* Ast/unit.scm 286 */
																																														obj_t
																																															BgL_defz00_1957;
																																														BgL_defz00_1957
																																															=
																																															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																															(BGl_idzd2ofzd2idz00zzast_identz00
																																															(BgL_varz00_1620,
																																																BGl_findzd2locationzd2zztools_locationz00
																																																(BgL_sexpz00_36)),
																																															BgL_gdefsz00_37);
																																														if ((CAR(CDR(BgL_defz00_1957)) == CNST_TABLE_REF(((long) 11))))
																																															{	/* Ast/unit.scm 288 */
																																																obj_t
																																																	BgL_gz00_1959;
																																																BgL_gz00_1959
																																																	=
																																																	BGl_findzd2globalzf2modulez20zzast_envz00
																																																	(BgL_var2z00_1621,
																																																	BgL_modulez00_1622);
																																																{	/* Ast/unit.scm 288 */
																																																	obj_t
																																																		BgL_arityz00_1960;
																																																	if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1959, BGl_globalz00zzast_varz00))
																																																		{	/* Ast/unit.scm 290 */
																																																			bool_t
																																																				BgL_testz00_5557;
																																																			{	/* Ast/unit.scm 290 */
																																																				BgL_valuez00_bglt
																																																					BgL_arg2341z00_1967;
																																																				BgL_arg2341z00_1967
																																																					=
																																																					(
																																																					((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_1959))))->BgL_valuez00);
																																																				{	/* Ast/unit.scm 290 */
																																																					bool_t
																																																						BgL_res3112z00_3951;
																																																					{	/* Ast/unit.scm 290 */
																																																						obj_t
																																																							BgL_objz00_3950;
																																																						BgL_objz00_3950
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg2341z00_1967);
																																																						BgL_res3112z00_3951
																																																							=
																																																							BGl_isazf3zf3zz__objectz00
																																																							(BgL_objz00_3950,
																																																							BGl_funz00zzast_varz00);
																																																					}
																																																					BgL_testz00_5557
																																																						=
																																																						BgL_res3112z00_3951;
																																																				}
																																																			}
																																																			if (BgL_testz00_5557)
																																																				{	/* Ast/unit.scm 290 */
																																																					BgL_arityz00_1960
																																																						=
																																																						BINT
																																																						(BGl_globalzd2arityzd2zztools_argsz00
																																																						(BgL_gz00_1959));
																																																				}
																																																			else
																																																				{	/* Ast/unit.scm 290 */
																																																					BgL_arityz00_1960
																																																						=
																																																						BFALSE;
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 289 */
																																																			BgL_arityz00_1960
																																																				=
																																																				BFALSE;
																																																		}
																																																	{	/* Ast/unit.scm 289 */

																																																		if (INTEGERP(BgL_arityz00_1960))
																																																			{	/* Ast/unit.scm 292 */
																																																				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_1959))
																																																					{	/* Ast/unit.scm 294 */
																																																						BGl_userzd2warningzd2zztools_errorz00
																																																							(BgL_varz00_1620,
																																																							BGl_string3296z00zzast_unitz00,
																																																							BgL_sexpz00_36);
																																																						return
																																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																							(BgL_varz00_1620,
																																																							BgL_sexpz00_36);
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 294 */
																																																						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_1959))
																																																							{	/* Ast/unit.scm 299 */
																																																								BGl_userzd2warningzd2zztools_errorz00
																																																									(BgL_varz00_1620,
																																																									BGl_string3297z00zzast_unitz00,
																																																									BgL_sexpz00_36);
																																																								return
																																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																									(BgL_varz00_1620,
																																																									BgL_sexpz00_36);
																																																							}
																																																						else
																																																							{
																																																								obj_t
																																																									BgL_sexpz00_5575;
																																																								BgL_sexpz00_5575
																																																									=
																																																									BGl_etazd2expansezd2zzast_unitz00
																																																									(BgL_sexpz00_36,
																																																									BgL_arityz00_1960);
																																																								BgL_sexpz00_36
																																																									=
																																																									BgL_sexpz00_5575;
																																																								goto
																																																									BGl_toplevelzd2ze3astz31zzast_unitz00;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 292 */
																																																				return
																																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																					(BgL_varz00_1620,
																																																					BgL_sexpz00_36);
																																																			}
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 287 */
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_varz00_1620,
																																																	BgL_sexpz00_36);
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/unit.scm 208 */
																																													return
																																														BGl_makezd2svarzd2definitionz00zzast_unitz00
																																														(CAR
																																														(BgL_cdrzd2854zd2_1744),
																																														BgL_sexpz00_36);
																																												}
																																										}
																																									else
																																										{	/* Ast/unit.scm 208 */
																																											return
																																												BGl_makezd2svarzd2definitionz00zzast_unitz00
																																												(CAR
																																												(BgL_cdrzd2854zd2_1744),
																																												BgL_sexpz00_36);
																																										}
																																								}
																																							else
																																								{	/* Ast/unit.scm 208 */
																																									return
																																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																																										(CAR
																																										(BgL_cdrzd2854zd2_1744),
																																										BgL_sexpz00_36);
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 208 */
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(CAR
																																								(BgL_cdrzd2854zd2_1744),
																																								BgL_sexpz00_36);
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 208 */
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(CAR
																																						(BgL_cdrzd2854zd2_1744),
																																						BgL_sexpz00_36);
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 208 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(CAR
																																				(BgL_cdrzd2854zd2_1744),
																																				BgL_sexpz00_36);
																																		}
																																}
																															else
																																{	/* Ast/unit.scm 208 */
																																	return
																																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																																		(CAR
																																		(BgL_cdrzd2854zd2_1744),
																																		BgL_sexpz00_36);
																																}
																														}
																													}
																												}
																											}
																									}
																								}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21021zd2_1785;

																		BgL_cdrzd21021zd2_1785 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_cdrzd21026zd2_1786;

																			BgL_cdrzd21026zd2_1786 =
																				CDR(BgL_cdrzd21021zd2_1785);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd21030zd2_1787;

																				BgL_carzd21030zd2_1787 =
																					CAR(BgL_cdrzd21026zd2_1786);
																				if (SYMBOLP(BgL_carzd21030zd2_1787))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd21026zd2_1786)))
																							{
																								obj_t BgL_var2z00_5604;
																								obj_t BgL_varz00_5602;

																								BgL_varz00_5602 =
																									CAR(BgL_cdrzd21021zd2_1785);
																								BgL_var2z00_5604 =
																									BgL_carzd21030zd2_1787;
																								BgL_var2z00_1618 =
																									BgL_var2z00_5604;
																								BgL_varz00_1617 =
																									BgL_varz00_5602;
																								goto BgL_tagzd2364zd2_1619;
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd21021zd2_1785),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						return
																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																							(CAR(BgL_cdrzd21021zd2_1785),
																							BgL_sexpz00_36);
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																obj_t BgL_cdrzd21121zd2_1798;

																BgL_cdrzd21121zd2_1798 = CDR(BgL_sexpz00_36);
																return
																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																	(CAR(BgL_cdrzd21121zd2_1798), BgL_sexpz00_36);
															}
													}
											}
										else
											{	/* Ast/unit.scm 208 */
											BgL_tagzd2372zd2_1649:
												{	/* Ast/unit.scm 343 */
													obj_t BgL_list2359z00_1984;

													BgL_list2359z00_1984 =
														MAKE_PAIR(BgL_sexpz00_36, BNIL);
													return BgL_list2359z00_1984;
												}
											}
									}
								else
									{	/* Ast/unit.scm 208 */
										if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 15))))
											{	/* Ast/unit.scm 208 */
												if (PAIRP(BgL_cdrzd2412zd2_1656))
													{	/* Ast/unit.scm 208 */
														obj_t BgL_carzd21255zd2_1804;

														BgL_carzd21255zd2_1804 = CAR(BgL_cdrzd2412zd2_1656);
														if (PAIRP(BgL_carzd21255zd2_1804))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd21260zd2_1806;

																BgL_carzd21260zd2_1806 =
																	CAR(BgL_carzd21255zd2_1804);
																if (PAIRP(BgL_carzd21260zd2_1806))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21265zd2_1808;

																		BgL_cdrzd21265zd2_1808 =
																			CDR(BgL_carzd21260zd2_1806);
																		if (
																			(CAR(BgL_carzd21260zd2_1806) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd21265zd2_1808))
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd21269zd2_1811;

																						BgL_cdrzd21269zd2_1811 =
																							CDR(BgL_cdrzd21265zd2_1808);
																						if (PAIRP(BgL_cdrzd21269zd2_1811))
																							{	/* Ast/unit.scm 208 */
																								if (NULLP(CDR
																										(BgL_cdrzd21269zd2_1811)))
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg2231z00_1814;
																										obj_t BgL_arg2232z00_1815;
																										obj_t BgL_arg2233z00_1816;
																										obj_t BgL_arg2234z00_1817;

																										BgL_arg2231z00_1814 =
																											CAR
																											(BgL_cdrzd21265zd2_1808);
																										BgL_arg2232z00_1815 =
																											CAR
																											(BgL_cdrzd21269zd2_1811);
																										BgL_arg2233z00_1816 =
																											CDR
																											(BgL_carzd21255zd2_1804);
																										BgL_arg2234z00_1817 =
																											CDR
																											(BgL_cdrzd2412zd2_1656);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg2346z00_4231;

																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2347z00_4232;
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg2348z00_4233;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_pairz00_4234;
																														BgL_pairz00_4234 =
																															BgL_sexpz00_36;
																														BgL_arg2348z00_4233
																															=
																															CDR(CDR
																															(BgL_pairz00_4234));
																													}
																													BgL_arg2347z00_4232 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2348z00_4233);
																												}
																												BgL_arg2346z00_4231 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg2234z00_1817,
																													BgL_sexpz00_36,
																													BgL_arg2347z00_4232);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2231z00_1814,
																												BgL_arg2232z00_1815,
																												BgL_arg2233z00_1816,
																												BgL_arg2346z00_4231,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																									}}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_cdrzd21285zd2_1818;
																										BgL_cdrzd21285zd2_1818 =
																											CDR(BgL_sexpz00_36);
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_carzd21289zd2_1819;
																											BgL_carzd21289zd2_1819 =
																												CAR
																												(BgL_cdrzd21285zd2_1818);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2235z00_1820;
																												obj_t
																													BgL_arg2236z00_1821;
																												obj_t
																													BgL_arg2237z00_1822;
																												BgL_arg2235z00_1820 =
																													CAR
																													(BgL_carzd21289zd2_1819);
																												BgL_arg2236z00_1821 =
																													CDR
																													(BgL_carzd21289zd2_1819);
																												BgL_arg2237z00_1822 =
																													CDR
																													(BgL_cdrzd21285zd2_1818);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg2349z00_4246;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_arg2350z00_4247;
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg2352z00_4248;
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_pairz00_4249;
																																BgL_pairz00_4249
																																	=
																																	BgL_sexpz00_36;
																																BgL_arg2352z00_4248
																																	=
																																	CDR(CDR
																																	(BgL_pairz00_4249));
																															}
																															BgL_arg2350z00_4247
																																=
																																BGl_findzd2locationzd2zztools_locationz00
																																(BgL_arg2352z00_4248);
																														}
																														BgL_arg2349z00_4246
																															=
																															BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																															(BgL_arg2237z00_1822,
																															BgL_sexpz00_36,
																															BgL_arg2350z00_4247);
																													}
																													return
																														BGl_makezd2sfunzd2definitionz00zzast_unitz00
																														(BgL_arg2235z00_1820,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2236z00_1821,
																														BgL_arg2349z00_4246,
																														BgL_sexpz00_36,
																														CNST_TABLE_REF((
																																(long) 16)));
																							}}}}}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd21306zd2_1824;

																								BgL_cdrzd21306zd2_1824 =
																									CDR(BgL_sexpz00_36);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_carzd21310zd2_1825;

																									BgL_carzd21310zd2_1825 =
																										CAR(BgL_cdrzd21306zd2_1824);
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg2239z00_1826;
																										obj_t BgL_arg2241z00_1827;
																										obj_t BgL_arg2242z00_1828;

																										BgL_arg2239z00_1826 =
																											CAR
																											(BgL_carzd21310zd2_1825);
																										BgL_arg2241z00_1827 =
																											CDR
																											(BgL_carzd21310zd2_1825);
																										BgL_arg2242z00_1828 =
																											CDR
																											(BgL_cdrzd21306zd2_1824);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg2349z00_4261;

																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2350z00_4262;
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg2352z00_4263;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_pairz00_4264;
																														BgL_pairz00_4264 =
																															BgL_sexpz00_36;
																														BgL_arg2352z00_4263
																															=
																															CDR(CDR
																															(BgL_pairz00_4264));
																													}
																													BgL_arg2350z00_4262 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2352z00_4263);
																												}
																												BgL_arg2349z00_4261 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_arg2242z00_1828,
																													BgL_sexpz00_36,
																													BgL_arg2350z00_4262);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2239z00_1826,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2241z00_1827,
																												BgL_arg2349z00_4261,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																					}}}}}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd21327zd2_1829;

																						BgL_cdrzd21327zd2_1829 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_carzd21331zd2_1830;

																							BgL_carzd21331zd2_1830 =
																								CAR(BgL_cdrzd21327zd2_1829);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_arg2243z00_1831;
																								obj_t BgL_arg2244z00_1832;
																								obj_t BgL_arg2245z00_1833;

																								BgL_arg2243z00_1831 =
																									CAR(BgL_carzd21331zd2_1830);
																								BgL_arg2244z00_1832 =
																									CDR(BgL_carzd21331zd2_1830);
																								BgL_arg2245z00_1833 =
																									CDR(BgL_cdrzd21327zd2_1829);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg2349z00_4276;

																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg2350z00_4277;

																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg2352z00_4278;

																											{	/* Ast/unit.scm 208 */
																												obj_t BgL_pairz00_4279;

																												BgL_pairz00_4279 =
																													BgL_sexpz00_36;
																												BgL_arg2352z00_4278 =
																													CDR(CDR
																													(BgL_pairz00_4279));
																											}
																											BgL_arg2350z00_4277 =
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_arg2352z00_4278);
																										}
																										BgL_arg2349z00_4276 =
																											BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																											(BgL_arg2245z00_1833,
																											BgL_sexpz00_36,
																											BgL_arg2350z00_4277);
																									}
																									return
																										BGl_makezd2sfunzd2definitionz00zzast_unitz00
																										(BgL_arg2243z00_1831,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2244z00_1832,
																										BgL_arg2349z00_4276,
																										BgL_sexpz00_36,
																										CNST_TABLE_REF(((long)
																												16)));
																			}}}}}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd21348zd2_1834;

																				BgL_cdrzd21348zd2_1834 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_carzd21352zd2_1835;

																					BgL_carzd21352zd2_1835 =
																						CAR(BgL_cdrzd21348zd2_1834);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg2246z00_1836;
																						obj_t BgL_arg2247z00_1837;
																						obj_t BgL_arg2248z00_1838;

																						BgL_arg2246z00_1836 =
																							CAR(BgL_carzd21352zd2_1835);
																						BgL_arg2247z00_1837 =
																							CDR(BgL_carzd21352zd2_1835);
																						BgL_arg2248z00_1838 =
																							CDR(BgL_cdrzd21348zd2_1834);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg2349z00_4291;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_arg2350z00_4292;

																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg2352z00_4293;

																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_pairz00_4294;

																										BgL_pairz00_4294 =
																											BgL_sexpz00_36;
																										BgL_arg2352z00_4293 =
																											CDR(CDR
																											(BgL_pairz00_4294));
																									}
																									BgL_arg2350z00_4292 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_arg2352z00_4293);
																								}
																								BgL_arg2349z00_4291 =
																									BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																									(BgL_arg2248z00_1838,
																									BgL_sexpz00_36,
																									BgL_arg2350z00_4292);
																							}
																							return
																								BGl_makezd2sfunzd2definitionz00zzast_unitz00
																								(BgL_arg2246z00_1836,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2247z00_1837,
																								BgL_arg2349z00_4291,
																								BgL_sexpz00_36,
																								CNST_TABLE_REF(((long) 16)));
																	}}}}}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21369zd2_1840;

																		BgL_cdrzd21369zd2_1840 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_carzd21373zd2_1841;

																			BgL_carzd21373zd2_1841 =
																				CAR(BgL_cdrzd21369zd2_1840);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg2250z00_1842;
																				obj_t BgL_arg2251z00_1843;
																				obj_t BgL_arg2252z00_1844;

																				BgL_arg2250z00_1842 =
																					CAR(BgL_carzd21373zd2_1841);
																				BgL_arg2251z00_1843 =
																					CDR(BgL_carzd21373zd2_1841);
																				BgL_arg2252z00_1844 =
																					CDR(BgL_cdrzd21369zd2_1840);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg2349z00_4306;

																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg2350z00_4307;

																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg2352z00_4308;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_pairz00_4309;

																								BgL_pairz00_4309 =
																									BgL_sexpz00_36;
																								BgL_arg2352z00_4308 =
																									CDR(CDR(BgL_pairz00_4309));
																							}
																							BgL_arg2350z00_4307 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2352z00_4308);
																						}
																						BgL_arg2349z00_4306 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg2252z00_1844,
																							BgL_sexpz00_36,
																							BgL_arg2350z00_4307);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_arg2250z00_1842,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2251z00_1843,
																						BgL_arg2349z00_4306, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 16)));
															}}}}}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1649;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														goto BgL_tagzd2372zd2_1649;
													}
											}
										else
											{	/* Ast/unit.scm 208 */
												obj_t BgL_cdrzd21452zd2_1845;

												BgL_cdrzd21452zd2_1845 = CDR(BgL_sexpz00_36);
												if (
													(CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 17))))
													{	/* Ast/unit.scm 208 */
														if (PAIRP(BgL_cdrzd21452zd2_1845))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd21457zd2_1848;

																BgL_carzd21457zd2_1848 =
																	CAR(BgL_cdrzd21452zd2_1845);
																if (PAIRP(BgL_carzd21457zd2_1848))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd21462zd2_1850;

																		BgL_carzd21462zd2_1850 =
																			CAR(BgL_carzd21457zd2_1848);
																		if (PAIRP(BgL_carzd21462zd2_1850))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd21467zd2_1852;

																				BgL_cdrzd21467zd2_1852 =
																					CDR(BgL_carzd21462zd2_1850);
																				if (
																					(CAR(BgL_carzd21462zd2_1850) ==
																						CNST_TABLE_REF(((long) 0))))
																					{	/* Ast/unit.scm 208 */
																						if (PAIRP(BgL_cdrzd21467zd2_1852))
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd21471zd2_1855;

																								BgL_cdrzd21471zd2_1855 =
																									CDR(BgL_cdrzd21467zd2_1852);
																								if (PAIRP
																									(BgL_cdrzd21471zd2_1855))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd21471zd2_1855)))
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2261z00_1858;
																												obj_t
																													BgL_arg2262z00_1859;
																												obj_t
																													BgL_arg2263z00_1860;
																												obj_t
																													BgL_arg2264z00_1861;
																												BgL_arg2261z00_1858 =
																													CAR
																													(BgL_cdrzd21467zd2_1852);
																												BgL_arg2262z00_1859 =
																													CAR
																													(BgL_cdrzd21471zd2_1855);
																												BgL_arg2263z00_1860 =
																													CDR
																													(BgL_carzd21457zd2_1848);
																												BgL_arg2264z00_1861 =
																													CDR
																													(BgL_cdrzd21452zd2_1845);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_list2353z00_4341;
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_arg2354z00_4342;
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg2355z00_4343;
																															BgL_arg2355z00_4343
																																=
																																MAKE_PAIR
																																(BgL_sexpz00_36,
																																BNIL);
																															BgL_arg2354z00_4342
																																=
																																MAKE_PAIR
																																(BGl_string3298z00zzast_unitz00,
																																BgL_arg2355z00_4343);
																														}
																														BgL_list2353z00_4341
																															=
																															MAKE_PAIR
																															(BGl_string3299z00zzast_unitz00,
																															BgL_arg2354z00_4342);
																													}
																													BGl_warningz00zz__errorz00
																														(BgL_list2353z00_4341);
																												}
																												return
																													BGl_makezd2genericzd2definitionz00zzast_unitz00
																													(BgL_arg2261z00_1858,
																													BgL_arg2262z00_1859,
																													BgL_arg2263z00_1860,
																													BgL_arg2264z00_1861,
																													BgL_sexpz00_36,
																													BgL_gdefsz00_37);
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd21490zd2_1863;
																												BgL_carzd21490zd2_1863 =
																													CAR
																													(BgL_cdrzd21452zd2_1845);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg2265z00_1864;
																													obj_t
																														BgL_arg2266z00_1865;
																													obj_t
																														BgL_arg2267z00_1866;
																													BgL_arg2265z00_1864 =
																														CAR
																														(BgL_carzd21490zd2_1863);
																													BgL_arg2266z00_1865 =
																														CDR
																														(BgL_carzd21490zd2_1863);
																													BgL_arg2267z00_1866 =
																														CDR
																														(BgL_cdrzd21452zd2_1845);
																													return
																														BGl_makezd2genericzd2definitionz00zzast_unitz00
																														(BgL_arg2265z00_1864,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2266z00_1865,
																														BgL_arg2267z00_1866,
																														BgL_sexpz00_36,
																														BgL_gdefsz00_37);
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_carzd21510zd2_1869;
																										BgL_carzd21510zd2_1869 =
																											CAR
																											(BgL_cdrzd21452zd2_1845);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg2269z00_1870;
																											obj_t BgL_arg2270z00_1871;
																											obj_t BgL_arg2271z00_1872;

																											BgL_arg2269z00_1870 =
																												CAR
																												(BgL_carzd21510zd2_1869);
																											BgL_arg2270z00_1871 =
																												CDR
																												(BgL_carzd21510zd2_1869);
																											BgL_arg2271z00_1872 =
																												CDR
																												(BgL_cdrzd21452zd2_1845);
																											return
																												BGl_makezd2genericzd2definitionz00zzast_unitz00
																												(BgL_arg2269z00_1870,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2270z00_1871,
																												BgL_arg2271z00_1872,
																												BgL_sexpz00_36,
																												BgL_gdefsz00_37);
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd21530zd2_1874;

																								BgL_carzd21530zd2_1874 =
																									CAR(BgL_cdrzd21452zd2_1845);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg2272z00_1875;
																									obj_t BgL_arg2273z00_1876;
																									obj_t BgL_arg2274z00_1877;

																									BgL_arg2272z00_1875 =
																										CAR(BgL_carzd21530zd2_1874);
																									BgL_arg2273z00_1876 =
																										CDR(BgL_carzd21530zd2_1874);
																									BgL_arg2274z00_1877 =
																										CDR(BgL_cdrzd21452zd2_1845);
																									return
																										BGl_makezd2genericzd2definitionz00zzast_unitz00
																										(BgL_arg2272z00_1875,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2273z00_1876,
																										BgL_arg2274z00_1877,
																										BgL_sexpz00_36,
																										BgL_gdefsz00_37);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd21550zd2_1879;

																						BgL_carzd21550zd2_1879 =
																							CAR(BgL_cdrzd21452zd2_1845);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg2275z00_1880;
																							obj_t BgL_arg2276z00_1881;
																							obj_t BgL_arg2277z00_1882;

																							BgL_arg2275z00_1880 =
																								CAR(BgL_carzd21550zd2_1879);
																							BgL_arg2276z00_1881 =
																								CDR(BgL_carzd21550zd2_1879);
																							BgL_arg2277z00_1882 =
																								CDR(BgL_cdrzd21452zd2_1845);
																							return
																								BGl_makezd2genericzd2definitionz00zzast_unitz00
																								(BgL_arg2275z00_1880,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2276z00_1881,
																								BgL_arg2277z00_1882,
																								BgL_sexpz00_36,
																								BgL_gdefsz00_37);
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd21570zd2_1885;

																				BgL_carzd21570zd2_1885 =
																					CAR(BgL_cdrzd21452zd2_1845);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg2279z00_1886;
																					obj_t BgL_arg2280z00_1887;
																					obj_t BgL_arg2281z00_1888;

																					BgL_arg2279z00_1886 =
																						CAR(BgL_carzd21570zd2_1885);
																					BgL_arg2280z00_1887 =
																						CDR(BgL_carzd21570zd2_1885);
																					BgL_arg2281z00_1888 =
																						CDR(BgL_cdrzd21452zd2_1845);
																					return
																						BGl_makezd2genericzd2definitionz00zzast_unitz00
																						(BgL_arg2279z00_1886,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2280z00_1887,
																						BgL_arg2281z00_1888, BgL_sexpz00_36,
																						BgL_gdefsz00_37);
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd2372zd2_1649;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1649;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														if (
															(CAR(BgL_sexpz00_36) ==
																CNST_TABLE_REF(((long) 18))))
															{	/* Ast/unit.scm 208 */
																if (PAIRP(BgL_cdrzd21452zd2_1845))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd21620zd2_1892;

																		BgL_carzd21620zd2_1892 =
																			CAR(BgL_cdrzd21452zd2_1845);
																		if (PAIRP(BgL_carzd21620zd2_1892))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg2285z00_1894;
																				obj_t BgL_arg2286z00_1895;
																				obj_t BgL_arg2287z00_1896;

																				BgL_arg2285z00_1894 =
																					CAR(BgL_carzd21620zd2_1892);
																				BgL_arg2286z00_1895 =
																					CDR(BgL_carzd21620zd2_1892);
																				BgL_arg2287z00_1896 =
																					CDR(BgL_cdrzd21452zd2_1845);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg2356z00_4397;

																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg2357z00_4398;

																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg2358z00_4399;

																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_pairz00_4400;

																								BgL_pairz00_4400 =
																									BgL_sexpz00_36;
																								BgL_arg2358z00_4399 =
																									CDR(CDR(BgL_pairz00_4400));
																							}
																							BgL_arg2357z00_4398 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2358z00_4399);
																						}
																						BgL_arg2356z00_4397 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_arg2287z00_1896,
																							BgL_sexpz00_36,
																							BgL_arg2357z00_4398);
																					}
																					return
																						BGl_makezd2methodzd2definitionz00zzast_unitz00
																						(BgL_arg2285z00_1894,
																						BgL_arg2286z00_1895,
																						BgL_arg2356z00_4397,
																						BgL_sexpz00_36);
																				}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				goto BgL_tagzd2372zd2_1649;
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd2372zd2_1649;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1649;
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/unit.scm 208 */
						goto BgL_tagzd2372zd2_1649;
					}
			}
		}
	}



/* normalize-progn/error */
	obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_38,
		obj_t BgL_srcz00_39, obj_t BgL_locz00_40)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 348 */
			if (NULLP(BgL_expz00_38))
				{	/* Ast/unit.scm 350 */
					obj_t BgL_arg2361z00_1986;

					BgL_arg2361z00_1986 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_39);
					return
						((obj_t)
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
						(BGl_string3300z00zzast_unitz00, BgL_srcz00_39,
							BgL_arg2361z00_1986));
				}
			else
				{	/* Ast/unit.scm 351 */
					obj_t BgL_expz00_1987;

					BgL_expz00_1987 =
						BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_38);
					if (CBOOL(BgL_locz00_40))
						{	/* Ast/unit.scm 355 */
							bool_t BgL_testz00_5788;

							{	/* Ast/unit.scm 355 */
								bool_t BgL_res3157z00_4407;

								BgL_res3157z00_4407 = EXTENDED_PAIRP(BgL_expz00_1987);
								BgL_testz00_5788 = BgL_res3157z00_4407;
							}
							if (BgL_testz00_5788)
								{	/* Ast/unit.scm 355 */
									return BgL_expz00_1987;
								}
							else
								{	/* Ast/unit.scm 355 */
									if (PAIRP(BgL_expz00_1987))
										{	/* Ast/unit.scm 358 */
											obj_t BgL_arg2364z00_1990;
											obj_t BgL_arg2365z00_1991;

											BgL_arg2364z00_1990 = CAR(BgL_expz00_1987);
											BgL_arg2365z00_1991 = CDR(BgL_expz00_1987);
											{	/* Ast/unit.scm 358 */
												obj_t BgL_res3159z00_4415;

												BgL_res3159z00_4415 =
													MAKE_EXTENDED_PAIR(BgL_arg2364z00_1990,
													BgL_arg2365z00_1991, BgL_locz00_40);
												return BgL_res3159z00_4415;
											}
										}
									else
										{	/* Ast/unit.scm 360 */
											obj_t BgL_arg2366z00_1992;

											{	/* Ast/unit.scm 360 */
												obj_t BgL_list2367z00_1993;

												BgL_list2367z00_1993 = MAKE_PAIR(BgL_expz00_1987, BNIL);
												BgL_arg2366z00_1992 = BgL_list2367z00_1993;
											}
											{	/* Ast/unit.scm 360 */
												obj_t BgL_res3161z00_4421;

												{	/* Ast/unit.scm 360 */
													obj_t BgL_obj1z00_4418;

													BgL_obj1z00_4418 = CNST_TABLE_REF(((long) 2));
													BgL_res3161z00_4421 =
														MAKE_EXTENDED_PAIR(BgL_obj1z00_4418,
														BgL_arg2366z00_1992, BgL_locz00_40);
												}
												return BgL_res3161z00_4421;
											}
										}
								}
						}
					else
						{	/* Ast/unit.scm 353 */
							return BgL_expz00_1987;
						}
				}
		}
	}



/* eta-expanse */
	obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_44,
		obj_t BgL_arityz00_45)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 378 */
			{	/* Ast/unit.scm 379 */
				obj_t BgL_argsz00_2001;

				BgL_argsz00_2001 =
					BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_45);
				{
					obj_t BgL_varz00_2070;
					obj_t BgL_id2z00_2071;
					obj_t BgL_modulez00_2072;

					if (PAIRP(BgL_sexpz00_44))
						{	/* Ast/unit.scm 403 */
							obj_t BgL_cdrzd21729zd2_2013;

							BgL_cdrzd21729zd2_2013 = CDR(BgL_sexpz00_44);
							if ((CAR(BgL_sexpz00_44) == CNST_TABLE_REF(((long) 14))))
								{	/* Ast/unit.scm 403 */
									if (PAIRP(BgL_cdrzd21729zd2_2013))
										{	/* Ast/unit.scm 403 */
											obj_t BgL_cdrzd21734zd2_2016;

											BgL_cdrzd21734zd2_2016 = CDR(BgL_cdrzd21729zd2_2013);
											if (PAIRP(BgL_cdrzd21734zd2_2016))
												{	/* Ast/unit.scm 403 */
													obj_t BgL_carzd21738zd2_2018;

													BgL_carzd21738zd2_2018 = CAR(BgL_cdrzd21734zd2_2016);
													if (PAIRP(BgL_carzd21738zd2_2018))
														{	/* Ast/unit.scm 403 */
															obj_t BgL_cdrzd21743zd2_2020;

															BgL_cdrzd21743zd2_2020 =
																CDR(BgL_carzd21738zd2_2018);
															if (
																(CAR(BgL_carzd21738zd2_2018) ==
																	CNST_TABLE_REF(((long) 0))))
																{	/* Ast/unit.scm 403 */
																	if (PAIRP(BgL_cdrzd21743zd2_2020))
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_cdrzd21747zd2_2023;

																			BgL_cdrzd21747zd2_2023 =
																				CDR(BgL_cdrzd21743zd2_2020);
																			if (PAIRP(BgL_cdrzd21747zd2_2023))
																				{	/* Ast/unit.scm 403 */
																					if (NULLP(CDR
																							(BgL_cdrzd21747zd2_2023)))
																						{	/* Ast/unit.scm 403 */
																							if (NULLP(CDR
																									(BgL_cdrzd21734zd2_2016)))
																								{	/* Ast/unit.scm 403 */
																									obj_t BgL_arg2385z00_2028;
																									obj_t BgL_arg2386z00_2029;

																									BgL_arg2385z00_2028 =
																										CAR(BgL_cdrzd21743zd2_2020);
																									BgL_arg2386z00_2029 =
																										CAR(BgL_cdrzd21747zd2_2023);
																									{	/* Ast/unit.scm 403 */
																										obj_t BgL_id2z00_4471;

																										BgL_id2z00_4471 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2385z00_2028,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										{	/* Ast/unit.scm 403 */

																											{	/* Ast/unit.scm 403 */
																												obj_t BgL_auxz00_5834;

																												BgL_varz00_2070 =
																													BgL_arg2385z00_2028;
																												BgL_id2z00_2071 =
																													BgL_id2z00_4471;
																												BgL_modulez00_2072 =
																													BgL_arg2386z00_2029;
																												if (((long)
																														CINT
																														(BgL_arityz00_45) >=
																														((long) 0)))
																													{	/* Ast/unit.scm 383 */
																														obj_t
																															BgL_arg2420z00_2075;
																														{	/* Ast/unit.scm 383 */
																															obj_t
																																BgL_arg2421z00_2076;
																															obj_t
																																BgL_arg2422z00_2077;
																															BgL_arg2421z00_2076
																																=
																																MAKE_PAIR
																																(BgL_varz00_2070,
																																BgL_argsz00_2001);
																															{	/* Ast/unit.scm 384 */
																																obj_t
																																	BgL_arg2423z00_2078;
																																{	/* Ast/unit.scm 384 */
																																	obj_t
																																		BgL_arg2424z00_2079;
																																	obj_t
																																		BgL_arg2425z00_2080;
																																	{	/* Ast/unit.scm 384 */
																																		obj_t
																																			BgL_arg2426z00_2081;
																																		{	/* Ast/unit.scm 384 */
																																			obj_t
																																				BgL_arg2427z00_2082;
																																			BgL_arg2427z00_2082
																																				=
																																				MAKE_PAIR
																																				(BgL_modulez00_2072,
																																				BNIL);
																																			BgL_arg2426z00_2081
																																				=
																																				MAKE_PAIR
																																				(BgL_id2z00_2071,
																																				BgL_arg2427z00_2082);
																																		}
																																		BgL_arg2424z00_2079
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_arg2426z00_2081);
																																	}
																																	BgL_arg2425z00_2080
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argsz00_2001,
																																		BNIL);
																																	BgL_arg2423z00_2078
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2424z00_2079,
																																		BgL_arg2425z00_2080);
																																}
																																BgL_arg2422z00_2077
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2423z00_2078,
																																	BNIL);
																															}
																															BgL_arg2420z00_2075
																																=
																																MAKE_PAIR
																																(BgL_arg2421z00_2076,
																																BgL_arg2422z00_2077);
																														}
																														BgL_auxz00_5834 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 14)),
																															BgL_arg2420z00_2075);
																													}
																												else
																													{	/* Ast/unit.scm 382 */
																														if (
																															((long)
																																CINT
																																(BgL_arityz00_45)
																																== ((long) -1)))
																															{	/* Ast/unit.scm 386 */
																																obj_t
																																	BgL_arg2429z00_2084;
																																{	/* Ast/unit.scm 386 */
																																	obj_t
																																		BgL_arg2430z00_2085;
																																	obj_t
																																		BgL_arg2431z00_2086;
																																	BgL_arg2430z00_2085
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_2070,
																																		BgL_argsz00_2001);
																																	{	/* Ast/unit.scm 387 */
																																		obj_t
																																			BgL_arg2432z00_2087;
																																		{	/* Ast/unit.scm 387 */
																																			obj_t
																																				BgL_arg2433z00_2088;
																																			{	/* Ast/unit.scm 387 */
																																				obj_t
																																					BgL_arg2434z00_2089;
																																				obj_t
																																					BgL_arg2435z00_2090;
																																				{	/* Ast/unit.scm 387 */
																																					obj_t
																																						BgL_arg2436z00_2091;
																																					{	/* Ast/unit.scm 387 */
																																						obj_t
																																							BgL_arg2437z00_2092;
																																						BgL_arg2437z00_2092
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_2072,
																																							BNIL);
																																						BgL_arg2436z00_2091
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_2071,
																																							BgL_arg2437z00_2092);
																																					}
																																					BgL_arg2434z00_2089
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2436z00_2091);
																																				}
																																				BgL_arg2435z00_2090
																																					=
																																					MAKE_PAIR
																																					(BgL_argsz00_2001,
																																					BNIL);
																																				BgL_arg2433z00_2088
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2434z00_2089,
																																					BgL_arg2435z00_2090);
																																			}
																																			BgL_arg2432z00_2087
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg2433z00_2088);
																																		}
																																		BgL_arg2431z00_2086
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2432z00_2087,
																																			BNIL);
																																	}
																																	BgL_arg2429z00_2084
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2430z00_2085,
																																		BgL_arg2431z00_2086);
																																}
																																BgL_auxz00_5834
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2429z00_2084);
																															}
																														else
																															{	/* Ast/unit.scm 389 */
																																obj_t
																																	BgL_arg2438z00_2093;
																																{	/* Ast/unit.scm 389 */
																																	obj_t
																																		BgL_arg2439z00_2094;
																																	obj_t
																																		BgL_arg2440z00_2095;
																																	BgL_arg2439z00_2094
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_2070,
																																		BgL_argsz00_2001);
																																	{	/* Ast/unit.scm 390 */
																																		obj_t
																																			BgL_arg2441z00_2096;
																																		{	/* Ast/unit.scm 390 */
																																			obj_t
																																				BgL_arg2442z00_2097;
																																			{	/* Ast/unit.scm 390 */
																																				obj_t
																																					BgL_arg2443z00_2098;
																																				obj_t
																																					BgL_arg2444z00_2099;
																																				{	/* Ast/unit.scm 390 */
																																					obj_t
																																						BgL_arg2445z00_2100;
																																					{	/* Ast/unit.scm 390 */
																																						obj_t
																																							BgL_arg2446z00_2101;
																																						BgL_arg2446z00_2101
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_2072,
																																							BNIL);
																																						BgL_arg2445z00_2100
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_2071,
																																							BgL_arg2446z00_2101);
																																					}
																																					BgL_arg2443z00_2098
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2445z00_2100);
																																				}
																																				{	/* Ast/unit.scm 391 */
																																					obj_t
																																						BgL_arg2447z00_2102;
																																					{	/* Ast/unit.scm 391 */
																																						obj_t
																																							BgL_arg2448z00_2103;
																																						BgL_arg2448z00_2103
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																																							(BgL_argsz00_2001),
																																							BNIL);
																																						BgL_arg2447z00_2102
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 20)), BgL_arg2448z00_2103);
																																					}
																																					BgL_arg2444z00_2099
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2447z00_2102,
																																						BNIL);
																																				}
																																				BgL_arg2442z00_2097
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2443z00_2098,
																																					BgL_arg2444z00_2099);
																																			}
																																			BgL_arg2441z00_2096
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg2442z00_2097);
																																		}
																																		BgL_arg2440z00_2095
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2441z00_2096,
																																			BNIL);
																																	}
																																	BgL_arg2438z00_2093
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2439z00_2094,
																																		BgL_arg2440z00_2095);
																																}
																																BgL_auxz00_5834
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2438z00_2093);
																													}}
																												return
																													BGl_replacez12z12zztools_miscz00
																													(BgL_sexpz00_44,
																													BgL_auxz00_5834);
																											}
																										}
																									}
																								}
																							else
																								{	/* Ast/unit.scm 403 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Ast/unit.scm 403 */
																							obj_t BgL_cdrzd21769zd2_2032;

																							BgL_cdrzd21769zd2_2032 =
																								CDR(BgL_cdrzd21729zd2_2013);
																							if (NULLP(CDR
																									(BgL_cdrzd21769zd2_2032)))
																								{	/* Ast/unit.scm 403 */
																									obj_t BgL_arg2389z00_2034;
																									obj_t BgL_arg2390z00_2035;

																									BgL_arg2389z00_2034 =
																										CAR(BgL_cdrzd21729zd2_2013);
																									BgL_arg2390z00_2035 =
																										CAR(BgL_cdrzd21769zd2_2032);
																									{	/* Ast/unit.scm 403 */
																										obj_t BgL_id2z00_4483;

																										BgL_id2z00_4483 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2390z00_2035,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										return
																											BGl_replacez12z12zztools_miscz00
																											(BgL_sexpz00_44,
																											BGl_dozd2etazd2expansez00zzast_unitz00
																											(BgL_arityz00_45,
																												BgL_argsz00_2001,
																												BgL_arg2389z00_2034,
																												BgL_id2z00_4483));
																									}
																								}
																							else
																								{	/* Ast/unit.scm 403 */
																									return BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Ast/unit.scm 403 */
																					obj_t BgL_cdrzd21787zd2_2039;

																					BgL_cdrzd21787zd2_2039 =
																						CDR(BgL_cdrzd21729zd2_2013);
																					if (NULLP(CDR
																							(BgL_cdrzd21787zd2_2039)))
																						{	/* Ast/unit.scm 403 */
																							obj_t BgL_arg2394z00_2041;
																							obj_t BgL_arg2395z00_2042;

																							BgL_arg2394z00_2041 =
																								CAR(BgL_cdrzd21729zd2_2013);
																							BgL_arg2395z00_2042 =
																								CAR(BgL_cdrzd21787zd2_2039);
																							{	/* Ast/unit.scm 403 */
																								obj_t BgL_id2z00_4495;

																								BgL_id2z00_4495 =
																									BGl_idzd2ofzd2idz00zzast_identz00
																									(BgL_arg2395z00_2042,
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_sexpz00_44));
																								return
																									BGl_replacez12z12zztools_miscz00
																									(BgL_sexpz00_44,
																									BGl_dozd2etazd2expansez00zzast_unitz00
																									(BgL_arityz00_45,
																										BgL_argsz00_2001,
																										BgL_arg2394z00_2041,
																										BgL_id2z00_4495));
																							}
																						}
																					else
																						{	/* Ast/unit.scm 403 */
																							return BFALSE;
																						}
																				}
																		}
																	else
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_cdrzd21805zd2_2045;

																			BgL_cdrzd21805zd2_2045 =
																				CDR(BgL_cdrzd21729zd2_2013);
																			if (NULLP(CDR(BgL_cdrzd21805zd2_2045)))
																				{	/* Ast/unit.scm 403 */
																					obj_t BgL_arg2398z00_2047;
																					obj_t BgL_arg2399z00_2048;

																					BgL_arg2398z00_2047 =
																						CAR(BgL_cdrzd21729zd2_2013);
																					BgL_arg2399z00_2048 =
																						CAR(BgL_cdrzd21805zd2_2045);
																					{	/* Ast/unit.scm 403 */
																						obj_t BgL_id2z00_4507;

																						BgL_id2z00_4507 =
																							BGl_idzd2ofzd2idz00zzast_identz00
																							(BgL_arg2399z00_2048,
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_sexpz00_44));
																						return
																							BGl_replacez12z12zztools_miscz00
																							(BgL_sexpz00_44,
																							BGl_dozd2etazd2expansez00zzast_unitz00
																							(BgL_arityz00_45,
																								BgL_argsz00_2001,
																								BgL_arg2398z00_2047,
																								BgL_id2z00_4507));
																					}
																				}
																			else
																				{	/* Ast/unit.scm 403 */
																					return BFALSE;
																				}
																		}
																}
															else
																{	/* Ast/unit.scm 403 */
																	obj_t BgL_cdrzd21823zd2_2051;

																	BgL_cdrzd21823zd2_2051 =
																		CDR(BgL_cdrzd21729zd2_2013);
																	if (NULLP(CDR(BgL_cdrzd21823zd2_2051)))
																		{	/* Ast/unit.scm 403 */
																			obj_t BgL_arg2403z00_2053;
																			obj_t BgL_arg2405z00_2054;

																			BgL_arg2403z00_2053 =
																				CAR(BgL_cdrzd21729zd2_2013);
																			BgL_arg2405z00_2054 =
																				CAR(BgL_cdrzd21823zd2_2051);
																			{	/* Ast/unit.scm 403 */
																				obj_t BgL_id2z00_4519;

																				BgL_id2z00_4519 =
																					BGl_idzd2ofzd2idz00zzast_identz00
																					(BgL_arg2405z00_2054,
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_sexpz00_44));
																				return
																					BGl_replacez12z12zztools_miscz00
																					(BgL_sexpz00_44,
																					BGl_dozd2etazd2expansez00zzast_unitz00
																					(BgL_arityz00_45, BgL_argsz00_2001,
																						BgL_arg2403z00_2053,
																						BgL_id2z00_4519));
																			}
																		}
																	else
																		{	/* Ast/unit.scm 403 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Ast/unit.scm 403 */
															obj_t BgL_cdrzd21841zd2_2058;

															BgL_cdrzd21841zd2_2058 =
																CDR(BgL_cdrzd21729zd2_2013);
															if (NULLP(CDR(BgL_cdrzd21841zd2_2058)))
																{	/* Ast/unit.scm 403 */
																	obj_t BgL_arg2409z00_2060;
																	obj_t BgL_arg2410z00_2061;

																	BgL_arg2409z00_2060 =
																		CAR(BgL_cdrzd21729zd2_2013);
																	BgL_arg2410z00_2061 =
																		CAR(BgL_cdrzd21841zd2_2058);
																	{	/* Ast/unit.scm 403 */
																		obj_t BgL_id2z00_4531;

																		BgL_id2z00_4531 =
																			BGl_idzd2ofzd2idz00zzast_identz00
																			(BgL_arg2410z00_2061,
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_sexpz00_44));
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_sexpz00_44,
																			BGl_dozd2etazd2expansez00zzast_unitz00
																			(BgL_arityz00_45, BgL_argsz00_2001,
																				BgL_arg2409z00_2060, BgL_id2z00_4531));
																	}
																}
															else
																{	/* Ast/unit.scm 403 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Ast/unit.scm 403 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/unit.scm 403 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/unit.scm 403 */
									return BFALSE;
								}
						}
					else
						{	/* Ast/unit.scm 403 */
							return BFALSE;
						}
				}
			}
		}
	}



/* do-eta-expanse */
	obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t BgL_arityz00_5003,
		obj_t BgL_argsz00_5002, obj_t BgL_varz00_2105, obj_t BgL_id2z00_2106)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 402 */
			if (((long) CINT(BgL_arityz00_5003) >= ((long) 0)))
				{	/* Ast/unit.scm 395 */
					obj_t BgL_arg2452z00_2109;

					{	/* Ast/unit.scm 395 */
						obj_t BgL_arg2453z00_2110;
						obj_t BgL_arg2454z00_2111;

						BgL_arg2453z00_2110 = MAKE_PAIR(BgL_varz00_2105, BgL_argsz00_5002);
						{	/* Ast/unit.scm 396 */
							obj_t BgL_arg2455z00_2112;

							BgL_arg2455z00_2112 =
								MAKE_PAIR(BgL_id2z00_2106,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_argsz00_5002, BNIL));
							BgL_arg2454z00_2111 = MAKE_PAIR(BgL_arg2455z00_2112, BNIL);
						}
						BgL_arg2452z00_2109 =
							MAKE_PAIR(BgL_arg2453z00_2110, BgL_arg2454z00_2111);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2452z00_2109);
				}
			else
				{	/* Ast/unit.scm 394 */
					if (((long) CINT(BgL_arityz00_5003) == ((long) -1)))
						{	/* Ast/unit.scm 398 */
							obj_t BgL_arg2458z00_2115;

							{	/* Ast/unit.scm 398 */
								obj_t BgL_arg2459z00_2116;
								obj_t BgL_arg2460z00_2117;

								BgL_arg2459z00_2116 =
									MAKE_PAIR(BgL_varz00_2105, BgL_argsz00_5002);
								{	/* Ast/unit.scm 399 */
									obj_t BgL_arg2461z00_2118;

									{	/* Ast/unit.scm 399 */
										obj_t BgL_arg2462z00_2119;

										{	/* Ast/unit.scm 399 */
											obj_t BgL_arg2463z00_2120;

											BgL_arg2463z00_2120 = MAKE_PAIR(BgL_argsz00_5002, BNIL);
											BgL_arg2462z00_2119 =
												MAKE_PAIR(BgL_id2z00_2106, BgL_arg2463z00_2120);
										}
										BgL_arg2461z00_2118 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg2462z00_2119);
									}
									BgL_arg2460z00_2117 = MAKE_PAIR(BgL_arg2461z00_2118, BNIL);
								}
								BgL_arg2458z00_2115 =
									MAKE_PAIR(BgL_arg2459z00_2116, BgL_arg2460z00_2117);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2458z00_2115);
						}
					else
						{	/* Ast/unit.scm 401 */
							obj_t BgL_arg2464z00_2121;

							{	/* Ast/unit.scm 401 */
								obj_t BgL_arg2465z00_2122;
								obj_t BgL_arg2466z00_2123;

								BgL_arg2465z00_2122 =
									MAKE_PAIR(BgL_varz00_2105, BgL_argsz00_5002);
								{	/* Ast/unit.scm 402 */
									obj_t BgL_arg2467z00_2124;

									{	/* Ast/unit.scm 402 */
										obj_t BgL_arg2468z00_2125;

										{	/* Ast/unit.scm 402 */
											obj_t BgL_arg2469z00_2126;

											{	/* Ast/unit.scm 402 */
												obj_t BgL_arg2470z00_2127;

												{	/* Ast/unit.scm 402 */
													obj_t BgL_arg2471z00_2128;

													BgL_arg2471z00_2128 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_5002), BNIL);
													BgL_arg2470z00_2127 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
														BgL_arg2471z00_2128);
												}
												BgL_arg2469z00_2126 =
													MAKE_PAIR(BgL_arg2470z00_2127, BNIL);
											}
											BgL_arg2468z00_2125 =
												MAKE_PAIR(BgL_id2z00_2106, BgL_arg2469z00_2126);
										}
										BgL_arg2467z00_2124 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg2468z00_2125);
									}
									BgL_arg2466z00_2123 = MAKE_PAIR(BgL_arg2467z00_2124, BNIL);
								}
								BgL_arg2464z00_2121 =
									MAKE_PAIR(BgL_arg2465z00_2122, BgL_arg2466z00_2123);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2464z00_2121);
		}}}
	}



/* make-sfun-definition */
	obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_46,
		obj_t BgL_modulez00_47, obj_t BgL_argsz00_48, obj_t BgL_bodyz00_49,
		obj_t BgL_srcz00_50, obj_t BgL_classz00_51)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 414 */
			{	/* Ast/unit.scm 415 */
				obj_t BgL_locz00_2132;
				obj_t BgL_optsz00_2133;
				obj_t BgL_keysz00_2134;

				BgL_locz00_2132 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_50);
				BgL_optsz00_2133 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_48);
				BgL_keysz00_2134 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_48);
				if (NULLP(BgL_optsz00_2133))
					{	/* Ast/unit.scm 419 */
						if (NULLP(BgL_keysz00_2134))
							{	/* Ast/unit.scm 421 */
								return
									BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00
									(BgL_idz00_46, BgL_modulez00_47, BgL_argsz00_48,
									BgL_bodyz00_49, BgL_srcz00_50, BgL_classz00_51,
									BgL_locz00_2132);
							}
						else
							{	/* Ast/unit.scm 421 */
								return
									BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_2134, BgL_idz00_46, BgL_modulez00_47,
									BgL_argsz00_48, BgL_bodyz00_49, BgL_srcz00_50,
									BgL_classz00_51, BgL_locz00_2132);
							}
					}
				else
					{	/* Ast/unit.scm 419 */
						return
							BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00
							(BgL_optsz00_2133, BgL_idz00_46, BgL_modulez00_47, BgL_argsz00_48,
							BgL_bodyz00_49, BgL_srcz00_50, BgL_classz00_51, BgL_locz00_2132);
					}
			}
		}
	}



/* make-sfun-opt-definition */
	obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t
		BgL_optionalsz00_52, obj_t BgL_idz00_53, obj_t BgL_modulez00_54,
		obj_t BgL_argsz00_55, obj_t BgL_bodyz00_56, obj_t BgL_srcz00_57,
		obj_t BgL_classz00_58, obj_t BgL_locz00_59)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 429 */
			{	/* Ast/unit.scm 430 */
				obj_t BgL_localsz00_2137;

				{	/* Ast/unit.scm 430 */
					obj_t BgL_arg2477z00_2142;
					obj_t BgL_arg2478z00_2143;

					{	/* Ast/unit.scm 430 */
						obj_t BgL_l1886z00_2144;

						BgL_l1886z00_2144 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_55);
						if (NULLP(BgL_l1886z00_2144))
							{	/* Ast/unit.scm 430 */
								BgL_arg2477z00_2142 = BNIL;
							}
						else
							{	/* Ast/unit.scm 430 */
								obj_t BgL_head1888z00_2146;

								{	/* Ast/unit.scm 430 */
									obj_t BgL_res3182z00_4542;

									BgL_res3182z00_4542 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1888z00_2146 = BgL_res3182z00_4542;
								}
								{
									obj_t BgL_l1886z00_2148;
									obj_t BgL_tail1889z00_2149;

									BgL_l1886z00_2148 = BgL_l1886z00_2144;
									BgL_tail1889z00_2149 = BgL_head1888z00_2146;
								BgL_zc3anonymousza32480ze3z83_2150:
									if (NULLP(BgL_l1886z00_2148))
										{	/* Ast/unit.scm 430 */
											BgL_arg2477z00_2142 = CDR(BgL_head1888z00_2146);
										}
									else
										{	/* Ast/unit.scm 430 */
											obj_t BgL_newtail1890z00_2152;

											{	/* Ast/unit.scm 430 */
												BgL_localz00_bglt BgL_arg2483z00_2154;

												{	/* Ast/unit.scm 430 */
													obj_t BgL_az00_2155;

													BgL_az00_2155 = CAR(BgL_l1886z00_2148);
													{	/* Ast/unit.scm 431 */
														obj_t BgL_pidz00_2156;

														BgL_pidz00_2156 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2155,
																BgL_locz00_59), BgL_srcz00_57);
														{	/* Ast/unit.scm 431 */
															obj_t BgL_idz00_2157;

															BgL_idz00_2157 = CAR(BgL_pidz00_2156);
															{	/* Ast/unit.scm 432 */
																obj_t BgL_typez00_2158;

																BgL_typez00_2158 = CDR(BgL_pidz00_2156);
																{	/* Ast/unit.scm 433 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_2157))
																		{	/* Ast/unit.scm 434 */
																			BgL_arg2483z00_2154 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_2157,
																				((BgL_typez00_bglt) BgL_typez00_2158));
																		}
																	else
																		{	/* Ast/unit.scm 434 */
																			BgL_arg2483z00_2154 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_2157,
																				((BgL_typez00_bglt) BgL_typez00_2158));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 430 */
													obj_t BgL_res3184z00_4551;

													{	/* Ast/unit.scm 430 */
														obj_t BgL_obj1z00_4549;

														BgL_obj1z00_4549 = ((obj_t) BgL_arg2483z00_2154);
														BgL_res3184z00_4551 =
															MAKE_PAIR(BgL_obj1z00_4549, BNIL);
													}
													BgL_newtail1890z00_2152 = BgL_res3184z00_4551;
												}
											}
											SET_CDR(BgL_tail1889z00_2149, BgL_newtail1890z00_2152);
											{
												obj_t BgL_tail1889z00_6001;
												obj_t BgL_l1886z00_5999;

												BgL_l1886z00_5999 = CDR(BgL_l1886z00_2148);
												BgL_tail1889z00_6001 = BgL_newtail1890z00_2152;
												BgL_tail1889z00_2149 = BgL_tail1889z00_6001;
												BgL_l1886z00_2148 = BgL_l1886z00_5999;
												goto BgL_zc3anonymousza32480ze3z83_2150;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 438 */
						obj_t BgL_head1893z00_2164;

						{	/* Ast/unit.scm 438 */
							obj_t BgL_res3186z00_4559;

							BgL_res3186z00_4559 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1893z00_2164 = BgL_res3186z00_4559;
						}
						{
							obj_t BgL_l1891z00_2166;
							obj_t BgL_tail1894z00_2167;

							BgL_l1891z00_2166 = BgL_optionalsz00_52;
							BgL_tail1894z00_2167 = BgL_head1893z00_2164;
						BgL_zc3anonymousza32487ze3z83_2168:
							if (NULLP(BgL_l1891z00_2166))
								{	/* Ast/unit.scm 438 */
									BgL_arg2478z00_2143 = CDR(BgL_head1893z00_2164);
								}
							else
								{	/* Ast/unit.scm 438 */
									obj_t BgL_newtail1895z00_2170;

									{	/* Ast/unit.scm 438 */
										BgL_localz00_bglt BgL_arg2490z00_2172;

										{	/* Ast/unit.scm 438 */
											obj_t BgL_oz00_2173;

											BgL_oz00_2173 = CAR(BgL_l1891z00_2166);
											{	/* Ast/unit.scm 439 */
												obj_t BgL_az00_2174;

												BgL_az00_2174 = CAR(BgL_oz00_2173);
												{	/* Ast/unit.scm 439 */
													obj_t BgL_pidz00_2175;

													BgL_pidz00_2175 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2174,
															BgL_locz00_59), BgL_srcz00_57);
													{	/* Ast/unit.scm 440 */
														obj_t BgL_idz00_2176;

														BgL_idz00_2176 = CAR(BgL_pidz00_2175);
														{	/* Ast/unit.scm 441 */
															obj_t BgL_typez00_2177;

															BgL_typez00_2177 = CDR(BgL_pidz00_2175);
															{	/* Ast/unit.scm 442 */

																BgL_arg2490z00_2172 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2176,
																	((BgL_typez00_bglt) BgL_typez00_2177));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 438 */
											obj_t BgL_res3188z00_4569;

											{	/* Ast/unit.scm 438 */
												obj_t BgL_obj1z00_4567;

												BgL_obj1z00_4567 = ((obj_t) BgL_arg2490z00_2172);
												BgL_res3188z00_4569 = MAKE_PAIR(BgL_obj1z00_4567, BNIL);
											}
											BgL_newtail1895z00_2170 = BgL_res3188z00_4569;
										}
									}
									SET_CDR(BgL_tail1894z00_2167, BgL_newtail1895z00_2170);
									{
										obj_t BgL_tail1894z00_6019;
										obj_t BgL_l1891z00_6017;

										BgL_l1891z00_6017 = CDR(BgL_l1891z00_2166);
										BgL_tail1894z00_6019 = BgL_newtail1895z00_2170;
										BgL_tail1894z00_2167 = BgL_tail1894z00_6019;
										BgL_l1891z00_2166 = BgL_l1891z00_6017;
										goto BgL_zc3anonymousza32487ze3z83_2168;
									}
								}
						}
					}
					BgL_localsz00_2137 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2477z00_2142,
						BgL_arg2478z00_2143);
				}
				{	/* Ast/unit.scm 430 */
					BgL_globalz00_bglt BgL_gloz00_2138;

					BgL_gloz00_2138 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_53,
						BgL_argsz00_55, BgL_localsz00_2137, BgL_modulez00_54,
						BgL_classz00_58, BgL_srcz00_57, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_56);
					{	/* Ast/unit.scm 445 */
						BgL_globalz00_bglt BgL_cloz00_2139;

						BgL_cloz00_2139 =
							BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_gloz00_2138,
							BgL_optionalsz00_52, BgL_idz00_53, BgL_modulez00_54,
							BgL_argsz00_55, BgL_bodyz00_56, BgL_srcz00_57, BgL_classz00_58,
							BgL_locz00_59);
						{	/* Ast/unit.scm 446 */

							{	/* Ast/unit.scm 447 */
								obj_t BgL_list2475z00_2140;

								{	/* Ast/unit.scm 447 */
									obj_t BgL_arg2476z00_2141;

									BgL_arg2476z00_2141 =
										MAKE_PAIR(((obj_t) BgL_cloz00_2139), BNIL);
									BgL_list2475z00_2140 =
										MAKE_PAIR(((obj_t) BgL_gloz00_2138), BgL_arg2476z00_2141);
								}
								return BgL_list2475z00_2140;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-opt-closure */
	BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_globalz00_bglt
		BgL_gloz00_60, obj_t BgL_optionalsz00_61, obj_t BgL_idz00_62,
		obj_t BgL_modulez00_63, obj_t BgL_argsz00_64, obj_t BgL_bodyz00_65,
		obj_t BgL_srcz00_66, obj_t BgL_classz00_67, obj_t BgL_locz00_68)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 460 */
			{	/* Ast/unit.scm 461 */
				long BgL_arityz00_2180;

				BgL_arityz00_2180 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_gloz00_60)))->
										BgL_valuez00)))))->BgL_arityz00);
				{

					{	/* Ast/unit.scm 499 */
						obj_t BgL_idz00_2182;

						{	/* Ast/unit.scm 499 */
							obj_t BgL_arg2498z00_2192;

							{	/* Ast/unit.scm 499 */
								obj_t BgL_arg2499z00_2193;
								obj_t BgL_arg2500z00_2194;

								{	/* Ast/unit.scm 499 */
									obj_t BgL_res3223z00_4705;

									{	/* Ast/unit.scm 499 */
										obj_t BgL_symbolz00_4703;

										BgL_symbolz00_4703 = CNST_TABLE_REF(((long) 30));
										{	/* Ast/unit.scm 499 */
											obj_t BgL_arg1310z00_4704;

											BgL_arg1310z00_4704 =
												SYMBOL_TO_STRING(BgL_symbolz00_4703);
											BgL_res3223z00_4705 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1310z00_4704);
									}}
									BgL_arg2499z00_2193 = BgL_res3223z00_4705;
								}
								{	/* Ast/unit.scm 499 */
									obj_t BgL_res3224z00_4708;

									{	/* Ast/unit.scm 499 */
										obj_t BgL_arg1310z00_4707;

										BgL_arg1310z00_4707 = SYMBOL_TO_STRING(BgL_idz00_62);
										BgL_res3224z00_4708 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1310z00_4707);
									}
									BgL_arg2500z00_2194 = BgL_res3224z00_4708;
								}
								BgL_arg2498z00_2192 =
									string_append(BgL_arg2499z00_2193, BgL_arg2500z00_2194);
							}
							BgL_idz00_2182 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2498z00_2192));
						}
						{	/* Ast/unit.scm 499 */
							BgL_localz00_bglt BgL_optz00_2183;

							BgL_optz00_2183 =
								BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long)
										21)),
								((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							{	/* Ast/unit.scm 500 */
								BgL_localz00_bglt BgL_envz00_2184;

								BgL_envz00_2184 =
									BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
											(long) 31)),
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
								{	/* Ast/unit.scm 501 */
									BgL_globalz00_bglt BgL_gz00_2185;

									{	/* Ast/unit.scm 502 */
										obj_t BgL_arg2492z00_2186;
										obj_t BgL_arg2493z00_2187;

										{	/* Ast/unit.scm 502 */
											obj_t BgL_list2494z00_2188;

											{	/* Ast/unit.scm 502 */
												obj_t BgL_arg2495z00_2189;

												BgL_arg2495z00_2189 =
													MAKE_PAIR(((obj_t) BgL_optz00_2183), BNIL);
												BgL_list2494z00_2188 =
													MAKE_PAIR(
													((obj_t) BgL_envz00_2184), BgL_arg2495z00_2189);
											}
											BgL_arg2492z00_2186 = BgL_list2494z00_2188;
										}
										{	/* Ast/unit.scm 504 */
											obj_t BgL_auxz00_6051;

											{	/* Ast/unit.scm 504 */
												obj_t BgL_auxz00_6052;

												{	/* Ast/unit.scm 463 */
													long BgL_loptz00_2196;
													obj_t BgL_formsz00_2197;
													obj_t BgL_optsz00_2198;

													BgL_loptz00_2196 =
														bgl_list_length(BgL_optionalsz00_61);
													{	/* Ast/unit.scm 464 */
														obj_t BgL_l1896z00_2329;

														BgL_l1896z00_2329 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_gloz00_60)))->BgL_valuez00))))->
															BgL_argsz00);
														if (NULLP(BgL_l1896z00_2329))
															{	/* Ast/unit.scm 464 */
																BgL_formsz00_2197 = BNIL;
															}
														else
															{	/* Ast/unit.scm 464 */
																obj_t BgL_head1898z00_2331;

																{	/* Ast/unit.scm 464 */
																	obj_t BgL_arg2598z00_2343;

																	{
																		BgL_variablez00_bglt BgL_auxz00_6060;

																		{
																			BgL_localz00_bglt BgL_auxz00_6061;

																			{	/* Ast/unit.scm 464 */
																				obj_t BgL_pairz00_4588;

																				BgL_pairz00_4588 = BgL_l1896z00_2329;
																				BgL_auxz00_6061 =
																					((BgL_localz00_bglt)
																					CAR(BgL_pairz00_4588));
																			}
																			BgL_auxz00_6060 =
																				((BgL_variablez00_bglt)
																				BgL_auxz00_6061);
																		}
																		BgL_arg2598z00_2343 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_6060))->BgL_idz00);
																	}
																	{	/* Ast/unit.scm 464 */
																		obj_t BgL_res3195z00_4594;

																		BgL_res3195z00_4594 =
																			MAKE_PAIR(BgL_arg2598z00_2343, BNIL);
																		BgL_head1898z00_2331 = BgL_res3195z00_4594;
																	}
																}
																{	/* Ast/unit.scm 464 */
																	obj_t BgL_g1922z00_2332;

																	BgL_g1922z00_2332 = CDR(BgL_l1896z00_2329);
																	{
																		obj_t BgL_l1896z00_2334;
																		obj_t BgL_tail1899z00_2335;

																		BgL_l1896z00_2334 = BgL_g1922z00_2332;
																		BgL_tail1899z00_2335 = BgL_head1898z00_2331;
																	BgL_zc3anonymousza32592ze3z83_2336:
																		if (NULLP(BgL_l1896z00_2334))
																			{	/* Ast/unit.scm 464 */
																				BgL_formsz00_2197 =
																					BgL_head1898z00_2331;
																			}
																		else
																			{	/* Ast/unit.scm 464 */
																				obj_t BgL_newtail1900z00_2338;

																				{	/* Ast/unit.scm 464 */
																					obj_t BgL_arg2595z00_2340;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_6070;
																						{
																							BgL_localz00_bglt BgL_auxz00_6071;

																							{	/* Ast/unit.scm 464 */
																								obj_t BgL_pairz00_4598;

																								BgL_pairz00_4598 =
																									BgL_l1896z00_2334;
																								BgL_auxz00_6071 =
																									((BgL_localz00_bglt)
																									CAR(BgL_pairz00_4598));
																							}
																							BgL_auxz00_6070 =
																								((BgL_variablez00_bglt)
																								BgL_auxz00_6071);
																						}
																						BgL_arg2595z00_2340 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_6070))->
																							BgL_idz00);
																					}
																					{	/* Ast/unit.scm 464 */
																						obj_t BgL_res3198z00_4604;

																						BgL_res3198z00_4604 =
																							MAKE_PAIR(BgL_arg2595z00_2340,
																							BNIL);
																						BgL_newtail1900z00_2338 =
																							BgL_res3198z00_4604;
																					}
																				}
																				SET_CDR(BgL_tail1899z00_2335,
																					BgL_newtail1900z00_2338);
																				{
																					obj_t BgL_tail1899z00_6080;
																					obj_t BgL_l1896z00_6078;

																					BgL_l1896z00_6078 =
																						CDR(BgL_l1896z00_2334);
																					BgL_tail1899z00_6080 =
																						BgL_newtail1900z00_2338;
																					BgL_tail1899z00_2335 =
																						BgL_tail1899z00_6080;
																					BgL_l1896z00_2334 = BgL_l1896z00_6078;
																					goto
																						BgL_zc3anonymousza32592ze3z83_2336;
																				}
																			}
																	}
																}
															}
													}
													{	/* Ast/unit.scm 465 */
														obj_t BgL_l1923z00_2346;

														BgL_l1923z00_2346 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_gloz00_60)))->BgL_valuez00))))->
															BgL_optionalsz00);
														if (NULLP(BgL_l1923z00_2346))
															{	/* Ast/unit.scm 465 */
																BgL_optsz00_2198 = BNIL;
															}
														else
															{	/* Ast/unit.scm 465 */
																obj_t BgL_head1925z00_2348;

																{	/* Ast/unit.scm 465 */
																	obj_t BgL_res3201z00_4617;

																	BgL_res3201z00_4617 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head1925z00_2348 = BgL_res3201z00_4617;
																}
																{
																	obj_t BgL_l1923z00_2350;
																	obj_t BgL_tail1926z00_2351;

																	BgL_l1923z00_2350 = BgL_l1923z00_2346;
																	BgL_tail1926z00_2351 = BgL_head1925z00_2348;
																BgL_zc3anonymousza32602ze3z83_2352:
																	if (NULLP(BgL_l1923z00_2350))
																		{	/* Ast/unit.scm 465 */
																			BgL_optsz00_2198 =
																				CDR(BgL_head1925z00_2348);
																		}
																	else
																		{	/* Ast/unit.scm 465 */
																			obj_t BgL_newtail1927z00_2354;

																			{	/* Ast/unit.scm 465 */
																				obj_t BgL_arg2605z00_2356;

																				{	/* Ast/unit.scm 465 */
																					obj_t BgL_oz00_2357;

																					BgL_oz00_2357 =
																						CAR(BgL_l1923z00_2350);
																					BgL_arg2605z00_2356 =
																						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																						(CAR(BgL_oz00_2357), BgL_locz00_68);
																				}
																				{	/* Ast/unit.scm 465 */
																					obj_t BgL_res3203z00_4625;

																					BgL_res3203z00_4625 =
																						MAKE_PAIR(BgL_arg2605z00_2356,
																						BNIL);
																					BgL_newtail1927z00_2354 =
																						BgL_res3203z00_4625;
																				}
																			}
																			SET_CDR(BgL_tail1926z00_2351,
																				BgL_newtail1927z00_2354);
																			{
																				obj_t BgL_tail1926z00_6098;
																				obj_t BgL_l1923z00_6096;

																				BgL_l1923z00_6096 =
																					CDR(BgL_l1923z00_2350);
																				BgL_tail1926z00_6098 =
																					BgL_newtail1927z00_2354;
																				BgL_tail1926z00_2351 =
																					BgL_tail1926z00_6098;
																				BgL_l1923z00_2350 = BgL_l1923z00_6096;
																				goto BgL_zc3anonymousza32602ze3z83_2352;
																			}
																		}
																}
															}
													}
													{	/* Ast/unit.scm 468 */
														obj_t BgL_arg2502z00_2199;
														obj_t BgL_arg2503z00_2200;

														BgL_arg2502z00_2199 =
															BGl_letzd2symzd2zzast_letz00();
														{	/* Ast/unit.scm 468 */
															obj_t BgL_arg2504z00_2201;
															obj_t BgL_arg2505z00_2202;

															{	/* Ast/unit.scm 468 */
																obj_t BgL_ll1928z00_2203;
																obj_t BgL_ll1929z00_2204;

																BgL_ll1928z00_2203 =
																	BGl_takez00zz__r4_pairs_and_lists_6_3z00(
																	(((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt)
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_gloz00_60)))->
																						BgL_valuez00))))->
																		BgL_argszd2namezd2), BgL_arityz00_2180);
																BgL_ll1929z00_2204 =
																	BGl_iotaz00zz__r4_pairs_and_lists_6_3z00((int)
																	(BgL_arityz00_2180), BNIL);
																if (NULLP(BgL_ll1928z00_2203))
																	{	/* Ast/unit.scm 468 */
																		BgL_arg2504z00_2201 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 468 */
																		obj_t BgL_head1930z00_2206;

																		{	/* Ast/unit.scm 468 */
																			obj_t BgL_res3206z00_4638;

																			BgL_res3206z00_4638 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1930z00_2206 =
																				BgL_res3206z00_4638;
																		}
																		{
																			obj_t BgL_ll1928z00_2208;
																			obj_t BgL_ll1929z00_2209;
																			obj_t BgL_tail1931z00_2210;

																			BgL_ll1928z00_2208 = BgL_ll1928z00_2203;
																			BgL_ll1929z00_2209 = BgL_ll1929z00_2204;
																			BgL_tail1931z00_2210 =
																				BgL_head1930z00_2206;
																		BgL_zc3anonymousza32507ze3z83_2211:
																			if (NULLP(BgL_ll1928z00_2208))
																				{	/* Ast/unit.scm 468 */
																					BgL_arg2504z00_2201 =
																						CDR(BgL_head1930z00_2206);
																				}
																			else
																				{	/* Ast/unit.scm 468 */
																					obj_t BgL_newtail1932z00_2213;

																					{	/* Ast/unit.scm 468 */
																						obj_t BgL_arg2511z00_2216;

																						{	/* Ast/unit.scm 468 */
																							obj_t BgL_vz00_2217;
																							obj_t BgL_iz00_2218;

																							BgL_vz00_2217 =
																								CAR(BgL_ll1928z00_2208);
																							BgL_iz00_2218 =
																								CAR(BgL_ll1929z00_2209);
																							{	/* Ast/unit.scm 469 */
																								obj_t BgL_arg2512z00_2219;

																								{	/* Ast/unit.scm 469 */
																									obj_t BgL_arg2513z00_2220;

																									{	/* Ast/unit.scm 469 */
																										obj_t BgL_arg2514z00_2221;

																										{	/* Ast/unit.scm 469 */
																											obj_t BgL_arg2515z00_2222;

																											BgL_arg2515z00_2222 =
																												MAKE_PAIR(BgL_iz00_2218,
																												BNIL);
																											BgL_arg2514z00_2221 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 21)),
																												BgL_arg2515z00_2222);
																										}
																										BgL_arg2513z00_2220 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 22)),
																											BgL_arg2514z00_2221);
																									}
																									BgL_arg2512z00_2219 =
																										MAKE_PAIR
																										(BgL_arg2513z00_2220, BNIL);
																								}
																								BgL_arg2511z00_2216 =
																									MAKE_PAIR(BgL_vz00_2217,
																									BgL_arg2512z00_2219);
																						}}
																						{	/* Ast/unit.scm 468 */
																							obj_t BgL_res3208z00_4646;

																							BgL_res3208z00_4646 =
																								MAKE_PAIR(BgL_arg2511z00_2216,
																								BNIL);
																							BgL_newtail1932z00_2213 =
																								BgL_res3208z00_4646;
																					}}
																					SET_CDR(BgL_tail1931z00_2210,
																						BgL_newtail1932z00_2213);
																					{
																						obj_t BgL_tail1931z00_6128;
																						obj_t BgL_ll1929z00_6126;
																						obj_t BgL_ll1928z00_6124;

																						BgL_ll1928z00_6124 =
																							CDR(BgL_ll1928z00_2208);
																						BgL_ll1929z00_6126 =
																							CDR(BgL_ll1929z00_2209);
																						BgL_tail1931z00_6128 =
																							BgL_newtail1932z00_2213;
																						BgL_tail1931z00_2210 =
																							BgL_tail1931z00_6128;
																						BgL_ll1929z00_2209 =
																							BgL_ll1929z00_6126;
																						BgL_ll1928z00_2208 =
																							BgL_ll1928z00_6124;
																						goto
																							BgL_zc3anonymousza32507ze3z83_2211;
																					}
																				}
																		}
																	}
															}
															{	/* Ast/unit.scm 472 */
																obj_t BgL_arg2519z00_2227;

																{	/* Ast/unit.scm 472 */
																	obj_t BgL_arg2520z00_2228;

																	{	/* Ast/unit.scm 472 */
																		obj_t BgL_arg2521z00_2229;
																		obj_t BgL_arg2522z00_2230;

																		{	/* Ast/unit.scm 472 */
																			obj_t BgL_arg2523z00_2231;

																			BgL_arg2523z00_2231 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																				BNIL);
																			BgL_arg2521z00_2229 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 23)),
																				BgL_arg2523z00_2231);
																		}
																		{	/* Ast/unit.scm 473 */
																			obj_t BgL_arg2524z00_2232;
																			obj_t BgL_arg2525z00_2233;

																			{	/* Ast/unit.scm 473 */
																				obj_t BgL_l1945z00_2234;

																				{	/* Ast/unit.scm 487 */
																					obj_t BgL_arg2565z00_2300;

																					BgL_arg2565z00_2300 =
																						BGL_SAFE_PLUS_FX(((long) 1),
																						BgL_loptz00_2196);
																					BgL_l1945z00_2234 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						(CINT(BgL_arg2565z00_2300), BNIL);
																				}
																				if (NULLP(BgL_l1945z00_2234))
																					{	/* Ast/unit.scm 473 */
																						BgL_arg2524z00_2232 = BNIL;
																					}
																				else
																					{	/* Ast/unit.scm 473 */
																						obj_t BgL_head1947z00_2236;

																						{	/* Ast/unit.scm 473 */
																							obj_t BgL_res3211z00_4657;

																							BgL_res3211z00_4657 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_head1947z00_2236 =
																								BgL_res3211z00_4657;
																						}
																						{
																							obj_t BgL_l1945z00_2238;
																							obj_t BgL_tail1948z00_2239;

																							BgL_l1945z00_2238 =
																								BgL_l1945z00_2234;
																							BgL_tail1948z00_2239 =
																								BgL_head1947z00_2236;
																						BgL_zc3anonymousza32527ze3z83_2240:
																							if (NULLP(BgL_l1945z00_2238))
																								{	/* Ast/unit.scm 473 */
																									BgL_arg2524z00_2232 =
																										CDR(BgL_head1947z00_2236);
																								}
																							else
																								{	/* Ast/unit.scm 473 */
																									obj_t BgL_newtail1949z00_2242;

																									{	/* Ast/unit.scm 473 */
																										obj_t BgL_arg2530z00_2244;

																										{	/* Ast/unit.scm 473 */
																											obj_t BgL_iz00_2245;

																											BgL_iz00_2245 =
																												CAR(BgL_l1945z00_2238);
																											{	/* Ast/unit.scm 474 */
																												obj_t
																													BgL_arg2531z00_2246;
																												obj_t
																													BgL_arg2532z00_2247;
																												{	/* Ast/unit.scm 474 */
																													long
																														BgL_arg2533z00_2248;
																													BgL_arg2533z00_2248 =
																														(BgL_arityz00_2180 +
																														(long)
																														CINT
																														(BgL_iz00_2245));
																													BgL_arg2531z00_2246 =
																														MAKE_PAIR(BINT
																														(BgL_arg2533z00_2248),
																														BNIL);
																												}
																												{	/* Ast/unit.scm 475 */
																													obj_t
																														BgL_arg2534z00_2249;
																													{	/* Ast/unit.scm 475 */
																														obj_t
																															BgL_arg2535z00_2250;
																														{	/* Ast/unit.scm 475 */
																															obj_t
																																BgL_arg2536z00_2251;
																															obj_t
																																BgL_arg2537z00_2252;
																															{	/* Ast/unit.scm 475 */
																																obj_t
																																	BgL_arg2538z00_2253;
																																obj_t
																																	BgL_arg2539z00_2254;
																																{	/* Ast/unit.scm 475 */
																																	obj_t
																																		BgL_ll1934z00_2255;
																																	obj_t
																																		BgL_ll1935z00_2256;
																																	BgL_ll1934z00_2255
																																		=
																																		BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																		(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																		(BgL_formsz00_2197,
																																			BgL_arityz00_2180),
																																		(long)
																																		CINT
																																		(BgL_iz00_2245));
																																	{	/* Ast/unit.scm 478 */
																																		obj_t
																																			BgL_list2551z00_2277;
																																		BgL_list2551z00_2277
																																			=
																																			MAKE_PAIR
																																			(BINT
																																			(BgL_arityz00_2180),
																																			BNIL);
																																		BgL_ll1935z00_2256
																																			=
																																			BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																			(CINT
																																			(BgL_iz00_2245),
																																			BgL_list2551z00_2277);
																																	}
																																	if (NULLP
																																		(BgL_ll1934z00_2255))
																																		{	/* Ast/unit.scm 475 */
																																			BgL_arg2538z00_2253
																																				= BNIL;
																																		}
																																	else
																																		{	/* Ast/unit.scm 475 */
																																			obj_t
																																				BgL_head1936z00_2258;
																																			{	/* Ast/unit.scm 475 */
																																				obj_t
																																					BgL_res3215z00_4669;
																																				BgL_res3215z00_4669
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_head1936z00_2258
																																					=
																																					BgL_res3215z00_4669;
																																			}
																																			{
																																				obj_t
																																					BgL_ll1934z00_2260;
																																				obj_t
																																					BgL_ll1935z00_2261;
																																				obj_t
																																					BgL_tail1937z00_2262;
																																				BgL_ll1934z00_2260
																																					=
																																					BgL_ll1934z00_2255;
																																				BgL_ll1935z00_2261
																																					=
																																					BgL_ll1935z00_2256;
																																				BgL_tail1937z00_2262
																																					=
																																					BgL_head1936z00_2258;
																																			BgL_zc3anonymousza32541ze3z83_2263:
																																				if (NULLP(BgL_ll1934z00_2260))
																																					{	/* Ast/unit.scm 475 */
																																						BgL_arg2538z00_2253
																																							=
																																							CDR
																																							(BgL_head1936z00_2258);
																																					}
																																				else
																																					{	/* Ast/unit.scm 475 */
																																						obj_t
																																							BgL_newtail1938z00_2265;
																																						{	/* Ast/unit.scm 475 */
																																							obj_t
																																								BgL_arg2545z00_2268;
																																							{	/* Ast/unit.scm 475 */
																																								obj_t
																																									BgL_vz00_2269;
																																								obj_t
																																									BgL_jz00_2270;
																																								BgL_vz00_2269
																																									=
																																									CAR
																																									(BgL_ll1934z00_2260);
																																								BgL_jz00_2270
																																									=
																																									CAR
																																									(BgL_ll1935z00_2261);
																																								{	/* Ast/unit.scm 476 */
																																									obj_t
																																										BgL_arg2546z00_2271;
																																									{	/* Ast/unit.scm 476 */
																																										obj_t
																																											BgL_arg2547z00_2272;
																																										{	/* Ast/unit.scm 476 */
																																											obj_t
																																												BgL_arg2548z00_2273;
																																											{	/* Ast/unit.scm 476 */
																																												obj_t
																																													BgL_arg2549z00_2274;
																																												BgL_arg2549z00_2274
																																													=
																																													MAKE_PAIR
																																													(BgL_jz00_2270,
																																													BNIL);
																																												BgL_arg2548z00_2273
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 21)), BgL_arg2549z00_2274);
																																											}
																																											BgL_arg2547z00_2272
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 22)), BgL_arg2548z00_2273);
																																										}
																																										BgL_arg2546z00_2271
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2547z00_2272,
																																											BNIL);
																																									}
																																									BgL_arg2545z00_2268
																																										=
																																										MAKE_PAIR
																																										(BgL_vz00_2269,
																																										BgL_arg2546z00_2271);
																																							}}
																																							{	/* Ast/unit.scm 475 */
																																								obj_t
																																									BgL_res3217z00_4677;
																																								BgL_res3217z00_4677
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2545z00_2268,
																																									BNIL);
																																								BgL_newtail1938z00_2265
																																									=
																																									BgL_res3217z00_4677;
																																						}}
																																						SET_CDR
																																							(BgL_tail1937z00_2262,
																																							BgL_newtail1938z00_2265);
																																						{
																																							obj_t
																																								BgL_tail1937z00_6175;
																																							obj_t
																																								BgL_ll1935z00_6173;
																																							obj_t
																																								BgL_ll1934z00_6171;
																																							BgL_ll1934z00_6171
																																								=
																																								CDR
																																								(BgL_ll1934z00_2260);
																																							BgL_ll1935z00_6173
																																								=
																																								CDR
																																								(BgL_ll1935z00_2261);
																																							BgL_tail1937z00_6175
																																								=
																																								BgL_newtail1938z00_2265;
																																							BgL_tail1937z00_2262
																																								=
																																								BgL_tail1937z00_6175;
																																							BgL_ll1935z00_2261
																																								=
																																								BgL_ll1935z00_6173;
																																							BgL_ll1934z00_2260
																																								=
																																								BgL_ll1934z00_6171;
																																							goto
																																								BgL_zc3anonymousza32541ze3z83_2263;
																																						}
																																					}
																																			}
																																		}
																																}
																																BgL_arg2539z00_2254
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																	(BgL_optionalsz00_61,
																																		(long)
																																		CINT
																																		(BgL_iz00_2245)),
																																	BNIL);
																																BgL_arg2536z00_2251
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2538z00_2253,
																																	BgL_arg2539z00_2254);
																															}
																															{	/* Ast/unit.scm 482 */
																																obj_t
																																	BgL_arg2553z00_2279;
																																{	/* Ast/unit.scm 482 */
																																	obj_t
																																		BgL_arg2554z00_2280;
																																	{	/* Ast/unit.scm 482 */
																																		obj_t
																																			BgL_arg2555z00_2281;
																																		obj_t
																																			BgL_arg2556z00_2282;
																																		{	/* Ast/unit.scm 482 */
																																			obj_t
																																				BgL_l1940z00_2283;
																																			BgL_l1940z00_2283
																																				=
																																				BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																				((int)
																																				(BgL_arityz00_2180),
																																				BNIL);
																																			if (NULLP
																																				(BgL_l1940z00_2283))
																																				{	/* Ast/unit.scm 482 */
																																					BgL_arg2555z00_2281
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Ast/unit.scm 482 */
																																					obj_t
																																						BgL_head1942z00_2285;
																																					{	/* Ast/unit.scm 482 */
																																						obj_t
																																							BgL_res3219z00_4686;
																																						BgL_res3219z00_4686
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head1942z00_2285
																																							=
																																							BgL_res3219z00_4686;
																																					}
																																					{
																																						obj_t
																																							BgL_l1940z00_2287;
																																						obj_t
																																							BgL_tail1943z00_2288;
																																						BgL_l1940z00_2287
																																							=
																																							BgL_l1940z00_2283;
																																						BgL_tail1943z00_2288
																																							=
																																							BgL_head1942z00_2285;
																																					BgL_zc3anonymousza32558ze3z83_2289:
																																						if (NULLP(BgL_l1940z00_2287))
																																							{	/* Ast/unit.scm 482 */
																																								BgL_arg2555z00_2281
																																									=
																																									CDR
																																									(BgL_head1942z00_2285);
																																							}
																																						else
																																							{	/* Ast/unit.scm 482 */
																																								obj_t
																																									BgL_newtail1944z00_2291;
																																								{	/* Ast/unit.scm 482 */
																																									obj_t
																																										BgL_arg2561z00_2293;
																																									{	/* Ast/unit.scm 482 */
																																										obj_t
																																											BgL_jz00_2294;
																																										BgL_jz00_2294
																																											=
																																											CAR
																																											(BgL_l1940z00_2287);
																																										{	/* Ast/unit.scm 483 */
																																											obj_t
																																												BgL_arg2562z00_2295;
																																											{	/* Ast/unit.scm 483 */
																																												obj_t
																																													BgL_arg2563z00_2296;
																																												BgL_arg2563z00_2296
																																													=
																																													MAKE_PAIR
																																													(BgL_jz00_2294,
																																													BNIL);
																																												BgL_arg2562z00_2295
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 21)), BgL_arg2563z00_2296);
																																											}
																																											BgL_arg2561z00_2293
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 22)), BgL_arg2562z00_2295);
																																									}}
																																									{	/* Ast/unit.scm 482 */
																																										obj_t
																																											BgL_res3221z00_4693;
																																										BgL_res3221z00_4693
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2561z00_2293,
																																											BNIL);
																																										BgL_newtail1944z00_2291
																																											=
																																											BgL_res3221z00_4693;
																																								}}
																																								SET_CDR
																																									(BgL_tail1943z00_2288,
																																									BgL_newtail1944z00_2291);
																																								{
																																									obj_t
																																										BgL_tail1943z00_6198;
																																									obj_t
																																										BgL_l1940z00_6196;
																																									BgL_l1940z00_6196
																																										=
																																										CDR
																																										(BgL_l1940z00_2287);
																																									BgL_tail1943z00_6198
																																										=
																																										BgL_newtail1944z00_2291;
																																									BgL_tail1943z00_2288
																																										=
																																										BgL_tail1943z00_6198;
																																									BgL_l1940z00_2287
																																										=
																																										BgL_l1940z00_6196;
																																									goto
																																										BgL_zc3anonymousza32558ze3z83_2289;
																																								}
																																							}
																																					}
																																				}
																																		}
																																		BgL_arg2556z00_2282
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_optsz00_2198,
																																			BNIL);
																																		BgL_arg2554z00_2280
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2555z00_2281,
																																			BgL_arg2556z00_2282);
																																	}
																																	BgL_arg2553z00_2279
																																		=
																																		MAKE_PAIR((
																																			(obj_t)
																																			BgL_gloz00_60),
																																		BgL_arg2554z00_2280);
																																}
																																BgL_arg2537z00_2252
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2553z00_2279,
																																	BNIL);
																															}
																															BgL_arg2535z00_2250
																																=
																																MAKE_PAIR
																																(BgL_arg2536z00_2251,
																																BgL_arg2537z00_2252);
																														}
																														BgL_arg2534z00_2249
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 24)),
																															BgL_arg2535z00_2250);
																													}
																													BgL_arg2532z00_2247 =
																														MAKE_PAIR
																														(BgL_arg2534z00_2249,
																														BNIL);
																												}
																												BgL_arg2530z00_2244 =
																													MAKE_PAIR
																													(BgL_arg2531z00_2246,
																													BgL_arg2532z00_2247);
																										}}
																										{	/* Ast/unit.scm 473 */
																											obj_t BgL_res3222z00_4699;

																											BgL_res3222z00_4699 =
																												MAKE_PAIR
																												(BgL_arg2530z00_2244,
																												BNIL);
																											BgL_newtail1949z00_2242 =
																												BgL_res3222z00_4699;
																									}}
																									SET_CDR(BgL_tail1948z00_2239,
																										BgL_newtail1949z00_2242);
																									{
																										obj_t BgL_tail1948z00_6213;
																										obj_t BgL_l1945z00_6211;

																										BgL_l1945z00_6211 =
																											CDR(BgL_l1945z00_2238);
																										BgL_tail1948z00_6213 =
																											BgL_newtail1949z00_2242;
																										BgL_tail1948z00_2239 =
																											BgL_tail1948z00_6213;
																										BgL_l1945z00_2238 =
																											BgL_l1945z00_6211;
																										goto
																											BgL_zc3anonymousza32527ze3z83_2240;
																									}
																								}
																						}
																					}
																			}
																			{	/* Ast/unit.scm 489 */
																				obj_t BgL_arg2568z00_2303;

																				{	/* Ast/unit.scm 489 */
																					obj_t BgL_arg2569z00_2304;

																					{	/* Ast/unit.scm 489 */
																						obj_t BgL_arg2570z00_2305;

																						if (CBOOL
																							(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																							{	/* Ast/unit.scm 489 */
																								BgL_arg2570z00_2305 = BUNSPEC;
																							}
																						else
																							{	/* Ast/unit.scm 491 */
																								obj_t BgL_arg2571z00_2306;
																								obj_t BgL_arg2572z00_2307;

																								{	/* Ast/unit.scm 491 */
																									obj_t BgL_arg2573z00_2308;

																									{	/* Ast/unit.scm 491 */
																										obj_t BgL_arg2574z00_2309;

																										BgL_arg2574z00_2309 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 25)), BNIL);
																										BgL_arg2573z00_2308 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 26)),
																											BgL_arg2574z00_2309);
																									}
																									BgL_arg2571z00_2306 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 0)),
																										BgL_arg2573z00_2308);
																								}
																								{	/* Ast/unit.scm 492 */
																									obj_t BgL_arg2575z00_2310;
																									obj_t BgL_arg2576z00_2311;

																									{	/* Ast/unit.scm 492 */
																										obj_t BgL_arg2577z00_2312;

																										BgL_arg2577z00_2312 =
																											MAKE_PAIR(BgL_idz00_62,
																											BNIL);
																										BgL_arg2575z00_2310 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 27)),
																											BgL_arg2577z00_2312);
																									}
																									{	/* Ast/unit.scm 495 */
																										obj_t BgL_arg2578z00_2313;
																										obj_t BgL_arg2579z00_2314;

																										{	/* Ast/unit.scm 495 */
																											obj_t BgL_arg2580z00_2315;
																											obj_t BgL_arg2581z00_2316;

																											{	/* Ast/unit.scm 495 */

																												BgL_arg2580z00_2315 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													(BgL_arityz00_2180,
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 496 */

																												BgL_arg2581z00_2316 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													((long)
																													CINT
																													(BGl_2zb2zb2zz__r4_numbers_6_5z00
																														(BINT
																															(BgL_arityz00_2180),
																															BINT
																															(BgL_loptz00_2196))),
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 493 */
																												obj_t
																													BgL_list2582z00_2317;
																												{	/* Ast/unit.scm 493 */
																													obj_t
																														BgL_arg2583z00_2318;
																													{	/* Ast/unit.scm 493 */
																														obj_t
																															BgL_arg2584z00_2319;
																														{	/* Ast/unit.scm 493 */
																															obj_t
																																BgL_arg2585z00_2320;
																															{	/* Ast/unit.scm 493 */
																																obj_t
																																	BgL_arg2587z00_2321;
																																BgL_arg2587z00_2321
																																	=
																																	MAKE_PAIR
																																	(BGl_string3301z00zzast_unitz00,
																																	BNIL);
																																BgL_arg2585z00_2320
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2581z00_2316,
																																	BgL_arg2587z00_2321);
																															}
																															BgL_arg2584z00_2319
																																=
																																MAKE_PAIR
																																(BGl_string3302z00zzast_unitz00,
																																BgL_arg2585z00_2320);
																														}
																														BgL_arg2583z00_2318
																															=
																															MAKE_PAIR
																															(BgL_arg2580z00_2315,
																															BgL_arg2584z00_2319);
																													}
																													BgL_list2582z00_2317 =
																														MAKE_PAIR
																														(BGl_string3303z00zzast_unitz00,
																														BgL_arg2583z00_2318);
																												}
																												BgL_arg2578z00_2313 =
																													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																													(BgL_list2582z00_2317);
																										}}
																										{	/* Ast/unit.scm 498 */
																											obj_t BgL_arg2589z00_2327;

																											{	/* Ast/unit.scm 498 */
																												obj_t
																													BgL_arg2590z00_2328;
																												BgL_arg2590z00_2328 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 21)),
																													BNIL);
																												BgL_arg2589z00_2327 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 23)),
																													BgL_arg2590z00_2328);
																											}
																											BgL_arg2579z00_2314 =
																												MAKE_PAIR
																												(BgL_arg2589z00_2327,
																												BNIL);
																										}
																										BgL_arg2576z00_2311 =
																											MAKE_PAIR
																											(BgL_arg2578z00_2313,
																											BgL_arg2579z00_2314);
																									}
																									BgL_arg2572z00_2307 =
																										MAKE_PAIR
																										(BgL_arg2575z00_2310,
																										BgL_arg2576z00_2311);
																								}
																								BgL_arg2570z00_2305 =
																									MAKE_PAIR(BgL_arg2571z00_2306,
																									BgL_arg2572z00_2307);
																							}
																						BgL_arg2569z00_2304 =
																							MAKE_PAIR(BgL_arg2570z00_2305,
																							BNIL);
																					}
																					BgL_arg2568z00_2303 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								28)), BgL_arg2569z00_2304);
																				}
																				BgL_arg2525z00_2233 =
																					MAKE_PAIR(BgL_arg2568z00_2303, BNIL);
																			}
																			BgL_arg2522z00_2230 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2524z00_2232,
																				BgL_arg2525z00_2233);
																		}
																		BgL_arg2520z00_2228 =
																			MAKE_PAIR(BgL_arg2521z00_2229,
																			BgL_arg2522z00_2230);
																	}
																	BgL_arg2519z00_2227 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 29)),
																		BgL_arg2520z00_2228);
																}
																BgL_arg2505z00_2202 =
																	MAKE_PAIR(BgL_arg2519z00_2227, BNIL);
															}
															BgL_arg2503z00_2200 =
																MAKE_PAIR(BgL_arg2504z00_2201,
																BgL_arg2505z00_2202);
														}
														BgL_auxz00_6052 =
															MAKE_PAIR(BgL_arg2502z00_2199,
															BgL_arg2503z00_2200);
												}}
												BgL_auxz00_6051 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_6052);
											}
											BgL_arg2493z00_2187 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_6051);
										}
										BgL_gz00_2185 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_2182, CNST_TABLE_REF(((long) 32)),
											BgL_arg2492z00_2186, BgL_modulez00_63, BgL_classz00_67,
											BgL_srcz00_66, CNST_TABLE_REF(((long) 33)),
											BgL_arg2493z00_2187);
									}
									{	/* Ast/unit.scm 502 */

										((((BgL_globalz00_bglt) CREF(BgL_gz00_2185))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										{	/* Ast/unit.scm 506 */
											BgL_typez00_bglt BgL_vz00_4717;

											BgL_vz00_4717 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_gz00_2185)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4717), BUNSPEC);
										}
										return BgL_gz00_2185;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-definition */
	obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t BgL_keysz00_69,
		obj_t BgL_idz00_70, obj_t BgL_modulez00_71, obj_t BgL_argsz00_72,
		obj_t BgL_bodyz00_73, obj_t BgL_srcz00_74, obj_t BgL_classz00_75,
		obj_t BgL_locz00_76)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 512 */
			{	/* Ast/unit.scm 513 */
				obj_t BgL_localsz00_2363;

				{	/* Ast/unit.scm 513 */
					obj_t BgL_arg2611z00_2368;
					obj_t BgL_arg2612z00_2369;

					{	/* Ast/unit.scm 513 */
						obj_t BgL_l1950z00_2370;

						BgL_l1950z00_2370 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_72);
						if (NULLP(BgL_l1950z00_2370))
							{	/* Ast/unit.scm 513 */
								BgL_arg2611z00_2368 = BNIL;
							}
						else
							{	/* Ast/unit.scm 513 */
								obj_t BgL_head1952z00_2372;

								{	/* Ast/unit.scm 513 */
									obj_t BgL_res3228z00_4723;

									BgL_res3228z00_4723 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1952z00_2372 = BgL_res3228z00_4723;
								}
								{
									obj_t BgL_l1950z00_2374;
									obj_t BgL_tail1953z00_2375;

									BgL_l1950z00_2374 = BgL_l1950z00_2370;
									BgL_tail1953z00_2375 = BgL_head1952z00_2372;
								BgL_zc3anonymousza32614ze3z83_2376:
									if (NULLP(BgL_l1950z00_2374))
										{	/* Ast/unit.scm 513 */
											BgL_arg2611z00_2368 = CDR(BgL_head1952z00_2372);
										}
									else
										{	/* Ast/unit.scm 513 */
											obj_t BgL_newtail1954z00_2378;

											{	/* Ast/unit.scm 513 */
												BgL_localz00_bglt BgL_arg2618z00_2380;

												{	/* Ast/unit.scm 513 */
													obj_t BgL_az00_2381;

													BgL_az00_2381 = CAR(BgL_l1950z00_2374);
													{	/* Ast/unit.scm 514 */
														obj_t BgL_pidz00_2382;

														BgL_pidz00_2382 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2381,
																BgL_locz00_76), BgL_srcz00_74);
														{	/* Ast/unit.scm 514 */
															obj_t BgL_idz00_2383;

															BgL_idz00_2383 = CAR(BgL_pidz00_2382);
															{	/* Ast/unit.scm 515 */
																obj_t BgL_typez00_2384;

																BgL_typez00_2384 = CDR(BgL_pidz00_2382);
																{	/* Ast/unit.scm 516 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_2383))
																		{	/* Ast/unit.scm 517 */
																			BgL_arg2618z00_2380 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_2383,
																				((BgL_typez00_bglt) BgL_typez00_2384));
																		}
																	else
																		{	/* Ast/unit.scm 517 */
																			BgL_arg2618z00_2380 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_2383,
																				((BgL_typez00_bglt) BgL_typez00_2384));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 513 */
													obj_t BgL_res3230z00_4732;

													{	/* Ast/unit.scm 513 */
														obj_t BgL_obj1z00_4730;

														BgL_obj1z00_4730 = ((obj_t) BgL_arg2618z00_2380);
														BgL_res3230z00_4732 =
															MAKE_PAIR(BgL_obj1z00_4730, BNIL);
													}
													BgL_newtail1954z00_2378 = BgL_res3230z00_4732;
												}
											}
											SET_CDR(BgL_tail1953z00_2375, BgL_newtail1954z00_2378);
											{
												obj_t BgL_tail1953z00_6288;
												obj_t BgL_l1950z00_6286;

												BgL_l1950z00_6286 = CDR(BgL_l1950z00_2374);
												BgL_tail1953z00_6288 = BgL_newtail1954z00_2378;
												BgL_tail1953z00_2375 = BgL_tail1953z00_6288;
												BgL_l1950z00_2374 = BgL_l1950z00_6286;
												goto BgL_zc3anonymousza32614ze3z83_2376;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 521 */
						obj_t BgL_head1957z00_2390;

						{	/* Ast/unit.scm 521 */
							obj_t BgL_res3232z00_4740;

							BgL_res3232z00_4740 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1957z00_2390 = BgL_res3232z00_4740;
						}
						{
							obj_t BgL_l1955z00_2392;
							obj_t BgL_tail1958z00_2393;

							BgL_l1955z00_2392 = BgL_keysz00_69;
							BgL_tail1958z00_2393 = BgL_head1957z00_2390;
						BgL_zc3anonymousza32622ze3z83_2394:
							if (NULLP(BgL_l1955z00_2392))
								{	/* Ast/unit.scm 521 */
									BgL_arg2612z00_2369 = CDR(BgL_head1957z00_2390);
								}
							else
								{	/* Ast/unit.scm 521 */
									obj_t BgL_newtail1959z00_2396;

									{	/* Ast/unit.scm 521 */
										BgL_localz00_bglt BgL_arg2625z00_2398;

										{	/* Ast/unit.scm 521 */
											obj_t BgL_oz00_2399;

											BgL_oz00_2399 = CAR(BgL_l1955z00_2392);
											{	/* Ast/unit.scm 522 */
												obj_t BgL_az00_2400;

												BgL_az00_2400 = CAR(BgL_oz00_2399);
												{	/* Ast/unit.scm 522 */
													obj_t BgL_pidz00_2401;

													BgL_pidz00_2401 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2400,
															BgL_locz00_76), BgL_srcz00_74);
													{	/* Ast/unit.scm 523 */
														obj_t BgL_idz00_2402;

														BgL_idz00_2402 = CAR(BgL_pidz00_2401);
														{	/* Ast/unit.scm 524 */
															obj_t BgL_typez00_2403;

															BgL_typez00_2403 = CDR(BgL_pidz00_2401);
															{	/* Ast/unit.scm 525 */

																BgL_arg2625z00_2398 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2402,
																	((BgL_typez00_bglt) BgL_typez00_2403));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 521 */
											obj_t BgL_res3234z00_4750;

											{	/* Ast/unit.scm 521 */
												obj_t BgL_obj1z00_4748;

												BgL_obj1z00_4748 = ((obj_t) BgL_arg2625z00_2398);
												BgL_res3234z00_4750 = MAKE_PAIR(BgL_obj1z00_4748, BNIL);
											}
											BgL_newtail1959z00_2396 = BgL_res3234z00_4750;
										}
									}
									SET_CDR(BgL_tail1958z00_2393, BgL_newtail1959z00_2396);
									{
										obj_t BgL_tail1958z00_6306;
										obj_t BgL_l1955z00_6304;

										BgL_l1955z00_6304 = CDR(BgL_l1955z00_2392);
										BgL_tail1958z00_6306 = BgL_newtail1959z00_2396;
										BgL_tail1958z00_2393 = BgL_tail1958z00_6306;
										BgL_l1955z00_2392 = BgL_l1955z00_6304;
										goto BgL_zc3anonymousza32622ze3z83_2394;
									}
								}
						}
					}
					BgL_localsz00_2363 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2611z00_2368,
						BgL_arg2612z00_2369);
				}
				{	/* Ast/unit.scm 513 */
					BgL_globalz00_bglt BgL_gloz00_2364;

					BgL_gloz00_2364 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_70,
						BgL_argsz00_72, BgL_localsz00_2363, BgL_modulez00_71,
						BgL_classz00_75, BgL_srcz00_74, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_73);
					{	/* Ast/unit.scm 528 */
						BgL_globalz00_bglt BgL_cloz00_2365;

						BgL_cloz00_2365 =
							BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_gloz00_2364,
							BgL_keysz00_69, BgL_idz00_70, BgL_modulez00_71, BgL_argsz00_72,
							BgL_bodyz00_73, BgL_srcz00_74, BgL_classz00_75, BgL_locz00_76);
						{	/* Ast/unit.scm 529 */

							{	/* Ast/unit.scm 530 */
								obj_t BgL_list2609z00_2366;

								{	/* Ast/unit.scm 530 */
									obj_t BgL_arg2610z00_2367;

									BgL_arg2610z00_2367 =
										MAKE_PAIR(((obj_t) BgL_cloz00_2365), BNIL);
									BgL_list2609z00_2366 =
										MAKE_PAIR(((obj_t) BgL_gloz00_2364), BgL_arg2610z00_2367);
								}
								return BgL_list2609z00_2366;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-closure */
	BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_globalz00_bglt
		BgL_gloz00_77, obj_t BgL_keysz00_78, obj_t BgL_idz00_79,
		obj_t BgL_modulez00_80, obj_t BgL_argsz00_81, obj_t BgL_bodyz00_82,
		obj_t BgL_srcz00_83, obj_t BgL_classz00_84, obj_t BgL_locz00_85)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 537 */
			{	/* Ast/unit.scm 538 */
				long BgL_arityz00_2406;
				obj_t BgL_ioptz00_2407;
				long BgL_loptz00_2408;
				obj_t BgL_lz00_2409;
				obj_t BgL_searchz00_2410;
				obj_t BgL_checkz00_2411;
				obj_t BgL_varz00_2412;

				BgL_arityz00_2406 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_gloz00_77)))->
										BgL_valuez00)))))->BgL_arityz00);
				BgL_ioptz00_2407 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)));
				BgL_loptz00_2408 = bgl_list_length(BgL_keysz00_78);
				BgL_lz00_2409 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)));
				BgL_searchz00_2410 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)));
				BgL_checkz00_2411 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)));
				BgL_varz00_2412 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)));
				{
					obj_t BgL_keysz00_2428;

					{	/* Ast/unit.scm 614 */
						obj_t BgL_idz00_2415;

						{	/* Ast/unit.scm 614 */
							obj_t BgL_arg2633z00_2425;

							{	/* Ast/unit.scm 614 */
								obj_t BgL_arg2634z00_2426;
								obj_t BgL_arg2635z00_2427;

								{	/* Ast/unit.scm 614 */
									obj_t BgL_res3263z00_4864;

									{	/* Ast/unit.scm 614 */
										obj_t BgL_symbolz00_4862;

										BgL_symbolz00_4862 = CNST_TABLE_REF(((long) 30));
										{	/* Ast/unit.scm 614 */
											obj_t BgL_arg1310z00_4863;

											BgL_arg1310z00_4863 =
												SYMBOL_TO_STRING(BgL_symbolz00_4862);
											BgL_res3263z00_4864 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1310z00_4863);
									}}
									BgL_arg2634z00_2426 = BgL_res3263z00_4864;
								}
								{	/* Ast/unit.scm 614 */
									obj_t BgL_res3264z00_4867;

									{	/* Ast/unit.scm 614 */
										obj_t BgL_arg1310z00_4866;

										BgL_arg1310z00_4866 = SYMBOL_TO_STRING(BgL_idz00_79);
										BgL_res3264z00_4867 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1310z00_4866);
									}
									BgL_arg2635z00_2427 = BgL_res3264z00_4867;
								}
								BgL_arg2633z00_2425 =
									string_append(BgL_arg2634z00_2426, BgL_arg2635z00_2427);
							}
							BgL_idz00_2415 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2633z00_2425));
						}
						{	/* Ast/unit.scm 614 */
							BgL_localz00_bglt BgL_optz00_2416;

							BgL_optz00_2416 =
								BGl_makezd2localzd2svarz00zzast_localz00(BgL_ioptz00_2407,
								((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							{	/* Ast/unit.scm 615 */
								BgL_localz00_bglt BgL_envz00_2417;

								BgL_envz00_2417 =
									BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
											(long) 31)),
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
								{	/* Ast/unit.scm 616 */
									BgL_globalz00_bglt BgL_gz00_2418;

									{	/* Ast/unit.scm 617 */
										obj_t BgL_arg2627z00_2419;
										obj_t BgL_arg2628z00_2420;

										{	/* Ast/unit.scm 617 */
											obj_t BgL_list2629z00_2421;

											{	/* Ast/unit.scm 617 */
												obj_t BgL_arg2630z00_2422;

												BgL_arg2630z00_2422 =
													MAKE_PAIR(((obj_t) BgL_optz00_2416), BNIL);
												BgL_list2629z00_2421 =
													MAKE_PAIR(
													((obj_t) BgL_envz00_2417), BgL_arg2630z00_2422);
											}
											BgL_arg2627z00_2419 = BgL_list2629z00_2421;
										}
										{	/* Ast/unit.scm 619 */
											obj_t BgL_auxz00_6348;

											{	/* Ast/unit.scm 620 */
												obj_t BgL_auxz00_6349;

												{	/* Ast/unit.scm 551 */
													obj_t BgL_arg2645z00_2446;
													obj_t BgL_arg2646z00_2447;

													BgL_arg2645z00_2446 = BGl_letzd2symzd2zzast_letz00();
													{	/* Ast/unit.scm 551 */
														obj_t BgL_arg2647z00_2448;
														obj_t BgL_arg2648z00_2449;

														{	/* Ast/unit.scm 551 */
															obj_t BgL_arg2649z00_2450;

															{	/* Ast/unit.scm 551 */
																obj_t BgL_arg2650z00_2451;

																{	/* Ast/unit.scm 551 */
																	obj_t BgL_arg2651z00_2452;

																	{	/* Ast/unit.scm 551 */
																		obj_t BgL_arg2652z00_2453;

																		BgL_arg2652z00_2453 =
																			MAKE_PAIR(BgL_ioptz00_2407, BNIL);
																		BgL_arg2651z00_2452 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
																			BgL_arg2652z00_2453);
																	}
																	BgL_arg2650z00_2451 =
																		MAKE_PAIR(BgL_arg2651z00_2452, BNIL);
																}
																BgL_arg2649z00_2450 =
																	MAKE_PAIR(BgL_lz00_2409, BgL_arg2650z00_2451);
															}
															BgL_arg2647z00_2448 =
																MAKE_PAIR(BgL_arg2649z00_2450, BNIL);
														}
														{	/* Ast/unit.scm 552 */
															obj_t BgL_arg2653z00_2454;

															{	/* Ast/unit.scm 552 */
																obj_t BgL_arg2654z00_2455;

																{	/* Ast/unit.scm 552 */
																	obj_t BgL_arg2655z00_2456;
																	obj_t BgL_arg2656z00_2457;

																	{	/* Ast/unit.scm 552 */
																		obj_t BgL_arg2658z00_2458;

																		{	/* Ast/unit.scm 552 */
																			obj_t BgL_arg2659z00_2459;

																			{	/* Ast/unit.scm 552 */
																				obj_t BgL_arg2660z00_2460;
																				obj_t BgL_arg2662z00_2461;

																				{	/* Ast/unit.scm 552 */
																					obj_t BgL_arg2663z00_2462;

																					BgL_arg2663z00_2462 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								39)), BNIL);
																					BgL_arg2660z00_2460 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								40)), BgL_arg2663z00_2462);
																				}
																				{	/* Ast/unit.scm 553 */
																					obj_t BgL_arg2664z00_2463;

																					{	/* Ast/unit.scm 553 */
																						obj_t BgL_arg2665z00_2464;

																						{	/* Ast/unit.scm 553 */
																							obj_t BgL_arg2666z00_2465;
																							obj_t BgL_arg2667z00_2466;

																							{	/* Ast/unit.scm 553 */
																								obj_t BgL_arg2668z00_2467;

																								{	/* Ast/unit.scm 553 */
																									obj_t BgL_arg2669z00_2468;

																									BgL_arg2669z00_2468 =
																										MAKE_PAIR(BgL_lz00_2409,
																										BNIL);
																									BgL_arg2668z00_2467 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 39)),
																										BgL_arg2669z00_2468);
																								}
																								BgL_arg2666z00_2465 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 41)),
																									BgL_arg2668z00_2467);
																							}
																							{	/* Ast/unit.scm 555 */
																								obj_t BgL_arg2670z00_2469;

																								{	/* Ast/unit.scm 555 */
																									obj_t BgL_arg2671z00_2470;

																									{	/* Ast/unit.scm 555 */
																										bool_t BgL_testz00_6366;

																										if (CBOOL
																											(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																											{	/* Ast/unit.scm 556 */
																												bool_t
																													BgL__ortest_1122z00_2555;
																												if ((((BgL_globalz00_bglt) CREF(BgL_gloz00_77))->BgL_evaluablezf3zf3))
																													{	/* Ast/unit.scm 556 */
																														BgL__ortest_1122z00_2555
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/unit.scm 556 */
																														BgL__ortest_1122z00_2555
																															= ((bool_t) 1);
																													}
																												if (BgL__ortest_1122z00_2555)
																													{	/* Ast/unit.scm 556 */
																														BgL_testz00_6366 =
																															BgL__ortest_1122z00_2555;
																													}
																												else
																													{	/* Ast/unit.scm 556 */
																														BgL_testz00_6366 =
																															CBOOL
																															(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 555 */
																												BgL_testz00_6366 =
																													((bool_t) 0);
																											}
																										if (BgL_testz00_6366)
																											{	/* Ast/unit.scm 558 */
																												obj_t
																													BgL_arg2673z00_2472;
																												obj_t
																													BgL_arg2674z00_2473;
																												BgL_arg2673z00_2472 =
																													BGl_letzd2symzd2zzast_letz00
																													();
																												{	/* Ast/unit.scm 558 */
																													obj_t
																														BgL_arg2675z00_2474;
																													obj_t
																														BgL_arg2676z00_2475;
																													{	/* Ast/unit.scm 558 */
																														obj_t
																															BgL_arg2677z00_2476;
																														{	/* Ast/unit.scm 558 */
																															obj_t
																																BgL_arg2678z00_2477;
																															{	/* Ast/unit.scm 558 */
																																obj_t
																																	BgL_arg2679z00_2478;
																																{	/* Ast/unit.scm 558 */
																																	obj_t
																																		BgL_arg2680z00_2479;
																																	{	/* Ast/unit.scm 558 */
																																		obj_t
																																			BgL_arg2681z00_2480;
																																		BgL_arg2681z00_2480
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					39)),
																																			BNIL);
																																		BgL_arg2680z00_2479
																																			=
																																			MAKE_PAIR
																																			(BgL_ioptz00_2407,
																																			BgL_arg2681z00_2480);
																																	}
																																	BgL_arg2679z00_2478
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				22)),
																																		BgL_arg2680z00_2479);
																																}
																																BgL_arg2678z00_2477
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2679z00_2478,
																																	BNIL);
																															}
																															BgL_arg2677z00_2476
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 42)),
																																BgL_arg2678z00_2477);
																														}
																														BgL_arg2675z00_2474
																															=
																															MAKE_PAIR
																															(BgL_arg2677z00_2476,
																															BNIL);
																													}
																													{	/* Ast/unit.scm 559 */
																														obj_t
																															BgL_arg2682z00_2481;
																														{	/* Ast/unit.scm 559 */
																															obj_t
																																BgL_arg2683z00_2482;
																															{	/* Ast/unit.scm 559 */
																																obj_t
																																	BgL_arg2684z00_2483;
																																obj_t
																																	BgL_arg2685z00_2484;
																																{	/* Ast/unit.scm 559 */
																																	obj_t
																																		BgL_arg2687z00_2485;
																																	{	/* Ast/unit.scm 559 */
																																		obj_t
																																			BgL_arg2688z00_2486;
																																		BgL_arg2688z00_2486
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					40)),
																																			BNIL);
																																		BgL_arg2687z00_2485
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					42)),
																																			BgL_arg2688z00_2486);
																																	}
																																	BgL_arg2684z00_2483
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				43)),
																																		BgL_arg2687z00_2485);
																																}
																																{	/* Ast/unit.scm 560 */
																																	obj_t
																																		BgL_arg2689z00_2487;
																																	obj_t
																																		BgL_arg2692z00_2488;
																																	{	/* Ast/unit.scm 560 */
																																		obj_t
																																			BgL_arg2693z00_2489;
																																		{	/* Ast/unit.scm 560 */
																																			obj_t
																																				BgL_arg2694z00_2490;
																																			BgL_arg2694z00_2490
																																				=
																																				MAKE_PAIR
																																				(BINT((
																																						(long)
																																						1)),
																																				BNIL);
																																			BgL_arg2693z00_2489
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						39)),
																																				BgL_arg2694z00_2490);
																																		}
																																		BgL_arg2689z00_2487
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					44)),
																																			BgL_arg2693z00_2489);
																																	}
																																	{	/* Ast/unit.scm 561 */
																																		obj_t
																																			BgL_arg2695z00_2491;
																																		{	/* Ast/unit.scm 561 */
																																			obj_t
																																				BgL_arg2696z00_2492;
																																			{	/* Ast/unit.scm 561 */
																																				obj_t
																																					BgL_arg2697z00_2493;
																																				{	/* Ast/unit.scm 561 */
																																					obj_t
																																						BgL_arg2698z00_2494;
																																					{	/* Ast/unit.scm 561 */
																																						obj_t
																																							BgL_arg2699z00_2495;
																																						{	/* Ast/unit.scm 561 */
																																							obj_t
																																								BgL_arg2700z00_2496;
																																							BgL_arg2700z00_2496
																																								=
																																								MAKE_PAIR
																																								(BINT
																																								(((long) 2)), BNIL);
																																							BgL_arg2699z00_2495
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 39)), BgL_arg2700z00_2496);
																																						}
																																						BgL_arg2698z00_2494
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 44)), BgL_arg2699z00_2495);
																																					}
																																					BgL_arg2697z00_2493
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2698z00_2494,
																																						BNIL);
																																				}
																																				BgL_arg2696z00_2492
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 40)), BgL_arg2697z00_2493);
																																			}
																																			BgL_arg2695z00_2491
																																				=
																																				MAKE_PAIR
																																				(BgL_searchz00_2410,
																																				BgL_arg2696z00_2492);
																																		}
																																		BgL_arg2692z00_2488
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2695z00_2491,
																																			BNIL);
																																	}
																																	BgL_arg2685z00_2484
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2689z00_2487,
																																		BgL_arg2692z00_2488);
																																}
																																BgL_arg2683z00_2482
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2684z00_2483,
																																	BgL_arg2685z00_2484);
																															}
																															BgL_arg2682z00_2481
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg2683z00_2482);
																														}
																														BgL_arg2676z00_2475
																															=
																															MAKE_PAIR
																															(BgL_arg2682z00_2481,
																															BNIL);
																													}
																													BgL_arg2674z00_2473 =
																														MAKE_PAIR
																														(BgL_arg2675z00_2474,
																														BgL_arg2676z00_2475);
																												}
																												BgL_arg2671z00_2470 =
																													MAKE_PAIR
																													(BgL_arg2673z00_2472,
																													BgL_arg2674z00_2473);
																											}
																										else
																											{	/* Ast/unit.scm 562 */
																												obj_t
																													BgL_arg2701z00_2497;
																												{	/* Ast/unit.scm 562 */
																													obj_t
																														BgL_arg2702z00_2498;
																													obj_t
																														BgL_arg2704z00_2499;
																													{	/* Ast/unit.scm 562 */
																														obj_t
																															BgL_arg2705z00_2500;
																														{	/* Ast/unit.scm 562 */
																															obj_t
																																BgL_arg2706z00_2501;
																															{	/* Ast/unit.scm 562 */
																																obj_t
																																	BgL_arg2707z00_2502;
																																{	/* Ast/unit.scm 562 */
																																	obj_t
																																		BgL_arg2708z00_2503;
																																	{	/* Ast/unit.scm 562 */
																																		obj_t
																																			BgL_arg2709z00_2504;
																																		BgL_arg2709z00_2504
																																			=
																																			MAKE_PAIR
																																			(BINT((
																																					(long)
																																					1)),
																																			BNIL);
																																		BgL_arg2708z00_2503
																																			=
																																			MAKE_PAIR
																																			(BgL_lz00_2409,
																																			BgL_arg2709z00_2504);
																																	}
																																	BgL_arg2707z00_2502
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				45)),
																																		BgL_arg2708z00_2503);
																																}
																																BgL_arg2706z00_2501
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2707z00_2502,
																																	BNIL);
																															}
																															BgL_arg2705z00_2500
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 39)),
																																BgL_arg2706z00_2501);
																														}
																														BgL_arg2702z00_2498
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 41)),
																															BgL_arg2705z00_2500);
																													}
																													{	/* Ast/unit.scm 563 */
																														obj_t
																															BgL_arg2710z00_2505;
																														obj_t
																															BgL_arg2711z00_2506;
																														{	/* Ast/unit.scm 563 */
																															obj_t
																																BgL_arg2712z00_2507;
																															obj_t
																																BgL_arg2713z00_2508;
																															{	/* Ast/unit.scm 563 */
																																obj_t
																																	BgL_arg2715z00_2509;
																																{	/* Ast/unit.scm 563 */
																																	obj_t
																																		BgL_arg2716z00_2510;
																																	BgL_arg2716z00_2510
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				25)),
																																		BNIL);
																																	BgL_arg2715z00_2509
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				26)),
																																		BgL_arg2716z00_2510);
																																}
																																BgL_arg2712z00_2507
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 0)),
																																	BgL_arg2715z00_2509);
																															}
																															{	/* Ast/unit.scm 564 */
																																obj_t
																																	BgL_arg2717z00_2511;
																																obj_t
																																	BgL_arg2718z00_2512;
																																{	/* Ast/unit.scm 564 */
																																	obj_t
																																		BgL_arg2719z00_2513;
																																	BgL_arg2719z00_2513
																																		=
																																		MAKE_PAIR
																																		(BgL_idz00_79,
																																		BNIL);
																																	BgL_arg2717z00_2511
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				27)),
																																		BgL_arg2719z00_2513);
																																}
																																{	/* Ast/unit.scm 567 */
																																	obj_t
																																		BgL_arg2720z00_2514;
																																	obj_t
																																		BgL_arg2721z00_2515;
																																	{	/* Ast/unit.scm 567 */
																																		obj_t
																																			BgL_arg2722z00_2516;
																																		obj_t
																																			BgL_arg2723z00_2517;
																																		{	/* Ast/unit.scm 567 */

																																			BgL_arg2722z00_2516
																																				=
																																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																				(BgL_arityz00_2406,
																																				((long)
																																					10));
																																		}
																																		{	/* Ast/unit.scm 568 */

																																			BgL_arg2723z00_2517
																																				=
																																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																				((long)
																																				CINT
																																				(BGl_2zb2zb2zz__r4_numbers_6_5z00
																																					(BINT
																																						(BgL_arityz00_2406),
																																						BINT
																																						(BgL_loptz00_2408))),
																																				((long)
																																					10));
																																		}
																																		{	/* Ast/unit.scm 565 */
																																			obj_t
																																				BgL_list2724z00_2518;
																																			{	/* Ast/unit.scm 565 */
																																				obj_t
																																					BgL_arg2725z00_2519;
																																				{	/* Ast/unit.scm 565 */
																																					obj_t
																																						BgL_arg2726z00_2520;
																																					{	/* Ast/unit.scm 565 */
																																						obj_t
																																							BgL_arg2727z00_2521;
																																						{	/* Ast/unit.scm 565 */
																																							obj_t
																																								BgL_arg2728z00_2522;
																																							BgL_arg2728z00_2522
																																								=
																																								MAKE_PAIR
																																								(BGl_string3301z00zzast_unitz00,
																																								BNIL);
																																							BgL_arg2727z00_2521
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2723z00_2517,
																																								BgL_arg2728z00_2522);
																																						}
																																						BgL_arg2726z00_2520
																																							=
																																							MAKE_PAIR
																																							(BGl_string3302z00zzast_unitz00,
																																							BgL_arg2727z00_2521);
																																					}
																																					BgL_arg2725z00_2519
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2722z00_2516,
																																						BgL_arg2726z00_2520);
																																				}
																																				BgL_list2724z00_2518
																																					=
																																					MAKE_PAIR
																																					(BGl_string3303z00zzast_unitz00,
																																					BgL_arg2725z00_2519);
																																			}
																																			BgL_arg2720z00_2514
																																				=
																																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																				(BgL_list2724z00_2518);
																																	}}
																																	{	/* Ast/unit.scm 570 */
																																		obj_t
																																			BgL_arg2730z00_2528;
																																		{	/* Ast/unit.scm 570 */
																																			obj_t
																																				BgL_arg2731z00_2529;
																																			BgL_arg2731z00_2529
																																				=
																																				MAKE_PAIR
																																				(BgL_ioptz00_2407,
																																				BNIL);
																																			BgL_arg2730z00_2528
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						23)),
																																				BgL_arg2731z00_2529);
																																		}
																																		BgL_arg2721z00_2515
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2730z00_2528,
																																			BNIL);
																																	}
																																	BgL_arg2718z00_2512
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2720z00_2514,
																																		BgL_arg2721z00_2515);
																																}
																																BgL_arg2713z00_2508
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2717z00_2511,
																																	BgL_arg2718z00_2512);
																															}
																															BgL_arg2710z00_2505
																																=
																																MAKE_PAIR
																																(BgL_arg2712z00_2507,
																																BgL_arg2713z00_2508);
																														}
																														{	/* Ast/unit.scm 571 */
																															obj_t
																																BgL_arg2732z00_2530;
																															{	/* Ast/unit.scm 571 */
																																obj_t
																																	BgL_arg2733z00_2531;
																																{	/* Ast/unit.scm 571 */
																																	obj_t
																																		BgL_arg2734z00_2532;
																																	obj_t
																																		BgL_arg2735z00_2533;
																																	{	/* Ast/unit.scm 571 */
																																		obj_t
																																			BgL_arg2736z00_2534;
																																		{	/* Ast/unit.scm 571 */
																																			obj_t
																																				BgL_arg2737z00_2535;
																																			{	/* Ast/unit.scm 571 */
																																				obj_t
																																					BgL_arg2738z00_2536;
																																				{	/* Ast/unit.scm 571 */
																																					obj_t
																																						BgL_arg2739z00_2537;
																																					{	/* Ast/unit.scm 571 */
																																						obj_t
																																							BgL_arg2740z00_2538;
																																						BgL_arg2740z00_2538
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 39)), BNIL);
																																						BgL_arg2739z00_2537
																																							=
																																							MAKE_PAIR
																																							(BgL_ioptz00_2407,
																																							BgL_arg2740z00_2538);
																																					}
																																					BgL_arg2738z00_2536
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 22)), BgL_arg2739z00_2537);
																																				}
																																				BgL_arg2737z00_2535
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2738z00_2536,
																																					BNIL);
																																			}
																																			BgL_arg2736z00_2534
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						42)),
																																				BgL_arg2737z00_2535);
																																		}
																																		BgL_arg2734z00_2532
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2736z00_2534,
																																			BNIL);
																																	}
																																	{	/* Ast/unit.scm 572 */
																																		obj_t
																																			BgL_arg2741z00_2539;
																																		{	/* Ast/unit.scm 572 */
																																			obj_t
																																				BgL_arg2742z00_2540;
																																			{	/* Ast/unit.scm 572 */
																																				obj_t
																																					BgL_arg2743z00_2541;
																																				obj_t
																																					BgL_arg2744z00_2542;
																																				{	/* Ast/unit.scm 572 */
																																					obj_t
																																						BgL_arg2745z00_2543;
																																					{	/* Ast/unit.scm 572 */
																																						obj_t
																																							BgL_arg2746z00_2544;
																																						BgL_arg2746z00_2544
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 40)), BNIL);
																																						BgL_arg2745z00_2543
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 42)), BgL_arg2746z00_2544);
																																					}
																																					BgL_arg2743z00_2541
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 43)), BgL_arg2745z00_2543);
																																				}
																																				{	/* Ast/unit.scm 573 */
																																					obj_t
																																						BgL_arg2747z00_2545;
																																					obj_t
																																						BgL_arg2748z00_2546;
																																					{	/* Ast/unit.scm 573 */
																																						obj_t
																																							BgL_arg2749z00_2547;
																																						{	/* Ast/unit.scm 573 */
																																							obj_t
																																								BgL_arg2750z00_2548;
																																							BgL_arg2750z00_2548
																																								=
																																								MAKE_PAIR
																																								(BINT
																																								(((long) 1)), BNIL);
																																							BgL_arg2749z00_2547
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 39)), BgL_arg2750z00_2548);
																																						}
																																						BgL_arg2747z00_2545
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 44)), BgL_arg2749z00_2547);
																																					}
																																					{	/* Ast/unit.scm 574 */
																																						obj_t
																																							BgL_arg2751z00_2549;
																																						{	/* Ast/unit.scm 574 */
																																							obj_t
																																								BgL_arg2752z00_2550;
																																							{	/* Ast/unit.scm 574 */
																																								obj_t
																																									BgL_arg2753z00_2551;
																																								{	/* Ast/unit.scm 574 */
																																									obj_t
																																										BgL_arg2754z00_2552;
																																									{	/* Ast/unit.scm 574 */
																																										obj_t
																																											BgL_arg2755z00_2553;
																																										{	/* Ast/unit.scm 574 */
																																											obj_t
																																												BgL_arg2756z00_2554;
																																											BgL_arg2756z00_2554
																																												=
																																												MAKE_PAIR
																																												(BINT
																																												(((long) 2)), BNIL);
																																											BgL_arg2755z00_2553
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 39)), BgL_arg2756z00_2554);
																																										}
																																										BgL_arg2754z00_2552
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 44)), BgL_arg2755z00_2553);
																																									}
																																									BgL_arg2753z00_2551
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2754z00_2552,
																																										BNIL);
																																								}
																																								BgL_arg2752z00_2550
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 40)), BgL_arg2753z00_2551);
																																							}
																																							BgL_arg2751z00_2549
																																								=
																																								MAKE_PAIR
																																								(BgL_searchz00_2410,
																																								BgL_arg2752z00_2550);
																																						}
																																						BgL_arg2748z00_2546
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2751z00_2549,
																																							BNIL);
																																					}
																																					BgL_arg2744z00_2542
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2747z00_2545,
																																						BgL_arg2748z00_2546);
																																				}
																																				BgL_arg2742z00_2540
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2743z00_2541,
																																					BgL_arg2744z00_2542);
																																			}
																																			BgL_arg2741z00_2539
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						3)),
																																				BgL_arg2742z00_2540);
																																		}
																																		BgL_arg2735z00_2533
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2741z00_2539,
																																			BNIL);
																																	}
																																	BgL_arg2733z00_2531
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2734z00_2532,
																																		BgL_arg2735z00_2533);
																																}
																																BgL_arg2732z00_2530
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 46)),
																																	BgL_arg2733z00_2531);
																															}
																															BgL_arg2711z00_2506
																																=
																																MAKE_PAIR
																																(BgL_arg2732z00_2530,
																																BNIL);
																														}
																														BgL_arg2704z00_2499
																															=
																															MAKE_PAIR
																															(BgL_arg2710z00_2505,
																															BgL_arg2711z00_2506);
																													}
																													BgL_arg2701z00_2497 =
																														MAKE_PAIR
																														(BgL_arg2702z00_2498,
																														BgL_arg2704z00_2499);
																												}
																												BgL_arg2671z00_2470 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 3)),
																													BgL_arg2701z00_2497);
																									}}
																									BgL_arg2670z00_2469 =
																										MAKE_PAIR
																										(BgL_arg2671z00_2470, BNIL);
																								}
																								BgL_arg2667z00_2466 =
																									MAKE_PAIR(BINT(((long) -1)),
																									BgL_arg2670z00_2469);
																							}
																							BgL_arg2665z00_2464 =
																								MAKE_PAIR(BgL_arg2666z00_2465,
																								BgL_arg2667z00_2466);
																						}
																						BgL_arg2664z00_2463 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									3)), BgL_arg2665z00_2464);
																					}
																					BgL_arg2662z00_2461 =
																						MAKE_PAIR(BgL_arg2664z00_2463,
																						BNIL);
																				}
																				BgL_arg2659z00_2459 =
																					MAKE_PAIR(BgL_arg2660z00_2460,
																					BgL_arg2662z00_2461);
																			}
																			BgL_arg2658z00_2458 =
																				MAKE_PAIR(BgL_searchz00_2410,
																				BgL_arg2659z00_2459);
																		}
																		BgL_arg2655z00_2456 =
																			MAKE_PAIR(BgL_arg2658z00_2458, BNIL);
																	}
																	{	/* Ast/unit.scm 575 */
																		obj_t BgL_arg2758z00_2557;

																		{	/* Ast/unit.scm 575 */
																			obj_t BgL_arg2759z00_2558;

																			{	/* Ast/unit.scm 575 */
																				obj_t BgL_arg2760z00_2559;
																				obj_t BgL_arg2761z00_2560;

																				{	/* Ast/unit.scm 575 */
																					obj_t BgL_ll1965z00_2561;
																					obj_t BgL_ll1966z00_2562;

																					BgL_ll1965z00_2561 =
																						BGl_takez00zz__r4_pairs_and_lists_6_3z00
																						((((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt) ((
																												(BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														BgL_gloz00_77)))->
																											BgL_valuez00))))->
																							BgL_argszd2namezd2),
																						BgL_arityz00_2406);
																					BgL_ll1966z00_2562 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						((int) (BgL_arityz00_2406), BNIL);
																					if (NULLP(BgL_ll1965z00_2561))
																						{	/* Ast/unit.scm 575 */
																							BgL_arg2760z00_2559 = BNIL;
																						}
																					else
																						{	/* Ast/unit.scm 575 */
																							obj_t BgL_head1967z00_2564;

																							{	/* Ast/unit.scm 575 */
																								obj_t BgL_res3245z00_4790;

																								BgL_res3245z00_4790 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head1967z00_2564 =
																									BgL_res3245z00_4790;
																							}
																							{
																								obj_t BgL_ll1965z00_2566;
																								obj_t BgL_ll1966z00_2567;
																								obj_t BgL_tail1968z00_2568;

																								BgL_ll1965z00_2566 =
																									BgL_ll1965z00_2561;
																								BgL_ll1966z00_2567 =
																									BgL_ll1966z00_2562;
																								BgL_tail1968z00_2568 =
																									BgL_head1967z00_2564;
																							BgL_zc3anonymousza32763ze3z83_2569:
																								if (NULLP
																									(BgL_ll1965z00_2566))
																									{	/* Ast/unit.scm 575 */
																										BgL_arg2760z00_2559 =
																											CDR(BgL_head1967z00_2564);
																									}
																								else
																									{	/* Ast/unit.scm 575 */
																										obj_t
																											BgL_newtail1969z00_2571;
																										{	/* Ast/unit.scm 575 */
																											obj_t BgL_arg2767z00_2574;

																											{	/* Ast/unit.scm 575 */
																												obj_t BgL_vz00_2575;
																												obj_t BgL_iz00_2576;

																												BgL_vz00_2575 =
																													CAR
																													(BgL_ll1965z00_2566);
																												BgL_iz00_2576 =
																													CAR
																													(BgL_ll1966z00_2567);
																												{	/* Ast/unit.scm 576 */
																													obj_t
																														BgL_arg2768z00_2577;
																													{	/* Ast/unit.scm 576 */
																														obj_t
																															BgL_arg2769z00_2578;
																														{	/* Ast/unit.scm 576 */
																															obj_t
																																BgL_arg2770z00_2579;
																															{	/* Ast/unit.scm 576 */
																																obj_t
																																	BgL_arg2771z00_2580;
																																BgL_arg2771z00_2580
																																	=
																																	MAKE_PAIR
																																	(BgL_iz00_2576,
																																	BNIL);
																																BgL_arg2770z00_2579
																																	=
																																	MAKE_PAIR
																																	(BgL_ioptz00_2407,
																																	BgL_arg2771z00_2580);
																															}
																															BgL_arg2769z00_2578
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 22)),
																																BgL_arg2770z00_2579);
																														}
																														BgL_arg2768z00_2577
																															=
																															MAKE_PAIR
																															(BgL_arg2769z00_2578,
																															BNIL);
																													}
																													BgL_arg2767z00_2574 =
																														MAKE_PAIR
																														(BgL_vz00_2575,
																														BgL_arg2768z00_2577);
																											}}
																											{	/* Ast/unit.scm 575 */
																												obj_t
																													BgL_res3247z00_4798;
																												BgL_res3247z00_4798 =
																													MAKE_PAIR
																													(BgL_arg2767z00_2574,
																													BNIL);
																												BgL_newtail1969z00_2571
																													= BgL_res3247z00_4798;
																										}}
																										SET_CDR
																											(BgL_tail1968z00_2568,
																											BgL_newtail1969z00_2571);
																										{
																											obj_t
																												BgL_tail1968z00_6533;
																											obj_t BgL_ll1966z00_6531;
																											obj_t BgL_ll1965z00_6529;

																											BgL_ll1965z00_6529 =
																												CDR(BgL_ll1965z00_2566);
																											BgL_ll1966z00_6531 =
																												CDR(BgL_ll1966z00_2567);
																											BgL_tail1968z00_6533 =
																												BgL_newtail1969z00_2571;
																											BgL_tail1968z00_2568 =
																												BgL_tail1968z00_6533;
																											BgL_ll1966z00_2567 =
																												BgL_ll1966z00_6531;
																											BgL_ll1965z00_2566 =
																												BgL_ll1965z00_6529;
																											goto
																												BgL_zc3anonymousza32763ze3z83_2569;
																										}
																									}
																							}
																						}
																				}
																				{	/* Ast/unit.scm 579 */
																					obj_t BgL_arg2775z00_2585;

																					{	/* Ast/unit.scm 579 */
																						obj_t BgL_arg2776z00_2586;

																						{	/* Ast/unit.scm 579 */
																							obj_t BgL_arg2777z00_2587;
																							obj_t BgL_arg2778z00_2588;

																							{	/* Ast/unit.scm 579 */
																								obj_t BgL_head1973z00_2591;

																								{	/* Ast/unit.scm 579 */
																									obj_t BgL_res3249z00_4807;

																									BgL_res3249z00_4807 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_head1973z00_2591 =
																										BgL_res3249z00_4807;
																								}
																								{
																									obj_t BgL_l1971z00_2593;
																									obj_t BgL_tail1974z00_2594;

																									BgL_l1971z00_2593 =
																										BgL_keysz00_78;
																									BgL_tail1974z00_2594 =
																										BgL_head1973z00_2591;
																								BgL_zc3anonymousza32780ze3z83_2595:
																									if (NULLP
																										(BgL_l1971z00_2593))
																										{	/* Ast/unit.scm 579 */
																											BgL_arg2777z00_2587 =
																												CDR
																												(BgL_head1973z00_2591);
																										}
																									else
																										{	/* Ast/unit.scm 579 */
																											obj_t
																												BgL_newtail1975z00_2597;
																											{	/* Ast/unit.scm 579 */
																												obj_t
																													BgL_arg2783z00_2599;
																												{	/* Ast/unit.scm 579 */
																													obj_t BgL_pz00_2600;

																													BgL_pz00_2600 =
																														CAR
																														(BgL_l1971z00_2593);
																													{	/* Ast/unit.scm 579 */
																														obj_t
																															BgL_arg2784z00_2601;
																														obj_t
																															BgL_arg2785z00_2602;
																														BgL_arg2784z00_2601
																															=
																															CAR
																															(BgL_pz00_2600);
																														{	/* Ast/unit.scm 579 */
																															obj_t
																																BgL_pairz00_4813;
																															BgL_pairz00_4813 =
																																BgL_pz00_2600;
																															BgL_arg2785z00_2602
																																=
																																CAR(CDR
																																(BgL_pairz00_4813));
																														}
																														{	/* Ast/unit.scm 579 */
																															obj_t
																																BgL_list2786z00_2603;
																															{	/* Ast/unit.scm 579 */
																																obj_t
																																	BgL_arg2787z00_2604;
																																BgL_arg2787z00_2604
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2785z00_2602,
																																	BNIL);
																																BgL_list2786z00_2603
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2784z00_2601,
																																	BgL_arg2787z00_2604);
																															}
																															BgL_arg2783z00_2599
																																=
																																BgL_list2786z00_2603;
																														}
																													}
																												}
																												{	/* Ast/unit.scm 579 */
																													obj_t
																														BgL_res3252z00_4821;
																													BgL_res3252z00_4821 =
																														MAKE_PAIR
																														(BgL_arg2783z00_2599,
																														BNIL);
																													BgL_newtail1975z00_2597
																														=
																														BgL_res3252z00_4821;
																												}
																											}
																											SET_CDR
																												(BgL_tail1974z00_2594,
																												BgL_newtail1975z00_2597);
																											{
																												obj_t
																													BgL_tail1974z00_6548;
																												obj_t BgL_l1971z00_6546;

																												BgL_l1971z00_6546 =
																													CDR
																													(BgL_l1971z00_2593);
																												BgL_tail1974z00_6548 =
																													BgL_newtail1975z00_2597;
																												BgL_tail1974z00_2594 =
																													BgL_tail1974z00_6548;
																												BgL_l1971z00_2593 =
																													BgL_l1971z00_6546;
																												goto
																													BgL_zc3anonymousza32780ze3z83_2595;
																											}
																										}
																								}
																							}
																							{	/* Ast/unit.scm 581 */
																								obj_t BgL_arg2788z00_2606;
																								obj_t BgL_arg2789z00_2607;

																								{	/* Ast/unit.scm 581 */
																									bool_t BgL_testz00_6549;

																									if (CBOOL
																										(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																										{	/* Ast/unit.scm 582 */
																											bool_t
																												BgL__ortest_1123z00_2657;
																											if ((((BgL_globalz00_bglt)
																														CREF
																														(BgL_gloz00_77))->
																													BgL_evaluablezf3zf3))
																												{	/* Ast/unit.scm 582 */
																													BgL__ortest_1123z00_2657
																														= ((bool_t) 0);
																												}
																											else
																												{	/* Ast/unit.scm 582 */
																													BgL__ortest_1123z00_2657
																														= ((bool_t) 1);
																												}
																											if (BgL__ortest_1123z00_2657)
																												{	/* Ast/unit.scm 582 */
																													BgL_testz00_6549 =
																														BgL__ortest_1123z00_2657;
																												}
																											else
																												{	/* Ast/unit.scm 582 */
																													BgL_testz00_6549 =
																														CBOOL
																														(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																												}
																										}
																									else
																										{	/* Ast/unit.scm 581 */
																											BgL_testz00_6549 =
																												((bool_t) 0);
																										}
																									if (BgL_testz00_6549)
																										{	/* Ast/unit.scm 581 */
																											BgL_arg2788z00_2606 =
																												BUNSPEC;
																										}
																									else
																										{	/* Ast/unit.scm 585 */
																											obj_t BgL_arg2791z00_2609;

																											{	/* Ast/unit.scm 585 */
																												obj_t
																													BgL_arg2792z00_2610;
																												obj_t
																													BgL_arg2793z00_2611;
																												{	/* Ast/unit.scm 585 */
																													obj_t
																														BgL_arg2794z00_2612;
																													{	/* Ast/unit.scm 585 */
																														obj_t
																															BgL_arg2795z00_2613;
																														{	/* Ast/unit.scm 585 */
																															obj_t
																																BgL_arg2797z00_2614;
																															obj_t
																																BgL_arg2798z00_2615;
																															BgL_arg2797z00_2614
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 39)),
																																BNIL);
																															{	/* Ast/unit.scm 586 */
																																obj_t
																																	BgL_arg2799z00_2616;
																																{	/* Ast/unit.scm 586 */
																																	obj_t
																																		BgL_arg2800z00_2617;
																																	{	/* Ast/unit.scm 586 */
																																		obj_t
																																			BgL_arg2801z00_2618;
																																		obj_t
																																			BgL_arg2802z00_2619;
																																		{	/* Ast/unit.scm 586 */
																																			obj_t
																																				BgL_arg2803z00_2620;
																																			{	/* Ast/unit.scm 586 */
																																				obj_t
																																					BgL_arg2804z00_2621;
																																				BgL_arg2804z00_2621
																																					=
																																					MAKE_PAIR
																																					(BgL_lz00_2409,
																																					BNIL);
																																				BgL_arg2803z00_2620
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 39)), BgL_arg2804z00_2621);
																																			}
																																			BgL_arg2801z00_2618
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						41)),
																																				BgL_arg2803z00_2620);
																																		}
																																		{	/* Ast/unit.scm 587 */
																																			obj_t
																																				BgL_arg2805z00_2622;
																																			obj_t
																																				BgL_arg2806z00_2623;
																																			{	/* Ast/unit.scm 587 */
																																				obj_t
																																					BgL_arg2807z00_2624;
																																				BgL_arg2807z00_2624
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg2805z00_2622
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 27)), BgL_arg2807z00_2624);
																																			}
																																			{	/* Ast/unit.scm 588 */
																																				obj_t
																																					BgL_arg2808z00_2625;
																																				{	/* Ast/unit.scm 588 */
																																					obj_t
																																						BgL_arg2809z00_2626;
																																					{	/* Ast/unit.scm 588 */
																																						obj_t
																																							BgL_arg2810z00_2627;
																																						obj_t
																																							BgL_arg2811z00_2628;
																																						{	/* Ast/unit.scm 588 */
																																							obj_t
																																								BgL_arg2812z00_2629;
																																							{	/* Ast/unit.scm 588 */
																																								obj_t
																																									BgL_arg2813z00_2630;
																																								obj_t
																																									BgL_arg2814z00_2631;
																																								{	/* Ast/unit.scm 588 */
																																									obj_t
																																										BgL_arg2815z00_2632;
																																									{	/* Ast/unit.scm 588 */
																																										obj_t
																																											BgL_arg2816z00_2633;
																																										BgL_arg2816z00_2633
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 39)), BNIL);
																																										BgL_arg2815z00_2632
																																											=
																																											MAKE_PAIR
																																											(BgL_ioptz00_2407,
																																											BgL_arg2816z00_2633);
																																									}
																																									BgL_arg2813z00_2630
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 47)), BgL_arg2815z00_2632);
																																								}
																																								{	/* Ast/unit.scm 589 */
																																									obj_t
																																										BgL_arg2817z00_2634;
																																									{	/* Ast/unit.scm 589 */
																																										obj_t
																																											BgL_arg2818z00_2635;
																																										{	/* Ast/unit.scm 589 */
																																											obj_t
																																												BgL_auxz00_6571;
																																											BgL_keysz00_2428
																																												=
																																												BgL_keysz00_78;
																																											{	/* Ast/unit.scm 547 */
																																												obj_t
																																													BgL_head1962z00_2432;
																																												{	/* Ast/unit.scm 547 */
																																													obj_t
																																														BgL_res3239z00_4766;
																																													BgL_res3239z00_4766
																																														=
																																														MAKE_PAIR
																																														(BNIL,
																																														BNIL);
																																													BgL_head1962z00_2432
																																														=
																																														BgL_res3239z00_4766;
																																												}
																																												{
																																													obj_t
																																														BgL_l1960z00_2434;
																																													obj_t
																																														BgL_tail1963z00_2435;
																																													BgL_l1960z00_2434
																																														=
																																														BgL_keysz00_2428;
																																													BgL_tail1963z00_2435
																																														=
																																														BgL_head1962z00_2432;
																																												BgL_zc3anonymousza32638ze3z83_2436:
																																													if (NULLP(BgL_l1960z00_2434))
																																														{	/* Ast/unit.scm 547 */
																																															BgL_auxz00_6571
																																																=
																																																CDR
																																																(BgL_head1962z00_2432);
																																														}
																																													else
																																														{	/* Ast/unit.scm 547 */
																																															obj_t
																																																BgL_newtail1964z00_2438;
																																															{	/* Ast/unit.scm 547 */
																																																obj_t
																																																	BgL_arg2641z00_2440;
																																																{	/* Ast/unit.scm 547 */
																																																	obj_t
																																																		BgL_kz00_2441;
																																																	BgL_kz00_2441
																																																		=
																																																		CAR
																																																		(BgL_l1960z00_2434);
																																																	BgL_arg2641z00_2440
																																																		=
																																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																																		(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																		(CAR
																																																			(BgL_kz00_2441),
																																																			BgL_locz00_85));
																																																}
																																																{	/* Ast/unit.scm 547 */
																																																	obj_t
																																																		BgL_res3241z00_4774;
																																																	BgL_res3241z00_4774
																																																		=
																																																		MAKE_PAIR
																																																		(BgL_arg2641z00_2440,
																																																		BNIL);
																																																	BgL_newtail1964z00_2438
																																																		=
																																																		BgL_res3241z00_4774;
																																																}
																																															}
																																															SET_CDR
																																																(BgL_tail1963z00_2435,
																																																BgL_newtail1964z00_2438);
																																															{
																																																obj_t
																																																	BgL_tail1963z00_6584;
																																																obj_t
																																																	BgL_l1960z00_6582;
																																																BgL_l1960z00_6582
																																																	=
																																																	CDR
																																																	(BgL_l1960z00_2434);
																																																BgL_tail1963z00_6584
																																																	=
																																																	BgL_newtail1964z00_2438;
																																																BgL_tail1963z00_2435
																																																	=
																																																	BgL_tail1963z00_6584;
																																																BgL_l1960z00_2434
																																																	=
																																																	BgL_l1960z00_6582;
																																																goto
																																																	BgL_zc3anonymousza32638ze3z83_2436;
																																															}
																																														}
																																												}
																																											}
																																											BgL_arg2818z00_2635
																																												=
																																												MAKE_PAIR
																																												(BgL_auxz00_6571,
																																												BNIL);
																																										}
																																										BgL_arg2817z00_2634
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 27)), BgL_arg2818z00_2635);
																																									}
																																									BgL_arg2814z00_2631
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2817z00_2634,
																																										BNIL);
																																								}
																																								BgL_arg2812z00_2629
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2813z00_2630,
																																									BgL_arg2814z00_2631);
																																							}
																																							BgL_arg2810z00_2627
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 48)), BgL_arg2812z00_2629);
																																						}
																																						{	/* Ast/unit.scm 590 */
																																							obj_t
																																								BgL_arg2820z00_2637;
																																							obj_t
																																								BgL_arg2821z00_2638;
																																							{	/* Ast/unit.scm 590 */
																																								obj_t
																																									BgL_arg2822z00_2639;
																																								{	/* Ast/unit.scm 590 */
																																									obj_t
																																										BgL_arg2823z00_2640;
																																									{	/* Ast/unit.scm 590 */
																																										obj_t
																																											BgL_arg2824z00_2641;
																																										{	/* Ast/unit.scm 590 */
																																											obj_t
																																												BgL_arg2825z00_2642;
																																											BgL_arg2825z00_2642
																																												=
																																												MAKE_PAIR
																																												(BINT
																																												(((long) 2)), BNIL);
																																											BgL_arg2824z00_2641
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 39)), BgL_arg2825z00_2642);
																																										}
																																										BgL_arg2823z00_2640
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 44)), BgL_arg2824z00_2641);
																																									}
																																									BgL_arg2822z00_2639
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2823z00_2640,
																																										BNIL);
																																								}
																																								BgL_arg2820z00_2637
																																									=
																																									MAKE_PAIR
																																									(BgL_checkz00_2411,
																																									BgL_arg2822z00_2639);
																																							}
																																							{	/* Ast/unit.scm 591 */
																																								obj_t
																																									BgL_arg2826z00_2643;
																																								{	/* Ast/unit.scm 591 */
																																									obj_t
																																										BgL_arg2827z00_2644;
																																									obj_t
																																										BgL_arg2829z00_2645;
																																									{	/* Ast/unit.scm 591 */
																																										obj_t
																																											BgL_arg2830z00_2646;
																																										{	/* Ast/unit.scm 591 */
																																											obj_t
																																												BgL_arg2831z00_2647;
																																											BgL_arg2831z00_2647
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 25)), BNIL);
																																											BgL_arg2830z00_2646
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 26)), BgL_arg2831z00_2647);
																																										}
																																										BgL_arg2827z00_2644
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 0)), BgL_arg2830z00_2646);
																																									}
																																									{	/* Ast/unit.scm 592 */
																																										obj_t
																																											BgL_arg2832z00_2648;
																																										obj_t
																																											BgL_arg2833z00_2649;
																																										{	/* Ast/unit.scm 592 */
																																											obj_t
																																												BgL_arg2834z00_2650;
																																											BgL_arg2834z00_2650
																																												=
																																												MAKE_PAIR
																																												(BgL_idz00_79,
																																												BNIL);
																																											BgL_arg2832z00_2648
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 27)), BgL_arg2834z00_2650);
																																										}
																																										{	/* Ast/unit.scm 594 */
																																											obj_t
																																												BgL_arg2835z00_2651;
																																											{	/* Ast/unit.scm 594 */
																																												obj_t
																																													BgL_arg2836z00_2652;
																																												{	/* Ast/unit.scm 594 */
																																													obj_t
																																														BgL_arg2837z00_2653;
																																													{	/* Ast/unit.scm 594 */
																																														obj_t
																																															BgL_arg2838z00_2654;
																																														BgL_arg2838z00_2654
																																															=
																																															MAKE_PAIR
																																															(CNST_TABLE_REF
																																															(((long) 39)), BNIL);
																																														BgL_arg2837z00_2653
																																															=
																																															MAKE_PAIR
																																															(BgL_ioptz00_2407,
																																															BgL_arg2838z00_2654);
																																													}
																																													BgL_arg2836z00_2652
																																														=
																																														MAKE_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 47)), BgL_arg2837z00_2653);
																																												}
																																												BgL_arg2835z00_2651
																																													=
																																													MAKE_PAIR
																																													(BgL_arg2836z00_2652,
																																													BNIL);
																																											}
																																											BgL_arg2833z00_2649
																																												=
																																												MAKE_PAIR
																																												(BGl_string3304z00zzast_unitz00,
																																												BgL_arg2835z00_2651);
																																										}
																																										BgL_arg2829z00_2645
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2832z00_2648,
																																											BgL_arg2833z00_2649);
																																									}
																																									BgL_arg2826z00_2643
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2827z00_2644,
																																										BgL_arg2829z00_2645);
																																								}
																																								BgL_arg2821z00_2638
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2826z00_2643,
																																									BNIL);
																																							}
																																							BgL_arg2811z00_2628
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2820z00_2637,
																																								BgL_arg2821z00_2638);
																																						}
																																						BgL_arg2809z00_2626
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2810z00_2627,
																																							BgL_arg2811z00_2628);
																																					}
																																					BgL_arg2808z00_2625
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 3)), BgL_arg2809z00_2626);
																																				}
																																				BgL_arg2806z00_2623
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2808z00_2625,
																																					BNIL);
																																			}
																																			BgL_arg2802z00_2619
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2805z00_2622,
																																				BgL_arg2806z00_2623);
																																		}
																																		BgL_arg2800z00_2617
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2801z00_2618,
																																			BgL_arg2802z00_2619);
																																	}
																																	BgL_arg2799z00_2616
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				3)),
																																		BgL_arg2800z00_2617);
																																}
																																BgL_arg2798z00_2615
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2799z00_2616,
																																	BNIL);
																															}
																															BgL_arg2795z00_2613
																																=
																																MAKE_PAIR
																																(BgL_arg2797z00_2614,
																																BgL_arg2798z00_2615);
																														}
																														BgL_arg2794z00_2612
																															=
																															MAKE_PAIR
																															(BgL_checkz00_2411,
																															BgL_arg2795z00_2613);
																													}
																													BgL_arg2792z00_2610 =
																														MAKE_PAIR
																														(BgL_arg2794z00_2612,
																														BNIL);
																												}
																												{	/* Ast/unit.scm 595 */
																													obj_t
																														BgL_arg2839z00_2655;
																													{	/* Ast/unit.scm 595 */
																														obj_t
																															BgL_arg2840z00_2656;
																														BgL_arg2840z00_2656
																															=
																															MAKE_PAIR(BINT
																															(BgL_arityz00_2406),
																															BNIL);
																														BgL_arg2839z00_2655
																															=
																															MAKE_PAIR
																															(BgL_checkz00_2411,
																															BgL_arg2840z00_2656);
																													}
																													BgL_arg2793z00_2611 =
																														MAKE_PAIR
																														(BgL_arg2839z00_2655,
																														BNIL);
																												}
																												BgL_arg2791z00_2609 =
																													MAKE_PAIR
																													(BgL_arg2792z00_2610,
																													BgL_arg2793z00_2611);
																											}
																											BgL_arg2788z00_2606 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 49)),
																												BgL_arg2791z00_2609);
																								}}
																								{	/* Ast/unit.scm 596 */
																									obj_t BgL_arg2842z00_2659;
																									obj_t BgL_arg2843z00_2660;

																									{	/* Ast/unit.scm 596 */
																										obj_t BgL_head1978z00_2663;

																										{	/* Ast/unit.scm 596 */
																											obj_t BgL_res3255z00_4832;

																											BgL_res3255z00_4832 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_head1978z00_2663 =
																												BgL_res3255z00_4832;
																										}
																										{
																											obj_t BgL_l1976z00_2665;
																											obj_t
																												BgL_tail1979z00_2666;
																											BgL_l1976z00_2665 =
																												BgL_keysz00_78;
																											BgL_tail1979z00_2666 =
																												BgL_head1978z00_2663;
																										BgL_zc3anonymousza32845ze3z83_2667:
																											if (NULLP
																												(BgL_l1976z00_2665))
																												{	/* Ast/unit.scm 596 */
																													BgL_arg2842z00_2659 =
																														CDR
																														(BgL_head1978z00_2663);
																												}
																											else
																												{	/* Ast/unit.scm 596 */
																													obj_t
																														BgL_newtail1980z00_2669;
																													{	/* Ast/unit.scm 596 */
																														obj_t
																															BgL_arg2848z00_2671;
																														{	/* Ast/unit.scm 596 */
																															obj_t
																																BgL_pz00_2672;
																															BgL_pz00_2672 =
																																CAR
																																(BgL_l1976z00_2665);
																															{	/* Ast/unit.scm 597 */
																																obj_t
																																	BgL_iz00_2673;
																																BgL_iz00_2673 =
																																	BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																	(CAR
																																	(BgL_pz00_2672),
																																	BgL_locz00_85);
																																{	/* Ast/unit.scm 597 */
																																	obj_t
																																		BgL_k1z00_2674;
																																	BgL_k1z00_2674
																																		=
																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																		(BgL_iz00_2673);
																																	{	/* Ast/unit.scm 598 */
																																		obj_t
																																			BgL_indz00_2675;
																																		BgL_indz00_2675
																																			=
																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																			(CNST_TABLE_REF
																																			(((long)
																																					50)));
																																		{	/* Ast/unit.scm 599 */

																																			{	/* Ast/unit.scm 600 */
																																				obj_t
																																					BgL_arg2849z00_2676;
																																				obj_t
																																					BgL_arg2850z00_2677;
																																				BgL_arg2849z00_2676
																																					=
																																					BGl_letzd2symzd2zzast_letz00
																																					();
																																				{	/* Ast/unit.scm 600 */
																																					obj_t
																																						BgL_arg2851z00_2678;
																																					obj_t
																																						BgL_arg2852z00_2679;
																																					{	/* Ast/unit.scm 600 */
																																						obj_t
																																							BgL_arg2853z00_2680;
																																						{	/* Ast/unit.scm 600 */
																																							obj_t
																																								BgL_arg2854z00_2681;
																																							{	/* Ast/unit.scm 600 */
																																								obj_t
																																									BgL_arg2855z00_2682;
																																								{	/* Ast/unit.scm 600 */
																																									obj_t
																																										BgL_arg2856z00_2683;
																																									{	/* Ast/unit.scm 600 */
																																										obj_t
																																											BgL_arg2857z00_2684;
																																										BgL_arg2857z00_2684
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(BgL_arityz00_2406),
																																											BNIL);
																																										BgL_arg2856z00_2683
																																											=
																																											MAKE_PAIR
																																											(BgL_k1z00_2674,
																																											BgL_arg2857z00_2684);
																																									}
																																									BgL_arg2855z00_2682
																																										=
																																										MAKE_PAIR
																																										(BgL_searchz00_2410,
																																										BgL_arg2856z00_2683);
																																								}
																																								BgL_arg2854z00_2681
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2855z00_2682,
																																									BNIL);
																																							}
																																							BgL_arg2853z00_2680
																																								=
																																								MAKE_PAIR
																																								(BgL_indz00_2675,
																																								BgL_arg2854z00_2681);
																																						}
																																						BgL_arg2851z00_2678
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2853z00_2680,
																																							BNIL);
																																					}
																																					{	/* Ast/unit.scm 601 */
																																						obj_t
																																							BgL_arg2858z00_2685;
																																						{	/* Ast/unit.scm 601 */
																																							obj_t
																																								BgL_arg2859z00_2686;
																																							{	/* Ast/unit.scm 601 */
																																								obj_t
																																									BgL_arg2860z00_2687;
																																								obj_t
																																									BgL_arg2861z00_2688;
																																								{	/* Ast/unit.scm 601 */
																																									obj_t
																																										BgL_arg2862z00_2689;
																																									{	/* Ast/unit.scm 601 */
																																										obj_t
																																											BgL_arg2863z00_2690;
																																										BgL_arg2863z00_2690
																																											=
																																											MAKE_PAIR
																																											(BINT
																																											(((long) 0)), BNIL);
																																										BgL_arg2862z00_2689
																																											=
																																											MAKE_PAIR
																																											(BgL_indz00_2675,
																																											BgL_arg2863z00_2690);
																																									}
																																									BgL_arg2860z00_2687
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 51)), BgL_arg2862z00_2689);
																																								}
																																								{	/* Ast/unit.scm 602 */
																																									obj_t
																																										BgL_arg2864z00_2691;
																																									{	/* Ast/unit.scm 602 */
																																										obj_t
																																											BgL_arg2865z00_2692;
																																										{	/* Ast/unit.scm 602 */
																																											obj_t
																																												BgL_arg2866z00_2693;
																																											{	/* Ast/unit.scm 602 */
																																												obj_t
																																													BgL_arg2867z00_2694;
																																												{	/* Ast/unit.scm 602 */
																																													obj_t
																																														BgL_arg2868z00_2695;
																																													{	/* Ast/unit.scm 602 */
																																														obj_t
																																															BgL_arg2869z00_2696;
																																														BgL_arg2869z00_2696
																																															=
																																															MAKE_PAIR
																																															(BgL_indz00_2675,
																																															BNIL);
																																														BgL_arg2868z00_2695
																																															=
																																															MAKE_PAIR
																																															(BgL_ioptz00_2407,
																																															BgL_arg2869z00_2696);
																																													}
																																													BgL_arg2867z00_2694
																																														=
																																														MAKE_PAIR
																																														(CNST_TABLE_REF
																																														(((long) 22)), BgL_arg2868z00_2695);
																																												}
																																												BgL_arg2866z00_2693
																																													=
																																													MAKE_PAIR
																																													(BgL_arg2867z00_2694,
																																													BNIL);
																																											}
																																											BgL_arg2865z00_2692
																																												=
																																												MAKE_PAIR
																																												(BgL_iz00_2673,
																																												BgL_arg2866z00_2693);
																																										}
																																										BgL_arg2864z00_2691
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 1)), BgL_arg2865z00_2692);
																																									}
																																									BgL_arg2861z00_2688
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2864z00_2691,
																																										BNIL);
																																								}
																																								BgL_arg2859z00_2686
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2860z00_2687,
																																									BgL_arg2861z00_2688);
																																							}
																																							BgL_arg2858z00_2685
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 52)), BgL_arg2859z00_2686);
																																						}
																																						BgL_arg2852z00_2679
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2858z00_2685,
																																							BNIL);
																																					}
																																					BgL_arg2850z00_2677
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2851z00_2678,
																																						BgL_arg2852z00_2679);
																																				}
																																				BgL_arg2848z00_2671
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2849z00_2676,
																																					BgL_arg2850z00_2677);
																														}}}}}}
																														{	/* Ast/unit.scm 596 */
																															obj_t
																																BgL_res3257z00_4840;
																															BgL_res3257z00_4840
																																=
																																MAKE_PAIR
																																(BgL_arg2848z00_2671,
																																BNIL);
																															BgL_newtail1980z00_2669
																																=
																																BgL_res3257z00_4840;
																													}}
																													SET_CDR
																														(BgL_tail1979z00_2666,
																														BgL_newtail1980z00_2669);
																													{
																														obj_t
																															BgL_tail1979z00_6681;
																														obj_t
																															BgL_l1976z00_6679;
																														BgL_l1976z00_6679 =
																															CDR
																															(BgL_l1976z00_2665);
																														BgL_tail1979z00_6681
																															=
																															BgL_newtail1980z00_2669;
																														BgL_tail1979z00_2666
																															=
																															BgL_tail1979z00_6681;
																														BgL_l1976z00_2665 =
																															BgL_l1976z00_6679;
																														goto
																															BgL_zc3anonymousza32845ze3z83_2667;
																													}
																												}
																										}
																									}
																									{	/* Ast/unit.scm 604 */
																										obj_t BgL_arg2871z00_2699;

																										{	/* Ast/unit.scm 604 */
																											obj_t BgL_arg2872z00_2700;

																											{	/* Ast/unit.scm 604 */
																												obj_t
																													BgL_arg2873z00_2701;
																												obj_t
																													BgL_arg2874z00_2702;
																												{	/* Ast/unit.scm 604 */
																													obj_t
																														BgL_l1981z00_2703;
																													BgL_l1981z00_2703 =
																														BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																														((int)
																														(BgL_arityz00_2406),
																														BNIL);
																													if (NULLP
																														(BgL_l1981z00_2703))
																														{	/* Ast/unit.scm 604 */
																															BgL_arg2873z00_2701
																																= BNIL;
																														}
																													else
																														{	/* Ast/unit.scm 604 */
																															obj_t
																																BgL_head1983z00_2705;
																															{	/* Ast/unit.scm 604 */
																																obj_t
																																	BgL_res3259z00_4848;
																																BgL_res3259z00_4848
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_head1983z00_2705
																																	=
																																	BgL_res3259z00_4848;
																															}
																															{
																																obj_t
																																	BgL_l1981z00_2707;
																																obj_t
																																	BgL_tail1984z00_2708;
																																BgL_l1981z00_2707
																																	=
																																	BgL_l1981z00_2703;
																																BgL_tail1984z00_2708
																																	=
																																	BgL_head1983z00_2705;
																															BgL_zc3anonymousza32876ze3z83_2709:
																																if (NULLP
																																	(BgL_l1981z00_2707))
																																	{	/* Ast/unit.scm 604 */
																																		BgL_arg2873z00_2701
																																			=
																																			CDR
																																			(BgL_head1983z00_2705);
																																	}
																																else
																																	{	/* Ast/unit.scm 604 */
																																		obj_t
																																			BgL_newtail1985z00_2711;
																																		{	/* Ast/unit.scm 604 */
																																			obj_t
																																				BgL_arg2879z00_2713;
																																			{	/* Ast/unit.scm 604 */
																																				obj_t
																																					BgL_jz00_2714;
																																				BgL_jz00_2714
																																					=
																																					CAR
																																					(BgL_l1981z00_2707);
																																				{	/* Ast/unit.scm 605 */
																																					obj_t
																																						BgL_arg2880z00_2715;
																																					{	/* Ast/unit.scm 605 */
																																						obj_t
																																							BgL_arg2881z00_2716;
																																						BgL_arg2881z00_2716
																																							=
																																							MAKE_PAIR
																																							(BgL_jz00_2714,
																																							BNIL);
																																						BgL_arg2880z00_2715
																																							=
																																							MAKE_PAIR
																																							(BgL_ioptz00_2407,
																																							BgL_arg2881z00_2716);
																																					}
																																					BgL_arg2879z00_2713
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 22)), BgL_arg2880z00_2715);
																																			}}
																																			{	/* Ast/unit.scm 604 */
																																				obj_t
																																					BgL_res3261z00_4855;
																																				BgL_res3261z00_4855
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2879z00_2713,
																																					BNIL);
																																				BgL_newtail1985z00_2711
																																					=
																																					BgL_res3261z00_4855;
																																		}}
																																		SET_CDR
																																			(BgL_tail1984z00_2708,
																																			BgL_newtail1985z00_2711);
																																		{
																																			obj_t
																																				BgL_tail1984z00_6699;
																																			obj_t
																																				BgL_l1981z00_6697;
																																			BgL_l1981z00_6697
																																				=
																																				CDR
																																				(BgL_l1981z00_2707);
																																			BgL_tail1984z00_6699
																																				=
																																				BgL_newtail1985z00_2711;
																																			BgL_tail1984z00_2708
																																				=
																																				BgL_tail1984z00_6699;
																																			BgL_l1981z00_2707
																																				=
																																				BgL_l1981z00_6697;
																																			goto
																																				BgL_zc3anonymousza32876ze3z83_2709;
																																		}
																																	}
																															}
																														}
																												}
																												{	/* Ast/unit.scm 608 */
																													obj_t
																														BgL_arg2883z00_2719;
																													{	/* Ast/unit.scm 608 */
																														obj_t
																															BgL_zc3anonymousza32886ze3z83_4993;
																														BgL_zc3anonymousza32886ze3z83_4993
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32886ze3ze1zzast_unitz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	1)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32886ze3z83_4993,
																															(int) (((long)
																																	0)),
																															BgL_locz00_85);
																														{	/* Ast/unit.scm 607 */
																															obj_t
																																BgL_list2885z00_2721;
																															BgL_list2885z00_2721
																																=
																																MAKE_PAIR
																																(BgL_keysz00_78,
																																BNIL);
																															BgL_arg2883z00_2719
																																=
																																BGl_appendzd2mapzd2zz__r4_control_features_6_9z00
																																(BgL_zc3anonymousza32886ze3z83_4993,
																																BgL_list2885z00_2721);
																													}}
																													BgL_arg2874z00_2702 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2883z00_2719,
																														BNIL);
																												}
																												BgL_arg2872z00_2700 =
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2873z00_2701,
																													BgL_arg2874z00_2702);
																											}
																											BgL_arg2871z00_2699 =
																												MAKE_PAIR(
																												((obj_t) BgL_gloz00_77),
																												BgL_arg2872z00_2700);
																										}
																										BgL_arg2843z00_2660 =
																											MAKE_PAIR
																											(BgL_arg2871z00_2699,
																											BNIL);
																									}
																									BgL_arg2789z00_2607 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2842z00_2659,
																										BgL_arg2843z00_2660);
																								}
																								BgL_arg2778z00_2588 =
																									MAKE_PAIR(BgL_arg2788z00_2606,
																									BgL_arg2789z00_2607);
																							}
																							BgL_arg2776z00_2586 =
																								MAKE_PAIR(BgL_arg2777z00_2587,
																								BgL_arg2778z00_2588);
																						}
																						BgL_arg2775z00_2585 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									24)), BgL_arg2776z00_2586);
																					}
																					BgL_arg2761z00_2560 =
																						MAKE_PAIR(BgL_arg2775z00_2585,
																						BNIL);
																				}
																				BgL_arg2759z00_2558 =
																					MAKE_PAIR(BgL_arg2760z00_2559,
																					BgL_arg2761z00_2560);
																			}
																			BgL_arg2758z00_2557 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 46)),
																				BgL_arg2759z00_2558);
																		}
																		BgL_arg2656z00_2457 =
																			MAKE_PAIR(BgL_arg2758z00_2557, BNIL);
																	}
																	BgL_arg2654z00_2455 =
																		MAKE_PAIR(BgL_arg2655z00_2456,
																		BgL_arg2656z00_2457);
																}
																BgL_arg2653z00_2454 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 49)),
																	BgL_arg2654z00_2455);
															}
															BgL_arg2648z00_2449 =
																MAKE_PAIR(BgL_arg2653z00_2454, BNIL);
														}
														BgL_arg2646z00_2447 =
															MAKE_PAIR(BgL_arg2647z00_2448,
															BgL_arg2648z00_2449);
													}
													BgL_auxz00_6349 =
														MAKE_PAIR(BgL_arg2645z00_2446, BgL_arg2646z00_2447);
												}
												BgL_auxz00_6348 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_6349);
											}
											BgL_arg2628z00_2420 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_6348);
										}
										BgL_gz00_2418 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_2415, CNST_TABLE_REF(((long) 32)),
											BgL_arg2627z00_2419, BgL_modulez00_80, BgL_classz00_84,
											BgL_srcz00_83, CNST_TABLE_REF(((long) 33)),
											BgL_arg2628z00_2420);
									}
									{	/* Ast/unit.scm 617 */

										{	/* Ast/unit.scm 621 */
											BgL_typez00_bglt BgL_vz00_4873;

											BgL_vz00_4873 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_gz00_2418)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4873), BUNSPEC);
										}
										((((BgL_globalz00_bglt) CREF(BgL_gz00_2418))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										return BgL_gz00_2418;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2886> */
	obj_t BGl_z62zc3anonymousza32886ze3ze1zzast_unitz00(obj_t BgL_envz00_4994,
		obj_t BgL_pz00_4996)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 607 */
			{	/* Ast/unit.scm 608 */
				obj_t BgL_locz00_4995;

				BgL_locz00_4995 = PROCEDURE_REF(BgL_envz00_4994, (int) (((long) 0)));
				{
					obj_t BgL_pz00_2722;

					BgL_pz00_2722 = BgL_pz00_4996;
					{	/* Ast/unit.scm 608 */
						obj_t BgL_idz00_2724;

						BgL_idz00_2724 =
							BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(CAR(BgL_pz00_2722),
							BgL_locz00_4995);
						{	/* Ast/unit.scm 611 */
							obj_t BgL_arg2887z00_2725;

							BgL_arg2887z00_2725 =
								BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_idz00_2724);
							{	/* Ast/unit.scm 610 */
								obj_t BgL_list2888z00_2726;

								{	/* Ast/unit.scm 610 */
									obj_t BgL_arg2889z00_2727;

									BgL_arg2889z00_2727 = MAKE_PAIR(BgL_idz00_2724, BNIL);
									BgL_list2888z00_2726 =
										MAKE_PAIR(BgL_arg2887z00_2725, BgL_arg2889z00_2727);
								}
								return BgL_list2888z00_2726;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-noopt-definition */
	obj_t BGl_makezd2sfunzd2nooptzd2definitionzd2zzast_unitz00(obj_t BgL_idz00_86,
		obj_t BgL_modulez00_87, obj_t BgL_argsz00_88, obj_t BgL_bodyz00_89,
		obj_t BgL_srcz00_90, obj_t BgL_classz00_91, obj_t BgL_locz00_92)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 628 */
			{	/* Ast/unit.scm 629 */
				obj_t BgL_localsz00_2733;
				obj_t BgL_bodyz00_2734;

				{
					obj_t BgL_argsz00_2739;
					obj_t BgL_resz00_2740;

					BgL_argsz00_2739 = BgL_argsz00_88;
					BgL_resz00_2740 = BNIL;
				BgL_zc3anonymousza32894ze3z83_2741:
					if (NULLP(BgL_argsz00_2739))
						{	/* Ast/unit.scm 632 */
							BgL_localsz00_2733 = bgl_reverse_bang(BgL_resz00_2740);
						}
					else
						{	/* Ast/unit.scm 632 */
							if (PAIRP(BgL_argsz00_2739))
								{	/* Ast/unit.scm 634 */
									if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
											(BgL_argsz00_2739)))
										{	/* Ast/unit.scm 644 */
											obj_t BgL_argz00_2745;

											BgL_argz00_2745 =
												BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00
												(BgL_argsz00_2739);
											if (CBOOL(BgL_argz00_2745))
												{	/* Ast/unit.scm 647 */
													obj_t BgL_arg2898z00_2746;

													{	/* Ast/unit.scm 647 */
														BgL_localz00_bglt BgL_arg2899z00_2747;

														BgL_arg2899z00_2747 =
															BGl_makezd2userzd2localzd2svarzd2zzast_localz00
															(BgL_argz00_2745,
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_arg2898z00_2746 =
															MAKE_PAIR(((obj_t) BgL_arg2899z00_2747),
															BgL_resz00_2740);
													}
													BgL_localsz00_2733 =
														bgl_reverse_bang(BgL_arg2898z00_2746);
												}
											else
												{	/* Ast/unit.scm 645 */
													BgL_localsz00_2733 =
														bgl_reverse_bang(BgL_resz00_2740);
												}
										}
									else
										{	/* Ast/unit.scm 650 */
											obj_t BgL_pidz00_2748;

											BgL_pidz00_2748 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2739),
													BgL_locz00_92), BgL_srcz00_90);
											{	/* Ast/unit.scm 650 */
												obj_t BgL_idz00_2749;

												BgL_idz00_2749 = CAR(BgL_pidz00_2748);
												{	/* Ast/unit.scm 652 */
													obj_t BgL_typez00_2750;

													BgL_typez00_2750 = CDR(BgL_pidz00_2748);
													{	/* Ast/unit.scm 653 */

														{	/* Ast/unit.scm 654 */
															obj_t BgL_arg2900z00_2751;
															obj_t BgL_arg2901z00_2752;

															BgL_arg2900z00_2751 = CDR(BgL_argsz00_2739);
															{	/* Ast/unit.scm 655 */
																BgL_localz00_bglt BgL_arg2902z00_2753;

																if (BGl_userzd2symbolzf3z21zzast_identz00
																	(BgL_idz00_2749))
																	{	/* Ast/unit.scm 655 */
																		BgL_arg2902z00_2753 =
																			BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																			(BgL_idz00_2749,
																			((BgL_typez00_bglt) BgL_typez00_2750));
																	}
																else
																	{	/* Ast/unit.scm 655 */
																		BgL_arg2902z00_2753 =
																			BGl_makezd2localzd2svarz00zzast_localz00
																			(BgL_idz00_2749,
																			((BgL_typez00_bglt) BgL_typez00_2750));
																	}
																BgL_arg2901z00_2752 =
																	MAKE_PAIR(
																	((obj_t) BgL_arg2902z00_2753),
																	BgL_resz00_2740);
															}
															{
																obj_t BgL_resz00_6776;
																obj_t BgL_argsz00_6775;

																BgL_argsz00_6775 = BgL_arg2900z00_2751;
																BgL_resz00_6776 = BgL_arg2901z00_2752;
																BgL_resz00_2740 = BgL_resz00_6776;
																BgL_argsz00_2739 = BgL_argsz00_6775;
																goto BgL_zc3anonymousza32894ze3z83_2741;
															}
														}
													}
												}
											}
										}
								}
							else
								{	/* Ast/unit.scm 635 */
									obj_t BgL_pidz00_2758;

									BgL_pidz00_2758 =
										BGl_checkzd2idzd2zzast_identz00
										(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2739,
											BgL_locz00_92), BgL_srcz00_90);
									{	/* Ast/unit.scm 635 */
										obj_t BgL_idz00_2759;

										BgL_idz00_2759 = CAR(BgL_pidz00_2758);
										{	/* Ast/unit.scm 636 */
											obj_t BgL_typez00_2760;

											BgL_typez00_2760 = CDR(BgL_pidz00_2758);
											{	/* Ast/unit.scm 637 */

												{	/* Ast/unit.scm 641 */
													obj_t BgL_arg2907z00_2761;

													{	/* Ast/unit.scm 641 */
														BgL_localz00_bglt BgL_arg2908z00_2762;

														BgL_arg2908z00_2762 =
															BGl_makezd2userzd2localzd2svarzd2zzast_localz00
															(BgL_idz00_2759,
															((BgL_typez00_bglt) BgL_typez00_2760));
														BgL_arg2907z00_2761 =
															MAKE_PAIR(((obj_t) BgL_arg2908z00_2762),
															BgL_resz00_2740);
													}
													BgL_localsz00_2733 =
														bgl_reverse_bang(BgL_arg2907z00_2761);
												}
											}
										}
									}
								}
						}
				}
				BgL_bodyz00_2734 =
					BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_idz00_86,
					BgL_argsz00_88, BgL_bodyz00_89,
					BGl_userzd2errorzd2envz00zztools_errorz00);
				{	/* Ast/unit.scm 660 */
					BgL_globalz00_bglt BgL_arg2892z00_2735;

					BgL_arg2892z00_2735 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_86,
						BgL_argsz00_88, BgL_localsz00_2733, BgL_modulez00_87,
						BgL_classz00_91, BgL_srcz00_90, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_2734);
					{	/* Ast/unit.scm 660 */
						obj_t BgL_list2893z00_2736;

						BgL_list2893z00_2736 =
							MAKE_PAIR(((obj_t) BgL_arg2892z00_2735), BNIL);
						return BgL_list2893z00_2736;
					}
				}
			}
		}
	}



/* make-svar-definition */
	obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_93,
		obj_t BgL_srcz00_94)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 665 */
			BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_93,
				BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_94,
				CNST_TABLE_REF(((long) 8)));
			{	/* Ast/unit.scm 669 */
				obj_t BgL_auxz00_6795;
				obj_t BgL_auxz00_6793;

				BgL_auxz00_6795 =
					CAR(BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
						(BgL_idz00_93,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_94)),
						BgL_srcz00_94));
				BgL_auxz00_6793 = CDR(BgL_srcz00_94);
				SET_CAR(BgL_auxz00_6793, BgL_auxz00_6795);
			}
			{	/* Ast/unit.scm 670 */
				obj_t BgL_list2915z00_2770;

				BgL_list2915z00_2770 = MAKE_PAIR(BgL_srcz00_94, BNIL);
				return BgL_list2915z00_2770;
			}
		}
	}



/* make-generic-definition */
	obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t BgL_idz00_101,
		obj_t BgL_modulez00_102, obj_t BgL_argsz00_103, obj_t BgL_bodyz00_104,
		obj_t BgL_srcz00_105, obj_t BgL_gdefsz00_106)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 705 */
			{	/* Ast/unit.scm 708 */
				obj_t BgL_locz00_2802;

				BgL_locz00_2802 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_105);
				{	/* Ast/unit.scm 708 */
					obj_t BgL_localsz00_2803;

					if (NULLP(BgL_argsz00_103))
						{	/* Ast/unit.scm 709 */
							BgL_localsz00_2803 =
								BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_101,
								BGl_string3305z00zzast_unitz00, BgL_srcz00_105, BNIL);
						}
					else
						{
							obj_t BgL_argsz00_2857;
							obj_t BgL_resz00_2858;

							BgL_argsz00_2857 = BgL_argsz00_103;
							BgL_resz00_2858 = BNIL;
						BgL_zc3anonymousza32982ze3z83_2859:
							if (NULLP(BgL_argsz00_2857))
								{	/* Ast/unit.scm 716 */
									BgL_localsz00_2803 = bgl_reverse_bang(BgL_resz00_2858);
								}
							else
								{	/* Ast/unit.scm 716 */
									if (PAIRP(BgL_argsz00_2857))
										{	/* Ast/unit.scm 728 */
											obj_t BgL_pidz00_2862;

											BgL_pidz00_2862 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2857),
													BgL_locz00_2802), BgL_srcz00_105);
											{	/* Ast/unit.scm 728 */
												obj_t BgL_idz00_2863;

												BgL_idz00_2863 = CAR(BgL_pidz00_2862);
												{	/* Ast/unit.scm 730 */
													obj_t BgL_typez00_2864;

													BgL_typez00_2864 = CDR(BgL_pidz00_2862);
													{	/* Ast/unit.scm 731 */

														{	/* Ast/unit.scm 732 */
															obj_t BgL_arg2985z00_2865;
															obj_t BgL_arg2986z00_2866;

															BgL_arg2985z00_2865 = CDR(BgL_argsz00_2857);
															{	/* Ast/unit.scm 733 */
																BgL_localz00_bglt BgL_arg2987z00_2867;

																BgL_arg2987z00_2867 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2863,
																	((BgL_typez00_bglt) BgL_typez00_2864));
																BgL_arg2986z00_2866 =
																	MAKE_PAIR(((obj_t) BgL_arg2987z00_2867),
																	BgL_resz00_2858);
															}
															{
																obj_t BgL_resz00_6822;
																obj_t BgL_argsz00_6821;

																BgL_argsz00_6821 = BgL_arg2985z00_2865;
																BgL_resz00_6822 = BgL_arg2986z00_2866;
																BgL_resz00_2858 = BgL_resz00_6822;
																BgL_argsz00_2857 = BgL_argsz00_6821;
																goto BgL_zc3anonymousza32982ze3z83_2859;
															}
														}
													}
												}
											}
										}
									else
										{	/* Ast/unit.scm 719 */
											obj_t BgL_pidz00_2870;

											BgL_pidz00_2870 =
												BGl_checkzd2idzd2zzast_identz00
												(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2857,
													BgL_locz00_2802), BgL_srcz00_105);
											{	/* Ast/unit.scm 719 */
												obj_t BgL_idz00_2871;

												BgL_idz00_2871 = CAR(BgL_pidz00_2870);
												{	/* Ast/unit.scm 720 */
													obj_t BgL_typez00_2872;

													BgL_typez00_2872 = CDR(BgL_pidz00_2870);
													{	/* Ast/unit.scm 721 */

														{	/* Ast/unit.scm 725 */
															obj_t BgL_arg2990z00_2873;

															{	/* Ast/unit.scm 725 */
																BgL_localz00_bglt BgL_arg2991z00_2874;

																BgL_arg2991z00_2874 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2871,
																	((BgL_typez00_bglt) BgL_typez00_2872));
																BgL_arg2990z00_2873 =
																	MAKE_PAIR(((obj_t) BgL_arg2991z00_2874),
																	BgL_resz00_2858);
															}
															BgL_localsz00_2803 =
																bgl_reverse_bang(BgL_arg2990z00_2873);
														}
													}
												}
											}
										}
								}
						}
					{	/* Ast/unit.scm 709 */
						obj_t BgL_pidz00_2804;

						BgL_pidz00_2804 =
							BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
							(BgL_idz00_101, BgL_locz00_2802), BgL_srcz00_105);
						{	/* Ast/unit.scm 735 */
							obj_t BgL_namez00_2805;

							BgL_namez00_2805 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CAR(BgL_pidz00_2804));
							{	/* Ast/unit.scm 737 */
								obj_t BgL_defz00_2807;

								{	/* Ast/unit.scm 742 */
									obj_t BgL_arg2958z00_2831;

									{	/* Ast/unit.scm 742 */
										obj_t BgL_arg2959z00_2832;
										obj_t BgL_arg2960z00_2833;

										{	/* Ast/unit.scm 742 */
											obj_t BgL_arg2961z00_2834;

											{	/* Ast/unit.scm 742 */
												obj_t BgL_arg2962z00_2835;

												{	/* Ast/unit.scm 742 */
													obj_t BgL_arg2963z00_2836;

													{	/* Ast/unit.scm 742 */
														obj_t BgL_arg2964z00_2837;

														if (PAIRP(BgL_bodyz00_104))
															{	/* Ast/unit.scm 742 */
																BgL_arg2964z00_2837 = BgL_bodyz00_104;
															}
														else
															{	/* Ast/unit.scm 744 */
																obj_t BgL_arg2966z00_2839;

																{	/* Ast/unit.scm 744 */
																	obj_t BgL_arg2967z00_2840;
																	obj_t BgL_arg2968z00_2841;

																	{	/* Ast/unit.scm 744 */
																		obj_t BgL_arg2969z00_2842;

																		{	/* Ast/unit.scm 744 */
																			obj_t BgL_arg2970z00_2843;

																			BgL_arg2970z00_2843 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 25)),
																				BNIL);
																			BgL_arg2969z00_2842 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 26)),
																				BgL_arg2970z00_2843);
																		}
																		BgL_arg2967z00_2840 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BgL_arg2969z00_2842);
																	}
																	{	/* Ast/unit.scm 745 */
																		obj_t BgL_arg2971z00_2844;
																		obj_t BgL_arg2972z00_2845;

																		{	/* Ast/unit.scm 745 */
																			obj_t BgL_arg2973z00_2846;

																			BgL_arg2973z00_2846 =
																				MAKE_PAIR(BgL_namez00_2805, BNIL);
																			BgL_arg2971z00_2844 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 27)),
																				BgL_arg2973z00_2846);
																		}
																		{	/* Ast/unit.scm 746 */
																			obj_t BgL_arg2974z00_2847;

																			BgL_arg2974z00_2847 =
																				MAKE_PAIR
																				(BGl_idzd2ofzd2idz00zzast_identz00(CAR
																					(BgL_argsz00_103),
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_srcz00_105)), BNIL);
																			BgL_arg2972z00_2845 =
																				MAKE_PAIR
																				(BGl_string3306z00zzast_unitz00,
																				BgL_arg2974z00_2847);
																		}
																		BgL_arg2968z00_2841 =
																			MAKE_PAIR(BgL_arg2971z00_2844,
																			BgL_arg2972z00_2845);
																	}
																	BgL_arg2966z00_2839 =
																		MAKE_PAIR(BgL_arg2967z00_2840,
																		BgL_arg2968z00_2841);
																}
																BgL_arg2964z00_2837 =
																	MAKE_PAIR(BgL_arg2966z00_2839, BNIL);
															}
														BgL_arg2963z00_2836 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2964z00_2837, BNIL);
													}
													BgL_arg2962z00_2835 =
														MAKE_PAIR(BgL_argsz00_103, BgL_arg2963z00_2836);
												}
												BgL_arg2961z00_2834 =
													MAKE_PAIR(BgL_namez00_2805, BgL_arg2962z00_2835);
											}
											BgL_arg2959z00_2832 =
												MAKE_PAIR(BgL_arg2961z00_2834, BNIL);
										}
										BgL_arg2960z00_2833 = MAKE_PAIR(BgL_namez00_2805, BNIL);
										BgL_arg2958z00_2831 =
											MAKE_PAIR(BgL_arg2959z00_2832, BgL_arg2960z00_2833);
									}
									BgL_defz00_2807 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 49)), BgL_arg2958z00_2831);
								}
								{	/* Ast/unit.scm 738 */
									obj_t BgL_gbodyz00_2808;

									BgL_gbodyz00_2808 =
										BGl_makezd2genericzd2bodyz00zzobject_genericz00
										(BgL_idz00_101, BgL_localsz00_2803, BgL_argsz00_103,
										BgL_srcz00_105);
									{	/* Ast/unit.scm 748 */
										BgL_globalz00_bglt BgL_genericz00_2809;

										BgL_genericz00_2809 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_101, BgL_argsz00_103, BgL_localsz00_2803,
											BgL_modulez00_102, CNST_TABLE_REF(((long) 53)),
											BgL_srcz00_105, CNST_TABLE_REF(((long) 8)),
											BgL_gbodyz00_2808);
										{	/* Ast/unit.scm 749 */

											BGl_markzd2methodz12zc0zzobject_methodz00
												(BgL_namez00_2805);
											{	/* Ast/unit.scm 752 */
												obj_t BgL_ozd2unitzd2_2810;

												BgL_ozd2unitzd2_2810 =
													BGl_getzd2genericzd2unitz00zzmodule_classz00();
												{	/* Ast/unit.scm 752 */
													BgL_typez00_bglt BgL_typez00_2811;

													{
														BgL_variablez00_bglt BgL_auxz00_6869;

														{
															BgL_localz00_bglt BgL_auxz00_6870;

															{	/* Ast/unit.scm 753 */
																obj_t BgL_pairz00_4914;

																BgL_pairz00_4914 = BgL_localsz00_2803;
																BgL_auxz00_6870 =
																	((BgL_localz00_bglt) CAR(BgL_pairz00_4914));
															}
															BgL_auxz00_6869 =
																((BgL_variablez00_bglt) BgL_auxz00_6870);
														}
														BgL_typez00_2811 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_6869))->
															BgL_typez00);
													}
													{	/* Ast/unit.scm 753 */
														obj_t BgL_genz00_2812;

														{	/* Ast/unit.scm 755 */
															obj_t BgL_arg2945z00_2818;

															{	/* Ast/unit.scm 755 */
																obj_t BgL_arg2946z00_2819;
																obj_t BgL_arg2947z00_2820;

																{	/* Ast/unit.scm 755 */
																	obj_t BgL_arg2948z00_2821;

																	{	/* Ast/unit.scm 755 */
																		obj_t BgL_arg2949z00_2822;
																		obj_t BgL_arg2950z00_2823;

																		BgL_arg2949z00_2822 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_genericz00_2809)))->BgL_idz00);
																		BgL_arg2950z00_2823 =
																			MAKE_PAIR(BgL_modulez00_102, BNIL);
																		BgL_arg2948z00_2821 =
																			MAKE_PAIR(BgL_arg2949z00_2822,
																			BgL_arg2950z00_2823);
																	}
																	BgL_arg2946z00_2819 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																		BgL_arg2948z00_2821);
																}
																{	/* Ast/unit.scm 756 */
																	obj_t BgL_arg2951z00_2824;
																	obj_t BgL_arg2952z00_2825;

																	BgL_arg2951z00_2824 =
																		BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																		(BgL_defz00_2807, BgL_locz00_2802);
																	{	/* Ast/unit.scm 757 */
																		obj_t BgL_arg2953z00_2826;
																		obj_t BgL_arg2954z00_2827;

																		{	/* Ast/unit.scm 757 */
																			bool_t BgL_testz00_6882;

																			{	/* Ast/unit.scm 757 */
																				bool_t BgL_res3277z00_4922;

																				{	/* Ast/unit.scm 757 */
																					obj_t BgL_objz00_4921;

																					BgL_objz00_4921 =
																						((obj_t) BgL_typez00_2811);
																					BgL_res3277z00_4922 =
																						BGl_isazf3zf3zz__objectz00
																						(BgL_objz00_4921,
																						BGl_tclassz00zzobject_classz00);
																				}
																				BgL_testz00_6882 = BgL_res3277z00_4922;
																			}
																			if (BgL_testz00_6882)
																				{
																					BgL_globalz00_bglt BgL_auxz00_6885;

																					{
																						BgL_tclassz00_bglt BgL_auxz00_6886;

																						{
																							obj_t BgL_auxz00_6887;

																							{	/* Ast/unit.scm 757 */
																								BgL_objectz00_bglt
																									BgL_auxz00_6888;
																								BgL_auxz00_6888 =
																									((BgL_objectz00_bglt) (
																										(BgL_typez00_bglt)
																										BgL_typez00_2811));
																								BgL_auxz00_6887 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_6888);
																							}
																							BgL_auxz00_6886 =
																								((BgL_tclassz00_bglt)
																								BgL_auxz00_6887);
																						}
																						BgL_auxz00_6885 =
																							(((BgL_tclassz00_bglt)
																								CREF(BgL_auxz00_6886))->
																							BgL_holderz00);
																					}
																					BgL_arg2953z00_2826 =
																						((obj_t) BgL_auxz00_6885);
																				}
																			else
																				{	/* Ast/unit.scm 757 */
																					BgL_arg2953z00_2826 = BFALSE;
																				}
																		}
																		{	/* Ast/unit.scm 758 */
																			obj_t BgL_arg2956z00_2829;

																			{	/* Ast/unit.scm 758 */
																				obj_t BgL_res3279z00_4928;

																				{	/* Ast/unit.scm 758 */
																					obj_t BgL_arg1310z00_4927;

																					BgL_arg1310z00_4927 =
																						SYMBOL_TO_STRING(BgL_namez00_2805);
																					BgL_res3279z00_4928 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1310z00_4927);
																				}
																				BgL_arg2956z00_2829 =
																					BgL_res3279z00_4928;
																			}
																			BgL_arg2954z00_2827 =
																				MAKE_PAIR(BgL_arg2956z00_2829, BNIL);
																		}
																		BgL_arg2952z00_2825 =
																			MAKE_PAIR(BgL_arg2953z00_2826,
																			BgL_arg2954z00_2827);
																	}
																	BgL_arg2947z00_2820 =
																		MAKE_PAIR(BgL_arg2951z00_2824,
																		BgL_arg2952z00_2825);
																}
																BgL_arg2945z00_2818 =
																	MAKE_PAIR(BgL_arg2946z00_2819,
																	BgL_arg2947z00_2820);
															}
															BgL_genz00_2812 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 54)),
																BgL_arg2945z00_2818);
														}
														{	/* Ast/unit.scm 754 */
															obj_t BgL_sexpza2za2_2813;

															{	/* Ast/unit.scm 759 */
																obj_t BgL_list2943z00_2816;

																{	/* Ast/unit.scm 759 */
																	obj_t BgL_arg2944z00_2817;

																	BgL_arg2944z00_2817 =
																		MAKE_PAIR(BgL_genz00_2812, BNIL);
																	BgL_list2943z00_2816 =
																		MAKE_PAIR(
																		((obj_t) BgL_genericz00_2809),
																		BgL_arg2944z00_2817);
																}
																BgL_sexpza2za2_2813 = BgL_list2943z00_2816;
															}
															{	/* Ast/unit.scm 759 */

																{	/* Ast/unit.scm 760 */
																	bool_t BgL_testz00_6906;

																	if (STRUCTP(BgL_ozd2unitzd2_2810))
																		{	/* Ast/unit.scm 760 */
																			BgL_testz00_6906 =
																				(STRUCT_KEY(BgL_ozd2unitzd2_2810) ==
																				CNST_TABLE_REF(((long) 55)));
																		}
																	else
																		{	/* Ast/unit.scm 760 */
																			BgL_testz00_6906 = ((bool_t) 0);
																		}
																	if (BgL_testz00_6906)
																		{	/* Ast/unit.scm 760 */
																			BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																				(BgL_ozd2unitzd2_2810,
																				BgL_sexpza2za2_2813);
																			{	/* Ast/unit.scm 764 */
																				obj_t BgL_list2942z00_2815;

																				BgL_list2942z00_2815 =
																					MAKE_PAIR(BUNSPEC, BNIL);
																				return BgL_list2942z00_2815;
																			}
																		}
																	else
																		{	/* Ast/unit.scm 760 */
																			return BgL_sexpza2za2_2813;
																		}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-method-definition */
	obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_107,
		obj_t BgL_argsz00_108, obj_t BgL_bodyz00_109, obj_t BgL_srcz00_110)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 769 */
			{	/* Ast/unit.scm 770 */
				obj_t BgL_locz00_2877;

				BgL_locz00_2877 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_110);
				{	/* Ast/unit.scm 770 */
					obj_t BgL_localsz00_2878;

					{
						obj_t BgL_argsz00_2887;
						obj_t BgL_resz00_2888;

						BgL_argsz00_2887 = BgL_argsz00_108;
						BgL_resz00_2888 = BNIL;
					BgL_zc3anonymousza32997ze3z83_2889:
						if (NULLP(BgL_argsz00_2887))
							{	/* Ast/unit.scm 774 */
								BgL_localsz00_2878 = bgl_reverse_bang(BgL_resz00_2888);
							}
						else
							{	/* Ast/unit.scm 774 */
								if (PAIRP(BgL_argsz00_2887))
									{	/* Ast/unit.scm 785 */
										obj_t BgL_pidz00_2892;

										BgL_pidz00_2892 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2887),
												BgL_locz00_2877), BgL_srcz00_110);
										{	/* Ast/unit.scm 785 */
											obj_t BgL_idz00_2893;

											BgL_idz00_2893 = CAR(BgL_pidz00_2892);
											{	/* Ast/unit.scm 786 */
												obj_t BgL_typez00_2894;

												BgL_typez00_2894 = CDR(BgL_pidz00_2892);
												{	/* Ast/unit.scm 787 */

													{	/* Ast/unit.scm 788 */
														obj_t BgL_arg3000z00_2895;
														obj_t BgL_arg3001z00_2896;

														BgL_arg3000z00_2895 = CDR(BgL_argsz00_2887);
														{	/* Ast/unit.scm 789 */
															BgL_localz00_bglt BgL_arg3002z00_2897;

															BgL_arg3002z00_2897 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_idz00_2893,
																((BgL_typez00_bglt) BgL_typez00_2894));
															BgL_arg3001z00_2896 =
																MAKE_PAIR(((obj_t) BgL_arg3002z00_2897),
																BgL_resz00_2888);
														}
														{
															obj_t BgL_resz00_6931;
															obj_t BgL_argsz00_6930;

															BgL_argsz00_6930 = BgL_arg3000z00_2895;
															BgL_resz00_6931 = BgL_arg3001z00_2896;
															BgL_resz00_2888 = BgL_resz00_6931;
															BgL_argsz00_2887 = BgL_argsz00_6930;
															goto BgL_zc3anonymousza32997ze3z83_2889;
														}
													}
												}
											}
										}
									}
								else
									{	/* Ast/unit.scm 777 */
										obj_t BgL_pidz00_2900;

										BgL_pidz00_2900 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2887,
												BgL_locz00_2877), BgL_srcz00_110);
										{	/* Ast/unit.scm 777 */
											obj_t BgL_idz00_2901;

											BgL_idz00_2901 = CAR(BgL_pidz00_2900);
											{	/* Ast/unit.scm 778 */
												obj_t BgL_typez00_2902;

												BgL_typez00_2902 = CDR(BgL_pidz00_2900);
												{	/* Ast/unit.scm 779 */

													{	/* Ast/unit.scm 783 */
														obj_t BgL_arg3006z00_2903;

														{	/* Ast/unit.scm 783 */
															BgL_localz00_bglt BgL_arg3007z00_2904;

															BgL_arg3007z00_2904 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_idz00_2901,
																((BgL_typez00_bglt) BgL_typez00_2902));
															BgL_arg3006z00_2903 =
																MAKE_PAIR(((obj_t) BgL_arg3007z00_2904),
																BgL_resz00_2888);
														}
														BgL_localsz00_2878 =
															bgl_reverse_bang(BgL_arg3006z00_2903);
													}
												}
											}
										}
									}
							}
					}
					{	/* Ast/unit.scm 771 */

						if (BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
							(BgL_idz00_107, BgL_argsz00_108, BgL_localsz00_2878,
								BgL_srcz00_110))
							{	/* Ast/unit.scm 792 */
								obj_t BgL_ozd2unitzd2_2880;
								obj_t BgL_sexpza2za2_2881;

								BgL_ozd2unitzd2_2880 =
									BGl_getzd2methodzd2unitz00zzmodule_classz00();
								BgL_sexpza2za2_2881 =
									BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_idz00_107,
									BgL_argsz00_108, BgL_localsz00_2878, BgL_bodyz00_109,
									BgL_srcz00_110);
								{	/* Ast/unit.scm 794 */
									bool_t BgL_testz00_6945;

									if (STRUCTP(BgL_ozd2unitzd2_2880))
										{	/* Ast/unit.scm 794 */
											BgL_testz00_6945 =
												(STRUCT_KEY(BgL_ozd2unitzd2_2880) ==
												CNST_TABLE_REF(((long) 55)));
										}
									else
										{	/* Ast/unit.scm 794 */
											BgL_testz00_6945 = ((bool_t) 0);
										}
									if (BgL_testz00_6945)
										{	/* Ast/unit.scm 794 */
											BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
												(BgL_ozd2unitzd2_2880, BgL_sexpza2za2_2881);
											{	/* Ast/unit.scm 798 */
												obj_t BgL_list2995z00_2883;

												BgL_list2995z00_2883 = MAKE_PAIR(BUNSPEC, BNIL);
												return BgL_list2995z00_2883;
											}
										}
									else
										{	/* Ast/unit.scm 794 */
											return BgL_sexpza2za2_2881;
										}
								}
							}
						else
							{	/* Ast/unit.scm 791 */
								obj_t BgL_list2996z00_2884;

								BgL_list2996z00_2884 = MAKE_PAIR(BUNSPEC, BNIL);
								return BgL_list2996z00_2884;
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 502577483),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_genericz00(((long) 3606241),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 530519242),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 328591477),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string3307z00zzast_unitz00));
		}
	}

#ifdef __cplusplus
}
#endif
