/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti3133z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun3169za2zzcfa_typez00(obj_t,
		BgL_letzd2funzd2_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote3123z70zzcfa_typez00(obj_t, BgL_kwotez00_bglt);
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3125z70zzcfa_typez00(obj_t,
		BgL_varz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3143z50zzcfa_typez00(obj_t,
		BgL_appzd2lyzd2_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc3149z70zzcfa_typez00(obj_t,
		BgL_vallocz00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure3127z70zzcfa_typez00(obj_t,
		BgL_closurez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var3171za2zzcfa_typez00(obj_t,
		BgL_letzd2varzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select3167z70zzcfa_typez00(obj_t,
		BgL_selectz00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast3156z70zzcfa_typez00(obj_t, BgL_castz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq3158z70zzcfa_typez00(obj_t, BgL_setqz00_bglt);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_z62typezd2variablez123106za2zzcfa_typez00(obj_t,
		BgL_valuez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62cleanupzd2typezb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3135z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3137z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3131z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C3145z82zzcfa_typez00(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref3181za2zzcfa_typez00(obj_t,
		BgL_boxzd2refzd2_bglt);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2variablez12zd2inter3117z70zzcfa_typez00(obj_t,
		BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz123154z62zzcfa_typez00(obj_t,
		BgL_vsetz12z12_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail3165z70zzcfa_typez00(obj_t, BgL_failz00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref3151z70zzcfa_typez00(obj_t, BgL_vrefz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2scnst3111z70zzcfa_typez00(obj_t,
		BgL_scnstz00_bglt, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3160z70zzcfa_typez00(obj_t,
		BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3163z70zzcfa_typez00(obj_t,
		BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence3129z70zzcfa_typez00(obj_t,
		BgL_sequencez00_bglt);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3175z70zzcfa_typez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23140z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern3147z70zzcfa_typez00(obj_t,
		BgL_externz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit3115z70zzcfa_typez00(obj_t,
		BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf23109z82zzcfa_typez00(obj_t,
		BgL_svarz00_bglt, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf23113z82zzcfa_typez00(obj_t,
		BgL_cvarz00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123179zb0zzcfa_typez00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom3121z70zzcfa_typez00(obj_t, BgL_atomz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box3177za2zzcfa_typez00(obj_t,
		BgL_makezd2boxzd2_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2nodez123118za2zzcfa_typez00(obj_t,
		BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3173z70zzcfa_typez00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string3639z00zzcfa_typez00,
		BgL_bgl_string3639za700za7za7c3688za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string3640z00zzcfa_typez00,
		BgL_bgl_string3640za700za7za7c3689za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string3642z00zzcfa_typez00,
		BgL_bgl_string3642za700za7za7c3690za7, "type-variable!3106", 18);
	      DEFINE_STRING(BGl_string3644z00zzcfa_typez00,
		BgL_bgl_string3644za700za7za7c3691za7, "type-node!3118", 14);
	      DEFINE_STRING(BGl_string3645z00zzcfa_typez00,
		BgL_bgl_string3645za700za7za7c3692za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3647z00zzcfa_typez00,
		BgL_bgl_string3647za700za7za7c3693za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string3653z00zzcfa_typez00,
		BgL_bgl_string3653za700za7za7c3694za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string3683z00zzcfa_typez00,
		BgL_bgl_string3683za700za7za7c3695za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3684z00zzcfa_typez00,
		BgL_bgl_string3684za700za7za7c3696za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string3685z00zzcfa_typez00,
		BgL_bgl_string3685za700za7za7c3697za7,
		"nothing static type-node!3118 bigloo ", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin3698z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713699za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3641z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3700z00,
		BGl_z62typezd2variablez123106za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3643z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713701za7,
		BGl_z62typezd2nodez123118za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3646z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3702z00,
		BGl_z62typezd2variablez12zd2svarzf23109z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3648z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3703z00,
		BGl_z62typezd2variablez12zd2scnst3111z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3649z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3704z00,
		BGl_z62typezd2variablez12zd2cvarzf23113z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3650z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3705z00,
		BGl_z62typezd2variablez12zd2sexit3115z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3651z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3706z00,
		BGl_z62typezd2variablez12zd2inter3117z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3652z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713707za7,
		BGl_z62typezd2nodez12zd2atom3121z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3654z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713708za7,
		BGl_z62typezd2nodez12zd2kwote3123z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713709za7,
		BGl_z62typezd2nodez12zd2var3125z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3656z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713710za7,
		BGl_z62typezd2nodez12zd2closure3127z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3657z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713711za7,
		BGl_z62typezd2nodez12zd2sequence3129z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3658z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713712za7,
		BGl_z62typezd2nodez12zd2app3131z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3659z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713713za7,
		BGl_z62typezd2nodez12zd2arithmeti3133z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3660z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713714za7,
		BGl_z62typezd2nodez12zd2procedure3135z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713715za7,
		BGl_z62typezd2nodez12zd2procedure3137z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3662z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713716za7,
		BGl_z62typezd2nodez12zd2conszd2refzd23140z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3663z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713717za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3143z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3664z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713718za7,
		BGl_z62typezd2nodez12zd2funcallzf2C3145z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3665z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713719za7,
		BGl_z62typezd2nodez12zd2extern3147z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3666z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713720za7,
		BGl_z62typezd2nodez12zd2valloc3149z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3667z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713721za7,
		BGl_z62typezd2nodez12zd2vref3151z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3668z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713722za7,
		BGl_z62typezd2nodez12zd2vsetz123154z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3669z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713723za7,
		BGl_z62typezd2nodez12zd2cast3156z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3670z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713724za7,
		BGl_z62typezd2nodez12zd2setq3158z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3671z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713725za7,
		BGl_z62typezd2nodez12zd2condition3160z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3672z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713726za7,
		BGl_z62typezd2nodez12zd2condition3163z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3673z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713727za7,
		BGl_z62typezd2nodez12zd2fail3165z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3674z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713728za7,
		BGl_z62typezd2nodez12zd2select3167z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3675z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713729za7,
		BGl_z62typezd2nodez12zd2letzd2fun3169za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3676z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713730za7,
		BGl_z62typezd2nodez12zd2letzd2var3171za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3677z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713731za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it3173z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3678z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713732za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3175z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3679z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713733za7,
		BGl_z62typezd2nodez12zd2makezd2box3177za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3680z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713734za7,
		BGl_z62typezd2nodez12zd2boxzd2setz123179zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3681z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713735za7,
		BGl_z62typezd2nodez12zd2boxzd2ref3181za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3682z00zzcfa_typez00,
		BgL_bgl_za762cleanupza7d2typ3736z00, BGl_z62cleanupzd2typezb0zzcfa_typez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza73737za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3738z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6226, char *BgL_fromz00_6227)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6211;

				BgL_cportz00_6211 =
					bgl_open_input_string(BGl_string3685z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_6212;

					BgL_iz00_6212 = ((long) 3);
				BgL_loopz00_6213:
					if ((BgL_iz00_6212 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg3687z00_6215;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6217;

										BgL_locationz00_6217 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg3687z00_6215 =
												BGl_readz00zz__readerz00(BgL_cportz00_6211,
												BgL_locationz00_6217);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_6249;

									BgL_auxz00_6249 = (int) (BgL_iz00_6212);
									CNST_TABLE_SET(BgL_auxz00_6249, BgL_arg3687z00_6215);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6218;

								BgL_auxz00_6218 = (int) ((BgL_iz00_6212 - ((long) 1)));
								{
									long BgL_iz00_6254;

									BgL_iz00_6254 = (long) (BgL_auxz00_6218);
									BgL_iz00_6212 = BgL_iz00_6254;
									goto BgL_loopz00_6213;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			{
				obj_t BgL_l3087z00_3219;

				{	/* Cfa/type.scm 39 */
					bool_t BgL_auxz00_6256;

					BgL_l3087z00_3219 = BgL_globalsz00_3;
				BgL_zc3anonymousza33185ze3z83_3220:
					if (PAIRP(BgL_l3087z00_3219))
						{	/* Cfa/type.scm 39 */
							{	/* Cfa/type.scm 39 */
								obj_t BgL_arg3187z00_3222;

								BgL_arg3187z00_3222 = CAR(BgL_l3087z00_3219);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg3187z00_3222));
							}
							{
								obj_t BgL_l3087z00_6262;

								BgL_l3087z00_6262 = CDR(BgL_l3087z00_3219);
								BgL_l3087z00_3219 = BgL_l3087z00_6262;
								goto BgL_zc3anonymousza33185ze3z83_3220;
							}
						}
					else
						{	/* Cfa/type.scm 39 */
							BgL_auxz00_6256 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_6256);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6084,
		obj_t BgL_globalsz00_6085)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6085);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 44 */
			{	/* Cfa/type.scm 45 */
				BgL_valuez00_bglt BgL_funz00_3225;

				BgL_funz00_3225 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 47 */
					bool_t BgL_testz00_6267;

					{	/* Cfa/type.scm 47 */
						bool_t BgL_res3567z00_5742;

						{	/* Cfa/type.scm 47 */
							obj_t BgL_objz00_5741;

							BgL_objz00_5741 = ((obj_t) BgL_funz00_3225);
							BgL_res3567z00_5742 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5741,
								BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						}
						BgL_testz00_6267 = BgL_res3567z00_5742;
					}
					if (BgL_testz00_6267)
						{	/* Cfa/type.scm 50 */
							BgL_sfunz00_bglt BgL_i1161z00_3227;

							BgL_i1161z00_3227 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
							{	/* Cfa/type.scm 52 */
								obj_t BgL_g3091z00_3228;

								BgL_g3091z00_3228 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_i1161z00_3227)))->BgL_argsz00);
								{
									obj_t BgL_l3089z00_3230;

									BgL_l3089z00_3230 = BgL_g3091z00_3228;
								BgL_zc3anonymousza33190ze3z83_3231:
									if (PAIRP(BgL_l3089z00_3230))
										{	/* Cfa/type.scm 52 */
											{	/* Cfa/type.scm 53 */
												obj_t BgL_varz00_3233;

												BgL_varz00_3233 = CAR(BgL_l3089z00_3230);
												{	/* Cfa/type.scm 53 */
													BgL_valuez00_bglt BgL_arg3192z00_3234;

													BgL_arg3192z00_3234 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3233))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg3192z00_3234,
														((BgL_variablez00_bglt) BgL_varz00_3233));
												}
											}
											{
												obj_t BgL_l3089z00_6281;

												BgL_l3089z00_6281 = CDR(BgL_l3089z00_3230);
												BgL_l3089z00_3230 = BgL_l3089z00_6281;
												goto BgL_zc3anonymousza33190ze3z83_3231;
											}
										}
									else
										{	/* Cfa/type.scm 52 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 56 */
								obj_t BgL_arg3194z00_3237;

								{	/* Cfa/type.scm 56 */
									BgL_approxz00_bglt BgL_arg3195z00_3238;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6283;

										{
											obj_t BgL_auxz00_6284;

											{	/* Cfa/type.scm 56 */
												BgL_objectz00_bglt BgL_auxz00_6285;

												BgL_auxz00_6285 =
													((BgL_objectz00_bglt) BgL_i1161z00_3227);
												BgL_auxz00_6284 = BGL_OBJECT_WIDENING(BgL_auxz00_6285);
											}
											BgL_auxz00_6283 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6284);
										}
										BgL_arg3195z00_3238 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_6283))->BgL_approxz00);
									}
									BgL_arg3194z00_3237 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3195z00_3238,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg3194z00_3237));
							}
							{	/* Cfa/type.scm 57 */
								BgL_sfunz00_bglt BgL_o1162z00_3239;

								BgL_o1162z00_3239 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
								{	/* Cfa/type.scm 57 */
									long BgL_arg3196z00_3240;

									{	/* Cfa/type.scm 57 */
										obj_t BgL_arg3197z00_3241;

										{	/* Cfa/type.scm 57 */
											obj_t BgL_arg3198z00_3242;

											{	/* Cfa/type.scm 57 */
												BgL_objectz00_bglt BgL_objectz00_5750;

												BgL_objectz00_5750 =
													((BgL_objectz00_bglt) BgL_o1162z00_3239);
												{	/* Cfa/type.scm 57 */
													long BgL_arg1815z00_5751;

													{	/* Cfa/type.scm 57 */
														long BgL_arg1816z00_5752;

														{	/* Cfa/type.scm 57 */
															long BgL_res3570z00_5754;

															BgL_res3570z00_5754 =
																BGL_OBJECT_CLASS_NUM(BgL_objectz00_5750);
															BgL_arg1816z00_5752 = BgL_res3570z00_5754;
														}
														BgL_arg1815z00_5751 =
															(BgL_arg1816z00_5752 - OBJECT_TYPE);
													}
													BgL_arg3198z00_3242 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg1815z00_5751));
											}}
											BgL_arg3197z00_3241 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg3198z00_3242);
										}
										{	/* Cfa/type.scm 57 */
											long BgL_res3572z00_5763;

											{	/* Cfa/type.scm 57 */
												obj_t BgL_classz00_5760;

												BgL_classz00_5760 = BgL_arg3197z00_3241;
												{	/* Cfa/type.scm 57 */
													obj_t BgL_vectorz00_5761;
													int BgL_kz00_5762;

													BgL_vectorz00_5761 = BgL_classz00_5760;
													BgL_kz00_5762 = (int) (((long) 1));
													BgL_res3572z00_5763 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5761,
															BgL_kz00_5762));
											}}
											BgL_arg3196z00_3240 = BgL_res3572z00_5763;
									}}
									{	/* Cfa/type.scm 57 */
										BgL_objectz00_bglt BgL_objz00_5764;

										BgL_objz00_5764 = ((BgL_objectz00_bglt) BgL_o1162z00_3239);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5764,
											BgL_arg3196z00_3240);
								}}
								{	/* Cfa/type.scm 57 */
									BgL_objectz00_bglt BgL_auxz00_6306;

									BgL_auxz00_6306 = ((BgL_objectz00_bglt) BgL_o1162z00_3239);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6306, BFALSE);
								} BgL_o1162z00_3239;
							}
							{
								obj_t BgL_auxz00_6309;

								{	/* Cfa/type.scm 59 */
									obj_t BgL_arg3199z00_3243;

									BgL_arg3199z00_3243 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1161z00_3227)))->BgL_bodyz00);
									BgL_auxz00_6309 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg3199z00_3243)));
								}
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1161z00_3227)))->BgL_bodyz00) =
									((obj_t) BgL_auxz00_6309), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 60 */
							bool_t BgL_testz00_6317;

							{	/* Cfa/type.scm 60 */
								bool_t BgL_res3573z00_5767;

								{	/* Cfa/type.scm 60 */
									obj_t BgL_objz00_5766;

									BgL_objz00_5766 = ((obj_t) BgL_funz00_3225);
									BgL_res3573z00_5767 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5766,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_6317 = BgL_res3573z00_5767;
							}
							if (BgL_testz00_6317)
								{	/* Cfa/type.scm 61 */
									BgL_sfunz00_bglt BgL_i1163z00_3245;

									BgL_i1163z00_3245 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
									{
										obj_t BgL_auxz00_6321;

										{	/* Cfa/type.scm 62 */
											obj_t BgL_arg3201z00_3246;

											BgL_arg3201z00_3246 =
												(((BgL_sfunz00_bglt) CREF(BgL_i1163z00_3245))->
												BgL_bodyz00);
											BgL_auxz00_6321 =
												((obj_t)
												BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
														BgL_arg3201z00_3246)));
										}
										return
											((((BgL_sfunz00_bglt) CREF(BgL_i1163z00_3245))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_6321), BUNSPEC);
									}
								}
							else
								{	/* Cfa/type.scm 64 */
									obj_t BgL_arg3202z00_3247;

									BgL_arg3202z00_3247 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3639z00zzcfa_typez00,
										BGl_string3640z00zzcfa_typez00, BgL_arg3202z00_3247);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 69 */
			{	/* Cfa/type.scm 70 */
				BgL_variablez00_bglt BgL_varz00_3248;

				BgL_varz00_3248 =
					(((BgL_varz00_bglt) CREF(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 70 */
					BgL_valuez00_bglt BgL_funz00_3249;

					BgL_funz00_3249 =
						(((BgL_variablez00_bglt) CREF(BgL_varz00_3248))->BgL_valuez00);
					{	/* Cfa/type.scm 71 */

						{	/* Cfa/type.scm 72 */
							bool_t BgL_testz00_6332;

							{	/* Cfa/type.scm 72 */
								bool_t BgL_res3576z00_5775;

								{	/* Cfa/type.scm 72 */
									obj_t BgL_objz00_5774;

									BgL_objz00_5774 = ((obj_t) BgL_funz00_3249);
									BgL_res3576z00_5775 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5774,
										BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								}
								BgL_testz00_6332 = BgL_res3576z00_5775;
							}
							if (BgL_testz00_6332)
								{	/* Cfa/type.scm 73 */
									BgL_sfunz00_bglt BgL_i1164z00_3251;

									BgL_i1164z00_3251 = ((BgL_sfunz00_bglt) BgL_funz00_3249);
									{	/* Cfa/type.scm 74 */
										obj_t BgL_arg3204z00_3252;

										{	/* Cfa/type.scm 74 */
											BgL_approxz00_bglt BgL_arg3205z00_3253;

											{
												BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6336;

												{
													obj_t BgL_auxz00_6337;

													{	/* Cfa/type.scm 74 */
														BgL_objectz00_bglt BgL_auxz00_6338;

														BgL_auxz00_6338 =
															((BgL_objectz00_bglt) BgL_i1164z00_3251);
														BgL_auxz00_6337 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6338);
													}
													BgL_auxz00_6336 =
														((BgL_internzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_6337);
												}
												BgL_arg3205z00_3253 =
													(((BgL_internzd2sfunzf2cinfoz20_bglt)
														CREF(BgL_auxz00_6336))->BgL_approxz00);
											}
											BgL_arg3204z00_3252 =
												BGl_getzd2approxzd2typez00zzcfa_typez00
												(BgL_arg3205z00_3253, ((obj_t) BgL_vz00_5));
										}
										return
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
											(BgL_varz00_3248,
											((BgL_typez00_bglt) BgL_arg3204z00_3252));
									}
								}
							else
								{	/* Cfa/type.scm 72 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 79 */
			{	/* Cfa/type.scm 80 */
				BgL_typez00_bglt BgL_typez00_3254;
				obj_t BgL_alloczd2listzd2_3255;

				BgL_typez00_3254 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3255 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3255))
					{	/* Cfa/type.scm 83 */
						if ((((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 85 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 87 */
								bool_t BgL_testz00_6354;

								{
									obj_t BgL_l3092z00_3285;

									BgL_l3092z00_3285 = BgL_alloczd2listzd2_3255;
								BgL_zc3anonymousza33221ze3z83_3286:
									if (NULLP(BgL_l3092z00_3285))
										{	/* Cfa/type.scm 87 */
											BgL_testz00_6354 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 87 */
											bool_t BgL_testz00_6357;

											{	/* Cfa/type.scm 87 */
												obj_t BgL_arg3225z00_3290;

												BgL_arg3225z00_3290 = CAR(BgL_l3092z00_3285);
												BgL_testz00_6357 =
													BGl_isazf3zf3zz__objectz00(BgL_arg3225z00_3290,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_testz00_6357)
												{
													obj_t BgL_l3092z00_6360;

													BgL_l3092z00_6360 = CDR(BgL_l3092z00_3285);
													BgL_l3092z00_3285 = BgL_l3092z00_6360;
													goto BgL_zc3anonymousza33221ze3z83_3286;
												}
											else
												{	/* Cfa/type.scm 87 */
													BgL_testz00_6354 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_6354)
									{	/* Cfa/type.scm 88 */
										obj_t BgL_appz00_3259;

										BgL_appz00_3259 = CAR(BgL_alloczd2listzd2_3255);
										{	/* Cfa/type.scm 88 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3260;

											BgL_tvzd2typezd2_3260 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3259));
											{	/* Cfa/type.scm 89 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3261;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6365;

													{
														obj_t BgL_auxz00_6366;

														{	/* Cfa/type.scm 90 */
															BgL_objectz00_bglt BgL_auxz00_6367;

															BgL_auxz00_6367 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3259));
															BgL_auxz00_6366 =
																BGL_OBJECT_WIDENING(BgL_auxz00_6367);
														}
														BgL_auxz00_6365 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_6366);
													}
													BgL_valuezd2approxzd2_3261 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															CREF(BgL_auxz00_6365))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 90 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3262;

													BgL_itemzd2typezd2_3262 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_3261))->BgL_typez00);
													{	/* Cfa/type.scm 91 */
														obj_t BgL_tvz00_3263;

														BgL_tvz00_3263 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_3262))->BgL_tvectorz00);
														{	/* Cfa/type.scm 92 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3263,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 94 */
																	return BgL_tvz00_3263;
																}
															else
																{	/* Cfa/type.scm 94 */
																	if (
																		(((obj_t) BgL_typez00_3254) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 95 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 95 */
																			return ((obj_t) BgL_typez00_3254);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 97 */
										bool_t BgL_testz00_6381;

										{
											obj_t BgL_l3094z00_3277;

											BgL_l3094z00_3277 = BgL_alloczd2listzd2_3255;
										BgL_zc3anonymousza33216ze3z83_3278:
											if (NULLP(BgL_l3094z00_3277))
												{	/* Cfa/type.scm 97 */
													BgL_testz00_6381 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 97 */
													bool_t BgL_testz00_6384;

													{	/* Cfa/type.scm 97 */
														obj_t BgL_arg3220z00_3282;

														BgL_arg3220z00_3282 = CAR(BgL_l3094z00_3277);
														BgL_testz00_6384 =
															BGl_isazf3zf3zz__objectz00(BgL_arg3220z00_3282,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_testz00_6384)
														{
															obj_t BgL_l3094z00_6387;

															BgL_l3094z00_6387 = CDR(BgL_l3094z00_3277);
															BgL_l3094z00_3277 = BgL_l3094z00_6387;
															goto BgL_zc3anonymousza33216ze3z83_3278;
														}
													else
														{	/* Cfa/type.scm 97 */
															BgL_testz00_6381 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_6381)
											{	/* Cfa/type.scm 97 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 102 */
														obj_t BgL_appz00_3268;

														BgL_appz00_3268 = CAR(BgL_alloczd2listzd2_3255);
														{	/* Cfa/type.scm 102 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3269;

															BgL_tvzd2typezd2_3269 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3268));
															{	/* Cfa/type.scm 103 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3270;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_6395;
																	{
																		obj_t BgL_auxz00_6396;

																		{	/* Cfa/type.scm 104 */
																			BgL_objectz00_bglt BgL_auxz00_6397;

																			BgL_auxz00_6397 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3268));
																			BgL_auxz00_6396 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6397);
																		}
																		BgL_auxz00_6395 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_6396);
																	}
																	BgL_valuezd2approxzd2_3270 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			CREF(BgL_auxz00_6395))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 104 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3271;

																	BgL_itemzd2typezd2_3271 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_valuezd2approxzd2_3270))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 105 */
																		obj_t BgL_tvz00_3272;

																		BgL_tvz00_3272 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_itemzd2typezd2_3271))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 106 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3272,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 108 */
																					return BgL_tvz00_3272;
																				}
																			else
																				{	/* Cfa/type.scm 108 */
																					if (
																						(((obj_t) BgL_typez00_3254) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 109 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 109 */
																							return ((obj_t) BgL_typez00_3254);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 98 */
														if (
															(((obj_t) BgL_typez00_3254) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 99 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 99 */
																return ((obj_t) BgL_typez00_3254);
															}
													}
											}
										else
											{	/* Cfa/type.scm 97 */
												return ((obj_t) BgL_typez00_3254);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 83 */
						return ((obj_t) BgL_typez00_3254);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6086,
		obj_t BgL_approxz00_6087, obj_t BgL_nodez00_6088)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 79 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6087), BgL_nodez00_6088);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 166 */
			{	/* Cfa/type.scm 167 */
				obj_t BgL_ntypez00_3293;
				BgL_typez00_bglt BgL_otypez00_3294;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 167 */
						BgL_ntypez00_3293 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 167 */
						BgL_ntypez00_3293 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3294 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3294) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 171 */
						bool_t BgL_testz00_6427;

						{	/* Cfa/type.scm 171 */
							bool_t BgL_testz00_6428;

							{	/* Cfa/type.scm 171 */
								bool_t BgL_res3591z00_5824;

								{	/* Cfa/type.scm 171 */
									obj_t BgL_objz00_5823;

									BgL_objz00_5823 = ((obj_t) BgL_variablez00_20);
									BgL_res3591z00_5824 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5823,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_6428 = BgL_res3591z00_5824;
							}
							if (BgL_testz00_6428)
								{	/* Cfa/type.scm 172 */
									bool_t BgL_testz00_6431;

									{	/* Cfa/type.scm 172 */
										BgL_valuez00_bglt BgL_arg3236z00_3303;

										BgL_arg3236z00_3303 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 172 */
											bool_t BgL_res3593z00_5829;

											{	/* Cfa/type.scm 172 */
												obj_t BgL_objz00_5828;

												BgL_objz00_5828 = ((obj_t) BgL_arg3236z00_3303);
												BgL_res3593z00_5829 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5828,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_6431 = BgL_res3593z00_5829;
										}
									}
									if (BgL_testz00_6431)
										{	/* Cfa/type.scm 172 */
											BgL_testz00_6427 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 173 */
											bool_t BgL_testz00_6437;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 173 */
													BgL_testz00_6437 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 173 */
													BgL_testz00_6437 =
														(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_testz00_6437)
												{	/* Cfa/type.scm 173 */
													BgL_testz00_6427 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 173 */
													if (
														((((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_ntypez00_3293)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 174 */
															BgL_testz00_6427 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 174 */
															BgL_testz00_6427 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 171 */
									BgL_testz00_6427 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6427)
							{	/* Cfa/type.scm 179 */
								BgL_typez00_bglt BgL_vz00_5835;

								BgL_vz00_5835 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5835), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 180 */
								BgL_typez00_bglt BgL_vz00_5838;

								BgL_vz00_5838 = ((BgL_typez00_bglt) BgL_ntypez00_3293);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5838), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 181 */
						bool_t BgL_testz00_6452;

						if (
							(((obj_t) BgL_otypez00_3294) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 181 */
								BgL_testz00_6452 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3293,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 181 */
								BgL_testz00_6452 = ((bool_t) 0);
							}
						if (BgL_testz00_6452)
							{	/* Cfa/type.scm 182 */
								BgL_typez00_bglt BgL_vz00_5843;

								BgL_vz00_5843 =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3293));
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5843), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 181 */
								return BFALSE;
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc3641z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string3642z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc3643z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string3644z00zzcfa_typez00);
		}
	}



/* &type-node!3118 */
	obj_t BGl_z62typezd2nodez123118za2zzcfa_typez00(obj_t BgL_envz00_6091,
		BgL_nodez00_bglt BgL_nodez00_6092)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 187 */
			{
				BgL_nodez00_bglt BgL_nodez00_3318;

				BgL_nodez00_3318 = BgL_nodez00_6092;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3645z00zzcfa_typez00, ((obj_t) BgL_nodez00_3318));
		}}
	}



/* &type-variable!3106 */
	obj_t BGl_z62typezd2variablez123106za2zzcfa_typez00(obj_t BgL_envz00_6093,
		BgL_valuez00_bglt BgL_valuez00_6094,
		BgL_variablez00_bglt BgL_variablez00_6095)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 117 */
			{
				BgL_valuez00_bglt BgL_valuez00_3310;
				BgL_variablez00_bglt BgL_variablez00_3311;

				BgL_valuez00_3310 = BgL_valuez00_6094;
				BgL_variablez00_3311 = BgL_variablez00_6095;
				{	/* Cfa/type.scm 118 */
					BgL_typez00_bglt BgL_typez00_5847;

					BgL_typez00_5847 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3311))->BgL_typez00);
					{	/* Cfa/type.scm 118 */
						bool_t BgL_testz00_6466;

						{	/* Cfa/type.scm 118 */
							bool_t BgL_res3596z00_5854;

							{	/* Cfa/type.scm 118 */
								obj_t BgL_objz00_5853;

								BgL_objz00_5853 = ((obj_t) BgL_typez00_5847);
								BgL_res3596z00_5854 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5853,
									BGl_typez00zztype_typez00);
							}
							BgL_testz00_6466 = BgL_res3596z00_5854;
						}
						if (BgL_testz00_6466)
							{	/* Cfa/type.scm 118 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 118 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_3311,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 117 */
			{	/* Cfa/type.scm 117 */
				obj_t BgL_method3107z00_3321;

				{	/* Cfa/type.scm 117 */
					obj_t BgL_res3603z00_5883;

					{	/* Cfa/type.scm 117 */
						BgL_objectz00_bglt BgL_objz00_5855;

						BgL_objz00_5855 = ((BgL_objectz00_bglt) BgL_valuez00_8);
						{	/* Cfa/type.scm 117 */
							long BgL_objzd2classzd2numz00_5856;

							{	/* Cfa/type.scm 117 */
								long BgL_res3597z00_5859;

								BgL_res3597z00_5859 = BGL_OBJECT_CLASS_NUM(BgL_objz00_5855);
								BgL_objzd2classzd2numz00_5856 = BgL_res3597z00_5859;
							}
							{	/* Cfa/type.scm 117 */
								obj_t BgL_arg1812z00_5857;

								BgL_arg1812z00_5857 =
									PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 117 */
									obj_t BgL_arrayz00_5860;
									int BgL_offsetz00_5861;

									BgL_arrayz00_5860 = BgL_arg1812z00_5857;
									BgL_offsetz00_5861 = (int) (BgL_objzd2classzd2numz00_5856);
									{	/* Cfa/type.scm 117 */
										long BgL_offsetz00_5862;

										BgL_offsetz00_5862 =
											((long) (BgL_offsetz00_5861) - OBJECT_TYPE);
										{	/* Cfa/type.scm 117 */
											long BgL_modz00_5863;

											{	/* Cfa/type.scm 117 */
												int BgL_arg1814z00_5864;

												BgL_arg1814z00_5864 = (int) (((long) 16));
												{	/* Cfa/type.scm 117 */
													long BgL_res3600z00_5874;

													{	/* Cfa/type.scm 117 */
														long BgL_auxz00_6479;

														BgL_auxz00_6479 = (long) (BgL_arg1814z00_5864);
														BgL_res3600z00_5874 =
															(BgL_offsetz00_5862 / BgL_auxz00_6479);
													}
													BgL_modz00_5863 = BgL_res3600z00_5874;
											}}
											{	/* Cfa/type.scm 117 */
												long BgL_restz00_5865;

												{	/* Cfa/type.scm 117 */
													int BgL_arg1813z00_5866;

													BgL_arg1813z00_5866 = (int) (((long) 16));
													{	/* Cfa/type.scm 117 */
														long BgL_res3602z00_5878;

														{	/* Cfa/type.scm 117 */
															long BgL_auxz00_6483;

															BgL_auxz00_6483 = (long) (BgL_arg1813z00_5866);
															BgL_res3602z00_5878 =
																(BgL_offsetz00_5862 % BgL_auxz00_6483);
														}
														BgL_restz00_5865 = BgL_res3602z00_5878;
												}}
												{	/* Cfa/type.scm 117 */

													BgL_res3603z00_5883 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_5860,
															(int) (BgL_modz00_5863)),
														(int) (BgL_restz00_5865));
					}}}}}}}}
					BgL_method3107z00_3321 = BgL_res3603z00_5883;
				}
				return
					PROCEDURE_ENTRY(BgL_method3107z00_3321) (BgL_method3107z00_3321,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6096,
		obj_t BgL_valuez00_6097, obj_t BgL_variablez00_6098)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 117 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6097),
				((BgL_variablez00_bglt) BgL_variablez00_6098));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 187 */
			{	/* Cfa/type.scm 187 */
				obj_t BgL_method3119z00_3322;

				{	/* Cfa/type.scm 187 */
					obj_t BgL_res3610z00_5912;

					{	/* Cfa/type.scm 187 */
						BgL_objectz00_bglt BgL_objz00_5884;

						BgL_objz00_5884 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Cfa/type.scm 187 */
							long BgL_objzd2classzd2numz00_5885;

							{	/* Cfa/type.scm 187 */
								long BgL_res3604z00_5888;

								BgL_res3604z00_5888 = BGL_OBJECT_CLASS_NUM(BgL_objz00_5884);
								BgL_objzd2classzd2numz00_5885 = BgL_res3604z00_5888;
							}
							{	/* Cfa/type.scm 187 */
								obj_t BgL_arg1812z00_5886;

								BgL_arg1812z00_5886 =
									PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 187 */
									obj_t BgL_arrayz00_5889;
									int BgL_offsetz00_5890;

									BgL_arrayz00_5889 = BgL_arg1812z00_5886;
									BgL_offsetz00_5890 = (int) (BgL_objzd2classzd2numz00_5885);
									{	/* Cfa/type.scm 187 */
										long BgL_offsetz00_5891;

										BgL_offsetz00_5891 =
											((long) (BgL_offsetz00_5890) - OBJECT_TYPE);
										{	/* Cfa/type.scm 187 */
											long BgL_modz00_5892;

											{	/* Cfa/type.scm 187 */
												int BgL_arg1814z00_5893;

												BgL_arg1814z00_5893 = (int) (((long) 16));
												{	/* Cfa/type.scm 187 */
													long BgL_res3607z00_5903;

													{	/* Cfa/type.scm 187 */
														long BgL_auxz00_6508;

														BgL_auxz00_6508 = (long) (BgL_arg1814z00_5893);
														BgL_res3607z00_5903 =
															(BgL_offsetz00_5891 / BgL_auxz00_6508);
													}
													BgL_modz00_5892 = BgL_res3607z00_5903;
											}}
											{	/* Cfa/type.scm 187 */
												long BgL_restz00_5894;

												{	/* Cfa/type.scm 187 */
													int BgL_arg1813z00_5895;

													BgL_arg1813z00_5895 = (int) (((long) 16));
													{	/* Cfa/type.scm 187 */
														long BgL_res3609z00_5907;

														{	/* Cfa/type.scm 187 */
															long BgL_auxz00_6512;

															BgL_auxz00_6512 = (long) (BgL_arg1813z00_5895);
															BgL_res3609z00_5907 =
																(BgL_offsetz00_5891 % BgL_auxz00_6512);
														}
														BgL_restz00_5894 = BgL_res3609z00_5907;
												}}
												{	/* Cfa/type.scm 187 */

													BgL_res3610z00_5912 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_5889,
															(int) (BgL_modz00_5892)),
														(int) (BgL_restz00_5894));
					}}}}}}}}
					BgL_method3119z00_3322 = BgL_res3610z00_5912;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method3119z00_3322) (BgL_method3119z00_3322,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6099,
		obj_t BgL_nodez00_6100)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 187 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6100));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc3646z00zzcfa_typez00,
				BGl_string3647z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc3648z00zzcfa_typez00,
				BGl_string3647z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc3649z00zzcfa_typez00,
				BGl_string3647z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc3650z00zzcfa_typez00,
				BGl_string3647z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc3651z00zzcfa_typez00,
				BGl_string3647z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc3652z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3654z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc3655z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc3656z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3657z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc3658z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc3659z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc3660z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc3661z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc3662z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc3663z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc3664z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc3665z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3666z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3667z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3668z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc3669z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc3670z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3671z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc3672z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc3673z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc3674z00zzcfa_typez00, BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3675z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3676z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3677z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3678z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3679z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3680z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3681z00zzcfa_typez00,
				BGl_string3653z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref3181 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref3181za2zzcfa_typez00(obj_t
		BgL_envz00_6136, BgL_boxzd2refzd2_bglt BgL_nodez00_6137)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 553 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3666;

				BgL_nodez00_3666 = BgL_nodez00_6137;
				{
					BgL_varz00_bglt BgL_auxz00_6561;

					{	/* Cfa/type.scm 555 */
						BgL_varz00_bglt BgL_arg3383z00_3670;

						BgL_arg3383z00_3670 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3666))->BgL_varz00);
						BgL_auxz00_6561 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3383z00_3670)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3666))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6561), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_6567;

					{	/* Cfa/type.scm 556 */
						BgL_varz00_bglt BgL_arg3384z00_3671;

						BgL_arg3384z00_3671 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3666))->BgL_varz00);
						BgL_auxz00_6567 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3384z00_3671));
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3666)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6567), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3666);
			}
		}
	}



/* &type-node!-box-set!3179 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123179zb0zzcfa_typez00(obj_t
		BgL_envz00_6138, BgL_boxzd2setz12zc0_bglt BgL_nodez00_6139)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 544 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3659;

				BgL_nodez00_3659 = BgL_nodez00_6139;
				{
					BgL_varz00_bglt BgL_auxz00_6574;

					{	/* Cfa/type.scm 546 */
						BgL_varz00_bglt BgL_arg3381z00_3663;

						BgL_arg3381z00_3663 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3659))->BgL_varz00);
						BgL_auxz00_6574 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3381z00_3663)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3659))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6574), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6580;

					{	/* Cfa/type.scm 547 */
						BgL_nodez00_bglt BgL_arg3382z00_3664;

						BgL_arg3382z00_3664 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3659))->
							BgL_valuez00);
						BgL_auxz00_6580 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3382z00_3664);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3659))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6580), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3659);
			}
		}
	}



/* &type-node!-make-box3177 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box3177za2zzcfa_typez00(obj_t
		BgL_envz00_6140, BgL_makezd2boxzd2_bglt BgL_nodez00_6141)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 536 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3653;

				BgL_nodez00_3653 = BgL_nodez00_6141;
				{
					BgL_nodez00_bglt BgL_auxz00_6585;

					{	/* Cfa/type.scm 538 */
						BgL_nodez00_bglt BgL_arg3380z00_3657;

						BgL_arg3380z00_3657 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3653))->BgL_valuez00);
						BgL_auxz00_6585 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3380z00_3657);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3653))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6585), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3653);
			}
		}
	}



/* &type-node!-jump-ex-i3175 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3175z70zzcfa_typez00(obj_t
		BgL_envz00_6142, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_6143)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 527 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3646;

				BgL_nodez00_3646 = BgL_nodez00_6143;
				{
					BgL_nodez00_bglt BgL_auxz00_6590;

					{	/* Cfa/type.scm 529 */
						BgL_nodez00_bglt BgL_arg3378z00_3650;

						BgL_arg3378z00_3650 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3646))->
							BgL_exitz00);
						BgL_auxz00_6590 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3378z00_3650);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3646))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6590), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6594;

					{	/* Cfa/type.scm 530 */
						BgL_nodez00_bglt BgL_arg3379z00_3651;

						BgL_arg3379z00_3651 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3646))->
							BgL_valuez00);
						BgL_auxz00_6594 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3379z00_3651);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3646))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6594), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3646);
			}
		}
	}



/* &type-node!-set-ex-it3173 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3173z70zzcfa_typez00(obj_t
		BgL_envz00_6144, BgL_setzd2exzd2itz00_bglt BgL_nodez00_6145)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 516 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3636;

				BgL_nodez00_3636 = BgL_nodez00_6145;
				{	/* Cfa/type.scm 518 */
					BgL_variablez00_bglt BgL_vz00_3640;

					BgL_vz00_3640 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3636))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/type.scm 519 */
						BgL_valuez00_bglt BgL_arg3374z00_3641;

						BgL_arg3374z00_3641 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3640))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3374z00_3641,
							BgL_vz00_3640);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6605;

					{	/* Cfa/type.scm 520 */
						BgL_nodez00_bglt BgL_arg3376z00_3643;

						BgL_arg3376z00_3643 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3636))->
							BgL_bodyz00);
						BgL_auxz00_6605 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3376z00_3643);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3636))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6605), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6609;

					{	/* Cfa/type.scm 521 */
						BgL_varz00_bglt BgL_arg3377z00_3644;

						BgL_arg3377z00_3644 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3636))->
							BgL_varz00);
						BgL_auxz00_6609 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
									BgL_arg3377z00_3644)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3636))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6609), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3636);
			}
		}
	}



/* &type-node!-let-var3171 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var3171za2zzcfa_typez00(obj_t
		BgL_envz00_6146, BgL_letzd2varzd2_bglt BgL_nodez00_6147)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 501 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3617;

				BgL_nodez00_3617 = BgL_nodez00_6147;
				{	/* Cfa/type.scm 503 */
					obj_t BgL_g3104z00_3621;

					BgL_g3104z00_3621 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3617))->BgL_bindingsz00);
					{
						obj_t BgL_l3102z00_3623;

						BgL_l3102z00_3623 = BgL_g3104z00_3621;
					BgL_zc3anonymousza33367ze3z83_3624:
						if (PAIRP(BgL_l3102z00_3623))
							{	/* Cfa/type.scm 503 */
								{	/* Cfa/type.scm 504 */
									obj_t BgL_bindingz00_3626;

									BgL_bindingz00_3626 = CAR(BgL_l3102z00_3623);
									{	/* Cfa/type.scm 504 */
										obj_t BgL_varz00_3627;
										obj_t BgL_valz00_3628;

										BgL_varz00_3627 = CAR(BgL_bindingz00_3626);
										BgL_valz00_3628 = CDR(BgL_bindingz00_3626);
										{	/* Cfa/type.scm 506 */
											BgL_nodez00_bglt BgL_arg3369z00_3629;

											BgL_arg3369z00_3629 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_3628));
											{	/* Cfa/type.scm 506 */
												obj_t BgL_pairz00_6049;
												obj_t BgL_objz00_6050;

												BgL_pairz00_6049 = BgL_bindingz00_3626;
												BgL_objz00_6050 = ((obj_t) BgL_arg3369z00_3629);
												SET_CDR(BgL_pairz00_6049, BgL_objz00_6050);
											}
										}
										{	/* Cfa/type.scm 507 */
											BgL_valuez00_bglt BgL_arg3370z00_3630;

											BgL_arg3370z00_3630 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3627))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg3370z00_3630,
												((BgL_variablez00_bglt) BgL_varz00_3627));
										}
									}
								}
								{
									obj_t BgL_l3102z00_6631;

									BgL_l3102z00_6631 = CDR(BgL_l3102z00_3623);
									BgL_l3102z00_3623 = BgL_l3102z00_6631;
									goto BgL_zc3anonymousza33367ze3z83_3624;
								}
							}
						else
							{	/* Cfa/type.scm 503 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6633;

					{	/* Cfa/type.scm 509 */
						BgL_nodez00_bglt BgL_arg3372z00_3633;

						BgL_arg3372z00_3633 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3617))->BgL_bodyz00);
						BgL_auxz00_6633 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3372z00_3633);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3617))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6633), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3617)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3617))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3617);
			}
		}
	}



/* &type-node!-let-fun3169 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun3169za2zzcfa_typez00(obj_t
		BgL_envz00_6148, BgL_letzd2funzd2_bglt BgL_nodez00_6149)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 491 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3602;

				BgL_nodez00_3602 = BgL_nodez00_6149;
				{	/* Cfa/type.scm 493 */
					obj_t BgL_g3101z00_3606;

					BgL_g3101z00_3606 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3602))->BgL_localsz00);
					{
						obj_t BgL_l3099z00_3608;

						BgL_l3099z00_3608 = BgL_g3101z00_3606;
					BgL_zc3anonymousza33361ze3z83_3609:
						if (PAIRP(BgL_l3099z00_3608))
							{	/* Cfa/type.scm 493 */
								{	/* Cfa/type.scm 493 */
									obj_t BgL_arg3363z00_3611;

									BgL_arg3363z00_3611 = CAR(BgL_l3099z00_3608);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg3363z00_3611));
								}
								{
									obj_t BgL_l3099z00_6648;

									BgL_l3099z00_6648 = CDR(BgL_l3099z00_3608);
									BgL_l3099z00_3608 = BgL_l3099z00_6648;
									goto BgL_zc3anonymousza33361ze3z83_3609;
								}
							}
						else
							{	/* Cfa/type.scm 493 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6650;

					{	/* Cfa/type.scm 494 */
						BgL_nodez00_bglt BgL_arg3365z00_3614;

						BgL_arg3365z00_3614 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3602))->BgL_bodyz00);
						BgL_auxz00_6650 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3365z00_3614);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3602))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6650), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3602)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3602))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3602);
			}
		}
	}



/* &type-node!-select3167 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select3167z70zzcfa_typez00(obj_t
		BgL_envz00_6150, BgL_selectz00_bglt BgL_nodez00_6151)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 466 */
			{
				BgL_selectz00_bglt BgL_nodez00_3586;

				BgL_nodez00_3586 = BgL_nodez00_6151;
				{
					BgL_nodez00_bglt BgL_auxz00_6659;

					{	/* Cfa/type.scm 468 */
						BgL_nodez00_bglt BgL_arg3355z00_3590;

						BgL_arg3355z00_3590 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3586))->BgL_testz00);
						BgL_auxz00_6659 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3355z00_3590);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_3586))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6659), BUNSPEC);
				}
				{	/* Cfa/type.scm 469 */
					obj_t BgL_g3098z00_3591;

					BgL_g3098z00_3591 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3586))->BgL_clausesz00);
					{
						obj_t BgL_l3096z00_3593;

						BgL_l3096z00_3593 = BgL_g3098z00_3591;
					BgL_zc3anonymousza33356ze3z83_3594:
						if (PAIRP(BgL_l3096z00_3593))
							{	/* Cfa/type.scm 469 */
								{	/* Cfa/type.scm 470 */
									obj_t BgL_clausez00_3596;

									BgL_clausez00_3596 = CAR(BgL_l3096z00_3593);
									{	/* Cfa/type.scm 470 */
										BgL_nodez00_bglt BgL_arg3358z00_3597;

										{	/* Cfa/type.scm 470 */
											obj_t BgL_arg3359z00_3598;

											BgL_arg3359z00_3598 = CDR(BgL_clausez00_3596);
											BgL_arg3358z00_3597 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3359z00_3598));
										}
										{	/* Cfa/type.scm 470 */
											obj_t BgL_pairz00_6034;
											obj_t BgL_objz00_6035;

											BgL_pairz00_6034 = BgL_clausez00_3596;
											BgL_objz00_6035 = ((obj_t) BgL_arg3358z00_3597);
											SET_CDR(BgL_pairz00_6034, BgL_objz00_6035);
										}
									}
								}
								{
									obj_t BgL_l3096z00_6672;

									BgL_l3096z00_6672 = CDR(BgL_l3096z00_3593);
									BgL_l3096z00_3593 = BgL_l3096z00_6672;
									goto BgL_zc3anonymousza33356ze3z83_3594;
								}
							}
						else
							{	/* Cfa/type.scm 469 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3586)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3586))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3586);
			}
		}
	}



/* &type-node!-fail3165 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail3165z70zzcfa_typez00(obj_t
		BgL_envz00_6152, BgL_failz00_bglt BgL_nodez00_6153)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 456 */
			{
				BgL_failz00_bglt BgL_nodez00_3578;

				BgL_nodez00_3578 = BgL_nodez00_6153;
				{
					BgL_nodez00_bglt BgL_auxz00_6679;

					{	/* Cfa/type.scm 458 */
						BgL_nodez00_bglt BgL_arg3352z00_3582;

						BgL_arg3352z00_3582 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_procz00);
						BgL_auxz00_6679 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3352z00_3582);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6679), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6683;

					{	/* Cfa/type.scm 459 */
						BgL_nodez00_bglt BgL_arg3353z00_3583;

						BgL_arg3353z00_3583 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_msgz00);
						BgL_auxz00_6683 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3353z00_3583);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6683), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6687;

					{	/* Cfa/type.scm 460 */
						BgL_nodez00_bglt BgL_arg3354z00_3584;

						BgL_arg3354z00_3584 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_objz00);
						BgL_auxz00_6687 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3354z00_3584);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3578))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6687), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3578);
			}
		}
	}



/* &type-node!-condition3163 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3163z70zzcfa_typez00(obj_t
		BgL_envz00_6154, BgL_conditionalz00_bglt BgL_nodez00_6155)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 449 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3574;

				BgL_nodez00_3574 = BgL_nodez00_6155;
				{

					{	/* Cfa/type.scm 449 */
						obj_t BgL_nextzd2method3161zd2_3577;

						BgL_nextzd2method3161zd2_3577 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3574),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3161zd2_3577)
							(BgL_nextzd2method3161zd2_3577, ((obj_t) BgL_nodez00_3574), BEOA);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3574);
				}
			}
		}
	}



/* &type-node!-condition3160 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3160z70zzcfa_typez00(obj_t
		BgL_envz00_6156, BgL_conditionalz00_bglt BgL_nodez00_6157)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 438 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3566;

				BgL_nodez00_3566 = BgL_nodez00_6157;
				{
					BgL_nodez00_bglt BgL_auxz00_6700;

					{	/* Cfa/type.scm 440 */
						BgL_nodez00_bglt BgL_arg3349z00_3570;

						BgL_arg3349z00_3570 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->BgL_testz00);
						BgL_auxz00_6700 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3349z00_3570);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6700), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6704;

					{	/* Cfa/type.scm 441 */
						BgL_nodez00_bglt BgL_arg3350z00_3571;

						BgL_arg3350z00_3571 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->BgL_truez00);
						BgL_auxz00_6704 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3350z00_3571);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6704), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6708;

					{	/* Cfa/type.scm 442 */
						BgL_nodez00_bglt BgL_arg3351z00_3572;

						BgL_arg3351z00_3572 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->
							BgL_falsez00);
						BgL_auxz00_6708 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3351z00_3572);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3566))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6708), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3566)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3566))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3566);
			}
		}
	}



/* &type-node!-setq3158 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq3158z70zzcfa_typez00(obj_t
		BgL_envz00_6158, BgL_setqz00_bglt BgL_nodez00_6159)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 427 */
			{
				BgL_setqz00_bglt BgL_nodez00_3559;

				BgL_nodez00_3559 = BgL_nodez00_6159;
				{
					BgL_nodez00_bglt BgL_auxz00_6717;

					{	/* Cfa/type.scm 429 */
						BgL_nodez00_bglt BgL_arg3347z00_3563;

						BgL_arg3347z00_3563 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3559))->BgL_valuez00);
						BgL_auxz00_6717 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3347z00_3563);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3559))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6717), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6721;

					{	/* Cfa/type.scm 430 */
						BgL_varz00_bglt BgL_arg3348z00_3564;

						BgL_arg3348z00_3564 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3559))->BgL_varz00);
						BgL_auxz00_6721 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3348z00_3564)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3559))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6721), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3559);
			}
		}
	}



/* &type-node!-cast3156 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast3156z70zzcfa_typez00(obj_t
		BgL_envz00_6160, BgL_castz00_bglt BgL_nodez00_6161)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 419 */
			{
				BgL_castz00_bglt BgL_nodez00_3553;

				BgL_nodez00_3553 = BgL_nodez00_6161;
				{
					BgL_nodez00_bglt BgL_auxz00_6728;

					{	/* Cfa/type.scm 421 */
						BgL_nodez00_bglt BgL_arg3346z00_3557;

						BgL_arg3346z00_3557 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_3553))->BgL_argz00);
						BgL_auxz00_6728 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3346z00_3557);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_3553))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6728), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3553);
			}
		}
	}



/* &type-node!-vset!3154 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz123154z62zzcfa_typez00(obj_t
		BgL_envz00_6162, BgL_vsetz12z12_bglt BgL_nodez00_6163)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 409 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3546;

				BgL_nodez00_3546 = BgL_nodez00_6163;
				{

					{	/* Cfa/type.scm 409 */
						obj_t BgL_nextzd2method3153zd2_3552;

						BgL_nextzd2method3153zd2_3552 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3546),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3153zd2_3552)
							(BgL_nextzd2method3153zd2_3552, ((obj_t) BgL_nodez00_3546), BEOA);
					}
					{	/* Cfa/type.scm 412 */
						bool_t BgL_testz00_6740;

						{	/* Cfa/type.scm 412 */
							BgL_typez00_bglt BgL_arg3345z00_3551;

							BgL_arg3345z00_3551 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3546))->BgL_ftypez00);
							BgL_testz00_6740 =
								(
								((obj_t) BgL_arg3345z00_3551) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6740)
							{	/* Cfa/type.scm 412 */
								((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3546))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 412 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3546);
				}
			}
		}
	}



/* &type-node!-vref3151 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref3151z70zzcfa_typez00(obj_t
		BgL_envz00_6164, BgL_vrefz00_bglt BgL_nodez00_6165)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 398 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3539;

				BgL_nodez00_3539 = BgL_nodez00_6165;
				{

					{	/* Cfa/type.scm 398 */
						obj_t BgL_nextzd2method3150zd2_3545;

						BgL_nextzd2method3150zd2_3545 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3539),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3150zd2_3545)
							(BgL_nextzd2method3150zd2_3545, ((obj_t) BgL_nodez00_3539), BEOA);
					}
					{	/* Cfa/type.scm 401 */
						bool_t BgL_testz00_6754;

						{	/* Cfa/type.scm 401 */
							BgL_typez00_bglt BgL_arg3343z00_3544;

							BgL_arg3343z00_3544 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3539))->BgL_ftypez00);
							BgL_testz00_6754 =
								(
								((obj_t) BgL_arg3343z00_3544) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6754)
							{	/* Cfa/type.scm 401 */
								((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3539))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 401 */
								BFALSE;
							}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3539)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) CREF(BgL_nodez00_3539))->
								BgL_ftypez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_nodez00_3539);
				}
			}
		}
	}



/* &type-node!-valloc3149 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc3149z70zzcfa_typez00(obj_t
		BgL_envz00_6166, BgL_vallocz00_bglt BgL_nodez00_6167)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 387 */
			{
				BgL_vallocz00_bglt BgL_nodez00_3527;

				BgL_nodez00_3527 = BgL_nodez00_6167;
				{

					{	/* Cfa/type.scm 387 */
						obj_t BgL_nextzd2method3148zd2_3538;

						BgL_nextzd2method3148zd2_3538 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3527),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3148zd2_3538)
							(BgL_nextzd2method3148zd2_3538, ((obj_t) BgL_nodez00_3527), BEOA);
					}
					{	/* Cfa/type.scm 390 */
						obj_t BgL_arg3335z00_3531;

						BgL_arg3335z00_3531 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_3527)))->BgL_exprza2za2);
						{	/* Cfa/type.scm 390 */
							obj_t BgL_list3241z00_6029;

							BgL_list3241z00_6029 = MAKE_PAIR(BgL_arg3335z00_3531, BNIL);
							BGl_mapz12z12zz__r4_control_features_6_9z00
								(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								BgL_list3241z00_6029);
						}
					}
					{
						BgL_typez00_bglt BgL_auxz00_6775;

						{	/* Cfa/type.scm 391 */
							obj_t BgL_arg3336z00_3532;
							BgL_typez00_bglt BgL_arg3337z00_3533;

							{	/* Cfa/type.scm 391 */
								bool_t BgL_testz00_6777;

								{	/* Cfa/type.scm 391 */
									BgL_typez00_bglt BgL_arg3339z00_3535;

									BgL_arg3339z00_3535 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3527)))->BgL_typez00);
									BgL_testz00_6777 =
										(
										((obj_t) BgL_arg3339z00_3535) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_6777)
									{	/* Cfa/type.scm 391 */
										BgL_arg3336z00_3532 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 391 */
										BgL_arg3336z00_3532 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3527)))->
												BgL_typez00));
									}
							}
							BgL_arg3337z00_3533 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3527)))->BgL_typez00);
							BgL_auxz00_6775 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg3336z00_3532), BgL_arg3337z00_3533);
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3527)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6775), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6790;

						{	/* Cfa/type.scm 392 */
							bool_t BgL_testz00_6791;

							{	/* Cfa/type.scm 392 */
								BgL_typez00_bglt BgL_arg3341z00_3537;

								BgL_arg3341z00_3537 =
									(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3527))->BgL_ftypez00);
								BgL_testz00_6791 =
									(
									((obj_t) BgL_arg3341z00_3537) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_6791)
								{	/* Cfa/type.scm 392 */
									BgL_auxz00_6790 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* Cfa/type.scm 392 */
									BgL_auxz00_6790 =
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3527))->
										BgL_ftypez00);
								}
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_3527))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_6790), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3527);
				}
			}
		}
	}



/* &type-node!-extern3147 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern3147z70zzcfa_typez00(obj_t
		BgL_envz00_6168, BgL_externz00_bglt BgL_nodez00_6169)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 379 */
			{
				BgL_externz00_bglt BgL_nodez00_3521;

				BgL_nodez00_3521 = BgL_nodez00_6169;
				{	/* Cfa/type.scm 380 */
					obj_t BgL_arg3334z00_6025;

					BgL_arg3334z00_6025 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_3521))->BgL_exprza2za2);
					{	/* Cfa/type.scm 380 */
						obj_t BgL_list3241z00_6027;

						BgL_list3241z00_6027 = MAKE_PAIR(BgL_arg3334z00_6025, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list3241z00_6027);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3521);
			}
		}
	}



/* &type-node!-funcall/C3145 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C3145z82zzcfa_typez00(obj_t
		BgL_envz00_6170, BgL_funcallz00_bglt BgL_nodez00_6171)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 356 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3508;

				BgL_nodez00_3508 = BgL_nodez00_6171;
				{
					BgL_nodez00_bglt BgL_auxz00_6803;

					{	/* Cfa/type.scm 358 */
						BgL_nodez00_bglt BgL_arg3329z00_3512;

						BgL_arg3329z00_3512 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3508)))->BgL_funz00);
						BgL_auxz00_6803 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3329z00_3512);
					}
					((((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3508)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6803), BUNSPEC);
				}
				{	/* Cfa/type.scm 359 */
					obj_t BgL_arg3330z00_3513;

					BgL_arg3330z00_3513 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3508)))->BgL_argsz00);
					{	/* Cfa/type.scm 359 */
						obj_t BgL_list3241z00_6017;

						BgL_list3241z00_6017 = MAKE_PAIR(BgL_arg3330z00_3513, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list3241z00_6017);
					}
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 362 */
						obj_t BgL_typz00_3514;

						{	/* Cfa/type.scm 362 */
							BgL_approxz00_bglt BgL_arg3333z00_3519;

							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_6815;

								{
									obj_t BgL_auxz00_6816;

									{	/* Cfa/type.scm 362 */
										BgL_objectz00_bglt BgL_auxz00_6817;

										BgL_auxz00_6817 = ((BgL_objectz00_bglt) BgL_nodez00_3508);
										BgL_auxz00_6816 = BGL_OBJECT_WIDENING(BgL_auxz00_6817);
									}
									BgL_auxz00_6815 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_6816);
								}
								BgL_arg3333z00_3519 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_6815))->
									BgL_approxz00);
							}
							BgL_typz00_3514 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3333z00_3519,
								((obj_t) BgL_nodez00_3508));
						}
						if ((BgL_typz00_3514 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 366 */
								BgL_atomz00_bglt BgL_new1188z00_3516;

								{	/* Cfa/type.scm 366 */
									BgL_atomz00_bglt BgL_new1187z00_3517;

									BgL_new1187z00_3517 =
										((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_atomz00_bgl))));
									{	/* Cfa/type.scm 366 */
										long BgL_arg3332z00_3518;

										{	/* Cfa/type.scm 366 */
											long BgL_res3630z00_6021;

											{	/* Cfa/type.scm 366 */
												obj_t BgL_classz00_6018;

												BgL_classz00_6018 = BGl_atomz00zzast_nodez00;
												{	/* Cfa/type.scm 366 */
													obj_t BgL_vectorz00_6019;
													int BgL_kz00_6020;

													BgL_vectorz00_6019 = BgL_classz00_6018;
													BgL_kz00_6020 = (int) (((long) 1));
													BgL_res3630z00_6021 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_6019,
															BgL_kz00_6020));
											}}
											BgL_arg3332z00_3518 = BgL_res3630z00_6021;
										}
										{	/* Cfa/type.scm 366 */
											BgL_objectz00_bglt BgL_objz00_6022;

											BgL_objz00_6022 =
												((BgL_objectz00_bglt) BgL_new1187z00_3517);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6022,
												BgL_arg3332z00_3518);
									}}
									{	/* Cfa/type.scm 366 */
										BgL_objectz00_bglt BgL_auxz00_6832;

										BgL_auxz00_6832 =
											((BgL_objectz00_bglt) BgL_new1187z00_3517);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6832, BFALSE);
									}
									BgL_new1188z00_3516 = BgL_new1187z00_3517;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1188z00_3516)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1188z00_3516)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC)),
									BUNSPEC);
								((((BgL_atomz00_bglt) CREF(BgL_new1188z00_3516))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1188z00_3516);
							}
						else
							{	/* Cfa/type.scm 363 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3508)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_3514)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_3508);
							}
					}
				else
					{	/* Cfa/type.scm 360 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3508)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_nodez00_3508);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci3143 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3143z50zzcfa_typez00(obj_t
		BgL_envz00_6172, BgL_appzd2lyzd2_bglt BgL_nodez00_6173)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 344 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3500;

				BgL_nodez00_3500 = BgL_nodez00_6173;
				{
					BgL_nodez00_bglt BgL_auxz00_6850;

					{	/* Cfa/type.scm 346 */
						BgL_nodez00_bglt BgL_arg3326z00_3504;

						BgL_arg3326z00_3504 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3500)))->BgL_funz00);
						BgL_auxz00_6850 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3326z00_3504);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3500)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6850), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6856;

					{	/* Cfa/type.scm 347 */
						BgL_nodez00_bglt BgL_arg3327z00_3505;

						BgL_arg3327z00_3505 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3500)))->BgL_argz00);
						BgL_auxz00_6856 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3327z00_3505);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3500)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6856), BUNSPEC);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{
						BgL_typez00_bglt BgL_auxz00_6864;

						{	/* Cfa/type.scm 349 */
							BgL_approxz00_bglt BgL_arg3328z00_3506;

							{
								BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_6866;

								{
									obj_t BgL_auxz00_6867;

									{	/* Cfa/type.scm 349 */
										BgL_objectz00_bglt BgL_auxz00_6868;

										BgL_auxz00_6868 = ((BgL_objectz00_bglt) BgL_nodez00_3500);
										BgL_auxz00_6867 = BGL_OBJECT_WIDENING(BgL_auxz00_6868);
									}
									BgL_auxz00_6866 =
										((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_6867);
								}
								BgL_arg3328z00_3506 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_6866))->
									BgL_approxz00);
							}
							BgL_auxz00_6864 =
								((BgL_typez00_bglt)
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3328z00_3506,
									((obj_t) BgL_nodez00_3500)));
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3500)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6864), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 348 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3500)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_3500);
			}
		}
	}



/* &type-node!-cons-ref-3140 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23140z70zzcfa_typez00(obj_t
		BgL_envz00_6174, BgL_appz00_bglt BgL_nodez00_6175)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 333 */
			{
				BgL_appz00_bglt BgL_nodez00_3492;

				BgL_nodez00_3492 = BgL_nodez00_6175;
				{

					{	/* Cfa/type.scm 333 */
						obj_t BgL_nextzd2method3139zd2_3499;

						BgL_nextzd2method3139zd2_3499 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3492),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3139zd2_3499)
							(BgL_nextzd2method3139zd2_3499, ((obj_t) BgL_nodez00_3492), BEOA);
					}
					{	/* Cfa/type.scm 336 */
						obj_t BgL_atypez00_3496;

						{	/* Cfa/type.scm 336 */
							BgL_approxz00_bglt BgL_arg3325z00_3498;

							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_6888;

								{
									obj_t BgL_auxz00_6889;

									{	/* Cfa/type.scm 336 */
										BgL_objectz00_bglt BgL_auxz00_6890;

										BgL_auxz00_6890 = ((BgL_objectz00_bglt) BgL_nodez00_3492);
										BgL_auxz00_6889 = BGL_OBJECT_WIDENING(BgL_auxz00_6890);
									}
									BgL_auxz00_6888 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6889);
								}
								BgL_arg3325z00_3498 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6888))->
									BgL_approxz00);
							}
							BgL_atypez00_3496 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3325z00_3498,
								((obj_t) BgL_nodez00_3492));
						}
						if ((BgL_atypez00_3496 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 337 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 337 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3492)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_3496)),
									BUNSPEC);
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3492);
				}
			}
		}
	}



/* &type-node!-procedure3137 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3137z70zzcfa_typez00(obj_t
		BgL_envz00_6176, BgL_appz00_bglt BgL_nodez00_6177)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 316 */
			{
				BgL_appz00_bglt BgL_nodez00_3471;

				BgL_nodez00_3471 = BgL_nodez00_6177;
				{

					{	/* Cfa/type.scm 316 */
						obj_t BgL_nextzd2method3136zd2_3491;

						BgL_nextzd2method3136zd2_3491 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3471),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3136zd2_3491)
							(BgL_nextzd2method3136zd2_3491, ((obj_t) BgL_nodez00_3471), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 320 */
							obj_t BgL_atypez00_3475;

							{	/* Cfa/type.scm 320 */
								obj_t BgL_arg3323z00_3490;

								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_6912;

									{
										obj_t BgL_auxz00_6913;

										{	/* Cfa/type.scm 320 */
											BgL_objectz00_bglt BgL_auxz00_6914;

											BgL_auxz00_6914 = ((BgL_objectz00_bglt) BgL_nodez00_3471);
											BgL_auxz00_6913 = BGL_OBJECT_WIDENING(BgL_auxz00_6914);
										}
										BgL_auxz00_6912 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_6913);
									}
									BgL_arg3323z00_3490 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_6912))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg3323z00_3490)))
									{	/* Cfa/type.scm 320 */
										BgL_atypez00_3475 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 320 */
										BgL_atypez00_3475 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg3323z00_3490),
											((obj_t) BgL_nodez00_3471));
									}
							}
							{	/* Cfa/type.scm 321 */
								bool_t BgL_testz00_6925;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3475)))
									{	/* Cfa/type.scm 321 */
										if ((BgL_atypez00_3475 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 322 */
												BgL_testz00_6925 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 323 */
												bool_t BgL_testz00_6931;

												{	/* Cfa/type.scm 323 */
													BgL_typez00_bglt BgL_arg3320z00_3487;

													{	/* Cfa/type.scm 323 */
														obj_t BgL_arg3321z00_3488;

														{	/* Cfa/type.scm 323 */
															obj_t BgL_pairz00_5992;

															BgL_pairz00_5992 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3471)))->
																BgL_argsz00);
															BgL_arg3321z00_3488 =
																CAR(CDR(CDR(BgL_pairz00_5992)));
														}
														BgL_arg3320z00_3487 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg3321z00_3488));
													}
													BgL_testz00_6931 =
														(BgL_atypez00_3475 ==
														((obj_t) BgL_arg3320z00_3487));
												}
												if (BgL_testz00_6931)
													{	/* Cfa/type.scm 323 */
														BgL_testz00_6925 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 323 */
														BgL_testz00_6925 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 321 */
										BgL_testz00_6925 = ((bool_t) 0);
									}
								if (BgL_testz00_6925)
									{	/* Cfa/type.scm 324 */
										obj_t BgL_arg3312z00_3477;
										BgL_castz00_bglt BgL_arg3313z00_3478;

										{	/* Cfa/type.scm 324 */
											obj_t BgL_pairz00_5998;

											BgL_pairz00_5998 =
												(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3471)))->
												BgL_argsz00);
											BgL_arg3312z00_3477 = CDR(CDR(BgL_pairz00_5998));
										}
										{	/* Cfa/type.scm 325 */
											BgL_castz00_bglt BgL_new1183z00_3480;

											{	/* Cfa/type.scm 325 */
												BgL_castz00_bglt BgL_new1182z00_3482;

												BgL_new1182z00_3482 =
													((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_castz00_bgl))));
												{	/* Cfa/type.scm 325 */
													long BgL_arg3316z00_3483;

													{	/* Cfa/type.scm 325 */
														long BgL_res3629z00_6005;

														{	/* Cfa/type.scm 325 */
															obj_t BgL_classz00_6002;

															BgL_classz00_6002 = BGl_castz00zzast_nodez00;
															{	/* Cfa/type.scm 325 */
																obj_t BgL_vectorz00_6003;
																int BgL_kz00_6004;

																BgL_vectorz00_6003 = BgL_classz00_6002;
																BgL_kz00_6004 = (int) (((long) 1));
																BgL_res3629z00_6005 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_6003,
																		BgL_kz00_6004));
														}}
														BgL_arg3316z00_3483 = BgL_res3629z00_6005;
													}
													{	/* Cfa/type.scm 325 */
														BgL_objectz00_bglt BgL_objz00_6006;

														BgL_objz00_6006 =
															((BgL_objectz00_bglt) BgL_new1182z00_3482);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6006,
															BgL_arg3316z00_3483);
												}}
												{	/* Cfa/type.scm 325 */
													BgL_objectz00_bglt BgL_auxz00_6951;

													BgL_auxz00_6951 =
														((BgL_objectz00_bglt) BgL_new1182z00_3482);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_6951, BFALSE);
												}
												BgL_new1183z00_3480 = BgL_new1182z00_3482;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1183z00_3480)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1183z00_3480)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											{
												BgL_nodez00_bglt BgL_auxz00_6959;

												{	/* Cfa/type.scm 327 */
													obj_t BgL_pairz00_6008;

													BgL_pairz00_6008 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3471)))->
														BgL_argsz00);
													{	/* Cfa/type.scm 327 */
														obj_t BgL_pairz00_6013;

														{	/* Cfa/type.scm 327 */
															obj_t BgL_pairz00_6012;

															BgL_pairz00_6012 = CDR(BgL_pairz00_6008);
															BgL_pairz00_6013 = CDR(BgL_pairz00_6012);
														}
														BgL_auxz00_6959 =
															((BgL_nodez00_bglt) CAR(BgL_pairz00_6013));
												}}
												((((BgL_castz00_bglt) CREF(BgL_new1183z00_3480))->
														BgL_argz00) =
													((BgL_nodez00_bglt) BgL_auxz00_6959), BUNSPEC);
											}
											BgL_arg3313z00_3478 = BgL_new1183z00_3480;
										}
										{	/* Cfa/type.scm 324 */
											obj_t BgL_pairz00_6014;
											obj_t BgL_objz00_6015;

											BgL_pairz00_6014 = BgL_arg3312z00_3477;
											BgL_objz00_6015 = ((obj_t) BgL_arg3313z00_3478);
											SET_CAR(BgL_pairz00_6014, BgL_objz00_6015);
									}}
								else
									{	/* Cfa/type.scm 321 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 319 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_3471);
				}
			}
		}
	}



/* &type-node!-procedure3135 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3135z70zzcfa_typez00(obj_t
		BgL_envz00_6178, BgL_appz00_bglt BgL_nodez00_6179)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 299 */
			{
				BgL_appz00_bglt BgL_nodez00_3456;

				BgL_nodez00_3456 = BgL_nodez00_6179;
				{

					{	/* Cfa/type.scm 299 */
						obj_t BgL_nextzd2method3134zd2_3470;

						BgL_nextzd2method3134zd2_3470 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3456),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3134zd2_3470)
							(BgL_nextzd2method3134zd2_3470, ((obj_t) BgL_nodez00_3456), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 303 */
							obj_t BgL_atypez00_3460;

							{	/* Cfa/type.scm 303 */
								BgL_approxz00_bglt BgL_arg3310z00_3469;

								{
									BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_6979;

									{
										obj_t BgL_auxz00_6980;

										{	/* Cfa/type.scm 303 */
											BgL_objectz00_bglt BgL_auxz00_6981;

											BgL_auxz00_6981 = ((BgL_objectz00_bglt) BgL_nodez00_3456);
											BgL_auxz00_6980 = BGL_OBJECT_WIDENING(BgL_auxz00_6981);
										}
										BgL_auxz00_6979 =
											((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_6980);
									}
									BgL_arg3310z00_3469 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_6979))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg3310z00_3469))
									{	/* Cfa/type.scm 303 */
										BgL_atypez00_3460 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 303 */
										BgL_atypez00_3460 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3310z00_3469, ((obj_t) BgL_nodez00_3456));
									}
							}
							{	/* Cfa/type.scm 304 */
								bool_t BgL_testz00_6990;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3460)))
									{	/* Cfa/type.scm 304 */
										if ((BgL_atypez00_3460 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 305 */
												BgL_testz00_6990 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 306 */
												bool_t BgL_testz00_6996;

												{	/* Cfa/type.scm 306 */
													BgL_typez00_bglt BgL_arg3309z00_3468;

													BgL_arg3309z00_3468 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_3456));
													BgL_testz00_6996 =
														(BgL_atypez00_3460 ==
														((obj_t) BgL_arg3309z00_3468));
												}
												if (BgL_testz00_6996)
													{	/* Cfa/type.scm 306 */
														BgL_testz00_6990 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 306 */
														BgL_testz00_6990 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 304 */
										BgL_testz00_6990 = ((bool_t) 0);
									}
								if (BgL_testz00_6990)
									{	/* Cfa/type.scm 307 */
										BgL_castz00_bglt BgL_new1180z00_3462;

										{	/* Cfa/type.scm 307 */
											BgL_castz00_bglt BgL_new1179z00_3463;

											BgL_new1179z00_3463 =
												((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 307 */
												long BgL_arg3305z00_3464;

												{	/* Cfa/type.scm 307 */
													long BgL_res3628z00_5986;

													{	/* Cfa/type.scm 307 */
														obj_t BgL_classz00_5983;

														BgL_classz00_5983 = BGl_castz00zzast_nodez00;
														{	/* Cfa/type.scm 307 */
															obj_t BgL_vectorz00_5984;
															int BgL_kz00_5985;

															BgL_vectorz00_5984 = BgL_classz00_5983;
															BgL_kz00_5985 = (int) (((long) 1));
															BgL_res3628z00_5986 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_5984,
																	BgL_kz00_5985));
													}}
													BgL_arg3305z00_3464 = BgL_res3628z00_5986;
												}
												{	/* Cfa/type.scm 307 */
													BgL_objectz00_bglt BgL_objz00_5987;

													BgL_objz00_5987 =
														((BgL_objectz00_bglt) BgL_new1179z00_3463);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5987,
														BgL_arg3305z00_3464);
											}}
											{	/* Cfa/type.scm 307 */
												BgL_objectz00_bglt BgL_auxz00_7007;

												BgL_auxz00_7007 =
													((BgL_objectz00_bglt) BgL_new1179z00_3463);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7007, BFALSE);
											}
											BgL_new1180z00_3462 = BgL_new1179z00_3463;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1180z00_3462)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1180z00_3462)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_atypez00_3460)), BUNSPEC);
										((((BgL_castz00_bglt) CREF(BgL_new1180z00_3462))->
												BgL_argz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nodez00_3456)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1180z00_3462);
									}
								else
									{	/* Cfa/type.scm 304 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3456);
									}
							}
						}
					else
						{	/* Cfa/type.scm 302 */
							return ((BgL_nodez00_bglt) BgL_nodez00_3456);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti3133 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti3133z70zzcfa_typez00(obj_t
		BgL_envz00_6180, BgL_appz00_bglt BgL_nodez00_6181)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 255 */
			{
				BgL_appz00_bglt BgL_nodez00_3429;

				BgL_nodez00_3429 = BgL_nodez00_6181;
				{

					{	/* Cfa/type.scm 255 */
						obj_t BgL_nextzd2method3132zd2_3455;

						BgL_nextzd2method3132zd2_3455 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3429),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3132zd2_3455)
							(BgL_nextzd2method3132zd2_3455, ((obj_t) BgL_nodez00_3429), BEOA);
					}
					{	/* Cfa/type.scm 270 */
						BgL_appz00_bglt BgL_i1177z00_3433;

						BgL_i1177z00_3433 = ((BgL_appz00_bglt) BgL_nodez00_3429);
						{	/* Cfa/type.scm 272 */
							BgL_variablez00_bglt BgL_vz00_3434;

							BgL_vz00_3434 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_i1177z00_3433))->
											BgL_funz00)))->BgL_variablez00);
							{	/* Cfa/type.scm 272 */
								BgL_valuez00_bglt BgL_valz00_3435;

								BgL_valz00_3435 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_3434))->BgL_valuez00);
								{	/* Cfa/type.scm 273 */

									{	/* Cfa/type.scm 274 */
										bool_t BgL_testz00_7031;

										{	/* Cfa/type.scm 274 */
											BgL_typez00_bglt BgL_arg3288z00_3437;

											BgL_arg3288z00_3437 =
												(((BgL_variablez00_bglt) CREF(BgL_vz00_3434))->
												BgL_typez00);
											BgL_testz00_7031 =
												(((obj_t) BgL_arg3288z00_3437) ==
												BGl_za2_za2z00zztype_cachez00);
										}
										if (BgL_testz00_7031)
											{	/* Cfa/type.scm 275 */
												BgL_typez00_bglt BgL_vz00_5970;

												BgL_vz00_5970 =
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_vz00_3434))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_5970), BUNSPEC);
											}
										else
											{	/* Cfa/type.scm 274 */
												BFALSE;
											}
									}
									{	/* Cfa/type.scm 278 */
										bool_t BgL_testz00_7037;

										{	/* Cfa/type.scm 278 */
											bool_t BgL_res3626z00_5973;

											{	/* Cfa/type.scm 278 */
												obj_t BgL_objz00_5972;

												BgL_objz00_5972 = ((obj_t) BgL_valz00_3435);
												BgL_res3626z00_5973 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5972,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_7037 = BgL_res3626z00_5973;
										}
										if (BgL_testz00_7037)
											{	/* Cfa/type.scm 279 */
												obj_t BgL_arg3290z00_3439;

												BgL_arg3290z00_3439 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_valz00_3435)))->
													BgL_argsz00);
												{	/* Cfa/type.scm 279 */
													obj_t BgL_list3291z00_3440;

													BgL_list3291z00_3440 =
														MAKE_PAIR(BgL_arg3290z00_3439, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BGl_proc3682z00zzcfa_typez00,
														BgL_list3291z00_3440);
												}
											}
										else
											{	/* Cfa/type.scm 280 */
												bool_t BgL_testz00_7044;

												{	/* Cfa/type.scm 280 */
													bool_t BgL_res3627z00_5977;

													{	/* Cfa/type.scm 280 */
														obj_t BgL_objz00_5976;

														BgL_objz00_5976 = ((obj_t) BgL_valz00_3435);
														BgL_res3627z00_5977 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_5976,
															BGl_cfunz00zzast_varz00);
													}
													BgL_testz00_7044 = BgL_res3627z00_5977;
												}
												if (BgL_testz00_7044)
													{	/* Cfa/type.scm 281 */
														obj_t BgL_arg3293z00_3442;

														BgL_arg3293z00_3442 =
															(((BgL_cfunz00_bglt) CREF(
																	((BgL_cfunz00_bglt) BgL_valz00_3435)))->
															BgL_argszd2typezd2);
														{	/* Cfa/type.scm 281 */
															obj_t BgL_list3294z00_3443;

															BgL_list3294z00_3443 =
																MAKE_PAIR(BgL_arg3293z00_3442, BNIL);
															BGl_mapz12z12zz__r4_control_features_6_9z00
																(BGl_proc3682z00zzcfa_typez00,
																BgL_list3294z00_3443);
														}
													}
												else
													{	/* Cfa/type.scm 280 */
														BFALSE;
													}
											}
									}
								}
							}
						}
						{	/* Cfa/type.scm 283 */
							bool_t BgL_testz00_7051;

							{	/* Cfa/type.scm 283 */
								BgL_typez00_bglt BgL_arg3297z00_3446;

								BgL_arg3297z00_3446 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_i1177z00_3433)))->BgL_typez00);
								BgL_testz00_7051 =
									(
									((obj_t) BgL_arg3297z00_3446) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7051)
								{	/* Cfa/type.scm 283 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_i1177z00_3433)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 283 */
									BFALSE;
								}
						}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3429);
				}
			}
		}
	}



/* &cleanup-type */
	obj_t BGl_z62cleanupzd2typezb0zzcfa_typez00(obj_t BgL_envz00_6182,
		obj_t BgL_tz00_6183)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 266 */
			{
				obj_t BgL_tz00_3447;

				BgL_tz00_3447 = BgL_tz00_6183;
				if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3447,
						BGl_typez00zztype_typez00))
					{	/* Cfa/type.scm 259 */
						if ((BgL_tz00_3447 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 260 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 260 */
								return BgL_tz00_3447;
							}
					}
				else
					{	/* Cfa/type.scm 259 */
						if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3447,
								BGl_localz00zzast_varz00))
							{	/* Cfa/type.scm 261 */
								{	/* Cfa/type.scm 262 */
									bool_t BgL_testz00_7066;

									{	/* Cfa/type.scm 262 */
										BgL_typez00_bglt BgL_arg3303z00_3453;

										BgL_arg3303z00_3453 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_tz00_3447))))->
											BgL_typez00);
										BgL_testz00_7066 =
											(((obj_t) BgL_arg3303z00_3453) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_testz00_7066)
										{	/* Cfa/type.scm 263 */
											BgL_localz00_bglt BgL_oz00_5957;
											BgL_typez00_bglt BgL_vz00_5958;

											BgL_oz00_5957 = ((BgL_localz00_bglt) BgL_tz00_3447);
											BgL_vz00_5958 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_oz00_5957)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5958), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 262 */
											BFALSE;
										}
								}
								return BgL_tz00_3447;
							}
						else
							{	/* Cfa/type.scm 261 */
								return BgL_tz00_3447;
							}
					}
			}
		}
	}



/* &type-node!-app3131 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3131z70zzcfa_typez00(obj_t
		BgL_envz00_6184, BgL_appz00_bglt BgL_nodez00_6185)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 245 */
			{
				BgL_appz00_bglt BgL_nodez00_3418;

				BgL_nodez00_3418 = BgL_nodez00_6185;
				{	/* Cfa/type.scm 247 */
					obj_t BgL_arg3281z00_3422;

					BgL_arg3281z00_3422 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_3418))->BgL_argsz00);
					{	/* Cfa/type.scm 247 */
						obj_t BgL_list3241z00_5943;

						BgL_list3241z00_5943 = MAKE_PAIR(BgL_arg3281z00_3422, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list3241z00_5943);
					}
				}
				BGl_typezd2funzd2nodez12z12zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3418))->BgL_funz00));
				{
					BgL_typez00_bglt BgL_auxz00_7081;

					{	/* Cfa/type.scm 249 */
						BgL_typez00_bglt BgL_arg3283z00_3424;
						BgL_typez00_bglt BgL_arg3284z00_3425;

						BgL_arg3283z00_3424 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_3418))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_arg3284z00_3425 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_3418)))->BgL_typez00);
						BgL_auxz00_7081 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3283z00_3424,
							BgL_arg3284z00_3425);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3418)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7081), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3418);
			}
		}
	}



/* &type-node!-sequence3129 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence3129z70zzcfa_typez00(obj_t
		BgL_envz00_6186, BgL_sequencez00_bglt BgL_nodez00_6187)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 233 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3405;

				BgL_nodez00_3405 = BgL_nodez00_6187;
				{	/* Cfa/type.scm 235 */
					obj_t BgL_arg3273z00_3409;

					BgL_arg3273z00_3409 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3405))->BgL_nodesz00);
					{	/* Cfa/type.scm 235 */
						obj_t BgL_list3241z00_5938;

						BgL_list3241z00_5938 = MAKE_PAIR(BgL_arg3273z00_3409, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list3241z00_5938);
					}
				}
				{	/* Cfa/type.scm 236 */
					bool_t BgL_testz00_7094;

					{	/* Cfa/type.scm 236 */
						BgL_typez00_bglt BgL_arg3280z00_3416;

						BgL_arg3280z00_3416 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3405)))->BgL_typez00);
						BgL_testz00_7094 =
							(((obj_t) BgL_arg3280z00_3416) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7094)
						{	/* Cfa/type.scm 237 */
							bool_t BgL_testz00_7099;

							{	/* Cfa/type.scm 237 */
								obj_t BgL_auxz00_7100;

								BgL_auxz00_7100 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3405))->
									BgL_nodesz00);
								BgL_testz00_7099 = PAIRP(BgL_auxz00_7100);
							}
							if (BgL_testz00_7099)
								{
									BgL_typez00_bglt BgL_auxz00_7103;

									{	/* Cfa/type.scm 238 */
										obj_t BgL_arg3276z00_3412;

										BgL_arg3276z00_3412 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3405))->
													BgL_nodesz00)));
										BgL_auxz00_7103 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3276z00_3412));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3405)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7103), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 237 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3405)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 236 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3405);
			}
		}
	}



/* &type-node!-closure3127 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure3127z70zzcfa_typez00(obj_t
		BgL_envz00_6188, BgL_closurez00_bglt BgL_nodez00_6189)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 227 */
			{
				BgL_closurez00_bglt BgL_nodez00_3400;

				BgL_nodez00_3400 = BgL_nodez00_6189;
				{	/* Cfa/type.scm 228 */
					obj_t BgL_arg3272z00_5936;

					BgL_arg3272z00_5936 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3400));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3653z00zzcfa_typez00, BGl_string3683z00zzcfa_typez00,
							BgL_arg3272z00_5936));
				}
			}
		}
	}



/* &type-node!-var3125 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3125z70zzcfa_typez00(obj_t
		BgL_envz00_6190, BgL_varz00_bglt BgL_nodez00_6191)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 207 */
			{
				BgL_varz00_bglt BgL_nodez00_3366;

				BgL_nodez00_3366 = BgL_nodez00_6191;
				{
					BgL_typez00_bglt BgL_ntypez00_3388;
					BgL_typez00_bglt BgL_vtypez00_3389;

					{	/* Cfa/type.scm 216 */
						bool_t BgL_testz00_7119;

						{	/* Cfa/type.scm 216 */
							bool_t BgL_testz00_7120;

							{	/* Cfa/type.scm 216 */
								BgL_variablez00_bglt BgL_arg3260z00_3378;

								BgL_arg3260z00_3378 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3366))->BgL_variablez00);
								{	/* Cfa/type.scm 216 */
									bool_t BgL_res3613z00_5924;

									{	/* Cfa/type.scm 216 */
										obj_t BgL_objz00_5923;

										BgL_objz00_5923 = ((obj_t) BgL_arg3260z00_3378);
										BgL_res3613z00_5924 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_5923,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_7120 = BgL_res3613z00_5924;
								}
							}
							if (BgL_testz00_7120)
								{	/* Cfa/type.scm 216 */
									BgL_testz00_7119 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_3366))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 216 */
									BgL_testz00_7119 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_7119)
							{	/* Cfa/type.scm 217 */
								BgL_valuez00_bglt BgL_arg3254z00_3372;
								BgL_variablez00_bglt BgL_arg3255z00_3373;

								BgL_arg3254z00_3372 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3366))->
														BgL_variablez00)))))->BgL_valuez00);
								BgL_arg3255z00_3373 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3366))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3254z00_3372,
									BgL_arg3255z00_3373);
							}
						else
							{	/* Cfa/type.scm 216 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 218 */
						bool_t BgL_testz00_7135;

						{	/* Cfa/type.scm 218 */
							bool_t BgL_testz00_7136;

							{	/* Cfa/type.scm 218 */
								BgL_typez00_bglt BgL_arg3269z00_3387;

								BgL_arg3269z00_3387 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3366)))->BgL_typez00);
								BgL_testz00_7136 =
									(
									((obj_t) BgL_arg3269z00_3387) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7136)
								{	/* Cfa/type.scm 218 */
									BgL_testz00_7135 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 219 */
									bool_t BgL_testz00_7141;

									{	/* Cfa/type.scm 219 */
										BgL_typez00_bglt BgL_arg3268z00_3386;

										BgL_arg3268z00_3386 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3366)))->BgL_typez00);
										BgL_testz00_7141 =
											(
											((obj_t) BgL_arg3268z00_3386) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_7141)
										{	/* Cfa/type.scm 219 */
											BgL_testz00_7135 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 220 */
											BgL_typez00_bglt BgL_arg3265z00_3383;
											BgL_typez00_bglt BgL_arg3266z00_3384;

											BgL_arg3265z00_3383 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3366)))->
												BgL_typez00);
											BgL_arg3266z00_3384 =
												(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																CREF(BgL_nodez00_3366))->BgL_variablez00)))->
												BgL_typez00);
											BgL_ntypez00_3388 = BgL_arg3265z00_3383;
											BgL_vtypez00_3389 = BgL_arg3266z00_3384;
											{	/* Cfa/type.scm 210 */
												bool_t BgL__ortest_1168z00_3391;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_3389))
													{	/* Cfa/type.scm 210 */
														BgL__ortest_1168z00_3391 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 210 */
														BgL__ortest_1168z00_3391 = ((bool_t) 1);
													}
												if (BgL__ortest_1168z00_3391)
													{	/* Cfa/type.scm 210 */
														BgL_testz00_7135 = BgL__ortest_1168z00_3391;
													}
												else
													{	/* Cfa/type.scm 211 */
														bool_t BgL__ortest_1169z00_3392;

														BgL__ortest_1169z00_3392 =
															(
															((obj_t) BgL_ntypez00_3388) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_1169z00_3392)
															{	/* Cfa/type.scm 211 */
																BgL_testz00_7135 = BgL__ortest_1169z00_3392;
															}
														else
															{	/* Cfa/type.scm 212 */
																bool_t BgL__ortest_1170z00_3393;

																{	/* Cfa/type.scm 212 */
																	bool_t BgL__ortest_1171z00_3396;

																	BgL__ortest_1171z00_3396 =
																		(
																		((obj_t) BgL_vtypez00_3389) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1171z00_3396)
																		{	/* Cfa/type.scm 212 */
																			BgL__ortest_1170z00_3393 =
																				BgL__ortest_1171z00_3396;
																		}
																	else
																		{	/* Cfa/type.scm 212 */
																			BgL__ortest_1170z00_3393 =
																				(
																				((obj_t) BgL_vtypez00_3389) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_1170z00_3393)
																	{	/* Cfa/type.scm 212 */
																		BgL_testz00_7135 = BgL__ortest_1170z00_3393;
																	}
																else
																	{	/* Cfa/type.scm 213 */
																		bool_t BgL_testz00_7162;

																		{	/* Cfa/type.scm 213 */
																			bool_t BgL_res3611z00_5920;

																			{	/* Cfa/type.scm 213 */
																				obj_t BgL_objz00_5919;

																				BgL_objz00_5919 =
																					((obj_t) BgL_vtypez00_3389);
																				BgL_res3611z00_5920 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_5919,
																					BGl_tclassz00zzobject_classz00);
																			}
																			BgL_testz00_7162 = BgL_res3611z00_5920;
																		}
																		if (BgL_testz00_7162)
																			{	/* Cfa/type.scm 213 */
																				bool_t BgL_testz00_7165;

																				{	/* Cfa/type.scm 213 */
																					bool_t BgL_res3612z00_5922;

																					{	/* Cfa/type.scm 213 */
																						obj_t BgL_objz00_5921;

																						BgL_objz00_5921 =
																							((obj_t) BgL_ntypez00_3388);
																						BgL_res3612z00_5922 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_objz00_5921,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_7165 =
																						BgL_res3612z00_5922;
																				}
																				if (BgL_testz00_7165)
																					{	/* Cfa/type.scm 213 */
																						BgL_testz00_7135 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_3389,
																							BgL_ntypez00_3388);
																					}
																				else
																					{	/* Cfa/type.scm 213 */
																						BgL_testz00_7135 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 213 */
																				BgL_testz00_7135 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_7135)
							{	/* Cfa/type.scm 218 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3366)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_3366))->
														BgL_variablez00)))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 218 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3366);
				}
			}
		}
	}



/* &type-node!-kwote3123 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote3123z70zzcfa_typez00(obj_t
		BgL_envz00_6192, BgL_kwotez00_bglt BgL_nodez00_6193)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 198 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3358;

				BgL_nodez00_3358 = BgL_nodez00_6193;
				{	/* Cfa/type.scm 200 */
					bool_t BgL_testz00_7174;

					{	/* Cfa/type.scm 200 */
						BgL_typez00_bglt BgL_arg3252z00_3364;

						BgL_arg3252z00_3364 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3358)))->BgL_typez00);
						BgL_testz00_7174 =
							(((obj_t) BgL_arg3252z00_3364) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7174)
						{
							BgL_typez00_bglt BgL_auxz00_7179;

							{	/* Cfa/type.scm 201 */
								obj_t BgL_arg3251z00_3363;

								BgL_arg3251z00_3363 =
									(((BgL_kwotez00_bglt) CREF(BgL_nodez00_3358))->BgL_valuez00);
								BgL_auxz00_7179 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg3251z00_3363);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3358)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7179), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 200 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3358);
			}
		}
	}



/* &type-node!-atom3121 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom3121z70zzcfa_typez00(obj_t
		BgL_envz00_6194, BgL_atomz00_bglt BgL_nodez00_6195)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 192 */
			return ((BgL_nodez00_bglt) BgL_nodez00_6195);
		}
	}



/* &type-variable!-inter3117 */
	obj_t BGl_z62typezd2variablez12zd2inter3117z70zzcfa_typez00(obj_t
		BgL_envz00_6196, BgL_sfunz00_bglt BgL_valuez00_6197,
		obj_t BgL_variablez00_6198)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 155 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit3115 */
	obj_t BGl_z62typezd2variablez12zd2sexit3115z70zzcfa_typez00(obj_t
		BgL_envz00_6199, BgL_sexitz00_bglt BgL_valuez00_6200,
		obj_t BgL_variablez00_6201)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 145 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/3113 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf23113z82zzcfa_typez00(obj_t
		BgL_envz00_6202, BgL_cvarz00_bglt BgL_valuez00_6203,
		obj_t BgL_variablez00_6204)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 138 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3336;
				obj_t BgL_variablez00_3337;

				BgL_valuez00_3336 = BgL_valuez00_6203;
				BgL_variablez00_3337 = BgL_variablez00_6204;
				{	/* Cfa/type.scm 139 */
					obj_t BgL_arg3248z00_5917;

					{	/* Cfa/type.scm 139 */
						BgL_approxz00_bglt BgL_arg3249z00_5918;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7188;

							{
								obj_t BgL_auxz00_7189;

								{	/* Cfa/type.scm 139 */
									BgL_objectz00_bglt BgL_auxz00_7190;

									BgL_auxz00_7190 = ((BgL_objectz00_bglt) BgL_valuez00_3336);
									BgL_auxz00_7189 = BGL_OBJECT_WIDENING(BgL_auxz00_7190);
								}
								BgL_auxz00_7188 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7189);
							}
							BgL_arg3249z00_5918 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_7188))->
								BgL_approxz00);
						}
						BgL_arg3248z00_5917 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3249z00_5918,
							((obj_t) BgL_valuez00_3336));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3337),
						((BgL_typez00_bglt) BgL_arg3248z00_5917));
				}
			}
		}
	}



/* &type-variable!-scnst3111 */
	obj_t BGl_z62typezd2variablez12zd2scnst3111z70zzcfa_typez00(obj_t
		BgL_envz00_6205, BgL_scnstz00_bglt BgL_valuez00_6206,
		obj_t BgL_variablez00_6207)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 132 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/3109 */
	obj_t BGl_z62typezd2variablez12zd2svarzf23109z82zzcfa_typez00(obj_t
		BgL_envz00_6208, BgL_svarz00_bglt BgL_valuez00_6209,
		obj_t BgL_variablez00_6210)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 125 */
			{
				BgL_svarz00_bglt BgL_valuez00_3323;
				obj_t BgL_variablez00_3324;

				BgL_valuez00_3323 = BgL_valuez00_6209;
				BgL_variablez00_3324 = BgL_variablez00_6210;
				{	/* Cfa/type.scm 126 */
					obj_t BgL_arg3246z00_5914;

					{	/* Cfa/type.scm 126 */
						BgL_approxz00_bglt BgL_arg3247z00_5915;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_7201;

							{
								obj_t BgL_auxz00_7202;

								{	/* Cfa/type.scm 126 */
									BgL_objectz00_bglt BgL_auxz00_7203;

									BgL_auxz00_7203 = ((BgL_objectz00_bglt) BgL_valuez00_3323);
									BgL_auxz00_7202 = BGL_OBJECT_WIDENING(BgL_auxz00_7203);
								}
								BgL_auxz00_7201 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7202);
							}
							BgL_arg3247z00_5915 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_7201))->
								BgL_approxz00);
						}
						BgL_arg3246z00_5914 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3247z00_5915,
							((obj_t) BgL_valuez00_3323));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3324),
						((BgL_typez00_bglt) BgL_arg3246z00_5914));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 533335138),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3684z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
