/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static BgL_nodez00_bglt BGl_z62coercez12zd2var1934za2zzcoerce_coercez00(obj_t,
		BgL_varz00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional1965za2zzcoerce_coercez00(obj_t,
		BgL_conditionalz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength1958za2zzcoerce_coercez00(obj_t,
		BgL_vlengthz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1977za2zzcoerce_coercez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail1967za2zzcoerce_coercez00(obj_t, BgL_failz00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2widening1942za2zzcoerce_coercez00(obj_t,
		BgL_wideningz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence1938za2zzcoerce_coercez00(obj_t,
		BgL_sequencez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1975za2zzcoerce_coercez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref1953za2zzcoerce_coercez00(obj_t, BgL_vrefz00_bglt,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc1951za2zzcoerce_coercez00(obj_t,
		BgL_vallocz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref1981z70zzcoerce_coercez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield1945za2zzcoerce_coercez00(obj_t,
		BgL_getfieldz00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2select1969za2zzcoerce_coercez00(obj_t,
		BgL_selectz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern1940za2zzcoerce_coercez00(obj_t,
		BgL_externz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield1947za2zzcoerce_coercez00(obj_t,
		BgL_setfieldz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz121955zb0zzcoerce_coercez00(obj_t,
		BgL_vsetz12z12_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast1961za2zzcoerce_coercez00(obj_t, BgL_castz00_bglt,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box1979z70zzcoerce_coercez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121983z62zzcoerce_coercez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq1963za2zzcoerce_coercez00(obj_t, BgL_setqz00_bglt,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun1971z70zzcoerce_coercez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62coercez121926z70zzcoerce_coercez00(obj_t,
		BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote1932za2zzcoerce_coercez00(obj_t, BgL_kwotez00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var1973z70zzcoerce_coercez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure1936za2zzcoerce_coercez00(obj_t,
		BgL_closurez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62coercez12zd2new1949za2zzcoerce_coercez00(obj_t,
		BgL_newz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom1930za2zzcoerce_coercez00(obj_t, BgL_atomz00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71219262452z00,
		BGl_z62coercez121926z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a2453za7,
		BGl_z62coercez12zd2atom1930za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k2454za7,
		BGl_z62coercez12zd2kwote1932za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2455za7,
		BGl_z62coercez12zd2var1934za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2456za7,
		BGl_z62coercez12zd2closure1936za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2457za7,
		BGl_z62coercez12zd2sequence1938za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e2458za7,
		BGl_z62coercez12zd2extern1940za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2w2459za7,
		BGl_z62coercez12zd2widening1942za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g2460za7,
		BGl_z62coercez12zd2getfield1945za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2461za7,
		BGl_z62coercez12zd2setfield1947za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n2462za7,
		BGl_z62coercez12zd2new1949za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2463za7,
		BGl_z62coercez12zd2valloc1951za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2464za7,
		BGl_z62coercez12zd2vref1953za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2465za7,
		BGl_z62coercez12zd2vsetz121955zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2466za7,
		BGl_z62coercez12zd2vlength1958za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2467za7,
		BGl_z62coercez12zd2cast1961za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2468za7,
		BGl_z62coercez12zd2setq1963za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2469za7,
		BGl_z62coercez12zd2conditional1965za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f2470za7,
		BGl_z62coercez12zd2fail1967za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2471za7,
		BGl_z62coercez12zd2select1969za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2472za7,
		BGl_z62coercez12zd2letzd2fun1971z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2473za7,
		BGl_z62coercez12zd2letzd2var1973z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2474za7,
		BGl_z62coercez12zd2setzd2exzd2it1975za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j2475za7,
		BGl_z62coercez12zd2jumpzd2exzd2it1977za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m2476za7,
		BGl_z62coercez12zd2makezd2box1979z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2477za7,
		BGl_z62coercez12zd2boxzd2ref1981z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2478za7,
		BGl_z62coercez12zd2boxzd2setz121983z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func2479z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2412z00zzcoerce_coercez00,
		BgL_bgl_string2412za700za7za7c2480za7, "coerce!1926", 11);
	      DEFINE_STRING(BGl_string2413z00zzcoerce_coercez00,
		BgL_bgl_string2413za700za7za7c2481za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2415z00zzcoerce_coercez00,
		BgL_bgl_string2415za700za7za7c2482za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string2441z00zzcoerce_coercez00,
		BgL_bgl_string2441za700za7za7c2483za7, " gtype=", 7);
	      DEFINE_STRING(BGl_string2442z00zzcoerce_coercez00,
		BgL_bgl_string2442za700za7za7c2484za7, " ntype=", 7);
	      DEFINE_STRING(BGl_string2443z00zzcoerce_coercez00,
		BgL_bgl_string2443za700za7za7c2485za7, "let-fun to=", 11);
	      DEFINE_STRING(BGl_string2444z00zzcoerce_coercez00,
		BgL_bgl_string2444za700za7za7c2486za7, ":", 1);
	      DEFINE_STRING(BGl_string2445z00zzcoerce_coercez00,
		BgL_bgl_string2445za700za7za7c2487za7, ",", 1);
	      DEFINE_STRING(BGl_string2446z00zzcoerce_coercez00,
		BgL_bgl_string2446za700za7za7c2488za7, "Coerce/coerce.scm", 17);
	      DEFINE_STRING(BGl_string2447z00zzcoerce_coercez00,
		BgL_bgl_string2447za700za7za7c2489za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2448z00zzcoerce_coercez00,
		BgL_bgl_string2448za700za7za7c2490za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string2449z00zzcoerce_coercez00,
		BgL_bgl_string2449za700za7za7c2491za7, "false true coerce!1926 ", 23);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za72492z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_3304, char *BgL_fromz00_3305)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					BGl_toplevelzd2initzd2zzcoerce_coercez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3292;

				BgL_cportz00_3292 =
					bgl_open_input_string(BGl_string2449z00zzcoerce_coercez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3293;

					BgL_iz00_3293 = ((long) 2);
				BgL_loopz00_3294:
					if ((BgL_iz00_3293 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg2451z00_3296;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3298;

										BgL_locationz00_3298 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg2451z00_3296 =
												BGl_readz00zz__readerz00(BgL_cportz00_3292,
												BgL_locationz00_3298);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_auxz00_3330;

									BgL_auxz00_3330 = (int) (BgL_iz00_3293);
									CNST_TABLE_SET(BgL_auxz00_3330, BgL_arg2451z00_3296);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3299;

								BgL_auxz00_3299 = (int) ((BgL_iz00_3293 - ((long) 1)));
								{
									long BgL_iz00_3335;

									BgL_iz00_3335 = (long) (BgL_auxz00_3299);
									BgL_iz00_3293 = BgL_iz00_3335;
									goto BgL_loopz00_3294;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			BGl_enterzd2functionzd2zztools_errorz00(
				(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_idz00));
			{	/* Coerce/coerce.scm 48 */
				BgL_valuez00_bglt BgL_funz00_1442;

				BgL_funz00_1442 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_valuez00);
				{	/* Coerce/coerce.scm 48 */
					obj_t BgL_bodyz00_1443;

					BgL_bodyz00_1443 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1442)))->BgL_bodyz00);
					{	/* Coerce/coerce.scm 49 */
						BgL_typez00_bglt BgL_tresz00_1444;

						BgL_tresz00_1444 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_typez00);
						{	/* Coerce/coerce.scm 50 */
							obj_t BgL_cloz00_1445;

							BgL_cloz00_1445 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_funz00_1442)))->
								BgL_thezd2closurezd2globalz00);
							{	/* Coerce/coerce.scm 51 */
								bool_t BgL_typezd2safetyzd2enforcedz00_1446;

								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_testz00_3345;

									if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3345 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3345 = ((bool_t) 1);
										}
									if (BgL_testz00_3345)
										{	/* Coerce/coerce.scm 53 */
											bool_t BgL_testz00_3348;

											{	/* Coerce/coerce.scm 53 */
												bool_t BgL_res2352z00_2814;

												{	/* Coerce/coerce.scm 53 */
													obj_t BgL_objz00_2813;

													BgL_objz00_2813 = ((obj_t) BgL_variablez00_3);
													BgL_res2352z00_2814 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2813,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_3348 = BgL_res2352z00_2814;
											}
											if (BgL_testz00_3348)
												{	/* Coerce/coerce.scm 53 */
													if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1445,
															BGl_globalz00zzast_varz00))
														{	/* Coerce/coerce.scm 54 */
															if (
																(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt) BgL_cloz00_1445)))->
																	BgL_evaluablezf3zf3))
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1446 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_cloz00_1445))))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1446 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 54 */
															BgL_typezd2safetyzd2enforcedz00_1446 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 53 */
													BgL_typezd2safetyzd2enforcedz00_1446 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_typezd2safetyzd2enforcedz00_1446 = ((bool_t) 0);
										}
								}
								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_typezd2safezd2_1447;

									if (BgL_typezd2safezd2_4)
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_1447 = BgL_typezd2safezd2_4;
										}
									else
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_1447 =
												BgL_typezd2safetyzd2enforcedz00_1446;
										}
									{	/* Coerce/coerce.scm 57 */

										{	/* Coerce/coerce.scm 58 */
											bool_t BgL_testz00_3360;

											{	/* Coerce/coerce.scm 58 */
												bool_t BgL_res2356z00_2824;

												{	/* Coerce/coerce.scm 58 */
													obj_t BgL_objz00_2823;

													BgL_objz00_2823 = ((obj_t) BgL_variablez00_3);
													BgL_res2356z00_2824 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2823,
														BGl_globalz00zzast_varz00);
												}
												BgL_testz00_3360 = BgL_res2356z00_2824;
											}
											if (BgL_testz00_3360)
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
											else
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
										}
										{	/* Coerce/coerce.scm 66 */
											obj_t BgL_notifyz00_1449;

											BgL_notifyz00_1449 =
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
											if ((((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
													BgL_userzf3zf3))
												{	/* Coerce/coerce.scm 69 */
													bool_t BgL_testz00_3365;

													{	/* Coerce/coerce.scm 69 */
														obj_t BgL_arg1990z00_1452;

														BgL_arg1990z00_1452 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_funz00_1442)))->
															BgL_thezd2closurezd2globalz00);
														BgL_testz00_3365 =
															BGl_isazf3zf3zz__objectz00(BgL_arg1990z00_1452,
															BGl_globalz00zzast_varz00);
													}
													if (BgL_testz00_3365)
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BFALSE;
														}
													else
														{	/* Coerce/coerce.scm 69 */
															BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
																= BTRUE;
														}
												}
											else
												{	/* Coerce/coerce.scm 68 */
													BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
														BFALSE;
												}
											BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
												BgL_variablez00_3);
											BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
												((obj_t) BgL_variablez00_3);
											{	/* Coerce/coerce.scm 72 */
												BgL_nodez00_bglt BgL_arg1991z00_1453;

												BgL_arg1991z00_1453 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1443),
													((obj_t) BgL_variablez00_3), BgL_tresz00_1444,
													BgL_typezd2safezd2_1447);
												{	/* Coerce/coerce.scm 72 */
													BgL_sfunz00_bglt BgL_oz00_2832;
													obj_t BgL_vz00_2833;

													BgL_oz00_2832 = ((BgL_sfunz00_bglt) BgL_funz00_1442);
													BgL_vz00_2833 = ((obj_t) BgL_arg1991z00_1453);
													((((BgL_sfunz00_bglt) CREF(BgL_oz00_2832))->
															BgL_bodyz00) = ((obj_t) BgL_vz00_2833), BUNSPEC);
											}}
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
												BgL_notifyz00_1449;
										}
										return BGl_leavezd2functionzd2zztools_errorz00();
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_3122,
		obj_t BgL_variablez00_3123, obj_t BgL_typezd2safezd2_3124)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_3123),
				CBOOL(BgL_typezd2safezd2_3124));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc2411z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string2412z00zzcoerce_coercez00);
		}
	}



/* &coerce!1926 */
	obj_t BGl_z62coercez121926z70zzcoerce_coercez00(obj_t BgL_envz00_3126,
		BgL_nodez00_bglt BgL_nodez00_3127, obj_t BgL_callerz00_3128,
		BgL_typez00_bglt BgL_toz00_3129, obj_t BgL_safez00_3130)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2413z00zzcoerce_coercez00, ((obj_t) BgL_nodez00_3127));
		}
	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{	/* Coerce/coerce.scm 79 */
				obj_t BgL_method1928z00_1466;

				{	/* Coerce/coerce.scm 79 */
					obj_t BgL_res2365z00_2863;

					{	/* Coerce/coerce.scm 79 */
						BgL_objectz00_bglt BgL_objz00_2835;

						BgL_objz00_2835 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Coerce/coerce.scm 79 */
							long BgL_objzd2classzd2numz00_2836;

							{	/* Coerce/coerce.scm 79 */
								long BgL_res2359z00_2839;

								BgL_res2359z00_2839 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2835);
								BgL_objzd2classzd2numz00_2836 = BgL_res2359z00_2839;
							}
							{	/* Coerce/coerce.scm 79 */
								obj_t BgL_arg1812z00_2837;

								BgL_arg1812z00_2837 =
									PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
									(int) (((long) 1)));
								{	/* Coerce/coerce.scm 79 */
									obj_t BgL_arrayz00_2840;
									int BgL_offsetz00_2841;

									BgL_arrayz00_2840 = BgL_arg1812z00_2837;
									BgL_offsetz00_2841 = (int) (BgL_objzd2classzd2numz00_2836);
									{	/* Coerce/coerce.scm 79 */
										long BgL_offsetz00_2842;

										BgL_offsetz00_2842 =
											((long) (BgL_offsetz00_2841) - OBJECT_TYPE);
										{	/* Coerce/coerce.scm 79 */
											long BgL_modz00_2843;

											{	/* Coerce/coerce.scm 79 */
												int BgL_arg1814z00_2844;

												BgL_arg1814z00_2844 = (int) (((long) 16));
												{	/* Coerce/coerce.scm 79 */
													long BgL_res2362z00_2854;

													{	/* Coerce/coerce.scm 79 */
														long BgL_auxz00_3393;

														BgL_auxz00_3393 = (long) (BgL_arg1814z00_2844);
														BgL_res2362z00_2854 =
															(BgL_offsetz00_2842 / BgL_auxz00_3393);
													}
													BgL_modz00_2843 = BgL_res2362z00_2854;
											}}
											{	/* Coerce/coerce.scm 79 */
												long BgL_restz00_2845;

												{	/* Coerce/coerce.scm 79 */
													int BgL_arg1813z00_2846;

													BgL_arg1813z00_2846 = (int) (((long) 16));
													{	/* Coerce/coerce.scm 79 */
														long BgL_res2364z00_2858;

														{	/* Coerce/coerce.scm 79 */
															long BgL_auxz00_3397;

															BgL_auxz00_3397 = (long) (BgL_arg1813z00_2846);
															BgL_res2364z00_2858 =
																(BgL_offsetz00_2842 % BgL_auxz00_3397);
														}
														BgL_restz00_2845 = BgL_res2364z00_2858;
												}}
												{	/* Coerce/coerce.scm 79 */

													BgL_res2365z00_2863 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2840,
															(int) (BgL_modz00_2843)),
														(int) (BgL_restz00_2845));
					}}}}}}}}
					BgL_method1928z00_1466 = BgL_res2365z00_2863;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1928z00_1466) (BgL_method1928z00_1466,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8), BEOA));
			}
		}
	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_3131,
		obj_t BgL_nodez00_3132, obj_t BgL_callerz00_3133, obj_t BgL_toz00_3134,
		obj_t BgL_safez00_3135)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_3132), BgL_callerz00_3133,
				((BgL_typez00_bglt) BgL_toz00_3134), CBOOL(BgL_safez00_3135));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc2414z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2416z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc2417z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc2418z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2419z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc2420z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_wideningz00zzast_nodez00,
				BGl_proc2421z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc2422z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc2423z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc2424z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2425z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2426z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2427z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2428z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc2429z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc2430z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2431z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc2432z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00,
				BGl_proc2433z00zzcoerce_coercez00, BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2434z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2435z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2436z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2437z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2438z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2439z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2440z00zzcoerce_coercez00,
				BGl_string2415z00zzcoerce_coercez00);
		}
	}



/* &coerce!-box-set!1983 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121983z62zzcoerce_coercez00(obj_t
		BgL_envz00_3162, BgL_boxzd2setz12zc0_bglt BgL_nodez00_3163,
		obj_t BgL_callerz00_3164, obj_t BgL_toz00_3165, obj_t BgL_safez00_3166)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 493 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1995;
				obj_t BgL_callerz00_1996;
				obj_t BgL_toz00_1997;
				obj_t BgL_safez00_1998;

				BgL_nodez00_1995 = BgL_nodez00_3163;
				BgL_callerz00_1996 = BgL_callerz00_3164;
				BgL_toz00_1997 = BgL_toz00_3165;
				BgL_safez00_1998 = BgL_safez00_3166;
				{	/* Coerce/coerce.scm 495 */
					BgL_variablez00_bglt BgL_arg2286z00_2002;

					BgL_arg2286z00_2002 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1995))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Coerce/coerce.scm 495 */
						BgL_localz00_bglt BgL_oz00_3101;
						BgL_typez00_bglt BgL_vz00_3102;

						BgL_oz00_3101 = ((BgL_localz00_bglt) BgL_arg2286z00_2002);
						BgL_vz00_3102 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_oz00_3101)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3102), BUNSPEC);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3451;

					{	/* Coerce/coerce.scm 496 */
						BgL_nodez00_bglt BgL_arg2288z00_2004;

						BgL_arg2288z00_2004 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1995))->
							BgL_valuez00);
						BgL_auxz00_3451 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2288z00_2004,
							BgL_callerz00_1996,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1998));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1995))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3451), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1995),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1997), CBOOL(BgL_safez00_1998));
			}
		}
	}



/* &coerce!-box-ref1981 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref1981z70zzcoerce_coercez00(obj_t
		BgL_envz00_3167, BgL_boxzd2refzd2_bglt BgL_nodez00_3168,
		obj_t BgL_callerz00_3169, obj_t BgL_toz00_3170, obj_t BgL_safez00_3171)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 486 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1987;
				obj_t BgL_callerz00_1988;
				obj_t BgL_toz00_1989;
				obj_t BgL_safez00_1990;

				BgL_nodez00_1987 = BgL_nodez00_3168;
				BgL_callerz00_1988 = BgL_callerz00_3169;
				BgL_toz00_1989 = BgL_toz00_3170;
				BgL_safez00_1990 = BgL_safez00_3171;
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1987),
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1989), CBOOL(BgL_safez00_1990));
			}
		}
	}



/* &coerce!-make-box1979 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box1979z70zzcoerce_coercez00(obj_t
		BgL_envz00_3172, BgL_makezd2boxzd2_bglt BgL_nodez00_3173,
		obj_t BgL_callerz00_3174, obj_t BgL_toz00_3175, obj_t BgL_safez00_3176)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 478 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1978;
				obj_t BgL_callerz00_1979;
				obj_t BgL_toz00_1980;
				obj_t BgL_safez00_1981;

				BgL_nodez00_1978 = BgL_nodez00_3173;
				BgL_callerz00_1979 = BgL_callerz00_3174;
				BgL_toz00_1980 = BgL_toz00_3175;
				BgL_safez00_1981 = BgL_safez00_3176;
				{
					BgL_nodez00_bglt BgL_auxz00_3467;

					{	/* Coerce/coerce.scm 479 */
						BgL_nodez00_bglt BgL_arg2285z00_3097;

						BgL_arg2285z00_3097 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1978))->BgL_valuez00);
						BgL_auxz00_3467 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2285z00_3097,
							BgL_callerz00_1979,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1981));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1978))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3467), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1978);
			}
		}
	}



/* &coerce!-jump-ex-it1977 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1977za2zzcoerce_coercez00(obj_t
		BgL_envz00_3177, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3178,
		obj_t BgL_callerz00_3179, obj_t BgL_toz00_3180, obj_t BgL_safez00_3181)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 469 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1965;
				obj_t BgL_callerz00_1966;
				obj_t BgL_toz00_1967;
				obj_t BgL_safez00_1968;

				BgL_nodez00_1965 = BgL_nodez00_3178;
				BgL_callerz00_1966 = BgL_callerz00_3179;
				BgL_toz00_1967 = BgL_toz00_3180;
				BgL_safez00_1968 = BgL_safez00_3181;
				{
					BgL_nodez00_bglt BgL_auxz00_3474;

					{	/* Coerce/coerce.scm 471 */
						BgL_nodez00_bglt BgL_arg2280z00_1972;

						BgL_arg2280z00_1972 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1965))->
							BgL_exitz00);
						BgL_auxz00_3474 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2280z00_1972,
							BgL_callerz00_1966,
							((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1968));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1965))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3474), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3480;

					{	/* Coerce/coerce.scm 472 */
						BgL_nodez00_bglt BgL_arg2281z00_1973;
						BgL_typez00_bglt BgL_arg2282z00_1974;

						BgL_arg2281z00_1973 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1965))->
							BgL_valuez00);
						{	/* Coerce/coerce.scm 472 */
							BgL_nodez00_bglt BgL_arg2283z00_1975;

							BgL_arg2283z00_1975 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1965))->
								BgL_valuez00);
							BgL_arg2282z00_1974 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2283z00_1975);
						}
						BgL_auxz00_3480 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2281z00_1973,
							BgL_callerz00_1966, BgL_arg2282z00_1974, CBOOL(BgL_safez00_1968));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1965))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3480), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 473 */
					BgL_typez00_bglt BgL_arg2284z00_1976;

					BgL_arg2284z00_1976 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1965)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1965), BgL_arg2284z00_1976,
						((BgL_typez00_bglt) BgL_toz00_1967), CBOOL(BgL_safez00_1968));
				}
			}
		}
	}



/* &coerce!-set-ex-it1975 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1975za2zzcoerce_coercez00(obj_t
		BgL_envz00_3182, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3183,
		obj_t BgL_callerz00_3184, obj_t BgL_toz00_3185, obj_t BgL_safez00_3186)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 459 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1953;
				obj_t BgL_callerz00_1954;
				obj_t BgL_toz00_1955;
				obj_t BgL_safez00_1956;

				BgL_nodez00_1953 = BgL_nodez00_3183;
				BgL_callerz00_1954 = BgL_callerz00_3184;
				BgL_toz00_1955 = BgL_toz00_3185;
				BgL_safez00_1956 = BgL_safez00_3186;
				{
					BgL_varz00_bglt BgL_auxz00_3493;

					{	/* Coerce/coerce.scm 461 */
						BgL_varz00_bglt BgL_arg2276z00_1960;

						BgL_arg2276z00_1960 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1953))->
							BgL_varz00);
						BgL_auxz00_3493 =
							((BgL_varz00_bglt)
							BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
									BgL_arg2276z00_1960), BgL_callerz00_1954,
								((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
								CBOOL(BgL_safez00_1956)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1953))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3493), BUNSPEC);
				}
				BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
					(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1953))->
									BgL_varz00)))->BgL_variablez00));
				{
					BgL_nodez00_bglt BgL_auxz00_3504;

					{	/* Coerce/coerce.scm 463 */
						BgL_nodez00_bglt BgL_arg2279z00_1963;

						BgL_arg2279z00_1963 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1953))->
							BgL_bodyz00);
						BgL_auxz00_3504 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2279z00_1963,
							BgL_callerz00_1954, ((BgL_typez00_bglt) BgL_toz00_1955),
							CBOOL(BgL_safez00_1956));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1953))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3504), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1953);
			}
		}
	}



/* &coerce!-let-var1973 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var1973z70zzcoerce_coercez00(obj_t
		BgL_envz00_3187, BgL_letzd2varzd2_bglt BgL_nodez00_3188,
		obj_t BgL_callerz00_3189, obj_t BgL_toz00_3190, obj_t BgL_safez00_3191)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 439 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1928;
				obj_t BgL_callerz00_1929;
				obj_t BgL_toz00_1930;
				obj_t BgL_safez00_1931;

				BgL_nodez00_1928 = BgL_nodez00_3188;
				BgL_callerz00_1929 = BgL_callerz00_3189;
				BgL_toz00_1930 = BgL_toz00_3190;
				BgL_safez00_1931 = BgL_safez00_3191;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 444 */
					obj_t BgL_g1925z00_1935;

					BgL_g1925z00_1935 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1928))->BgL_bindingsz00);
					{
						obj_t BgL_l1923z00_1937;

						BgL_l1923z00_1937 = BgL_g1925z00_1935;
					BgL_zc3anonymousza32264ze3z83_1938:
						if (PAIRP(BgL_l1923z00_1937))
							{	/* Coerce/coerce.scm 444 */
								{	/* Coerce/coerce.scm 445 */
									obj_t BgL_bindingz00_1940;

									BgL_bindingz00_1940 = CAR(BgL_l1923z00_1937);
									{	/* Coerce/coerce.scm 445 */
										obj_t BgL_arg2266z00_1941;

										BgL_arg2266z00_1941 = CAR(BgL_bindingz00_1940);
										BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
											((BgL_variablez00_bglt) BgL_arg2266z00_1941));
									}
									{	/* Coerce/coerce.scm 446 */
										BgL_nodez00_bglt BgL_arg2267z00_1942;

										{	/* Coerce/coerce.scm 446 */
											obj_t BgL_arg2268z00_1943;
											BgL_typez00_bglt BgL_arg2269z00_1944;

											BgL_arg2268z00_1943 = CDR(BgL_bindingz00_1940);
											{
												BgL_variablez00_bglt BgL_auxz00_3520;

												{
													BgL_localz00_bglt BgL_auxz00_3521;

													{	/* Coerce/coerce.scm 448 */
														obj_t BgL_pairz00_3083;

														BgL_pairz00_3083 = BgL_bindingz00_1940;
														BgL_auxz00_3521 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3083));
													}
													BgL_auxz00_3520 =
														((BgL_variablez00_bglt) BgL_auxz00_3521);
												}
												BgL_arg2269z00_1944 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3520))->
													BgL_typez00);
											}
											BgL_arg2267z00_1942 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg2268z00_1943),
												BgL_callerz00_1929, BgL_arg2269z00_1944,
												CBOOL(BgL_safez00_1931));
										}
										{	/* Coerce/coerce.scm 446 */
											obj_t BgL_pairz00_3087;
											obj_t BgL_objz00_3088;

											BgL_pairz00_3087 = BgL_bindingz00_1940;
											BgL_objz00_3088 = ((obj_t) BgL_arg2267z00_1942);
											SET_CDR(BgL_pairz00_3087, BgL_objz00_3088);
								}}}
								{
									obj_t BgL_l1923z00_3531;

									BgL_l1923z00_3531 = CDR(BgL_l1923z00_1937);
									BgL_l1923z00_1937 = BgL_l1923z00_3531;
									goto BgL_zc3anonymousza32264ze3z83_1938;
								}
							}
						else
							{	/* Coerce/coerce.scm 444 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3533;

					{	/* Coerce/coerce.scm 451 */
						BgL_nodez00_bglt BgL_arg2272z00_1948;

						BgL_arg2272z00_1948 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1928))->BgL_bodyz00);
						BgL_auxz00_3533 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2272z00_1948,
							BgL_callerz00_1929, ((BgL_typez00_bglt) BgL_toz00_1930),
							CBOOL(BgL_safez00_1931));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1928))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3533), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3539;

					{	/* Coerce/coerce.scm 452 */
						BgL_typez00_bglt BgL_arg2273z00_1949;
						BgL_typez00_bglt BgL_arg2274z00_1950;

						BgL_arg2273z00_1949 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1928))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2274z00_1950 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_1928)))->BgL_typez00);
						BgL_auxz00_3539 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2273z00_1949,
							BgL_arg2274z00_1950);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1928)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3539), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1928);
			}
		}
	}



/* &coerce!-let-fun1971 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun1971z70zzcoerce_coercez00(obj_t
		BgL_envz00_3192, BgL_letzd2funzd2_bglt BgL_nodez00_3193,
		obj_t BgL_callerz00_3194, obj_t BgL_toz00_3195, obj_t BgL_safez00_3196)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 424 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1884;
				obj_t BgL_callerz00_1885;
				obj_t BgL_toz00_1886;
				obj_t BgL_safez00_1887;

				BgL_nodez00_1884 = BgL_nodez00_3193;
				BgL_callerz00_1885 = BgL_callerz00_3194;
				BgL_toz00_1886 = BgL_toz00_3195;
				BgL_safez00_1887 = BgL_safez00_3196;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 427 */
					obj_t BgL_g1922z00_1891;

					BgL_g1922z00_1891 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->BgL_localsz00);
					{
						obj_t BgL_l1890z00_1893;

						BgL_l1890z00_1893 = BgL_g1922z00_1891;
					BgL_zc3anonymousza32232ze3z83_1894:
						if (PAIRP(BgL_l1890z00_1893))
							{	/* Coerce/coerce.scm 427 */
								{	/* Coerce/coerce.scm 427 */
									obj_t BgL_fz00_1896;

									BgL_fz00_1896 = CAR(BgL_l1890z00_1893);
									{	/* Coerce/coerce.scm 427 */
										bool_t BgL_arg2234z00_1897;

										if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
											{	/* Coerce/coerce.scm 427 */
												BgL_arg2234z00_1897 = ((bool_t) 0);
											}
										else
											{	/* Coerce/coerce.scm 427 */
												BgL_arg2234z00_1897 = ((bool_t) 1);
											}
										BGl_coercezd2functionz12zc0zzcoerce_coercez00(
											((BgL_variablez00_bglt) BgL_fz00_1896),
											BgL_arg2234z00_1897);
									}
								}
								{
									obj_t BgL_l1890z00_3558;

									BgL_l1890z00_3558 = CDR(BgL_l1890z00_1893);
									BgL_l1890z00_1893 = BgL_l1890z00_3558;
									goto BgL_zc3anonymousza32232ze3z83_1894;
								}
							}
						else
							{	/* Coerce/coerce.scm 427 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3560;

					{	/* Coerce/coerce.scm 428 */
						BgL_nodez00_bglt BgL_arg2236z00_1900;

						BgL_arg2236z00_1900 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->BgL_bodyz00);
						BgL_auxz00_3560 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2236z00_1900,
							BgL_callerz00_1885, ((BgL_typez00_bglt) BgL_toz00_1886),
							CBOOL(BgL_safez00_1887));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3560), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 429 */
					bool_t BgL_testz00_3566;

					{	/* Coerce/coerce.scm 429 */
						BgL_typez00_bglt BgL_arg2257z00_1920;
						BgL_typez00_bglt BgL_arg2258z00_1921;

						BgL_arg2257z00_1920 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2258z00_1921 =
							BGl_getzd2typezd2zztype_typeofz00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1884))->BgL_bodyz00));
						BgL_testz00_3566 =
							(((obj_t) BgL_arg2257z00_1920) == ((obj_t) BgL_arg2258z00_1921));
					}
					if (BgL_testz00_3566)
						{	/* Coerce/coerce.scm 429 */
							BFALSE;
						}
					else
						{	/* Coerce/coerce.scm 430 */
							obj_t BgL_arg2238z00_1902;
							obj_t BgL_arg2239z00_1903;
							obj_t BgL_arg2241z00_1904;
							obj_t BgL_arg2242z00_1905;

							{	/* Coerce/coerce.scm 430 */
								obj_t BgL_res2403z00_3071;

								{	/* Coerce/coerce.scm 430 */
									obj_t BgL_auxz00_3574;

									BgL_auxz00_3574 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2403z00_3071 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3574);
								}
								BgL_arg2238z00_1902 = BgL_res2403z00_3071;
							}
							BgL_arg2239z00_1903 =
								BGl_shapez00zztools_shapez00(BgL_toz00_1886);
							{	/* Coerce/coerce.scm 430 */
								BgL_typez00_bglt BgL_arg2253z00_1916;

								BgL_arg2253z00_1916 =
									(((BgL_nodez00_bglt) CREF(
											(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg2241z00_1904 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2253z00_1916));
							}
							{	/* Coerce/coerce.scm 431 */
								BgL_typez00_bglt BgL_arg2255z00_1918;

								BgL_arg2255z00_1918 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->
										BgL_bodyz00));
								BgL_arg2242z00_1905 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2255z00_1918));
							}
							{	/* Coerce/coerce.scm 430 */
								obj_t BgL_list2243z00_1906;

								{	/* Coerce/coerce.scm 430 */
									obj_t BgL_arg2244z00_1907;

									{	/* Coerce/coerce.scm 430 */
										obj_t BgL_arg2245z00_1908;

										{	/* Coerce/coerce.scm 430 */
											obj_t BgL_arg2246z00_1909;

											{	/* Coerce/coerce.scm 430 */
												obj_t BgL_arg2247z00_1910;

												{	/* Coerce/coerce.scm 430 */
													obj_t BgL_arg2248z00_1911;

													{	/* Coerce/coerce.scm 430 */
														obj_t BgL_arg2249z00_1912;

														{	/* Coerce/coerce.scm 430 */
															obj_t BgL_arg2250z00_1913;

															{	/* Coerce/coerce.scm 430 */
																obj_t BgL_arg2251z00_1914;

																{	/* Coerce/coerce.scm 430 */
																	obj_t BgL_arg2252z00_1915;

																	BgL_arg2252z00_1915 =
																		MAKE_PAIR(BgL_arg2242z00_1905, BNIL);
																	BgL_arg2251z00_1914 =
																		MAKE_PAIR
																		(BGl_string2441z00zzcoerce_coercez00,
																		BgL_arg2252z00_1915);
																}
																BgL_arg2250z00_1913 =
																	MAKE_PAIR(BgL_arg2241z00_1904,
																	BgL_arg2251z00_1914);
															}
															BgL_arg2249z00_1912 =
																MAKE_PAIR(BGl_string2442z00zzcoerce_coercez00,
																BgL_arg2250z00_1913);
														}
														BgL_arg2248z00_1911 =
															MAKE_PAIR(BgL_arg2239z00_1903,
															BgL_arg2249z00_1912);
													}
													BgL_arg2247z00_1910 =
														MAKE_PAIR(BGl_string2443z00zzcoerce_coercez00,
														BgL_arg2248z00_1911);
												}
												BgL_arg2246z00_1909 =
													MAKE_PAIR(BGl_string2444z00zzcoerce_coercez00,
													BgL_arg2247z00_1910);
											}
											BgL_arg2245z00_1908 =
												MAKE_PAIR(BINT(((long) 430)), BgL_arg2246z00_1909);
										}
										BgL_arg2244z00_1907 =
											MAKE_PAIR(BGl_string2445z00zzcoerce_coercez00,
											BgL_arg2245z00_1908);
									}
									BgL_list2243z00_1906 =
										MAKE_PAIR(BGl_string2446z00zzcoerce_coercez00,
										BgL_arg2244z00_1907);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2238z00_1902,
									BgL_list2243z00_1906);
				}}}
				{
					BgL_typez00_bglt BgL_auxz00_3598;

					{	/* Coerce/coerce.scm 432 */
						BgL_typez00_bglt BgL_arg2261z00_1924;
						BgL_typez00_bglt BgL_arg2262z00_1925;

						BgL_arg2261z00_1924 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1884))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2262z00_1925 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_1884)))->BgL_typez00);
						BgL_auxz00_3598 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2261z00_1924,
							BgL_arg2262z00_1925);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1884)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3598), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1884);
			}
		}
	}



/* &coerce!-select1969 */
	BgL_nodez00_bglt BGl_z62coercez12zd2select1969za2zzcoerce_coercez00(obj_t
		BgL_envz00_3197, BgL_selectz00_bglt BgL_nodez00_3198,
		obj_t BgL_callerz00_3199, obj_t BgL_toz00_3200, obj_t BgL_safez00_3201)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 397 */
			{
				BgL_selectz00_bglt BgL_nodez00_1856;
				obj_t BgL_callerz00_1857;
				obj_t BgL_toz00_1858;
				obj_t BgL_safez00_1859;

				BgL_nodez00_1856 = BgL_nodez00_3198;
				BgL_callerz00_1857 = BgL_callerz00_3199;
				BgL_toz00_1858 = BgL_toz00_3200;
				BgL_safez00_1859 = BgL_safez00_3201;
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1856)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_1858)), BUNSPEC);
				{	/* Coerce/coerce.scm 400 */
					obj_t BgL_clausesz00_1863;
					BgL_typez00_bglt BgL_testzd2typezd2_1864;
					BgL_typez00_bglt BgL_testzd2nodezd2typez00_1865;

					BgL_clausesz00_1863 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1856))->BgL_clausesz00);
					BgL_testzd2typezd2_1864 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1856))->BgL_itemzd2typezd2);
					BgL_testzd2nodezd2typez00_1865 =
						BGl_getzd2typezd2zztype_typeofz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1856))->BgL_testz00));
					if (BGl_coercerzd2existszf3z21zztype_coercionz00
						(BgL_testzd2nodezd2typez00_1865, BgL_testzd2typezd2_1864))
						{	/* Coerce/coerce.scm 410 */
							((((BgL_selectz00_bglt) CREF(BgL_nodez00_1856))->BgL_testz00) =
								((BgL_nodez00_bglt)
									BGl_coercez12z12zzcoerce_coercez00((((BgL_selectz00_bglt)
												CREF(BgL_nodez00_1856))->BgL_testz00),
										BgL_callerz00_1857, BgL_testzd2typezd2_1864,
										CBOOL(BgL_safez00_1859))), BUNSPEC);
							{
								obj_t BgL_l1888z00_1870;

								BgL_l1888z00_1870 = BgL_clausesz00_1863;
							BgL_zc3anonymousza32222ze3z83_1871:
								if (PAIRP(BgL_l1888z00_1870))
									{	/* Coerce/coerce.scm 413 */
										{	/* Coerce/coerce.scm 414 */
											obj_t BgL_clausez00_1873;

											BgL_clausez00_1873 = CAR(BgL_l1888z00_1870);
											{	/* Coerce/coerce.scm 415 */
												BgL_nodez00_bglt BgL_arg2224z00_1874;

												{	/* Coerce/coerce.scm 415 */
													obj_t BgL_arg2225z00_1875;

													BgL_arg2225z00_1875 = CDR(BgL_clausez00_1873);
													BgL_arg2224z00_1874 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg2225z00_1875),
														BgL_callerz00_1857,
														((BgL_typez00_bglt) BgL_toz00_1858),
														CBOOL(BgL_safez00_1859));
												}
												{	/* Coerce/coerce.scm 414 */
													obj_t BgL_pairz00_3057;
													obj_t BgL_objz00_3058;

													BgL_pairz00_3057 = BgL_clausez00_1873;
													BgL_objz00_3058 = ((obj_t) BgL_arg2224z00_1874);
													SET_CDR(BgL_pairz00_3057, BgL_objz00_3058);
												}
											}
										}
										{
											obj_t BgL_l1888z00_3631;

											BgL_l1888z00_3631 = CDR(BgL_l1888z00_1870);
											BgL_l1888z00_1870 = BgL_l1888z00_3631;
											goto BgL_zc3anonymousza32222ze3z83_1871;
										}
									}
								else
									{	/* Coerce/coerce.scm 413 */
										((bool_t) 1);
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1856);
						}
					else
						{	/* Coerce/coerce.scm 418 */
							obj_t BgL_arg2227z00_1878;

							{	/* Coerce/coerce.scm 418 */
								obj_t BgL_arg2228z00_1879;
								obj_t BgL_arg2229z00_1880;
								BgL_nodez00_bglt BgL_arg2230z00_1881;

								BgL_arg2228z00_1879 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1856)))->BgL_locz00);
								BgL_arg2229z00_1880 =
									(((BgL_typez00_bglt) CREF(BgL_testzd2typezd2_1864))->
									BgL_idz00);
								BgL_arg2230z00_1881 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1856))->BgL_testz00);
								BgL_arg2227z00_1878 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_arg2228z00_1879, BgL_arg2229z00_1880,
									BgL_arg2230z00_1881);
							}
							return
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2227z00_1878), BgL_callerz00_1857,
								((BgL_typez00_bglt) BgL_toz00_1858), CBOOL(BgL_safez00_1859));
						}
				}
			}
		}
	}



/* &coerce!-fail1967 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail1967za2zzcoerce_coercez00(obj_t
		BgL_envz00_3202, BgL_failz00_bglt BgL_nodez00_3203,
		obj_t BgL_callerz00_3204, obj_t BgL_toz00_3205, obj_t BgL_safez00_3206)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 387 */
			{
				BgL_failz00_bglt BgL_nodez00_1845;
				obj_t BgL_callerz00_1846;
				obj_t BgL_toz00_1847;
				obj_t BgL_safez00_1848;

				BgL_nodez00_1845 = BgL_nodez00_3203;
				BgL_callerz00_1846 = BgL_callerz00_3204;
				BgL_toz00_1847 = BgL_toz00_3205;
				BgL_safez00_1848 = BgL_safez00_3206;
				{
					BgL_nodez00_bglt BgL_auxz00_3643;

					{	/* Coerce/coerce.scm 389 */
						BgL_nodez00_bglt BgL_arg2215z00_1852;

						BgL_arg2215z00_1852 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_procz00);
						BgL_auxz00_3643 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2215z00_1852,
							BgL_callerz00_1846,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1848));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3643), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3649;

					{	/* Coerce/coerce.scm 390 */
						BgL_nodez00_bglt BgL_arg2216z00_1853;

						BgL_arg2216z00_1853 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_msgz00);
						BgL_auxz00_3649 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2216z00_1853,
							BgL_callerz00_1846,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1848));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3649), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3655;

					{	/* Coerce/coerce.scm 391 */
						BgL_nodez00_bglt BgL_arg2218z00_1854;

						BgL_arg2218z00_1854 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_objz00);
						BgL_auxz00_3655 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2218z00_1854,
							BgL_callerz00_1846,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1848));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1845))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3655), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1845),
					((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1847), CBOOL(BgL_safez00_1848));
			}
		}
	}



/* &coerce!-conditional1965 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional1965za2zzcoerce_coercez00(obj_t
		BgL_envz00_3207, BgL_conditionalz00_bglt BgL_nodez00_3208,
		obj_t BgL_callerz00_3209, obj_t BgL_toz00_3210, obj_t BgL_safez00_3211)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 276 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1717;
				obj_t BgL_callerz00_1718;
				obj_t BgL_toz00_1719;
				obj_t BgL_safez00_1720;

				BgL_nodez00_1717 = BgL_nodez00_3208;
				BgL_callerz00_1718 = BgL_callerz00_3209;
				BgL_toz00_1719 = BgL_toz00_3210;
				BgL_safez00_1720 = BgL_safez00_3211;
				{
					BgL_appz00_bglt BgL_nodez00_1737;
					BgL_letzd2varzd2_bglt BgL_nodez00_1757;
					obj_t BgL_nodez00_1810;
					obj_t BgL_typecz00_1811;
					obj_t BgL_nodez00_1833;

					{
						BgL_nodez00_bglt BgL_auxz00_3666;

						{	/* Coerce/coerce.scm 372 */
							BgL_nodez00_bglt BgL_arg2116z00_1728;

							BgL_arg2116z00_1728 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
								BgL_testz00);
							BgL_auxz00_3666 =
								BGl_coercez12z12zzcoerce_coercez00(BgL_arg2116z00_1728,
								BgL_callerz00_1718,
								((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
								CBOOL(BgL_safez00_1720));
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3666), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 373 */
						obj_t BgL_casezd2valuezd2_1729;

						{	/* Coerce/coerce.scm 373 */
							BgL_nodez00_bglt BgL_arg2125z00_1736;

							BgL_arg2125z00_1736 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
								BgL_testz00);
							BgL_nodez00_1833 = ((obj_t) BgL_arg2125z00_1736);
						BgL_zc3anonymousza32212ze3z83_1834:
							{	/* Coerce/coerce.scm 361 */
								obj_t BgL_g1132z00_1835;

								BgL_g1132z00_1835 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_1833));
								if (CBOOL(BgL_g1132z00_1835))
									{	/* Coerce/coerce.scm 361 */
										BgL_nodez00_1810 = BgL_nodez00_1833;
										BgL_typecz00_1811 = BgL_g1132z00_1835;
										{	/* Coerce/coerce.scm 342 */
											BgL_appz00_bglt BgL_i1128z00_1813;

											BgL_i1128z00_1813 = ((BgL_appz00_bglt) BgL_nodez00_1810);
											{	/* Coerce/coerce.scm 343 */
												obj_t BgL_typevz00_1814;

												{	/* Coerce/coerce.scm 344 */
													bool_t BgL_testz00_3678;

													{	/* Coerce/coerce.scm 344 */
														obj_t BgL_arg2210z00_1831;

														BgL_arg2210z00_1831 =
															CAR(
															(((BgL_appz00_bglt) CREF(BgL_i1128z00_1813))->
																BgL_argsz00));
														BgL_testz00_3678 =
															BGl_isazf3zf3zz__objectz00(BgL_arg2210z00_1831,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_3678)
														{	/* Coerce/coerce.scm 345 */
															obj_t BgL_arg2199z00_1819;

															BgL_arg2199z00_1819 =
																CAR(
																(((BgL_appz00_bglt) CREF(BgL_i1128z00_1813))->
																	BgL_argsz00));
															BgL_typevz00_1814 =
																((obj_t)
																BGl_getzd2typezd2zztype_typeofz00((
																		(BgL_nodez00_bglt) BgL_arg2199z00_1819)));
														}
													else
														{	/* Coerce/coerce.scm 346 */
															bool_t BgL_testz00_3687;

															{	/* Coerce/coerce.scm 346 */
																obj_t BgL_arg2208z00_1829;

																BgL_arg2208z00_1829 =
																	CAR(
																	(((BgL_appz00_bglt) CREF(BgL_i1128z00_1813))->
																		BgL_argsz00));
																BgL_testz00_3687 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2208z00_1829,
																	BGl_castz00zzast_nodez00);
															}
															if (BgL_testz00_3687)
																{	/* Coerce/coerce.scm 347 */
																	BgL_castz00_bglt BgL_i1129z00_1822;

																	{	/* Coerce/coerce.scm 347 */
																		obj_t BgL_pairz00_3032;

																		BgL_pairz00_3032 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_i1128z00_1813))->BgL_argsz00);
																		BgL_i1129z00_1822 =
																			((BgL_castz00_bglt)
																			CAR(BgL_pairz00_3032));
																	}
																	{	/* Coerce/coerce.scm 348 */
																		bool_t BgL_testz00_3694;

																		{	/* Coerce/coerce.scm 348 */
																			bool_t BgL_testz00_3695;

																			{	/* Coerce/coerce.scm 348 */
																				BgL_typez00_bglt BgL_arg2206z00_1827;

																				BgL_arg2206z00_1827 =
																					(((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1129z00_1822)))->
																					BgL_typez00);
																				BgL_testz00_3695 =
																					(((obj_t) BgL_arg2206z00_1827) ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_testz00_3695)
																				{	/* Coerce/coerce.scm 348 */
																					BgL_nodez00_bglt BgL_arg2205z00_1826;

																					BgL_arg2205z00_1826 =
																						(((BgL_castz00_bglt)
																							CREF(BgL_i1129z00_1822))->
																						BgL_argz00);
																					{	/* Coerce/coerce.scm 348 */
																						bool_t BgL_res2392z00_3034;

																						{	/* Coerce/coerce.scm 348 */
																							obj_t BgL_objz00_3033;

																							BgL_objz00_3033 =
																								((obj_t) BgL_arg2205z00_1826);
																							BgL_res2392z00_3034 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_3033,
																								BGl_varz00zzast_nodez00);
																						}
																						BgL_testz00_3694 =
																							BgL_res2392z00_3034;
																					}
																				}
																			else
																				{	/* Coerce/coerce.scm 348 */
																					BgL_testz00_3694 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3694)
																			{	/* Coerce/coerce.scm 349 */
																				BgL_nodez00_bglt BgL_arg2203z00_1824;

																				BgL_arg2203z00_1824 =
																					(((BgL_castz00_bglt)
																						CREF(BgL_i1129z00_1822))->
																					BgL_argz00);
																				BgL_typevz00_1814 =
																					((obj_t)
																					BGl_getzd2typezd2zztype_typeofz00
																					(BgL_arg2203z00_1824));
																			}
																		else
																			{	/* Coerce/coerce.scm 348 */
																				BgL_typevz00_1814 = BFALSE;
																			}
																	}
																}
															else
																{	/* Coerce/coerce.scm 346 */
																	BgL_typevz00_1814 = BFALSE;
																}
														}
												}
												if (BGl_isazf3zf3zz__objectz00(BgL_typevz00_1814,
														BGl_typez00zztype_typez00))
													{	/* Coerce/coerce.scm 351 */
														if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
																((BgL_typez00_bglt) BgL_typecz00_1811),
																((BgL_typez00_bglt) BgL_typevz00_1814)))
															{	/* Coerce/coerce.scm 353 */
																BgL_casezd2valuezd2_1729 =
																	CNST_TABLE_REF(((long) 1));
															}
														else
															{	/* Coerce/coerce.scm 353 */
																if (BGl_typezd2disjointzf3z21zztype_miscz00(
																		((BgL_typez00_bglt) BgL_typecz00_1811),
																		((BgL_typez00_bglt) BgL_typevz00_1814)))
																	{	/* Coerce/coerce.scm 355 */
																		BgL_casezd2valuezd2_1729 =
																			CNST_TABLE_REF(((long) 2));
																	}
																else
																	{	/* Coerce/coerce.scm 355 */
																		BgL_casezd2valuezd2_1729 = BFALSE;
																	}
															}
													}
												else
													{	/* Coerce/coerce.scm 351 */
														BgL_casezd2valuezd2_1729 = BFALSE;
													}
											}
										}
									}
								else
									{	/* Coerce/coerce.scm 361 */
										if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1833,
												BGl_appz00zzast_nodez00))
											{	/* Coerce/coerce.scm 365 */
												BgL_nodez00_1737 = ((BgL_appz00_bglt) BgL_nodez00_1833);
												{	/* Coerce/coerce.scm 279 */
													bool_t BgL_testz00_3720;

													{	/* Coerce/coerce.scm 279 */
														obj_t BgL_auxz00_3721;

														BgL_auxz00_3721 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_1737))->
															BgL_argsz00);
														BgL_testz00_3720 = PAIRP(BgL_auxz00_3721);
													}
													if (BgL_testz00_3720)
														{	/* Coerce/coerce.scm 279 */
															if (NULLP(CDR(
																		(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_1737))->BgL_argsz00))))
																{	/* Coerce/coerce.scm 281 */
																	bool_t BgL_testz00_3728;

																	{	/* Coerce/coerce.scm 281 */
																		bool_t BgL_testz00_3729;

																		{	/* Coerce/coerce.scm 281 */
																			obj_t BgL_arg2135z00_1752;

																			BgL_arg2135z00_1752 =
																				CAR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_1737))->
																					BgL_argsz00));
																			BgL_testz00_3729 =
																				BGl_sidezd2effectzf3z21zzeffect_effectz00
																				(((BgL_nodez00_bglt)
																					BgL_arg2135z00_1752));
																		}
																		if (BgL_testz00_3729)
																			{	/* Coerce/coerce.scm 281 */
																				BgL_testz00_3728 = ((bool_t) 0);
																			}
																		else
																			{	/* Coerce/coerce.scm 281 */
																				BgL_testz00_3728 = ((bool_t) 1);
																			}
																	}
																	if (BgL_testz00_3728)
																		{	/* Coerce/coerce.scm 282 */
																			obj_t BgL_typecz00_1743;

																			BgL_typecz00_1743 =
																				BGl_appzd2predicatezd2ofz00zztype_miscz00
																				(BgL_nodez00_1737);
																			{	/* Coerce/coerce.scm 282 */
																				BgL_typez00_bglt BgL_typevz00_1744;

																				{	/* Coerce/coerce.scm 283 */
																					obj_t BgL_arg2132z00_1749;

																					BgL_arg2132z00_1749 =
																						CAR(
																						(((BgL_appz00_bglt)
																								CREF(BgL_nodez00_1737))->
																							BgL_argsz00));
																					BgL_typevz00_1744 =
																						BGl_getzd2typezd2zztype_typeofz00((
																							(BgL_nodez00_bglt)
																							BgL_arg2132z00_1749));
																				}
																				{	/* Coerce/coerce.scm 283 */

																					if (BGl_isazf3zf3zz__objectz00
																						(BgL_typecz00_1743,
																							BGl_typez00zztype_typez00))
																						{	/* Coerce/coerce.scm 285 */
																							if (
																								(((obj_t) BgL_typevz00_1744) ==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 288 */
																									BgL_casezd2valuezd2_1729 =
																										BFALSE;
																								}
																							else
																								{	/* Coerce/coerce.scm 288 */
																									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1743), BgL_typevz00_1744))
																										{	/* Coerce/coerce.scm 291 */
																											BgL_casezd2valuezd2_1729 =
																												CNST_TABLE_REF(((long)
																													1));
																										}
																									else
																										{	/* Coerce/coerce.scm 291 */
																											if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1743), BgL_typevz00_1744))
																												{	/* Coerce/coerce.scm 293 */
																													BgL_casezd2valuezd2_1729
																														=
																														CNST_TABLE_REF((
																															(long) 2));
																												}
																											else
																												{	/* Coerce/coerce.scm 293 */
																													BgL_casezd2valuezd2_1729
																														= BFALSE;
																												}
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 285 */
																							BgL_casezd2valuezd2_1729 = BFALSE;
																						}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 281 */
																			BgL_casezd2valuezd2_1729 = BFALSE;
																		}
																}
															else
																{	/* Coerce/coerce.scm 280 */
																	BgL_casezd2valuezd2_1729 = BFALSE;
																}
														}
													else
														{	/* Coerce/coerce.scm 279 */
															BgL_casezd2valuezd2_1729 = BFALSE;
														}
												}
											}
										else
											{	/* Coerce/coerce.scm 365 */
												if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1833,
														BGl_letzd2varzd2zzast_nodez00))
													{	/* Coerce/coerce.scm 367 */
														BgL_nodez00_1757 =
															((BgL_letzd2varzd2_bglt) BgL_nodez00_1833);
														{	/* Coerce/coerce.scm 299 */
															bool_t BgL_testz00_3755;

															{	/* Coerce/coerce.scm 299 */
																bool_t BgL_testz00_3756;

																{	/* Coerce/coerce.scm 299 */
																	obj_t BgL_auxz00_3757;

																	BgL_auxz00_3757 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_1757))->BgL_bindingsz00);
																	BgL_testz00_3756 = PAIRP(BgL_auxz00_3757);
																}
																if (BgL_testz00_3756)
																	{	/* Coerce/coerce.scm 299 */
																		BgL_testz00_3755 =
																			NULLP(CDR(
																				(((BgL_letzd2varzd2_bglt)
																						CREF(BgL_nodez00_1757))->
																					BgL_bindingsz00)));
																	}
																else
																	{	/* Coerce/coerce.scm 299 */
																		BgL_testz00_3755 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_3755)
																{	/* Coerce/coerce.scm 301 */
																	bool_t BgL_testz00_3763;

																	{	/* Coerce/coerce.scm 301 */
																		BgL_nodez00_bglt BgL_arg2188z00_1805;

																		BgL_arg2188z00_1805 =
																			(((BgL_letzd2varzd2_bglt)
																				CREF(BgL_nodez00_1757))->BgL_bodyz00);
																		{	/* Coerce/coerce.scm 301 */
																			bool_t BgL_res2377z00_2968;

																			{	/* Coerce/coerce.scm 301 */
																				obj_t BgL_objz00_2967;

																				BgL_objz00_2967 =
																					((obj_t) BgL_arg2188z00_1805);
																				BgL_res2377z00_2968 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_2967,
																					BGl_appz00zzast_nodez00);
																			}
																			BgL_testz00_3763 = BgL_res2377z00_2968;
																		}
																	}
																	if (BgL_testz00_3763)
																		{	/* Coerce/coerce.scm 302 */
																			obj_t BgL_varz00_1762;

																			{	/* Coerce/coerce.scm 302 */
																				obj_t BgL_argsz00_1781;

																				BgL_argsz00_1781 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								(((BgL_letzd2varzd2_bglt)
																										CREF(BgL_nodez00_1757))->
																									BgL_bodyz00))))->BgL_argsz00);
																				if (PAIRP(BgL_argsz00_1781))
																					{	/* Coerce/coerce.scm 306 */
																						bool_t BgL_testz00_3772;

																						if (NULLP(CDR(BgL_argsz00_1781)))
																							{	/* Coerce/coerce.scm 306 */
																								obj_t BgL_arg2174z00_1793;

																								BgL_arg2174z00_1793 =
																									CAR(BgL_argsz00_1781);
																								BgL_testz00_3772 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2174z00_1793,
																									BGl_varz00zzast_nodez00);
																							}
																						else
																							{	/* Coerce/coerce.scm 306 */
																								BgL_testz00_3772 = ((bool_t) 0);
																							}
																						if (BgL_testz00_3772)
																							{	/* Coerce/coerce.scm 306 */
																								BgL_varz00_1762 =
																									((obj_t)
																									(((BgL_varz00_bglt) CREF(
																												((BgL_varz00_bglt)
																													CAR
																													(BgL_argsz00_1781))))->
																										BgL_variablez00));
																							}
																						else
																							{	/* Coerce/coerce.scm 309 */
																								bool_t BgL_testz00_3782;

																								{	/* Coerce/coerce.scm 309 */
																									obj_t BgL_auxz00_3783;

																									BgL_auxz00_3783 =
																										CDR(BgL_argsz00_1781);
																									BgL_testz00_3782 =
																										PAIRP(BgL_auxz00_3783);
																								}
																								if (BgL_testz00_3782)
																									{	/* Coerce/coerce.scm 311 */
																										bool_t BgL_testz00_3786;

																										if (NULLP(CDR(CDR
																													(BgL_argsz00_1781))))
																											{	/* Coerce/coerce.scm 311 */
																												obj_t
																													BgL_arg2168z00_1789;
																												BgL_arg2168z00_1789 =
																													CAR(BgL_argsz00_1781);
																												BgL_testz00_3786 =
																													BGl_isazf3zf3zz__objectz00
																													(BgL_arg2168z00_1789,
																													BGl_varz00zzast_nodez00);
																											}
																										else
																											{	/* Coerce/coerce.scm 311 */
																												BgL_testz00_3786 =
																													((bool_t) 0);
																											}
																										if (BgL_testz00_3786)
																											{	/* Coerce/coerce.scm 311 */
																												BgL_varz00_1762 =
																													((obj_t)
																													(((BgL_varz00_bglt)
																															CREF((
																																	(BgL_varz00_bglt)
																																	CAR
																																	(BgL_argsz00_1781))))->
																														BgL_variablez00));
																											}
																										else
																											{	/* Coerce/coerce.scm 311 */
																												BgL_varz00_1762 =
																													BFALSE;
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 309 */
																										BgL_varz00_1762 = BFALSE;
																									}
																							}
																					}
																				else
																					{	/* Coerce/coerce.scm 304 */
																						BgL_varz00_1762 = BFALSE;
																					}
																			}
																			{	/* Coerce/coerce.scm 302 */
																				obj_t BgL_typecz00_1763;

																				{	/* Coerce/coerce.scm 316 */
																					BgL_nodez00_bglt BgL_arg2160z00_1780;

																					BgL_arg2160z00_1780 =
																						(((BgL_letzd2varzd2_bglt)
																							CREF(BgL_nodez00_1757))->
																						BgL_bodyz00);
																					BgL_typecz00_1763 =
																						BGl_appzd2predicatezd2ofz00zztype_miscz00
																						(((BgL_appz00_bglt)
																							BgL_arg2160z00_1780));
																				}
																				{	/* Coerce/coerce.scm 316 */
																					BgL_typez00_bglt BgL_typepz00_1764;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_3800;
																						{
																							obj_t BgL_auxz00_3801;

																							{	/* Coerce/coerce.scm 317 */
																								obj_t BgL_pairz00_3000;

																								{	/* Coerce/coerce.scm 317 */
																									obj_t BgL_pairz00_2999;

																									BgL_pairz00_2999 =
																										(((BgL_letzd2varzd2_bglt)
																											CREF(BgL_nodez00_1757))->
																										BgL_bindingsz00);
																									BgL_pairz00_3000 =
																										CAR(BgL_pairz00_2999);
																								}
																								BgL_auxz00_3801 =
																									CAR(BgL_pairz00_3000);
																							}
																							BgL_auxz00_3800 =
																								((BgL_variablez00_bglt)
																								BgL_auxz00_3801);
																						}
																						BgL_typepz00_1764 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_3800))->
																							BgL_typez00);
																					}
																					{	/* Coerce/coerce.scm 317 */
																						BgL_typez00_bglt BgL_typevz00_1765;

																						if (
																							(((obj_t) BgL_typepz00_1764) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Coerce/coerce.scm 319 */
																								obj_t BgL_arg2153z00_1774;

																								BgL_arg2153z00_1774 =
																									CDR(CAR(
																										(((BgL_letzd2varzd2_bglt)
																												CREF
																												(BgL_nodez00_1757))->
																											BgL_bindingsz00)));
																								BgL_typevz00_1765 =
																									BGl_getzd2typezd2zztype_typeofz00
																									(((BgL_nodez00_bglt)
																										BgL_arg2153z00_1774));
																							}
																						else
																							{	/* Coerce/coerce.scm 318 */
																								BgL_typevz00_1765 =
																									BgL_typepz00_1764;
																							}
																						{	/* Coerce/coerce.scm 318 */

																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_typecz00_1763,
																									BGl_typez00zztype_typez00))
																								{	/* Coerce/coerce.scm 325 */
																									bool_t BgL_testz00_3817;

																									{	/* Coerce/coerce.scm 325 */
																										obj_t BgL_auxz00_3818;

																										{	/* Coerce/coerce.scm 325 */
																											obj_t BgL_pairz00_3008;

																											BgL_pairz00_3008 =
																												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1757))->BgL_bindingsz00);
																											BgL_auxz00_3818 =
																												CAR(CAR
																												(BgL_pairz00_3008));
																										}
																										BgL_testz00_3817 =
																											(BgL_varz00_1762 ==
																											BgL_auxz00_3818);
																									}
																									if (BgL_testz00_3817)
																										{	/* Coerce/coerce.scm 325 */
																											if (
																												(((obj_t)
																														BgL_typevz00_1765)
																													==
																													BGl_za2objza2z00zztype_cachez00))
																												{	/* Coerce/coerce.scm 328 */
																													BgL_casezd2valuezd2_1729
																														= BFALSE;
																												}
																											else
																												{	/* Coerce/coerce.scm 328 */
																													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1763), BgL_typevz00_1765))
																														{	/* Coerce/coerce.scm 331 */
																															BgL_casezd2valuezd2_1729
																																=
																																CNST_TABLE_REF((
																																	(long) 1));
																														}
																													else
																														{	/* Coerce/coerce.scm 331 */
																															if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1763), BgL_typevz00_1765))
																																{	/* Coerce/coerce.scm 333 */
																																	BgL_casezd2valuezd2_1729
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			2));
																																}
																															else
																																{	/* Coerce/coerce.scm 333 */
																																	BgL_casezd2valuezd2_1729
																																		= BFALSE;
																																}
																														}
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 325 */
																											BgL_casezd2valuezd2_1729 =
																												BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 322 */
																									BgL_casezd2valuezd2_1729 =
																										BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 337 */
																			bool_t BgL_testz00_3834;

																			{	/* Coerce/coerce.scm 337 */
																				bool_t BgL_testz00_3835;

																				{	/* Coerce/coerce.scm 337 */
																					BgL_nodez00_bglt BgL_arg2185z00_1804;

																					BgL_arg2185z00_1804 =
																						(((BgL_letzd2varzd2_bglt)
																							CREF(BgL_nodez00_1757))->
																						BgL_bodyz00);
																					{	/* Coerce/coerce.scm 337 */
																						bool_t BgL_res2388z00_3013;

																						{	/* Coerce/coerce.scm 337 */
																							obj_t BgL_objz00_3012;

																							BgL_objz00_3012 =
																								((obj_t) BgL_arg2185z00_1804);
																							BgL_res2388z00_3013 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_3012,
																								BGl_varz00zzast_nodez00);
																						}
																						BgL_testz00_3835 =
																							BgL_res2388z00_3013;
																					}
																				}
																				if (BgL_testz00_3835)
																					{	/* Coerce/coerce.scm 337 */
																						obj_t BgL_auxz00_3839;

																						{	/* Coerce/coerce.scm 337 */
																							obj_t BgL_pairz00_3017;

																							BgL_pairz00_3017 =
																								(((BgL_letzd2varzd2_bglt)
																									CREF(BgL_nodez00_1757))->
																								BgL_bindingsz00);
																							BgL_auxz00_3839 =
																								CAR(CAR(BgL_pairz00_3017));
																						}
																						BgL_testz00_3834 =
																							(
																							((obj_t)
																								(((BgL_varz00_bglt) CREF(
																											((BgL_varz00_bglt)
																												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1757))->BgL_bodyz00))))->BgL_variablez00)) == BgL_auxz00_3839);
																					}
																				else
																					{	/* Coerce/coerce.scm 337 */
																						BgL_testz00_3834 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_3834)
																				{	/* Coerce/coerce.scm 338 */
																					obj_t BgL_arg2178z00_1797;

																					{	/* Coerce/coerce.scm 338 */
																						obj_t BgL_pairz00_3021;

																						BgL_pairz00_3021 =
																							(((BgL_letzd2varzd2_bglt)
																								CREF(BgL_nodez00_1757))->
																							BgL_bindingsz00);
																						BgL_arg2178z00_1797 =
																							CDR(CAR(BgL_pairz00_3021));
																					}
																					{
																						obj_t BgL_nodez00_3851;

																						BgL_nodez00_3851 =
																							BgL_arg2178z00_1797;
																						BgL_nodez00_1833 = BgL_nodez00_3851;
																						goto
																							BgL_zc3anonymousza32212ze3z83_1834;
																					}
																				}
																			else
																				{	/* Coerce/coerce.scm 337 */
																					BgL_casezd2valuezd2_1729 = BFALSE;
																				}
																		}
																}
															else
																{	/* Coerce/coerce.scm 299 */
																	BgL_casezd2valuezd2_1729 = BFALSE;
																}
														}
													}
												else
													{	/* Coerce/coerce.scm 367 */
														BgL_casezd2valuezd2_1729 = BFALSE;
													}
											}
									}
							}
						}
						if ((BgL_casezd2valuezd2_1729 == CNST_TABLE_REF(((long) 1))))
							{	/* Coerce/coerce.scm 375 */
								BgL_nodez00_bglt BgL_arg2119z00_1731;

								BgL_arg2119z00_1731 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
									BgL_truez00);
								return BGl_coercez12z12zzcoerce_coercez00(BgL_arg2119z00_1731,
									BgL_callerz00_1718, ((BgL_typez00_bglt) BgL_toz00_1719),
									CBOOL(BgL_safez00_1720));
							}
						else
							{	/* Coerce/coerce.scm 373 */
								if ((BgL_casezd2valuezd2_1729 == CNST_TABLE_REF(((long) 2))))
									{	/* Coerce/coerce.scm 377 */
										BgL_nodez00_bglt BgL_arg2121z00_1733;

										BgL_arg2121z00_1733 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
											BgL_falsez00);
										return
											BGl_coercez12z12zzcoerce_coercez00(BgL_arg2121z00_1733,
											BgL_callerz00_1718, ((BgL_typez00_bglt) BgL_toz00_1719),
											CBOOL(BgL_safez00_1720));
									}
								else
									{	/* Coerce/coerce.scm 373 */
										{
											BgL_nodez00_bglt BgL_auxz00_3868;

											{	/* Coerce/coerce.scm 379 */
												BgL_nodez00_bglt BgL_arg2122z00_1734;

												BgL_arg2122z00_1734 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
													BgL_truez00);
												BgL_auxz00_3868 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg2122z00_1734, BgL_callerz00_1718,
													((BgL_typez00_bglt) BgL_toz00_1719),
													CBOOL(BgL_safez00_1720));
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
													BgL_truez00) =
												((BgL_nodez00_bglt) BgL_auxz00_3868), BUNSPEC);
										}
										{
											BgL_nodez00_bglt BgL_auxz00_3874;

											{	/* Coerce/coerce.scm 380 */
												BgL_nodez00_bglt BgL_arg2123z00_1735;

												BgL_arg2123z00_1735 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
													BgL_falsez00);
												BgL_auxz00_3874 =
													BGl_coercez12z12zzcoerce_coercez00
													(BgL_arg2123z00_1735, BgL_callerz00_1718,
													((BgL_typez00_bglt) BgL_toz00_1719),
													CBOOL(BgL_safez00_1720));
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1717))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) BgL_auxz00_3874), BUNSPEC);
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1717)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_1719)),
											BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_nodez00_1717);
									}
							}
					}
				}
			}
		}
	}



/* &coerce!-setq1963 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq1963za2zzcoerce_coercez00(obj_t
		BgL_envz00_3212, BgL_setqz00_bglt BgL_nodez00_3213,
		obj_t BgL_callerz00_3214, obj_t BgL_toz00_3215, obj_t BgL_safez00_3216)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 252 */
			{
				BgL_setqz00_bglt BgL_nodez00_1705;
				obj_t BgL_callerz00_1706;
				obj_t BgL_toz00_1707;
				obj_t BgL_safez00_1708;

				BgL_nodez00_1705 = BgL_nodez00_3213;
				BgL_callerz00_1706 = BgL_callerz00_3214;
				BgL_toz00_1707 = BgL_toz00_3215;
				BgL_safez00_1708 = BgL_safez00_3216;
				{
					BgL_nodez00_bglt BgL_auxz00_3884;

					{	/* Coerce/coerce.scm 254 */
						BgL_nodez00_bglt BgL_arg2112z00_1712;
						BgL_typez00_bglt BgL_arg2113z00_1713;

						BgL_arg2112z00_1712 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1705))->BgL_valuez00);
						BgL_arg2113z00_1713 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1705))->
													BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_auxz00_3884 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2112z00_1712,
							BgL_callerz00_1706, BgL_arg2113z00_1713, CBOOL(BgL_safez00_1708));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1705))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3884), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1705),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1707), CBOOL(BgL_safez00_1708));
			}
		}
	}



/* &coerce!-cast1961 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast1961za2zzcoerce_coercez00(obj_t
		BgL_envz00_3217, BgL_castz00_bglt BgL_nodez00_3218,
		obj_t BgL_callerz00_3219, obj_t BgL_toz00_3220, obj_t BgL_safez00_3221)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 242 */
			{
				BgL_castz00_bglt BgL_nodez00_1693;
				obj_t BgL_callerz00_1694;
				obj_t BgL_toz00_1695;
				obj_t BgL_safez00_1696;

				BgL_nodez00_1693 = BgL_nodez00_3218;
				BgL_callerz00_1694 = BgL_callerz00_3219;
				BgL_toz00_1695 = BgL_toz00_3220;
				BgL_safez00_1696 = BgL_safez00_3221;
				{
					BgL_nodez00_bglt BgL_auxz00_3897;

					{	/* Coerce/coerce.scm 246 */
						BgL_nodez00_bglt BgL_arg2108z00_1700;
						BgL_typez00_bglt BgL_arg2109z00_1701;

						BgL_arg2108z00_1700 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1693))->BgL_argz00);
						{	/* Coerce/coerce.scm 246 */
							BgL_nodez00_bglt BgL_arg2110z00_1702;

							BgL_arg2110z00_1702 =
								(((BgL_castz00_bglt) CREF(BgL_nodez00_1693))->BgL_argz00);
							BgL_arg2109z00_1701 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2110z00_1702);
						}
						BgL_auxz00_3897 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2108z00_1700,
							BgL_callerz00_1694, BgL_arg2109z00_1701, CBOOL(BgL_safez00_1696));
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1693))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3897), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 247 */
					BgL_typez00_bglt BgL_arg2111z00_1703;

					BgL_arg2111z00_1703 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1693)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1693), BgL_arg2111z00_1703,
						((BgL_typez00_bglt) BgL_toz00_1695), CBOOL(BgL_safez00_1696));
				}
			}
		}
	}



/* &coerce!-vlength1958 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength1958za2zzcoerce_coercez00(obj_t
		BgL_envz00_3222, BgL_vlengthz00_bglt BgL_nodez00_3223,
		obj_t BgL_callerz00_3224, obj_t BgL_toz00_3225, obj_t BgL_safez00_3226)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 234 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1679;
				obj_t BgL_callerz00_1680;
				obj_t BgL_toz00_1681;
				obj_t BgL_safez00_1682;

				BgL_nodez00_1679 = BgL_nodez00_3223;
				BgL_callerz00_1680 = BgL_callerz00_3224;
				BgL_toz00_1681 = BgL_toz00_3225;
				BgL_safez00_1682 = BgL_safez00_3226;
				{	/* Coerce/coerce.scm 236 */
					obj_t BgL_arg2100z00_1686;
					BgL_nodez00_bglt BgL_arg2101z00_1687;

					BgL_arg2100z00_1686 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1679)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 236 */
						obj_t BgL_arg2103z00_1688;
						BgL_typez00_bglt BgL_arg2104z00_1689;

						{	/* Coerce/coerce.scm 236 */
							obj_t BgL_pairz00_2944;

							BgL_pairz00_2944 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1679)))->BgL_exprza2za2);
							BgL_arg2103z00_1688 = CAR(BgL_pairz00_2944);
						}
						BgL_arg2104z00_1689 =
							(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1679))->BgL_vtypez00);
						BgL_arg2101z00_1687 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2103z00_1688), BgL_callerz00_1680,
							BgL_arg2104z00_1689, CBOOL(BgL_safez00_1682));
					}
					{	/* Coerce/coerce.scm 236 */
						obj_t BgL_pairz00_2945;
						obj_t BgL_objz00_2946;

						BgL_pairz00_2945 = BgL_arg2100z00_1686;
						BgL_objz00_2946 = ((obj_t) BgL_arg2101z00_1687);
						SET_CAR(BgL_pairz00_2945, BgL_objz00_2946);
					}
				}
				{	/* Coerce/coerce.scm 237 */
					BgL_typez00_bglt BgL_arg2107z00_1691;

					BgL_arg2107z00_1691 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1679)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1679), BgL_arg2107z00_1691,
						((BgL_typez00_bglt) BgL_toz00_1681), CBOOL(BgL_safez00_1682));
				}
			}
		}
	}



/* &coerce!-vset!1955 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz121955zb0zzcoerce_coercez00(obj_t
		BgL_envz00_3227, BgL_vsetz12z12_bglt BgL_nodez00_3228,
		obj_t BgL_callerz00_3229, obj_t BgL_toz00_3230, obj_t BgL_safez00_3231)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 222 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1651;
				obj_t BgL_callerz00_1652;
				obj_t BgL_toz00_1653;
				obj_t BgL_safez00_1654;

				BgL_nodez00_1651 = BgL_nodez00_3228;
				BgL_callerz00_1652 = BgL_callerz00_3229;
				BgL_toz00_1653 = BgL_toz00_3230;
				BgL_safez00_1654 = BgL_safez00_3231;
				{	/* Coerce/coerce.scm 225 */
					obj_t BgL_ftypez00_1658;

					{	/* Coerce/coerce.scm 225 */
						bool_t BgL_testz00_3927;

						{	/* Coerce/coerce.scm 225 */
							BgL_typez00_bglt BgL_arg2099z00_1677;

							BgL_arg2099z00_1677 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1651))->BgL_ftypez00);
							BgL_testz00_3927 =
								(
								((obj_t) BgL_arg2099z00_1677) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_3927)
							{	/* Coerce/coerce.scm 225 */
								BgL_ftypez00_1658 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 225 */
								BgL_ftypez00_1658 =
									((obj_t)
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1651))->
										BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 226 */
						obj_t BgL_arg2077z00_1659;
						BgL_nodez00_bglt BgL_arg2079z00_1660;

						BgL_arg2077z00_1659 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1651)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 226 */
							obj_t BgL_arg2080z00_1661;
							BgL_typez00_bglt BgL_arg2081z00_1662;

							{	/* Coerce/coerce.scm 226 */
								obj_t BgL_pairz00_2922;

								BgL_pairz00_2922 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1651)))->
									BgL_exprza2za2);
								BgL_arg2080z00_1661 = CAR(BgL_pairz00_2922);
							}
							BgL_arg2081z00_1662 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1651))->BgL_vtypez00);
							BgL_arg2079z00_1660 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2080z00_1661), BgL_callerz00_1652,
								BgL_arg2081z00_1662, CBOOL(BgL_safez00_1654));
						}
						{	/* Coerce/coerce.scm 226 */
							obj_t BgL_pairz00_2923;
							obj_t BgL_objz00_2924;

							BgL_pairz00_2923 = BgL_arg2077z00_1659;
							BgL_objz00_2924 = ((obj_t) BgL_arg2079z00_1660);
							SET_CAR(BgL_pairz00_2923, BgL_objz00_2924);
						}
					}
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_arg2083z00_1664;
						BgL_nodez00_bglt BgL_arg2085z00_1665;

						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_pairz00_2925;

							BgL_pairz00_2925 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1651)))->BgL_exprza2za2);
							BgL_arg2083z00_1664 = CDR(BgL_pairz00_2925);
						}
						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_arg2088z00_1667;
							BgL_typez00_bglt BgL_arg2089z00_1668;

							{	/* Coerce/coerce.scm 227 */
								obj_t BgL_pairz00_2926;

								BgL_pairz00_2926 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1651)))->
									BgL_exprza2za2);
								BgL_arg2088z00_1667 = CAR(CDR(BgL_pairz00_2926));
							}
							BgL_arg2089z00_1668 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1651))->BgL_otypez00);
							BgL_arg2085z00_1665 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2088z00_1667), BgL_callerz00_1652,
								BgL_arg2089z00_1668, CBOOL(BgL_safez00_1654));
						}
						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_pairz00_2930;
							obj_t BgL_objz00_2931;

							BgL_pairz00_2930 = BgL_arg2083z00_1664;
							BgL_objz00_2931 = ((obj_t) BgL_arg2085z00_1665);
							SET_CAR(BgL_pairz00_2930, BgL_objz00_2931);
						}
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_arg2091z00_1670;
						BgL_nodez00_bglt BgL_arg2092z00_1671;

						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_pairz00_2932;

							BgL_pairz00_2932 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1651)))->BgL_exprza2za2);
							BgL_arg2091z00_1670 = CDR(CDR(BgL_pairz00_2932));
						}
						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_arg2094z00_1673;

							{	/* Coerce/coerce.scm 228 */
								obj_t BgL_pairz00_2936;

								BgL_pairz00_2936 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1651)))->
									BgL_exprza2za2);
								BgL_arg2094z00_1673 = CAR(CDR(CDR(BgL_pairz00_2936)));
							}
							BgL_arg2092z00_1671 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2094z00_1673), BgL_callerz00_1652,
								((BgL_typez00_bglt) BgL_ftypez00_1658),
								CBOOL(BgL_safez00_1654));
						}
						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_pairz00_2942;
							obj_t BgL_objz00_2943;

							BgL_pairz00_2942 = BgL_arg2091z00_1670;
							BgL_objz00_2943 = ((obj_t) BgL_arg2092z00_1671);
							SET_CAR(BgL_pairz00_2942, BgL_objz00_2943);
						}
					}
					{	/* Coerce/coerce.scm 229 */
						BgL_typez00_bglt BgL_arg2097z00_1675;

						BgL_arg2097z00_1675 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1651)))->BgL_typez00);
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt) BgL_nodez00_1651), BgL_arg2097z00_1675,
							((BgL_typez00_bglt) BgL_toz00_1653), CBOOL(BgL_safez00_1654));
					}
				}
			}
		}
	}



/* &coerce!-vref1953 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref1953za2zzcoerce_coercez00(obj_t
		BgL_envz00_3232, BgL_vrefz00_bglt BgL_nodez00_3233,
		obj_t BgL_callerz00_3234, obj_t BgL_toz00_3235, obj_t BgL_safez00_3236)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 206 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1629;
				obj_t BgL_callerz00_1630;
				obj_t BgL_toz00_1631;
				obj_t BgL_safez00_1632;

				BgL_nodez00_1629 = BgL_nodez00_3233;
				BgL_callerz00_1630 = BgL_callerz00_3234;
				BgL_toz00_1631 = BgL_toz00_3235;
				BgL_safez00_1632 = BgL_safez00_3236;
				{	/* Coerce/coerce.scm 214 */
					obj_t BgL_ftypez00_1636;

					{	/* Coerce/coerce.scm 214 */
						bool_t BgL_testz00_3978;

						{	/* Coerce/coerce.scm 214 */
							BgL_typez00_bglt BgL_arg2075z00_1649;

							BgL_arg2075z00_1649 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1629))->BgL_ftypez00);
							BgL_testz00_3978 =
								(
								((obj_t) BgL_arg2075z00_1649) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_3978)
							{	/* Coerce/coerce.scm 214 */
								BgL_ftypez00_1636 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 214 */
								BgL_ftypez00_1636 =
									((obj_t)
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1629))->BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 215 */
						obj_t BgL_arg2062z00_1637;
						BgL_nodez00_bglt BgL_arg2063z00_1638;

						BgL_arg2062z00_1637 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1629)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 215 */
							obj_t BgL_arg2064z00_1639;
							BgL_typez00_bglt BgL_arg2065z00_1640;

							{	/* Coerce/coerce.scm 215 */
								obj_t BgL_pairz00_2912;

								BgL_pairz00_2912 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1629)))->
									BgL_exprza2za2);
								BgL_arg2064z00_1639 = CAR(BgL_pairz00_2912);
							}
							BgL_arg2065z00_1640 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1629))->BgL_vtypez00);
							BgL_arg2063z00_1638 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2064z00_1639), BgL_callerz00_1630,
								BgL_arg2065z00_1640, CBOOL(BgL_safez00_1632));
						}
						{	/* Coerce/coerce.scm 215 */
							obj_t BgL_pairz00_2913;
							obj_t BgL_objz00_2914;

							BgL_pairz00_2913 = BgL_arg2062z00_1637;
							BgL_objz00_2914 = ((obj_t) BgL_arg2063z00_1638);
							SET_CAR(BgL_pairz00_2913, BgL_objz00_2914);
						}
					}
					{	/* Coerce/coerce.scm 216 */
						obj_t BgL_arg2067z00_1642;
						BgL_nodez00_bglt BgL_arg2068z00_1643;

						{	/* Coerce/coerce.scm 216 */
							obj_t BgL_pairz00_2915;

							BgL_pairz00_2915 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1629)))->BgL_exprza2za2);
							BgL_arg2067z00_1642 = CDR(BgL_pairz00_2915);
						}
						{	/* Coerce/coerce.scm 216 */
							obj_t BgL_arg2070z00_1645;
							BgL_typez00_bglt BgL_arg2072z00_1646;

							{	/* Coerce/coerce.scm 216 */
								obj_t BgL_pairz00_2916;

								BgL_pairz00_2916 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1629)))->
									BgL_exprza2za2);
								BgL_arg2070z00_1645 = CAR(CDR(BgL_pairz00_2916));
							}
							BgL_arg2072z00_1646 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1629))->BgL_otypez00);
							BgL_arg2068z00_1643 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2070z00_1645), BgL_callerz00_1630,
								BgL_arg2072z00_1646, CBOOL(BgL_safez00_1632));
						}
						{	/* Coerce/coerce.scm 216 */
							obj_t BgL_pairz00_2920;
							obj_t BgL_objz00_2921;

							BgL_pairz00_2920 = BgL_arg2067z00_1642;
							BgL_objz00_2921 = ((obj_t) BgL_arg2068z00_1643);
							SET_CAR(BgL_pairz00_2920, BgL_objz00_2921);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1629),
						((BgL_typez00_bglt) BgL_ftypez00_1636),
						((BgL_typez00_bglt) BgL_toz00_1631), CBOOL(BgL_safez00_1632));
				}
			}
		}
	}



/* &coerce!-valloc1951 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc1951za2zzcoerce_coercez00(obj_t
		BgL_envz00_3237, BgL_vallocz00_bglt BgL_nodez00_3238,
		obj_t BgL_callerz00_3239, obj_t BgL_toz00_3240, obj_t BgL_safez00_3241)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 198 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1615;
				obj_t BgL_callerz00_1616;
				obj_t BgL_toz00_1617;
				obj_t BgL_safez00_1618;

				BgL_nodez00_1615 = BgL_nodez00_3238;
				BgL_callerz00_1616 = BgL_callerz00_3239;
				BgL_toz00_1617 = BgL_toz00_3240;
				BgL_safez00_1618 = BgL_safez00_3241;
				{	/* Coerce/coerce.scm 200 */
					obj_t BgL_arg2055z00_1622;
					BgL_nodez00_bglt BgL_arg2056z00_1623;

					BgL_arg2055z00_1622 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1615)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 200 */
						obj_t BgL_arg2057z00_1624;
						BgL_typez00_bglt BgL_arg2058z00_1625;

						{	/* Coerce/coerce.scm 200 */
							obj_t BgL_pairz00_2909;

							BgL_pairz00_2909 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1615)))->BgL_exprza2za2);
							BgL_arg2057z00_1624 = CAR(BgL_pairz00_2909);
						}
						BgL_arg2058z00_1625 =
							(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1615))->BgL_otypez00);
						BgL_arg2056z00_1623 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2057z00_1624), BgL_callerz00_1616,
							BgL_arg2058z00_1625, CBOOL(BgL_safez00_1618));
					}
					{	/* Coerce/coerce.scm 200 */
						obj_t BgL_pairz00_2910;
						obj_t BgL_objz00_2911;

						BgL_pairz00_2910 = BgL_arg2055z00_1622;
						BgL_objz00_2911 = ((obj_t) BgL_arg2056z00_1623);
						SET_CAR(BgL_pairz00_2910, BgL_objz00_2911);
					}
				}
				{	/* Coerce/coerce.scm 201 */
					BgL_typez00_bglt BgL_arg2061z00_1627;

					BgL_arg2061z00_1627 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1615)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1615), BgL_arg2061z00_1627,
						((BgL_typez00_bglt) BgL_toz00_1617), CBOOL(BgL_safez00_1618));
				}
			}
		}
	}



/* &coerce!-new1949 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new1949za2zzcoerce_coercez00(obj_t
		BgL_envz00_3242, BgL_newz00_bglt BgL_nodez00_3243, obj_t BgL_callerz00_3244,
		obj_t BgL_toz00_3245, obj_t BgL_safez00_3246)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 184 */
			{
				BgL_newz00_bglt BgL_nodez00_1595;
				obj_t BgL_callerz00_1596;
				obj_t BgL_toz00_1597;
				obj_t BgL_safez00_1598;

				BgL_nodez00_1595 = BgL_nodez00_3243;
				BgL_callerz00_1596 = BgL_callerz00_3244;
				BgL_toz00_1597 = BgL_toz00_3245;
				BgL_safez00_1598 = BgL_safez00_3246;
				{
					obj_t BgL_lz00_1604;

					{	/* Coerce/coerce.scm 186 */
						obj_t BgL_arg2048z00_1603;

						BgL_arg2048z00_1603 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1595)))->BgL_exprza2za2);
						BgL_lz00_1604 = BgL_arg2048z00_1603;
					BgL_zc3anonymousza32049ze3z83_1605:
						if (NULLP(BgL_lz00_1604))
							{	/* Coerce/coerce.scm 188 */
								BgL_typez00_bglt BgL_arg2051z00_1607;

								BgL_arg2051z00_1607 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1595)))->BgL_typez00);
								BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt) BgL_nodez00_1595), BgL_arg2051z00_1607,
									((BgL_typez00_bglt) BgL_toz00_1597), CBOOL(BgL_safez00_1598));
							}
						else
							{	/* Coerce/coerce.scm 189 */
								obj_t BgL_vz00_1608;

								BgL_vz00_1608 = CAR(BgL_lz00_1604);
								{	/* Coerce/coerce.scm 189 */
									BgL_nodez00_bglt BgL_nvz00_1609;

									{	/* Coerce/coerce.scm 190 */
										BgL_typez00_bglt BgL_arg2053z00_1611;

										BgL_arg2053z00_1611 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_vz00_1608));
										BgL_nvz00_1609 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_vz00_1608), BgL_callerz00_1596,
											BgL_arg2053z00_1611, CBOOL(BgL_safez00_1598));
									}
									{	/* Coerce/coerce.scm 190 */

										{	/* Coerce/coerce.scm 191 */
											obj_t BgL_pairz00_2906;
											obj_t BgL_objz00_2907;

											BgL_pairz00_2906 = BgL_lz00_1604;
											BgL_objz00_2907 = ((obj_t) BgL_nvz00_1609);
											SET_CAR(BgL_pairz00_2906, BgL_objz00_2907);
										}
										{
											obj_t BgL_lz00_4048;

											BgL_lz00_4048 = CDR(BgL_lz00_1604);
											BgL_lz00_1604 = BgL_lz00_4048;
											goto BgL_zc3anonymousza32049ze3z83_1605;
										}
									}
								}
							}
					}
				}
				{	/* Coerce/coerce.scm 193 */
					BgL_typez00_bglt BgL_arg2054z00_1613;

					BgL_arg2054z00_1613 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1595)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1595), BgL_arg2054z00_1613,
						((BgL_typez00_bglt) BgL_toz00_1597), CBOOL(BgL_safez00_1598));
				}
			}
		}
	}



/* &coerce!-setfield1947 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield1947za2zzcoerce_coercez00(obj_t
		BgL_envz00_3247, BgL_setfieldz00_bglt BgL_nodez00_3248,
		obj_t BgL_callerz00_3249, obj_t BgL_toz00_3250, obj_t BgL_safez00_3251)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 175 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1576;
				obj_t BgL_callerz00_1577;
				obj_t BgL_toz00_1578;
				obj_t BgL_safez00_1579;

				BgL_nodez00_1576 = BgL_nodez00_3248;
				BgL_callerz00_1577 = BgL_callerz00_3249;
				BgL_toz00_1578 = BgL_toz00_3250;
				BgL_safez00_1579 = BgL_safez00_3251;
				{	/* Coerce/coerce.scm 177 */
					obj_t BgL_arg2034z00_1583;
					BgL_nodez00_bglt BgL_arg2035z00_1584;

					BgL_arg2034z00_1583 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1576)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 177 */
						obj_t BgL_arg2037z00_1585;
						BgL_typez00_bglt BgL_arg2038z00_1586;

						{	/* Coerce/coerce.scm 177 */
							obj_t BgL_pairz00_2893;

							BgL_pairz00_2893 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1576)))->BgL_exprza2za2);
							BgL_arg2037z00_1585 = CAR(BgL_pairz00_2893);
						}
						BgL_arg2038z00_1586 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1576))->BgL_otypez00);
						BgL_arg2035z00_1584 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2037z00_1585), BgL_callerz00_1577,
							BgL_arg2038z00_1586, CBOOL(BgL_safez00_1579));
					}
					{	/* Coerce/coerce.scm 177 */
						obj_t BgL_pairz00_2894;
						obj_t BgL_objz00_2895;

						BgL_pairz00_2894 = BgL_arg2034z00_1583;
						BgL_objz00_2895 = ((obj_t) BgL_arg2035z00_1584);
						SET_CAR(BgL_pairz00_2894, BgL_objz00_2895);
					}
				}
				{	/* Coerce/coerce.scm 178 */
					obj_t BgL_arg2040z00_1588;
					BgL_nodez00_bglt BgL_arg2041z00_1589;

					{	/* Coerce/coerce.scm 178 */
						obj_t BgL_pairz00_2896;

						BgL_pairz00_2896 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1576)))->BgL_exprza2za2);
						BgL_arg2040z00_1588 = CDR(BgL_pairz00_2896);
					}
					{	/* Coerce/coerce.scm 178 */
						obj_t BgL_arg2044z00_1591;
						BgL_typez00_bglt BgL_arg2045z00_1592;

						{	/* Coerce/coerce.scm 178 */
							obj_t BgL_pairz00_2897;

							BgL_pairz00_2897 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1576)))->BgL_exprza2za2);
							BgL_arg2044z00_1591 = CAR(CDR(BgL_pairz00_2897));
						}
						BgL_arg2045z00_1592 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1576))->BgL_ftypez00);
						BgL_arg2041z00_1589 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2044z00_1591), BgL_callerz00_1577,
							BgL_arg2045z00_1592, CBOOL(BgL_safez00_1579));
					}
					{	/* Coerce/coerce.scm 178 */
						obj_t BgL_pairz00_2901;
						obj_t BgL_objz00_2902;

						BgL_pairz00_2901 = BgL_arg2040z00_1588;
						BgL_objz00_2902 = ((obj_t) BgL_arg2041z00_1589);
						SET_CAR(BgL_pairz00_2901, BgL_objz00_2902);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1576),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1578), CBOOL(BgL_safez00_1579));
			}
		}
	}



/* &coerce!-getfield1945 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield1945za2zzcoerce_coercez00(obj_t
		BgL_envz00_3252, BgL_getfieldz00_bglt BgL_nodez00_3253,
		obj_t BgL_callerz00_3254, obj_t BgL_toz00_3255, obj_t BgL_safez00_3256)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 167 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1562;
				obj_t BgL_callerz00_1563;
				obj_t BgL_toz00_1564;
				obj_t BgL_safez00_1565;

				BgL_nodez00_1562 = BgL_nodez00_3253;
				BgL_callerz00_1563 = BgL_callerz00_3254;
				BgL_toz00_1564 = BgL_toz00_3255;
				BgL_safez00_1565 = BgL_safez00_3256;
				{	/* Coerce/coerce.scm 169 */
					obj_t BgL_arg2026z00_1569;
					BgL_nodez00_bglt BgL_arg2028z00_1570;

					BgL_arg2026z00_1569 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1562)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 169 */
						obj_t BgL_arg2029z00_1571;
						BgL_typez00_bglt BgL_arg2030z00_1572;

						{	/* Coerce/coerce.scm 169 */
							obj_t BgL_pairz00_2890;

							BgL_pairz00_2890 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1562)))->BgL_exprza2za2);
							BgL_arg2029z00_1571 = CAR(BgL_pairz00_2890);
						}
						BgL_arg2030z00_1572 =
							(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1562))->BgL_otypez00);
						BgL_arg2028z00_1570 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2029z00_1571), BgL_callerz00_1563,
							BgL_arg2030z00_1572, CBOOL(BgL_safez00_1565));
					}
					{	/* Coerce/coerce.scm 169 */
						obj_t BgL_pairz00_2891;
						obj_t BgL_objz00_2892;

						BgL_pairz00_2891 = BgL_arg2026z00_1569;
						BgL_objz00_2892 = ((obj_t) BgL_arg2028z00_1570);
						SET_CAR(BgL_pairz00_2891, BgL_objz00_2892);
					}
				}
				{	/* Coerce/coerce.scm 170 */
					BgL_typez00_bglt BgL_arg2033z00_1574;

					BgL_arg2033z00_1574 =
						(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1562))->BgL_ftypez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1562), BgL_arg2033z00_1574,
						((BgL_typez00_bglt) BgL_toz00_1564), CBOOL(BgL_safez00_1565));
				}
			}
		}
	}



/* &coerce!-widening1942 */
	BgL_nodez00_bglt BGl_z62coercez12zd2widening1942za2zzcoerce_coercez00(obj_t
		BgL_envz00_3257, BgL_wideningz00_bglt BgL_nodez00_3258,
		obj_t BgL_callerz00_3259, obj_t BgL_toz00_3260, obj_t BgL_safez00_3261)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 156 */
			{
				BgL_wideningz00_bglt BgL_nodez00_1548;
				obj_t BgL_callerz00_1549;
				obj_t BgL_toz00_1550;
				obj_t BgL_safez00_1551;

				BgL_nodez00_1548 = BgL_nodez00_3258;
				BgL_callerz00_1549 = BgL_callerz00_3259;
				BgL_toz00_1550 = BgL_toz00_3260;
				BgL_safez00_1551 = BgL_safez00_3261;
				{	/* Coerce/coerce.scm 160 */
					obj_t BgL_superz00_1555;

					{
						BgL_tclassz00_bglt BgL_auxz00_4101;

						{
							obj_t BgL_auxz00_4102;

							{	/* Coerce/coerce.scm 160 */
								BgL_objectz00_bglt BgL_auxz00_4103;

								BgL_auxz00_4103 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt)
										(((BgL_wideningz00_bglt) CREF(BgL_nodez00_1548))->
											BgL_otypez00)));
								BgL_auxz00_4102 = BGL_OBJECT_WIDENING(BgL_auxz00_4103);
							}
							BgL_auxz00_4101 = ((BgL_tclassz00_bglt) BgL_auxz00_4102);
						}
						BgL_superz00_1555 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_4101))->
							BgL_itszd2superzd2);
					}
					{	/* Coerce/coerce.scm 161 */
						obj_t BgL_arg2019z00_1556;
						BgL_nodez00_bglt BgL_arg2020z00_1557;

						BgL_arg2019z00_1556 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1548)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 161 */
							obj_t BgL_arg2023z00_1558;

							{	/* Coerce/coerce.scm 161 */
								obj_t BgL_pairz00_2887;

								BgL_pairz00_2887 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1548)))->
									BgL_exprza2za2);
								BgL_arg2023z00_1558 = CAR(BgL_pairz00_2887);
							}
							BgL_arg2020z00_1557 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2023z00_1558), BgL_callerz00_1549,
								((BgL_typez00_bglt) BgL_superz00_1555),
								CBOOL(BgL_safez00_1551));
						}
						{	/* Coerce/coerce.scm 161 */
							obj_t BgL_pairz00_2888;
							obj_t BgL_objz00_2889;

							BgL_pairz00_2888 = BgL_arg2019z00_1556;
							BgL_objz00_2889 = ((obj_t) BgL_arg2020z00_1557);
							SET_CAR(BgL_pairz00_2888, BgL_objz00_2889);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1548),
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						((BgL_typez00_bglt) BgL_toz00_1550), CBOOL(BgL_safez00_1551));
				}
			}
		}
	}



/* &coerce!-extern1940 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern1940za2zzcoerce_coercez00(obj_t
		BgL_envz00_3262, BgL_externz00_bglt BgL_nodez00_3263,
		obj_t BgL_callerz00_3264, obj_t BgL_toz00_3265, obj_t BgL_safez00_3266)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 143 */
			{
				BgL_externz00_bglt BgL_nodez00_1529;
				obj_t BgL_callerz00_1530;
				obj_t BgL_toz00_1531;
				obj_t BgL_safez00_1532;

				BgL_nodez00_1529 = BgL_nodez00_3263;
				BgL_callerz00_1530 = BgL_callerz00_3264;
				BgL_toz00_1531 = BgL_toz00_3265;
				BgL_safez00_1532 = BgL_safez00_3266;
				{
					obj_t BgL_valuesz00_1538;

					BgL_valuesz00_1538 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1529))->BgL_exprza2za2);
				BgL_zc3anonymousza32014ze3z83_1539:
					if (NULLP(BgL_valuesz00_1538))
						{	/* Coerce/coerce.scm 147 */
							BgL_typez00_bglt BgL_arg2016z00_1541;

							BgL_arg2016z00_1541 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1529));
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1529), BgL_arg2016z00_1541,
								((BgL_typez00_bglt) BgL_toz00_1531), CBOOL(BgL_safez00_1532));
						}
					else
						{	/* Coerce/coerce.scm 148 */
							obj_t BgL_vz00_1542;

							BgL_vz00_1542 = CAR(BgL_valuesz00_1538);
							{	/* Coerce/coerce.scm 148 */
								BgL_nodez00_bglt BgL_nvz00_1543;

								{	/* Coerce/coerce.scm 149 */
									BgL_typez00_bglt BgL_arg2018z00_1545;

									BgL_arg2018z00_1545 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_vz00_1542));
									BgL_nvz00_1543 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_vz00_1542), BgL_callerz00_1530,
										BgL_arg2018z00_1545, CBOOL(BgL_safez00_1532));
								}
								{	/* Coerce/coerce.scm 149 */

									{	/* Coerce/coerce.scm 150 */
										obj_t BgL_pairz00_2882;
										obj_t BgL_objz00_2883;

										BgL_pairz00_2882 = BgL_valuesz00_1538;
										BgL_objz00_2883 = ((obj_t) BgL_nvz00_1543);
										SET_CAR(BgL_pairz00_2882, BgL_objz00_2883);
									}
									{
										obj_t BgL_valuesz00_4142;

										BgL_valuesz00_4142 = CDR(BgL_valuesz00_1538);
										BgL_valuesz00_1538 = BgL_valuesz00_4142;
										goto BgL_zc3anonymousza32014ze3z83_1539;
									}
								}
							}
						}
				}
			}
		}
	}



/* &coerce!-sequence1938 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence1938za2zzcoerce_coercez00(obj_t
		BgL_envz00_3267, BgL_sequencez00_bglt BgL_nodez00_3268,
		obj_t BgL_callerz00_3269, obj_t BgL_toz00_3270, obj_t BgL_safez00_3271)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 126 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1505;
				obj_t BgL_callerz00_1506;
				obj_t BgL_toz00_1507;
				obj_t BgL_safez00_1508;

				BgL_nodez00_1505 = BgL_nodez00_3268;
				BgL_callerz00_1506 = BgL_callerz00_3269;
				BgL_toz00_1507 = BgL_toz00_3270;
				BgL_safez00_1508 = BgL_safez00_3271;
				{	/* Coerce/coerce.scm 128 */
					obj_t BgL_sz00_1512;

					{	/* Coerce/coerce.scm 128 */
						bool_t BgL_testz00_4145;

						if (
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1505))->BgL_unsafez00))
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4145 = ((bool_t) 0);
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4145 = ((bool_t) 1);
							}
						if (BgL_testz00_4145)
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1512 = BgL_safez00_1508;
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1512 = BFALSE;
							}
					}
					{
						obj_t BgL_nodesz00_1515;

						{	/* Coerce/coerce.scm 129 */
							obj_t BgL_arg2000z00_1514;

							BgL_arg2000z00_1514 =
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1505))->BgL_nodesz00);
							{
								BgL_sequencez00_bglt BgL_auxz00_4149;

								BgL_nodesz00_1515 = BgL_arg2000z00_1514;
							BgL_zc3anonymousza32001ze3z83_1516:
								{	/* Coerce/coerce.scm 130 */
									obj_t BgL_nz00_1517;

									BgL_nz00_1517 = CAR(BgL_nodesz00_1515);
									if (NULLP(CDR(BgL_nodesz00_1515)))
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 133 */
												BgL_nodez00_bglt BgL_arg2004z00_1519;

												BgL_arg2004z00_1519 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_1517),
													BgL_callerz00_1506,
													((BgL_typez00_bglt) BgL_toz00_1507),
													CBOOL(BgL_sz00_1512));
												{	/* Coerce/coerce.scm 133 */
													obj_t BgL_pairz00_2874;
													obj_t BgL_objz00_2875;

													BgL_pairz00_2874 = BgL_nodesz00_1515;
													BgL_objz00_2875 = ((obj_t) BgL_arg2004z00_1519);
													SET_CAR(BgL_pairz00_2874, BgL_objz00_2875);
												}
											}
											{
												BgL_typez00_bglt BgL_auxz00_4160;

												{	/* Coerce/coerce.scm 134 */
													BgL_typez00_bglt BgL_arg2005z00_1520;

													BgL_arg2005z00_1520 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1505)))->
														BgL_typez00);
													BgL_auxz00_4160 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_1507),
														BgL_arg2005z00_1520);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1505)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4160), BUNSPEC);
											}
											BgL_auxz00_4149 = BgL_nodez00_1505;
										}
									else
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 137 */
												BgL_nodez00_bglt BgL_arg2006z00_1521;

												{	/* Coerce/coerce.scm 137 */
													BgL_typez00_bglt BgL_arg2008z00_1522;

													BgL_arg2008z00_1522 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nz00_1517));
													BgL_arg2006z00_1521 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_nz00_1517),
														BgL_callerz00_1506, BgL_arg2008z00_1522,
														CBOOL(BgL_sz00_1512));
												}
												{	/* Coerce/coerce.scm 137 */
													obj_t BgL_pairz00_2876;
													obj_t BgL_objz00_2877;

													BgL_pairz00_2876 = BgL_nodesz00_1515;
													BgL_objz00_2877 = ((obj_t) BgL_arg2006z00_1521);
													SET_CAR(BgL_pairz00_2876, BgL_objz00_2877);
												}
											}
											{
												obj_t BgL_nodesz00_4174;

												BgL_nodesz00_4174 = CDR(BgL_nodesz00_1515);
												BgL_nodesz00_1515 = BgL_nodesz00_4174;
												goto BgL_zc3anonymousza32001ze3z83_1516;
											}
										}
								}
								return ((BgL_nodez00_bglt) BgL_auxz00_4149);
							}
						}
					}
				}
			}
		}
	}



/* &coerce!-closure1936 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure1936za2zzcoerce_coercez00(obj_t
		BgL_envz00_3272, BgL_closurez00_bglt BgL_nodez00_3273,
		obj_t BgL_callerz00_3274, obj_t BgL_toz00_3275, obj_t BgL_safez00_3276)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 120 */
			{
				BgL_closurez00_bglt BgL_nodez00_1497;
				obj_t BgL_callerz00_1498;
				obj_t BgL_toz00_1499;
				obj_t BgL_safez00_1500;

				BgL_nodez00_1497 = BgL_nodez00_3273;
				BgL_callerz00_1498 = BgL_callerz00_3274;
				BgL_toz00_1499 = BgL_toz00_3275;
				BgL_safez00_1500 = BgL_safez00_3276;
				{	/* Coerce/coerce.scm 121 */
					obj_t BgL_arg1999z00_2869;

					BgL_arg1999z00_2869 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1497));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2415z00zzcoerce_coercez00,
							BGl_string2447z00zzcoerce_coercez00, BgL_arg1999z00_2869));
				}
			}
		}
	}



/* &coerce!-var1934 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var1934za2zzcoerce_coercez00(obj_t
		BgL_envz00_3277, BgL_varz00_bglt BgL_nodez00_3278, obj_t BgL_callerz00_3279,
		obj_t BgL_toz00_3280, obj_t BgL_safez00_3281)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 105 */
			{
				BgL_varz00_bglt BgL_nodez00_1483;
				obj_t BgL_callerz00_1484;
				obj_t BgL_toz00_1485;
				obj_t BgL_safez00_1486;

				BgL_nodez00_1483 = BgL_nodez00_3278;
				BgL_callerz00_1484 = BgL_callerz00_3279;
				BgL_toz00_1485 = BgL_toz00_3280;
				BgL_safez00_1486 = BgL_safez00_3281;
				{	/* Coerce/coerce.scm 107 */
					BgL_typez00_bglt BgL_ntypez00_1490;
					BgL_typez00_bglt BgL_vtypez00_1491;

					BgL_ntypez00_1490 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1483));
					BgL_vtypez00_1491 =
						(((BgL_variablez00_bglt) CREF(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1483))->
									BgL_variablez00)))->BgL_typez00);
					if ((((obj_t) BgL_vtypez00_1491) == BgL_toz00_1485))
						{	/* Coerce/coerce.scm 110 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1483);
						}
					else
						{	/* Coerce/coerce.scm 110 */
							if ((((obj_t) BgL_ntypez00_1490) == ((obj_t) BgL_vtypez00_1491)))
								{	/* Coerce/coerce.scm 112 */
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1483), BgL_ntypez00_1490,
										((BgL_typez00_bglt) BgL_toz00_1485),
										CBOOL(BgL_safez00_1486));
								}
							else
								{	/* Coerce/coerce.scm 115 */
									BgL_nodez00_bglt BgL_arg1997z00_1494;

									BgL_arg1997z00_1494 =
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1483), BgL_vtypez00_1491,
										BgL_ntypez00_1490, ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(BgL_arg1997z00_1494,
										BgL_ntypez00_1490, ((BgL_typez00_bglt) BgL_toz00_1485),
										CBOOL(BgL_safez00_1486));
								}
						}
				}
			}
		}
	}



/* &coerce!-kwote1932 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote1932za2zzcoerce_coercez00(obj_t
		BgL_envz00_3282, BgL_kwotez00_bglt BgL_nodez00_3283,
		obj_t BgL_callerz00_3284, obj_t BgL_toz00_3285, obj_t BgL_safez00_3286)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 90 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1475;
				obj_t BgL_callerz00_1476;
				obj_t BgL_toz00_1477;
				obj_t BgL_safez00_1478;

				BgL_nodez00_1475 = BgL_nodez00_3283;
				BgL_callerz00_1476 = BgL_callerz00_3284;
				BgL_toz00_1477 = BgL_toz00_3285;
				BgL_safez00_1478 = BgL_safez00_3286;
				{	/* Coerce/coerce.scm 91 */
					BgL_typez00_bglt BgL_arg1994z00_2865;

					BgL_arg1994z00_2865 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1475));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1475), BgL_arg1994z00_2865,
						((BgL_typez00_bglt) BgL_toz00_1477), CBOOL(BgL_safez00_1478));
				}
			}
		}
	}



/* &coerce!-atom1930 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom1930za2zzcoerce_coercez00(obj_t
		BgL_envz00_3287, BgL_atomz00_bglt BgL_nodez00_3288,
		obj_t BgL_callerz00_3289, obj_t BgL_toz00_3290, obj_t BgL_safez00_3291)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 84 */
			{
				BgL_atomz00_bglt BgL_nodez00_1467;
				obj_t BgL_callerz00_1468;
				obj_t BgL_toz00_1469;
				obj_t BgL_safez00_1470;

				BgL_nodez00_1467 = BgL_nodez00_3288;
				BgL_callerz00_1468 = BgL_callerz00_3289;
				BgL_toz00_1469 = BgL_toz00_3290;
				BgL_safez00_1470 = BgL_safez00_3291;
				{	/* Coerce/coerce.scm 85 */
					BgL_typez00_bglt BgL_arg1993z00_2864;

					BgL_arg1993z00_2864 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1467));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1467), BgL_arg1993z00_2864,
						((BgL_typez00_bglt) BgL_toz00_1469), CBOOL(BgL_safez00_1470));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 419328946),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 435902431),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 40876382),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2448z00zzcoerce_coercez00));
		}
	}

#ifdef __cplusplus
}
#endif
