/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62dataflowzd2nodez12zd2selec2073z70zzdataflow_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca2063z70zzdataflow_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2fail2071z70zzdataflow_walkz00(obj_t,
		BgL_failz00_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza32219ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62abortzf3zd2letzd2fun2113z91zzdataflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32180ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez122050za2zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2app2059z70zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62zc3anonymousza32256ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza32275ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu2055z70zzdataflow_walkz00(obj_t,
		BgL_closurez00_bglt, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2letzd2var2111z91zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22100zb0zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62abortzf3zd2sequence2109z43zzdataflow_walkz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22103zb0zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in2093zb0zzdataflow_walkz00(obj_t,
		BgL_instanceofz00_bglt);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque2057z70zzdataflow_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2175z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2178z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2env2088z62zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2181z62zzdataflow_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2190z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2191z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2196z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2197z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e2079za2zzdataflow_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter2065z70zzdataflow_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va2097zb0zzdataflow_walkz00(obj_t,
		BgL_varz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq2067z70zzdataflow_walkz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi2069z70zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var2053z70zzdataflow_walkz00(obj_t,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32242ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r2085za2zzdataflow_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f2075za2zzdataflow_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62abortzf32104z91zzdataflow_walkz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v2077za2zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd22081za2zzdataflow_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s2087za2zzdataflow_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	static obj_t BGl_z62abortzf3zd2app2117z43zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2funcall2119z43zzdataflow_walkz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap2091zb0zzdataflow_walkz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd22083za2zzdataflow_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62abortzf3zd2conditional2115z43zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly2121z91zzdataflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2fail2107z43zzdataflow_walkz00(obj_t,
		BgL_failz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2co2095zb0zzdataflow_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l2061za2zzdataflow_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le2099zb0zzdataflow_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2191za7622698z00, BGl_z62lambda2191z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2190za7622699z00, BGl_z62lambda2190z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2197za7622700z00, BGl_z62lambda2197z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2196za7622701z00, BGl_z62lambda2196z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2181za7622702z00, BGl_z62lambda2181z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72703za7,
		BGl_z62zc3anonymousza32180ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2178za7622704z00, BGl_z62lambda2178z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2175za7622705z00, BGl_z62lambda2175z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2706z00,
		BGl_z62dataflowzd2nodez122050za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2707z00,
		BGl_z62dataflowzd2testzd2env2088z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2708z00,
		BGl_z62dataflowzd2testzd2falsezd22100zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f32104za72709za7,
		BGl_z62abortzf32104z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2710z00,
		BGl_z62dataflowzd2nodez12zd2var2053z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2711z00,
		BGl_z62dataflowzd2nodez12zd2closu2055z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2712z00,
		BGl_z62dataflowzd2nodez12zd2seque2057z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2713z00,
		BGl_z62dataflowzd2nodez12zd2app2059z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2714z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l2061za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2715z00,
		BGl_z62dataflowzd2nodez12zd2funca2063z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2716z00,
		BGl_z62dataflowzd2nodez12zd2exter2065z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2717z00,
		BGl_z62dataflowzd2nodez12zd2setq2067z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2718z00,
		BGl_z62dataflowzd2nodez12zd2condi2069z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2719z00,
		BGl_z62dataflowzd2nodez12zd2fail2071z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2720z00,
		BGl_z62dataflowzd2nodez12zd2selec2073z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2721z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f2075za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2722z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v2077za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2723z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e2079za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2724z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd22081za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2725z00,
		BGl_z62dataflowzd2nodez12zd2makezd22083za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2726z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r2085za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2727z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s2087za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2728z00,
		BGl_z62dataflowzd2testzd2envzd2ap2091zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2729z00,
		BGl_z62dataflowzd2testzd2envzd2in2093zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2730z00,
		BGl_z62dataflowzd2testzd2envzd2co2095zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2731z00,
		BGl_z62dataflowzd2testzd2envzd2va2097zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2732z00,
		BGl_z62dataflowzd2testzd2envzd2le2099zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2733z00,
		BGl_z62dataflowzd2testzd2falsezd22103zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2734za7,
		BGl_z62abortzf3zd2fail2107z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2735za7,
		BGl_z62abortzf3zd2sequence2109z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2736za7,
		BGl_z62abortzf3zd2letzd2var2111z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2737za7,
		BGl_z62abortzf3zd2letzd2fun2113z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2738za7,
		BGl_z62abortzf3zd2conditional2115z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2739za7,
		BGl_z62abortzf3zd2app2117z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2740za7,
		BGl_z62abortzf3zd2funcall2119z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2741za7,
		BGl_z62abortzf3zd2appzd2ly2121z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72742za7,
		BGl_z62zc3anonymousza32219ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2743z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2744z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72745za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2746z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2633z00zzdataflow_walkz00,
		BgL_bgl_string2633za700za7za7d2747za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2634z00zzdataflow_walkz00,
		BgL_bgl_string2634za700za7za7d2748za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2635z00zzdataflow_walkz00,
		BgL_bgl_string2635za700za7za7d2749za7, " error", 6);
	      DEFINE_STRING(BGl_string2636z00zzdataflow_walkz00,
		BgL_bgl_string2636za700za7za7d2750za7, "s", 1);
	      DEFINE_STRING(BGl_string2637z00zzdataflow_walkz00,
		BgL_bgl_string2637za700za7za7d2751za7, "", 0);
	      DEFINE_STRING(BGl_string2638z00zzdataflow_walkz00,
		BgL_bgl_string2638za700za7za7d2752za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2639z00zzdataflow_walkz00,
		BgL_bgl_string2639za700za7za7d2753za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2649z00zzdataflow_walkz00,
		BgL_bgl_string2649za700za7za7d2754za7, "dataflow-node!2050", 18);
	      DEFINE_STRING(BGl_string2651z00zzdataflow_walkz00,
		BgL_bgl_string2651za700za7za7d2755za7, "dataflow-test-env2088", 21);
	      DEFINE_STRING(BGl_string2653z00zzdataflow_walkz00,
		BgL_bgl_string2653za700za7za7d2756za7, "dataflow-test-false-2100", 24);
	      DEFINE_STRING(BGl_string2655z00zzdataflow_walkz00,
		BgL_bgl_string2655za700za7za7d2757za7, "abort?2104", 10);
	      DEFINE_STRING(BGl_string2657z00zzdataflow_walkz00,
		BgL_bgl_string2657za700za7za7d2758za7, "dataflow-node!", 14);
	      DEFINE_STRING(BGl_string2676z00zzdataflow_walkz00,
		BgL_bgl_string2676za700za7za7d2759za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2682z00zzdataflow_walkz00,
		BgL_bgl_string2682za700za7za7d2760za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2684z00zzdataflow_walkz00,
		BgL_bgl_string2684za700za7za7d2761za7, "abort?", 6);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2762z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2693z00zzdataflow_walkz00,
		BgL_bgl_string2693za700za7za7d2763za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2694z00zzdataflow_walkz00,
		BgL_bgl_string2694za700za7za7d2764za7,
		"read _ dataflow_walk local/value int stamp node $epair? $pair? foreign $null? pass-started ",
		91);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3878, char *BgL_fromz00_3879)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3861;

				BgL_cportz00_3861 =
					bgl_open_input_string(BGl_string2694z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3862;

					BgL_iz00_3862 = ((long) 11);
				BgL_loopz00_3863:
					if ((BgL_iz00_3862 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2696z00_3865;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3867;

										BgL_locationz00_3867 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2696z00_3865 =
												BGl_readz00zz__readerz00(BgL_cportz00_3861,
												BgL_locationz00_3867);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_3906;

									BgL_auxz00_3906 = (int) (BgL_iz00_3862);
									CNST_TABLE_SET(BgL_auxz00_3906, BgL_arg2696z00_3865);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3868;

								BgL_auxz00_3868 = (int) ((BgL_iz00_3862 - ((long) 1)));
								{
									long BgL_iz00_3911;

									BgL_iz00_3911 = (long) (BgL_auxz00_3868);
									BgL_iz00_3862 = BgL_iz00_3911;
									goto BgL_loopz00_3863;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1560;

				BgL_headz00_1560 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1561;
					obj_t BgL_tailz00_1562;

					BgL_prevz00_1561 = BgL_headz00_1560;
					BgL_tailz00_1562 = BgL_l1z00_1;
				BgL_loopz00_1563:
					if (PAIRP(BgL_tailz00_1562))
						{
							obj_t BgL_newzd2prevzd2_1565;

							BgL_newzd2prevzd2_1565 =
								MAKE_PAIR(CAR(BgL_tailz00_1562), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1561, BgL_newzd2prevzd2_1565);
							{
								obj_t BgL_tailz00_3920;
								obj_t BgL_prevz00_3919;

								BgL_prevz00_3919 = BgL_newzd2prevzd2_1565;
								BgL_tailz00_3920 = CDR(BgL_tailz00_1562);
								BgL_tailz00_1562 = BgL_tailz00_3920;
								BgL_prevz00_1561 = BgL_prevz00_3919;
								goto BgL_loopz00_1563;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1560);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			{	/* Dataflow/walk.scm 45 */
				obj_t BgL_list2128z00_1600;

				{	/* Dataflow/walk.scm 45 */
					obj_t BgL_arg2129z00_1601;

					{	/* Dataflow/walk.scm 45 */
						obj_t BgL_arg2132z00_1602;

						BgL_arg2132z00_1602 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2129z00_1601 =
							MAKE_PAIR(BgL_namez00_57, BgL_arg2132z00_1602);
					}
					BgL_list2128z00_1600 =
						MAKE_PAIR(BGl_string2633z00zzdataflow_walkz00, BgL_arg2129z00_1601);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2128z00_1600);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1606;
				obj_t BgL_hnamesz00_1607;

				BgL_hooksz00_1606 = BNIL;
				BgL_hnamesz00_1607 = BNIL;
			BgL_zc3anonymousza32133ze3z83_1608:
				if (NULLP(BgL_hooksz00_1606))
					{	/* Dataflow/walk.scm 45 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 45 */
						bool_t BgL_testz00_3933;

						{	/* Dataflow/walk.scm 45 */
							obj_t BgL_fun2141z00_1614;

							BgL_fun2141z00_1614 = CAR(BgL_hooksz00_1606);
							BgL_testz00_3933 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2141z00_1614) (BgL_fun2141z00_1614,
									BEOA));
						}
						if (BgL_testz00_3933)
							{
								obj_t BgL_hnamesz00_3941;
								obj_t BgL_hooksz00_3939;

								BgL_hooksz00_3939 = CDR(BgL_hooksz00_1606);
								BgL_hnamesz00_3941 = CDR(BgL_hnamesz00_1607);
								BgL_hnamesz00_1607 = BgL_hnamesz00_3941;
								BgL_hooksz00_1606 = BgL_hooksz00_3939;
								goto BgL_zc3anonymousza32133ze3z83_1608;
							}
						else
							{	/* Dataflow/walk.scm 45 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2634z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1607));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l2025z00_1618;

				BgL_l2025z00_1618 = BgL_globalsz00_56;
			BgL_zc3anonymousza32143ze3z83_1619:
				if (PAIRP(BgL_l2025z00_1618))
					{	/* Dataflow/walk.scm 49 */
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg2145z00_1621;

							BgL_arg2145z00_1621 = CAR(BgL_l2025z00_1618);
							{	/* Dataflow/walk.scm 49 */
								obj_t BgL_arg2162z00_3145;

								BgL_arg2162z00_3145 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2145z00_1621))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg2162z00_3145), BNIL);
							}
						}
						{
							obj_t BgL_l2025z00_3964;

							BgL_l2025z00_3964 = CDR(BgL_l2025z00_1618);
							BgL_l2025z00_1618 = BgL_l2025z00_3964;
							goto BgL_zc3anonymousza32143ze3z83_1619;
						}
					}
				else
					{	/* Dataflow/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 50 */
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_port2027z00_1626;

						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_res2522z00_3157;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_auxz00_3969;

								BgL_auxz00_3969 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2522z00_3157 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3969);
							}
							BgL_port2027z00_1626 = BgL_res2522z00_3157;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port2027z00_1626);
						BGL_DISPLAY_STRING(BGl_string2635z00zzdataflow_walkz00,
							BgL_port2027z00_1626);
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg2148z00_1627;

							{	/* Dataflow/walk.scm 50 */
								bool_t BgL_testz00_3974;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 50 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_3974 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_3974 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_testz00_3974 = ((bool_t) 0);
									}
								if (BgL_testz00_3974)
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2148z00_1627 = BGl_string2636z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2148z00_1627 = BGl_string2637z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2148z00_1627, BgL_port2027z00_1626);
						}
						BGL_DISPLAY_STRING(BGl_string2638z00zzdataflow_walkz00,
							BgL_port2027z00_1626);
						bgl_display_char(((unsigned char) '\n'), BgL_port2027z00_1626);
					}
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_list2152z00_1631;

						BgL_list2152z00_1631 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2152z00_1631);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1635;
					obj_t BgL_hnamesz00_1636;

					BgL_hooksz00_1635 = BNIL;
					BgL_hnamesz00_1636 = BNIL;
				BgL_zc3anonymousza32153ze3z83_1637:
					if (NULLP(BgL_hooksz00_1635))
						{	/* Dataflow/walk.scm 50 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 50 */
							bool_t BgL_testz00_3991;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_fun2160z00_1643;

								BgL_fun2160z00_1643 = CAR(BgL_hooksz00_1635);
								BgL_testz00_3991 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2160z00_1643)
									(BgL_fun2160z00_1643, BEOA));
							}
							if (BgL_testz00_3991)
								{
									obj_t BgL_hnamesz00_3999;
									obj_t BgL_hooksz00_3997;

									BgL_hooksz00_3997 = CDR(BgL_hooksz00_1635);
									BgL_hnamesz00_3999 = CDR(BgL_hnamesz00_1636);
									BgL_hnamesz00_1636 = BgL_hnamesz00_3999;
									BgL_hooksz00_1635 = BgL_hooksz00_3997;
									goto BgL_zc3anonymousza32153ze3z83_1637;
								}
							else
								{	/* Dataflow/walk.scm 50 */
									obj_t BgL_arg2159z00_1642;

									BgL_arg2159z00_1642 = CAR(BgL_hnamesz00_1636);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2639z00zzdataflow_walkz00, BgL_arg2159z00_1642);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3669,
		obj_t BgL_globalsz00_3670, obj_t BgL_namez00_3671)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3670,
				BgL_namez00_3671);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_97,
		obj_t BgL_envz00_98)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 299 */
			{
				obj_t BgL_l2034z00_1649;

				BgL_l2034z00_1649 = BgL_nodeza2za2_97;
			BgL_zc3anonymousza32164ze3z83_1650:
				if (PAIRP(BgL_l2034z00_1649))
					{	/* Dataflow/walk.scm 300 */
						{	/* Dataflow/walk.scm 300 */
							obj_t BgL_nz00_1652;

							BgL_nz00_1652 = CAR(BgL_l2034z00_1649);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1652), BgL_envz00_98);
						}
						{
							obj_t BgL_l2034z00_4009;

							BgL_l2034z00_4009 = CDR(BgL_l2034z00_1649);
							BgL_l2034z00_1649 = BgL_l2034z00_4009;
							goto BgL_zc3anonymousza32164ze3z83_1650;
						}
					}
				else
					{	/* Dataflow/walk.scm 300 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_98;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 36 */
				obj_t BgL_arg2172z00_1659;
				obj_t BgL_arg2174z00_1660;

				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2048z00_1694;

					BgL_v2048z00_1694 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2185z00_1695;

						BgL_arg2185z00_1695 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2641z00zzdataflow_walkz00,
							BGl_proc2640z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2048z00_1694, (int) (((long) 1)),
							BgL_arg2185z00_1695);
					}
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2193z00_1707;

						BgL_arg2193z00_1707 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2643z00zzdataflow_walkz00,
							BGl_proc2642z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v2048z00_1694, (int) (((long) 0)),
							BgL_arg2193z00_1707);
					}
					BgL_arg2172z00_1659 = BgL_v2048z00_1694;
				}
				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2049z00_1719;

					BgL_v2049z00_1719 = create_vector((int) (((long) 0)));
					BgL_arg2174z00_1660 = BgL_v2049z00_1719;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2647z00zzdataflow_walkz00,
						BGl_proc2646z00zzdataflow_walkz00, BFALSE,
						BGl_proc2645z00zzdataflow_walkz00,
						BGl_proc2644z00zzdataflow_walkz00, BgL_arg2172z00_1659,
						BgL_arg2174z00_1660), BUNSPEC);
		}}
	}



/* &lambda2181 */
	BgL_localz00_bglt BGl_z62lambda2181z62zzdataflow_walkz00(obj_t
		BgL_envz00_3680, obj_t BgL_o1117z00_3681)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1117z00_1688;

				BgL_o1117z00_1688 = ((BgL_localz00_bglt) BgL_o1117z00_3681);
				{	/* Dataflow/walk.scm 36 */
					long BgL_arg2182z00_1691;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2183z00_1692;

						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_arg2184z00_1693;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objectz00_3227;

								BgL_objectz00_3227 = ((BgL_objectz00_bglt) BgL_o1117z00_1688);
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg1815z00_3228;

									{	/* Dataflow/walk.scm 36 */
										long BgL_arg1816z00_3229;

										{	/* Dataflow/walk.scm 36 */
											long BgL_res2532z00_3231;

											BgL_res2532z00_3231 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3227);
											BgL_arg1816z00_3229 = BgL_res2532z00_3231;
										}
										BgL_arg1815z00_3228 = (BgL_arg1816z00_3229 - OBJECT_TYPE);
									}
									BgL_arg2184z00_1693 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1815z00_3228));
							}}
							BgL_arg2183z00_1692 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2184z00_1693);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_res2534z00_3240;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_classz00_3237;

								BgL_classz00_3237 = BgL_arg2183z00_1692;
								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_vectorz00_3238;
									int BgL_kz00_3239;

									BgL_vectorz00_3238 = BgL_classz00_3237;
									BgL_kz00_3239 = (int) (((long) 1));
									BgL_res2534z00_3240 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3238, BgL_kz00_3239));
							}}
							BgL_arg2182z00_1691 = BgL_res2534z00_3240;
					}}
					{	/* Dataflow/walk.scm 36 */
						BgL_objectz00_bglt BgL_objz00_3241;

						BgL_objz00_3241 = ((BgL_objectz00_bglt) BgL_o1117z00_1688);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3241, BgL_arg2182z00_1691);
				}}
				{	/* Dataflow/walk.scm 36 */
					BgL_objectz00_bglt BgL_auxz00_4038;

					BgL_auxz00_4038 = ((BgL_objectz00_bglt) BgL_o1117z00_1688);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4038, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1117z00_1688);
			}
		}
	}



/* &<anonymous:2180> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32180ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3682, obj_t BgL_new1116z00_3683)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_new1116z00_1686;

				BgL_new1116z00_1686 = ((BgL_localz00_bglt) BgL_new1116z00_3683);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1116z00_1686)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4048;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3215;

						BgL_classz00_3215 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1090z00_3216;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3217;
								int BgL_kz00_3218;

								BgL_vectorz00_3217 = BgL_classz00_3215;
								BgL_kz00_3218 = (int) (((long) 17));
								BgL__ortest_1090z00_3216 =
									VECTOR_REF(BgL_vectorz00_3217, BgL_kz00_3218);
							}
							if (CBOOL(BgL__ortest_1090z00_3216))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4048 =
										((BgL_typez00_bglt) BgL__ortest_1090z00_3216);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4048 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3215));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1116z00_1686)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4048), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4058;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3219;

						BgL_classz00_3219 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1090z00_3220;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3221;
								int BgL_kz00_3222;

								BgL_vectorz00_3221 = BgL_classz00_3219;
								BgL_kz00_3222 = (int) (((long) 17));
								BgL__ortest_1090z00_3220 =
									VECTOR_REF(BgL_vectorz00_3221, BgL_kz00_3222);
							}
							if (CBOOL(BgL__ortest_1090z00_3220))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4058 =
										((BgL_valuez00_bglt) BgL__ortest_1090z00_3220);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4058 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3219));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1116z00_1686)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4058), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1116z00_1686)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1686)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1116z00_1686)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4082;

					{
						obj_t BgL_auxz00_4083;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4084;

							BgL_auxz00_4084 = ((BgL_objectz00_bglt) BgL_new1116z00_1686);
							BgL_auxz00_4083 = BGL_OBJECT_WIDENING(BgL_auxz00_4084);
						}
						BgL_auxz00_4082 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4083);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4082))->BgL_stampz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4096;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4090;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3223;

						BgL_classz00_3223 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1090z00_3224;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3225;
								int BgL_kz00_3226;

								BgL_vectorz00_3225 = BgL_classz00_3223;
								BgL_kz00_3226 = (int) (((long) 17));
								BgL__ortest_1090z00_3224 =
									VECTOR_REF(BgL_vectorz00_3225, BgL_kz00_3226);
							}
							if (CBOOL(BgL__ortest_1090z00_3224))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4096 =
										((BgL_nodez00_bglt) BgL__ortest_1090z00_3224);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4096 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3223));
								}
						}
					}
					{
						obj_t BgL_auxz00_4091;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4092;

							BgL_auxz00_4092 = ((BgL_objectz00_bglt) BgL_new1116z00_1686);
							BgL_auxz00_4091 = BGL_OBJECT_WIDENING(BgL_auxz00_4092);
						}
						BgL_auxz00_4090 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4091);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4090))->BgL_nodez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4096), BUNSPEC);
				}
				return BgL_new1116z00_1686;
			}
		}
	}



/* &lambda2178 */
	BgL_localz00_bglt BGl_z62lambda2178z62zzdataflow_walkz00(obj_t
		BgL_envz00_3684, obj_t BgL_o1113z00_3685)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1113z00_1681;

				BgL_o1113z00_1681 = ((BgL_localz00_bglt) BgL_o1113z00_3685);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_tmp1114z00_1683;
					BgL_localzf2valuezf2_bglt BgL_wide1115z00_1684;

					BgL_tmp1114z00_1683 = ((BgL_localz00_bglt) BgL_o1113z00_1681);
					BgL_wide1115z00_1684 =
						((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2valuezf2_bgl))));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_auxz00_4110;
						BgL_objectz00_bglt BgL_auxz00_4108;

						BgL_auxz00_4110 = ((obj_t) BgL_wide1115z00_1684);
						BgL_auxz00_4108 = ((BgL_objectz00_bglt) BgL_tmp1114z00_1683);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4108, BgL_auxz00_4110);
					}
					{	/* Dataflow/walk.scm 36 */
						long BgL_arg2179z00_1685;

						{	/* Dataflow/walk.scm 36 */
							long BgL_res2531z00_3212;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_classz00_3209;

								BgL_classz00_3209 = BGl_localzf2valuezf2zzdataflow_walkz00;
								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_vectorz00_3210;
									int BgL_kz00_3211;

									BgL_vectorz00_3210 = BgL_classz00_3209;
									BgL_kz00_3211 = (int) (((long) 1));
									BgL_res2531z00_3212 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3210, BgL_kz00_3211));
							}}
							BgL_arg2179z00_1685 = BgL_res2531z00_3212;
						}
						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_objz00_3213;

							BgL_objz00_3213 = ((BgL_objectz00_bglt) BgL_tmp1114z00_1683);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3213, BgL_arg2179z00_1685));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1114z00_1683);
				}
			}
		}
	}



/* &lambda2175 */
	BgL_localz00_bglt BGl_z62lambda2175z62zzdataflow_walkz00(obj_t
		BgL_envz00_3686, obj_t BgL_id1100z00_3687, obj_t BgL_name1101z00_3688,
		obj_t BgL_type1102z00_3689, obj_t BgL_value1103z00_3690,
		obj_t BgL_access1104z00_3691, obj_t BgL_fastzd2alpha1105zd2_3692,
		obj_t BgL_removable1106z00_3693, obj_t BgL_occurrence1107z00_3694,
		obj_t BgL_occurrencew1108z00_3695, obj_t BgL_userzf31109zf3_3696,
		obj_t BgL_key1110z00_3697, obj_t BgL_stamp1111z00_3698,
		obj_t BgL_node1112z00_3699)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				obj_t BgL_id1100z00_1661;
				obj_t BgL_name1101z00_1662;
				BgL_typez00_bglt BgL_type1102z00_1663;
				BgL_valuez00_bglt BgL_value1103z00_1664;
				obj_t BgL_access1104z00_1665;
				obj_t BgL_fastzd2alpha1105zd2_1666;
				obj_t BgL_removable1106z00_1667;
				long BgL_occurrence1107z00_1668;
				long BgL_occurrencew1108z00_1669;
				bool_t BgL_userzf31109zf3_1670;
				long BgL_key1110z00_1671;
				int BgL_stamp1111z00_1672;
				BgL_nodez00_bglt BgL_node1112z00_1673;

				BgL_id1100z00_1661 = BgL_id1100z00_3687;
				BgL_name1101z00_1662 = BgL_name1101z00_3688;
				BgL_type1102z00_1663 = ((BgL_typez00_bglt) BgL_type1102z00_3689);
				BgL_value1103z00_1664 = ((BgL_valuez00_bglt) BgL_value1103z00_3690);
				BgL_access1104z00_1665 = BgL_access1104z00_3691;
				BgL_fastzd2alpha1105zd2_1666 = BgL_fastzd2alpha1105zd2_3692;
				BgL_removable1106z00_1667 = BgL_removable1106z00_3693;
				BgL_occurrence1107z00_1668 = (long) CINT(BgL_occurrence1107z00_3694);
				BgL_occurrencew1108z00_1669 = (long) CINT(BgL_occurrencew1108z00_3695);
				BgL_userzf31109zf3_1670 = CBOOL(BgL_userzf31109zf3_3696);
				BgL_key1110z00_1671 = (long) CINT(BgL_key1110z00_3697);
				BgL_stamp1111z00_1672 = CINT(BgL_stamp1111z00_3698);
				BgL_node1112z00_1673 = ((BgL_nodez00_bglt) BgL_node1112z00_3699);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_new1208z00_1675;

					{	/* Dataflow/walk.scm 36 */
						BgL_localz00_bglt BgL_tmp1206z00_1676;
						BgL_localzf2valuezf2_bglt BgL_wide1207z00_1677;

						{
							BgL_localz00_bglt BgL_auxz00_4121;

							{	/* Dataflow/walk.scm 36 */
								BgL_localz00_bglt BgL_new1205z00_1679;

								BgL_new1205z00_1679 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg2177z00_1680;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2529z00_3200;

										{	/* Dataflow/walk.scm 36 */
											obj_t BgL_classz00_3197;

											BgL_classz00_3197 = BGl_localz00zzast_varz00;
											{	/* Dataflow/walk.scm 36 */
												obj_t BgL_vectorz00_3198;
												int BgL_kz00_3199;

												BgL_vectorz00_3198 = BgL_classz00_3197;
												BgL_kz00_3199 = (int) (((long) 1));
												BgL_res2529z00_3200 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3198,
														BgL_kz00_3199));
										}}
										BgL_arg2177z00_1680 = BgL_res2529z00_3200;
									}
									{	/* Dataflow/walk.scm 36 */
										BgL_objectz00_bglt BgL_objz00_3201;

										BgL_objz00_3201 =
											((BgL_objectz00_bglt) BgL_new1205z00_1679);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3201,
											BgL_arg2177z00_1680);
								}}
								{	/* Dataflow/walk.scm 36 */
									BgL_objectz00_bglt BgL_auxz00_4128;

									BgL_auxz00_4128 = ((BgL_objectz00_bglt) BgL_new1205z00_1679);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4128, BFALSE);
								}
								BgL_auxz00_4121 = BgL_new1205z00_1679;
							}
							BgL_tmp1206z00_1676 = ((BgL_localz00_bglt) BgL_auxz00_4121);
						}
						BgL_wide1207z00_1677 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_auxz00_4135;
							BgL_objectz00_bglt BgL_auxz00_4133;

							BgL_auxz00_4135 = ((obj_t) BgL_wide1207z00_1677);
							BgL_auxz00_4133 = ((BgL_objectz00_bglt) BgL_tmp1206z00_1676);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4133, BgL_auxz00_4135);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_arg2176z00_1678;

							{	/* Dataflow/walk.scm 36 */
								long BgL_res2530z00_3206;

								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_classz00_3203;

									BgL_classz00_3203 = BGl_localzf2valuezf2zzdataflow_walkz00;
									{	/* Dataflow/walk.scm 36 */
										obj_t BgL_vectorz00_3204;
										int BgL_kz00_3205;

										BgL_vectorz00_3204 = BgL_classz00_3203;
										BgL_kz00_3205 = (int) (((long) 1));
										BgL_res2530z00_3206 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3204,
												BgL_kz00_3205));
								}}
								BgL_arg2176z00_1678 = BgL_res2530z00_3206;
							}
							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objz00_3207;

								BgL_objz00_3207 = ((BgL_objectz00_bglt) BgL_tmp1206z00_1676);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3207,
										BgL_arg2176z00_1678));
						}}
						BgL_new1208z00_1675 = ((BgL_localz00_bglt) BgL_tmp1206z00_1676);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1208z00_1675)))->BgL_idz00) =
						((obj_t) BgL_id1100z00_1661), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_namez00) =
						((obj_t) BgL_name1101z00_1662), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1102z00_1663), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1103z00_1664), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_accessz00) =
						((obj_t) BgL_access1104z00_1665), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1105zd2_1666), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_removablez00) =
						((obj_t) BgL_removable1106z00_1667), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_occurrencez00) =
						((long) BgL_occurrence1107z00_1668), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1108z00_1669), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1208z00_1675)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31109zf3_1670), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1208z00_1675)))->BgL_keyz00) =
						((long) BgL_key1110z00_1671), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4167;

						{
							obj_t BgL_auxz00_4168;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4169;

								BgL_auxz00_4169 = ((BgL_objectz00_bglt) BgL_new1208z00_1675);
								BgL_auxz00_4168 = BGL_OBJECT_WIDENING(BgL_auxz00_4169);
							}
							BgL_auxz00_4167 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4168);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4167))->
								BgL_stampz00) = ((int) BgL_stamp1111z00_1672), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4174;

						{
							obj_t BgL_auxz00_4175;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4176;

								BgL_auxz00_4176 = ((BgL_objectz00_bglt) BgL_new1208z00_1675);
								BgL_auxz00_4175 = BGL_OBJECT_WIDENING(BgL_auxz00_4176);
							}
							BgL_auxz00_4174 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4175);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4174))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) BgL_node1112z00_1673), BUNSPEC);
					}
					return BgL_new1208z00_1675;
				}
			}
		}
	}



/* &lambda2197 */
	obj_t BGl_z62lambda2197z62zzdataflow_walkz00(obj_t BgL_envz00_3700,
		obj_t BgL_oz00_3701, obj_t BgL_vz00_3702)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1713;
				int BgL_vz00_1714;

				BgL_oz00_1713 = ((BgL_localz00_bglt) BgL_oz00_3701);
				BgL_vz00_1714 = CINT(BgL_vz00_3702);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4189;

					{
						obj_t BgL_auxz00_4190;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4191;

							BgL_auxz00_4191 = ((BgL_objectz00_bglt) BgL_oz00_1713);
							BgL_auxz00_4190 = BGL_OBJECT_WIDENING(BgL_auxz00_4191);
						}
						BgL_auxz00_4189 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4190);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4189))->
							BgL_stampz00) = ((int) BgL_vz00_1714), BUNSPEC);
		}}}
	}



/* &lambda2196 */
	obj_t BGl_z62lambda2196z62zzdataflow_walkz00(obj_t BgL_envz00_3703,
		obj_t BgL_oz00_3704)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1710;

				{	/* Dataflow/walk.scm 36 */
					int BgL_auxz00_4198;

					BgL_oz00_1710 = ((BgL_localz00_bglt) BgL_oz00_3704);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4199;

						{
							obj_t BgL_auxz00_4200;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4201;

								BgL_auxz00_4201 = ((BgL_objectz00_bglt) BgL_oz00_1710);
								BgL_auxz00_4200 = BGL_OBJECT_WIDENING(BgL_auxz00_4201);
							}
							BgL_auxz00_4199 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4200);
						}
						BgL_auxz00_4198 =
							(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4199))->
							BgL_stampz00);
					}
					return BINT(BgL_auxz00_4198);
				}
			}
		}
	}



/* &lambda2191 */
	obj_t BGl_z62lambda2191z62zzdataflow_walkz00(obj_t BgL_envz00_3705,
		obj_t BgL_oz00_3706, obj_t BgL_vz00_3707)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1701;
				BgL_nodez00_bglt BgL_vz00_1702;

				BgL_oz00_1701 = ((BgL_localz00_bglt) BgL_oz00_3706);
				BgL_vz00_1702 = ((BgL_nodez00_bglt) BgL_vz00_3707);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4208;

					{
						obj_t BgL_auxz00_4209;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4210;

							BgL_auxz00_4210 = ((BgL_objectz00_bglt) BgL_oz00_1701);
							BgL_auxz00_4209 = BGL_OBJECT_WIDENING(BgL_auxz00_4210);
						}
						BgL_auxz00_4208 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4209);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4208))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_vz00_1702), BUNSPEC);
				}
			}
		}
	}



/* &lambda2190 */
	BgL_nodez00_bglt BGl_z62lambda2190z62zzdataflow_walkz00(obj_t BgL_envz00_3708,
		obj_t BgL_oz00_3709)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1698;

				BgL_oz00_1698 = ((BgL_localz00_bglt) BgL_oz00_3709);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4217;

					{
						obj_t BgL_auxz00_4218;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4219;

							BgL_auxz00_4219 = ((BgL_objectz00_bglt) BgL_oz00_1698);
							BgL_auxz00_4218 = BGL_OBJECT_WIDENING(BgL_auxz00_4219);
						}
						BgL_auxz00_4217 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4218);
					}
					return
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4217))->BgL_nodez00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2648z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2649z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2650z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2651z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2652z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2653z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2654z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2655z00zzdataflow_walkz00);
		}
	}



/* &abort?2104 */
	obj_t BGl_z62abortzf32104z91zzdataflow_walkz00(obj_t BgL_envz00_3714,
		BgL_nodez00_bglt BgL_nodez00_3715)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-2100 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22100zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3716, BgL_nodez00_bglt BgL_nodez00_3717)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			return BNIL;
		}
	}



/* &dataflow-test-env2088 */
	obj_t BGl_z62dataflowzd2testzd2env2088z62zzdataflow_walkz00(obj_t
		BgL_envz00_3718, BgL_nodez00_bglt BgL_nodez00_3719)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			return BNIL;
		}
	}



/* &dataflow-node!2050 */
	obj_t BGl_z62dataflowzd2nodez122050za2zzdataflow_walkz00(obj_t
		BgL_envz00_3720, BgL_nodez00_bglt BgL_nodez00_3721, obj_t BgL_envz00_3722)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return BgL_envz00_3722;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			{	/* Dataflow/walk.scm 68 */
				obj_t BgL_method2051z00_1741;

				{	/* Dataflow/walk.scm 68 */
					obj_t BgL_res2541z00_3271;

					{	/* Dataflow/walk.scm 68 */
						BgL_objectz00_bglt BgL_objz00_3243;

						BgL_objz00_3243 = ((BgL_objectz00_bglt) BgL_nodez00_59);
						{	/* Dataflow/walk.scm 68 */
							long BgL_objzd2classzd2numz00_3244;

							{	/* Dataflow/walk.scm 68 */
								long BgL_res2535z00_3247;

								BgL_res2535z00_3247 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3243);
								BgL_objzd2classzd2numz00_3244 = BgL_res2535z00_3247;
							}
							{	/* Dataflow/walk.scm 68 */
								obj_t BgL_arg1812z00_3245;

								BgL_arg1812z00_3245 =
									PROCEDURE_REF
									(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 68 */
									obj_t BgL_arrayz00_3248;
									int BgL_offsetz00_3249;

									BgL_arrayz00_3248 = BgL_arg1812z00_3245;
									BgL_offsetz00_3249 = (int) (BgL_objzd2classzd2numz00_3244);
									{	/* Dataflow/walk.scm 68 */
										long BgL_offsetz00_3250;

										BgL_offsetz00_3250 =
											((long) (BgL_offsetz00_3249) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 68 */
											long BgL_modz00_3251;

											{	/* Dataflow/walk.scm 68 */
												int BgL_arg1814z00_3252;

												BgL_arg1814z00_3252 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 68 */
													long BgL_res2538z00_3262;

													{	/* Dataflow/walk.scm 68 */
														long BgL_auxz00_4238;

														BgL_auxz00_4238 = (long) (BgL_arg1814z00_3252);
														BgL_res2538z00_3262 =
															(BgL_offsetz00_3250 / BgL_auxz00_4238);
													}
													BgL_modz00_3251 = BgL_res2538z00_3262;
											}}
											{	/* Dataflow/walk.scm 68 */
												long BgL_restz00_3253;

												{	/* Dataflow/walk.scm 68 */
													int BgL_arg1813z00_3254;

													BgL_arg1813z00_3254 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 68 */
														long BgL_res2540z00_3266;

														{	/* Dataflow/walk.scm 68 */
															long BgL_auxz00_4242;

															BgL_auxz00_4242 = (long) (BgL_arg1813z00_3254);
															BgL_res2540z00_3266 =
																(BgL_offsetz00_3250 % BgL_auxz00_4242);
														}
														BgL_restz00_3253 = BgL_res2540z00_3266;
												}}
												{	/* Dataflow/walk.scm 68 */

													BgL_res2541z00_3271 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3248,
															(int) (BgL_modz00_3251)),
														(int) (BgL_restz00_3253));
					}}}}}}}}
					BgL_method2051z00_1741 = BgL_res2541z00_3271;
				}
				return
					PROCEDURE_ENTRY(BgL_method2051z00_1741) (BgL_method2051z00_1741,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3723,
		obj_t BgL_nodez00_3724, obj_t BgL_envz00_3725)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3724), BgL_envz00_3725);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_99)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			{	/* Dataflow/walk.scm 306 */
				obj_t BgL_method2089z00_1742;

				{	/* Dataflow/walk.scm 306 */
					obj_t BgL_res2548z00_3300;

					{	/* Dataflow/walk.scm 306 */
						BgL_objectz00_bglt BgL_objz00_3272;

						BgL_objz00_3272 = ((BgL_objectz00_bglt) BgL_nodez00_99);
						{	/* Dataflow/walk.scm 306 */
							long BgL_objzd2classzd2numz00_3273;

							{	/* Dataflow/walk.scm 306 */
								long BgL_res2542z00_3276;

								BgL_res2542z00_3276 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3272);
								BgL_objzd2classzd2numz00_3273 = BgL_res2542z00_3276;
							}
							{	/* Dataflow/walk.scm 306 */
								obj_t BgL_arg1812z00_3274;

								BgL_arg1812z00_3274 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 306 */
									obj_t BgL_arrayz00_3277;
									int BgL_offsetz00_3278;

									BgL_arrayz00_3277 = BgL_arg1812z00_3274;
									BgL_offsetz00_3278 = (int) (BgL_objzd2classzd2numz00_3273);
									{	/* Dataflow/walk.scm 306 */
										long BgL_offsetz00_3279;

										BgL_offsetz00_3279 =
											((long) (BgL_offsetz00_3278) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 306 */
											long BgL_modz00_3280;

											{	/* Dataflow/walk.scm 306 */
												int BgL_arg1814z00_3281;

												BgL_arg1814z00_3281 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 306 */
													long BgL_res2545z00_3291;

													{	/* Dataflow/walk.scm 306 */
														long BgL_auxz00_4265;

														BgL_auxz00_4265 = (long) (BgL_arg1814z00_3281);
														BgL_res2545z00_3291 =
															(BgL_offsetz00_3279 / BgL_auxz00_4265);
													}
													BgL_modz00_3280 = BgL_res2545z00_3291;
											}}
											{	/* Dataflow/walk.scm 306 */
												long BgL_restz00_3282;

												{	/* Dataflow/walk.scm 306 */
													int BgL_arg1813z00_3283;

													BgL_arg1813z00_3283 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 306 */
														long BgL_res2547z00_3295;

														{	/* Dataflow/walk.scm 306 */
															long BgL_auxz00_4269;

															BgL_auxz00_4269 = (long) (BgL_arg1813z00_3283);
															BgL_res2547z00_3295 =
																(BgL_offsetz00_3279 % BgL_auxz00_4269);
														}
														BgL_restz00_3282 = BgL_res2547z00_3295;
												}}
												{	/* Dataflow/walk.scm 306 */

													BgL_res2548z00_3300 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3277,
															(int) (BgL_modz00_3280)),
														(int) (BgL_restz00_3282));
					}}}}}}}}
					BgL_method2089z00_1742 = BgL_res2548z00_3300;
				}
				return
					PROCEDURE_ENTRY(BgL_method2089z00_1742) (BgL_method2089z00_1742,
					((obj_t) BgL_nodez00_99), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3726,
		obj_t BgL_nodez00_3727)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3727));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_105)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			{	/* Dataflow/walk.scm 392 */
				obj_t BgL_method2101z00_1743;

				{	/* Dataflow/walk.scm 392 */
					obj_t BgL_res2555z00_3329;

					{	/* Dataflow/walk.scm 392 */
						BgL_objectz00_bglt BgL_objz00_3301;

						BgL_objz00_3301 = ((BgL_objectz00_bglt) BgL_nodez00_105);
						{	/* Dataflow/walk.scm 392 */
							long BgL_objzd2classzd2numz00_3302;

							{	/* Dataflow/walk.scm 392 */
								long BgL_res2549z00_3305;

								BgL_res2549z00_3305 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3301);
								BgL_objzd2classzd2numz00_3302 = BgL_res2549z00_3305;
							}
							{	/* Dataflow/walk.scm 392 */
								obj_t BgL_arg1812z00_3303;

								BgL_arg1812z00_3303 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 392 */
									obj_t BgL_arrayz00_3306;
									int BgL_offsetz00_3307;

									BgL_arrayz00_3306 = BgL_arg1812z00_3303;
									BgL_offsetz00_3307 = (int) (BgL_objzd2classzd2numz00_3302);
									{	/* Dataflow/walk.scm 392 */
										long BgL_offsetz00_3308;

										BgL_offsetz00_3308 =
											((long) (BgL_offsetz00_3307) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 392 */
											long BgL_modz00_3309;

											{	/* Dataflow/walk.scm 392 */
												int BgL_arg1814z00_3310;

												BgL_arg1814z00_3310 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 392 */
													long BgL_res2552z00_3320;

													{	/* Dataflow/walk.scm 392 */
														long BgL_auxz00_4291;

														BgL_auxz00_4291 = (long) (BgL_arg1814z00_3310);
														BgL_res2552z00_3320 =
															(BgL_offsetz00_3308 / BgL_auxz00_4291);
													}
													BgL_modz00_3309 = BgL_res2552z00_3320;
											}}
											{	/* Dataflow/walk.scm 392 */
												long BgL_restz00_3311;

												{	/* Dataflow/walk.scm 392 */
													int BgL_arg1813z00_3312;

													BgL_arg1813z00_3312 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 392 */
														long BgL_res2554z00_3324;

														{	/* Dataflow/walk.scm 392 */
															long BgL_auxz00_4295;

															BgL_auxz00_4295 = (long) (BgL_arg1813z00_3312);
															BgL_res2554z00_3324 =
																(BgL_offsetz00_3308 % BgL_auxz00_4295);
														}
														BgL_restz00_3311 = BgL_res2554z00_3324;
												}}
												{	/* Dataflow/walk.scm 392 */

													BgL_res2555z00_3329 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3306,
															(int) (BgL_modz00_3309)),
														(int) (BgL_restz00_3311));
					}}}}}}}}
					BgL_method2101z00_1743 = BgL_res2555z00_3329;
				}
				return
					PROCEDURE_ENTRY(BgL_method2101z00_1743) (BgL_method2101z00_1743,
					((obj_t) BgL_nodez00_105), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3728, obj_t BgL_nodez00_3729)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3729));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			{	/* Dataflow/walk.scm 420 */
				obj_t BgL_method2105z00_1744;

				{	/* Dataflow/walk.scm 420 */
					obj_t BgL_res2562z00_3358;

					{	/* Dataflow/walk.scm 420 */
						BgL_objectz00_bglt BgL_objz00_3330;

						BgL_objz00_3330 = ((BgL_objectz00_bglt) BgL_nodez00_107);
						{	/* Dataflow/walk.scm 420 */
							long BgL_objzd2classzd2numz00_3331;

							{	/* Dataflow/walk.scm 420 */
								long BgL_res2556z00_3334;

								BgL_res2556z00_3334 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3330);
								BgL_objzd2classzd2numz00_3331 = BgL_res2556z00_3334;
							}
							{	/* Dataflow/walk.scm 420 */
								obj_t BgL_arg1812z00_3332;

								BgL_arg1812z00_3332 =
									PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 420 */
									obj_t BgL_arrayz00_3335;
									int BgL_offsetz00_3336;

									BgL_arrayz00_3335 = BgL_arg1812z00_3332;
									BgL_offsetz00_3336 = (int) (BgL_objzd2classzd2numz00_3331);
									{	/* Dataflow/walk.scm 420 */
										long BgL_offsetz00_3337;

										BgL_offsetz00_3337 =
											((long) (BgL_offsetz00_3336) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 420 */
											long BgL_modz00_3338;

											{	/* Dataflow/walk.scm 420 */
												int BgL_arg1814z00_3339;

												BgL_arg1814z00_3339 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 420 */
													long BgL_res2559z00_3349;

													{	/* Dataflow/walk.scm 420 */
														long BgL_auxz00_4317;

														BgL_auxz00_4317 = (long) (BgL_arg1814z00_3339);
														BgL_res2559z00_3349 =
															(BgL_offsetz00_3337 / BgL_auxz00_4317);
													}
													BgL_modz00_3338 = BgL_res2559z00_3349;
											}}
											{	/* Dataflow/walk.scm 420 */
												long BgL_restz00_3340;

												{	/* Dataflow/walk.scm 420 */
													int BgL_arg1813z00_3341;

													BgL_arg1813z00_3341 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 420 */
														long BgL_res2561z00_3353;

														{	/* Dataflow/walk.scm 420 */
															long BgL_auxz00_4321;

															BgL_auxz00_4321 = (long) (BgL_arg1813z00_3341);
															BgL_res2561z00_3353 =
																(BgL_offsetz00_3337 % BgL_auxz00_4321);
														}
														BgL_restz00_3340 = BgL_res2561z00_3353;
												}}
												{	/* Dataflow/walk.scm 420 */

													BgL_res2562z00_3358 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3335,
															(int) (BgL_modz00_3338)),
														(int) (BgL_restz00_3340));
					}}}}}}}}
					BgL_method2105z00_1744 = BgL_res2562z00_3358;
				}
				return
					PROCEDURE_ENTRY(BgL_method2105z00_1744) (BgL_method2105z00_1744,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3730,
		obj_t BgL_nodez00_3731)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3731));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2656z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2658z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2659z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2660z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2661z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2662z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2663z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2664z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2665z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2666z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2667z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2668z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2669z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2670z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2671z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2672z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2673z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2674z00zzdataflow_walkz00,
				BGl_string2657z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2675z00zzdataflow_walkz00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2677z00zzdataflow_walkz00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2678z00zzdataflow_walkz00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2679z00zzdataflow_walkz00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2680z00zzdataflow_walkz00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2681z00zzdataflow_walkz00,
				BGl_string2682z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2683z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2685z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2686z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2687z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2688z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2689z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2690z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2691z00zzdataflow_walkz00, BGl_string2684z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly2121 */
	obj_t BGl_z62abortzf3zd2appzd2ly2121z91zzdataflow_walkz00(obj_t
		BgL_envz00_3768, BgL_appzd2lyzd2_bglt BgL_nodez00_3769)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 473 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2249;

				BgL_nodez00_2249 = BgL_nodez00_3769;
				{	/* Dataflow/walk.scm 475 */
					obj_t BgL__ortest_1204z00_2253;

					BgL__ortest_1204z00_2253 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2249))->BgL_funz00));
					if (CBOOL(BgL__ortest_1204z00_2253))
						{	/* Dataflow/walk.scm 475 */
							return BgL__ortest_1204z00_2253;
						}
					else
						{	/* Dataflow/walk.scm 475 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2249))->BgL_argz00));
						}
				}
			}
		}
	}



/* &abort?-funcall2119 */
	obj_t BGl_z62abortzf3zd2funcall2119z43zzdataflow_walkz00(obj_t
		BgL_envz00_3770, BgL_funcallz00_bglt BgL_nodez00_3771)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 466 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2233;

				BgL_nodez00_2233 = BgL_nodez00_3771;
				{	/* Dataflow/walk.scm 468 */
					obj_t BgL__ortest_1202z00_2237;

					BgL__ortest_1202z00_2237 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2233))->BgL_funz00));
					if (CBOOL(BgL__ortest_1202z00_2237))
						{	/* Dataflow/walk.scm 468 */
							return BgL__ortest_1202z00_2237;
						}
					else
						{	/* Dataflow/walk.scm 468 */
							obj_t BgL_g2047z00_2238;

							BgL_g2047z00_2238 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2233))->BgL_argsz00);
							{
								obj_t BgL_l2045z00_2240;

								{	/* Dataflow/walk.scm 468 */
									bool_t BgL_auxz00_4378;

									BgL_l2045z00_2240 = BgL_g2047z00_2238;
								BgL_zc3anonymousza32450ze3z83_2241:
									if (NULLP(BgL_l2045z00_2240))
										{	/* Dataflow/walk.scm 468 */
											BgL_auxz00_4378 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 468 */
											bool_t BgL_testz00_4381;

											{	/* Dataflow/walk.scm 468 */
												obj_t BgL_arg2454z00_2245;

												BgL_arg2454z00_2245 = CAR(BgL_l2045z00_2240);
												BgL_testz00_4381 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
														((BgL_nodez00_bglt) BgL_arg2454z00_2245)));
											}
											if (BgL_testz00_4381)
												{	/* Dataflow/walk.scm 468 */
													BgL_auxz00_4378 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l2045z00_4386;

													BgL_l2045z00_4386 = CDR(BgL_l2045z00_2240);
													BgL_l2045z00_2240 = BgL_l2045z00_4386;
													goto BgL_zc3anonymousza32450ze3z83_2241;
												}
										}
									return BBOOL(BgL_auxz00_4378);
								}
							}
						}
				}
			}
		}
	}



/* &abort?-app2117 */
	obj_t BGl_z62abortzf3zd2app2117z43zzdataflow_walkz00(obj_t BgL_envz00_3772,
		BgL_appz00_bglt BgL_nodez00_3773)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 459 */
			{
				BgL_appz00_bglt BgL_nodez00_2217;

				BgL_nodez00_2217 = BgL_nodez00_3773;
				{	/* Dataflow/walk.scm 461 */
					obj_t BgL__ortest_1200z00_2221;

					{	/* Dataflow/walk.scm 461 */
						BgL_varz00_bglt BgL_arg2449z00_2231;

						BgL_arg2449z00_2231 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2217))->BgL_funz00);
						BgL__ortest_1200z00_2221 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg2449z00_2231));
					}
					if (CBOOL(BgL__ortest_1200z00_2221))
						{	/* Dataflow/walk.scm 461 */
							return BgL__ortest_1200z00_2221;
						}
					else
						{	/* Dataflow/walk.scm 461 */
							obj_t BgL_g2044z00_2222;

							BgL_g2044z00_2222 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2217))->BgL_argsz00);
							{
								obj_t BgL_l2042z00_2224;

								{	/* Dataflow/walk.scm 461 */
									bool_t BgL_auxz00_4395;

									BgL_l2042z00_2224 = BgL_g2044z00_2222;
								BgL_zc3anonymousza32444ze3z83_2225:
									if (NULLP(BgL_l2042z00_2224))
										{	/* Dataflow/walk.scm 461 */
											BgL_auxz00_4395 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 461 */
											bool_t BgL_testz00_4398;

											{	/* Dataflow/walk.scm 461 */
												obj_t BgL_arg2448z00_2229;

												BgL_arg2448z00_2229 = CAR(BgL_l2042z00_2224);
												BgL_testz00_4398 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
														((BgL_nodez00_bglt) BgL_arg2448z00_2229)));
											}
											if (BgL_testz00_4398)
												{	/* Dataflow/walk.scm 461 */
													BgL_auxz00_4395 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l2042z00_4403;

													BgL_l2042z00_4403 = CDR(BgL_l2042z00_2224);
													BgL_l2042z00_2224 = BgL_l2042z00_4403;
													goto BgL_zc3anonymousza32444ze3z83_2225;
												}
										}
									return BBOOL(BgL_auxz00_4395);
								}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional2115 */
	obj_t BGl_z62abortzf3zd2conditional2115z43zzdataflow_walkz00(obj_t
		BgL_envz00_3774, BgL_conditionalz00_bglt BgL_nodez00_3775)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 452 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2207;

				BgL_nodez00_2207 = BgL_nodez00_3775;
				{	/* Dataflow/walk.scm 454 */
					obj_t BgL__ortest_1197z00_2211;

					BgL__ortest_1197z00_2211 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2207))->BgL_testz00));
					if (CBOOL(BgL__ortest_1197z00_2211))
						{	/* Dataflow/walk.scm 454 */
							return BgL__ortest_1197z00_2211;
						}
					else
						{	/* Dataflow/walk.scm 454 */
							obj_t BgL__andtest_1198z00_2212;

							BgL__andtest_1198z00_2212 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2207))->
									BgL_truez00));
							if (CBOOL(BgL__andtest_1198z00_2212))
								{	/* Dataflow/walk.scm 454 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2207))->
											BgL_falsez00));
								}
							else
								{	/* Dataflow/walk.scm 454 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun2113 */
	obj_t BGl_z62abortzf3zd2letzd2fun2113z91zzdataflow_walkz00(obj_t
		BgL_envz00_3776, BgL_letzd2funzd2_bglt BgL_nodez00_3777)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 445 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2201;

				BgL_nodez00_2201 = BgL_nodez00_3777;
				return
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2201))->BgL_bodyz00));
			}
		}
	}



/* &abort?-let-var2111 */
	obj_t BGl_z62abortzf3zd2letzd2var2111z91zzdataflow_walkz00(obj_t
		BgL_envz00_3778, BgL_letzd2varzd2_bglt BgL_nodez00_3779)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 438 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2184;

				BgL_nodez00_2184 = BgL_nodez00_3779;
				{	/* Dataflow/walk.scm 440 */
					bool_t BgL__ortest_1194z00_2188;

					{	/* Dataflow/walk.scm 440 */
						obj_t BgL_g2041z00_2190;

						BgL_g2041z00_2190 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2184))->
							BgL_bindingsz00);
						{
							obj_t BgL_l2039z00_2192;

							BgL_l2039z00_2192 = BgL_g2041z00_2190;
						BgL_zc3anonymousza32435ze3z83_2193:
							if (NULLP(BgL_l2039z00_2192))
								{	/* Dataflow/walk.scm 440 */
									BgL__ortest_1194z00_2188 = ((bool_t) 0);
								}
							else
								{	/* Dataflow/walk.scm 440 */
									bool_t BgL_testz00_4421;

									{	/* Dataflow/walk.scm 440 */
										obj_t BgL_bz00_2197;

										BgL_bz00_2197 = CAR(BgL_l2039z00_2192);
										{	/* Dataflow/walk.scm 440 */
											obj_t BgL_arg2439z00_2198;

											BgL_arg2439z00_2198 = CDR(BgL_bz00_2197);
											BgL_testz00_4421 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
													((BgL_nodez00_bglt) BgL_arg2439z00_2198)));
										}
									}
									if (BgL_testz00_4421)
										{	/* Dataflow/walk.scm 440 */
											BgL__ortest_1194z00_2188 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2039z00_4427;

											BgL_l2039z00_4427 = CDR(BgL_l2039z00_2192);
											BgL_l2039z00_2192 = BgL_l2039z00_4427;
											goto BgL_zc3anonymousza32435ze3z83_2193;
										}
								}
						}
					}
					if (BgL__ortest_1194z00_2188)
						{	/* Dataflow/walk.scm 440 */
							return BBOOL(BgL__ortest_1194z00_2188);
						}
					else
						{	/* Dataflow/walk.scm 440 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2184))->
									BgL_bodyz00));
						}
				}
			}
		}
	}



/* &abort?-sequence2109 */
	obj_t BGl_z62abortzf3zd2sequence2109z43zzdataflow_walkz00(obj_t
		BgL_envz00_3780, BgL_sequencez00_bglt BgL_nodez00_3781)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 432 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2171;

				{	/* Dataflow/walk.scm 433 */
					bool_t BgL_auxz00_4433;

					BgL_nodez00_2171 = BgL_nodez00_3781;
					{	/* Dataflow/walk.scm 433 */
						obj_t BgL_g2038z00_2174;

						BgL_g2038z00_2174 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2171))->BgL_nodesz00);
						{
							obj_t BgL_l2036z00_2176;

							BgL_l2036z00_2176 = BgL_g2038z00_2174;
						BgL_zc3anonymousza32429ze3z83_2177:
							if (NULLP(BgL_l2036z00_2176))
								{	/* Dataflow/walk.scm 433 */
									BgL_auxz00_4433 = ((bool_t) 0);
								}
							else
								{	/* Dataflow/walk.scm 433 */
									bool_t BgL_testz00_4437;

									{	/* Dataflow/walk.scm 433 */
										obj_t BgL_arg2433z00_2181;

										BgL_arg2433z00_2181 = CAR(BgL_l2036z00_2176);
										BgL_testz00_4437 =
											CBOOL(BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2433z00_2181)));
									}
									if (BgL_testz00_4437)
										{	/* Dataflow/walk.scm 433 */
											BgL_auxz00_4433 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l2036z00_4442;

											BgL_l2036z00_4442 = CDR(BgL_l2036z00_2176);
											BgL_l2036z00_2176 = BgL_l2036z00_4442;
											goto BgL_zc3anonymousza32429ze3z83_2177;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4433);
				}
			}
		}
	}



/* &abort?-fail2107 */
	obj_t BGl_z62abortzf3zd2fail2107z43zzdataflow_walkz00(obj_t BgL_envz00_3782,
		BgL_failz00_bglt BgL_nodez00_3783)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 426 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-2103 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22103zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3784, BgL_appz00_bglt BgL_nodez00_3785)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 398 */
			{
				BgL_appz00_bglt BgL_nodez00_2133;

				BgL_nodez00_2133 = BgL_nodez00_3785;
				{	/* Dataflow/walk.scm 400 */
					BgL_variablez00_bglt BgL_fz00_2137;

					BgL_fz00_2137 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2133))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 401 */

						{	/* Dataflow/walk.scm 402 */
							bool_t BgL_testz00_4448;

							{	/* Dataflow/walk.scm 402 */
								bool_t BgL_testz00_4449;

								{	/* Dataflow/walk.scm 402 */
									obj_t BgL_auxz00_4450;

									BgL_auxz00_4450 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_2133))->BgL_argsz00);
									BgL_testz00_4449 = PAIRP(BgL_auxz00_4450);
								}
								if (BgL_testz00_4449)
									{	/* Dataflow/walk.scm 402 */
										if (NULLP(CDR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_2133))->
														BgL_argsz00))))
											{	/* Dataflow/walk.scm 403 */
												bool_t BgL_testz00_4457;

												{	/* Dataflow/walk.scm 403 */
													obj_t BgL_arg2423z00_2160;

													BgL_arg2423z00_2160 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_2133))->
															BgL_argsz00));
													BgL_testz00_4457 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2423z00_2160,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_4457)
													{	/* Dataflow/walk.scm 404 */
														BgL_typez00_bglt BgL_arg2419z00_2156;

														{
															BgL_variablez00_bglt BgL_auxz00_4461;

															{
																BgL_varz00_bglt BgL_auxz00_4462;

																{
																	obj_t BgL_auxz00_4463;

																	{	/* Dataflow/walk.scm 404 */
																		obj_t BgL_pairz00_3615;

																		BgL_pairz00_3615 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_2133))->BgL_argsz00);
																		BgL_auxz00_4463 = CAR(BgL_pairz00_3615);
																	}
																	BgL_auxz00_4462 =
																		((BgL_varz00_bglt) BgL_auxz00_4463);
																}
																BgL_auxz00_4461 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4462))->
																	BgL_variablez00);
															}
															BgL_arg2419z00_2156 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4461))->BgL_typez00);
														}
														BgL_testz00_4448 =
															(
															((obj_t) BgL_arg2419z00_2156) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 403 */
														BgL_testz00_4448 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 402 */
												BgL_testz00_4448 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 402 */
										BgL_testz00_4448 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4448)
								{	/* Dataflow/walk.scm 402 */
									if (
										(((obj_t) BgL_fz00_2137) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 407 */
											obj_t BgL_arg2402z00_2141;

											{	/* Dataflow/walk.scm 407 */
												BgL_variablez00_bglt BgL_arg2405z00_2143;

												{
													BgL_varz00_bglt BgL_auxz00_4474;

													{
														obj_t BgL_auxz00_4475;

														{	/* Dataflow/walk.scm 407 */
															obj_t BgL_pairz00_3622;

															BgL_pairz00_3622 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2133))->
																BgL_argsz00);
															BgL_auxz00_4475 = CAR(BgL_pairz00_3622);
														}
														BgL_auxz00_4474 =
															((BgL_varz00_bglt) BgL_auxz00_4475);
													}
													BgL_arg2405z00_2143 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4474))->
														BgL_variablez00);
												}
												BgL_arg2402z00_2141 =
													MAKE_PAIR(
													((obj_t) BgL_arg2405z00_2143),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 407 */
												obj_t BgL_list2403z00_2142;

												BgL_list2403z00_2142 =
													MAKE_PAIR(BgL_arg2402z00_2141, BNIL);
												return BgL_list2403z00_2142;
											}
										}
									else
										{	/* Dataflow/walk.scm 408 */
											bool_t BgL_testz00_4483;

											if (
												(((obj_t) BgL_fz00_2137) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 408 */
													BgL_testz00_4483 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 408 */
													BgL_testz00_4483 =
														(
														((obj_t) BgL_fz00_2137) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_4483)
												{	/* Dataflow/walk.scm 409 */
													obj_t BgL_arg2409z00_2147;

													{	/* Dataflow/walk.scm 409 */
														BgL_variablez00_bglt BgL_arg2411z00_2149;

														{
															BgL_varz00_bglt BgL_auxz00_4489;

															{
																obj_t BgL_auxz00_4490;

																{	/* Dataflow/walk.scm 409 */
																	obj_t BgL_pairz00_3628;

																	BgL_pairz00_3628 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_nodez00_2133))->BgL_argsz00);
																	BgL_auxz00_4490 = CAR(BgL_pairz00_3628);
																}
																BgL_auxz00_4489 =
																	((BgL_varz00_bglt) BgL_auxz00_4490);
															}
															BgL_arg2411z00_2149 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4489))->
																BgL_variablez00);
														}
														BgL_arg2409z00_2147 =
															MAKE_PAIR(
															((obj_t) BgL_arg2411z00_2149),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 409 */
														obj_t BgL_list2410z00_2148;

														BgL_list2410z00_2148 =
															MAKE_PAIR(BgL_arg2409z00_2147, BNIL);
														return BgL_list2410z00_2148;
													}
												}
											else
												{	/* Dataflow/walk.scm 408 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 402 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le2099 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le2099zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3786, BgL_letzd2varzd2_bglt BgL_nodez00_3787)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 370 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2092;

				BgL_nodez00_2092 = BgL_nodez00_3787;
				{	/* Dataflow/walk.scm 372 */
					bool_t BgL_testz00_4498;

					{	/* Dataflow/walk.scm 372 */
						bool_t BgL_testz00_4499;

						{	/* Dataflow/walk.scm 372 */
							obj_t BgL_auxz00_4500;

							BgL_auxz00_4500 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
								BgL_bindingsz00);
							BgL_testz00_4499 = PAIRP(BgL_auxz00_4500);
						}
						if (BgL_testz00_4499)
							{	/* Dataflow/walk.scm 372 */
								BgL_testz00_4498 =
									NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
											BgL_bindingsz00)));
							}
						else
							{	/* Dataflow/walk.scm 372 */
								BgL_testz00_4498 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4498)
						{	/* Dataflow/walk.scm 374 */
							bool_t BgL_testz00_4506;

							{	/* Dataflow/walk.scm 374 */
								obj_t BgL_arg2394z00_2126;

								{	/* Dataflow/walk.scm 374 */
									obj_t BgL_pairz00_3549;

									BgL_pairz00_3549 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
										BgL_bindingsz00);
									BgL_arg2394z00_2126 = CDR(CAR(BgL_pairz00_3549));
								}
								BgL_testz00_4506 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2394z00_2126,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_4506)
								{	/* Dataflow/walk.scm 375 */
									obj_t BgL_envz00_2098;

									BgL_envz00_2098 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
											BgL_bodyz00));
									{	/* Dataflow/walk.scm 376 */
										bool_t BgL_testz00_4513;

										if (NULLP(BgL_envz00_2098))
											{	/* Dataflow/walk.scm 376 */
												BgL_testz00_4513 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 376 */
												if (NULLP(CDR(BgL_envz00_2098)))
													{	/* Dataflow/walk.scm 378 */
														obj_t BgL_auxz00_4519;

														{	/* Dataflow/walk.scm 378 */
															obj_t BgL_pairz00_3564;

															BgL_pairz00_3564 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_2092))->BgL_bindingsz00);
															BgL_auxz00_4519 = CAR(CAR(BgL_pairz00_3564));
														}
														BgL_testz00_4513 =
															(CAR(CAR(BgL_envz00_2098)) == BgL_auxz00_4519);
													}
												else
													{	/* Dataflow/walk.scm 377 */
														BgL_testz00_4513 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_4513)
											{	/* Dataflow/walk.scm 379 */
												obj_t BgL_arg2365z00_2100;

												{	/* Dataflow/walk.scm 379 */
													BgL_variablez00_bglt BgL_arg2367z00_2102;
													obj_t BgL_arg2368z00_2103;

													{
														BgL_varz00_bglt BgL_auxz00_4526;

														{
															obj_t BgL_auxz00_4527;

															{	/* Dataflow/walk.scm 379 */
																obj_t BgL_pairz00_3568;

																BgL_pairz00_3568 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_2092))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 379 */
																	obj_t BgL_pairz00_3571;

																	BgL_pairz00_3571 = CAR(BgL_pairz00_3568);
																	BgL_auxz00_4527 = CDR(BgL_pairz00_3571);
																}
															}
															BgL_auxz00_4526 =
																((BgL_varz00_bglt) BgL_auxz00_4527);
														}
														BgL_arg2367z00_2102 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4526))->
															BgL_variablez00);
													}
													BgL_arg2368z00_2103 = CDR(CAR(BgL_envz00_2098));
													BgL_arg2365z00_2100 =
														MAKE_PAIR(
														((obj_t) BgL_arg2367z00_2102), BgL_arg2368z00_2103);
												}
												{	/* Dataflow/walk.scm 379 */
													obj_t BgL_list2366z00_2101;

													BgL_list2366z00_2101 =
														MAKE_PAIR(BgL_arg2365z00_2100, BNIL);
													return BgL_list2366z00_2101;
												}
											}
										else
											{	/* Dataflow/walk.scm 376 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 381 */
									bool_t BgL_testz00_4538;

									{	/* Dataflow/walk.scm 381 */
										bool_t BgL_testz00_4539;

										{	/* Dataflow/walk.scm 381 */
											BgL_nodez00_bglt BgL_arg2393z00_2125;

											BgL_arg2393z00_2125 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
												BgL_bodyz00);
											{	/* Dataflow/walk.scm 381 */
												bool_t BgL_res2615z00_3582;

												{	/* Dataflow/walk.scm 381 */
													obj_t BgL_objz00_3581;

													BgL_objz00_3581 = ((obj_t) BgL_arg2393z00_2125);
													BgL_res2615z00_3582 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3581,
														BGl_varz00zzast_nodez00);
												}
												BgL_testz00_4539 = BgL_res2615z00_3582;
											}
										}
										if (BgL_testz00_4539)
											{	/* Dataflow/walk.scm 382 */
												bool_t BgL_testz00_4543;

												{	/* Dataflow/walk.scm 382 */
													obj_t BgL_auxz00_4544;

													{	/* Dataflow/walk.scm 382 */
														obj_t BgL_pairz00_3586;

														BgL_pairz00_3586 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_2092))->BgL_bindingsz00);
														BgL_auxz00_4544 = CAR(CAR(BgL_pairz00_3586));
													}
													BgL_testz00_4543 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt)
																			(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_2092))->
																				BgL_bodyz00))))->BgL_variablez00)) ==
														BgL_auxz00_4544);
												}
												if (BgL_testz00_4543)
													{	/* Dataflow/walk.scm 383 */
														BgL_typez00_bglt BgL_arg2385z00_2118;

														{
															BgL_variablez00_bglt BgL_auxz00_4553;

															{
																obj_t BgL_auxz00_4554;

																{	/* Dataflow/walk.scm 383 */
																	obj_t BgL_pairz00_3590;

																	BgL_pairz00_3590 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_2092))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 383 */
																		obj_t BgL_pairz00_3593;

																		BgL_pairz00_3593 = CAR(BgL_pairz00_3590);
																		BgL_auxz00_4554 = CAR(BgL_pairz00_3593);
																	}
																}
																BgL_auxz00_4553 =
																	((BgL_variablez00_bglt) BgL_auxz00_4554);
															}
															BgL_arg2385z00_2118 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4553))->BgL_typez00);
														}
														BgL_testz00_4538 =
															(
															((obj_t) BgL_arg2385z00_2118) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 382 */
														BgL_testz00_4538 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 381 */
												BgL_testz00_4538 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4538)
										{	/* Dataflow/walk.scm 384 */
											obj_t BgL_arg2381z00_2114;

											{	/* Dataflow/walk.scm 384 */
												obj_t BgL_pairz00_3597;

												BgL_pairz00_3597 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2092))->
													BgL_bindingsz00);
												BgL_arg2381z00_2114 = CDR(CAR(BgL_pairz00_3597));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2381z00_2114));
										}
									else
										{	/* Dataflow/walk.scm 381 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 372 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va2097 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va2097zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3788, BgL_varz00_bglt BgL_nodez00_3789)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 353 */
			{
				BgL_varz00_bglt BgL_nodez00_2083;

				BgL_nodez00_2083 = BgL_nodez00_3789;
				{	/* Dataflow/walk.scm 355 */
					bool_t BgL_testz00_4567;

					{	/* Dataflow/walk.scm 355 */
						BgL_variablez00_bglt BgL_arg2361z00_2090;

						BgL_arg2361z00_2090 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_2083))->BgL_variablez00);
						{	/* Dataflow/walk.scm 355 */
							bool_t BgL_res2606z00_3540;

							{	/* Dataflow/walk.scm 355 */
								obj_t BgL_objz00_3539;

								BgL_objz00_3539 = ((obj_t) BgL_arg2361z00_2090);
								BgL_res2606z00_3540 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3539,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							BgL_testz00_4567 = BgL_res2606z00_3540;
						}
					}
					if (BgL_testz00_4567)
						{	/* Dataflow/walk.scm 356 */
							BgL_nodez00_bglt BgL_arg2359z00_2088;

							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_4571;

								{
									obj_t BgL_auxz00_4572;

									{	/* Dataflow/walk.scm 356 */
										BgL_objectz00_bglt BgL_auxz00_4573;

										BgL_auxz00_4573 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_2083))->
													BgL_variablez00)));
										BgL_auxz00_4572 = BGL_OBJECT_WIDENING(BgL_auxz00_4573);
									}
									BgL_auxz00_4571 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_4572);
								}
								BgL_arg2359z00_2088 =
									(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4571))->
									BgL_nodez00);
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg2359z00_2088);
						}
					else
						{	/* Dataflow/walk.scm 355 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co2095 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co2095zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3790, BgL_conditionalz00_bglt BgL_nodez00_3791)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 344 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2069;

				BgL_nodez00_2069 = BgL_nodez00_3791;
				{	/* Dataflow/walk.scm 346 */
					bool_t BgL_testz00_4581;

					{	/* Dataflow/walk.scm 346 */
						bool_t BgL_testz00_4582;

						{	/* Dataflow/walk.scm 346 */
							BgL_nodez00_bglt BgL_arg2357z00_2081;

							BgL_arg2357z00_2081 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2069))->
								BgL_falsez00);
							{	/* Dataflow/walk.scm 346 */
								bool_t BgL_res2605z00_3536;

								{	/* Dataflow/walk.scm 346 */
									obj_t BgL_objz00_3535;

									BgL_objz00_3535 = ((obj_t) BgL_arg2357z00_2081);
									BgL_res2605z00_3536 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_3535,
										BGl_atomz00zzast_nodez00);
								}
								BgL_testz00_4582 = BgL_res2605z00_3536;
							}
						}
						if (BgL_testz00_4582)
							{	/* Dataflow/walk.scm 346 */
								BgL_testz00_4581 =
									(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2069))->
														BgL_falsez00))))->BgL_valuez00) == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 346 */
								BgL_testz00_4581 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4581)
						{	/* Dataflow/walk.scm 346 */
							return
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2069))->
										BgL_testz00)),
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2069))->
										BgL_truez00)));
						}
					else
						{	/* Dataflow/walk.scm 346 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-in2093 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in2093zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3792, BgL_instanceofz00_bglt BgL_nodez00_3793)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 335 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_2055;

				BgL_nodez00_2055 = BgL_nodez00_3793;
				{	/* Dataflow/walk.scm 337 */
					bool_t BgL_testz00_4595;

					{	/* Dataflow/walk.scm 337 */
						obj_t BgL_arg2346z00_2066;

						{	/* Dataflow/walk.scm 337 */
							obj_t BgL_pairz00_3526;

							BgL_pairz00_3526 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2055)))->BgL_exprza2za2);
							BgL_arg2346z00_2066 = CAR(BgL_pairz00_3526);
						}
						BgL_testz00_4595 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2346z00_2066,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4595)
						{	/* Dataflow/walk.scm 338 */
							obj_t BgL_arg2340z00_2060;

							{	/* Dataflow/walk.scm 338 */
								BgL_variablez00_bglt BgL_arg2342z00_2062;
								BgL_typez00_bglt BgL_arg2343z00_2063;

								{
									BgL_varz00_bglt BgL_auxz00_4600;

									{
										obj_t BgL_auxz00_4601;

										{	/* Dataflow/walk.scm 338 */
											obj_t BgL_pairz00_3529;

											BgL_pairz00_3529 =
												(((BgL_externz00_bglt) CREF(
														((BgL_externz00_bglt) BgL_nodez00_2055)))->
												BgL_exprza2za2);
											BgL_auxz00_4601 = CAR(BgL_pairz00_3529);
										}
										BgL_auxz00_4600 = ((BgL_varz00_bglt) BgL_auxz00_4601);
									}
									BgL_arg2342z00_2062 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_4600))->
										BgL_variablez00);
								}
								BgL_arg2343z00_2063 =
									(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_2055))->
									BgL_classz00);
								BgL_arg2340z00_2060 =
									MAKE_PAIR(((obj_t) BgL_arg2342z00_2062),
									((obj_t) BgL_arg2343z00_2063));
							}
							{	/* Dataflow/walk.scm 338 */
								obj_t BgL_list2341z00_2061;

								BgL_list2341z00_2061 = MAKE_PAIR(BgL_arg2340z00_2060, BNIL);
								return BgL_list2341z00_2061;
							}
						}
					else
						{	/* Dataflow/walk.scm 337 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap2091 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap2091zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3794, BgL_appz00_bglt BgL_nodez00_3795)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 312 */
			{
				BgL_appz00_bglt BgL_nodez00_2015;

				BgL_nodez00_2015 = BgL_nodez00_3795;
				{	/* Dataflow/walk.scm 314 */
					BgL_variablez00_bglt BgL_fz00_2019;

					BgL_fz00_2019 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2015))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 314 */
						BgL_valuez00_bglt BgL_funvz00_2020;

						BgL_funvz00_2020 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2019))->BgL_valuez00);
						{	/* Dataflow/walk.scm 315 */

							{	/* Dataflow/walk.scm 317 */
								obj_t BgL_g1186z00_2021;

								BgL_g1186z00_2021 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_2015));
								if (CBOOL(BgL_g1186z00_2021))
									{	/* Dataflow/walk.scm 320 */
										bool_t BgL_testz00_4619;

										{	/* Dataflow/walk.scm 320 */
											obj_t BgL_arg2312z00_2030;

											BgL_arg2312z00_2030 =
												CAR(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2015))->
													BgL_argsz00));
											BgL_testz00_4619 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2312z00_2030,
												BGl_varz00zzast_nodez00);
										}
										if (BgL_testz00_4619)
											{	/* Dataflow/walk.scm 321 */
												obj_t BgL_arg2306z00_2025;

												{	/* Dataflow/walk.scm 321 */
													BgL_variablez00_bglt BgL_arg2308z00_2027;

													{
														BgL_varz00_bglt BgL_auxz00_4623;

														{
															obj_t BgL_auxz00_4624;

															{	/* Dataflow/walk.scm 321 */
																obj_t BgL_pairz00_3493;

																BgL_pairz00_3493 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2015))->
																	BgL_argsz00);
																BgL_auxz00_4624 = CAR(BgL_pairz00_3493);
															}
															BgL_auxz00_4623 =
																((BgL_varz00_bglt) BgL_auxz00_4624);
														}
														BgL_arg2308z00_2027 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4623))->
															BgL_variablez00);
													}
													BgL_arg2306z00_2025 =
														MAKE_PAIR(
														((obj_t) BgL_arg2308z00_2027), BgL_g1186z00_2021);
												}
												{	/* Dataflow/walk.scm 321 */
													obj_t BgL_list2307z00_2026;

													BgL_list2307z00_2026 =
														MAKE_PAIR(BgL_arg2306z00_2025, BNIL);
													return BgL_list2307z00_2026;
												}
											}
										else
											{	/* Dataflow/walk.scm 320 */
												return BNIL;
											}
									}
								else
									{	/* Dataflow/walk.scm 323 */
										bool_t BgL_testz00_4632;

										{	/* Dataflow/walk.scm 323 */
											bool_t BgL_testz00_4633;

											{	/* Dataflow/walk.scm 323 */
												bool_t BgL_res2594z00_3500;

												{	/* Dataflow/walk.scm 323 */
													obj_t BgL_objz00_3499;

													BgL_objz00_3499 = ((obj_t) BgL_funvz00_2020);
													BgL_res2594z00_3500 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3499,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_4633 = BgL_res2594z00_3500;
											}
											if (BgL_testz00_4633)
												{	/* Dataflow/walk.scm 323 */
													if (CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_funvz00_2020)))->
																BgL_predicatezd2ofzd2)))
														{	/* Dataflow/walk.scm 325 */
															bool_t BgL_testz00_4640;

															{	/* Dataflow/walk.scm 325 */
																obj_t BgL_auxz00_4641;

																BgL_auxz00_4641 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2015))->
																	BgL_argsz00);
																BgL_testz00_4640 = PAIRP(BgL_auxz00_4641);
															}
															if (BgL_testz00_4640)
																{	/* Dataflow/walk.scm 325 */
																	if (NULLP(CDR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_2015))->
																					BgL_argsz00))))
																		{	/* Dataflow/walk.scm 326 */
																			bool_t BgL_testz00_4648;

																			{	/* Dataflow/walk.scm 326 */
																				obj_t BgL_arg2331z00_2048;

																				BgL_arg2331z00_2048 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_2015))->
																						BgL_argsz00));
																				BgL_testz00_4648 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg2331z00_2048,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_4648)
																				{	/* Dataflow/walk.scm 327 */
																					BgL_typez00_bglt BgL_arg2327z00_2044;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4652;
																						{
																							BgL_varz00_bglt BgL_auxz00_4653;

																							{
																								obj_t BgL_auxz00_4654;

																								{	/* Dataflow/walk.scm 327 */
																									obj_t BgL_pairz00_3511;

																									BgL_pairz00_3511 =
																										(((BgL_appz00_bglt)
																											CREF(BgL_nodez00_2015))->
																										BgL_argsz00);
																									BgL_auxz00_4654 =
																										CAR(BgL_pairz00_3511);
																								}
																								BgL_auxz00_4653 =
																									((BgL_varz00_bglt)
																									BgL_auxz00_4654);
																							}
																							BgL_auxz00_4652 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_auxz00_4653))->
																								BgL_variablez00);
																						}
																						BgL_arg2327z00_2044 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4652))->
																							BgL_typez00);
																					}
																					BgL_testz00_4632 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg2327z00_2044);
																				}
																			else
																				{	/* Dataflow/walk.scm 326 */
																					BgL_testz00_4632 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 325 */
																			BgL_testz00_4632 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 325 */
																	BgL_testz00_4632 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 324 */
															BgL_testz00_4632 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 323 */
													BgL_testz00_4632 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4632)
											{	/* Dataflow/walk.scm 328 */
												obj_t BgL_arg2316z00_2033;

												{	/* Dataflow/walk.scm 328 */
													BgL_variablez00_bglt BgL_arg2318z00_2035;
													obj_t BgL_arg2319z00_2036;

													{
														BgL_varz00_bglt BgL_auxz00_4661;

														{
															obj_t BgL_auxz00_4662;

															{	/* Dataflow/walk.scm 328 */
																obj_t BgL_pairz00_3518;

																BgL_pairz00_3518 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2015))->
																	BgL_argsz00);
																BgL_auxz00_4662 = CAR(BgL_pairz00_3518);
															}
															BgL_auxz00_4661 =
																((BgL_varz00_bglt) BgL_auxz00_4662);
														}
														BgL_arg2318z00_2035 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4661))->
															BgL_variablez00);
													}
													BgL_arg2319z00_2036 =
														(((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funvz00_2020)))->
														BgL_predicatezd2ofzd2);
													BgL_arg2316z00_2033 =
														MAKE_PAIR(((obj_t) BgL_arg2318z00_2035),
														BgL_arg2319z00_2036);
												}
												{	/* Dataflow/walk.scm 328 */
													obj_t BgL_list2317z00_2034;

													BgL_list2317z00_2034 =
														MAKE_PAIR(BgL_arg2316z00_2033, BNIL);
													return BgL_list2317z00_2034;
												}
											}
										else
											{	/* Dataflow/walk.scm 323 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s2087 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s2087za2zzdataflow_walkz00(obj_t
		BgL_envz00_3796, BgL_boxzd2setz12zc0_bglt BgL_nodez00_3797,
		obj_t BgL_envz00_3798)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 291 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2007;
				obj_t BgL_envz00_2008;

				BgL_nodez00_2007 = BgL_nodez00_3797;
				BgL_envz00_2008 = BgL_envz00_3798;
				{	/* Dataflow/walk.scm 292 */
					BgL_varz00_bglt BgL_arg2303z00_3479;

					BgL_arg2303z00_3479 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2007))->BgL_varz00);
					{	/* Dataflow/walk.scm 292 */
						BgL_nodez00_bglt BgL_oz00_3481;
						BgL_typez00_bglt BgL_vz00_3482;

						BgL_oz00_3481 = ((BgL_nodez00_bglt) BgL_arg2303z00_3479);
						BgL_vz00_3482 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3481))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3482), BUNSPEC);
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2007))->BgL_valuez00),
					BgL_envz00_2008);
			}
		}
	}



/* &dataflow-node!-box-r2085 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r2085za2zzdataflow_walkz00(obj_t
		BgL_envz00_3799, BgL_boxzd2refzd2_bglt BgL_nodez00_3800,
		obj_t BgL_envz00_3801)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 283 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2000;
				obj_t BgL_envz00_2001;

				BgL_nodez00_2000 = BgL_nodez00_3800;
				BgL_envz00_2001 = BgL_envz00_3801;
				{	/* Dataflow/walk.scm 284 */
					BgL_varz00_bglt BgL_arg2302z00_3474;

					BgL_arg2302z00_3474 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2000))->BgL_varz00);
					{	/* Dataflow/walk.scm 284 */
						BgL_nodez00_bglt BgL_oz00_3475;
						BgL_typez00_bglt BgL_vz00_3476;

						BgL_oz00_3475 = ((BgL_nodez00_bglt) BgL_arg2302z00_3474);
						BgL_vz00_3476 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3475))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3476), BUNSPEC);
					}
				}
				return BgL_envz00_2001;
			}
		}
	}



/* &dataflow-node!-make-2083 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd22083za2zzdataflow_walkz00(obj_t
		BgL_envz00_3802, BgL_makezd2boxzd2_bglt BgL_nodez00_3803,
		obj_t BgL_envz00_3804)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 277 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1994;
				obj_t BgL_envz00_1995;

				BgL_nodez00_1994 = BgL_nodez00_3803;
				BgL_envz00_1995 = BgL_envz00_3804;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1994))->BgL_valuez00),
					BgL_envz00_1995);
			}
		}
	}



/* &dataflow-node!-jump-2081 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd22081za2zzdataflow_walkz00(obj_t
		BgL_envz00_3805, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3806,
		obj_t BgL_envz00_3807)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 268 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1986;
				obj_t BgL_envz00_1987;

				BgL_nodez00_1986 = BgL_nodez00_3806;
				BgL_envz00_1987 = BgL_envz00_3807;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1986))->BgL_exitz00),
					BgL_envz00_1987);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1986))->
						BgL_valuez00), BgL_envz00_1987);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e2079 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e2079za2zzdataflow_walkz00(obj_t
		BgL_envz00_3808, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3809,
		obj_t BgL_envz00_3810)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 260 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1979;
				obj_t BgL_envz00_1980;

				BgL_nodez00_1979 = BgL_nodez00_3809;
				BgL_envz00_1980 = BgL_envz00_3810;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1979))->BgL_bodyz00),
					BgL_envz00_1980);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v2077 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v2077za2zzdataflow_walkz00(obj_t
		BgL_envz00_3811, BgL_letzd2varzd2_bglt BgL_nodez00_3812,
		obj_t BgL_envz00_3813)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 228 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1932;
				obj_t BgL_envz00_1933;

				BgL_nodez00_1932 = BgL_nodez00_3812;
				BgL_envz00_1933 = BgL_envz00_3813;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 231 */
					long BgL_stampz00_1937;

					BgL_stampz00_1937 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 231 */
						obj_t BgL_envz00_1938;

						{
							obj_t BgL_bindingsz00_1962;
							obj_t BgL_envz00_1963;

							BgL_bindingsz00_1962 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1932))->
								BgL_bindingsz00);
							BgL_envz00_1963 = BgL_envz00_1933;
						BgL_zc3anonymousza32291ze3z83_1964:
							if (NULLP(BgL_bindingsz00_1962))
								{	/* Dataflow/walk.scm 234 */
									BgL_envz00_1938 = BgL_envz00_1963;
								}
							else
								{	/* Dataflow/walk.scm 236 */
									obj_t BgL_nodez00_1966;

									{	/* Dataflow/walk.scm 236 */
										obj_t BgL_pairz00_3422;

										BgL_pairz00_3422 = BgL_bindingsz00_1962;
										BgL_nodez00_1966 = CDR(CAR(BgL_pairz00_3422));
									}
									{	/* Dataflow/walk.scm 236 */
										obj_t BgL_envz00_1967;

										BgL_envz00_1967 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_nodez00_1966), BgL_envz00_1963);
										{	/* Dataflow/walk.scm 237 */

											{	/* Dataflow/walk.scm 238 */
												obj_t BgL_lz00_1968;

												{	/* Dataflow/walk.scm 238 */
													obj_t BgL_pairz00_3426;

													BgL_pairz00_3426 = BgL_bindingsz00_1962;
													BgL_lz00_1968 = CAR(CAR(BgL_pairz00_3426));
												}
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_1968)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
													{	/* Dataflow/walk.scm 240 */
														BgL_localz00_bglt BgL_tmp1177z00_1970;

														BgL_tmp1177z00_1970 =
															((BgL_localz00_bglt) BgL_lz00_1968);
														{	/* Dataflow/walk.scm 240 */
															BgL_localz00_bglt BgL_tmp1178z00_1971;
															BgL_localzf2valuezf2_bglt BgL_wide1179z00_1972;

															BgL_tmp1178z00_1971 =
																((BgL_localz00_bglt) BgL_tmp1177z00_1970);
															BgL_wide1179z00_1972 =
																((BgL_localzf2valuezf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2valuezf2_bgl))));
															{	/* Dataflow/walk.scm 240 */
																obj_t BgL_auxz00_4709;
																BgL_objectz00_bglt BgL_auxz00_4707;

																BgL_auxz00_4709 =
																	((obj_t) BgL_wide1179z00_1972);
																BgL_auxz00_4707 =
																	((BgL_objectz00_bglt) BgL_tmp1178z00_1971);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4707,
																	BgL_auxz00_4709);
															}
															{	/* Dataflow/walk.scm 240 */
																long BgL_arg2294z00_1973;

																{	/* Dataflow/walk.scm 240 */
																	long BgL_res2579z00_3435;

																	{	/* Dataflow/walk.scm 240 */
																		obj_t BgL_classz00_3432;

																		BgL_classz00_3432 =
																			BGl_localzf2valuezf2zzdataflow_walkz00;
																		{	/* Dataflow/walk.scm 240 */
																			obj_t BgL_vectorz00_3433;
																			int BgL_kz00_3434;

																			BgL_vectorz00_3433 = BgL_classz00_3432;
																			BgL_kz00_3434 = (int) (((long) 1));
																			BgL_res2579z00_3435 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_3433,
																					BgL_kz00_3434));
																	}}
																	BgL_arg2294z00_1973 = BgL_res2579z00_3435;
																}
																{	/* Dataflow/walk.scm 240 */
																	BgL_objectz00_bglt BgL_objz00_3436;

																	BgL_objz00_3436 =
																		((BgL_objectz00_bglt) BgL_tmp1178z00_1971);
																	((BgL_localz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3436,
																			BgL_arg2294z00_1973));
															}} BgL_tmp1178z00_1971;
														}
														{	/* Dataflow/walk.scm 240 */
															BgL_localz00_bglt BgL_new1180z00_1974;

															BgL_new1180z00_1974 =
																((BgL_localz00_bglt) BgL_tmp1177z00_1970);
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4719;

																{
																	obj_t BgL_auxz00_4720;

																	{	/* Dataflow/walk.scm 240 */
																		BgL_objectz00_bglt BgL_auxz00_4721;

																		BgL_auxz00_4721 =
																			((BgL_objectz00_bglt)
																			BgL_new1180z00_1974);
																		BgL_auxz00_4720 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4721);
																	}
																	BgL_auxz00_4719 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4720);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4719))->BgL_stampz00) =
																	((int) (int) (BgL_stampz00_1937)), BUNSPEC);
															}
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4727;

																{
																	obj_t BgL_auxz00_4728;

																	{	/* Dataflow/walk.scm 240 */
																		BgL_objectz00_bglt BgL_auxz00_4729;

																		BgL_auxz00_4729 =
																			((BgL_objectz00_bglt)
																			BgL_new1180z00_1974);
																		BgL_auxz00_4728 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4729);
																	}
																	BgL_auxz00_4727 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4728);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4727))->BgL_nodez00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_nodez00_1966)), BUNSPEC);
															}
															((obj_t) BgL_new1180z00_1974);
													}}
												else
													{	/* Dataflow/walk.scm 239 */
														BFALSE;
													}
											}
											{
												obj_t BgL_envz00_4738;
												obj_t BgL_bindingsz00_4736;

												BgL_bindingsz00_4736 = CDR(BgL_bindingsz00_1962);
												BgL_envz00_4738 = BgL_envz00_1967;
												BgL_envz00_1963 = BgL_envz00_4738;
												BgL_bindingsz00_1962 = BgL_bindingsz00_4736;
												goto BgL_zc3anonymousza32291ze3z83_1964;
											}
										}
									}
								}
						}
						{	/* Dataflow/walk.scm 232 */

							{	/* Dataflow/walk.scm 244 */
								obj_t BgL_arg2273z00_1940;

								BgL_arg2273z00_1940 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1932))->
										BgL_bodyz00), BgL_envz00_1938);
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_zc3anonymousza32275ze3z83_3751;

									BgL_zc3anonymousza32275ze3z83_3751 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32275ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32275ze3z83_3751,
										(int) (((long) 0)), BINT(BgL_stampz00_1937));
									{	/* Dataflow/walk.scm 244 */
										obj_t BgL_list2274z00_1941;

										BgL_list2274z00_1941 = MAKE_PAIR(BgL_arg2273z00_1940, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza32275ze3z83_3751,
											BgL_list2274z00_1941);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2275> */
	obj_t BGl_z62zc3anonymousza32275ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3814, obj_t BgL_bz00_3816)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 244 */
			{	/* Dataflow/walk.scm 246 */
				long BgL_stampz00_3815;

				BgL_stampz00_3815 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3814, (int) (((long) 0))));
				{
					obj_t BgL_bz00_1942;

					BgL_bz00_1942 = BgL_bz00_3816;
					{	/* Dataflow/walk.scm 246 */
						bool_t BgL_testz00_4753;

						{	/* Dataflow/walk.scm 246 */
							bool_t BgL_testz00_4754;

							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_arg2288z00_1957;

								BgL_arg2288z00_1957 = CAR(BgL_bz00_1942);
								BgL_testz00_4754 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2288z00_1957,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_4754)
								{	/* Dataflow/walk.scm 247 */
									long BgL_auxz00_4757;

									{	/* Dataflow/walk.scm 247 */
										int BgL_auxz00_4758;

										{
											BgL_localzf2valuezf2_bglt BgL_auxz00_4759;

											{
												obj_t BgL_auxz00_4760;

												{	/* Dataflow/walk.scm 247 */
													BgL_objectz00_bglt BgL_auxz00_4761;

													{
														BgL_localz00_bglt BgL_auxz00_4762;

														{	/* Dataflow/walk.scm 247 */
															obj_t BgL_pairz00_3442;

															BgL_pairz00_3442 = BgL_bz00_1942;
															BgL_auxz00_4762 =
																((BgL_localz00_bglt) CAR(BgL_pairz00_3442));
														}
														BgL_auxz00_4761 =
															((BgL_objectz00_bglt) BgL_auxz00_4762);
													}
													BgL_auxz00_4760 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4761);
												}
												BgL_auxz00_4759 =
													((BgL_localzf2valuezf2_bglt) BgL_auxz00_4760);
											}
											BgL_auxz00_4758 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4759))->
												BgL_stampz00);
										}
										BgL_auxz00_4757 = (long) (BgL_auxz00_4758);
									}
									BgL_testz00_4753 = (BgL_auxz00_4757 < BgL_stampz00_3815);
								}
							else
								{	/* Dataflow/walk.scm 246 */
									BgL_testz00_4753 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4753)
							{	/* Dataflow/walk.scm 246 */
								return BgL_bz00_1942;
							}
						else
							{	/* Dataflow/walk.scm 249 */
								bool_t BgL_testz00_4771;

								{	/* Dataflow/walk.scm 249 */
									BgL_nodez00_bglt BgL_arg2283z00_1952;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_4772;

										{
											obj_t BgL_auxz00_4773;

											{	/* Dataflow/walk.scm 249 */
												BgL_objectz00_bglt BgL_auxz00_4774;

												{
													BgL_localz00_bglt BgL_auxz00_4775;

													{	/* Dataflow/walk.scm 249 */
														obj_t BgL_pairz00_3449;

														BgL_pairz00_3449 = BgL_bz00_1942;
														BgL_auxz00_4775 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3449));
													}
													BgL_auxz00_4774 =
														((BgL_objectz00_bglt) BgL_auxz00_4775);
												}
												BgL_auxz00_4773 = BGL_OBJECT_WIDENING(BgL_auxz00_4774);
											}
											BgL_auxz00_4772 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_4773);
										}
										BgL_arg2283z00_1952 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4772))->
											BgL_nodez00);
									}
									{	/* Dataflow/walk.scm 249 */
										bool_t BgL_res2584z00_3454;

										{	/* Dataflow/walk.scm 249 */
											obj_t BgL_objz00_3453;

											BgL_objz00_3453 = ((obj_t) BgL_arg2283z00_1952);
											BgL_res2584z00_3454 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3453,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_4771 = BgL_res2584z00_3454;
									}
								}
								if (BgL_testz00_4771)
									{	/* Dataflow/walk.scm 250 */
										BgL_variablez00_bglt BgL_vz00_1946;

										{
											BgL_varz00_bglt BgL_auxz00_4784;

											{
												BgL_nodez00_bglt BgL_auxz00_4785;

												{
													BgL_localzf2valuezf2_bglt BgL_auxz00_4786;

													{
														obj_t BgL_auxz00_4787;

														{	/* Dataflow/walk.scm 250 */
															BgL_objectz00_bglt BgL_auxz00_4788;

															{
																BgL_localz00_bglt BgL_auxz00_4789;

																{	/* Dataflow/walk.scm 250 */
																	obj_t BgL_pairz00_3455;

																	BgL_pairz00_3455 = BgL_bz00_1942;
																	BgL_auxz00_4789 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3455));
																}
																BgL_auxz00_4788 =
																	((BgL_objectz00_bglt) BgL_auxz00_4789);
															}
															BgL_auxz00_4787 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4788);
														}
														BgL_auxz00_4786 =
															((BgL_localzf2valuezf2_bglt) BgL_auxz00_4787);
													}
													BgL_auxz00_4785 =
														(((BgL_localzf2valuezf2_bglt)
															CREF(BgL_auxz00_4786))->BgL_nodez00);
												}
												BgL_auxz00_4784 = ((BgL_varz00_bglt) BgL_auxz00_4785);
											}
											BgL_vz00_1946 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_4784))->
												BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(BgL_vz00_1946))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
											{	/* Dataflow/walk.scm 252 */
												obj_t BgL_arg2279z00_1948;

												BgL_arg2279z00_1948 = CDR(BgL_bz00_1942);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_1946), BgL_arg2279z00_1948);
											}
										else
											{	/* Dataflow/walk.scm 251 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 249 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f2075 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f2075za2zzdataflow_walkz00(obj_t
		BgL_envz00_3817, BgL_letzd2funzd2_bglt BgL_nodez00_3818,
		obj_t BgL_envz00_3819)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 213 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1915;
				obj_t BgL_envz00_1916;

				BgL_nodez00_1915 = BgL_nodez00_3818;
				BgL_envz00_1916 = BgL_envz00_3819;
				{	/* Dataflow/walk.scm 215 */
					obj_t BgL_g2033z00_1920;

					BgL_g2033z00_1920 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1915))->BgL_localsz00);
					{
						obj_t BgL_l2031z00_1922;

						BgL_l2031z00_1922 = BgL_g2033z00_1920;
					BgL_zc3anonymousza32266ze3z83_1923:
						if (PAIRP(BgL_l2031z00_1922))
							{	/* Dataflow/walk.scm 215 */
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_localz00_1925;

									BgL_localz00_1925 = CAR(BgL_l2031z00_1922);
									{	/* Dataflow/walk.scm 216 */
										obj_t BgL_arg2268z00_1926;

										BgL_arg2268z00_1926 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1925))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
												(BgL_nodez00_bglt) BgL_arg2268z00_1926), BNIL);
									}
								}
								{
									obj_t BgL_l2031z00_4816;

									BgL_l2031z00_4816 = CDR(BgL_l2031z00_1922);
									BgL_l2031z00_1922 = BgL_l2031z00_4816;
									goto BgL_zc3anonymousza32266ze3z83_1923;
								}
							}
						else
							{	/* Dataflow/walk.scm 215 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1915))->BgL_bodyz00),
					BgL_envz00_1916);
			}
		}
	}



/* &dataflow-node!-selec2073 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec2073z70zzdataflow_walkz00(obj_t
		BgL_envz00_3820, BgL_selectz00_bglt BgL_nodez00_3821, obj_t BgL_envz00_3822)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 202 */
			{
				BgL_selectz00_bglt BgL_nodez00_1899;
				obj_t BgL_envz00_1900;

				BgL_nodez00_1899 = BgL_nodez00_3821;
				BgL_envz00_1900 = BgL_envz00_3822;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1899))->BgL_testz00),
					BgL_envz00_1900);
				{	/* Dataflow/walk.scm 205 */
					obj_t BgL_g2030z00_1905;

					BgL_g2030z00_1905 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1899))->BgL_clausesz00);
					{
						obj_t BgL_l2028z00_1907;

						BgL_l2028z00_1907 = BgL_g2030z00_1905;
					BgL_zc3anonymousza32262ze3z83_1908:
						if (PAIRP(BgL_l2028z00_1907))
							{	/* Dataflow/walk.scm 205 */
								{	/* Dataflow/walk.scm 206 */
									obj_t BgL_clausez00_1910;

									BgL_clausez00_1910 = CAR(BgL_l2028z00_1907);
									{	/* Dataflow/walk.scm 206 */
										obj_t BgL_arg2264z00_1911;

										BgL_arg2264z00_1911 = CDR(BgL_clausez00_1910);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2264z00_1911),
											BgL_envz00_1900);
									}
								}
								{
									obj_t BgL_l2028z00_4829;

									BgL_l2028z00_4829 = CDR(BgL_l2028z00_1907);
									BgL_l2028z00_1907 = BgL_l2028z00_4829;
									goto BgL_zc3anonymousza32262ze3z83_1908;
								}
							}
						else
							{	/* Dataflow/walk.scm 205 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_1900;
			}
		}
	}



/* &dataflow-node!-fail2071 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail2071z70zzdataflow_walkz00(obj_t
		BgL_envz00_3823, BgL_failz00_bglt BgL_nodez00_3824, obj_t BgL_envz00_3825)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 192 */
			{
				BgL_failz00_bglt BgL_nodez00_1890;
				obj_t BgL_envz00_1891;

				BgL_nodez00_1890 = BgL_nodez00_3824;
				BgL_envz00_1891 = BgL_envz00_3825;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1890))->BgL_procz00),
					BgL_envz00_1891);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1890))->BgL_msgz00), BgL_envz00_1891);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1890))->BgL_objz00), BgL_envz00_1891);
				return BgL_envz00_1891;
			}
		}
	}



/* &dataflow-node!-condi2069 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi2069z70zzdataflow_walkz00(obj_t
		BgL_envz00_3826, BgL_conditionalz00_bglt BgL_nodez00_3827,
		obj_t BgL_envz00_3828)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 169 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1856;
				obj_t BgL_envz00_1857;

				BgL_nodez00_1856 = BgL_nodez00_3827;
				BgL_envz00_1857 = BgL_envz00_3828;
				{
					obj_t BgL_env1z00_1876;
					obj_t BgL_env2z00_1877;

					{	/* Dataflow/walk.scm 180 */
						obj_t BgL_tenvz00_1862;

						BgL_tenvz00_1862 =
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->BgL_testz00),
							BgL_envz00_1857);
						{	/* Dataflow/walk.scm 180 */
							obj_t BgL_truezd2envzd2_1863;

							BgL_truezd2envzd2_1863 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->
										BgL_testz00)), BgL_tenvz00_1862);
							{	/* Dataflow/walk.scm 181 */
								obj_t BgL_falsezd2envzd2_1864;

								BgL_falsezd2envzd2_1864 =
									BGl_appendzd221011zd2zzdataflow_walkz00
									(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->
											BgL_testz00)), BgL_tenvz00_1862);
								{	/* Dataflow/walk.scm 182 */

									{	/* Dataflow/walk.scm 183 */
										obj_t BgL_tenvz00_1865;
										obj_t BgL_fenvz00_1866;

										BgL_tenvz00_1865 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->
												BgL_falsez00), BgL_falsezd2envzd2_1864);
										BgL_fenvz00_1866 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
													(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->
												BgL_truez00), BgL_truezd2envzd2_1863);
										{	/* Dataflow/walk.scm 185 */
											bool_t BgL_testz00_4849;

											{	/* Dataflow/walk.scm 185 */
												BgL_nodez00_bglt BgL_arg2246z00_1868;

												BgL_arg2246z00_1868 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1856))->
													BgL_falsez00);
												BgL_testz00_4849 =
													CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
													(BgL_arg2246z00_1868));
											}
											if (BgL_testz00_4849)
												{	/* Dataflow/walk.scm 185 */
													return BgL_tenvz00_1865;
												}
											else
												{	/* Dataflow/walk.scm 185 */
													BgL_env1z00_1876 = BgL_tenvz00_1865;
													BgL_env2z00_1877 = BgL_fenvz00_1866;
													{	/* Dataflow/walk.scm 173 */
														obj_t BgL_zc3anonymousza32256ze3z83_3756;

														BgL_zc3anonymousza32256ze3z83_3756 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32256ze3ze1zzdataflow_walkz00,
															(int) (((long) 1)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3anonymousza32256ze3z83_3756,
															(int) (((long) 0)), BgL_env2z00_1877);
														return
															BGl_filterz00zz__r4_control_features_6_9z00
															(BgL_zc3anonymousza32256ze3z83_3756,
															BgL_env1z00_1876);
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2256> */
	obj_t BGl_z62zc3anonymousza32256ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3829, obj_t BgL_cz00_3831)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 172 */
			{	/* Dataflow/walk.scm 173 */
				obj_t BgL_env2z00_3830;

				BgL_env2z00_3830 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3829, (int) (((long) 0))));
				{
					obj_t BgL_cz00_1880;

					{	/* Dataflow/walk.scm 173 */
						bool_t BgL_auxz00_4862;

						BgL_cz00_1880 = BgL_cz00_3831;
						{	/* Dataflow/walk.scm 174 */
							obj_t BgL_c2z00_1884;

							BgL_c2z00_1884 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR(BgL_cz00_1880),
								BgL_env2z00_3830);
							{	/* Dataflow/walk.scm 175 */

								if (PAIRP(BgL_c2z00_1884))
									{	/* Dataflow/walk.scm 176 */
										BgL_auxz00_4862 =
											(CDR(BgL_c2z00_1884) == CDR(BgL_cz00_1880));
									}
								else
									{	/* Dataflow/walk.scm 176 */
										BgL_auxz00_4862 = ((bool_t) 0);
									}
							}
						}
						return BBOOL(BgL_auxz00_4862);
					}
				}
			}
		}
	}



/* &dataflow-node!-setq2067 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq2067z70zzdataflow_walkz00(obj_t
		BgL_envz00_3832, BgL_setqz00_bglt BgL_nodez00_3833, obj_t BgL_envz00_3834)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 149 */
			{
				BgL_setqz00_bglt BgL_nodez00_1826;
				obj_t BgL_envz00_1827;

				BgL_nodez00_1826 = BgL_nodez00_3833;
				BgL_envz00_1827 = BgL_envz00_3834;
				{
					BgL_variablez00_bglt BgL_variablez00_1845;
					obj_t BgL_envz00_1846;

					{	/* Dataflow/walk.scm 157 */
						obj_t BgL_nenvz00_1832;

						BgL_nenvz00_1832 =
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1826))->BgL_valuez00),
							BgL_envz00_1827);
						{	/* Dataflow/walk.scm 158 */
							BgL_varz00_bglt BgL_i1170z00_1833;

							BgL_i1170z00_1833 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1826))->BgL_varz00);
							{	/* Dataflow/walk.scm 159 */
								bool_t BgL_testz00_4874;

								{	/* Dataflow/walk.scm 159 */
									BgL_variablez00_bglt BgL_arg2238z00_1843;

									BgL_arg2238z00_1843 =
										(((BgL_varz00_bglt) CREF(BgL_i1170z00_1833))->
										BgL_variablez00);
									{	/* Dataflow/walk.scm 159 */
										bool_t BgL_res2572z00_3397;

										{	/* Dataflow/walk.scm 159 */
											obj_t BgL_objz00_3396;

											BgL_objz00_3396 = ((obj_t) BgL_arg2238z00_1843);
											BgL_res2572z00_3397 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3396,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_4874 = BgL_res2572z00_3397;
									}
								}
								if (BgL_testz00_4874)
									{	/* Dataflow/walk.scm 159 */
										BgL_variablez00_1845 =
											(((BgL_varz00_bglt) CREF(BgL_i1170z00_1833))->
											BgL_variablez00);
										BgL_envz00_1846 = BgL_nenvz00_1832;
									BgL_zc3anonymousza32240ze3z83_1847:
										{	/* Dataflow/walk.scm 153 */
											obj_t BgL_zc3anonymousza32242ze3z83_3758;

											BgL_zc3anonymousza32242ze3z83_3758 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32242ze3ze1zzdataflow_walkz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_3758,
												(int) (((long) 0)), ((obj_t) BgL_variablez00_1845));
											return
												BGl_filterz00zz__r4_control_features_6_9z00
												(BgL_zc3anonymousza32242ze3z83_3758, BgL_envz00_1846);
										}
									}
								else
									{	/* Dataflow/walk.scm 161 */
										BgL_typez00_bglt BgL_typz00_1836;

										BgL_typz00_1836 =
											BGl_getzd2typezd2zztype_typeofz00(
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1826))->
												BgL_valuez00));
										{	/* Dataflow/walk.scm 162 */
											bool_t BgL_testz00_4888;

											if (
												(((obj_t) BgL_typz00_1836) ==
													BGl_za2_za2z00zztype_cachez00))
												{	/* Dataflow/walk.scm 162 */
													BgL_testz00_4888 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 162 */
													BgL_testz00_4888 =
														(
														((obj_t) BgL_typz00_1836) ==
														BGl_za2objza2z00zztype_cachez00);
												}
											if (BgL_testz00_4888)
												{
													obj_t BgL_envz00_4896;
													BgL_variablez00_bglt BgL_variablez00_4894;

													BgL_variablez00_4894 =
														(((BgL_varz00_bglt) CREF(BgL_i1170z00_1833))->
														BgL_variablez00);
													BgL_envz00_4896 = BgL_nenvz00_1832;
													BgL_envz00_1846 = BgL_envz00_4896;
													BgL_variablez00_1845 = BgL_variablez00_4894;
													goto BgL_zc3anonymousza32240ze3z83_1847;
												}
											else
												{	/* Dataflow/walk.scm 164 */
													obj_t BgL_arg2234z00_1839;

													{	/* Dataflow/walk.scm 164 */
														BgL_variablez00_bglt BgL_arg2235z00_1840;

														BgL_arg2235z00_1840 =
															(((BgL_varz00_bglt) CREF(BgL_i1170z00_1833))->
															BgL_variablez00);
														BgL_arg2234z00_1839 =
															MAKE_PAIR(((obj_t) BgL_arg2235z00_1840),
															((obj_t) BgL_typz00_1836));
													}
													return
														MAKE_PAIR(BgL_arg2234z00_1839, BgL_nenvz00_1832);
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2242> */
	obj_t BGl_z62zc3anonymousza32242ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3835, obj_t BgL_bz00_3837)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				BgL_variablez00_bglt BgL_variablez00_3836;

				BgL_variablez00_3836 =
					((BgL_variablez00_bglt)
					PROCEDURE_REF(BgL_envz00_3835, (int) (((long) 0))));
				{
					obj_t BgL_bz00_1849;

					{	/* Dataflow/walk.scm 153 */
						bool_t BgL_auxz00_4905;

						BgL_bz00_1849 = BgL_bz00_3837;
						if ((CAR(BgL_bz00_1849) == ((obj_t) BgL_variablez00_3836)))
							{	/* Dataflow/walk.scm 153 */
								BgL_auxz00_4905 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 153 */
								BgL_auxz00_4905 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_4905);
					}
				}
			}
		}
	}



/* &dataflow-node!-exter2065 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter2065z70zzdataflow_walkz00(obj_t
		BgL_envz00_3838, BgL_externz00_bglt BgL_nodez00_3839, obj_t BgL_envz00_3840)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 142 */
			{
				BgL_externz00_bglt BgL_nodez00_1820;
				obj_t BgL_envz00_1821;

				BgL_nodez00_1820 = BgL_nodez00_3839;
				BgL_envz00_1821 = BgL_envz00_3840;
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1820))->BgL_exprza2za2),
					BgL_envz00_1821);
			}
		}
	}



/* &dataflow-node!-funca2063 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca2063z70zzdataflow_walkz00(obj_t
		BgL_envz00_3841, BgL_funcallz00_bglt BgL_nodez00_3842,
		obj_t BgL_envz00_3843)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 134 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1812;
				obj_t BgL_envz00_1813;

				BgL_nodez00_1812 = BgL_nodez00_3842;
				BgL_envz00_1813 = BgL_envz00_3843;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1812))->BgL_funz00),
					BgL_envz00_1813);
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1812))->BgL_argsz00), BgL_envz00_1813);
			}
		}
	}



/* &dataflow-node!-app-l2061 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l2061za2zzdataflow_walkz00(obj_t
		BgL_envz00_3844, BgL_appzd2lyzd2_bglt BgL_nodez00_3845,
		obj_t BgL_envz00_3846)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 126 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1804;
				obj_t BgL_envz00_1805;

				BgL_nodez00_1804 = BgL_nodez00_3845;
				BgL_envz00_1805 = BgL_envz00_3846;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1804))->BgL_funz00),
					BgL_envz00_1805);
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_1804))->BgL_argz00), BgL_envz00_1805);
			}
		}
	}



/* &dataflow-node!-app2059 */
	obj_t BGl_z62dataflowzd2nodez12zd2app2059z70zzdataflow_walkz00(obj_t
		BgL_envz00_3847, BgL_appz00_bglt BgL_nodez00_3848, obj_t BgL_envz00_3849)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 110 */
			{
				BgL_appz00_bglt BgL_nodez00_1784;
				obj_t BgL_envz00_1785;

				BgL_nodez00_1784 = BgL_nodez00_3848;
				BgL_envz00_1785 = BgL_envz00_3849;
				{	/* Dataflow/walk.scm 112 */
					obj_t BgL_aenvz00_1789;

					BgL_aenvz00_1789 =
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->BgL_argsz00),
						BgL_envz00_1785);
					{	/* Dataflow/walk.scm 113 */
						bool_t BgL_testz00_4923;

						{	/* Dataflow/walk.scm 113 */
							bool_t BgL_testz00_4924;

							{	/* Dataflow/walk.scm 113 */
								BgL_varz00_bglt BgL_arg2224z00_1801;

								BgL_arg2224z00_1801 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->BgL_funz00);
								{	/* Dataflow/walk.scm 113 */
									bool_t BgL_res2567z00_3374;

									{	/* Dataflow/walk.scm 113 */
										obj_t BgL_objz00_3373;

										BgL_objz00_3373 = ((obj_t) BgL_arg2224z00_1801);
										BgL_res2567z00_3374 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3373,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_4924 = BgL_res2567z00_3374;
								}
							}
							if (BgL_testz00_4924)
								{	/* Dataflow/walk.scm 113 */
									BgL_variablez00_bglt BgL_arg2222z00_1799;

									BgL_arg2222z00_1799 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 113 */
										bool_t BgL_res2569z00_3379;

										{	/* Dataflow/walk.scm 113 */
											obj_t BgL_objz00_3378;

											BgL_objz00_3378 = ((obj_t) BgL_arg2222z00_1799);
											BgL_res2569z00_3379 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3378,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_4923 = BgL_res2569z00_3379;
									}
								}
							else
								{	/* Dataflow/walk.scm 113 */
									BgL_testz00_4923 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4923)
							{	/* Dataflow/walk.scm 113 */
								return
									BGl_filterz00zz__r4_control_features_6_9z00
									(BGl_proc2692z00zzdataflow_walkz00, BgL_aenvz00_1789);
							}
						else
							{	/* Dataflow/walk.scm 113 */
								return BgL_aenvz00_1789;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2219> */
	obj_t BGl_z62zc3anonymousza32219ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3850, obj_t BgL_bz00_3851)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 117 */
			{
				obj_t BgL_bz00_1792;

				{	/* Dataflow/walk.scm 118 */
					bool_t BgL_auxz00_4933;

					BgL_bz00_1792 = BgL_bz00_3851;
					{	/* Dataflow/walk.scm 118 */
						obj_t BgL_vz00_1794;

						BgL_vz00_1794 = CAR(BgL_bz00_1792);
						{	/* Dataflow/walk.scm 119 */
							bool_t BgL__ortest_1166z00_1795;

							BgL__ortest_1166z00_1795 =
								BGl_isazf3zf3zz__objectz00(BgL_vz00_1794,
								BGl_globalz00zzast_varz00);
							if (BgL__ortest_1166z00_1795)
								{	/* Dataflow/walk.scm 119 */
									BgL_auxz00_4933 = BgL__ortest_1166z00_1795;
								}
							else
								{	/* Dataflow/walk.scm 119 */
									BgL_auxz00_4933 =
										(
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_1794)))->
											BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
					}}}
					return BBOOL(BgL_auxz00_4933);
				}
			}
		}
	}



/* &dataflow-node!-seque2057 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque2057z70zzdataflow_walkz00(obj_t
		BgL_envz00_3852, BgL_sequencez00_bglt BgL_nodez00_3853,
		obj_t BgL_envz00_3854)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1769;
				obj_t BgL_envz00_1770;

				BgL_nodez00_1769 = BgL_nodez00_3853;
				BgL_envz00_1770 = BgL_envz00_3854;
				{	/* Dataflow/walk.scm 101 */
					obj_t BgL_g1164z00_1773;

					BgL_g1164z00_1773 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1769))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1775;
						obj_t BgL_envz00_1776;

						BgL_nodeza2za2_1775 = BgL_g1164z00_1773;
						BgL_envz00_1776 = BgL_envz00_1770;
					BgL_zc3anonymousza32212ze3z83_1777:
						if (NULLP(BgL_nodeza2za2_1775))
							{	/* Dataflow/walk.scm 103 */
								return BgL_envz00_1776;
							}
						else
							{	/* Dataflow/walk.scm 105 */
								obj_t BgL_arg2214z00_1779;
								obj_t BgL_arg2215z00_1780;

								BgL_arg2214z00_1779 = CDR(BgL_nodeza2za2_1775);
								{	/* Dataflow/walk.scm 105 */
									obj_t BgL_arg2216z00_1781;

									BgL_arg2216z00_1781 = CAR(BgL_nodeza2za2_1775);
									BgL_arg2215z00_1780 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2216z00_1781), BgL_envz00_1776);
								}
								{
									obj_t BgL_envz00_4950;
									obj_t BgL_nodeza2za2_4949;

									BgL_nodeza2za2_4949 = BgL_arg2214z00_1779;
									BgL_envz00_4950 = BgL_arg2215z00_1780;
									BgL_envz00_1776 = BgL_envz00_4950;
									BgL_nodeza2za2_1775 = BgL_nodeza2za2_4949;
									goto BgL_zc3anonymousza32212ze3z83_1777;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu2055 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu2055z70zzdataflow_walkz00(obj_t
		BgL_envz00_3855, BgL_closurez00_bglt BgL_nodez00_3856,
		obj_t BgL_envz00_3857)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 94 */
			return BgL_envz00_3857;
		}
	}



/* &dataflow-node!-var2053 */
	obj_t BGl_z62dataflowzd2nodez12zd2var2053z70zzdataflow_walkz00(obj_t
		BgL_envz00_3858, BgL_varz00_bglt BgL_nodez00_3859, obj_t BgL_envz00_3860)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 80 */
			{
				BgL_varz00_bglt BgL_nodez00_1745;
				obj_t BgL_envz00_1746;

				BgL_nodez00_1745 = BgL_nodez00_3859;
				BgL_envz00_1746 = BgL_envz00_3860;
				{	/* Dataflow/walk.scm 82 */
					BgL_variablez00_bglt BgL_i1162z00_1750;

					BgL_i1162z00_1750 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->BgL_variablez00);
					{	/* Dataflow/walk.scm 83 */
						bool_t BgL_testz00_4952;

						if (BGl_bigloozd2typezf3z21zztype_typez00(
								(((BgL_variablez00_bglt) CREF(BgL_i1162z00_1750))->
									BgL_typez00)))
							{	/* Dataflow/walk.scm 84 */
								bool_t BgL__ortest_1163z00_1757;

								{	/* Dataflow/walk.scm 84 */
									bool_t BgL_testz00_4956;

									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2210z00_1761;

										BgL_arg2210z00_1761 =
											(((BgL_variablez00_bglt) CREF(BgL_i1162z00_1750))->
											BgL_typez00);
										{	/* Dataflow/walk.scm 84 */
											bool_t BgL_res2563z00_3360;

											{	/* Dataflow/walk.scm 84 */
												obj_t BgL_objz00_3359;

												BgL_objz00_3359 = ((obj_t) BgL_arg2210z00_1761);
												BgL_res2563z00_3360 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_3359,
													BGl_tclassz00zzobject_classz00);
											}
											BgL_testz00_4956 = BgL_res2563z00_3360;
										}
									}
									if (BgL_testz00_4956)
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1163z00_1757 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1163z00_1757 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1163z00_1757)
									{	/* Dataflow/walk.scm 84 */
										BgL_testz00_4952 = BgL__ortest_1163z00_1757;
									}
								else
									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2207z00_1758;
										BgL_typez00_bglt BgL_arg2208z00_1759;

										BgL_arg2207z00_1758 =
											(((BgL_variablez00_bglt) CREF(BgL_i1162z00_1750))->
											BgL_typez00);
										BgL_arg2208z00_1759 =
											(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_nodez00_1745)))->BgL_typez00);
										BgL_testz00_4952 =
											BGl_typezd2subclasszf3z21zzobject_classz00
											(BgL_arg2207z00_1758, BgL_arg2208z00_1759);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BgL_testz00_4952 = ((bool_t) 0);
							}
						if (BgL_testz00_4952)
							{	/* Dataflow/walk.scm 85 */
								obj_t BgL_bz00_1752;

								BgL_bz00_1752 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->
											BgL_variablez00)), BgL_envz00_1746);
								if (PAIRP(BgL_bz00_1752))
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1745)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													CDR(BgL_bz00_1752))), BUNSPEC);
									}
								else
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1745)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->
																BgL_variablez00)))->BgL_typez00)), BUNSPEC);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1746;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2693z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
