/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1991z62zztrace_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1945zb0zztrace_walkz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1989z62zztrace_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1949zb0zztrace_walkz00(obj_t,
		BgL_failz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1973z62zztrace_walkz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1934zb0zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	static BgL_nodez00_bglt BGl_z62tracezd2node1962zb0zztrace_walkz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1971z62zztrace_walkz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1987zb0zztrace_walkz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1975z62zztrace_walkz00(obj_t, BgL_castz00_bglt,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121997za2zztrace_walkz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2node1998z62zztrace_walkz00(obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1993zb0zztrace_walkz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1995zb0zztrace_walkz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1977z62zztrace_walkz00(obj_t, BgL_setqz00_bglt,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22003zb0zztrace_walkz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1981z62zztrace_walkz00(obj_t, BgL_failz00_bglt,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1938z62zztrace_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1958z62zztrace_walkz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2selec1951zb0zztrace_walkz00(obj_t,
		BgL_selectz00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1942zb0zztrace_walkz00(obj_t,
		BgL_externz00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1940zb0zztrace_walkz00(obj_t,
		BgL_funcallz00_bglt);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1965z62zztrace_walkz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1947zb0zztrace_walkz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1967z62zztrace_walkz00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1979z62zztrace_walkz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1955z62zztrace_walkz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1953z62zztrace_walkz00(obj_t,
		BgL_letzd2varzd2_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1936zb0zztrace_walkz00(obj_t,
		BgL_appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1985zb0zztrace_walkz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21961z62zztrace_walkz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62findzd2lastzd2node1929z62zztrace_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1969zb0zztrace_walkz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select1983z62zztrace_walkz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2507z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2501z00zztrace_walkz00,
		BgL_bgl_string2501za700za7za7t2508za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2503z00zztrace_walkz00,
		BgL_bgl_string2503za700za7za7t2509za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2504z00zztrace_walkz00,
		BgL_bgl_string2504za700za7za7t2510za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2511z00,
		BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2512z00,
		BGl_z62toplevelzd2tracezd2nodezd22003zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2452z00zztrace_walkz00,
		BgL_bgl_string2452za700za7za7t2513za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2453z00zztrace_walkz00,
		BgL_bgl_string2453za700za7za7t2514za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2454z00zztrace_walkz00,
		BgL_bgl_string2454za700za7za7t2515za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2455z00zztrace_walkz00,
		BgL_bgl_string2455za700za7za7t2516za7, " error", 6);
	      DEFINE_STRING(BGl_string2456z00zztrace_walkz00,
		BgL_bgl_string2456za700za7za7t2517za7, "s", 1);
	      DEFINE_STRING(BGl_string2457z00zztrace_walkz00,
		BgL_bgl_string2457za700za7za7t2518za7, "", 0);
	      DEFINE_STRING(BGl_string2458z00zztrace_walkz00,
		BgL_bgl_string2458za700za7za7t2519za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2459z00zztrace_walkz00,
		BgL_bgl_string2459za700za7za7t2520za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2460z00zztrace_walkz00,
		BgL_bgl_string2460za700za7za7t2521za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2461z00zztrace_walkz00,
		BgL_bgl_string2461za700za7za7t2522za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2463z00zztrace_walkz00,
		BgL_bgl_string2463za700za7za7t2523za7, "find-last-node1929", 18);
	      DEFINE_STRING(BGl_string2465z00zztrace_walkz00,
		BgL_bgl_string2465za700za7za7t2524za7, "trace-node1962", 14);
	      DEFINE_STRING(BGl_string2467z00zztrace_walkz00,
		BgL_bgl_string2467za700za7za7t2525za7, "toplevel-trace-node1998", 23);
	      DEFINE_STRING(BGl_string2469z00zztrace_walkz00,
		BgL_bgl_string2469za700za7za7t2526za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2527za7,
		BGl_z62findzd2lastzd2node1929z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12528z00,
		BGl_z62tracezd2node1962zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2529z00,
		BGl_z62toplevelzd2tracezd2node1998z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2530za7,
		BGl_z62findzd2lastzd2nodezd2seque1934zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2531za7,
		BGl_z62findzd2lastzd2nodezd2app1936zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2532za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1938z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2533za7,
		BGl_z62findzd2lastzd2nodezd2funca1940zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2534za7,
		BGl_z62findzd2lastzd2nodezd2exter1942zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2535za7,
		BGl_z62findzd2lastzd2nodezd2setq1945zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2536za7,
		BGl_z62findzd2lastzd2nodezd2condi1947zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2537za7,
		BGl_z62findzd2lastzd2nodezd2fail1949zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2483z00zztrace_walkz00,
		BgL_bgl_string2483za700za7za7t2538za7, "trace-node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2539za7,
		BGl_z62findzd2lastzd2nodezd2selec1951zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2540za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1953z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2541za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1955z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2542za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1958z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2543za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21961z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72544za7,
		BGl_z62tracezd2nodezd2sequence1965z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72545za7,
		BGl_z62tracezd2nodezd2app1967z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72546za7,
		BGl_z62tracezd2nodezd2appzd2ly1969zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72547za7,
		BGl_z62tracezd2nodezd2funcall1971z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72548za7,
		BGl_z62tracezd2nodezd2extern1973z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72549za7,
		BGl_z62tracezd2nodezd2cast1975z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72550za7,
		BGl_z62tracezd2nodezd2setq1977z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72551za7,
		BGl_z62tracezd2nodezd2condition1979z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72552za7,
		BGl_z62tracezd2nodezd2fail1981z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72553za7,
		BGl_z62tracezd2nodezd2select1983z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72554za7,
		BGl_z62tracezd2nodezd2letzd2fun1985zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72555za7,
		BGl_z62tracezd2nodezd2letzd2var1987zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72556za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1989z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72557za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1991z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72558za7,
		BGl_z62tracezd2nodezd2makezd2box1993zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72559za7,
		BGl_z62tracezd2nodezd2boxzd2ref1995zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72560za7,
		BGl_z62tracezd2nodezd2boxzd2setz121997za2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72561za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72562za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2563za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3113, char *BgL_fromz00_3114)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3101;

				BgL_cportz00_3101 =
					bgl_open_input_string(BGl_string2504z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3102;

					BgL_iz00_3102 = ((long) 20);
				BgL_loopz00_3103:
					if ((BgL_iz00_3102 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2506z00_3105;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3107;

										BgL_locationz00_3107 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2506z00_3105 =
												BGl_readz00zz__readerz00(BgL_cportz00_3101,
												BgL_locationz00_3107);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_3142;

									BgL_auxz00_3142 = (int) (BgL_iz00_3102);
									CNST_TABLE_SET(BgL_auxz00_3142, BgL_arg2506z00_3105);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3108;

								BgL_auxz00_3108 = (int) ((BgL_iz00_3102 - ((long) 1)));
								{
									long BgL_iz00_3147;

									BgL_iz00_3147 = (long) (BgL_auxz00_3108);
									BgL_iz00_3102 = BgL_iz00_3147;
									goto BgL_loopz00_3103;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list2014z00_1294;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg2015z00_1295;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg2016z00_1296;

						BgL_arg2016z00_1296 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2015z00_1295 =
							MAKE_PAIR(BGl_string2452z00zztrace_walkz00, BgL_arg2016z00_1296);
					}
					BgL_list2014z00_1294 =
						MAKE_PAIR(BGl_string2453z00zztrace_walkz00, BgL_arg2015z00_1295);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2014z00_1294);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2452z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1300;
				obj_t BgL_hnamesz00_1301;

				BgL_hooksz00_1300 = BNIL;
				BgL_hnamesz00_1301 = BNIL;
			BgL_zc3anonymousza32017ze3z83_1302:
				if (NULLP(BgL_hooksz00_1300))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_3159;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun2025z00_1308;

							BgL_fun2025z00_1308 = CAR(BgL_hooksz00_1300);
							BgL_testz00_3159 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2025z00_1308) (BgL_fun2025z00_1308,
									BEOA));
						}
						if (BgL_testz00_3159)
							{
								obj_t BgL_hnamesz00_3167;
								obj_t BgL_hooksz00_3165;

								BgL_hooksz00_3165 = CDR(BgL_hooksz00_1300);
								BgL_hnamesz00_3167 = CDR(BgL_hnamesz00_1301);
								BgL_hnamesz00_1301 = BgL_hnamesz00_3167;
								BgL_hooksz00_1300 = BgL_hooksz00_3165;
								goto BgL_zc3anonymousza32017ze3z83_1302;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2452z00zztrace_walkz00,
									BGl_string2454z00zztrace_walkz00, CAR(BgL_hnamesz00_1301));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1311;

				BgL_idz00_1311 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1312;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list2029z00_1316;

						BgL_list2029z00_1316 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1312 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1311,
							BgL_list2029z00_1316);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1312,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1107z00_1314;

								BgL_i1107z00_1314 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1312))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_3180;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg2028z00_1315;

										BgL_arg2028z00_1315 =
											(((BgL_sfunz00_bglt) CREF(BgL_i1107z00_1314))->
											BgL_bodyz00);
										BgL_auxz00_3180 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg2028z00_1315)));
									}
									((((BgL_sfunz00_bglt) CREF(BgL_i1107z00_1314))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_3180), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1818z00_1318;

				BgL_l1818z00_1318 = BgL_globalsz00_17;
			BgL_zc3anonymousza32030ze3z83_1319:
				if (PAIRP(BgL_l1818z00_1318))
					{	/* Trace/walk.scm 51 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1818z00_1318), BNIL);
						{
							obj_t BgL_l1818z00_3190;

							BgL_l1818z00_3190 = CDR(BgL_l1818z00_1318);
							BgL_l1818z00_1318 = BgL_l1818z00_3190;
							goto BgL_zc3anonymousza32030ze3z83_1319;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1820z00_1326;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res2351z00_2538;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_auxz00_3195;

								BgL_auxz00_3195 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2351z00_2538 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3195);
							}
							BgL_port1820z00_1326 = BgL_res2351z00_2538;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1820z00_1326);
						BGL_DISPLAY_STRING(BGl_string2455z00zztrace_walkz00,
							BgL_port1820z00_1326);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg2035z00_1327;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_3200;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3200 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3200 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_3200 = ((bool_t) 0);
									}
								if (BgL_testz00_3200)
									{	/* Trace/walk.scm 52 */
										BgL_arg2035z00_1327 = BGl_string2456z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg2035z00_1327 = BGl_string2457z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2035z00_1327, BgL_port1820z00_1326);
						}
						BGL_DISPLAY_STRING(BGl_string2458z00zztrace_walkz00,
							BgL_port1820z00_1326);
						bgl_display_char(((unsigned char) '\n'), BgL_port1820z00_1326);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list2039z00_1331;

						BgL_list2039z00_1331 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2039z00_1331);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1335;
					obj_t BgL_hnamesz00_1336;

					BgL_hooksz00_1335 = BNIL;
					BgL_hnamesz00_1336 = BNIL;
				BgL_zc3anonymousza32040ze3z83_1337:
					if (NULLP(BgL_hooksz00_1335))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_3217;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun2046z00_1343;

								BgL_fun2046z00_1343 = CAR(BgL_hooksz00_1335);
								BgL_testz00_3217 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2046z00_1343)
									(BgL_fun2046z00_1343, BEOA));
							}
							if (BgL_testz00_3217)
								{
									obj_t BgL_hnamesz00_3225;
									obj_t BgL_hooksz00_3223;

									BgL_hooksz00_3223 = CDR(BgL_hooksz00_1335);
									BgL_hnamesz00_3225 = CDR(BgL_hnamesz00_1336);
									BgL_hnamesz00_1336 = BgL_hnamesz00_3225;
									BgL_hooksz00_1335 = BgL_hooksz00_3223;
									goto BgL_zc3anonymousza32040ze3z83_1337;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg2045z00_1342;

									BgL_arg2045z00_1342 = CAR(BgL_hnamesz00_1336);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2459z00zztrace_walkz00, BgL_arg2045z00_1342);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_2968,
		obj_t BgL_globalsz00_2969)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_2969);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_3230;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3230 =
							(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3230 = ((bool_t) 0);
					}
				if (BgL_testz00_3230)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg2050z00_1347;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg2051z00_1348;
							obj_t BgL_arg2052z00_1349;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2053z00_1350;

								BgL_arg2053z00_1350 =
									string_to_symbol(BSTRING_TO_STRING
									(BGl_string2460z00zztrace_walkz00));
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2359z00_2566;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1310z00_2565;

										BgL_arg1310z00_2565 = SYMBOL_TO_STRING(BgL_arg2053z00_1350);
										BgL_res2359z00_2566 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1310z00_2565);
									}
									BgL_arg2051z00_1348 = BgL_res2359z00_2566;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2054z00_1351;

								BgL_arg2054z00_1351 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2361z00_2572;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1310z00_2571;

										BgL_arg1310z00_2571 = SYMBOL_TO_STRING(BgL_arg2054z00_1351);
										BgL_res2361z00_2572 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1310z00_2571);
									}
									BgL_arg2052z00_1349 = BgL_res2361z00_2572;
								}
							}
							BgL_arg2050z00_1347 =
								string_append(BgL_arg2051z00_1348, BgL_arg2052z00_1349);
						}
						return string_to_symbol(BSTRING_TO_STRING(BgL_arg2050z00_1347));
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_3249;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3249 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3249 = ((bool_t) 0);
							}
						if (BgL_testz00_3249)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg2056z00_1353;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg2057z00_1354;
									obj_t BgL_arg2058z00_1355;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2059z00_1356;

										BgL_arg2059z00_1356 =
											string_to_symbol(BSTRING_TO_STRING
											(BGl_string2461z00zztrace_walkz00));
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2366z00_2584;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1310z00_2583;

												BgL_arg1310z00_2583 =
													SYMBOL_TO_STRING(BgL_arg2059z00_1356);
												BgL_res2366z00_2584 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1310z00_2583);
											}
											BgL_arg2057z00_1354 = BgL_res2366z00_2584;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2061z00_1357;

										BgL_arg2061z00_1357 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2368z00_2590;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1310z00_2589;

												BgL_arg1310z00_2589 =
													SYMBOL_TO_STRING(BgL_arg2061z00_1357);
												BgL_res2368z00_2590 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1310z00_2589);
											}
											BgL_arg2058z00_1355 = BgL_res2368z00_2590;
										}
									}
									BgL_arg2056z00_1353 =
										string_append(BgL_arg2057z00_1354, BgL_arg2058z00_1355);
								}
								return string_to_symbol(BSTRING_TO_STRING(BgL_arg2056z00_1353));
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg2063z00_1359;
										obj_t BgL_arg2064z00_1360;

										BgL_arg2063z00_1359 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg2064z00_1360 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list2065z00_1361;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg2066z00_1362;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg2067z00_1363;

													BgL_arg2067z00_1363 =
														MAKE_PAIR(BgL_arg2064z00_1360, BNIL);
													BgL_arg2066z00_1362 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg2067z00_1363);
												}
												BgL_list2065z00_1361 =
													MAKE_PAIR(BgL_arg2063z00_1359, BgL_arg2066z00_1362);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2065z00_1361);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1368;

				BgL_funz00_1368 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1369;

					BgL_bodyz00_1369 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1368)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1370;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg2095z00_1398;

								BgL_arg2095z00_1398 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1370 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg2095z00_1398);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg2098z00_1400;

								BgL_arg2098z00_1400 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1369));
								BgL_llocz00_1370 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_arg2098z00_1400)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3296;

								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1368)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3296 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_funz00_1368)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3296 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg2092z00_1395;

												BgL_arg2092z00_1395 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3296 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg2092z00_1395);
											}
									}
								if (BgL_testz00_3296)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1373;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3312;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														> ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3312 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1114z00_1388;

																BgL__ortest_1114z00_1388 =
																	(
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1114z00_1388)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3312 = BgL__ortest_1114z00_1388;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1115z00_1389;

																		BgL__ortest_1115z00_1389 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1115z00_1389)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3312 =
																					BgL__ortest_1115z00_1389;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3312 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3312 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3312)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3335;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3335 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3335 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3335 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3335)
															{	/* Trace/walk.scm 102 */
																BgL_bdz00_1373 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1369),
																		BgL_stackz00_20));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg2080z00_1381;

																BgL_arg2080z00_1381 =
																	MAKE_PAIR(BgL_varz00_19, BgL_stackz00_20);
																BgL_bdz00_1373 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1369),
																		BgL_arg2080z00_1381));
															}
													}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1373 = BgL_bodyz00_1369;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1374;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg2075z00_1377;
													BgL_typez00_bglt BgL_arg2077z00_1378;

													BgL_arg2075z00_1377 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_bodyz00_1369)))->
														BgL_typez00);
													BgL_arg2077z00_1378 =
														(((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1374 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2075z00_1377, BgL_arg2077z00_1378);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1375;

													BgL_idz00_1375 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1376;

														BgL_nbodyz00_1376 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1373),
															BgL_tz00_1374, BgL_idz00_1375, BgL_llocz00_1370,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															{	/* Trace/walk.scm 111 */
																BgL_sfunz00_bglt BgL_oz00_2650;
																obj_t BgL_vz00_2651;

																BgL_oz00_2650 =
																	((BgL_sfunz00_bglt) BgL_funz00_1368);
																BgL_vz00_2651 = ((obj_t) BgL_nbodyz00_1376);
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_2650))->
																		BgL_bodyz00) =
																	((obj_t) BgL_vz00_2651), BUNSPEC);
															}
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1402;
				obj_t BgL_resz00_1403;

				BgL_sexpz00_1402 = BgL_sexpz00_21;
				BgL_resz00_1403 = BgL_sexpz00_21;
			BgL_zc3anonymousza32099ze3z83_1404:
				if (PAIRP(BgL_sexpz00_1402))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3370;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_auxz00_3371;

							BgL_auxz00_3371 = CDR(BgL_sexpz00_1402);
							BgL_testz00_3370 = PAIRP(BgL_auxz00_3371);
						}
						if (BgL_testz00_3370)
							{
								obj_t BgL_resz00_3376;
								obj_t BgL_sexpz00_3374;

								BgL_sexpz00_3374 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1402);
								BgL_resz00_3376 = BgL_sexpz00_1402;
								BgL_resz00_1403 = BgL_resz00_3376;
								BgL_sexpz00_1402 = BgL_sexpz00_3374;
								goto BgL_zc3anonymousza32099ze3z83_1404;
							}
						else
							{
								obj_t BgL_resz00_3379;
								obj_t BgL_sexpz00_3377;

								BgL_sexpz00_3377 = CAR(BgL_sexpz00_1402);
								BgL_resz00_3379 = BgL_sexpz00_1402;
								BgL_resz00_1403 = BgL_resz00_3379;
								BgL_sexpz00_1402 = BgL_sexpz00_3377;
								goto BgL_zc3anonymousza32099ze3z83_1404;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1403;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_36,
		BgL_typez00_bglt BgL_typez00_37, obj_t BgL_symbolz00_38,
		obj_t BgL_llocz00_39, obj_t BgL_stackz00_40)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 237 */
			{	/* Trace/walk.scm 238 */
				obj_t BgL_locz00_1411;

				BgL_locz00_1411 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_36))->BgL_locz00);
				{	/* Trace/walk.scm 238 */
					obj_t BgL_auxz00_1412;

					BgL_auxz00_1412 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 239 */
						obj_t BgL_tauxz00_1413;

						BgL_tauxz00_1413 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1412,
							(((BgL_typez00_bglt) CREF(BgL_typez00_37))->BgL_idz00));
						{	/* Trace/walk.scm 240 */
							obj_t BgL_tmp1z00_1414;

							BgL_tmp1z00_1414 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 241 */
								obj_t BgL_tmp2z00_1415;

								BgL_tmp2z00_1415 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 242 */
									obj_t BgL_tmp3z00_1416;

									BgL_tmp3z00_1416 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 243 */
										obj_t BgL_symz00_1417;

										{	/* Trace/walk.scm 244 */
											bool_t BgL_testz00_3395;

											if (PAIRP(BgL_stackz00_40))
												{	/* Trace/walk.scm 244 */
													obj_t BgL_arg2166z00_1471;

													BgL_arg2166z00_1471 = CAR(BgL_stackz00_40);
													BgL_testz00_3395 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2166z00_1471,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 244 */
													BgL_testz00_3395 = ((bool_t) 0);
												}
											if (BgL_testz00_3395)
												{	/* Trace/walk.scm 245 */
													obj_t BgL_arg2159z00_1465;

													BgL_arg2159z00_1465 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_stackz00_40))))->BgL_idz00);
													{	/* Trace/walk.scm 245 */
														obj_t BgL_list2160z00_1466;

														{	/* Trace/walk.scm 245 */
															obj_t BgL_arg2161z00_1467;

															{	/* Trace/walk.scm 245 */
																obj_t BgL_arg2162z00_1468;

																BgL_arg2162z00_1468 =
																	MAKE_PAIR(BgL_arg2159z00_1465, BNIL);
																BgL_arg2161z00_1467 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg2162z00_1468);
															}
															BgL_list2160z00_1466 =
																MAKE_PAIR(BgL_symbolz00_38,
																BgL_arg2161z00_1467);
														}
														BgL_symz00_1417 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2160z00_1466);
												}}
											else
												{	/* Trace/walk.scm 244 */
													BgL_symz00_1417 = BgL_symbolz00_38;
												}
										}
										{	/* Trace/walk.scm 244 */
											obj_t BgL_lz00_1418;

											{	/* Trace/walk.scm 247 */
												bool_t BgL_testz00_3408;

												if (STRUCTP(BgL_locz00_1411))
													{	/* Trace/walk.scm 247 */
														BgL_testz00_3408 =
															(STRUCT_KEY(BgL_locz00_1411) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 247 */
														BgL_testz00_3408 = ((bool_t) 0);
													}
												if (BgL_testz00_3408)
													{	/* Trace/walk.scm 248 */
														obj_t BgL_arg2153z00_1460;

														{	/* Trace/walk.scm 248 */
															obj_t BgL_arg2154z00_1461;
															obj_t BgL_arg2155z00_1462;

															BgL_arg2154z00_1461 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1411);
															BgL_arg2155z00_1462 =
																MAKE_PAIR(STRUCT_REF(BgL_locz00_1411,
																	(int) (((long) 1))), BNIL);
															BgL_arg2153z00_1460 =
																MAKE_PAIR(BgL_arg2154z00_1461,
																BgL_arg2155z00_1462);
														}
														BgL_lz00_1418 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg2153z00_1460);
													}
												else
													{	/* Trace/walk.scm 247 */
														BgL_lz00_1418 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 247 */
												obj_t BgL_expz00_1419;

												{	/* Trace/walk.scm 249 */
													obj_t BgL_arg2109z00_1423;

													{	/* Trace/walk.scm 249 */
														obj_t BgL_arg2110z00_1424;
														obj_t BgL_arg2111z00_1425;

														{	/* Trace/walk.scm 249 */
															obj_t BgL_arg2112z00_1426;
															obj_t BgL_arg2113z00_1427;

															{	/* Trace/walk.scm 249 */
																obj_t BgL_arg2114z00_1428;

																{	/* Trace/walk.scm 249 */
																	obj_t BgL_arg2115z00_1429;

																	{	/* Trace/walk.scm 249 */
																		obj_t BgL_arg2116z00_1430;

																		BgL_arg2116z00_1430 =
																			MAKE_PAIR(BgL_symz00_1417, BNIL);
																		BgL_arg2115z00_1429 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																			BgL_arg2116z00_1430);
																	}
																	BgL_arg2114z00_1428 =
																		MAKE_PAIR(BgL_arg2115z00_1429, BNIL);
																}
																BgL_arg2112z00_1426 =
																	MAKE_PAIR(BgL_tmp1z00_1414,
																	BgL_arg2114z00_1428);
															}
															{	/* Trace/walk.scm 250 */
																obj_t BgL_arg2117z00_1431;
																obj_t BgL_arg2119z00_1432;

																{	/* Trace/walk.scm 250 */
																	obj_t BgL_arg2120z00_1433;

																	{	/* Trace/walk.scm 250 */
																		obj_t BgL_arg2121z00_1434;

																		{	/* Trace/walk.scm 250 */
																			obj_t BgL_arg2122z00_1435;

																			BgL_arg2122z00_1435 =
																				MAKE_PAIR(BgL_lz00_1418, BNIL);
																			BgL_arg2121z00_1434 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_arg2122z00_1435);
																		}
																		BgL_arg2120z00_1433 =
																			MAKE_PAIR(BgL_arg2121z00_1434, BNIL);
																	}
																	BgL_arg2117z00_1431 =
																		MAKE_PAIR(BgL_tmp2z00_1415,
																		BgL_arg2120z00_1433);
																}
																{	/* Trace/walk.scm 251 */
																	obj_t BgL_arg2123z00_1436;

																	{	/* Trace/walk.scm 251 */
																		obj_t BgL_arg2125z00_1437;
																		obj_t BgL_arg2126z00_1438;

																		BgL_arg2125z00_1437 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1416,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 251 */
																			obj_t BgL_arg2127z00_1439;

																			BgL_arg2127z00_1439 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BNIL);
																			BgL_arg2126z00_1438 =
																				MAKE_PAIR(BgL_arg2127z00_1439, BNIL);
																		}
																		BgL_arg2123z00_1436 =
																			MAKE_PAIR(BgL_arg2125z00_1437,
																			BgL_arg2126z00_1438);
																	}
																	BgL_arg2119z00_1432 =
																		MAKE_PAIR(BgL_arg2123z00_1436, BNIL);
																}
																BgL_arg2113z00_1427 =
																	MAKE_PAIR(BgL_arg2117z00_1431,
																	BgL_arg2119z00_1432);
															}
															BgL_arg2110z00_1424 =
																MAKE_PAIR(BgL_arg2112z00_1426,
																BgL_arg2113z00_1427);
														}
														{	/* Trace/walk.scm 253 */
															obj_t BgL_arg2128z00_1440;

															{	/* Trace/walk.scm 253 */
																obj_t BgL_arg2129z00_1441;

																{	/* Trace/walk.scm 253 */
																	obj_t BgL_arg2132z00_1442;

																	{	/* Trace/walk.scm 253 */
																		obj_t BgL_arg2133z00_1443;
																		obj_t BgL_arg2134z00_1444;

																		{	/* Trace/walk.scm 253 */
																			obj_t BgL_arg2135z00_1445;

																			{	/* Trace/walk.scm 253 */
																				obj_t BgL_arg2137z00_1446;

																				{	/* Trace/walk.scm 253 */
																					obj_t BgL_arg2138z00_1447;

																					BgL_arg2138z00_1447 =
																						MAKE_PAIR(BgL_tmp2z00_1415, BNIL);
																					BgL_arg2137z00_1446 =
																						MAKE_PAIR(BgL_tmp1z00_1414,
																						BgL_arg2138z00_1447);
																				}
																				BgL_arg2135z00_1445 =
																					MAKE_PAIR(BgL_tmp3z00_1416,
																					BgL_arg2137z00_1446);
																			}
																			BgL_arg2133z00_1443 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																				BgL_arg2135z00_1445);
																		}
																		{	/* Trace/walk.scm 254 */
																			obj_t BgL_arg2140z00_1448;

																			{	/* Trace/walk.scm 254 */
																				obj_t BgL_arg2141z00_1449;

																				{	/* Trace/walk.scm 254 */
																					obj_t BgL_arg2142z00_1450;
																					obj_t BgL_arg2143z00_1451;

																					{	/* Trace/walk.scm 254 */
																						obj_t BgL_arg2144z00_1452;

																						{	/* Trace/walk.scm 254 */
																							obj_t BgL_arg2145z00_1453;

																							BgL_arg2145z00_1453 =
																								MAKE_PAIR(
																								((obj_t) BgL_nodez00_36), BNIL);
																							BgL_arg2144z00_1452 =
																								MAKE_PAIR(BgL_tauxz00_1413,
																								BgL_arg2145z00_1453);
																						}
																						BgL_arg2142z00_1450 =
																							MAKE_PAIR(BgL_arg2144z00_1452,
																							BNIL);
																					}
																					{	/* Trace/walk.scm 255 */
																						obj_t BgL_arg2146z00_1454;
																						obj_t BgL_arg2147z00_1455;

																						{	/* Trace/walk.scm 255 */
																							bool_t BgL_testz00_3449;

																							if (STRUCTP(BgL_llocz00_39))
																								{	/* Trace/walk.scm 255 */
																									BgL_testz00_3449 =
																										(STRUCT_KEY(BgL_llocz00_39)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 255 */
																									BgL_testz00_3449 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3449)
																								{	/* Trace/walk.scm 257 */
																									obj_t BgL_arg2150z00_1457;

																									{	/* Trace/walk.scm 257 */
																										obj_t BgL_res2397z00_2693;

																										BgL_res2397z00_2693 =
																											MAKE_EXTENDED_PAIR
																											(BgL_tmp3z00_1416, BNIL,
																											BgL_llocz00_39);
																										BgL_arg2150z00_1457 =
																											BgL_res2397z00_2693;
																									}
																									{	/* Trace/walk.scm 256 */
																										obj_t BgL_res2398z00_2697;

																										{	/* Trace/walk.scm 256 */
																											obj_t BgL_obj1z00_2694;

																											BgL_obj1z00_2694 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res2398z00_2697 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_2694,
																												BgL_arg2150z00_1457,
																												BgL_llocz00_39);
																										}
																										BgL_arg2146z00_1454 =
																											BgL_res2398z00_2697;
																								}}
																							else
																								{	/* Trace/walk.scm 259 */
																									obj_t BgL_arg2151z00_1458;

																									BgL_arg2151z00_1458 =
																										MAKE_PAIR(BgL_tmp3z00_1416,
																										BNIL);
																									BgL_arg2146z00_1454 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 18)),
																										BgL_arg2151z00_1458);
																						}}
																						BgL_arg2147z00_1455 =
																							MAKE_PAIR(BgL_auxz00_1412, BNIL);
																						BgL_arg2143z00_1451 =
																							MAKE_PAIR(BgL_arg2146z00_1454,
																							BgL_arg2147z00_1455);
																					}
																					BgL_arg2141z00_1449 =
																						MAKE_PAIR(BgL_arg2142z00_1450,
																						BgL_arg2143z00_1451);
																				}
																				BgL_arg2140z00_1448 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																					BgL_arg2141z00_1449);
																			}
																			BgL_arg2134z00_1444 =
																				MAKE_PAIR(BgL_arg2140z00_1448, BNIL);
																		}
																		BgL_arg2132z00_1442 =
																			MAKE_PAIR(BgL_arg2133z00_1443,
																			BgL_arg2134z00_1444);
																	}
																	BgL_arg2129z00_1441 =
																		MAKE_PAIR(BNIL, BgL_arg2132z00_1442);
																}
																BgL_arg2128z00_1440 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2129z00_1441);
															}
															BgL_arg2111z00_1425 =
																MAKE_PAIR(BgL_arg2128z00_1440, BNIL);
														}
														BgL_arg2109z00_1423 =
															MAKE_PAIR(BgL_arg2110z00_1424,
															BgL_arg2111z00_1425);
													}
													BgL_expz00_1419 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg2109z00_1423);
												}
												{	/* Trace/walk.scm 249 */
													BgL_nodez00_bglt BgL_nnodez00_1420;

													BgL_nnodez00_1420 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1419,
														BNIL, BgL_locz00_1411, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 261 */

														{	/* Trace/walk.scm 262 */
															bool_t BgL_arg2107z00_1421;

															{	/* Trace/walk.scm 262 */
																obj_t BgL_arg2108z00_1422;

																BgL_arg2108z00_1422 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg2107z00_1421 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg2108z00_1422)))->
																	BgL_removezd2emptyzd2letz00);
															}
															{	/* Trace/walk.scm 262 */
																BgL_letzd2varzd2_bglt BgL_oz00_2701;

																BgL_oz00_2701 =
																	((BgL_letzd2varzd2_bglt) BgL_nnodez00_1420);
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_oz00_2701))->
																		BgL_removablezf3zf3) =
																	((bool_t) BgL_arg2107z00_1421), BUNSPEC);
														}}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1420);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_77,
		obj_t BgL_stackz00_78)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 417 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_77))
				{	/* Trace/walk.scm 418 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 418 */
					{	/* Trace/walk.scm 419 */
						BgL_nodez00_bglt BgL_arg2174z00_1478;

						{	/* Trace/walk.scm 419 */
							obj_t BgL_arg2175z00_1479;

							BgL_arg2175z00_1479 = CAR(BgL_nodeza2za2_77);
							BgL_arg2174z00_1478 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2175z00_1479), BgL_stackz00_78);
						}
						{	/* Trace/walk.scm 419 */
							obj_t BgL_pairz00_2707;
							obj_t BgL_objz00_2708;

							BgL_pairz00_2707 = BgL_nodeza2za2_77;
							BgL_objz00_2708 = ((obj_t) BgL_arg2174z00_1478);
							SET_CAR(BgL_pairz00_2707, BgL_objz00_2708);
						}
					}
					{
						obj_t BgL_nodeza2za2_3490;

						BgL_nodeza2za2_3490 = CDR(BgL_nodeza2za2_77);
						BgL_nodeza2za2_77 = BgL_nodeza2za2_3490;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_82)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 459 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_82))
				{	/* Trace/walk.scm 460 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 460 */
					{	/* Trace/walk.scm 461 */
						BgL_nodez00_bglt BgL_arg2178z00_1482;

						{	/* Trace/walk.scm 461 */
							obj_t BgL_arg2179z00_1483;

							BgL_arg2179z00_1483 = CAR(BgL_nodeza2za2_82);
							BgL_arg2178z00_1482 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2179z00_1483));
						}
						{	/* Trace/walk.scm 461 */
							obj_t BgL_pairz00_2713;
							obj_t BgL_objz00_2714;

							BgL_pairz00_2713 = BgL_nodeza2za2_82;
							BgL_objz00_2714 = ((obj_t) BgL_arg2178z00_1482);
							SET_CAR(BgL_pairz00_2713, BgL_objz00_2714);
						}
					}
					{
						obj_t BgL_nodeza2za2_3499;

						BgL_nodeza2za2_3499 = CDR(BgL_nodeza2za2_82);
						BgL_nodeza2za2_82 = BgL_nodeza2za2_3499;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2462z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2463z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2464z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2465z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2466z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2467z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node1998 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2node1998z62zztrace_walkz00(obj_t
		BgL_envz00_2973, BgL_nodez00_bglt BgL_nodez00_2974)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 425 */
			return BgL_nodez00_2974;
		}
	}



/* &trace-node1962 */
	BgL_nodez00_bglt BGl_z62tracezd2node1962zb0zztrace_walkz00(obj_t
		BgL_envz00_2975, BgL_nodez00_bglt BgL_nodez00_2976, obj_t BgL_stackz00_2977)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 268 */
			return BgL_nodez00_2976;
		}
	}



/* &find-last-node1929 */
	BgL_nodez00_bglt BGl_z62findzd2lastzd2node1929z62zztrace_walkz00(obj_t
		BgL_envz00_2978, BgL_nodez00_bglt BgL_nodez00_2979)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return BgL_nodez00_2979;
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1932z00_1498;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2408z00_2744;

					{	/* Trace/walk.scm 138 */
						BgL_objectz00_bglt BgL_objz00_2716;

						BgL_objz00_2716 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Trace/walk.scm 138 */
							long BgL_objzd2classzd2numz00_2717;

							{	/* Trace/walk.scm 138 */
								long BgL_res2402z00_2720;

								BgL_res2402z00_2720 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2716);
								BgL_objzd2classzd2numz00_2717 = BgL_res2402z00_2720;
							}
							{	/* Trace/walk.scm 138 */
								obj_t BgL_arg1812z00_2718;

								BgL_arg1812z00_2718 =
									PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 138 */
									obj_t BgL_arrayz00_2721;
									int BgL_offsetz00_2722;

									BgL_arrayz00_2721 = BgL_arg1812z00_2718;
									BgL_offsetz00_2722 = (int) (BgL_objzd2classzd2numz00_2717);
									{	/* Trace/walk.scm 138 */
										long BgL_offsetz00_2723;

										BgL_offsetz00_2723 =
											((long) (BgL_offsetz00_2722) - OBJECT_TYPE);
										{	/* Trace/walk.scm 138 */
											long BgL_modz00_2724;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1814z00_2725;

												BgL_arg1814z00_2725 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2405z00_2735;

													{	/* Trace/walk.scm 138 */
														long BgL_auxz00_3512;

														BgL_auxz00_3512 = (long) (BgL_arg1814z00_2725);
														BgL_res2405z00_2735 =
															(BgL_offsetz00_2723 / BgL_auxz00_3512);
													}
													BgL_modz00_2724 = BgL_res2405z00_2735;
											}}
											{	/* Trace/walk.scm 138 */
												long BgL_restz00_2726;

												{	/* Trace/walk.scm 138 */
													int BgL_arg1813z00_2727;

													BgL_arg1813z00_2727 = (int) (((long) 16));
													{	/* Trace/walk.scm 138 */
														long BgL_res2407z00_2739;

														{	/* Trace/walk.scm 138 */
															long BgL_auxz00_3516;

															BgL_auxz00_3516 = (long) (BgL_arg1813z00_2727);
															BgL_res2407z00_2739 =
																(BgL_offsetz00_2723 % BgL_auxz00_3516);
														}
														BgL_restz00_2726 = BgL_res2407z00_2739;
												}}
												{	/* Trace/walk.scm 138 */

													BgL_res2408z00_2744 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2721,
															(int) (BgL_modz00_2724)),
														(int) (BgL_restz00_2726));
					}}}}}}}}
					BgL_method1932z00_1498 = BgL_res2408z00_2744;
				}
				return
					PROCEDURE_ENTRY(BgL_method1932z00_1498) (BgL_method1932z00_1498,
					((obj_t) BgL_nodez00_22), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_2980,
		obj_t BgL_nodez00_2981)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2981));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_41, obj_t BgL_stackz00_42)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 268 */
			{	/* Trace/walk.scm 268 */
				obj_t BgL_method1963z00_1499;

				{	/* Trace/walk.scm 268 */
					obj_t BgL_res2415z00_2773;

					{	/* Trace/walk.scm 268 */
						BgL_objectz00_bglt BgL_objz00_2745;

						BgL_objz00_2745 = ((BgL_objectz00_bglt) BgL_nodez00_41);
						{	/* Trace/walk.scm 268 */
							long BgL_objzd2classzd2numz00_2746;

							{	/* Trace/walk.scm 268 */
								long BgL_res2409z00_2749;

								BgL_res2409z00_2749 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2745);
								BgL_objzd2classzd2numz00_2746 = BgL_res2409z00_2749;
							}
							{	/* Trace/walk.scm 268 */
								obj_t BgL_arg1812z00_2747;

								BgL_arg1812z00_2747 =
									PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 268 */
									obj_t BgL_arrayz00_2750;
									int BgL_offsetz00_2751;

									BgL_arrayz00_2750 = BgL_arg1812z00_2747;
									BgL_offsetz00_2751 = (int) (BgL_objzd2classzd2numz00_2746);
									{	/* Trace/walk.scm 268 */
										long BgL_offsetz00_2752;

										BgL_offsetz00_2752 =
											((long) (BgL_offsetz00_2751) - OBJECT_TYPE);
										{	/* Trace/walk.scm 268 */
											long BgL_modz00_2753;

											{	/* Trace/walk.scm 268 */
												int BgL_arg1814z00_2754;

												BgL_arg1814z00_2754 = (int) (((long) 16));
												{	/* Trace/walk.scm 268 */
													long BgL_res2412z00_2764;

													{	/* Trace/walk.scm 268 */
														long BgL_auxz00_3538;

														BgL_auxz00_3538 = (long) (BgL_arg1814z00_2754);
														BgL_res2412z00_2764 =
															(BgL_offsetz00_2752 / BgL_auxz00_3538);
													}
													BgL_modz00_2753 = BgL_res2412z00_2764;
											}}
											{	/* Trace/walk.scm 268 */
												long BgL_restz00_2755;

												{	/* Trace/walk.scm 268 */
													int BgL_arg1813z00_2756;

													BgL_arg1813z00_2756 = (int) (((long) 16));
													{	/* Trace/walk.scm 268 */
														long BgL_res2414z00_2768;

														{	/* Trace/walk.scm 268 */
															long BgL_auxz00_3542;

															BgL_auxz00_3542 = (long) (BgL_arg1813z00_2756);
															BgL_res2414z00_2768 =
																(BgL_offsetz00_2752 % BgL_auxz00_3542);
														}
														BgL_restz00_2755 = BgL_res2414z00_2768;
												}}
												{	/* Trace/walk.scm 268 */

													BgL_res2415z00_2773 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2750,
															(int) (BgL_modz00_2753)),
														(int) (BgL_restz00_2755));
					}}}}}}}}
					BgL_method1963z00_1499 = BgL_res2415z00_2773;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1963z00_1499) (BgL_method1963z00_1499,
						((obj_t) BgL_nodez00_41), BgL_stackz00_42, BEOA));
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_2982,
		obj_t BgL_nodez00_2983, obj_t BgL_stackz00_2984)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 268 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2983), BgL_stackz00_2984);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 425 */
			{	/* Trace/walk.scm 425 */
				obj_t BgL_method1999z00_1500;

				{	/* Trace/walk.scm 425 */
					obj_t BgL_res2422z00_2802;

					{	/* Trace/walk.scm 425 */
						BgL_objectz00_bglt BgL_objz00_2774;

						BgL_objz00_2774 = ((BgL_objectz00_bglt) BgL_nodez00_79);
						{	/* Trace/walk.scm 425 */
							long BgL_objzd2classzd2numz00_2775;

							{	/* Trace/walk.scm 425 */
								long BgL_res2416z00_2778;

								BgL_res2416z00_2778 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2774);
								BgL_objzd2classzd2numz00_2775 = BgL_res2416z00_2778;
							}
							{	/* Trace/walk.scm 425 */
								obj_t BgL_arg1812z00_2776;

								BgL_arg1812z00_2776 =
									PROCEDURE_REF
									(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 425 */
									obj_t BgL_arrayz00_2779;
									int BgL_offsetz00_2780;

									BgL_arrayz00_2779 = BgL_arg1812z00_2776;
									BgL_offsetz00_2780 = (int) (BgL_objzd2classzd2numz00_2775);
									{	/* Trace/walk.scm 425 */
										long BgL_offsetz00_2781;

										BgL_offsetz00_2781 =
											((long) (BgL_offsetz00_2780) - OBJECT_TYPE);
										{	/* Trace/walk.scm 425 */
											long BgL_modz00_2782;

											{	/* Trace/walk.scm 425 */
												int BgL_arg1814z00_2783;

												BgL_arg1814z00_2783 = (int) (((long) 16));
												{	/* Trace/walk.scm 425 */
													long BgL_res2419z00_2793;

													{	/* Trace/walk.scm 425 */
														long BgL_auxz00_3566;

														BgL_auxz00_3566 = (long) (BgL_arg1814z00_2783);
														BgL_res2419z00_2793 =
															(BgL_offsetz00_2781 / BgL_auxz00_3566);
													}
													BgL_modz00_2782 = BgL_res2419z00_2793;
											}}
											{	/* Trace/walk.scm 425 */
												long BgL_restz00_2784;

												{	/* Trace/walk.scm 425 */
													int BgL_arg1813z00_2785;

													BgL_arg1813z00_2785 = (int) (((long) 16));
													{	/* Trace/walk.scm 425 */
														long BgL_res2421z00_2797;

														{	/* Trace/walk.scm 425 */
															long BgL_auxz00_3570;

															BgL_auxz00_3570 = (long) (BgL_arg1813z00_2785);
															BgL_res2421z00_2797 =
																(BgL_offsetz00_2781 % BgL_auxz00_3570);
														}
														BgL_restz00_2784 = BgL_res2421z00_2797;
												}}
												{	/* Trace/walk.scm 425 */

													BgL_res2422z00_2802 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2779,
															(int) (BgL_modz00_2782)),
														(int) (BgL_restz00_2784));
					}}}}}}}}
					BgL_method1999z00_1500 = BgL_res2422z00_2802;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1999z00_1500) (BgL_method1999z00_1500,
						((obj_t) BgL_nodez00_79), BEOA));
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_2985, obj_t BgL_nodez00_2986)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 425 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2986));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2468z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2470z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2471z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2472z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2473z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2474z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2475z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2476z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2477z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2478z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2479z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2480z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2481z00zztrace_walkz00,
				BGl_string2469z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2482z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2484z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2485z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2486z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2487z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2488z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2489z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2490z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2491z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc2492z00zztrace_walkz00, BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2493z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2494z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2495z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2496z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2497z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2498z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2499z00zztrace_walkz00,
				BGl_string2483z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2500z00zztrace_walkz00,
				BGl_string2501z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2502z00zztrace_walkz00,
				BGl_string2501z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-2003 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22003zb0zztrace_walkz00(obj_t
		BgL_envz00_3019, BgL_setqz00_bglt BgL_nodez00_3020)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 443 */
			{
				BgL_setqz00_bglt BgL_nodez00_1749;

				BgL_nodez00_1749 = BgL_nodez00_3020;
				{	/* Trace/walk.scm 445 */
					BgL_varz00_bglt BgL_i1131z00_1753;

					BgL_i1131z00_1753 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->BgL_varz00);
					{	/* Trace/walk.scm 446 */
						bool_t BgL_testz00_3618;

						{	/* Trace/walk.scm 446 */
							bool_t BgL_testz00_3619;

							{	/* Trace/walk.scm 446 */
								BgL_variablez00_bglt BgL_arg2286z00_1774;

								BgL_arg2286z00_1774 =
									(((BgL_varz00_bglt) CREF(BgL_i1131z00_1753))->
									BgL_variablez00);
								{	/* Trace/walk.scm 446 */
									bool_t BgL_res2445z00_2918;

									{	/* Trace/walk.scm 446 */
										obj_t BgL_objz00_2917;

										BgL_objz00_2917 = ((obj_t) BgL_arg2286z00_1774);
										BgL_res2445z00_2918 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2917,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_3619 = BgL_res2445z00_2918;
								}
							}
							if (BgL_testz00_3619)
								{	/* Trace/walk.scm 447 */
									bool_t BgL_testz00_3623;

									{	/* Trace/walk.scm 447 */
										bool_t BgL_testz00_3624;

										{	/* Trace/walk.scm 447 */
											BgL_nodez00_bglt BgL_arg2285z00_1773;

											BgL_arg2285z00_1773 =
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
												BgL_valuez00);
											{	/* Trace/walk.scm 447 */
												bool_t BgL_res2446z00_2920;

												{	/* Trace/walk.scm 447 */
													obj_t BgL_objz00_2919;

													BgL_objz00_2919 = ((obj_t) BgL_arg2285z00_1773);
													BgL_res2446z00_2920 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2919,
														BGl_atomz00zzast_nodez00);
												}
												BgL_testz00_3624 = BgL_res2446z00_2920;
											}
										}
										if (BgL_testz00_3624)
											{	/* Trace/walk.scm 447 */
												BgL_testz00_3623 = ((bool_t) 1);
											}
										else
											{	/* Trace/walk.scm 448 */
												bool_t BgL_testz00_3628;

												{	/* Trace/walk.scm 448 */
													BgL_nodez00_bglt BgL_arg2284z00_1772;

													BgL_arg2284z00_1772 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
														BgL_valuez00);
													{	/* Trace/walk.scm 448 */
														bool_t BgL_res2447z00_2922;

														{	/* Trace/walk.scm 448 */
															obj_t BgL_objz00_2921;

															BgL_objz00_2921 = ((obj_t) BgL_arg2284z00_1772);
															BgL_res2447z00_2922 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2921,
																BGl_varz00zzast_nodez00);
														}
														BgL_testz00_3628 = BgL_res2447z00_2922;
													}
												}
												if (BgL_testz00_3628)
													{	/* Trace/walk.scm 448 */
														BgL_testz00_3623 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 449 */
														bool_t BgL_testz00_3632;

														{	/* Trace/walk.scm 449 */
															BgL_nodez00_bglt BgL_arg2283z00_1771;

															BgL_arg2283z00_1771 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
																BgL_valuez00);
															{	/* Trace/walk.scm 449 */
																bool_t BgL_res2448z00_2924;

																{	/* Trace/walk.scm 449 */
																	obj_t BgL_objz00_2923;

																	BgL_objz00_2923 =
																		((obj_t) BgL_arg2283z00_1771);
																	BgL_res2448z00_2924 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2923,
																		BGl_kwotez00zzast_nodez00);
																}
																BgL_testz00_3632 = BgL_res2448z00_2924;
															}
														}
														if (BgL_testz00_3632)
															{	/* Trace/walk.scm 449 */
																BgL_testz00_3623 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 450 */
																BgL_nodez00_bglt BgL_arg2282z00_1770;

																BgL_arg2282z00_1770 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 450 */
																	bool_t BgL_res2449z00_2926;

																	{	/* Trace/walk.scm 450 */
																		obj_t BgL_objz00_2925;

																		BgL_objz00_2925 =
																			((obj_t) BgL_arg2282z00_1770);
																		BgL_res2449z00_2926 =
																			BGl_isazf3zf3zz__objectz00
																			(BgL_objz00_2925,
																			BGl_pragmaz00zzast_nodez00);
																	}
																	BgL_testz00_3623 = BgL_res2449z00_2926;
																}
															}
													}
											}
									}
									if (BgL_testz00_3623)
										{	/* Trace/walk.scm 447 */
											BgL_testz00_3618 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 447 */
											BgL_testz00_3618 = ((bool_t) 1);
										}
								}
							else
								{	/* Trace/walk.scm 446 */
									BgL_testz00_3618 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3618)
							{	/* Trace/walk.scm 451 */
								BgL_typez00_bglt BgL_tz00_1755;

								{	/* Trace/walk.scm 451 */
									BgL_typez00_bglt BgL_arg2273z00_1761;
									BgL_typez00_bglt BgL_arg2274z00_1762;

									BgL_arg2273z00_1761 =
										(((BgL_nodez00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
													BgL_valuez00)))->BgL_typez00);
									BgL_arg2274z00_1762 =
										(((BgL_variablez00_bglt)
											CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
																(BgL_varz00_bglt) CREF(BgL_i1131z00_1753))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_tz00_1755 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg2273z00_1761, BgL_arg2274z00_1762);
								}
								{	/* Trace/walk.scm 451 */
									BgL_letzd2varzd2_bglt BgL_tracez00_1756;

									{	/* Trace/walk.scm 452 */
										BgL_nodez00_bglt BgL_arg2269z00_1757;
										obj_t BgL_arg2270z00_1758;
										obj_t BgL_arg2271z00_1759;

										BgL_arg2269z00_1757 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
											BgL_valuez00);
										{	/* Trace/walk.scm 452 */
											BgL_variablez00_bglt BgL_arg2272z00_1760;

											BgL_arg2272z00_1760 =
												(((BgL_varz00_bglt) CREF(BgL_i1131z00_1753))->
												BgL_variablez00);
											BgL_arg2270z00_1758 =
												BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
													BgL_arg2272z00_1760));
										}
										BgL_arg2271z00_1759 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1749)))->BgL_locz00);
										BgL_tracez00_1756 =
											BGl_makezd2tracedzd2nodez00zztrace_walkz00
											(BgL_arg2269z00_1757, BgL_tz00_1755, BgL_arg2270z00_1758,
											BgL_arg2271z00_1759, BNIL);
									}
									{	/* Trace/walk.scm 452 */

										((((BgL_setqz00_bglt) CREF(BgL_nodez00_1749))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_tracez00_1756)), BUNSPEC);
									}
								}
							}
						else
							{	/* Trace/walk.scm 446 */
								BFALSE;
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1749);
			}
		}
	}



/* &toplevel-trace-node-2001 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00(obj_t
		BgL_envz00_3021, BgL_sequencez00_bglt BgL_nodez00_3022)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 431 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1744;

				BgL_nodez00_1744 = BgL_nodez00_3022;
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1744))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1744);
			}
		}
	}



/* &trace-node-box-set!1997 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121997za2zztrace_walkz00(obj_t
		BgL_envz00_3023, BgL_boxzd2setz12zc0_bglt BgL_nodez00_3024,
		obj_t BgL_stackz00_3025)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 408 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1736;
				obj_t BgL_stackz00_1737;

				BgL_nodez00_1736 = BgL_nodez00_3024;
				BgL_stackz00_1737 = BgL_stackz00_3025;
				{
					BgL_varz00_bglt BgL_auxz00_3659;

					{	/* Trace/walk.scm 410 */
						BgL_varz00_bglt BgL_arg2265z00_1741;

						BgL_arg2265z00_1741 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1736))->BgL_varz00);
						BgL_auxz00_3659 =
							((BgL_varz00_bglt)
							BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2265z00_1741), BgL_stackz00_1737));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1736))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3659), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3665;

					{	/* Trace/walk.scm 411 */
						BgL_nodez00_bglt BgL_arg2266z00_1742;

						BgL_arg2266z00_1742 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1736))->
							BgL_valuez00);
						BgL_auxz00_3665 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2266z00_1742,
							BgL_stackz00_1737);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1736))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3665), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1736);
			}
		}
	}



/* &trace-node-box-ref1995 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1995zb0zztrace_walkz00(obj_t
		BgL_envz00_3026, BgL_boxzd2refzd2_bglt BgL_nodez00_3027,
		obj_t BgL_stackz00_3028)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 401 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1729;
				obj_t BgL_stackz00_1730;

				BgL_nodez00_1729 = BgL_nodez00_3027;
				BgL_stackz00_1730 = BgL_stackz00_3028;
				{	/* Trace/walk.scm 402 */
					BgL_nodez00_bglt BgL_arg2263z00_2906;

					{	/* Trace/walk.scm 402 */
						BgL_varz00_bglt BgL_arg2264z00_2907;

						BgL_arg2264z00_2907 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1729))->BgL_varz00);
						BgL_arg2263z00_2906 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2264z00_2907), BgL_stackz00_1730);
					}
					{	/* Trace/walk.scm 402 */
						BgL_varz00_bglt BgL_vz00_2912;

						BgL_vz00_2912 = ((BgL_varz00_bglt) BgL_arg2263z00_2906);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1729))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2912), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1729);
			}
		}
	}



/* &trace-node-make-box1993 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1993zb0zztrace_walkz00(obj_t
		BgL_envz00_3029, BgL_makezd2boxzd2_bglt BgL_nodez00_3030,
		obj_t BgL_stackz00_3031)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 394 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1722;
				obj_t BgL_stackz00_1723;

				BgL_nodez00_1722 = BgL_nodez00_3030;
				BgL_stackz00_1723 = BgL_stackz00_3031;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1722))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1722))->BgL_valuez00), BgL_stackz00_1723)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1722);
			}
		}
	}



/* &trace-node-jump-ex-i1991 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1991z62zztrace_walkz00(obj_t
		BgL_envz00_3032, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3033,
		obj_t BgL_stackz00_3034)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 385 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1714;
				obj_t BgL_stackz00_1715;

				BgL_nodez00_1714 = BgL_nodez00_3033;
				BgL_stackz00_1715 = BgL_stackz00_3034;
				{
					BgL_nodez00_bglt BgL_auxz00_3680;

					{	/* Trace/walk.scm 387 */
						BgL_nodez00_bglt BgL_arg2259z00_1719;

						BgL_arg2259z00_1719 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1714))->
							BgL_exitz00);
						BgL_auxz00_3680 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2259z00_1719,
							BgL_stackz00_1715);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1714))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3680), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3684;

					{	/* Trace/walk.scm 388 */
						BgL_nodez00_bglt BgL_arg2260z00_1720;

						BgL_arg2260z00_1720 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1714))->
							BgL_valuez00);
						BgL_auxz00_3684 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2260z00_1720,
							BgL_stackz00_1715);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1714))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3684), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1714);
			}
		}
	}



/* &trace-node-set-ex-it1989 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1989z62zztrace_walkz00(obj_t
		BgL_envz00_3035, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3036,
		obj_t BgL_stackz00_3037)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 378 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1707;
				obj_t BgL_stackz00_1708;

				BgL_nodez00_1707 = BgL_nodez00_3036;
				BgL_stackz00_1708 = BgL_stackz00_3037;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1707))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1707))->BgL_bodyz00), BgL_stackz00_1708)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1707);
			}
		}
	}



/* &trace-node-let-var1987 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1987zb0zztrace_walkz00(obj_t
		BgL_envz00_3038, BgL_letzd2varzd2_bglt BgL_nodez00_3039,
		obj_t BgL_stackz00_3040)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 367 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1690;
				obj_t BgL_stackz00_1691;

				BgL_nodez00_1690 = BgL_nodez00_3039;
				BgL_stackz00_1691 = BgL_stackz00_3040;
				{	/* Trace/walk.scm 369 */
					obj_t BgL_g1928z00_1695;

					BgL_g1928z00_1695 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1690))->BgL_bindingsz00);
					{
						obj_t BgL_l1926z00_1697;

						BgL_l1926z00_1697 = BgL_g1928z00_1695;
					BgL_zc3anonymousza32251ze3z83_1698:
						if (PAIRP(BgL_l1926z00_1697))
							{	/* Trace/walk.scm 369 */
								{	/* Trace/walk.scm 370 */
									obj_t BgL_bindingz00_1700;

									BgL_bindingz00_1700 = CAR(BgL_l1926z00_1697);
									{	/* Trace/walk.scm 370 */
										BgL_nodez00_bglt BgL_arg2253z00_1701;

										{	/* Trace/walk.scm 370 */
											obj_t BgL_arg2254z00_1702;

											BgL_arg2254z00_1702 = CDR(BgL_bindingz00_1700);
											BgL_arg2253z00_1701 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2254z00_1702),
												BgL_stackz00_1691);
										}
										{	/* Trace/walk.scm 370 */
											obj_t BgL_pairz00_2887;
											obj_t BgL_objz00_2888;

											BgL_pairz00_2887 = BgL_bindingz00_1700;
											BgL_objz00_2888 = ((obj_t) BgL_arg2253z00_1701);
											SET_CDR(BgL_pairz00_2887, BgL_objz00_2888);
										}
									}
								}
								{
									obj_t BgL_l1926z00_3702;

									BgL_l1926z00_3702 = CDR(BgL_l1926z00_1697);
									BgL_l1926z00_1697 = BgL_l1926z00_3702;
									goto BgL_zc3anonymousza32251ze3z83_1698;
								}
							}
						else
							{	/* Trace/walk.scm 369 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3704;

					{	/* Trace/walk.scm 372 */
						BgL_nodez00_bglt BgL_arg2256z00_1705;

						BgL_arg2256z00_1705 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1690))->BgL_bodyz00);
						BgL_auxz00_3704 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2256z00_1705,
							BgL_stackz00_1691);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1690))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3704), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1690);
			}
		}
	}



/* &trace-node-let-fun1985 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1985zb0zztrace_walkz00(obj_t
		BgL_envz00_3041, BgL_letzd2funzd2_bglt BgL_nodez00_3042,
		obj_t BgL_stackz00_3043)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 358 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1675;
				obj_t BgL_stackz00_1676;

				BgL_nodez00_1675 = BgL_nodez00_3042;
				BgL_stackz00_1676 = BgL_stackz00_3043;
				{	/* Trace/walk.scm 360 */
					obj_t BgL_g1925z00_1680;

					BgL_g1925z00_1680 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1675))->BgL_localsz00);
					{
						obj_t BgL_l1923z00_1682;

						BgL_l1923z00_1682 = BgL_g1925z00_1680;
					BgL_zc3anonymousza32247ze3z83_1683:
						if (PAIRP(BgL_l1923z00_1682))
							{	/* Trace/walk.scm 360 */
								BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1923z00_1682),
									BgL_stackz00_1676);
								{
									obj_t BgL_l1923z00_3714;

									BgL_l1923z00_3714 = CDR(BgL_l1923z00_1682);
									BgL_l1923z00_1682 = BgL_l1923z00_3714;
									goto BgL_zc3anonymousza32247ze3z83_1683;
								}
							}
						else
							{	/* Trace/walk.scm 360 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3716;

					{	/* Trace/walk.scm 361 */
						BgL_nodez00_bglt BgL_arg2250z00_1688;

						BgL_arg2250z00_1688 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1675))->BgL_bodyz00);
						BgL_auxz00_3716 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2250z00_1688,
							BgL_stackz00_1676);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1675))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3716), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1675);
			}
		}
	}



/* &trace-node-select1983 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select1983z62zztrace_walkz00(obj_t
		BgL_envz00_3044, BgL_selectz00_bglt BgL_nodez00_3045,
		obj_t BgL_stackz00_3046)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 347 */
			{
				BgL_selectz00_bglt BgL_nodez00_1658;
				obj_t BgL_stackz00_1659;

				BgL_nodez00_1658 = BgL_nodez00_3045;
				BgL_stackz00_1659 = BgL_stackz00_3046;
				{
					BgL_nodez00_bglt BgL_auxz00_3721;

					{	/* Trace/walk.scm 349 */
						BgL_nodez00_bglt BgL_arg2241z00_1663;

						BgL_arg2241z00_1663 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1658))->BgL_testz00);
						BgL_auxz00_3721 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2241z00_1663,
							BgL_stackz00_1659);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1658))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3721), BUNSPEC);
				}
				{	/* Trace/walk.scm 350 */
					obj_t BgL_g1922z00_1664;

					BgL_g1922z00_1664 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1658))->BgL_clausesz00);
					{
						obj_t BgL_l1821z00_1666;

						BgL_l1821z00_1666 = BgL_g1922z00_1664;
					BgL_zc3anonymousza32242ze3z83_1667:
						if (PAIRP(BgL_l1821z00_1666))
							{	/* Trace/walk.scm 350 */
								{	/* Trace/walk.scm 351 */
									obj_t BgL_clausez00_1669;

									BgL_clausez00_1669 = CAR(BgL_l1821z00_1666);
									{	/* Trace/walk.scm 351 */
										BgL_nodez00_bglt BgL_arg2244z00_1670;

										{	/* Trace/walk.scm 351 */
											obj_t BgL_arg2245z00_1671;

											BgL_arg2245z00_1671 = CDR(BgL_clausez00_1669);
											BgL_arg2244z00_1670 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2245z00_1671),
												BgL_stackz00_1659);
										}
										{	/* Trace/walk.scm 351 */
											obj_t BgL_pairz00_2876;
											obj_t BgL_objz00_2877;

											BgL_pairz00_2876 = BgL_clausez00_1669;
											BgL_objz00_2877 = ((obj_t) BgL_arg2244z00_1670);
											SET_CDR(BgL_pairz00_2876, BgL_objz00_2877);
										}
									}
								}
								{
									obj_t BgL_l1821z00_3734;

									BgL_l1821z00_3734 = CDR(BgL_l1821z00_1666);
									BgL_l1821z00_1666 = BgL_l1821z00_3734;
									goto BgL_zc3anonymousza32242ze3z83_1667;
								}
							}
						else
							{	/* Trace/walk.scm 350 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1658);
			}
		}
	}



/* &trace-node-fail1981 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1981z62zztrace_walkz00(obj_t
		BgL_envz00_3047, BgL_failz00_bglt BgL_nodez00_3048, obj_t BgL_stackz00_3049)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 337 */
			{
				BgL_failz00_bglt BgL_nodez00_1649;
				obj_t BgL_stackz00_1650;

				BgL_nodez00_1649 = BgL_nodez00_3048;
				BgL_stackz00_1650 = BgL_stackz00_3049;
				{
					BgL_nodez00_bglt BgL_auxz00_3737;

					{	/* Trace/walk.scm 339 */
						BgL_nodez00_bglt BgL_arg2237z00_1654;

						BgL_arg2237z00_1654 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_procz00);
						BgL_auxz00_3737 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2237z00_1654,
							BgL_stackz00_1650);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3737), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3741;

					{	/* Trace/walk.scm 340 */
						BgL_nodez00_bglt BgL_arg2238z00_1655;

						BgL_arg2238z00_1655 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_msgz00);
						BgL_auxz00_3741 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2238z00_1655,
							BgL_stackz00_1650);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3741), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3745;

					{	/* Trace/walk.scm 341 */
						BgL_nodez00_bglt BgL_arg2239z00_1656;

						BgL_arg2239z00_1656 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_objz00);
						BgL_auxz00_3745 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2239z00_1656,
							BgL_stackz00_1650);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1649))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3745), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1649);
			}
		}
	}



/* &trace-node-condition1979 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1979z62zztrace_walkz00(obj_t
		BgL_envz00_3050, BgL_conditionalz00_bglt BgL_nodez00_3051,
		obj_t BgL_stackz00_3052)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 327 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1640;
				obj_t BgL_stackz00_1641;

				BgL_nodez00_1640 = BgL_nodez00_3051;
				BgL_stackz00_1641 = BgL_stackz00_3052;
				{
					BgL_nodez00_bglt BgL_auxz00_3750;

					{	/* Trace/walk.scm 329 */
						BgL_nodez00_bglt BgL_arg2234z00_1645;

						BgL_arg2234z00_1645 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->BgL_testz00);
						BgL_auxz00_3750 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2234z00_1645,
							BgL_stackz00_1641);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3750), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3754;

					{	/* Trace/walk.scm 330 */
						BgL_nodez00_bglt BgL_arg2235z00_1646;

						BgL_arg2235z00_1646 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->BgL_truez00);
						BgL_auxz00_3754 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2235z00_1646,
							BgL_stackz00_1641);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3754), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3758;

					{	/* Trace/walk.scm 331 */
						BgL_nodez00_bglt BgL_arg2236z00_1647;

						BgL_arg2236z00_1647 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->
							BgL_falsez00);
						BgL_auxz00_3758 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2236z00_1647,
							BgL_stackz00_1641);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1640))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3758), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1640);
			}
		}
	}



/* &trace-node-setq1977 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1977z62zztrace_walkz00(obj_t
		BgL_envz00_3053, BgL_setqz00_bglt BgL_nodez00_3054, obj_t BgL_stackz00_3055)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 320 */
			{
				BgL_setqz00_bglt BgL_nodez00_1633;
				obj_t BgL_stackz00_1634;

				BgL_nodez00_1633 = BgL_nodez00_3054;
				BgL_stackz00_1634 = BgL_stackz00_3055;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1633))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1633))->BgL_valuez00), BgL_stackz00_1634)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1633);
			}
		}
	}



/* &trace-node-cast1975 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1975z62zztrace_walkz00(obj_t
		BgL_envz00_3056, BgL_castz00_bglt BgL_nodez00_3057, obj_t BgL_stackz00_3058)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 313 */
			{
				BgL_castz00_bglt BgL_nodez00_1627;
				obj_t BgL_stackz00_1628;

				BgL_nodez00_1627 = BgL_nodez00_3057;
				BgL_stackz00_1628 = BgL_stackz00_3058;
				BGl_tracezd2nodezd2zztrace_walkz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1627))->BgL_argz00),
					BgL_stackz00_1628);
				return ((BgL_nodez00_bglt) BgL_nodez00_1627);
			}
		}
	}



/* &trace-node-extern1973 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1973z62zztrace_walkz00(obj_t
		BgL_envz00_3059, BgL_externz00_bglt BgL_nodez00_3060,
		obj_t BgL_stackz00_3061)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 306 */
			{
				BgL_externz00_bglt BgL_nodez00_1621;
				obj_t BgL_stackz00_1622;

				BgL_nodez00_1621 = BgL_nodez00_3060;
				BgL_stackz00_1622 = BgL_stackz00_3061;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1621))->BgL_exprza2za2),
					BgL_stackz00_1622);
				return ((BgL_nodez00_bglt) BgL_nodez00_1621);
			}
		}
	}



/* &trace-node-funcall1971 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1971z62zztrace_walkz00(obj_t
		BgL_envz00_3062, BgL_funcallz00_bglt BgL_nodez00_3063,
		obj_t BgL_stackz00_3064)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 297 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1613;
				obj_t BgL_stackz00_1614;

				BgL_nodez00_1613 = BgL_nodez00_3063;
				BgL_stackz00_1614 = BgL_stackz00_3064;
				{
					BgL_nodez00_bglt BgL_auxz00_3773;

					{	/* Trace/walk.scm 299 */
						BgL_nodez00_bglt BgL_arg2228z00_1618;

						BgL_arg2228z00_1618 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1613))->BgL_funz00);
						BgL_auxz00_3773 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2228z00_1618,
							BgL_stackz00_1614);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1613))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3773), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1613))->BgL_argsz00),
					BgL_stackz00_1614);
				return ((BgL_nodez00_bglt) BgL_nodez00_1613);
			}
		}
	}



/* &trace-node-app-ly1969 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1969zb0zztrace_walkz00(obj_t
		BgL_envz00_3065, BgL_appzd2lyzd2_bglt BgL_nodez00_3066,
		obj_t BgL_stackz00_3067)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 288 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1605;
				obj_t BgL_stackz00_1606;

				BgL_nodez00_1605 = BgL_nodez00_3066;
				BgL_stackz00_1606 = BgL_stackz00_3067;
				{
					BgL_nodez00_bglt BgL_auxz00_3780;

					{	/* Trace/walk.scm 290 */
						BgL_nodez00_bglt BgL_arg2226z00_1610;

						BgL_arg2226z00_1610 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1605))->BgL_funz00);
						BgL_auxz00_3780 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2226z00_1610,
							BgL_stackz00_1606);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1605))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3780), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3784;

					{	/* Trace/walk.scm 291 */
						BgL_nodez00_bglt BgL_arg2227z00_1611;

						BgL_arg2227z00_1611 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1605))->BgL_argz00);
						BgL_auxz00_3784 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2227z00_1611,
							BgL_stackz00_1606);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1605))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3784), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1605);
			}
		}
	}



/* &trace-node-app1967 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1967z62zztrace_walkz00(obj_t
		BgL_envz00_3068, BgL_appz00_bglt BgL_nodez00_3069, obj_t BgL_stackz00_3070)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 281 */
			{
				BgL_appz00_bglt BgL_nodez00_1599;
				obj_t BgL_stackz00_1600;

				BgL_nodez00_1599 = BgL_nodez00_3069;
				BgL_stackz00_1600 = BgL_stackz00_3070;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1599))->BgL_argsz00),
					BgL_stackz00_1600);
				return ((BgL_nodez00_bglt) BgL_nodez00_1599);
			}
		}
	}



/* &trace-node-sequence1965 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1965z62zztrace_walkz00(obj_t
		BgL_envz00_3071, BgL_sequencez00_bglt BgL_nodez00_3072,
		obj_t BgL_stackz00_3073)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 274 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1593;
				obj_t BgL_stackz00_1594;

				BgL_nodez00_1593 = BgL_nodez00_3072;
				BgL_stackz00_1594 = BgL_stackz00_3073;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1593))->BgL_nodesz00),
					BgL_stackz00_1594);
				return ((BgL_nodez00_bglt) BgL_nodez00_1593);
			}
		}
	}



/* &find-last-node-jump-1961 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21961z62zztrace_walkz00(obj_t
		BgL_envz00_3074, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3075)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 231 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1588;

				BgL_nodez00_1588 = BgL_nodez00_3075;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1588))->
						BgL_valuez00));
			}
		}
	}



/* &find-last-node-set-e1958 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1958z62zztrace_walkz00(obj_t
		BgL_envz00_3076, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3077)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 225 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1583;

				BgL_nodez00_1583 = BgL_nodez00_3077;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1583))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-f1955 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1955z62zztrace_walkz00(obj_t
		BgL_envz00_3078, BgL_letzd2funzd2_bglt BgL_nodez00_3079)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 219 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1578;

				BgL_nodez00_1578 = BgL_nodez00_3079;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1578))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-v1953 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1953z62zztrace_walkz00(obj_t
		BgL_envz00_3080, BgL_letzd2varzd2_bglt BgL_nodez00_3081)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 213 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1573;

				BgL_nodez00_1573 = BgL_nodez00_3081;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1573))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-selec1951 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec1951zb0zztrace_walkz00(obj_t
		BgL_envz00_3082, BgL_selectz00_bglt BgL_nodez00_3083)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 204 */
			{
				BgL_selectz00_bglt BgL_nodez00_1562;

				BgL_nodez00_1562 = BgL_nodez00_3083;
				{	/* Trace/walk.scm 206 */
					bool_t BgL_testz00_3803;

					{	/* Trace/walk.scm 206 */
						obj_t BgL_auxz00_3804;

						BgL_auxz00_3804 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->BgL_clausesz00);
						BgL_testz00_3803 = PAIRP(BgL_auxz00_3804);
					}
					if (BgL_testz00_3803)
						{	/* Trace/walk.scm 207 */
							obj_t BgL_arg2214z00_1567;

							BgL_arg2214z00_1567 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->
										BgL_clausesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2214z00_1567));
						}
					else
						{	/* Trace/walk.scm 206 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								((obj_t)
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->
										BgL_testz00)));
						}
				}
			}
		}
	}



/* &find-last-node-fail1949 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1949zb0zztrace_walkz00(obj_t
		BgL_envz00_3084, BgL_failz00_bglt BgL_nodez00_3085)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 198 */
			{
				BgL_failz00_bglt BgL_nodez00_1557;

				BgL_nodez00_1557 = BgL_nodez00_3085;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1557))->BgL_objz00));
			}
		}
	}



/* &find-last-node-condi1947 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1947zb0zztrace_walkz00(obj_t
		BgL_envz00_3086, BgL_conditionalz00_bglt BgL_nodez00_3087)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 192 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1552;

				BgL_nodez00_1552 = BgL_nodez00_3087;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1552))->BgL_falsez00));
			}
		}
	}



/* &find-last-node-setq1945 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1945zb0zztrace_walkz00(obj_t
		BgL_envz00_3088, BgL_setqz00_bglt BgL_nodez00_3089)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 186 */
			{
				BgL_setqz00_bglt BgL_nodez00_1547;

				BgL_nodez00_1547 = BgL_nodez00_3089;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1547))->BgL_valuez00));
			}
		}
	}



/* &find-last-node-exter1942 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1942zb0zztrace_walkz00(obj_t
		BgL_envz00_3090, BgL_externz00_bglt BgL_nodez00_3091)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 177 */
			{
				BgL_externz00_bglt BgL_nodez00_1537;

				BgL_nodez00_1537 = BgL_nodez00_3091;
				if (NULLP(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1537))->BgL_exprza2za2)))
					{	/* Trace/walk.scm 179 */
						return ((obj_t) BgL_nodez00_1537);
					}
				else
					{	/* Trace/walk.scm 180 */
						obj_t BgL_arg2205z00_1542;

						BgL_arg2205z00_1542 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1537))->
									BgL_exprza2za2)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg2205z00_1542));
					}
			}
		}
	}



/* &find-last-node-funca1940 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1940zb0zztrace_walkz00(obj_t
		BgL_envz00_3092, BgL_funcallz00_bglt BgL_nodez00_3093)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 168 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1526;

				BgL_nodez00_1526 = BgL_nodez00_3093;
				{	/* Trace/walk.scm 170 */
					bool_t BgL_testz00_3830;

					{	/* Trace/walk.scm 170 */
						obj_t BgL_auxz00_3831;

						BgL_auxz00_3831 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1526))->BgL_argsz00);
						BgL_testz00_3830 = PAIRP(BgL_auxz00_3831);
					}
					if (BgL_testz00_3830)
						{	/* Trace/walk.scm 171 */
							obj_t BgL_arg2199z00_1531;

							BgL_arg2199z00_1531 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1526))->
										BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2199z00_1531));
						}
					else
						{	/* Trace/walk.scm 170 */
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1526))->BgL_funz00));
						}
				}
			}
		}
	}



/* &find-last-node-app-l1938 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1938z62zztrace_walkz00(obj_t
		BgL_envz00_3094, BgL_appzd2lyzd2_bglt BgL_nodez00_3095)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 162 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1521;

				BgL_nodez00_1521 = BgL_nodez00_3095;
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1521))->BgL_argz00));
			}
		}
	}



/* &find-last-node-app1936 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1936zb0zztrace_walkz00(obj_t
		BgL_envz00_3096, BgL_appz00_bglt BgL_nodez00_3097)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 153 */
			{
				BgL_appz00_bglt BgL_nodez00_1511;

				BgL_nodez00_1511 = BgL_nodez00_3097;
				{	/* Trace/walk.scm 155 */
					bool_t BgL_testz00_3843;

					{	/* Trace/walk.scm 155 */
						obj_t BgL_auxz00_3844;

						BgL_auxz00_3844 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1511))->BgL_argsz00);
						BgL_testz00_3843 = PAIRP(BgL_auxz00_3844);
					}
					if (BgL_testz00_3843)
						{	/* Trace/walk.scm 156 */
							obj_t BgL_arg2193z00_1516;

							BgL_arg2193z00_1516 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1511))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2193z00_1516));
						}
					else
						{	/* Trace/walk.scm 155 */
							return ((obj_t) BgL_nodez00_1511);
						}
				}
			}
		}
	}



/* &find-last-node-seque1934 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1934zb0zztrace_walkz00(obj_t
		BgL_envz00_3098, BgL_sequencez00_bglt BgL_nodez00_3099)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 144 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1501;

				BgL_nodez00_1501 = BgL_nodez00_3099;
				{	/* Trace/walk.scm 146 */
					bool_t BgL_testz00_3853;

					{	/* Trace/walk.scm 146 */
						obj_t BgL_auxz00_3854;

						BgL_auxz00_3854 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1501))->BgL_nodesz00);
						BgL_testz00_3853 = PAIRP(BgL_auxz00_3854);
					}
					if (BgL_testz00_3853)
						{	/* Trace/walk.scm 147 */
							obj_t BgL_arg2185z00_1506;

							BgL_arg2185z00_1506 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1501))->
										BgL_nodesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2185z00_1506));
						}
					else
						{	/* Trace/walk.scm 146 */
							return ((obj_t) BgL_nodez00_1501);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2503z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
