/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2582z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2591z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2594z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2596z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2598z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31305ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2600z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2602z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2604z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2606z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2610z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2612z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2616z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_symbol2620z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2622z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2626z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2628z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol2630z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2601z00zz__evaluatez00,
		BgL_bgl_string2601za700za7za7_2633za7, "trap", 4);
	      DEFINE_STRING(BGl_string2603z00zz__evaluatez00,
		BgL_bgl_string2603za700za7za7_2634za7, "quote", 5);
	      DEFINE_STRING(BGl_string2605z00zz__evaluatez00,
		BgL_bgl_string2605za700za7za7_2635za7, "if", 2);
	      DEFINE_STRING(BGl_string2607z00zz__evaluatez00,
		BgL_bgl_string2607za700za7za7_2636za7, "or", 2);
	      DEFINE_STRING(BGl_string2609z00zz__evaluatez00,
		BgL_bgl_string2609za700za7za7_2637za7, "and", 3);
	      DEFINE_STRING(BGl_string2611z00zz__evaluatez00,
		BgL_bgl_string2611za700za7za7_2638za7, "begin", 5);
	      DEFINE_STRING(BGl_string2613z00zz__evaluatez00,
		BgL_bgl_string2613za700za7za7_2639za7, "let", 3);
	      DEFINE_STRING(BGl_string2615z00zz__evaluatez00,
		BgL_bgl_string2615za700za7za7_2640za7, "let*", 4);
	      DEFINE_STRING(BGl_string2617z00zz__evaluatez00,
		BgL_bgl_string2617za700za7za7_2641za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2619z00zz__evaluatez00,
		BgL_bgl_string2619za700za7za7_2642za7, "set!", 4);
	      DEFINE_STRING(BGl_string2621z00zz__evaluatez00,
		BgL_bgl_string2621za700za7za7_2643za7, "define", 6);
	      DEFINE_STRING(BGl_string2623z00zz__evaluatez00,
		BgL_bgl_string2623za700za7za7_2644za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2625z00zz__evaluatez00,
		BgL_bgl_string2625za700za7za7_2645za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2627z00zz__evaluatez00,
		BgL_bgl_string2627za700za7za7_2646za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2629z00zz__evaluatez00,
		BgL_bgl_string2629za700za7za7_2647za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2631z00zz__evaluatez00,
		BgL_bgl_string2631za700za7za7_2648za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2632z00zz__evaluatez00,
		BgL_bgl_string2632za700za7za7_2649za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2581z00zz__evaluatez00,
		BgL_bgl_string2581za700za7za7_2650za7, "", 0);
	      DEFINE_STRING(BGl_string2583z00zz__evaluatez00,
		BgL_bgl_string2583za700za7za7_2651za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2584z00zz__evaluatez00,
		BgL_bgl_string2584za700za7za7_2652za7, "eval", 4);
	      DEFINE_STRING(BGl_string2585z00zz__evaluatez00,
		BgL_bgl_string2585za700za7za7_2653za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2586z00zz__evaluatez00,
		BgL_bgl_string2586za700za7za7_2654za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2587z00zz__evaluatez00,
		BgL_bgl_string2587za700za7za7_2655za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2588z00zz__evaluatez00,
		BgL_bgl_string2588za700za7za7_2656za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2589z00zz__evaluatez00,
		BgL_bgl_string2589za700za7za7_2657za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2590z00zz__evaluatez00,
		BgL_bgl_string2590za700za7za7_2658za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2592z00zz__evaluatez00,
		BgL_bgl_string2592za700za7za7_2659za7, " ", 1);
	      DEFINE_STRING(BGl_string2593z00zz__evaluatez00,
		BgL_bgl_string2593za700za7za7_2660za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2595z00zz__evaluatez00,
		BgL_bgl_string2595za700za7za7_2661za7, "module", 6);
	      DEFINE_STRING(BGl_string2597z00zz__evaluatez00,
		BgL_bgl_string2597za700za7za7_2662za7, "@", 1);
	      DEFINE_STRING(BGl_string2599z00zz__evaluatez00,
		BgL_bgl_string2599za700za7za7_2663za7, "->", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2664z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2665z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72666za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4024, char *BgL_fromz00_4025)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2582z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2583z00zz__evaluatez00);
			BGl_symbol2591z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2592z00zz__evaluatez00);
			BGl_symbol2594z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2595z00zz__evaluatez00);
			BGl_symbol2596z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2597z00zz__evaluatez00);
			BGl_symbol2598z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2599z00zz__evaluatez00);
			BGl_symbol2600z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2601z00zz__evaluatez00);
			BGl_symbol2602z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2603z00zz__evaluatez00);
			BGl_symbol2604z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluatez00);
			BGl_symbol2606z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2607z00zz__evaluatez00);
			BGl_symbol2608z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluatez00);
			BGl_symbol2610z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2611z00zz__evaluatez00);
			BGl_symbol2612z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2613z00zz__evaluatez00);
			BGl_symbol2614z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluatez00);
			BGl_symbol2616z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2617z00zz__evaluatez00);
			BGl_symbol2618z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluatez00);
			BGl_symbol2620z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluatez00);
			BGl_symbol2622z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluatez00);
			BGl_symbol2624z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluatez00);
			BGl_symbol2626z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2627z00zz__evaluatez00);
			BGl_symbol2628z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2629z00zz__evaluatez00);
			return (BGl_symbol2630z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2631z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_668;

				BgL_headz00_668 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2146;
					obj_t BgL_tailz00_2147;

					BgL_prevz00_2146 = BgL_headz00_668;
					BgL_tailz00_2147 = BgL_l1z00_1;
				BgL_loopz00_2145:
					if (PAIRP(BgL_tailz00_2147))
						{
							obj_t BgL_newzd2prevzd2_2153;

							BgL_newzd2prevzd2_2153 =
								MAKE_PAIR(CAR(BgL_tailz00_2147), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2146, BgL_newzd2prevzd2_2153);
							{
								obj_t BgL_tailz00_4059;
								obj_t BgL_prevz00_4058;

								BgL_prevz00_4058 = BgL_newzd2prevzd2_2153;
								BgL_tailz00_4059 = CDR(BgL_tailz00_2147);
								BgL_tailz00_2147 = BgL_tailz00_4059;
								BgL_prevz00_2146 = BgL_prevz00_4058;
								goto BgL_loopz00_2145;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_668);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_676;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2300z00_2165;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2229z00_2164;

						BgL_arg2229z00_2164 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2300z00_2165 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2229z00_2164);
					}
					BgL_stringz00_676 = BgL_res2300z00_2165;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_677;

					BgL_lenz00_677 = STRING_LENGTH(BgL_stringz00_676);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_679;

							BgL_walkerz00_679 = ((long) 0);
						BgL_zc3anonymousza31253ze3z83_680:
							if ((BgL_walkerz00_679 == BgL_lenz00_677))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4068;

									if (
										(STRING_REF(BgL_stringz00_676,
												BgL_walkerz00_679) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_679 < (BgL_lenz00_677 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4068 =
														(STRING_REF(BgL_stringz00_676,
															(BgL_walkerz00_679 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4068 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4068 = ((bool_t) 0);
										}
									if (BgL_testz00_4068)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1259z00_683;
											obj_t BgL_arg1264z00_684;

											{	/* Eval/evaluate.scm 81 */
												obj_t BgL_arg1268z00_685;

												BgL_arg1268z00_685 =
													c_substring(BgL_stringz00_676, ((long) 0),
													BgL_walkerz00_679);
												BgL_arg1259z00_683 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1268z00_685));
											}
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1270z00_686;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1272z00_687;

													BgL_arg1272z00_687 = (BgL_walkerz00_679 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_690;

														BgL_endz00_690 = STRING_LENGTH(BgL_stringz00_676);
														{	/* Ieee/string.scm 179 */

															BgL_arg1270z00_686 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_676, BgL_arg1272z00_687,
																BgL_endz00_690);
												}}}
												BgL_arg1264z00_684 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1270z00_686));
											}
											return MAKE_PAIR(BgL_arg1259z00_683, BgL_arg1264z00_684);
										}
									else
										{
											long BgL_walkerz00_4087;

											BgL_walkerz00_4087 = (BgL_walkerz00_679 + ((long) 1));
											BgL_walkerz00_679 = BgL_walkerz00_4087;
											goto BgL_zc3anonymousza31253ze3z83_680;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_699;

				BgL_sz00_699 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_700;

					BgL_bpz00_700 = VECTOR_REF(BgL_sz00_699, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_701;

						BgL_rz00_701 =
							make_vector(CINT(BgL_bpz00_700),
							BGl_string2581z00zz__evaluatez00);
						{
							long BgL_iz00_2222;

							BgL_iz00_2222 = ((long) 0);
						BgL_recz00_2221:
							if ((BgL_iz00_2222 < (long) CINT(BgL_bpz00_700)))
								{	/* Eval/evaluate.scm 93 */
									VECTOR_SET(BgL_rz00_701,
										(int) (BgL_iz00_2222),
										VECTOR_REF(BgL_sz00_699, (int) (BgL_iz00_2222)));
									{
										long BgL_iz00_4101;

										BgL_iz00_4101 = (BgL_iz00_2222 + ((long) 1));
										BgL_iz00_2222 = BgL_iz00_4101;
										goto BgL_recz00_2221;
									}
								}
							else
								{	/* Eval/evaluate.scm 93 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_701;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_3974)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_709;

				BgL_sz00_709 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_710;

					BgL_bpz00_710 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2251;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4107;

							BgL_iz00_2251 = ((long) 0);
						BgL_recz00_2250:
							if ((BgL_iz00_2251 < (long) CINT(BgL_bpz00_710)))
								{	/* Eval/evaluate.scm 105 */
									VECTOR_SET(BgL_sz00_709,
										(int) (BgL_iz00_2251),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2251)));
									{
										long BgL_iz00_4115;

										BgL_iz00_4115 = (BgL_iz00_2251 + ((long) 1));
										BgL_iz00_2251 = BgL_iz00_4115;
										goto BgL_recz00_2250;
									}
								}
							else
								{	/* Eval/evaluate.scm 105 */
									BgL_auxz00_4107 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4107);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_3975, obj_t BgL_vz00_3976)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_3976);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_718;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1307z00_734;

					BgL_arg1307z00_734 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2582z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_718 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1307z00_734));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4122;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1298z00_722;

						BgL_arg1298z00_722 = bgl_debug();
						BgL_testz00_4122 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1298z00_722),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4122)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_718), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_718);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_723;

					BgL_nz00_723 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_718);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_724;

						BgL_fz00_724 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_718);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_725;

							BgL_sz00_725 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_726;

								BgL_bpz00_726 = VECTOR_REF(BgL_sz00_725, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_val1063z00_727;

									BgL_val1063z00_727 =
										BGl_zc3exitza31305ze3z83zz__evaluatez00(BgL_sz00_725,
										BgL_fz00_724);
									VECTOR_SET(BgL_sz00_725, (int) (((long) 0)), BgL_bpz00_726);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1063z00_727)))
										{	/* Eval/evaluate.scm 123 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1063z00_727), CDR(BgL_val1063z00_727));
										}
									else
										{	/* Eval/evaluate.scm 123 */
											return BgL_val1063z00_727;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:1305> */
	obj_t BGl_zc3exitza31305ze3z83zz__evaluatez00(obj_t BgL_sz00_4003,
		obj_t BgL_fz00_4002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 123 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1064z00_732;

			if (SET_EXIT(BgL_an_exit1064z00_732))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1064z00_732 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 123 */

						PUSH_EXIT(BgL_an_exit1064z00_732, ((long) 0));
						{	/* Eval/evaluate.scm 122 */
							obj_t BgL_val1065z00_733;

							BgL_val1065z00_733 =
								PROCEDURE_ENTRY(BgL_fz00_4002) (BgL_fz00_4002, BgL_sz00_4003,
								BEOA);
							POP_EXIT();
							return BgL_val1065z00_733;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_3977,
		obj_t BgL_sexpz00_3978, obj_t BgL_envz00_3979, obj_t BgL_locz00_3980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_3978, BgL_envz00_3979,
				BgL_locz00_3980);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1066z00_2276;

				BgL__ortest_1066z00_2276 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1066z00_2276))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1066z00_2276;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_739;

				BgL_lz00_739 = BgL_localsz00_17;
			BgL_zc3anonymousza31308ze3z83_740:
				if (NULLP(BgL_lz00_739))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_742;

						BgL_rvz00_742 = CAR(BgL_lz00_739);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_742)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_742;
							}
						else
							{
								obj_t BgL_lz00_4163;

								BgL_lz00_4163 = CDR(BgL_lz00_739);
								BgL_lz00_739 = BgL_lz00_4163;
								goto BgL_zc3anonymousza31308ze3z83_740;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_748;

				{	/* Eval/evaluate.scm 162 */
					obj_t BgL__ortest_1066z00_2285;

					BgL__ortest_1066z00_2285 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1066z00_2285))
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_748 = BgL__ortest_1066z00_2285;
						}
					else
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_748 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_752;
					obj_t BgL_rz00_753;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4170;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1071z00_764;

								{	/* Eval/evaluate.scm 165 */
									BgL_ev_littz00_bglt BgL_new1070z00_765;

									BgL_new1070z00_765 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 165 */
										long BgL_arg1323z00_766;

										{	/* Eval/evaluate.scm 165 */
											long BgL_res2321z00_2289;

											{	/* Eval/evaluate.scm 165 */
												obj_t BgL_classz00_2286;

												BgL_classz00_2286 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 165 */
													obj_t BgL_vectorz00_2287;
													int BgL_kz00_2288;

													BgL_vectorz00_2287 = BgL_classz00_2286;
													BgL_kz00_2288 = (int) (((long) 1));
													BgL_res2321z00_2289 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2287,
															BgL_kz00_2288));
											}}
											BgL_arg1323z00_766 = BgL_res2321z00_2289;
										}
										{	/* Eval/evaluate.scm 165 */
											BgL_objectz00_bglt BgL_objz00_2290;

											BgL_objz00_2290 =
												((BgL_objectz00_bglt) BgL_new1070z00_765);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2290,
												BgL_arg1323z00_766);
									}}
									{	/* Eval/evaluate.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_4177;

										BgL_auxz00_4177 = ((BgL_objectz00_bglt) BgL_new1070z00_765);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4177, BFALSE);
									}
									BgL_new1071z00_764 = BgL_new1070z00_765;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1071z00_764))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4170 = BgL_new1071z00_764;
							}
							return ((obj_t) BgL_auxz00_4170);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1319z00_760;

											BgL_arg1319z00_760 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 163 */
												obj_t BgL_arg1324z00_2314;

												{	/* Eval/evaluate.scm 163 */
													obj_t BgL__ortest_1066z00_2317;

													BgL__ortest_1066z00_2317 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1319z00_760);
													if (CBOOL(BgL__ortest_1066z00_2317))
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1324z00_2314 = BgL__ortest_1066z00_2317;
														}
													else
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1324z00_2314 = BgL_locz00_748;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1319z00_760,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1324z00_2314, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1320z00_761;
											obj_t BgL_arg1321z00_762;

											BgL_arg1320z00_761 = CAR(BgL_lz00_18);
											BgL_arg1321z00_762 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4194;

												BgL_e1z00_752 = BgL_arg1320z00_761;
												BgL_rz00_753 = BgL_arg1321z00_762;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1073z00_768;

													{	/* Eval/evaluate.scm 170 */
														BgL_ev_prog2z00_bglt BgL_new1072z00_770;

														BgL_new1072z00_770 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 170 */
															long BgL_arg1326z00_771;

															{	/* Eval/evaluate.scm 170 */
																long BgL_res2322z00_2299;

																{	/* Eval/evaluate.scm 170 */
																	obj_t BgL_classz00_2296;

																	BgL_classz00_2296 =
																		BGl_ev_prog2z00zz__evaluate_typesz00;
																	{	/* Eval/evaluate.scm 170 */
																		obj_t BgL_vectorz00_2297;
																		int BgL_kz00_2298;

																		BgL_vectorz00_2297 = BgL_classz00_2296;
																		BgL_kz00_2298 = (int) (((long) 1));
																		BgL_res2322z00_2299 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2297,
																				BgL_kz00_2298));
																}}
																BgL_arg1326z00_771 = BgL_res2322z00_2299;
															}
															{	/* Eval/evaluate.scm 170 */
																BgL_objectz00_bglt BgL_objz00_2300;

																BgL_objz00_2300 =
																	((BgL_objectz00_bglt) BgL_new1072z00_770);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2300,
																	BgL_arg1326z00_771);
														}}
														{	/* Eval/evaluate.scm 170 */
															BgL_objectz00_bglt BgL_auxz00_4201;

															BgL_auxz00_4201 =
																((BgL_objectz00_bglt) BgL_new1072z00_770);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4201, BFALSE);
														}
														BgL_new1073z00_768 = BgL_new1072z00_770;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4204;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1325z00_769;

															{	/* Eval/evaluate.scm 171 */
																obj_t BgL__ortest_1066z00_2304;

																BgL__ortest_1066z00_2304 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_752);
																if (CBOOL(BgL__ortest_1066z00_2304))
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1325z00_769 =
																			BgL__ortest_1066z00_2304;
																	}
																else
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1325z00_769 = BgL_locz00_748;
																	}
															}
															BgL_auxz00_4204 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_752,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1325z00_769,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1073z00_768))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4204), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1073z00_768))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_753,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_748, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4194 = BgL_new1073z00_768;
												}
												return ((obj_t) BgL_auxz00_4194);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_748,
										BGl_string2584z00zz__evaluatez00,
										BGl_string2585z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 179 */
			{	/* Eval/evaluate.scm 180 */
				obj_t BgL_lz00_772;

				BgL_lz00_772 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 180 */
					obj_t BgL_vz00_773;

					BgL_vz00_773 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_772),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 181 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_773,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 183 */
								BgL_ev_varz00_bglt BgL_i1074z00_775;

								BgL_i1074z00_775 = ((BgL_ev_varz00_bglt) BgL_vz00_773);
								{	/* Eval/evaluate.scm 184 */
									obj_t BgL_g1076z00_776;
									obj_t BgL_g1077z00_777;

									BgL_g1076z00_776 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_775))->
											BgL_typez00));
									BgL_g1077z00_777 = CDR(BgL_lz00_772);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_779;
										obj_t BgL_klassz00_780;
										obj_t BgL_fieldsz00_781;

										BgL_nodez00_779 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_773));
										BgL_klassz00_780 = BgL_g1076z00_776;
										BgL_fieldsz00_781 = BgL_g1077z00_777;
									BgL_zc3anonymousza31328ze3z83_782:
										if (NULLP(BgL_fieldsz00_781))
											{	/* Eval/evaluate.scm 188 */
												return ((obj_t) BgL_nodez00_779);
											}
										else
											{	/* Eval/evaluate.scm 188 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_780))
													{	/* Eval/evaluate.scm 191 */
														obj_t BgL_fieldz00_785;

														BgL_fieldz00_785 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_780, CAR(BgL_fieldsz00_781));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_785))
															{	/* Eval/evaluate.scm 193 */
																BgL_ev_appz00_bglt BgL_nodez00_787;

																BgL_nodez00_787 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_785, BgL_nodez00_779,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 196 */
																	obj_t BgL_arg1333z00_788;
																	obj_t BgL_arg1334z00_789;

																	BgL_arg1333z00_788 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_785);
																	BgL_arg1334z00_789 = CDR(BgL_fieldsz00_781);
																	{
																		obj_t BgL_fieldsz00_4240;
																		obj_t BgL_klassz00_4239;
																		BgL_ev_exprz00_bglt BgL_nodez00_4237;

																		BgL_nodez00_4237 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_787);
																		BgL_klassz00_4239 = BgL_arg1333z00_788;
																		BgL_fieldsz00_4240 = BgL_arg1334z00_789;
																		BgL_fieldsz00_781 = BgL_fieldsz00_4240;
																		BgL_klassz00_780 = BgL_klassz00_4239;
																		BgL_nodez00_779 = BgL_nodez00_4237;
																		goto BgL_zc3anonymousza31328ze3z83_782;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 198 */
																obj_t BgL_arg1335z00_790;
																obj_t BgL_arg1336z00_791;

																BgL_arg1335z00_790 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1074z00_775))->BgL_typez00);
																{	/* Eval/evaluate.scm 199 */
																	obj_t BgL_arg1337z00_792;
																	obj_t BgL_arg1338z00_793;

																	BgL_arg1337z00_792 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_775))->BgL_typez00);
																	BgL_arg1338z00_793 = CAR(BgL_fieldsz00_781);
																	{	/* Eval/evaluate.scm 199 */
																		obj_t BgL_list1339z00_794;

																		{	/* Eval/evaluate.scm 199 */
																			obj_t BgL_arg1340z00_795;

																			BgL_arg1340z00_795 =
																				MAKE_PAIR(BgL_arg1338z00_793, BNIL);
																			BgL_list1339z00_794 =
																				MAKE_PAIR(BgL_arg1337z00_792,
																				BgL_arg1340z00_795);
																		}
																		BgL_arg1336z00_791 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2586z00zz__evaluatez00,
																			BgL_list1339z00_794);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1335z00_790,
																	BgL_arg1336z00_791, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_arg1342z00_797;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL__ortest_1078z00_798;

															BgL__ortest_1078z00_798 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_775))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1078z00_798))
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1342z00_797 = BgL__ortest_1078z00_798;
																}
															else
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1342z00_797 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_775))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1342z00_797,
															BGl_string2587z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL_arg1344z00_801;

								{	/* Eval/evaluate.scm 204 */
									obj_t BgL_pairz00_2328;

									BgL_pairz00_2328 = BgL_ez00_25;
									BgL_arg1344z00_801 = CAR(CDR(BgL_pairz00_2328));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1344z00_801, BGl_string2588z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 209 */
			{	/* Eval/evaluate.scm 210 */
				obj_t BgL_vz00_803;

				BgL_vz00_803 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 210 */
					obj_t BgL_e2z00_804;

					BgL_e2z00_804 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 211 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_803,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 213 */
								BgL_ev_varz00_bglt BgL_i1079z00_806;

								BgL_i1079z00_806 = ((BgL_ev_varz00_bglt) BgL_vz00_803);
								{	/* Eval/evaluate.scm 214 */
									obj_t BgL_g1080z00_807;
									obj_t BgL_g1081z00_808;

									BgL_g1080z00_807 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1079z00_806))->
											BgL_typez00));
									BgL_g1081z00_808 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_810;
										obj_t BgL_klassz00_811;
										obj_t BgL_fieldsz00_812;

										BgL_nodez00_810 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_803));
										BgL_klassz00_811 = BgL_g1080z00_807;
										BgL_fieldsz00_812 = BgL_g1081z00_808;
									BgL_zc3anonymousza31347ze3z83_813:
										if (NULLP(BgL_fieldsz00_812))
											{	/* Eval/evaluate.scm 218 */
												return ((obj_t) BgL_nodez00_810);
											}
										else
											{	/* Eval/evaluate.scm 218 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_811))
													{	/* Eval/evaluate.scm 221 */
														obj_t BgL_fieldz00_816;

														BgL_fieldz00_816 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_811, CAR(BgL_fieldsz00_812));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_816))
															{	/* Eval/evaluate.scm 222 */
																if (NULLP(CDR(BgL_fieldsz00_812)))
																	{	/* Eval/evaluate.scm 223 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_816))
																			{	/* Eval/evaluate.scm 226 */
																				obj_t BgL_arg1353z00_820;

																				{	/* Eval/evaluate.scm 226 */
																					obj_t BgL_list1354z00_821;

																					{	/* Eval/evaluate.scm 226 */
																						obj_t BgL_arg1355z00_822;

																						BgL_arg1355z00_822 =
																							MAKE_PAIR(BgL_e2z00_804, BNIL);
																						BgL_list1354z00_821 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_810),
																							BgL_arg1355z00_822);
																					}
																					BgL_arg1353z00_820 =
																						BgL_list1354z00_821;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_816, BgL_arg1353z00_820,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 224 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_812),
																					BGl_string2589z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 230 */
																		BgL_ev_appz00_bglt BgL_nodez00_824;

																		BgL_nodez00_824 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_816, BgL_nodez00_810,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 233 */
																			obj_t BgL_arg1359z00_825;
																			obj_t BgL_arg1360z00_826;

																			BgL_arg1359z00_825 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_816);
																			BgL_arg1360z00_826 =
																				CDR(BgL_fieldsz00_812);
																			{
																				obj_t BgL_fieldsz00_4294;
																				obj_t BgL_klassz00_4293;
																				BgL_ev_exprz00_bglt BgL_nodez00_4291;

																				BgL_nodez00_4291 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_824);
																				BgL_klassz00_4293 = BgL_arg1359z00_825;
																				BgL_fieldsz00_4294 = BgL_arg1360z00_826;
																				BgL_fieldsz00_812 = BgL_fieldsz00_4294;
																				BgL_klassz00_811 = BgL_klassz00_4293;
																				BgL_nodez00_810 = BgL_nodez00_4291;
																				goto BgL_zc3anonymousza31347ze3z83_813;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 235 */
																obj_t BgL_arg1362z00_828;
																obj_t BgL_arg1366z00_829;

																BgL_arg1362z00_828 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1079z00_806))->BgL_typez00);
																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg1367z00_830;
																	obj_t BgL_arg1368z00_831;

																	BgL_arg1367z00_830 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1079z00_806))->BgL_typez00);
																	BgL_arg1368z00_831 = CAR(BgL_fieldsz00_812);
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_list1369z00_832;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg1370z00_833;

																			BgL_arg1370z00_833 =
																				MAKE_PAIR(BgL_arg1368z00_831, BNIL);
																			BgL_list1369z00_832 =
																				MAKE_PAIR(BgL_arg1367z00_830,
																				BgL_arg1370z00_833);
																		}
																		BgL_arg1366z00_829 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2586z00zz__evaluatez00,
																			BgL_list1369z00_832);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1362z00_828,
																	BgL_arg1366z00_829, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 240 */
														obj_t BgL_arg1372z00_835;

														{	/* Eval/evaluate.scm 240 */
															obj_t BgL__ortest_1082z00_836;

															BgL__ortest_1082z00_836 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1079z00_806))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_836))
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1372z00_835 = BgL__ortest_1082z00_836;
																}
															else
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1372z00_835 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1079z00_806))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1372z00_835,
															BGl_string2587z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2588z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 246 */
			{	/* Eval/evaluate.scm 247 */
				obj_t BgL_getz00_841;

				BgL_getz00_841 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 248 */
					BgL_ev_appz00_bglt BgL_new1084z00_842;

					{	/* Eval/evaluate.scm 248 */
						BgL_ev_appz00_bglt BgL_new1083z00_847;

						BgL_new1083z00_847 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 248 */
							long BgL_arg1378z00_848;

							{	/* Eval/evaluate.scm 248 */
								long BgL_res2330z00_2349;

								{	/* Eval/evaluate.scm 248 */
									obj_t BgL_classz00_2346;

									BgL_classz00_2346 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 248 */
										obj_t BgL_vectorz00_2347;
										int BgL_kz00_2348;

										BgL_vectorz00_2347 = BgL_classz00_2346;
										BgL_kz00_2348 = (int) (((long) 1));
										BgL_res2330z00_2349 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2347,
												BgL_kz00_2348));
								}}
								BgL_arg1378z00_848 = BgL_res2330z00_2349;
							}
							{	/* Eval/evaluate.scm 248 */
								BgL_objectz00_bglt BgL_objz00_2350;

								BgL_objz00_2350 = ((BgL_objectz00_bglt) BgL_new1083z00_847);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2350, BgL_arg1378z00_848);
						}}
						{	/* Eval/evaluate.scm 248 */
							BgL_objectz00_bglt BgL_auxz00_4318;

							BgL_auxz00_4318 = ((BgL_objectz00_bglt) BgL_new1083z00_847);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4318, BFALSE);
						}
						BgL_new1084z00_842 = BgL_new1083z00_847;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_842))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4322;

						{	/* Eval/evaluate.scm 250 */
							BgL_ev_littz00_bglt BgL_new1086z00_843;

							{	/* Eval/evaluate.scm 250 */
								BgL_ev_littz00_bglt BgL_new1085z00_844;

								BgL_new1085z00_844 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 250 */
									long BgL_arg1376z00_845;

									{	/* Eval/evaluate.scm 250 */
										long BgL_res2331z00_2355;

										{	/* Eval/evaluate.scm 250 */
											obj_t BgL_classz00_2352;

											BgL_classz00_2352 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 250 */
												obj_t BgL_vectorz00_2353;
												int BgL_kz00_2354;

												BgL_vectorz00_2353 = BgL_classz00_2352;
												BgL_kz00_2354 = (int) (((long) 1));
												BgL_res2331z00_2355 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2353,
														BgL_kz00_2354));
										}}
										BgL_arg1376z00_845 = BgL_res2331z00_2355;
									}
									{	/* Eval/evaluate.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2356;

										BgL_objz00_2356 = ((BgL_objectz00_bglt) BgL_new1085z00_844);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2356,
											BgL_arg1376z00_845);
								}}
								{	/* Eval/evaluate.scm 250 */
									BgL_objectz00_bglt BgL_auxz00_4329;

									BgL_auxz00_4329 = ((BgL_objectz00_bglt) BgL_new1085z00_844);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4329, BFALSE);
								}
								BgL_new1086z00_843 = BgL_new1085z00_844;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1086z00_843))->
									BgL_valuez00) = ((obj_t) BgL_getz00_841), BUNSPEC);
							BgL_auxz00_4322 = ((BgL_ev_exprz00_bglt) BgL_new1086z00_843);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_842))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4322), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4335;

						{	/* Eval/evaluate.scm 251 */
							obj_t BgL_list1377z00_846;

							BgL_list1377z00_846 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4335 = BgL_list1377z00_846;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_842))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4335), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_842))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1084z00_842;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 257 */
			{	/* Eval/evaluate.scm 258 */
				obj_t BgL_setz00_849;

				BgL_setz00_849 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 259 */
					BgL_ev_appz00_bglt BgL_new1088z00_850;

					{	/* Eval/evaluate.scm 259 */
						BgL_ev_appz00_bglt BgL_new1087z00_854;

						BgL_new1087z00_854 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 259 */
							long BgL_arg1380z00_855;

							{	/* Eval/evaluate.scm 259 */
								long BgL_res2333z00_2363;

								{	/* Eval/evaluate.scm 259 */
									obj_t BgL_classz00_2360;

									BgL_classz00_2360 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 259 */
										obj_t BgL_vectorz00_2361;
										int BgL_kz00_2362;

										BgL_vectorz00_2361 = BgL_classz00_2360;
										BgL_kz00_2362 = (int) (((long) 1));
										BgL_res2333z00_2363 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2361,
												BgL_kz00_2362));
								}}
								BgL_arg1380z00_855 = BgL_res2333z00_2363;
							}
							{	/* Eval/evaluate.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2364;

								BgL_objz00_2364 = ((BgL_objectz00_bglt) BgL_new1087z00_854);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2364, BgL_arg1380z00_855);
						}}
						{	/* Eval/evaluate.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_4347;

							BgL_auxz00_4347 = ((BgL_objectz00_bglt) BgL_new1087z00_854);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4347, BFALSE);
						}
						BgL_new1088z00_850 = BgL_new1087z00_854;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_850))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4351;

						{	/* Eval/evaluate.scm 261 */
							BgL_ev_littz00_bglt BgL_new1090z00_851;

							{	/* Eval/evaluate.scm 261 */
								BgL_ev_littz00_bglt BgL_new1089z00_852;

								BgL_new1089z00_852 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 261 */
									long BgL_arg1379z00_853;

									{	/* Eval/evaluate.scm 261 */
										long BgL_res2334z00_2369;

										{	/* Eval/evaluate.scm 261 */
											obj_t BgL_classz00_2366;

											BgL_classz00_2366 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 261 */
												obj_t BgL_vectorz00_2367;
												int BgL_kz00_2368;

												BgL_vectorz00_2367 = BgL_classz00_2366;
												BgL_kz00_2368 = (int) (((long) 1));
												BgL_res2334z00_2369 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2367,
														BgL_kz00_2368));
										}}
										BgL_arg1379z00_853 = BgL_res2334z00_2369;
									}
									{	/* Eval/evaluate.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2370;

										BgL_objz00_2370 = ((BgL_objectz00_bglt) BgL_new1089z00_852);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2370,
											BgL_arg1379z00_853);
								}}
								{	/* Eval/evaluate.scm 261 */
									BgL_objectz00_bglt BgL_auxz00_4358;

									BgL_auxz00_4358 = ((BgL_objectz00_bglt) BgL_new1089z00_852);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4358, BFALSE);
								}
								BgL_new1090z00_851 = BgL_new1089z00_852;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1090z00_851))->
									BgL_valuez00) = ((obj_t) BgL_setz00_849), BUNSPEC);
							BgL_auxz00_4351 = ((BgL_ev_exprz00_bglt) BgL_new1090z00_851);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_850))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4351), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_850))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_850))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1088z00_850;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 268 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_862;
				obj_t BgL_bahz00_864;
				obj_t BgL_lz00_869;
				obj_t BgL_funz00_871;
				obj_t BgL_argsz00_872;
				obj_t BgL_ez00_874;
				obj_t BgL_pz00_878;
				obj_t BgL_tz00_879;
				obj_t BgL_oz00_880;
				obj_t BgL_argsz00_882;
				obj_t BgL_argsz00_884;
				obj_t BgL_bindsz00_888;
				obj_t BgL_bodyz00_889;
				obj_t BgL_bindsz00_891;
				obj_t BgL_bodyz00_892;
				obj_t BgL_bindsz00_894;
				obj_t BgL_bodyz00_895;
				obj_t BgL_lz00_901;
				obj_t BgL_e2z00_902;
				obj_t BgL_vz00_904;
				obj_t BgL_ez00_905;
				obj_t BgL_gvz00_908;
				obj_t BgL_formalsz00_909;
				obj_t BgL_bodyz00_910;
				obj_t BgL_gvz00_912;
				obj_t BgL_gez00_913;
				obj_t BgL_vz00_915;
				obj_t BgL_bodyz00_916;
				obj_t BgL_ez00_918;
				obj_t BgL_bodyz00_919;
				obj_t BgL_hz00_921;
				obj_t BgL_bodyz00_922;
				obj_t BgL_fz00_927;
				obj_t BgL_argsz00_928;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 319 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2594z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 319 */
								BgL_bahz00_864 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 331 */
										obj_t BgL_arg1933z00_1560;

										{	/* Eval/evaluate.scm 331 */
											obj_t BgL_arg1934z00_1561;

											{	/* Eval/evaluate.scm 331 */
												obj_t BgL_arg1935z00_1562;

												{	/* Eval/evaluate.scm 331 */
													obj_t BgL__ortest_1066z00_2456;

													BgL__ortest_1066z00_2456 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_49);
													if (CBOOL(BgL__ortest_1066z00_2456))
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1935z00_1562 = BgL__ortest_1066z00_2456;
														}
													else
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1935z00_1562 = BgL_locz00_54;
														}
												}
												BgL_arg1934z00_1561 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
													BgL_arg1935z00_1562);
											}
											BgL_arg1933z00_1560 =
												BGl_expandz00zz__expandz00(BgL_arg1934z00_1561);
										}
										{
											bool_t BgL_topzf3zf3_4380;
											obj_t BgL_wherez00_4379;
											obj_t BgL_tailzf3zf3_4378;
											obj_t BgL_ez00_4377;

											BgL_ez00_4377 = BgL_arg1933z00_1560;
											BgL_tailzf3zf3_4378 = BgL_wherez00_53;
											BgL_wherez00_4379 = BFALSE;
											BgL_topzf3zf3_4380 = ((bool_t) 1);
											BgL_topzf3zf3_55 = BgL_topzf3zf3_4380;
											BgL_wherez00_53 = BgL_wherez00_4379;
											BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4378;
											BgL_ez00_49 = BgL_ez00_4377;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 330 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2584z00zz__evaluatez00,
											BGl_string2593z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 319 */
								obj_t BgL_cdrzd2225zd2_935;

								BgL_cdrzd2225zd2_935 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2596z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 319 */
										if (PAIRP(BgL_cdrzd2225zd2_935))
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd2228zd2_938;
												obj_t BgL_cdrzd2229zd2_939;

												BgL_carzd2228zd2_938 = CAR(BgL_cdrzd2225zd2_935);
												BgL_cdrzd2229zd2_939 = CDR(BgL_cdrzd2225zd2_935);
												if (SYMBOLP(BgL_carzd2228zd2_938))
													{	/* Eval/evaluate.scm 319 */
														if (PAIRP(BgL_cdrzd2229zd2_939))
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd2233zd2_942;

																BgL_carzd2233zd2_942 =
																	CAR(BgL_cdrzd2229zd2_939);
																if (SYMBOLP(BgL_carzd2233zd2_942))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2229zd2_939)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_idz00_2999;
																				obj_t BgL_modnamez00_3000;

																				BgL_idz00_2999 = BgL_carzd2228zd2_938;
																				BgL_modnamez00_3000 =
																					BgL_carzd2233zd2_942;
																				{	/* Eval/evaluate.scm 319 */
																					BgL_ev_globalz00_bglt
																						BgL_new1102z00_3001;
																					{	/* Eval/evaluate.scm 319 */
																						BgL_ev_globalz00_bglt
																							BgL_new1101z00_3002;
																						BgL_new1101z00_3002 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 319 */
																							long BgL_arg1936z00_3003;

																							{	/* Eval/evaluate.scm 319 */
																								long BgL_res2418z00_3007;

																								{	/* Eval/evaluate.scm 319 */
																									obj_t BgL_classz00_3004;

																									BgL_classz00_3004 =
																										BGl_ev_globalz00zz__evaluate_typesz00;
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_vectorz00_3005;
																										int BgL_kz00_3006;

																										BgL_vectorz00_3005 =
																											BgL_classz00_3004;
																										BgL_kz00_3006 =
																											(int) (((long) 1));
																										BgL_res2418z00_3007 =
																											(long)
																											CINT(VECTOR_REF
																											(BgL_vectorz00_3005,
																												BgL_kz00_3006));
																								}}
																								BgL_arg1936z00_3003 =
																									BgL_res2418z00_3007;
																							}
																							{	/* Eval/evaluate.scm 319 */
																								BgL_objectz00_bglt
																									BgL_objz00_3008;
																								BgL_objz00_3008 =
																									((BgL_objectz00_bglt)
																									BgL_new1101z00_3002);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_3008,
																									BgL_arg1936z00_3003);
																						}}
																						{	/* Eval/evaluate.scm 319 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4407;
																							BgL_auxz00_4407 =
																								((BgL_objectz00_bglt)
																								BgL_new1101z00_3002);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4407, BFALSE);
																						}
																						BgL_new1102z00_3001 =
																							BgL_new1101z00_3002;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_3001))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_3001))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_2999), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_3001))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_3000)), BUNSPEC);
																					return ((obj_t) BgL_new1102z00_3001);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_carzd2276zd2_945;

																				BgL_carzd2276zd2_945 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2276zd2_945))
																					{	/* Eval/evaluate.scm 319 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2276zd2_945,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4421;
																								BgL_funz00_871 =
																									BgL_carzd2276zd2_945;
																								BgL_argsz00_872 =
																									BgL_cdrzd2225zd2_935;
																							BgL_tagzd2134zd2_873:
																								{	/* Eval/evaluate.scm 346 */
																									obj_t BgL_funz00_1578;
																									obj_t BgL_argsz00_1579;

																									{	/* Eval/evaluate.scm 346 */
																										obj_t BgL_arg2059z00_2478;

																										{	/* Eval/evaluate.scm 346 */
																											obj_t
																												BgL__ortest_1066z00_2481;
																											BgL__ortest_1066z00_2481 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_871);
																											if (CBOOL
																												(BgL__ortest_1066z00_2481))
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2059z00_2478 =
																														BgL__ortest_1066z00_2481;
																												}
																											else
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2059z00_2478 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1578 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_871,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2059z00_2478,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1579 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_872);
																									{	/* Eval/evaluate.scm 347 */
																										BgL_ev_appz00_bglt
																											BgL_new1105z00_1580;
																										{	/* Eval/evaluate.scm 347 */
																											BgL_ev_appz00_bglt
																												BgL_new1103z00_1581;
																											BgL_new1103z00_1581 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 347 */
																												long
																													BgL_arg1946z00_1582;
																												{	/* Eval/evaluate.scm 347 */
																													long
																														BgL_res2356z00_2487;
																													{	/* Eval/evaluate.scm 347 */
																														obj_t
																															BgL_classz00_2484;
																														BgL_classz00_2484 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 347 */
																															obj_t
																																BgL_vectorz00_2485;
																															int BgL_kz00_2486;

																															BgL_vectorz00_2485
																																=
																																BgL_classz00_2484;
																															BgL_kz00_2486 =
																																(int) (((long)
																																	1));
																															BgL_res2356z00_2487
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2485,
																																	BgL_kz00_2486));
																													}}
																													BgL_arg1946z00_1582 =
																														BgL_res2356z00_2487;
																												}
																												{	/* Eval/evaluate.scm 347 */
																													BgL_objectz00_bglt
																														BgL_objz00_2488;
																													BgL_objz00_2488 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1103z00_1581);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2488,
																														BgL_arg1946z00_1582);
																											}}
																											{	/* Eval/evaluate.scm 347 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4433;
																												BgL_auxz00_4433 =
																													((BgL_objectz00_bglt)
																													BgL_new1103z00_1581);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4433,
																													BFALSE);
																											}
																											BgL_new1105z00_1580 =
																												BgL_new1103z00_1581;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1580))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1580))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1578)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1580))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1579),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1580))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4421 =
																											BgL_new1105z00_1580;
																								}}
																								return
																									((obj_t) BgL_auxz00_4421);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4442;
																								BgL_fz00_927 =
																									BgL_carzd2276zd2_945;
																								BgL_argsz00_928 =
																									BgL_cdrzd2225zd2_935;
																							BgL_tagzd2154zd2_929:
																								{	/* Eval/evaluate.scm 465 */
																									obj_t BgL_funz00_1778;
																									obj_t BgL_argsz00_1779;

																									{	/* Eval/evaluate.scm 465 */
																										obj_t BgL_arg2059z00_2967;

																										{	/* Eval/evaluate.scm 465 */
																											obj_t
																												BgL__ortest_1066z00_2970;
																											BgL__ortest_1066z00_2970 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_927);
																											if (CBOOL
																												(BgL__ortest_1066z00_2970))
																												{	/* Eval/evaluate.scm 465 */
																													BgL_arg2059z00_2967 =
																														BgL__ortest_1066z00_2970;
																												}
																											else
																												{	/* Eval/evaluate.scm 465 */
																													BgL_arg2059z00_2967 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1778 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_927,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2059z00_2967,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1779 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_928);
																									{	/* Eval/evaluate.scm 466 */
																										BgL_ev_appz00_bglt
																											BgL_new1149z00_1780;
																										{	/* Eval/evaluate.scm 466 */
																											BgL_ev_appz00_bglt
																												BgL_new1148z00_1781;
																											BgL_new1148z00_1781 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 466 */
																												long
																													BgL_arg2053z00_1782;
																												{	/* Eval/evaluate.scm 466 */
																													long
																														BgL_res2411z00_2976;
																													{	/* Eval/evaluate.scm 466 */
																														obj_t
																															BgL_classz00_2973;
																														BgL_classz00_2973 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 466 */
																															obj_t
																																BgL_vectorz00_2974;
																															int BgL_kz00_2975;

																															BgL_vectorz00_2974
																																=
																																BgL_classz00_2973;
																															BgL_kz00_2975 =
																																(int) (((long)
																																	1));
																															BgL_res2411z00_2976
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2974,
																																	BgL_kz00_2975));
																													}}
																													BgL_arg2053z00_1782 =
																														BgL_res2411z00_2976;
																												}
																												{	/* Eval/evaluate.scm 466 */
																													BgL_objectz00_bglt
																														BgL_objz00_2977;
																													BgL_objz00_2977 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1148z00_1781);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2977,
																														BgL_arg2053z00_1782);
																											}}
																											{	/* Eval/evaluate.scm 466 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4454;
																												BgL_auxz00_4454 =
																													((BgL_objectz00_bglt)
																													BgL_new1148z00_1781);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4454,
																													BFALSE);
																											}
																											BgL_new1149z00_1780 =
																												BgL_new1148z00_1781;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1780))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1780))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1778)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1780))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1779),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1780))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4442 =
																											BgL_new1149z00_1780;
																								}}
																								return
																									((obj_t) BgL_auxz00_4442);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4463;

																						{
																							obj_t BgL_argsz00_4465;
																							obj_t BgL_fz00_4464;

																							BgL_fz00_4464 =
																								BgL_carzd2276zd2_945;
																							BgL_argsz00_4465 =
																								BgL_cdrzd2225zd2_935;
																							BgL_argsz00_928 =
																								BgL_argsz00_4465;
																							BgL_fz00_927 = BgL_fz00_4464;
																							goto BgL_tagzd2154zd2_929;
																						}
																						return ((obj_t) BgL_auxz00_4463);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_carzd2841zd2_955;

																		BgL_carzd2841zd2_955 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2841zd2_955))
																			{	/* Eval/evaluate.scm 319 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2841zd2_955,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4473;

																						{
																							obj_t BgL_argsz00_4475;
																							obj_t BgL_funz00_4474;

																							BgL_funz00_4474 =
																								BgL_carzd2841zd2_955;
																							BgL_argsz00_4475 =
																								BgL_cdrzd2225zd2_935;
																							BgL_argsz00_872 =
																								BgL_argsz00_4475;
																							BgL_funz00_871 = BgL_funz00_4474;
																							goto BgL_tagzd2134zd2_873;
																						}
																						return ((obj_t) BgL_auxz00_4473);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4477;

																						{
																							obj_t BgL_argsz00_4479;
																							obj_t BgL_fz00_4478;

																							BgL_fz00_4478 =
																								BgL_carzd2841zd2_955;
																							BgL_argsz00_4479 =
																								BgL_cdrzd2225zd2_935;
																							BgL_argsz00_928 =
																								BgL_argsz00_4479;
																							BgL_fz00_927 = BgL_fz00_4478;
																							goto BgL_tagzd2154zd2_929;
																						}
																						return ((obj_t) BgL_auxz00_4477);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4481;

																				{
																					obj_t BgL_argsz00_4483;
																					obj_t BgL_fz00_4482;

																					BgL_fz00_4482 = BgL_carzd2841zd2_955;
																					BgL_argsz00_4483 =
																						BgL_cdrzd2225zd2_935;
																					BgL_argsz00_928 = BgL_argsz00_4483;
																					BgL_fz00_927 = BgL_fz00_4482;
																					goto BgL_tagzd2154zd2_929;
																				}
																				return ((obj_t) BgL_auxz00_4481);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd21406zd2_964;

																BgL_carzd21406zd2_964 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21406zd2_964))
																	{	/* Eval/evaluate.scm 319 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21406zd2_964,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4491;

																				{
																					obj_t BgL_argsz00_4493;
																					obj_t BgL_funz00_4492;

																					BgL_funz00_4492 =
																						BgL_carzd21406zd2_964;
																					BgL_argsz00_4493 =
																						BgL_cdrzd2225zd2_935;
																					BgL_argsz00_872 = BgL_argsz00_4493;
																					BgL_funz00_871 = BgL_funz00_4492;
																					goto BgL_tagzd2134zd2_873;
																				}
																				return ((obj_t) BgL_auxz00_4491);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4495;

																				{
																					obj_t BgL_argsz00_4497;
																					obj_t BgL_fz00_4496;

																					BgL_fz00_4496 = BgL_carzd21406zd2_964;
																					BgL_argsz00_4497 =
																						BgL_cdrzd2225zd2_935;
																					BgL_argsz00_928 = BgL_argsz00_4497;
																					BgL_fz00_927 = BgL_fz00_4496;
																					goto BgL_tagzd2154zd2_929;
																				}
																				return ((obj_t) BgL_auxz00_4495);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4499;

																		{
																			obj_t BgL_argsz00_4501;
																			obj_t BgL_fz00_4500;

																			BgL_fz00_4500 = BgL_carzd21406zd2_964;
																			BgL_argsz00_4501 = BgL_cdrzd2225zd2_935;
																			BgL_argsz00_928 = BgL_argsz00_4501;
																			BgL_fz00_927 = BgL_fz00_4500;
																			goto BgL_tagzd2154zd2_929;
																		}
																		return ((obj_t) BgL_auxz00_4499);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														obj_t BgL_carzd21971zd2_973;

														BgL_carzd21971zd2_973 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd21971zd2_973))
															{	/* Eval/evaluate.scm 319 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd21971zd2_973, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4509;

																		{
																			obj_t BgL_argsz00_4511;
																			obj_t BgL_funz00_4510;

																			BgL_funz00_4510 = BgL_carzd21971zd2_973;
																			BgL_argsz00_4511 = BgL_cdrzd2225zd2_935;
																			BgL_argsz00_872 = BgL_argsz00_4511;
																			BgL_funz00_871 = BgL_funz00_4510;
																			goto BgL_tagzd2134zd2_873;
																		}
																		return ((obj_t) BgL_auxz00_4509);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4513;

																		{
																			obj_t BgL_argsz00_4515;
																			obj_t BgL_fz00_4514;

																			BgL_fz00_4514 = BgL_carzd21971zd2_973;
																			BgL_argsz00_4515 = BgL_cdrzd2225zd2_935;
																			BgL_argsz00_928 = BgL_argsz00_4515;
																			BgL_fz00_927 = BgL_fz00_4514;
																			goto BgL_tagzd2154zd2_929;
																		}
																		return ((obj_t) BgL_auxz00_4513);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4517;

																{
																	obj_t BgL_argsz00_4519;
																	obj_t BgL_fz00_4518;

																	BgL_fz00_4518 = BgL_carzd21971zd2_973;
																	BgL_argsz00_4519 = BgL_cdrzd2225zd2_935;
																	BgL_argsz00_928 = BgL_argsz00_4519;
																	BgL_fz00_927 = BgL_fz00_4518;
																	goto BgL_tagzd2154zd2_929;
																}
																return ((obj_t) BgL_auxz00_4517);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd22536zd2_982;

												BgL_carzd22536zd2_982 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd22536zd2_982))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd22536zd2_982, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4527;

																{
																	obj_t BgL_argsz00_4529;
																	obj_t BgL_funz00_4528;

																	BgL_funz00_4528 = BgL_carzd22536zd2_982;
																	BgL_argsz00_4529 = BgL_cdrzd2225zd2_935;
																	BgL_argsz00_872 = BgL_argsz00_4529;
																	BgL_funz00_871 = BgL_funz00_4528;
																	goto BgL_tagzd2134zd2_873;
																}
																return ((obj_t) BgL_auxz00_4527);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4531;

																{
																	obj_t BgL_argsz00_4533;
																	obj_t BgL_fz00_4532;

																	BgL_fz00_4532 = BgL_carzd22536zd2_982;
																	BgL_argsz00_4533 = BgL_cdrzd2225zd2_935;
																	BgL_argsz00_928 = BgL_argsz00_4533;
																	BgL_fz00_927 = BgL_fz00_4532;
																	goto BgL_tagzd2154zd2_929;
																}
																return ((obj_t) BgL_auxz00_4531);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4535;

														{
															obj_t BgL_argsz00_4537;
															obj_t BgL_fz00_4536;

															BgL_fz00_4536 = BgL_carzd22536zd2_982;
															BgL_argsz00_4537 = BgL_cdrzd2225zd2_935;
															BgL_argsz00_928 = BgL_argsz00_4537;
															BgL_fz00_927 = BgL_fz00_4536;
															goto BgL_tagzd2154zd2_929;
														}
														return ((obj_t) BgL_auxz00_4535);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 319 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2598z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 319 */
												BgL_lz00_869 = BgL_cdrzd2225zd2_935;
												{	/* Eval/evaluate.scm 339 */
													bool_t BgL_testz00_4542;

													if (PAIRP(BgL_lz00_869))
														{	/* Eval/evaluate.scm 339 */
															bool_t BgL_testz00_4545;

															{	/* Eval/evaluate.scm 339 */
																obj_t BgL_auxz00_4546;

																BgL_auxz00_4546 = CDR(BgL_lz00_869);
																BgL_testz00_4545 = PAIRP(BgL_auxz00_4546);
															}
															if (BgL_testz00_4545)
																{
																	obj_t BgL_l1181z00_1570;

																	BgL_l1181z00_1570 = BgL_lz00_869;
																BgL_zc3anonymousza31940ze3z83_1571:
																	if (NULLP(BgL_l1181z00_1570))
																		{	/* Eval/evaluate.scm 339 */
																			BgL_testz00_4542 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 339 */
																			bool_t BgL_testz00_4551;

																			{	/* Eval/evaluate.scm 339 */
																				obj_t BgL_auxz00_4552;

																				BgL_auxz00_4552 =
																					CAR(BgL_l1181z00_1570);
																				BgL_testz00_4551 =
																					SYMBOLP(BgL_auxz00_4552);
																			}
																			if (BgL_testz00_4551)
																				{
																					obj_t BgL_l1181z00_4555;

																					BgL_l1181z00_4555 =
																						CDR(BgL_l1181z00_1570);
																					BgL_l1181z00_1570 = BgL_l1181z00_4555;
																					goto
																						BgL_zc3anonymousza31940ze3z83_1571;
																				}
																			else
																				{	/* Eval/evaluate.scm 339 */
																					BgL_testz00_4542 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 339 */
																	BgL_testz00_4542 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 339 */
															BgL_testz00_4542 = ((bool_t) 0);
														}
													if (BgL_testz00_4542)
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2584z00zz__evaluatez00,
																BGl_string2590z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23104zd2_993;

												BgL_carzd23104zd2_993 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23104zd2_993))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23104zd2_993, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4565;

																{
																	obj_t BgL_argsz00_4567;
																	obj_t BgL_funz00_4566;

																	BgL_funz00_4566 = BgL_carzd23104zd2_993;
																	BgL_argsz00_4567 = BgL_cdrzd2225zd2_935;
																	BgL_argsz00_872 = BgL_argsz00_4567;
																	BgL_funz00_871 = BgL_funz00_4566;
																	goto BgL_tagzd2134zd2_873;
																}
																return ((obj_t) BgL_auxz00_4565);
															}
														else
															{	/* Eval/evaluate.scm 319 */
																if (
																	(BgL_carzd23104zd2_993 ==
																		BGl_symbol2600z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd2225zd2_935))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd2225zd2_935)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1434z00_1001;

																						BgL_arg1434z00_1001 =
																							CAR(BgL_cdrzd2225zd2_935);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4577;
																							BgL_ez00_874 =
																								BgL_arg1434z00_1001;
																						BgL_tagzd2135zd2_875:
																							{	/* Eval/evaluate.scm 353 */
																								BgL_ev_trapz00_bglt
																									BgL_new1107z00_1583;
																								{	/* Eval/evaluate.scm 353 */
																									BgL_ev_trapz00_bglt
																										BgL_new1106z00_1584;
																									BgL_new1106z00_1584 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 353 */
																										long BgL_arg1947z00_1585;

																										{	/* Eval/evaluate.scm 353 */
																											long BgL_res2357z00_2493;

																											{	/* Eval/evaluate.scm 353 */
																												obj_t BgL_classz00_2490;

																												BgL_classz00_2490 =
																													BGl_ev_trapz00zz__evaluate_typesz00;
																												{	/* Eval/evaluate.scm 353 */
																													obj_t
																														BgL_vectorz00_2491;
																													int BgL_kz00_2492;

																													BgL_vectorz00_2491 =
																														BgL_classz00_2490;
																													BgL_kz00_2492 =
																														(int) (((long) 1));
																													BgL_res2357z00_2493 =
																														(long)
																														CINT(VECTOR_REF
																														(BgL_vectorz00_2491,
																															BgL_kz00_2492));
																											}}
																											BgL_arg1947z00_1585 =
																												BgL_res2357z00_2493;
																										}
																										{	/* Eval/evaluate.scm 353 */
																											BgL_objectz00_bglt
																												BgL_objz00_2494;
																											BgL_objz00_2494 =
																												((BgL_objectz00_bglt)
																												BgL_new1106z00_1584);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2494,
																												BgL_arg1947z00_1585);
																									}}
																									{	/* Eval/evaluate.scm 353 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4584;
																										BgL_auxz00_4584 =
																											((BgL_objectz00_bglt)
																											BgL_new1106z00_1584);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4584, BFALSE);
																									}
																									BgL_new1107z00_1583 =
																										BgL_new1106z00_1584;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4587;
																									{	/* Eval/evaluate.scm 354 */
																										obj_t BgL_arg2059z00_2497;

																										{	/* Eval/evaluate.scm 354 */
																											obj_t
																												BgL__ortest_1066z00_2500;
																											BgL__ortest_1066z00_2500 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_874);
																											if (CBOOL
																												(BgL__ortest_1066z00_2500))
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2059z00_2497 =
																														BgL__ortest_1066z00_2500;
																												}
																											else
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2059z00_2497 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4587 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_874,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2059z00_2497,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1107z00_1583)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4587),
																										BUNSPEC);
																								}
																								BgL_auxz00_4577 =
																									BgL_new1107z00_1583;
																							}
																							return ((obj_t) BgL_auxz00_4577);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1435z00_1002;
																						obj_t BgL_arg1436z00_1003;

																						BgL_arg1435z00_1002 =
																							CAR(BgL_ez00_49);
																						BgL_arg1436z00_1003 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4598;
																							{
																								obj_t BgL_argsz00_4600;
																								obj_t BgL_fz00_4599;

																								BgL_fz00_4599 =
																									BgL_arg1435z00_1002;
																								BgL_argsz00_4600 =
																									BgL_arg1436z00_1003;
																								BgL_argsz00_928 =
																									BgL_argsz00_4600;
																								BgL_fz00_927 = BgL_fz00_4599;
																								goto BgL_tagzd2154zd2_929;
																							}
																							return ((obj_t) BgL_auxz00_4598);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1438z00_1005;
																				obj_t BgL_arg1439z00_1006;

																				BgL_arg1438z00_1005 = CAR(BgL_ez00_49);
																				BgL_arg1439z00_1006 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4604;

																					{
																						obj_t BgL_argsz00_4606;
																						obj_t BgL_fz00_4605;

																						BgL_fz00_4605 = BgL_arg1438z00_1005;
																						BgL_argsz00_4606 =
																							BgL_arg1439z00_1006;
																						BgL_argsz00_928 = BgL_argsz00_4606;
																						BgL_fz00_927 = BgL_fz00_4605;
																						goto BgL_tagzd2154zd2_929;
																					}
																					return ((obj_t) BgL_auxz00_4604);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_cdrzd23637zd2_1007;

																		BgL_cdrzd23637zd2_1007 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2602z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd23637zd2_1007))
																					{	/* Eval/evaluate.scm 319 */
																						if (NULLP(CDR
																								(BgL_cdrzd23637zd2_1007)))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1444z00_1011;

																								BgL_arg1444z00_1011 =
																									CAR(BgL_cdrzd23637zd2_1007);
																								{	/* Eval/evaluate.scm 319 */
																									BgL_ev_littz00_bglt
																										BgL_new1109z00_3077;
																									{	/* Eval/evaluate.scm 319 */
																										BgL_ev_littz00_bglt
																											BgL_new1108z00_3078;
																										BgL_new1108z00_3078 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 319 */
																											long BgL_arg1948z00_3079;

																											{	/* Eval/evaluate.scm 319 */
																												long
																													BgL_res2429z00_3083;
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_classz00_3080;
																													BgL_classz00_3080 =
																														BGl_ev_littz00zz__evaluate_typesz00;
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_vectorz00_3081;
																														int BgL_kz00_3082;

																														BgL_vectorz00_3081 =
																															BgL_classz00_3080;
																														BgL_kz00_3082 =
																															(int) (((long)
																																1));
																														BgL_res2429z00_3083
																															=
																															(long)
																															CINT(VECTOR_REF
																															(BgL_vectorz00_3081,
																																BgL_kz00_3082));
																												}}
																												BgL_arg1948z00_3079 =
																													BgL_res2429z00_3083;
																											}
																											{	/* Eval/evaluate.scm 319 */
																												BgL_objectz00_bglt
																													BgL_objz00_3084;
																												BgL_objz00_3084 =
																													((BgL_objectz00_bglt)
																													BgL_new1108z00_3078);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3084,
																													BgL_arg1948z00_3079);
																										}}
																										{	/* Eval/evaluate.scm 319 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4624;
																											BgL_auxz00_4624 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_3078);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4624,
																												BFALSE);
																										}
																										BgL_new1109z00_3077 =
																											BgL_new1108z00_3078;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1109z00_3077))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1444z00_1011),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1109z00_3077);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1447z00_1012;

																								BgL_arg1447z00_1012 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4630;
																									{
																										obj_t BgL_argsz00_4632;
																										obj_t BgL_fz00_4631;

																										BgL_fz00_4631 =
																											BgL_arg1447z00_1012;
																										BgL_argsz00_4632 =
																											BgL_cdrzd23637zd2_1007;
																										BgL_argsz00_928 =
																											BgL_argsz00_4632;
																										BgL_fz00_927 =
																											BgL_fz00_4631;
																										goto BgL_tagzd2154zd2_929;
																									}
																									return
																										((obj_t) BgL_auxz00_4630);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1456z00_1015;

																						BgL_arg1456z00_1015 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4635;
																							{
																								obj_t BgL_argsz00_4637;
																								obj_t BgL_fz00_4636;

																								BgL_fz00_4636 =
																									BgL_arg1456z00_1015;
																								BgL_argsz00_4637 =
																									BgL_cdrzd23637zd2_1007;
																								BgL_argsz00_928 =
																									BgL_argsz00_4637;
																								BgL_fz00_927 = BgL_fz00_4636;
																								goto BgL_tagzd2154zd2_929;
																							}
																							return ((obj_t) BgL_auxz00_4635);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2604z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						if (PAIRP(BgL_cdrzd23637zd2_1007))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd24114zd2_1020;

																								BgL_cdrzd24114zd2_1020 =
																									CDR(BgL_cdrzd23637zd2_1007);
																								if (PAIRP
																									(BgL_cdrzd24114zd2_1020))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd24119zd2_1022;
																										BgL_cdrzd24119zd2_1022 =
																											CDR
																											(BgL_cdrzd24114zd2_1020);
																										if (PAIRP
																											(BgL_cdrzd24119zd2_1022))
																											{	/* Eval/evaluate.scm 319 */
																												if (NULLP(CDR
																														(BgL_cdrzd24119zd2_1022)))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1463z00_1025;
																														obj_t
																															BgL_arg1464z00_1026;
																														obj_t
																															BgL_arg1465z00_1027;
																														BgL_arg1463z00_1025
																															=
																															CAR
																															(BgL_cdrzd23637zd2_1007);
																														BgL_arg1464z00_1026
																															=
																															CAR
																															(BgL_cdrzd24114zd2_1020);
																														BgL_arg1465z00_1027
																															=
																															CAR
																															(BgL_cdrzd24119zd2_1022);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4656;
																															BgL_pz00_878 =
																																BgL_arg1463z00_1025;
																															BgL_tz00_879 =
																																BgL_arg1464z00_1026;
																															BgL_oz00_880 =
																																BgL_arg1465z00_1027;
																														BgL_tagzd2137zd2_881:
																															{	/* Eval/evaluate.scm 359 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1111z00_1589;
																																{	/* Eval/evaluate.scm 359 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1110z00_1596;
																																	BgL_new1110z00_1596
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 359 */
																																		long
																																			BgL_arg1955z00_1597;
																																		{	/* Eval/evaluate.scm 359 */
																																			long
																																				BgL_res2359z00_2515;
																																			{	/* Eval/evaluate.scm 359 */
																																				obj_t
																																					BgL_classz00_2512;
																																				BgL_classz00_2512
																																					=
																																					BGl_ev_ifz00zz__evaluate_typesz00;
																																				{	/* Eval/evaluate.scm 359 */
																																					obj_t
																																						BgL_vectorz00_2513;
																																					int
																																						BgL_kz00_2514;
																																					BgL_vectorz00_2513
																																						=
																																						BgL_classz00_2512;
																																					BgL_kz00_2514
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2359z00_2515
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_2513,
																																							BgL_kz00_2514));
																																			}}
																																			BgL_arg1955z00_1597
																																				=
																																				BgL_res2359z00_2515;
																																		}
																																		{	/* Eval/evaluate.scm 359 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2516;
																																			BgL_objz00_2516
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1110z00_1596);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2516,
																																				BgL_arg1955z00_1597);
																																	}}
																																	{	/* Eval/evaluate.scm 359 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4663;
																																		BgL_auxz00_4663
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1110z00_1596);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4663,
																																			BFALSE);
																																	}
																																	BgL_new1111z00_1589
																																		=
																																		BgL_new1110z00_1596;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4666;
																																	{	/* Eval/evaluate.scm 360 */
																																		obj_t
																																			BgL_arg1949z00_1590;
																																		{	/* Eval/evaluate.scm 360 */
																																			obj_t
																																				BgL_arg1950z00_1591;
																																			{	/* Eval/evaluate.scm 360 */
																																				obj_t
																																					BgL_pairz00_2518;
																																				BgL_pairz00_2518
																																					=
																																					BgL_ez00_49;
																																				BgL_arg1950z00_1591
																																					=
																																					CDR
																																					(BgL_pairz00_2518);
																																			}
																																			{	/* Eval/evaluate.scm 360 */
																																				obj_t
																																					BgL__ortest_1066z00_2521;
																																				BgL__ortest_1066z00_2521
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1950z00_1591);
																																				if (CBOOL(BgL__ortest_1066z00_2521))
																																					{	/* Eval/evaluate.scm 360 */
																																						BgL_arg1949z00_1590
																																							=
																																							BgL__ortest_1066z00_2521;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 360 */
																																						BgL_arg1949z00_1590
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4666
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_878,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1949z00_1590,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1589))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4666), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4674;
																																	{	/* Eval/evaluate.scm 361 */
																																		obj_t
																																			BgL_arg1951z00_1592;
																																		{	/* Eval/evaluate.scm 361 */
																																			obj_t
																																				BgL_arg1952z00_1593;
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL_pairz00_2524;
																																				BgL_pairz00_2524
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 361 */
																																					obj_t
																																						BgL_pairz00_2527;
																																					BgL_pairz00_2527
																																						=
																																						CDR
																																						(BgL_pairz00_2524);
																																					BgL_arg1952z00_1593
																																						=
																																						CDR
																																						(BgL_pairz00_2527);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL__ortest_1066z00_2530;
																																				BgL__ortest_1066z00_2530
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1952z00_1593);
																																				if (CBOOL(BgL__ortest_1066z00_2530))
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1951z00_1592
																																							=
																																							BgL__ortest_1066z00_2530;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1951z00_1592
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4674
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_879,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1951z00_1592,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1589))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4674), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4683;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1953z00_1594;
																																		{	/* Eval/evaluate.scm 362 */
																																			obj_t
																																				BgL_arg1954z00_1595;
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL_pairz00_2533;
																																				BgL_pairz00_2533
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 362 */
																																					obj_t
																																						BgL_pairz00_2538;
																																					{	/* Eval/evaluate.scm 362 */
																																						obj_t
																																							BgL_pairz00_2537;
																																						BgL_pairz00_2537
																																							=
																																							CDR
																																							(BgL_pairz00_2533);
																																						BgL_pairz00_2538
																																							=
																																							CDR
																																							(BgL_pairz00_2537);
																																					}
																																					BgL_arg1954z00_1595
																																						=
																																						CDR
																																						(BgL_pairz00_2538);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL__ortest_1066z00_2541;
																																				BgL__ortest_1066z00_2541
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1954z00_1595);
																																				if (CBOOL(BgL__ortest_1066z00_2541))
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1953z00_1594
																																							=
																																							BgL__ortest_1066z00_2541;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1953z00_1594
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4683
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_880,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1953z00_1594,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1589))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4683), BUNSPEC);
																																}
																																BgL_auxz00_4656
																																	=
																																	BgL_new1111z00_1589;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4656);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1466z00_1028;
																														obj_t
																															BgL_arg1468z00_1029;
																														BgL_arg1466z00_1028
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1468z00_1029
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4696;
																															{
																																obj_t
																																	BgL_argsz00_4698;
																																obj_t
																																	BgL_fz00_4697;
																																BgL_fz00_4697 =
																																	BgL_arg1466z00_1028;
																																BgL_argsz00_4698
																																	=
																																	BgL_arg1468z00_1029;
																																BgL_argsz00_928
																																	=
																																	BgL_argsz00_4698;
																																BgL_fz00_927 =
																																	BgL_fz00_4697;
																																goto
																																	BgL_tagzd2154zd2_929;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4696);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1471z00_1031;
																												obj_t
																													BgL_arg1472z00_1032;
																												BgL_arg1471z00_1031 =
																													CAR(BgL_ez00_49);
																												BgL_arg1472z00_1032 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_4702;
																													{
																														obj_t
																															BgL_argsz00_4704;
																														obj_t BgL_fz00_4703;

																														BgL_fz00_4703 =
																															BgL_arg1471z00_1031;
																														BgL_argsz00_4704 =
																															BgL_arg1472z00_1032;
																														BgL_argsz00_928 =
																															BgL_argsz00_4704;
																														BgL_fz00_927 =
																															BgL_fz00_4703;
																														goto
																															BgL_tagzd2154zd2_929;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_4702);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1474z00_1033;
																										obj_t BgL_arg1475z00_1034;

																										BgL_arg1474z00_1033 =
																											CAR(BgL_ez00_49);
																										BgL_arg1475z00_1034 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4708;
																											{
																												obj_t BgL_argsz00_4710;
																												obj_t BgL_fz00_4709;

																												BgL_fz00_4709 =
																													BgL_arg1474z00_1033;
																												BgL_argsz00_4710 =
																													BgL_arg1475z00_1034;
																												BgL_argsz00_928 =
																													BgL_argsz00_4710;
																												BgL_fz00_927 =
																													BgL_fz00_4709;
																												goto
																													BgL_tagzd2154zd2_929;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4708);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1476z00_1035;
																								obj_t BgL_arg1477z00_1036;

																								BgL_arg1476z00_1035 =
																									CAR(BgL_ez00_49);
																								BgL_arg1477z00_1036 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4714;
																									{
																										obj_t BgL_argsz00_4716;
																										obj_t BgL_fz00_4715;

																										BgL_fz00_4715 =
																											BgL_arg1476z00_1035;
																										BgL_argsz00_4716 =
																											BgL_arg1477z00_1036;
																										BgL_argsz00_928 =
																											BgL_argsz00_4716;
																										BgL_fz00_927 =
																											BgL_fz00_4715;
																										goto BgL_tagzd2154zd2_929;
																									}
																									return
																										((obj_t) BgL_auxz00_4714);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2606z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1479z00_1038;

																								BgL_arg1479z00_1038 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4722;
																									BgL_argsz00_882 =
																										BgL_arg1479z00_1038;
																								BgL_tagzd2138zd2_883:
																									{	/* Eval/evaluate.scm 364 */
																										BgL_ev_orz00_bglt
																											BgL_new1113z00_1598;
																										{	/* Eval/evaluate.scm 364 */
																											BgL_ev_orz00_bglt
																												BgL_new1112z00_1599;
																											BgL_new1112z00_1599 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 364 */
																												long
																													BgL_arg1956z00_1600;
																												{	/* Eval/evaluate.scm 364 */
																													long
																														BgL_res2360z00_2547;
																													{	/* Eval/evaluate.scm 364 */
																														obj_t
																															BgL_classz00_2544;
																														BgL_classz00_2544 =
																															BGl_ev_orz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 364 */
																															obj_t
																																BgL_vectorz00_2545;
																															int BgL_kz00_2546;

																															BgL_vectorz00_2545
																																=
																																BgL_classz00_2544;
																															BgL_kz00_2546 =
																																(int) (((long)
																																	1));
																															BgL_res2360z00_2547
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2545,
																																	BgL_kz00_2546));
																													}}
																													BgL_arg1956z00_1600 =
																														BgL_res2360z00_2547;
																												}
																												{	/* Eval/evaluate.scm 364 */
																													BgL_objectz00_bglt
																														BgL_objz00_2548;
																													BgL_objz00_2548 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1112z00_1599);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2548,
																														BgL_arg1956z00_1600);
																											}}
																											{	/* Eval/evaluate.scm 364 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4729;
																												BgL_auxz00_4729 =
																													((BgL_objectz00_bglt)
																													BgL_new1112z00_1599);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4729,
																													BFALSE);
																											}
																											BgL_new1113z00_1598 =
																												BgL_new1112z00_1599;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1113z00_1598)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_882)),
																											BUNSPEC);
																										BgL_auxz00_4722 =
																											BgL_new1113z00_1598;
																									}
																									return
																										((obj_t) BgL_auxz00_4722);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2608z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1481z00_1040;

																										BgL_arg1481z00_1040 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4740;
																											BgL_argsz00_884 =
																												BgL_arg1481z00_1040;
																										BgL_tagzd2139zd2_885:
																											{	/* Eval/evaluate.scm 367 */
																												BgL_ev_andz00_bglt
																													BgL_new1115z00_1601;
																												{	/* Eval/evaluate.scm 367 */
																													BgL_ev_andz00_bglt
																														BgL_new1114z00_1602;
																													BgL_new1114z00_1602 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 367 */
																														long
																															BgL_arg1958z00_1603;
																														{	/* Eval/evaluate.scm 367 */
																															long
																																BgL_res2361z00_2553;
																															{	/* Eval/evaluate.scm 367 */
																																obj_t
																																	BgL_classz00_2550;
																																BgL_classz00_2550
																																	=
																																	BGl_ev_andz00zz__evaluate_typesz00;
																																{	/* Eval/evaluate.scm 367 */
																																	obj_t
																																		BgL_vectorz00_2551;
																																	int
																																		BgL_kz00_2552;
																																	BgL_vectorz00_2551
																																		=
																																		BgL_classz00_2550;
																																	BgL_kz00_2552
																																		=
																																		(int) ((
																																			(long)
																																			1));
																																	BgL_res2361z00_2553
																																		=
																																		(long)
																																		CINT
																																		(VECTOR_REF
																																		(BgL_vectorz00_2551,
																																			BgL_kz00_2552));
																															}}
																															BgL_arg1958z00_1603
																																=
																																BgL_res2361z00_2553;
																														}
																														{	/* Eval/evaluate.scm 367 */
																															BgL_objectz00_bglt
																																BgL_objz00_2554;
																															BgL_objz00_2554 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1114z00_1602);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2554,
																																BgL_arg1958z00_1603);
																													}}
																													{	/* Eval/evaluate.scm 367 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4747;
																														BgL_auxz00_4747 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1114z00_1602);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4747,
																															BFALSE);
																													}
																													BgL_new1115z00_1601 =
																														BgL_new1114z00_1602;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1115z00_1601)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_884)),
																													BUNSPEC);
																												BgL_auxz00_4740 =
																													BgL_new1115z00_1601;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4740);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2610z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25008zd2_1043;
																												BgL_cdrzd25008zd2_1043 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2612z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd25008zd2_1043))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1486z00_1046;
																																obj_t
																																	BgL_arg1487z00_1047;
																																BgL_arg1486z00_1046
																																	=
																																	CAR
																																	(BgL_cdrzd25008zd2_1043);
																																BgL_arg1487z00_1047
																																	=
																																	CDR
																																	(BgL_cdrzd25008zd2_1043);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4767;
																																	BgL_bindsz00_888
																																		=
																																		BgL_arg1486z00_1046;
																																	BgL_bodyz00_889
																																		=
																																		BgL_arg1487z00_1047;
																																BgL_tagzd2141zd2_890:
																																	{	/* Eval/evaluate.scm 372 */
																																		obj_t
																																			BgL_varsz00_1604;
																																		if (NULLP
																																			(BgL_bindsz00_888))
																																			{	/* Eval/evaluate.scm 372 */
																																				BgL_varsz00_1604
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 372 */
																																				obj_t
																																					BgL_head1185z00_1625;
																																				{	/* Eval/evaluate.scm 372 */
																																					obj_t
																																						BgL_res2363z00_2560;
																																					BgL_res2363z00_2560
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1185z00_1625
																																						=
																																						BgL_res2363z00_2560;
																																				}
																																				{
																																					obj_t
																																						BgL_l1183z00_1627;
																																					obj_t
																																						BgL_tail1186z00_1628;
																																					BgL_l1183z00_1627
																																						=
																																						BgL_bindsz00_888;
																																					BgL_tail1186z00_1628
																																						=
																																						BgL_head1185z00_1625;
																																				BgL_zc3anonymousza31968ze3z83_1629:
																																					if (NULLP(BgL_l1183z00_1627))
																																						{	/* Eval/evaluate.scm 372 */
																																							BgL_varsz00_1604
																																								=
																																								CDR
																																								(BgL_head1185z00_1625);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 372 */
																																							obj_t
																																								BgL_newtail1187z00_1631;
																																							{	/* Eval/evaluate.scm 372 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg1971z00_1633;
																																								{	/* Eval/evaluate.scm 372 */
																																									obj_t
																																										BgL_bz00_1634;
																																									BgL_bz00_1634
																																										=
																																										CAR
																																										(BgL_l1183z00_1627);
																																									{	/* Eval/evaluate.scm 373 */
																																										obj_t
																																											BgL_iz00_1635;
																																										BgL_iz00_1635
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1634));
																																										{	/* Eval/evaluate.scm 374 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1117z00_1636;
																																											{	/* Eval/evaluate.scm 374 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1116z00_1637;
																																												BgL_new1116z00_1637
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 374 */
																																													long
																																														BgL_arg1973z00_1638;
																																													{	/* Eval/evaluate.scm 374 */
																																														long
																																															BgL_res2365z00_2569;
																																														{	/* Eval/evaluate.scm 374 */
																																															obj_t
																																																BgL_classz00_2566;
																																															BgL_classz00_2566
																																																=
																																																BGl_ev_varz00zz__evaluate_typesz00;
																																															{	/* Eval/evaluate.scm 374 */
																																																obj_t
																																																	BgL_vectorz00_2567;
																																																int
																																																	BgL_kz00_2568;
																																																BgL_vectorz00_2567
																																																	=
																																																	BgL_classz00_2566;
																																																BgL_kz00_2568
																																																	=
																																																	(int)
																																																	(
																																																	((long) 1));
																																																BgL_res2365z00_2569
																																																	=
																																																	(long)
																																																	CINT
																																																	(VECTOR_REF
																																																	(BgL_vectorz00_2567,
																																																		BgL_kz00_2568));
																																														}}
																																														BgL_arg1973z00_1638
																																															=
																																															BgL_res2365z00_2569;
																																													}
																																													{	/* Eval/evaluate.scm 374 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2570;
																																														BgL_objz00_2570
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1116z00_1637);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2570,
																																															BgL_arg1973z00_1638);
																																												}}
																																												{	/* Eval/evaluate.scm 374 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4783;
																																													BgL_auxz00_4783
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1116z00_1637);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4783,
																																														BFALSE);
																																												}
																																												BgL_new1117z00_1636
																																													=
																																													BgL_new1116z00_1637;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1636))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1635)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1636))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1636))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1635)), BUNSPEC);
																																											BgL_arg1971z00_1633
																																												=
																																												BgL_new1117z00_1636;
																																								}}}
																																								{	/* Eval/evaluate.scm 372 */
																																									obj_t
																																										BgL_res2366z00_2576;
																																									{	/* Eval/evaluate.scm 372 */
																																										obj_t
																																											BgL_obj1z00_2574;
																																										BgL_obj1z00_2574
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg1971z00_1633);
																																										BgL_res2366z00_2576
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2574,
																																											BNIL);
																																									}
																																									BgL_newtail1187z00_1631
																																										=
																																										BgL_res2366z00_2576;
																																							}}
																																							SET_CDR
																																								(BgL_tail1186z00_1628,
																																								BgL_newtail1187z00_1631);
																																							{
																																								obj_t
																																									BgL_tail1186z00_4796;
																																								obj_t
																																									BgL_l1183z00_4794;
																																								BgL_l1183z00_4794
																																									=
																																									CDR
																																									(BgL_l1183z00_1627);
																																								BgL_tail1186z00_4796
																																									=
																																									BgL_newtail1187z00_1631;
																																								BgL_tail1186z00_1628
																																									=
																																									BgL_tail1186z00_4796;
																																								BgL_l1183z00_1627
																																									=
																																									BgL_l1183z00_4794;
																																								goto
																																									BgL_zc3anonymousza31968ze3z83_1629;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 378 */
																																			BgL_ev_letz00_bglt
																																				BgL_new1119z00_1605;
																																			{	/* Eval/evaluate.scm 378 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1118z00_1621;
																																				BgL_new1118z00_1621
																																					=
																																					(
																																					(BgL_ev_letz00_bglt)
																																					BREF
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_ev_letz00_bgl))));
																																				{	/* Eval/evaluate.scm 378 */
																																					long
																																						BgL_arg1966z00_1622;
																																					{	/* Eval/evaluate.scm 378 */
																																						long
																																							BgL_res2367z00_2583;
																																						{	/* Eval/evaluate.scm 378 */
																																							obj_t
																																								BgL_classz00_2580;
																																							BgL_classz00_2580
																																								=
																																								BGl_ev_letz00zz__evaluate_typesz00;
																																							{	/* Eval/evaluate.scm 378 */
																																								obj_t
																																									BgL_vectorz00_2581;
																																								int
																																									BgL_kz00_2582;
																																								BgL_vectorz00_2581
																																									=
																																									BgL_classz00_2580;
																																								BgL_kz00_2582
																																									=
																																									(int)
																																									(
																																									((long) 1));
																																								BgL_res2367z00_2583
																																									=
																																									(long)
																																									CINT
																																									(VECTOR_REF
																																									(BgL_vectorz00_2581,
																																										BgL_kz00_2582));
																																						}}
																																						BgL_arg1966z00_1622
																																							=
																																							BgL_res2367z00_2583;
																																					}
																																					{	/* Eval/evaluate.scm 378 */
																																						BgL_objectz00_bglt
																																							BgL_objz00_2584;
																																						BgL_objz00_2584
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1118z00_1621);
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(BgL_objz00_2584,
																																							BgL_arg1966z00_1622);
																																				}}
																																				{	/* Eval/evaluate.scm 378 */
																																					BgL_objectz00_bglt
																																						BgL_auxz00_4803;
																																					BgL_auxz00_4803
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						BgL_new1118z00_1621);
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_auxz00_4803,
																																						BFALSE);
																																				}
																																				BgL_new1119z00_1605
																																					=
																																					BgL_new1118z00_1621;
																																			}
																																			((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1605)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1604), BUNSPEC);
																																			{
																																				obj_t
																																					BgL_auxz00_4808;
																																				if (NULLP(BgL_bindsz00_888))
																																					{	/* Eval/evaluate.scm 380 */
																																						BgL_auxz00_4808
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 380 */
																																						obj_t
																																							BgL_head1190z00_1608;
																																						{	/* Eval/evaluate.scm 380 */
																																							obj_t
																																								BgL_res2369z00_2590;
																																							BgL_res2369z00_2590
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1190z00_1608
																																								=
																																								BgL_res2369z00_2590;
																																						}
																																						{
																																							obj_t
																																								BgL_l1188z00_2643;
																																							obj_t
																																								BgL_tail1191z00_2644;
																																							BgL_l1188z00_2643
																																								=
																																								BgL_bindsz00_888;
																																							BgL_tail1191z00_2644
																																								=
																																								BgL_head1190z00_1608;
																																						BgL_zc3anonymousza31960ze3z83_2642:
																																							if (NULLP(BgL_l1188z00_2643))
																																								{	/* Eval/evaluate.scm 380 */
																																									BgL_auxz00_4808
																																										=
																																										CDR
																																										(BgL_head1190z00_1608);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 380 */
																																									obj_t
																																										BgL_newtail1192z00_2652;
																																									{	/* Eval/evaluate.scm 380 */
																																										obj_t
																																											BgL_arg1963z00_2653;
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_bz00_2654;
																																											{	/* Eval/evaluate.scm 380 */
																																												obj_t
																																													BgL_pairz00_2660;
																																												BgL_pairz00_2660
																																													=
																																													BgL_l1188z00_2643;
																																												BgL_bz00_2654
																																													=
																																													CAR
																																													(BgL_pairz00_2660);
																																											}
																																											{	/* Eval/evaluate.scm 380 */
																																												obj_t
																																													BgL_arg1964z00_2655;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_pairz00_2661;
																																													BgL_pairz00_2661
																																														=
																																														BgL_bz00_2654;
																																													{	/* Eval/evaluate.scm 380 */
																																														obj_t
																																															BgL_pairz00_2664;
																																														BgL_pairz00_2664
																																															=
																																															CDR
																																															(BgL_pairz00_2661);
																																														BgL_arg1964z00_2655
																																															=
																																															CAR
																																															(BgL_pairz00_2664);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2059z00_2666;
																																													BgL_arg2059z00_2666
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg1964z00_2655,
																																														BgL_locz00_54);
																																													BgL_arg1963z00_2653
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_53,
																																														BgL_globalsz00_51,
																																														BgL_localsz00_50,
																																														BgL_arg1964z00_2655,
																																														BgL_arg2059z00_2666);
																																												}
																																											}
																																										}
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_res2375z00_2669;
																																											BgL_res2375z00_2669
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1963z00_2653,
																																												BNIL);
																																											BgL_newtail1192z00_2652
																																												=
																																												BgL_res2375z00_2669;
																																										}
																																									}
																																									SET_CDR
																																										(BgL_tail1191z00_2644,
																																										BgL_newtail1192z00_2652);
																																									{	/* Eval/evaluate.scm 380 */
																																										obj_t
																																											BgL_arg1962z00_2656;
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_pairz00_2672;
																																											BgL_pairz00_2672
																																												=
																																												BgL_l1188z00_2643;
																																											BgL_arg1962z00_2656
																																												=
																																												CDR
																																												(BgL_pairz00_2672);
																																										}
																																										{
																																											obj_t
																																												BgL_tail1191z00_4825;
																																											obj_t
																																												BgL_l1188z00_4824;
																																											BgL_l1188z00_4824
																																												=
																																												BgL_arg1962z00_2656;
																																											BgL_tail1191z00_4825
																																												=
																																												BgL_newtail1192z00_2652;
																																											BgL_tail1191z00_2644
																																												=
																																												BgL_tail1191z00_4825;
																																											BgL_l1188z00_2643
																																												=
																																												BgL_l1188z00_4824;
																																											goto
																																												BgL_zc3anonymousza31960ze3z83_2642;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1605)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4808), BUNSPEC);
																																			}
																																			{
																																				BgL_ev_exprz00_bglt
																																					BgL_auxz00_4827;
																																				{	/* Eval/evaluate.scm 381 */
																																					obj_t
																																						BgL_arg1965z00_1620;
																																					BgL_arg1965z00_1620
																																						=
																																						BGl_appendzd221011zd2zz__evaluatez00
																																						(BgL_varsz00_1604,
																																						BgL_localsz00_50);
																																					BgL_auxz00_4827
																																						=
																																						(
																																						(BgL_ev_exprz00_bglt)
																																						BGl_convzd2beginzd2zz__evaluatez00
																																						(BgL_bodyz00_889,
																																							BgL_arg1965z00_1620,
																																							BgL_globalsz00_51,
																																							BgL_tailzf3zf3_52,
																																							BgL_wherez00_53,
																																							BgL_locz00_54,
																																							((bool_t) 0)));
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1605)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4827), BUNSPEC);
																																			}
																																			((((BgL_ev_letz00_bglt) CREF(BgL_new1119z00_1605))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																			BgL_auxz00_4767
																																				=
																																				BgL_new1119z00_1605;
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4767);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1489z00_1048;
																																BgL_arg1489z00_1048
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4836;
																																	{
																																		obj_t
																																			BgL_argsz00_4838;
																																		obj_t
																																			BgL_fz00_4837;
																																		BgL_fz00_4837
																																			=
																																			BgL_arg1489z00_1048;
																																		BgL_argsz00_4838
																																			=
																																			BgL_cdrzd25008zd2_1043;
																																		BgL_argsz00_928
																																			=
																																			BgL_argsz00_4838;
																																		BgL_fz00_927
																																			=
																																			BgL_fz00_4837;
																																		goto
																																			BgL_tagzd2154zd2_929;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4836);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2614z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd25008zd2_1043))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1493z00_1053;
																																		obj_t
																																			BgL_arg1495z00_1054;
																																		BgL_arg1493z00_1053
																																			=
																																			CAR
																																			(BgL_cdrzd25008zd2_1043);
																																		BgL_arg1495z00_1054
																																			=
																																			CDR
																																			(BgL_cdrzd25008zd2_1043);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4847;
																																			BgL_bindsz00_891
																																				=
																																				BgL_arg1493z00_1053;
																																			BgL_bodyz00_892
																																				=
																																				BgL_arg1495z00_1054;
																																		BgL_tagzd2142zd2_893:
																																			{	/* Eval/evaluate.scm 389 */
																																				obj_t
																																					BgL_varsz00_1642;
																																				obj_t
																																					BgL_blocz00_1643;
																																				if (NULLP(BgL_bindsz00_891))
																																					{	/* Eval/evaluate.scm 389 */
																																						BgL_varsz00_1642
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 389 */
																																						obj_t
																																							BgL_head1195z00_1651;
																																						{	/* Eval/evaluate.scm 389 */
																																							obj_t
																																								BgL_res2379z00_2727;
																																							BgL_res2379z00_2727
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1195z00_1651
																																								=
																																								BgL_res2379z00_2727;
																																						}
																																						{
																																							obj_t
																																								BgL_l1193z00_1653;
																																							obj_t
																																								BgL_tail1196z00_1654;
																																							BgL_l1193z00_1653
																																								=
																																								BgL_bindsz00_891;
																																							BgL_tail1196z00_1654
																																								=
																																								BgL_head1195z00_1651;
																																						BgL_zc3anonymousza31981ze3z83_1655:
																																							if (NULLP(BgL_l1193z00_1653))
																																								{	/* Eval/evaluate.scm 389 */
																																									BgL_varsz00_1642
																																										=
																																										CDR
																																										(BgL_head1195z00_1651);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 389 */
																																									obj_t
																																										BgL_newtail1197z00_1657;
																																									{	/* Eval/evaluate.scm 389 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg1984z00_1659;
																																										{	/* Eval/evaluate.scm 389 */
																																											obj_t
																																												BgL_bz00_1660;
																																											BgL_bz00_1660
																																												=
																																												CAR
																																												(BgL_l1193z00_1653);
																																											{	/* Eval/evaluate.scm 390 */
																																												obj_t
																																													BgL_iz00_1661;
																																												BgL_iz00_1661
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1660));
																																												{	/* Eval/evaluate.scm 391 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1122z00_1662;
																																													{	/* Eval/evaluate.scm 391 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1121z00_1663;
																																														BgL_new1121z00_1663
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 391 */
																																															long
																																																BgL_arg1985z00_1664;
																																															{	/* Eval/evaluate.scm 391 */
																																																long
																																																	BgL_res2381z00_2736;
																																																{	/* Eval/evaluate.scm 391 */
																																																	obj_t
																																																		BgL_classz00_2733;
																																																	BgL_classz00_2733
																																																		=
																																																		BGl_ev_varz00zz__evaluate_typesz00;
																																																	{	/* Eval/evaluate.scm 391 */
																																																		obj_t
																																																			BgL_vectorz00_2734;
																																																		int
																																																			BgL_kz00_2735;
																																																		BgL_vectorz00_2734
																																																			=
																																																			BgL_classz00_2733;
																																																		BgL_kz00_2735
																																																			=
																																																			(int)
																																																			(
																																																			((long) 1));
																																																		BgL_res2381z00_2736
																																																			=
																																																			(long)
																																																			CINT
																																																			(VECTOR_REF
																																																			(BgL_vectorz00_2734,
																																																				BgL_kz00_2735));
																																																}}
																																																BgL_arg1985z00_1664
																																																	=
																																																	BgL_res2381z00_2736;
																																															}
																																															{	/* Eval/evaluate.scm 391 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2737;
																																																BgL_objz00_2737
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1121z00_1663);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2737,
																																																	BgL_arg1985z00_1664);
																																														}}
																																														{	/* Eval/evaluate.scm 391 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_4863;
																																															BgL_auxz00_4863
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1121z00_1663);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_4863,
																																																BFALSE);
																																														}
																																														BgL_new1122z00_1662
																																															=
																																															BgL_new1121z00_1663;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1662))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1661)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1662))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1662))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1661)), BUNSPEC);
																																													BgL_arg1984z00_1659
																																														=
																																														BgL_new1122z00_1662;
																																										}}}
																																										{	/* Eval/evaluate.scm 389 */
																																											obj_t
																																												BgL_res2382z00_2743;
																																											{	/* Eval/evaluate.scm 389 */
																																												obj_t
																																													BgL_obj1z00_2741;
																																												BgL_obj1z00_2741
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg1984z00_1659);
																																												BgL_res2382z00_2743
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2741,
																																													BNIL);
																																											}
																																											BgL_newtail1197z00_1657
																																												=
																																												BgL_res2382z00_2743;
																																									}}
																																									SET_CDR
																																										(BgL_tail1196z00_1654,
																																										BgL_newtail1197z00_1657);
																																									{
																																										obj_t
																																											BgL_tail1196z00_4876;
																																										obj_t
																																											BgL_l1193z00_4874;
																																										BgL_l1193z00_4874
																																											=
																																											CDR
																																											(BgL_l1193z00_1653);
																																										BgL_tail1196z00_4876
																																											=
																																											BgL_newtail1197z00_1657;
																																										BgL_tail1196z00_1654
																																											=
																																											BgL_tail1196z00_4876;
																																										BgL_l1193z00_1653
																																											=
																																											BgL_l1193z00_4874;
																																										goto
																																											BgL_zc3anonymousza31981ze3z83_1655;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 395 */
																																					obj_t
																																						BgL__ortest_1066z00_2749;
																																					BgL__ortest_1066z00_2749
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_891);
																																					if (CBOOL(BgL__ortest_1066z00_2749))
																																						{	/* Eval/evaluate.scm 395 */
																																							BgL_blocz00_1643
																																								=
																																								BgL__ortest_1066z00_2749;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 395 */
																																							BgL_blocz00_1643
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 396 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1125z00_1644;
																																					{	/* Eval/evaluate.scm 396 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1124z00_1647;
																																						BgL_new1124z00_1647
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 396 */
																																							long
																																								BgL_arg1979z00_1648;
																																							{	/* Eval/evaluate.scm 396 */
																																								long
																																									BgL_res2383z00_2753;
																																								{	/* Eval/evaluate.scm 396 */
																																									obj_t
																																										BgL_classz00_2750;
																																									BgL_classz00_2750
																																										=
																																										BGl_ev_letza2za2zz__evaluate_typesz00;
																																									{	/* Eval/evaluate.scm 396 */
																																										obj_t
																																											BgL_vectorz00_2751;
																																										int
																																											BgL_kz00_2752;
																																										BgL_vectorz00_2751
																																											=
																																											BgL_classz00_2750;
																																										BgL_kz00_2752
																																											=
																																											(int)
																																											(
																																											((long) 1));
																																										BgL_res2383z00_2753
																																											=
																																											(long)
																																											CINT
																																											(VECTOR_REF
																																											(BgL_vectorz00_2751,
																																												BgL_kz00_2752));
																																								}}
																																								BgL_arg1979z00_1648
																																									=
																																									BgL_res2383z00_2753;
																																							}
																																							{	/* Eval/evaluate.scm 396 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2754;
																																								BgL_objz00_2754
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1124z00_1647);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2754,
																																									BgL_arg1979z00_1648);
																																						}}
																																						{	/* Eval/evaluate.scm 396 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_4886;
																																							BgL_auxz00_4886
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1124z00_1647);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_4886,
																																								BFALSE);
																																						}
																																						BgL_new1125z00_1644
																																							=
																																							BgL_new1124z00_1647;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1644)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1642), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1644)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_891, BgL_varsz00_1642, BgL_localsz00_50, BgL_blocz00_1643)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_4894;
																																						{	/* Eval/evaluate.scm 399 */
																																							obj_t
																																								BgL_arg1976z00_1645;
																																							{	/* Eval/evaluate.scm 399 */
																																								obj_t
																																									BgL_arg1977z00_1646;
																																								BgL_arg1977z00_1646
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1642);
																																								BgL_arg1976z00_1645
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg1977z00_1646,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_4894
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_892,
																																									BgL_arg1976z00_1645,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1644)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4894), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1125z00_1644))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4847
																																						=
																																						BgL_new1125z00_1644;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4847);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1496z00_1055;
																																		obj_t
																																			BgL_arg1497z00_1056;
																																		BgL_arg1496z00_1055
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1497z00_1056
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_4905;
																																			{
																																				obj_t
																																					BgL_argsz00_4907;
																																				obj_t
																																					BgL_fz00_4906;
																																				BgL_fz00_4906
																																					=
																																					BgL_arg1496z00_1055;
																																				BgL_argsz00_4907
																																					=
																																					BgL_arg1497z00_1056;
																																				BgL_argsz00_928
																																					=
																																					BgL_argsz00_4907;
																																				BgL_fz00_927
																																					=
																																					BgL_fz00_4906;
																																				goto
																																					BgL_tagzd2154zd2_929;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4905);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_cdrzd25324zd2_1057;
																																BgL_cdrzd25324zd2_1057
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2616z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd25324zd2_1057))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1500z00_1060;
																																				obj_t
																																					BgL_arg1501z00_1061;
																																				BgL_arg1500z00_1060
																																					=
																																					CAR
																																					(BgL_cdrzd25324zd2_1057);
																																				BgL_arg1501z00_1061
																																					=
																																					CDR
																																					(BgL_cdrzd25324zd2_1057);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_4917;
																																					BgL_bindsz00_894
																																						=
																																						BgL_arg1500z00_1060;
																																					BgL_bodyz00_895
																																						=
																																						BgL_arg1501z00_1061;
																																				BgL_tagzd2143zd2_896:
																																					{	/* Eval/evaluate.scm 401 */
																																						obj_t
																																							BgL_varsz00_1682;
																																						if (NULLP(BgL_bindsz00_894))
																																							{	/* Eval/evaluate.scm 401 */
																																								BgL_varsz00_1682
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 401 */
																																								obj_t
																																									BgL_head1200z00_1710;
																																								{	/* Eval/evaluate.scm 401 */
																																									obj_t
																																										BgL_res2386z00_2797;
																																									BgL_res2386z00_2797
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1200z00_1710
																																										=
																																										BgL_res2386z00_2797;
																																								}
																																								{
																																									obj_t
																																										BgL_l1198z00_1712;
																																									obj_t
																																										BgL_tail1201z00_1713;
																																									BgL_l1198z00_1712
																																										=
																																										BgL_bindsz00_894;
																																									BgL_tail1201z00_1713
																																										=
																																										BgL_head1200z00_1710;
																																								BgL_zc3anonymousza32013ze3z83_1714:
																																									if (NULLP(BgL_l1198z00_1712))
																																										{	/* Eval/evaluate.scm 401 */
																																											BgL_varsz00_1682
																																												=
																																												CDR
																																												(BgL_head1200z00_1710);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 401 */
																																											obj_t
																																												BgL_newtail1202z00_1716;
																																											{	/* Eval/evaluate.scm 401 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2016z00_1718;
																																												{	/* Eval/evaluate.scm 401 */
																																													obj_t
																																														BgL_bz00_1719;
																																													BgL_bz00_1719
																																														=
																																														CAR
																																														(BgL_l1198z00_1712);
																																													{	/* Eval/evaluate.scm 402 */
																																														obj_t
																																															BgL_iz00_1720;
																																														BgL_iz00_1720
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1719));
																																														{	/* Eval/evaluate.scm 403 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1127z00_1721;
																																															{	/* Eval/evaluate.scm 403 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1126z00_1722;
																																																BgL_new1126z00_1722
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 403 */
																																																	long
																																																		BgL_arg2017z00_1723;
																																																	{	/* Eval/evaluate.scm 403 */
																																																		long
																																																			BgL_res2388z00_2806;
																																																		{	/* Eval/evaluate.scm 403 */
																																																			obj_t
																																																				BgL_classz00_2803;
																																																			BgL_classz00_2803
																																																				=
																																																				BGl_ev_varz00zz__evaluate_typesz00;
																																																			{	/* Eval/evaluate.scm 403 */
																																																				obj_t
																																																					BgL_vectorz00_2804;
																																																				int
																																																					BgL_kz00_2805;
																																																				BgL_vectorz00_2804
																																																					=
																																																					BgL_classz00_2803;
																																																				BgL_kz00_2805
																																																					=
																																																					(int)
																																																					(
																																																					((long) 1));
																																																				BgL_res2388z00_2806
																																																					=
																																																					(long)
																																																					CINT
																																																					(VECTOR_REF
																																																					(BgL_vectorz00_2804,
																																																						BgL_kz00_2805));
																																																		}}
																																																		BgL_arg2017z00_1723
																																																			=
																																																			BgL_res2388z00_2806;
																																																	}
																																																	{	/* Eval/evaluate.scm 403 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2807;
																																																		BgL_objz00_2807
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1126z00_1722);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2807,
																																																			BgL_arg2017z00_1723);
																																																}}
																																																{	/* Eval/evaluate.scm 403 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_4933;
																																																	BgL_auxz00_4933
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1126z00_1722);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_4933,
																																																		BFALSE);
																																																}
																																																BgL_new1127z00_1721
																																																	=
																																																	BgL_new1126z00_1722;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1721))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1720)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1721))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1721))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1720)), BUNSPEC);
																																															BgL_arg2016z00_1718
																																																=
																																																BgL_new1127z00_1721;
																																												}}}
																																												{	/* Eval/evaluate.scm 401 */
																																													obj_t
																																														BgL_res2389z00_2813;
																																													{	/* Eval/evaluate.scm 401 */
																																														obj_t
																																															BgL_obj1z00_2811;
																																														BgL_obj1z00_2811
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2016z00_1718);
																																														BgL_res2389z00_2813
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2811,
																																															BNIL);
																																													}
																																													BgL_newtail1202z00_1716
																																														=
																																														BgL_res2389z00_2813;
																																											}}
																																											SET_CDR
																																												(BgL_tail1201z00_1713,
																																												BgL_newtail1202z00_1716);
																																											{
																																												obj_t
																																													BgL_tail1201z00_4946;
																																												obj_t
																																													BgL_l1198z00_4944;
																																												BgL_l1198z00_4944
																																													=
																																													CDR
																																													(BgL_l1198z00_1712);
																																												BgL_tail1201z00_4946
																																													=
																																													BgL_newtail1202z00_1716;
																																												BgL_tail1201z00_1713
																																													=
																																													BgL_tail1201z00_4946;
																																												BgL_l1198z00_1712
																																													=
																																													BgL_l1198z00_4944;
																																												goto
																																													BgL_zc3anonymousza32013ze3z83_1714;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 401 */
																																							obj_t
																																								BgL_localsz00_1683;
																																							BgL_localsz00_1683
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1682,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 407 */
																																								obj_t
																																									BgL_blocz00_1684;
																																								{	/* Eval/evaluate.scm 408 */
																																									obj_t
																																										BgL__ortest_1066z00_2819;
																																									BgL__ortest_1066z00_2819
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_894);
																																									if (CBOOL(BgL__ortest_1066z00_2819))
																																										{	/* Eval/evaluate.scm 408 */
																																											BgL_blocz00_1684
																																												=
																																												BgL__ortest_1066z00_2819;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 408 */
																																											BgL_blocz00_1684
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 408 */

																																									{	/* Eval/evaluate.scm 409 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1129z00_1685;
																																										{	/* Eval/evaluate.scm 409 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1128z00_1706;
																																											BgL_new1128z00_1706
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 409 */
																																												long
																																													BgL_arg2011z00_1707;
																																												{	/* Eval/evaluate.scm 409 */
																																													long
																																														BgL_res2390z00_2823;
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_classz00_2820;
																																														BgL_classz00_2820
																																															=
																																															BGl_ev_letrecz00zz__evaluate_typesz00;
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_vectorz00_2821;
																																															int
																																																BgL_kz00_2822;
																																															BgL_vectorz00_2821
																																																=
																																																BgL_classz00_2820;
																																															BgL_kz00_2822
																																																=
																																																(int)
																																																(
																																																((long) 1));
																																															BgL_res2390z00_2823
																																																=
																																																(long)
																																																CINT
																																																(VECTOR_REF
																																																(BgL_vectorz00_2821,
																																																	BgL_kz00_2822));
																																													}}
																																													BgL_arg2011z00_1707
																																														=
																																														BgL_res2390z00_2823;
																																												}
																																												{	/* Eval/evaluate.scm 409 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2824;
																																													BgL_objz00_2824
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1128z00_1706);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2824,
																																														BgL_arg2011z00_1707);
																																											}}
																																											{	/* Eval/evaluate.scm 409 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_4957;
																																												BgL_auxz00_4957
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1128z00_1706);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_4957,
																																													BFALSE);
																																											}
																																											BgL_new1129z00_1685
																																												=
																																												BgL_new1128z00_1706;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1685)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1682), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_4962;
																																											if (NULLP(BgL_bindsz00_894))
																																												{	/* Eval/evaluate.scm 411 */
																																													BgL_auxz00_4962
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 411 */
																																													obj_t
																																														BgL_head1205z00_1688;
																																													{	/* Eval/evaluate.scm 411 */
																																														obj_t
																																															BgL_res2392z00_2830;
																																														BgL_res2392z00_2830
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1205z00_1688
																																															=
																																															BgL_res2392z00_2830;
																																													}
																																													{
																																														obj_t
																																															BgL_l1203z00_1690;
																																														obj_t
																																															BgL_tail1206z00_1691;
																																														BgL_l1203z00_1690
																																															=
																																															BgL_bindsz00_894;
																																														BgL_tail1206z00_1691
																																															=
																																															BgL_head1205z00_1688;
																																													BgL_zc3anonymousza31997ze3z83_1692:
																																														if (NULLP(BgL_l1203z00_1690))
																																															{	/* Eval/evaluate.scm 411 */
																																																BgL_auxz00_4962
																																																	=
																																																	CDR
																																																	(BgL_head1205z00_1688);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 411 */
																																																obj_t
																																																	BgL_newtail1207z00_1694;
																																																{	/* Eval/evaluate.scm 411 */
																																																	obj_t
																																																		BgL_arg2000z00_1696;
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_bz00_1697;
																																																		{	/* Eval/evaluate.scm 411 */
																																																			obj_t
																																																				BgL_pairz00_2834;
																																																			BgL_pairz00_2834
																																																				=
																																																				BgL_l1203z00_1690;
																																																			BgL_bz00_1697
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2834);
																																																		}
																																																		{	/* Eval/evaluate.scm 412 */
																																																			obj_t
																																																				BgL_arg2001z00_1698;
																																																			obj_t
																																																				BgL_arg2002z00_1699;
																																																			obj_t
																																																				BgL_arg2004z00_1700;
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL_pairz00_2835;
																																																				BgL_pairz00_2835
																																																					=
																																																					BgL_bz00_1697;
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_pairz00_2838;
																																																					BgL_pairz00_2838
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2835);
																																																					BgL_arg2001z00_1698
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2838);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL_arg2005z00_1701;
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_pairz00_2839;
																																																					BgL_pairz00_2839
																																																						=
																																																						BgL_bz00_1697;
																																																					BgL_arg2005z00_1701
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2839);
																																																				}
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_list2006z00_1702;
																																																					{	/* Eval/evaluate.scm 412 */
																																																						obj_t
																																																							BgL_arg2008z00_1703;
																																																						{	/* Eval/evaluate.scm 412 */
																																																							obj_t
																																																								BgL_arg2009z00_1704;
																																																							BgL_arg2009z00_1704
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2008z00_1703
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2591z00zz__evaluatez00,
																																																								BgL_arg2009z00_1704);
																																																						}
																																																						BgL_list2006z00_1702
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2005z00_1701,
																																																							BgL_arg2008z00_1703);
																																																					}
																																																					BgL_arg2002z00_1699
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2006z00_1702);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL__ortest_1066z00_2842;
																																																				BgL__ortest_1066z00_2842
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1697);
																																																				if (CBOOL(BgL__ortest_1066z00_2842))
																																																					{	/* Eval/evaluate.scm 412 */
																																																						BgL_arg2004z00_1700
																																																							=
																																																							BgL__ortest_1066z00_2842;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 412 */
																																																						BgL_arg2004z00_1700
																																																							=
																																																							BgL_blocz00_1684;
																																																					}
																																																			}
																																																			BgL_arg2000z00_1696
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2001z00_1698,
																																																				BgL_localsz00_1683,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2002z00_1699,
																																																				BgL_arg2004z00_1700,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_res2394z00_2845;
																																																		BgL_res2394z00_2845
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2000z00_1696,
																																																			BNIL);
																																																		BgL_newtail1207z00_1694
																																																			=
																																																			BgL_res2394z00_2845;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1206z00_1691,
																																																	BgL_newtail1207z00_1694);
																																																{	/* Eval/evaluate.scm 411 */
																																																	obj_t
																																																		BgL_arg1999z00_1695;
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_pairz00_2848;
																																																		BgL_pairz00_2848
																																																			=
																																																			BgL_l1203z00_1690;
																																																		BgL_arg1999z00_1695
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2848);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1206z00_4986;
																																																		obj_t
																																																			BgL_l1203z00_4985;
																																																		BgL_l1203z00_4985
																																																			=
																																																			BgL_arg1999z00_1695;
																																																		BgL_tail1206z00_4986
																																																			=
																																																			BgL_newtail1207z00_1694;
																																																		BgL_tail1206z00_1691
																																																			=
																																																			BgL_tail1206z00_4986;
																																																		BgL_l1203z00_1690
																																																			=
																																																			BgL_l1203z00_4985;
																																																		goto
																																																			BgL_zc3anonymousza31997ze3z83_1692;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1685)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4962), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1685)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_895, BgL_localsz00_1683, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_4917
																																											=
																																											BgL_new1129z00_1685;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4917);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1502z00_1062;
																																				BgL_arg1502z00_1062
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_4994;
																																					{
																																						obj_t
																																							BgL_argsz00_4996;
																																						obj_t
																																							BgL_fz00_4995;
																																						BgL_fz00_4995
																																							=
																																							BgL_arg1502z00_1062;
																																						BgL_argsz00_4996
																																							=
																																							BgL_cdrzd25324zd2_1057;
																																						BgL_argsz00_928
																																							=
																																							BgL_argsz00_4996;
																																						BgL_fz00_927
																																							=
																																							BgL_fz00_4995;
																																						goto
																																							BgL_tagzd2154zd2_929;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4994);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2618z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd25324zd2_1057))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_carzd25462zd2_1067;
																																						obj_t
																																							BgL_cdrzd25463zd2_1068;
																																						BgL_carzd25462zd2_1067
																																							=
																																							CAR
																																							(BgL_cdrzd25324zd2_1057);
																																						BgL_cdrzd25463zd2_1068
																																							=
																																							CDR
																																							(BgL_cdrzd25324zd2_1057);
																																						if (PAIRP(BgL_carzd25462zd2_1067))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd25467zd2_1070;
																																								BgL_cdrzd25467zd2_1070
																																									=
																																									CDR
																																									(BgL_carzd25462zd2_1067);
																																								if ((CAR(BgL_carzd25462zd2_1067) == BGl_symbol2596z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd25467zd2_1070))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_carzd25470zd2_1073;
																																												obj_t
																																													BgL_cdrzd25471zd2_1074;
																																												BgL_carzd25470zd2_1073
																																													=
																																													CAR
																																													(BgL_cdrzd25467zd2_1070);
																																												BgL_cdrzd25471zd2_1074
																																													=
																																													CDR
																																													(BgL_cdrzd25467zd2_1070);
																																												if (SYMBOLP(BgL_carzd25470zd2_1073))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd25471zd2_1074))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_carzd25475zd2_1077;
																																																BgL_carzd25475zd2_1077
																																																	=
																																																	CAR
																																																	(BgL_cdrzd25471zd2_1074);
																																																if (SYMBOLP(BgL_carzd25475zd2_1077))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd25471zd2_1074)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd25463zd2_1068))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						if (NULLP(CDR(BgL_cdrzd25463zd2_1068)))
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg1515z00_1082;
																																																								BgL_arg1515z00_1082
																																																									=
																																																									CAR
																																																									(BgL_cdrzd25463zd2_1068);
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_idz00_3175;
																																																									obj_t
																																																										BgL_modnamez00_3176;
																																																									BgL_idz00_3175
																																																										=
																																																										BgL_carzd25470zd2_1073;
																																																									BgL_modnamez00_3176
																																																										=
																																																										BgL_carzd25475zd2_1077;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1131z00_3178;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1130z00_3179;
																																																											BgL_new1130z00_3179
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 319 */
																																																												long
																																																													BgL_arg2019z00_3180;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													long
																																																														BgL_res2446z00_3184;
																																																													{	/* Eval/evaluate.scm 319 */
																																																														obj_t
																																																															BgL_classz00_3181;
																																																														BgL_classz00_3181
																																																															=
																																																															BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																														{	/* Eval/evaluate.scm 319 */
																																																															obj_t
																																																																BgL_vectorz00_3182;
																																																															int
																																																																BgL_kz00_3183;
																																																															BgL_vectorz00_3182
																																																																=
																																																																BgL_classz00_3181;
																																																															BgL_kz00_3183
																																																																=
																																																																(int)
																																																																(
																																																																((long) 1));
																																																															BgL_res2446z00_3184
																																																																=
																																																																(long)
																																																																CINT
																																																																(VECTOR_REF
																																																																(BgL_vectorz00_3182,
																																																																	BgL_kz00_3183));
																																																													}}
																																																													BgL_arg2019z00_3180
																																																														=
																																																														BgL_res2446z00_3184;
																																																												}
																																																												{	/* Eval/evaluate.scm 319 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3185;
																																																													BgL_objz00_3185
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1130z00_3179);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3185,
																																																														BgL_arg2019z00_3180);
																																																											}}
																																																											{	/* Eval/evaluate.scm 319 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_5037;
																																																												BgL_auxz00_5037
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1130z00_3179);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_5037,
																																																													BFALSE);
																																																											}
																																																											BgL_new1131z00_3178
																																																												=
																																																												BgL_new1130z00_3179;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_5040;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2059z00_3188;
																																																												BgL_arg2059z00_3188
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1515z00_1082,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_5040
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1515z00_1082,
																																																														BgL_arg2059z00_3188));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3178)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5040), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3178))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3178))->BgL_namez00) = ((obj_t) BgL_idz00_3175), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3178))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3176)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1131z00_3178);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 319 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2584z00zz__evaluatez00,
																																																									BGl_string2590z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2584z00zz__evaluatez00,
																																																							BGl_string2590z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd25575zd2_1084;
																																																				BgL_cdrzd25575zd2_1084
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_cdrzd25579zd2_1085;
																																																					BgL_cdrzd25579zd2_1085
																																																						=
																																																						CDR
																																																						(BgL_cdrzd25575zd2_1084);
																																																					if (PAIRP(BgL_cdrzd25579zd2_1085))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							if (NULLP(CDR(BgL_cdrzd25579zd2_1085)))
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg1520z00_1088;
																																																									obj_t
																																																										BgL_arg1521z00_1089;
																																																									BgL_arg1520z00_1088
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25575zd2_1084);
																																																									BgL_arg1521z00_1089
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25579zd2_1085);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5062;
																																																										BgL_vz00_904
																																																											=
																																																											BgL_arg1520z00_1088;
																																																										BgL_ez00_905
																																																											=
																																																											BgL_arg1521z00_1089;
																																																									BgL_tagzd2146zd2_906:
																																																										{	/* Eval/evaluate.scm 425 */
																																																											obj_t
																																																												BgL_cvz00_1741;
																																																											obj_t
																																																												BgL_ez00_1742;
																																																											BgL_cvz00_1741
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_904,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 425 */
																																																												obj_t
																																																													BgL_arg2059z00_2877;
																																																												{	/* Eval/evaluate.scm 425 */
																																																													obj_t
																																																														BgL__ortest_1066z00_2880;
																																																													BgL__ortest_1066z00_2880
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_905);
																																																													if (CBOOL(BgL__ortest_1066z00_2880))
																																																														{	/* Eval/evaluate.scm 425 */
																																																															BgL_arg2059z00_2877
																																																																=
																																																																BgL__ortest_1066z00_2880;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 425 */
																																																															BgL_arg2059z00_2877
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1742
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_905,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2059z00_2877,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1741))
																																																												{	/* Eval/evaluate.scm 427 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1133z00_1743;
																																																													{	/* Eval/evaluate.scm 427 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1132z00_1744;
																																																														BgL_new1132z00_1744
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 427 */
																																																															long
																																																																BgL_arg2030z00_1745;
																																																															{	/* Eval/evaluate.scm 427 */
																																																																long
																																																																	BgL_res2400z00_2886;
																																																																{	/* Eval/evaluate.scm 427 */
																																																																	obj_t
																																																																		BgL_classz00_2883;
																																																																	BgL_classz00_2883
																																																																		=
																																																																		BGl_ev_setlocalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 427 */
																																																																		obj_t
																																																																			BgL_vectorz00_2884;
																																																																		int
																																																																			BgL_kz00_2885;
																																																																		BgL_vectorz00_2884
																																																																			=
																																																																			BgL_classz00_2883;
																																																																		BgL_kz00_2885
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2400z00_2886
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2884,
																																																																				BgL_kz00_2885));
																																																																}}
																																																																BgL_arg2030z00_1745
																																																																	=
																																																																	BgL_res2400z00_2886;
																																																															}
																																																															{	/* Eval/evaluate.scm 427 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2887;
																																																																BgL_objz00_2887
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1132z00_1744);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2887,
																																																																	BgL_arg2030z00_1745);
																																																														}}
																																																														{	/* Eval/evaluate.scm 427 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5076;
																																																															BgL_auxz00_5076
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1132z00_1744);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5076,
																																																																BFALSE);
																																																														}
																																																														BgL_new1133z00_1743
																																																															=
																																																															BgL_new1132z00_1744;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1133z00_1743)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1742)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1133z00_1743))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1741)), BUNSPEC);
																																																													BgL_auxz00_5062
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1133z00_1743);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 430 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1135z00_1746;
																																																													{	/* Eval/evaluate.scm 430 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1134z00_1748;
																																																														BgL_new1134z00_1748
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 430 */
																																																															long
																																																																BgL_arg2033z00_1749;
																																																															{	/* Eval/evaluate.scm 430 */
																																																																long
																																																																	BgL_res2401z00_2892;
																																																																{	/* Eval/evaluate.scm 430 */
																																																																	obj_t
																																																																		BgL_classz00_2889;
																																																																	BgL_classz00_2889
																																																																		=
																																																																		BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 430 */
																																																																		obj_t
																																																																			BgL_vectorz00_2890;
																																																																		int
																																																																			BgL_kz00_2891;
																																																																		BgL_vectorz00_2890
																																																																			=
																																																																			BgL_classz00_2889;
																																																																		BgL_kz00_2891
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2401z00_2892
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2890,
																																																																				BgL_kz00_2891));
																																																																}}
																																																																BgL_arg2033z00_1749
																																																																	=
																																																																	BgL_res2401z00_2892;
																																																															}
																																																															{	/* Eval/evaluate.scm 430 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2893;
																																																																BgL_objz00_2893
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1134z00_1748);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2893,
																																																																	BgL_arg2033z00_1749);
																																																														}}
																																																														{	/* Eval/evaluate.scm 430 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5091;
																																																															BgL_auxz00_5091
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1134z00_1748);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5091,
																																																																BFALSE);
																																																														}
																																																														BgL_new1135z00_1746
																																																															=
																																																															BgL_new1134z00_1748;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_1746)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1742)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1746))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1746))->BgL_namez00) = ((obj_t) BgL_vz00_904), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5099;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 433 */
																																																																BgL_auxz00_5099
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 433 */
																																																																BgL_auxz00_5099
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1746))->BgL_modz00) = ((obj_t) BgL_auxz00_5099), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5062
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1135z00_1746);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5062);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 319 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2584z00zz__evaluatez00,
																																																										BGl_string2590z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2584z00zz__evaluatez00,
																																																								BGl_string2590z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd25628zd2_1092;
																																																		BgL_cdrzd25628zd2_1092
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd25632zd2_1093;
																																																			BgL_cdrzd25632zd2_1093
																																																				=
																																																				CDR
																																																				(BgL_cdrzd25628zd2_1092);
																																																			if (PAIRP(BgL_cdrzd25632zd2_1093))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd25632zd2_1093)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1531z00_1096;
																																																							obj_t
																																																								BgL_arg1532z00_1097;
																																																							BgL_arg1531z00_1096
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25628zd2_1092);
																																																							BgL_arg1532z00_1097
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25632zd2_1093);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5117;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5119;
																																																									obj_t
																																																										BgL_vz00_5118;
																																																									BgL_vz00_5118
																																																										=
																																																										BgL_arg1531z00_1096;
																																																									BgL_ez00_5119
																																																										=
																																																										BgL_arg1532z00_1097;
																																																									BgL_ez00_905
																																																										=
																																																										BgL_ez00_5119;
																																																									BgL_vz00_904
																																																										=
																																																										BgL_vz00_5118;
																																																									goto
																																																										BgL_tagzd2146zd2_906;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5117);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2584z00zz__evaluatez00,
																																																								BGl_string2590z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2584z00zz__evaluatez00,
																																																						BGl_string2590z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd25681zd2_1099;
																																																BgL_cdrzd25681zd2_1099
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd25685zd2_1100;
																																																	BgL_cdrzd25685zd2_1100
																																																		=
																																																		CDR
																																																		(BgL_cdrzd25681zd2_1099);
																																																	if (PAIRP(BgL_cdrzd25685zd2_1100))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd25685zd2_1100)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1538z00_1103;
																																																					obj_t
																																																						BgL_arg1539z00_1104;
																																																					BgL_arg1538z00_1103
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25681zd2_1099);
																																																					BgL_arg1539z00_1104
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25685zd2_1100);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5132;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5134;
																																																							obj_t
																																																								BgL_vz00_5133;
																																																							BgL_vz00_5133
																																																								=
																																																								BgL_arg1538z00_1103;
																																																							BgL_ez00_5134
																																																								=
																																																								BgL_arg1539z00_1104;
																																																							BgL_ez00_905
																																																								=
																																																								BgL_ez00_5134;
																																																							BgL_vz00_904
																																																								=
																																																								BgL_vz00_5133;
																																																							goto
																																																								BgL_tagzd2146zd2_906;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5132);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2584z00zz__evaluatez00,
																																																						BGl_string2590z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2584z00zz__evaluatez00,
																																																				BGl_string2590z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd25734zd2_1106;
																																														BgL_cdrzd25734zd2_1106
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd25738zd2_1107;
																																															BgL_cdrzd25738zd2_1107
																																																=
																																																CDR
																																																(BgL_cdrzd25734zd2_1106);
																																															if (PAIRP(BgL_cdrzd25738zd2_1107))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd25738zd2_1107)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1548z00_1110;
																																																			obj_t
																																																				BgL_arg1549z00_1111;
																																																			BgL_arg1548z00_1110
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25734zd2_1106);
																																																			BgL_arg1549z00_1111
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25738zd2_1107);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5147;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5149;
																																																					obj_t
																																																						BgL_vz00_5148;
																																																					BgL_vz00_5148
																																																						=
																																																						BgL_arg1548z00_1110;
																																																					BgL_ez00_5149
																																																						=
																																																						BgL_arg1549z00_1111;
																																																					BgL_ez00_905
																																																						=
																																																						BgL_ez00_5149;
																																																					BgL_vz00_904
																																																						=
																																																						BgL_vz00_5148;
																																																					goto
																																																						BgL_tagzd2146zd2_906;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5147);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2584z00zz__evaluatez00,
																																																				BGl_string2590z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd25787zd2_1113;
																																												BgL_cdrzd25787zd2_1113
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd25791zd2_1114;
																																													BgL_cdrzd25791zd2_1114
																																														=
																																														CDR
																																														(BgL_cdrzd25787zd2_1113);
																																													if (PAIRP(BgL_cdrzd25791zd2_1114))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25791zd2_1114)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1553z00_1117;
																																																	obj_t
																																																		BgL_arg1554z00_1118;
																																																	BgL_arg1553z00_1117
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25787zd2_1113);
																																																	BgL_arg1554z00_1118
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25791zd2_1114);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5162;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5164;
																																																			obj_t
																																																				BgL_vz00_5163;
																																																			BgL_vz00_5163
																																																				=
																																																				BgL_arg1553z00_1117;
																																																			BgL_ez00_5164
																																																				=
																																																				BgL_arg1554z00_1118;
																																																			BgL_ez00_905
																																																				=
																																																				BgL_ez00_5164;
																																																			BgL_vz00_904
																																																				=
																																																				BgL_vz00_5163;
																																																			goto
																																																				BgL_tagzd2146zd2_906;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5162);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd25829zd2_1120;
																																										BgL_cdrzd25829zd2_1120
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_carzd25832zd2_1121;
																																											obj_t
																																												BgL_cdrzd25833zd2_1122;
																																											BgL_carzd25832zd2_1121
																																												=
																																												CAR
																																												(BgL_cdrzd25829zd2_1120);
																																											BgL_cdrzd25833zd2_1122
																																												=
																																												CDR
																																												(BgL_cdrzd25829zd2_1120);
																																											if ((CAR(BgL_carzd25832zd2_1121) == BGl_symbol2598z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (PAIRP(BgL_cdrzd25833zd2_1122))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25833zd2_1122)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	BgL_lz00_901
																																																		=
																																																		CDR
																																																		(BgL_carzd25832zd2_1121);
																																																	BgL_e2z00_902
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25833zd2_1122);
																																																BgL_tagzd2145zd2_903:
																																																	{	/* Eval/evaluate.scm 421 */
																																																		bool_t
																																																			BgL_testz00_5179;
																																																		if (PAIRP(BgL_lz00_901))
																																																			{	/* Eval/evaluate.scm 421 */
																																																				bool_t
																																																					BgL_testz00_5182;
																																																				{	/* Eval/evaluate.scm 421 */
																																																					obj_t
																																																						BgL_auxz00_5183;
																																																					BgL_auxz00_5183
																																																						=
																																																						CDR
																																																						(BgL_lz00_901);
																																																					BgL_testz00_5182
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5183);
																																																				}
																																																				if (BgL_testz00_5182)
																																																					{
																																																						obj_t
																																																							BgL_l1208z00_1733;
																																																						BgL_l1208z00_1733
																																																							=
																																																							BgL_lz00_901;
																																																					BgL_zc3anonymousza32023ze3z83_1734:
																																																						if (NULLP(BgL_l1208z00_1733))
																																																							{	/* Eval/evaluate.scm 421 */
																																																								BgL_testz00_5179
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 421 */
																																																								bool_t
																																																									BgL_testz00_5188;
																																																								{	/* Eval/evaluate.scm 421 */
																																																									obj_t
																																																										BgL_auxz00_5189;
																																																									BgL_auxz00_5189
																																																										=
																																																										CAR
																																																										(BgL_l1208z00_1733);
																																																									BgL_testz00_5188
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5189);
																																																								}
																																																								if (BgL_testz00_5188)
																																																									{
																																																										obj_t
																																																											BgL_l1208z00_5192;
																																																										BgL_l1208z00_5192
																																																											=
																																																											CDR
																																																											(BgL_l1208z00_1733);
																																																										BgL_l1208z00_1733
																																																											=
																																																											BgL_l1208z00_5192;
																																																										goto
																																																											BgL_zc3anonymousza32023ze3z83_1734;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 421 */
																																																										BgL_testz00_5179
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 421 */
																																																						BgL_testz00_5179
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 421 */
																																																				BgL_testz00_5179
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5179)
																																																			{	/* Eval/evaluate.scm 421 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_901,
																																																					BgL_e2z00_902,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 421 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2584z00zz__evaluatez00,
																																																					BGl_string2590z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd25899zd2_1130;
																																													BgL_cdrzd25899zd2_1130
																																														=
																																														CDR
																																														(BgL_cdrzd25829zd2_1120);
																																													if (PAIRP(BgL_cdrzd25899zd2_1130))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25899zd2_1130)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1565z00_1133;
																																																	obj_t
																																																		BgL_arg1566z00_1134;
																																																	BgL_arg1565z00_1133
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25829zd2_1120);
																																																	BgL_arg1566z00_1134
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25899zd2_1130);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5208;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5210;
																																																			obj_t
																																																				BgL_vz00_5209;
																																																			BgL_vz00_5209
																																																				=
																																																				BgL_arg1565z00_1133;
																																																			BgL_ez00_5210
																																																				=
																																																				BgL_arg1566z00_1134;
																																																			BgL_ez00_905
																																																				=
																																																				BgL_ez00_5210;
																																																			BgL_vz00_904
																																																				=
																																																				BgL_vz00_5209;
																																																			goto
																																																				BgL_tagzd2146zd2_906;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5208);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd25948zd2_1138;
																																								BgL_cdrzd25948zd2_1138
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_cdrzd25952zd2_1139;
																																									BgL_cdrzd25952zd2_1139
																																										=
																																										CDR
																																										(BgL_cdrzd25948zd2_1138);
																																									if (PAIRP(BgL_cdrzd25952zd2_1139))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (NULLP(CDR(BgL_cdrzd25952zd2_1139)))
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_arg1574z00_1142;
																																													obj_t
																																														BgL_arg1575z00_1143;
																																													BgL_arg1574z00_1142
																																														=
																																														CAR
																																														(BgL_cdrzd25948zd2_1138);
																																													BgL_arg1575z00_1143
																																														=
																																														CAR
																																														(BgL_cdrzd25952zd2_1139);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5223;
																																														{
																																															obj_t
																																																BgL_ez00_5225;
																																															obj_t
																																																BgL_vz00_5224;
																																															BgL_vz00_5224
																																																=
																																																BgL_arg1574z00_1142;
																																															BgL_ez00_5225
																																																=
																																																BgL_arg1575z00_1143;
																																															BgL_ez00_905
																																																=
																																																BgL_ez00_5225;
																																															BgL_vz00_904
																																																=
																																																BgL_vz00_5224;
																																															goto
																																																BgL_tagzd2146zd2_906;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5223);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2584z00zz__evaluatez00,
																																														BGl_string2590z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2584z00zz__evaluatez00,
																																												BGl_string2590z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2584z00zz__evaluatez00,
																																							BGl_string2590z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_cdrzd26055zd2_1145;
																																				BgL_cdrzd26055zd2_1145
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2620z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd26055zd2_1145))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26060zd2_1148;
																																								BgL_cdrzd26060zd2_1148
																																									=
																																									CDR
																																									(BgL_cdrzd26055zd2_1145);
																																								if (PAIRP(BgL_cdrzd26060zd2_1148))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26064zd2_1150;
																																										BgL_carzd26064zd2_1150
																																											=
																																											CAR
																																											(BgL_cdrzd26060zd2_1148);
																																										if (PAIRP(BgL_carzd26064zd2_1150))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26069zd2_1152;
																																												BgL_cdrzd26069zd2_1152
																																													=
																																													CDR
																																													(BgL_carzd26064zd2_1150);
																																												if ((CAR(BgL_carzd26064zd2_1150) == BGl_symbol2622z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26069zd2_1152))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26073zd2_1155;
																																																BgL_cdrzd26073zd2_1155
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26069zd2_1152);
																																																if (PAIRP(BgL_cdrzd26073zd2_1155))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26073zd2_1155)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd26060zd2_1148)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1586z00_1159;
																																																						obj_t
																																																							BgL_arg1587z00_1160;
																																																						obj_t
																																																							BgL_arg1588z00_1161;
																																																						BgL_arg1586z00_1159
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1145);
																																																						BgL_arg1587z00_1160
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26069zd2_1152);
																																																						BgL_arg1588z00_1161
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26073zd2_1155);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5260;
																																																							BgL_gvz00_908
																																																								=
																																																								BgL_arg1586z00_1159;
																																																							BgL_formalsz00_909
																																																								=
																																																								BgL_arg1587z00_1160;
																																																							BgL_bodyz00_910
																																																								=
																																																								BgL_arg1588z00_1161;
																																																						BgL_tagzd2148zd2_911:
																																																							{	/* Eval/evaluate.scm 438 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1137z00_1750;
																																																								{	/* Eval/evaluate.scm 438 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1136z00_1753;
																																																									BgL_new1136z00_1753
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 438 */
																																																										long
																																																											BgL_arg2037z00_1754;
																																																										{	/* Eval/evaluate.scm 438 */
																																																											long
																																																												BgL_res2402z00_2898;
																																																											{	/* Eval/evaluate.scm 438 */
																																																												obj_t
																																																													BgL_classz00_2895;
																																																												BgL_classz00_2895
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 438 */
																																																													obj_t
																																																														BgL_vectorz00_2896;
																																																													int
																																																														BgL_kz00_2897;
																																																													BgL_vectorz00_2896
																																																														=
																																																														BgL_classz00_2895;
																																																													BgL_kz00_2897
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2402z00_2898
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2896,
																																																															BgL_kz00_2897));
																																																											}}
																																																											BgL_arg2037z00_1754
																																																												=
																																																												BgL_res2402z00_2898;
																																																										}
																																																										{	/* Eval/evaluate.scm 438 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2899;
																																																											BgL_objz00_2899
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1136z00_1753);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2899,
																																																												BgL_arg2037z00_1754);
																																																									}}
																																																									{	/* Eval/evaluate.scm 438 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5267;
																																																										BgL_auxz00_5267
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1136z00_1753);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5267,
																																																											BFALSE);
																																																									}
																																																									BgL_new1137z00_1750
																																																										=
																																																										BgL_new1136z00_1753;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_1750)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_909, BgL_bodyz00_910, BgL_gvz00_908))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1750)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5276;
																																																									{	/* Eval/evaluate.scm 440 */
																																																										obj_t
																																																											BgL_arg2034z00_1751;
																																																										BgL_arg2034z00_1751
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_908);
																																																										BgL_auxz00_5276
																																																											=
																																																											CAR
																																																											(BgL_arg2034z00_1751);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1750)))->BgL_namez00) = ((obj_t) BgL_auxz00_5276), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5281;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 441 */
																																																											BgL_auxz00_5281
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 441 */
																																																											BgL_auxz00_5281
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1750)))->BgL_modz00) = ((obj_t) BgL_auxz00_5281), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5260
																																																									=
																																																									BgL_new1137z00_1750;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5260);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1589z00_1162;
																																																						BgL_arg1589z00_1162
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5289;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5291;
																																																								obj_t
																																																									BgL_fz00_5290;
																																																								BgL_fz00_5290
																																																									=
																																																									BgL_arg1589z00_1162;
																																																								BgL_argsz00_5291
																																																									=
																																																									BgL_cdrzd26055zd2_1145;
																																																								BgL_argsz00_928
																																																									=
																																																									BgL_argsz00_5291;
																																																								BgL_fz00_927
																																																									=
																																																									BgL_fz00_5290;
																																																								goto
																																																									BgL_tagzd2154zd2_929;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5289);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd26147zd2_1166;
																																																				BgL_cdrzd26147zd2_1166
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26055zd2_1145);
																																																				if (NULLP(CDR(BgL_cdrzd26147zd2_1166)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1593z00_1168;
																																																						obj_t
																																																							BgL_arg1594z00_1169;
																																																						BgL_arg1593z00_1168
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1145);
																																																						BgL_arg1594z00_1169
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26147zd2_1166);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5299;
																																																							BgL_gvz00_912
																																																								=
																																																								BgL_arg1593z00_1168;
																																																							BgL_gez00_913
																																																								=
																																																								BgL_arg1594z00_1169;
																																																						BgL_tagzd2149zd2_914:
																																																							{	/* Eval/evaluate.scm 444 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1139z00_1755;
																																																								{	/* Eval/evaluate.scm 444 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1138z00_1758;
																																																									BgL_new1138z00_1758
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 444 */
																																																										long
																																																											BgL_arg2040z00_1759;
																																																										{	/* Eval/evaluate.scm 444 */
																																																											long
																																																												BgL_res2403z00_2905;
																																																											{	/* Eval/evaluate.scm 444 */
																																																												obj_t
																																																													BgL_classz00_2902;
																																																												BgL_classz00_2902
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 444 */
																																																													obj_t
																																																														BgL_vectorz00_2903;
																																																													int
																																																														BgL_kz00_2904;
																																																													BgL_vectorz00_2903
																																																														=
																																																														BgL_classz00_2902;
																																																													BgL_kz00_2904
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2403z00_2905
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2903,
																																																															BgL_kz00_2904));
																																																											}}
																																																											BgL_arg2040z00_1759
																																																												=
																																																												BgL_res2403z00_2905;
																																																										}
																																																										{	/* Eval/evaluate.scm 444 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2906;
																																																											BgL_objz00_2906
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1138z00_1758);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2906,
																																																												BgL_arg2040z00_1759);
																																																									}}
																																																									{	/* Eval/evaluate.scm 444 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5306;
																																																										BgL_auxz00_5306
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1138z00_1758);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5306,
																																																											BFALSE);
																																																									}
																																																									BgL_new1139z00_1755
																																																										=
																																																										BgL_new1138z00_1758;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5309;
																																																									{	/* Eval/evaluate.scm 448 */
																																																										obj_t
																																																											BgL_arg2059z00_2909;
																																																										{	/* Eval/evaluate.scm 448 */
																																																											obj_t
																																																												BgL__ortest_1066z00_2912;
																																																											BgL__ortest_1066z00_2912
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_913);
																																																											if (CBOOL(BgL__ortest_1066z00_2912))
																																																												{	/* Eval/evaluate.scm 448 */
																																																													BgL_arg2059z00_2909
																																																														=
																																																														BgL__ortest_1066z00_2912;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 448 */
																																																													BgL_arg2059z00_2909
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5309
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_913,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2059z00_2909,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1755)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5309), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1755)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5319;
																																																									{	/* Eval/evaluate.scm 446 */
																																																										obj_t
																																																											BgL_arg2038z00_1756;
																																																										BgL_arg2038z00_1756
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_912);
																																																										BgL_auxz00_5319
																																																											=
																																																											CAR
																																																											(BgL_arg2038z00_1756);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1755)))->BgL_namez00) = ((obj_t) BgL_auxz00_5319), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5324;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 447 */
																																																											BgL_auxz00_5324
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 447 */
																																																											BgL_auxz00_5324
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1755)))->BgL_modz00) = ((obj_t) BgL_auxz00_5324), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5299
																																																									=
																																																									BgL_new1139z00_1755;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5299);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1595z00_1170;
																																																						obj_t
																																																							BgL_arg1596z00_1171;
																																																						BgL_arg1595z00_1170
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1596z00_1171
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5333;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5335;
																																																								obj_t
																																																									BgL_fz00_5334;
																																																								BgL_fz00_5334
																																																									=
																																																									BgL_arg1595z00_1170;
																																																								BgL_argsz00_5335
																																																									=
																																																									BgL_arg1596z00_1171;
																																																								BgL_argsz00_928
																																																									=
																																																									BgL_argsz00_5335;
																																																								BgL_fz00_927
																																																									=
																																																									BgL_fz00_5334;
																																																								goto
																																																									BgL_tagzd2154zd2_929;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5333);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd26210zd2_1175;
																																																		BgL_cdrzd26210zd2_1175
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26055zd2_1145);
																																																		if (NULLP(CDR(BgL_cdrzd26210zd2_1175)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1603z00_1177;
																																																				obj_t
																																																					BgL_arg1605z00_1178;
																																																				BgL_arg1603z00_1177
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26055zd2_1145);
																																																				BgL_arg1605z00_1178
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26210zd2_1175);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5343;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5345;
																																																						obj_t
																																																							BgL_gvz00_5344;
																																																						BgL_gvz00_5344
																																																							=
																																																							BgL_arg1603z00_1177;
																																																						BgL_gez00_5345
																																																							=
																																																							BgL_arg1605z00_1178;
																																																						BgL_gez00_913
																																																							=
																																																							BgL_gez00_5345;
																																																						BgL_gvz00_912
																																																							=
																																																							BgL_gvz00_5344;
																																																						goto
																																																							BgL_tagzd2149zd2_914;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5343);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1606z00_1179;
																																																				obj_t
																																																					BgL_arg1608z00_1180;
																																																				BgL_arg1606z00_1179
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1608z00_1180
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5349;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5351;
																																																						obj_t
																																																							BgL_fz00_5350;
																																																						BgL_fz00_5350
																																																							=
																																																							BgL_arg1606z00_1179;
																																																						BgL_argsz00_5351
																																																							=
																																																							BgL_arg1608z00_1180;
																																																						BgL_argsz00_928
																																																							=
																																																							BgL_argsz00_5351;
																																																						BgL_fz00_927
																																																							=
																																																							BgL_fz00_5350;
																																																						goto
																																																							BgL_tagzd2154zd2_929;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5349);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26273zd2_1183;
																																																BgL_cdrzd26273zd2_1183
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26055zd2_1145);
																																																if (NULLP(CDR(BgL_cdrzd26273zd2_1183)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1611z00_1185;
																																																		obj_t
																																																			BgL_arg1612z00_1186;
																																																		BgL_arg1611z00_1185
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26055zd2_1145);
																																																		BgL_arg1612z00_1186
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26273zd2_1183);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5359;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5361;
																																																				obj_t
																																																					BgL_gvz00_5360;
																																																				BgL_gvz00_5360
																																																					=
																																																					BgL_arg1611z00_1185;
																																																				BgL_gez00_5361
																																																					=
																																																					BgL_arg1612z00_1186;
																																																				BgL_gez00_913
																																																					=
																																																					BgL_gez00_5361;
																																																				BgL_gvz00_912
																																																					=
																																																					BgL_gvz00_5360;
																																																				goto
																																																					BgL_tagzd2149zd2_914;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5359);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1613z00_1187;
																																																		obj_t
																																																			BgL_arg1614z00_1188;
																																																		BgL_arg1613z00_1187
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1614z00_1188
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5365;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5367;
																																																				obj_t
																																																					BgL_fz00_5366;
																																																				BgL_fz00_5366
																																																					=
																																																					BgL_arg1613z00_1187;
																																																				BgL_argsz00_5367
																																																					=
																																																					BgL_arg1614z00_1188;
																																																				BgL_argsz00_928
																																																					=
																																																					BgL_argsz00_5367;
																																																				BgL_fz00_927
																																																					=
																																																					BgL_fz00_5366;
																																																				goto
																																																					BgL_tagzd2154zd2_929;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5365);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd26336zd2_1191;
																																														BgL_cdrzd26336zd2_1191
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1145);
																																														if (NULLP(CDR(BgL_cdrzd26336zd2_1191)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1618z00_1193;
																																																obj_t
																																																	BgL_arg1619z00_1194;
																																																BgL_arg1618z00_1193
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26055zd2_1145);
																																																BgL_arg1619z00_1194
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26336zd2_1191);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5375;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5377;
																																																		obj_t
																																																			BgL_gvz00_5376;
																																																		BgL_gvz00_5376
																																																			=
																																																			BgL_arg1618z00_1193;
																																																		BgL_gez00_5377
																																																			=
																																																			BgL_arg1619z00_1194;
																																																		BgL_gez00_913
																																																			=
																																																			BgL_gez00_5377;
																																																		BgL_gvz00_912
																																																			=
																																																			BgL_gvz00_5376;
																																																		goto
																																																			BgL_tagzd2149zd2_914;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5375);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1620z00_1195;
																																																obj_t
																																																	BgL_arg1621z00_1196;
																																																BgL_arg1620z00_1195
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1621z00_1196
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5381;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5383;
																																																		obj_t
																																																			BgL_fz00_5382;
																																																		BgL_fz00_5382
																																																			=
																																																			BgL_arg1620z00_1195;
																																																		BgL_argsz00_5383
																																																			=
																																																			BgL_arg1621z00_1196;
																																																		BgL_argsz00_928
																																																			=
																																																			BgL_argsz00_5383;
																																																		BgL_fz00_927
																																																			=
																																																			BgL_fz00_5382;
																																																		goto
																																																			BgL_tagzd2154zd2_929;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5381);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26399zd2_1200;
																																												BgL_cdrzd26399zd2_1200
																																													=
																																													CDR
																																													(BgL_cdrzd26055zd2_1145);
																																												if (NULLP(CDR(BgL_cdrzd26399zd2_1200)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1625z00_1202;
																																														obj_t
																																															BgL_arg1626z00_1203;
																																														BgL_arg1625z00_1202
																																															=
																																															CAR
																																															(BgL_cdrzd26055zd2_1145);
																																														BgL_arg1626z00_1203
																																															=
																																															CAR
																																															(BgL_cdrzd26399zd2_1200);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5391;
																																															{
																																																obj_t
																																																	BgL_gez00_5393;
																																																obj_t
																																																	BgL_gvz00_5392;
																																																BgL_gvz00_5392
																																																	=
																																																	BgL_arg1625z00_1202;
																																																BgL_gez00_5393
																																																	=
																																																	BgL_arg1626z00_1203;
																																																BgL_gez00_913
																																																	=
																																																	BgL_gez00_5393;
																																																BgL_gvz00_912
																																																	=
																																																	BgL_gvz00_5392;
																																																goto
																																																	BgL_tagzd2149zd2_914;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5391);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1627z00_1204;
																																														obj_t
																																															BgL_arg1628z00_1205;
																																														BgL_arg1627z00_1204
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1628z00_1205
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5397;
																																															{
																																																obj_t
																																																	BgL_argsz00_5399;
																																																obj_t
																																																	BgL_fz00_5398;
																																																BgL_fz00_5398
																																																	=
																																																	BgL_arg1627z00_1204;
																																																BgL_argsz00_5399
																																																	=
																																																	BgL_arg1628z00_1205;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_5399;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_5398;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5397);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1630z00_1207;
																																										BgL_arg1630z00_1207
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5402;
																																											{
																																												obj_t
																																													BgL_argsz00_5404;
																																												obj_t
																																													BgL_fz00_5403;
																																												BgL_fz00_5403
																																													=
																																													BgL_arg1630z00_1207;
																																												BgL_argsz00_5404
																																													=
																																													BgL_cdrzd26055zd2_1145;
																																												BgL_argsz00_928
																																													=
																																													BgL_argsz00_5404;
																																												BgL_fz00_927
																																													=
																																													BgL_fz00_5403;
																																												goto
																																													BgL_tagzd2154zd2_929;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5402);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1632z00_1209;
																																								BgL_arg1632z00_1209
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5407;
																																									{
																																										obj_t
																																											BgL_argsz00_5409;
																																										obj_t
																																											BgL_fz00_5408;
																																										BgL_fz00_5408
																																											=
																																											BgL_arg1632z00_1209;
																																										BgL_argsz00_5409
																																											=
																																											BgL_cdrzd26055zd2_1145;
																																										BgL_argsz00_928
																																											=
																																											BgL_argsz00_5409;
																																										BgL_fz00_927
																																											=
																																											BgL_fz00_5408;
																																										goto
																																											BgL_tagzd2154zd2_929;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5407);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2624z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd26055zd2_1145))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26567zd2_1214;
																																										BgL_carzd26567zd2_1214
																																											=
																																											CAR
																																											(BgL_cdrzd26055zd2_1145);
																																										if (PAIRP(BgL_carzd26567zd2_1214))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (NULLP(CDR(BgL_carzd26567zd2_1214)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1640z00_1217;
																																														obj_t
																																															BgL_arg1641z00_1218;
																																														BgL_arg1640z00_1217
																																															=
																																															CAR
																																															(BgL_carzd26567zd2_1214);
																																														BgL_arg1641z00_1218
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1145);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5424;
																																															BgL_vz00_915
																																																=
																																																BgL_arg1640z00_1217;
																																															BgL_bodyz00_916
																																																=
																																																BgL_arg1641z00_1218;
																																														BgL_tagzd2150zd2_917:
																																															{	/* Eval/evaluate.scm 450 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1760;
																																																{	/* Eval/evaluate.scm 450 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1141z00_1765;
																																																	{	/* Eval/evaluate.scm 450 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1140z00_1766;
																																																		BgL_new1140z00_1766
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 450 */
																																																			long
																																																				BgL_arg2044z00_1767;
																																																			{	/* Eval/evaluate.scm 450 */
																																																				long
																																																					BgL_res2404z00_2919;
																																																				{	/* Eval/evaluate.scm 450 */
																																																					obj_t
																																																						BgL_classz00_2916;
																																																					BgL_classz00_2916
																																																						=
																																																						BGl_ev_varz00zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 450 */
																																																						obj_t
																																																							BgL_vectorz00_2917;
																																																						int
																																																							BgL_kz00_2918;
																																																						BgL_vectorz00_2917
																																																							=
																																																							BgL_classz00_2916;
																																																						BgL_kz00_2918
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2404z00_2919
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2917,
																																																								BgL_kz00_2918));
																																																				}}
																																																				BgL_arg2044z00_1767
																																																					=
																																																					BgL_res2404z00_2919;
																																																			}
																																																			{	/* Eval/evaluate.scm 450 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2920;
																																																				BgL_objz00_2920
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1140z00_1766);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2920,
																																																					BgL_arg2044z00_1767);
																																																		}}
																																																		{	/* Eval/evaluate.scm 450 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5431;
																																																			BgL_auxz00_5431
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1140z00_1766);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5431,
																																																				BFALSE);
																																																		}
																																																		BgL_new1141z00_1765
																																																			=
																																																			BgL_new1140z00_1766;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1765))->BgL_namez00) = ((obj_t) BgL_vz00_915), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1765))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1765))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1760
																																																		=
																																																		BgL_new1141z00_1765;
																																																}
																																																{	/* Eval/evaluate.scm 451 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1143z00_1761;
																																																	{	/* Eval/evaluate.scm 451 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1142z00_1763;
																																																		BgL_new1142z00_1763
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 451 */
																																																			long
																																																				BgL_arg2043z00_1764;
																																																			{	/* Eval/evaluate.scm 451 */
																																																				long
																																																					BgL_res2405z00_2925;
																																																				{	/* Eval/evaluate.scm 451 */
																																																					obj_t
																																																						BgL_classz00_2922;
																																																					BgL_classz00_2922
																																																						=
																																																						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 451 */
																																																						obj_t
																																																							BgL_vectorz00_2923;
																																																						int
																																																							BgL_kz00_2924;
																																																						BgL_vectorz00_2923
																																																							=
																																																							BgL_classz00_2922;
																																																						BgL_kz00_2924
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2405z00_2925
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2923,
																																																								BgL_kz00_2924));
																																																				}}
																																																				BgL_arg2043z00_1764
																																																					=
																																																					BgL_res2405z00_2925;
																																																			}
																																																			{	/* Eval/evaluate.scm 451 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2926;
																																																				BgL_objz00_2926
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1142z00_1763);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2926,
																																																					BgL_arg2043z00_1764);
																																																		}}
																																																		{	/* Eval/evaluate.scm 451 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5443;
																																																			BgL_auxz00_5443
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1142z00_1763);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5443,
																																																				BFALSE);
																																																		}
																																																		BgL_new1143z00_1761
																																																			=
																																																			BgL_new1142z00_1763;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1761))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1760), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5447;
																																																		{	/* Eval/evaluate.scm 453 */
																																																			obj_t
																																																				BgL_arg2041z00_1762;
																																																			BgL_arg2041z00_1762
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1760), BgL_localsz00_50);
																																																			BgL_auxz00_5447
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_916,
																																																					BgL_arg2041z00_1762,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1761))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5447), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5424
																																																		=
																																																		BgL_new1143z00_1761;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5424);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1642z00_1219;
																																														obj_t
																																															BgL_arg1643z00_1220;
																																														BgL_arg1642z00_1219
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1643z00_1220
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5456;
																																															{
																																																obj_t
																																																	BgL_argsz00_5458;
																																																obj_t
																																																	BgL_fz00_5457;
																																																BgL_fz00_5457
																																																	=
																																																	BgL_arg1642z00_1219;
																																																BgL_argsz00_5458
																																																	=
																																																	BgL_arg1643z00_1220;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_5458;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_5457;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5456);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1645z00_1222;
																																												obj_t
																																													BgL_arg1646z00_1223;
																																												BgL_arg1645z00_1222
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1646z00_1223
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5462;
																																													{
																																														obj_t
																																															BgL_argsz00_5464;
																																														obj_t
																																															BgL_fz00_5463;
																																														BgL_fz00_5463
																																															=
																																															BgL_arg1645z00_1222;
																																														BgL_argsz00_5464
																																															=
																																															BgL_arg1646z00_1223;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_5464;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_5463;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5462);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1647z00_1224;
																																										obj_t
																																											BgL_arg1649z00_1225;
																																										BgL_arg1647z00_1224
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1649z00_1225
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5468;
																																											{
																																												obj_t
																																													BgL_argsz00_5470;
																																												obj_t
																																													BgL_fz00_5469;
																																												BgL_fz00_5469
																																													=
																																													BgL_arg1647z00_1224;
																																												BgL_argsz00_5470
																																													=
																																													BgL_arg1649z00_1225;
																																												BgL_argsz00_928
																																													=
																																													BgL_argsz00_5470;
																																												BgL_fz00_927
																																													=
																																													BgL_fz00_5469;
																																												goto
																																													BgL_tagzd2154zd2_929;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5468);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26670zd2_1226;
																																								BgL_cdrzd26670zd2_1226
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2626z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd26670zd2_1226))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1652z00_1229;
																																												obj_t
																																													BgL_arg1653z00_1230;
																																												BgL_arg1652z00_1229
																																													=
																																													CAR
																																													(BgL_cdrzd26670zd2_1226);
																																												BgL_arg1653z00_1230
																																													=
																																													CDR
																																													(BgL_cdrzd26670zd2_1226);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5480;
																																													BgL_ez00_918
																																														=
																																														BgL_arg1652z00_1229;
																																													BgL_bodyz00_919
																																														=
																																														BgL_arg1653z00_1230;
																																												BgL_tagzd2151zd2_920:
																																													{	/* Eval/evaluate.scm 455 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1145z00_1768;
																																														{	/* Eval/evaluate.scm 455 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1144z00_1769;
																																															BgL_new1144z00_1769
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 455 */
																																																long
																																																	BgL_arg2045z00_1770;
																																																{	/* Eval/evaluate.scm 455 */
																																																	long
																																																		BgL_res2406z00_2931;
																																																	{	/* Eval/evaluate.scm 455 */
																																																		obj_t
																																																			BgL_classz00_2928;
																																																		BgL_classz00_2928
																																																			=
																																																			BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
																																																		{	/* Eval/evaluate.scm 455 */
																																																			obj_t
																																																				BgL_vectorz00_2929;
																																																			int
																																																				BgL_kz00_2930;
																																																			BgL_vectorz00_2929
																																																				=
																																																				BgL_classz00_2928;
																																																			BgL_kz00_2930
																																																				=
																																																				(int)
																																																				(
																																																				((long) 1));
																																																			BgL_res2406z00_2931
																																																				=
																																																				(long)
																																																				CINT
																																																				(VECTOR_REF
																																																				(BgL_vectorz00_2929,
																																																					BgL_kz00_2930));
																																																	}}
																																																	BgL_arg2045z00_1770
																																																		=
																																																		BgL_res2406z00_2931;
																																																}
																																																{	/* Eval/evaluate.scm 455 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_2932;
																																																	BgL_objz00_2932
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1144z00_1769);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_2932,
																																																		BgL_arg2045z00_1770);
																																															}}
																																															{	/* Eval/evaluate.scm 455 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5487;
																																																BgL_auxz00_5487
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1144z00_1769);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5487,
																																																	BFALSE);
																																															}
																																															BgL_new1145z00_1768
																																																=
																																																BgL_new1144z00_1769;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5490;
																																															{	/* Eval/evaluate.scm 456 */
																																																obj_t
																																																	BgL_arg2059z00_2935;
																																																{	/* Eval/evaluate.scm 456 */
																																																	obj_t
																																																		BgL__ortest_1066z00_2938;
																																																	BgL__ortest_1066z00_2938
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_918);
																																																	if (CBOOL(BgL__ortest_1066z00_2938))
																																																		{	/* Eval/evaluate.scm 456 */
																																																			BgL_arg2059z00_2935
																																																				=
																																																				BgL__ortest_1066z00_2938;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 456 */
																																																			BgL_arg2059z00_2935
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5490
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_918,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2059z00_2935,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1768))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5490), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1768))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_919, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5480
																																															=
																																															BgL_new1145z00_1768;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5480);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1655z00_1231;
																																												BgL_arg1655z00_1231
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5502;
																																													{
																																														obj_t
																																															BgL_argsz00_5504;
																																														obj_t
																																															BgL_fz00_5503;
																																														BgL_fz00_5503
																																															=
																																															BgL_arg1655z00_1231;
																																														BgL_argsz00_5504
																																															=
																																															BgL_cdrzd26670zd2_1226;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_5504;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_5503;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5502);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2628z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd26670zd2_1226))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1659z00_1236;
																																														obj_t
																																															BgL_arg1660z00_1237;
																																														BgL_arg1659z00_1236
																																															=
																																															CAR
																																															(BgL_cdrzd26670zd2_1226);
																																														BgL_arg1660z00_1237
																																															=
																																															CDR
																																															(BgL_cdrzd26670zd2_1226);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5513;
																																															BgL_hz00_921
																																																=
																																																BgL_arg1659z00_1236;
																																															BgL_bodyz00_922
																																																=
																																																BgL_arg1660z00_1237;
																																														BgL_tagzd2152zd2_923:
																																															{	/* Eval/evaluate.scm 459 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1147z00_1771;
																																																{	/* Eval/evaluate.scm 459 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1146z00_1772;
																																																	BgL_new1146z00_1772
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 459 */
																																																		long
																																																			BgL_arg2047z00_1773;
																																																		{	/* Eval/evaluate.scm 459 */
																																																			long
																																																				BgL_res2407z00_2944;
																																																			{	/* Eval/evaluate.scm 459 */
																																																				obj_t
																																																					BgL_classz00_2941;
																																																				BgL_classz00_2941
																																																					=
																																																					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
																																																				{	/* Eval/evaluate.scm 459 */
																																																					obj_t
																																																						BgL_vectorz00_2942;
																																																					int
																																																						BgL_kz00_2943;
																																																					BgL_vectorz00_2942
																																																						=
																																																						BgL_classz00_2941;
																																																					BgL_kz00_2943
																																																						=
																																																						(int)
																																																						(
																																																						((long) 1));
																																																					BgL_res2407z00_2944
																																																						=
																																																						(long)
																																																						CINT
																																																						(VECTOR_REF
																																																						(BgL_vectorz00_2942,
																																																							BgL_kz00_2943));
																																																			}}
																																																			BgL_arg2047z00_1773
																																																				=
																																																				BgL_res2407z00_2944;
																																																		}
																																																		{	/* Eval/evaluate.scm 459 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_2945;
																																																			BgL_objz00_2945
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1146z00_1772);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_2945,
																																																				BgL_arg2047z00_1773);
																																																	}}
																																																	{	/* Eval/evaluate.scm 459 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5520;
																																																		BgL_auxz00_5520
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1146z00_1772);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5520,
																																																			BFALSE);
																																																	}
																																																	BgL_new1147z00_1771
																																																		=
																																																		BgL_new1146z00_1772;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5523;
																																																	{	/* Eval/evaluate.scm 460 */
																																																		obj_t
																																																			BgL_arg2059z00_2948;
																																																		{	/* Eval/evaluate.scm 460 */
																																																			obj_t
																																																				BgL__ortest_1066z00_2951;
																																																			BgL__ortest_1066z00_2951
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_921);
																																																			if (CBOOL(BgL__ortest_1066z00_2951))
																																																				{	/* Eval/evaluate.scm 460 */
																																																					BgL_arg2059z00_2948
																																																						=
																																																						BgL__ortest_1066z00_2951;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 460 */
																																																					BgL_arg2059z00_2948
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5523
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_921,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2059z00_2948,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1771))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5523), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1771))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_922, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5513
																																																	=
																																																	BgL_new1147z00_1771;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5513);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1661z00_1238;
																																														obj_t
																																															BgL_arg1662z00_1239;
																																														BgL_arg1661z00_1238
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1662z00_1239
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5536;
																																															{
																																																obj_t
																																																	BgL_argsz00_5538;
																																																obj_t
																																																	BgL_fz00_5537;
																																																BgL_fz00_5537
																																																	=
																																																	BgL_arg1661z00_1238;
																																																BgL_argsz00_5538
																																																	=
																																																	BgL_arg1662z00_1239;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_5538;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_5537;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5536);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26734zd2_1240;
																																												BgL_cdrzd26734zd2_1240
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2622z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26734zd2_1240))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26738zd2_1243;
																																																BgL_cdrzd26738zd2_1243
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26734zd2_1240);
																																																if (PAIRP(BgL_cdrzd26738zd2_1243))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26738zd2_1243)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1667z00_1246;
																																																				obj_t
																																																					BgL_arg1668z00_1247;
																																																				BgL_arg1667z00_1246
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26734zd2_1240);
																																																				BgL_arg1668z00_1247
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26738zd2_1243);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2048z00_3388;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg2050z00_3389;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg2051z00_3390;
																																																							obj_t
																																																								BgL_arg2052z00_3391;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2483z00_3394;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3392;
																																																									BgL_symbolz00_3392
																																																										=
																																																										BGl_symbol2630z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2229z00_3393;
																																																										BgL_arg2229z00_3393
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3392);
																																																										BgL_res2483z00_3394
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2229z00_3393);
																																																									}
																																																								}
																																																								BgL_arg2051z00_3390
																																																									=
																																																									BgL_res2483z00_3394;
																																																							}
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2484z00_3397;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3395;
																																																									BgL_symbolz00_3395
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2229z00_3396;
																																																										BgL_arg2229z00_3396
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3395);
																																																										BgL_res2484z00_3397
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2229z00_3396);
																																																									}
																																																								}
																																																								BgL_arg2052z00_3391
																																																									=
																																																									BgL_res2484z00_3397;
																																																							}
																																																							BgL_arg2050z00_3389
																																																								=
																																																								string_append
																																																								(BgL_arg2051z00_3390,
																																																								BgL_arg2052z00_3391);
																																																						}
																																																						BgL_arg2048z00_3388
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2050z00_3389));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1667z00_1246,
																																																							BgL_arg1668z00_1247,
																																																							BgL_arg2048z00_3388));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1669z00_1248;
																																																				BgL_arg1669z00_1248
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5564;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5566;
																																																						obj_t
																																																							BgL_fz00_5565;
																																																						BgL_fz00_5565
																																																							=
																																																							BgL_arg1669z00_1248;
																																																						BgL_argsz00_5566
																																																							=
																																																							BgL_cdrzd26734zd2_1240;
																																																						BgL_argsz00_928
																																																							=
																																																							BgL_argsz00_5566;
																																																						BgL_fz00_927
																																																							=
																																																							BgL_fz00_5565;
																																																						goto
																																																							BgL_tagzd2154zd2_929;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5564);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1672z00_1251;
																																																		BgL_arg1672z00_1251
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5569;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5571;
																																																				obj_t
																																																					BgL_fz00_5570;
																																																				BgL_fz00_5570
																																																					=
																																																					BgL_arg1672z00_1251;
																																																				BgL_argsz00_5571
																																																					=
																																																					BgL_cdrzd26734zd2_1240;
																																																				BgL_argsz00_928
																																																					=
																																																					BgL_argsz00_5571;
																																																				BgL_fz00_927
																																																					=
																																																					BgL_fz00_5570;
																																																				goto
																																																					BgL_tagzd2154zd2_929;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5569);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1674z00_1253;
																																																BgL_arg1674z00_1253
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5574;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5576;
																																																		obj_t
																																																			BgL_fz00_5575;
																																																		BgL_fz00_5575
																																																			=
																																																			BgL_arg1674z00_1253;
																																																		BgL_argsz00_5576
																																																			=
																																																			BgL_cdrzd26734zd2_1240;
																																																		BgL_argsz00_928
																																																			=
																																																			BgL_argsz00_5576;
																																																		BgL_fz00_927
																																																			=
																																																			BgL_fz00_5575;
																																																		goto
																																																			BgL_tagzd2154zd2_929;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5574);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1676z00_1255;
																																														BgL_arg1676z00_1255
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5579;
																																															{
																																																obj_t
																																																	BgL_argsz00_5581;
																																																obj_t
																																																	BgL_fz00_5580;
																																																BgL_fz00_5580
																																																	=
																																																	BgL_arg1676z00_1255;
																																																BgL_argsz00_5581
																																																	=
																																																	BgL_cdrzd26734zd2_1240;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_5581;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_5580;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5579);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														if (
															(BgL_carzd23104zd2_993 ==
																BGl_symbol2600z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 319 */
																if (PAIRP(BgL_cdrzd2225zd2_935))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2225zd2_935)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1697z00_1277;

																				BgL_arg1697z00_1277 =
																					CAR(BgL_cdrzd2225zd2_935);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5591;

																					{
																						obj_t BgL_ez00_5592;

																						BgL_ez00_5592 = BgL_arg1697z00_1277;
																						BgL_ez00_874 = BgL_ez00_5592;
																						goto BgL_tagzd2135zd2_875;
																					}
																					return ((obj_t) BgL_auxz00_5591);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1698z00_1278;
																				obj_t BgL_arg1699z00_1279;

																				BgL_arg1698z00_1278 = CAR(BgL_ez00_49);
																				BgL_arg1699z00_1279 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5596;

																					{
																						obj_t BgL_argsz00_5598;
																						obj_t BgL_fz00_5597;

																						BgL_fz00_5597 = BgL_arg1698z00_1278;
																						BgL_argsz00_5598 =
																							BgL_arg1699z00_1279;
																						BgL_argsz00_928 = BgL_argsz00_5598;
																						BgL_fz00_927 = BgL_fz00_5597;
																						goto BgL_tagzd2154zd2_929;
																					}
																					return ((obj_t) BgL_auxz00_5596);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_arg1701z00_1281;
																		obj_t BgL_arg1702z00_1282;

																		BgL_arg1701z00_1281 = CAR(BgL_ez00_49);
																		BgL_arg1702z00_1282 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5602;

																			{
																				obj_t BgL_argsz00_5604;
																				obj_t BgL_fz00_5603;

																				BgL_fz00_5603 = BgL_arg1701z00_1281;
																				BgL_argsz00_5604 = BgL_arg1702z00_1282;
																				BgL_argsz00_928 = BgL_argsz00_5604;
																				BgL_fz00_927 = BgL_fz00_5603;
																				goto BgL_tagzd2154zd2_929;
																			}
																			return ((obj_t) BgL_auxz00_5602);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_cdrzd27301zd2_1283;

																BgL_cdrzd27301zd2_1283 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2602z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd27301zd2_1283))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd27301zd2_1283)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1706z00_1287;

																						BgL_arg1706z00_1287 =
																							CAR(BgL_cdrzd27301zd2_1283);
																						{	/* Eval/evaluate.scm 319 */
																							BgL_ev_littz00_bglt
																								BgL_new1109z00_3429;
																							{	/* Eval/evaluate.scm 319 */
																								BgL_ev_littz00_bglt
																									BgL_new1108z00_3430;
																								BgL_new1108z00_3430 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 319 */
																									long BgL_arg1948z00_3431;

																									{	/* Eval/evaluate.scm 319 */
																										long BgL_res2490z00_3435;

																										{	/* Eval/evaluate.scm 319 */
																											obj_t BgL_classz00_3432;

																											BgL_classz00_3432 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_vectorz00_3433;
																												int BgL_kz00_3434;

																												BgL_vectorz00_3433 =
																													BgL_classz00_3432;
																												BgL_kz00_3434 =
																													(int) (((long) 1));
																												BgL_res2490z00_3435 =
																													(long)
																													CINT(VECTOR_REF
																													(BgL_vectorz00_3433,
																														BgL_kz00_3434));
																										}}
																										BgL_arg1948z00_3431 =
																											BgL_res2490z00_3435;
																									}
																									{	/* Eval/evaluate.scm 319 */
																										BgL_objectz00_bglt
																											BgL_objz00_3436;
																										BgL_objz00_3436 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_3430);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3436,
																											BgL_arg1948z00_3431);
																								}}
																								{	/* Eval/evaluate.scm 319 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5622;
																									BgL_auxz00_5622 =
																										((BgL_objectz00_bglt)
																										BgL_new1108z00_3430);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5622, BFALSE);
																								}
																								BgL_new1109z00_3429 =
																									BgL_new1108z00_3430;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1109z00_3429))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1706z00_1287),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1109z00_3429);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1707z00_1288;

																						BgL_arg1707z00_1288 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5628;
																							{
																								obj_t BgL_argsz00_5630;
																								obj_t BgL_fz00_5629;

																								BgL_fz00_5629 =
																									BgL_arg1707z00_1288;
																								BgL_argsz00_5630 =
																									BgL_cdrzd27301zd2_1283;
																								BgL_argsz00_928 =
																									BgL_argsz00_5630;
																								BgL_fz00_927 = BgL_fz00_5629;
																								goto BgL_tagzd2154zd2_929;
																							}
																							return ((obj_t) BgL_auxz00_5628);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1710z00_1291;

																				BgL_arg1710z00_1291 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5633;

																					{
																						obj_t BgL_argsz00_5635;
																						obj_t BgL_fz00_5634;

																						BgL_fz00_5634 = BgL_arg1710z00_1291;
																						BgL_argsz00_5635 =
																							BgL_cdrzd27301zd2_1283;
																						BgL_argsz00_928 = BgL_argsz00_5635;
																						BgL_fz00_927 = BgL_fz00_5634;
																						goto BgL_tagzd2154zd2_929;
																					}
																					return ((obj_t) BgL_auxz00_5633);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2604z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd27301zd2_1283))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_cdrzd27778zd2_1296;

																						BgL_cdrzd27778zd2_1296 =
																							CDR(BgL_cdrzd27301zd2_1283);
																						if (PAIRP(BgL_cdrzd27778zd2_1296))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd27783zd2_1298;

																								BgL_cdrzd27783zd2_1298 =
																									CDR(BgL_cdrzd27778zd2_1296);
																								if (PAIRP
																									(BgL_cdrzd27783zd2_1298))
																									{	/* Eval/evaluate.scm 319 */
																										if (NULLP(CDR
																												(BgL_cdrzd27783zd2_1298)))
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1717z00_1301;
																												obj_t
																													BgL_arg1718z00_1302;
																												obj_t
																													BgL_arg1719z00_1303;
																												BgL_arg1717z00_1301 =
																													CAR
																													(BgL_cdrzd27301zd2_1283);
																												BgL_arg1718z00_1302 =
																													CAR
																													(BgL_cdrzd27778zd2_1296);
																												BgL_arg1719z00_1303 =
																													CAR
																													(BgL_cdrzd27783zd2_1298);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5654;
																													{
																														obj_t BgL_oz00_5657;
																														obj_t BgL_tz00_5656;
																														obj_t BgL_pz00_5655;

																														BgL_pz00_5655 =
																															BgL_arg1717z00_1301;
																														BgL_tz00_5656 =
																															BgL_arg1718z00_1302;
																														BgL_oz00_5657 =
																															BgL_arg1719z00_1303;
																														BgL_oz00_880 =
																															BgL_oz00_5657;
																														BgL_tz00_879 =
																															BgL_tz00_5656;
																														BgL_pz00_878 =
																															BgL_pz00_5655;
																														goto
																															BgL_tagzd2137zd2_881;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5654);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1720z00_1304;
																												obj_t
																													BgL_arg1721z00_1305;
																												BgL_arg1720z00_1304 =
																													CAR(BgL_ez00_49);
																												BgL_arg1721z00_1305 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5661;
																													{
																														obj_t
																															BgL_argsz00_5663;
																														obj_t BgL_fz00_5662;

																														BgL_fz00_5662 =
																															BgL_arg1720z00_1304;
																														BgL_argsz00_5663 =
																															BgL_arg1721z00_1305;
																														BgL_argsz00_928 =
																															BgL_argsz00_5663;
																														BgL_fz00_927 =
																															BgL_fz00_5662;
																														goto
																															BgL_tagzd2154zd2_929;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5661);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1723z00_1307;
																										obj_t BgL_arg1724z00_1308;

																										BgL_arg1723z00_1307 =
																											CAR(BgL_ez00_49);
																										BgL_arg1724z00_1308 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5667;
																											{
																												obj_t BgL_argsz00_5669;
																												obj_t BgL_fz00_5668;

																												BgL_fz00_5668 =
																													BgL_arg1723z00_1307;
																												BgL_argsz00_5669 =
																													BgL_arg1724z00_1308;
																												BgL_argsz00_928 =
																													BgL_argsz00_5669;
																												BgL_fz00_927 =
																													BgL_fz00_5668;
																												goto
																													BgL_tagzd2154zd2_929;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5667);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1725z00_1309;
																								obj_t BgL_arg1726z00_1310;

																								BgL_arg1725z00_1309 =
																									CAR(BgL_ez00_49);
																								BgL_arg1726z00_1310 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5673;
																									{
																										obj_t BgL_argsz00_5675;
																										obj_t BgL_fz00_5674;

																										BgL_fz00_5674 =
																											BgL_arg1725z00_1309;
																										BgL_argsz00_5675 =
																											BgL_arg1726z00_1310;
																										BgL_argsz00_928 =
																											BgL_argsz00_5675;
																										BgL_fz00_927 =
																											BgL_fz00_5674;
																										goto BgL_tagzd2154zd2_929;
																									}
																									return
																										((obj_t) BgL_auxz00_5673);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1727z00_1311;
																						obj_t BgL_arg1728z00_1312;

																						BgL_arg1727z00_1311 =
																							CAR(BgL_ez00_49);
																						BgL_arg1728z00_1312 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5679;
																							{
																								obj_t BgL_argsz00_5681;
																								obj_t BgL_fz00_5680;

																								BgL_fz00_5680 =
																									BgL_arg1727z00_1311;
																								BgL_argsz00_5681 =
																									BgL_arg1728z00_1312;
																								BgL_argsz00_928 =
																									BgL_argsz00_5681;
																								BgL_fz00_927 = BgL_fz00_5680;
																								goto BgL_tagzd2154zd2_929;
																							}
																							return ((obj_t) BgL_auxz00_5679);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2606z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1730z00_1314;

																						BgL_arg1730z00_1314 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5687;

																							{
																								obj_t BgL_argsz00_5688;

																								BgL_argsz00_5688 =
																									BgL_arg1730z00_1314;
																								BgL_argsz00_882 =
																									BgL_argsz00_5688;
																								goto BgL_tagzd2138zd2_883;
																							}
																							return ((obj_t) BgL_auxz00_5687);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2608z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1732z00_1316;

																								BgL_arg1732z00_1316 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5694;
																									{
																										obj_t BgL_argsz00_5695;

																										BgL_argsz00_5695 =
																											BgL_arg1732z00_1316;
																										BgL_argsz00_884 =
																											BgL_argsz00_5695;
																										goto BgL_tagzd2139zd2_885;
																									}
																									return
																										((obj_t) BgL_auxz00_5694);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2610z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd28672zd2_1319;
																										BgL_cdrzd28672zd2_1319 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2612z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												if (PAIRP
																													(BgL_cdrzd28672zd2_1319))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1737z00_1322;
																														obj_t
																															BgL_arg1738z00_1323;
																														BgL_arg1737z00_1322
																															=
																															CAR
																															(BgL_cdrzd28672zd2_1319);
																														BgL_arg1738z00_1323
																															=
																															CDR
																															(BgL_cdrzd28672zd2_1319);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5710;
																															{
																																obj_t
																																	BgL_bodyz00_5712;
																																obj_t
																																	BgL_bindsz00_5711;
																																BgL_bindsz00_5711
																																	=
																																	BgL_arg1737z00_1322;
																																BgL_bodyz00_5712
																																	=
																																	BgL_arg1738z00_1323;
																																BgL_bodyz00_889
																																	=
																																	BgL_bodyz00_5712;
																																BgL_bindsz00_888
																																	=
																																	BgL_bindsz00_5711;
																																goto
																																	BgL_tagzd2141zd2_890;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5710);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1739z00_1324;
																														BgL_arg1739z00_1324
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5715;
																															{
																																obj_t
																																	BgL_argsz00_5717;
																																obj_t
																																	BgL_fz00_5716;
																																BgL_fz00_5716 =
																																	BgL_arg1739z00_1324;
																																BgL_argsz00_5717
																																	=
																																	BgL_cdrzd28672zd2_1319;
																																BgL_argsz00_928
																																	=
																																	BgL_argsz00_5717;
																																BgL_fz00_927 =
																																	BgL_fz00_5716;
																																goto
																																	BgL_tagzd2154zd2_929;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5715);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2614z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd28672zd2_1319))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1743z00_1329;
																																obj_t
																																	BgL_arg1744z00_1330;
																																BgL_arg1743z00_1329
																																	=
																																	CAR
																																	(BgL_cdrzd28672zd2_1319);
																																BgL_arg1744z00_1330
																																	=
																																	CDR
																																	(BgL_cdrzd28672zd2_1319);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5726;
																																	{
																																		obj_t
																																			BgL_bodyz00_5728;
																																		obj_t
																																			BgL_bindsz00_5727;
																																		BgL_bindsz00_5727
																																			=
																																			BgL_arg1743z00_1329;
																																		BgL_bodyz00_5728
																																			=
																																			BgL_arg1744z00_1330;
																																		BgL_bodyz00_892
																																			=
																																			BgL_bodyz00_5728;
																																		BgL_bindsz00_891
																																			=
																																			BgL_bindsz00_5727;
																																		goto
																																			BgL_tagzd2142zd2_893;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5726);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1745z00_1331;
																																obj_t
																																	BgL_arg1746z00_1332;
																																BgL_arg1745z00_1331
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1746z00_1332
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5732;
																																	{
																																		obj_t
																																			BgL_argsz00_5734;
																																		obj_t
																																			BgL_fz00_5733;
																																		BgL_fz00_5733
																																			=
																																			BgL_arg1745z00_1331;
																																		BgL_argsz00_5734
																																			=
																																			BgL_arg1746z00_1332;
																																		BgL_argsz00_928
																																			=
																																			BgL_argsz00_5734;
																																		BgL_fz00_927
																																			=
																																			BgL_fz00_5733;
																																		goto
																																			BgL_tagzd2154zd2_929;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5732);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_cdrzd28988zd2_1333;
																														BgL_cdrzd28988zd2_1333
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2616z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd28988zd2_1333))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1749z00_1336;
																																		obj_t
																																			BgL_arg1750z00_1337;
																																		BgL_arg1749z00_1336
																																			=
																																			CAR
																																			(BgL_cdrzd28988zd2_1333);
																																		BgL_arg1750z00_1337
																																			=
																																			CDR
																																			(BgL_cdrzd28988zd2_1333);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5744;
																																			{
																																				obj_t
																																					BgL_bodyz00_5746;
																																				obj_t
																																					BgL_bindsz00_5745;
																																				BgL_bindsz00_5745
																																					=
																																					BgL_arg1749z00_1336;
																																				BgL_bodyz00_5746
																																					=
																																					BgL_arg1750z00_1337;
																																				BgL_bodyz00_895
																																					=
																																					BgL_bodyz00_5746;
																																				BgL_bindsz00_894
																																					=
																																					BgL_bindsz00_5745;
																																				goto
																																					BgL_tagzd2143zd2_896;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5744);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1752z00_1338;
																																		BgL_arg1752z00_1338
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5749;
																																			{
																																				obj_t
																																					BgL_argsz00_5751;
																																				obj_t
																																					BgL_fz00_5750;
																																				BgL_fz00_5750
																																					=
																																					BgL_arg1752z00_1338;
																																				BgL_argsz00_5751
																																					=
																																					BgL_cdrzd28988zd2_1333;
																																				BgL_argsz00_928
																																					=
																																					BgL_argsz00_5751;
																																				BgL_fz00_927
																																					=
																																					BgL_fz00_5750;
																																				goto
																																					BgL_tagzd2154zd2_929;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5749);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2618z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd28988zd2_1333))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_carzd29126zd2_1343;
																																				obj_t
																																					BgL_cdrzd29127zd2_1344;
																																				BgL_carzd29126zd2_1343
																																					=
																																					CAR
																																					(BgL_cdrzd28988zd2_1333);
																																				BgL_cdrzd29127zd2_1344
																																					=
																																					CDR
																																					(BgL_cdrzd28988zd2_1333);
																																				if (PAIRP(BgL_carzd29126zd2_1343))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29131zd2_1346;
																																						BgL_cdrzd29131zd2_1346
																																							=
																																							CDR
																																							(BgL_carzd29126zd2_1343);
																																						if (
																																							(CAR
																																								(BgL_carzd29126zd2_1343)
																																								==
																																								BGl_symbol2596z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd29131zd2_1346))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd29134zd2_1349;
																																										obj_t
																																											BgL_cdrzd29135zd2_1350;
																																										BgL_carzd29134zd2_1349
																																											=
																																											CAR
																																											(BgL_cdrzd29131zd2_1346);
																																										BgL_cdrzd29135zd2_1350
																																											=
																																											CDR
																																											(BgL_cdrzd29131zd2_1346);
																																										if (SYMBOLP(BgL_carzd29134zd2_1349))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd29135zd2_1350))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_carzd29139zd2_1353;
																																														BgL_carzd29139zd2_1353
																																															=
																																															CAR
																																															(BgL_cdrzd29135zd2_1350);
																																														if (SYMBOLP(BgL_carzd29139zd2_1353))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd29135zd2_1350)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd29127zd2_1344))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd29127zd2_1344)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1765z00_1358;
																																																						BgL_arg1765z00_1358
																																																							=
																																																							CAR
																																																							(BgL_cdrzd29127zd2_1344);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_idz00_3527;
																																																							obj_t
																																																								BgL_modnamez00_3528;
																																																							BgL_idz00_3527
																																																								=
																																																								BgL_carzd29134zd2_1349;
																																																							BgL_modnamez00_3528
																																																								=
																																																								BgL_carzd29139zd2_1353;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1131z00_3530;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1130z00_3531;
																																																									BgL_new1130z00_3531
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 319 */
																																																										long
																																																											BgL_arg2019z00_3532;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											long
																																																												BgL_res2507z00_3536;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_classz00_3533;
																																																												BgL_classz00_3533
																																																													=
																																																													BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													obj_t
																																																														BgL_vectorz00_3534;
																																																													int
																																																														BgL_kz00_3535;
																																																													BgL_vectorz00_3534
																																																														=
																																																														BgL_classz00_3533;
																																																													BgL_kz00_3535
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2507z00_3536
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3534,
																																																															BgL_kz00_3535));
																																																											}}
																																																											BgL_arg2019z00_3532
																																																												=
																																																												BgL_res2507z00_3536;
																																																										}
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3537;
																																																											BgL_objz00_3537
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1130z00_3531);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3537,
																																																												BgL_arg2019z00_3532);
																																																									}}
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5792;
																																																										BgL_auxz00_5792
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1130z00_3531);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5792,
																																																											BFALSE);
																																																									}
																																																									BgL_new1131z00_3530
																																																										=
																																																										BgL_new1130z00_3531;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5795;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2059z00_3540;
																																																										BgL_arg2059z00_3540
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1765z00_1358,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5795
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1765z00_1358,
																																																												BgL_arg2059z00_3540));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3530)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5795), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3530))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3530))->BgL_namez00) = ((obj_t) BgL_idz00_3527), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3530))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3528)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1131z00_3530);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2584z00zz__evaluatez00,
																																																							BGl_string2590z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2584z00zz__evaluatez00,
																																																					BGl_string2590z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd29239zd2_1360;
																																																		BgL_cdrzd29239zd2_1360
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd29243zd2_1361;
																																																			BgL_cdrzd29243zd2_1361
																																																				=
																																																				CDR
																																																				(BgL_cdrzd29239zd2_1360);
																																																			if (PAIRP(BgL_cdrzd29243zd2_1361))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd29243zd2_1361)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1769z00_1364;
																																																							obj_t
																																																								BgL_arg1770z00_1365;
																																																							BgL_arg1769z00_1364
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29239zd2_1360);
																																																							BgL_arg1770z00_1365
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29243zd2_1361);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5817;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5819;
																																																									obj_t
																																																										BgL_vz00_5818;
																																																									BgL_vz00_5818
																																																										=
																																																										BgL_arg1769z00_1364;
																																																									BgL_ez00_5819
																																																										=
																																																										BgL_arg1770z00_1365;
																																																									BgL_ez00_905
																																																										=
																																																										BgL_ez00_5819;
																																																									BgL_vz00_904
																																																										=
																																																										BgL_vz00_5818;
																																																									goto
																																																										BgL_tagzd2146zd2_906;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5817);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2584z00zz__evaluatez00,
																																																								BGl_string2590z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2584z00zz__evaluatez00,
																																																						BGl_string2590z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd29292zd2_1368;
																																																BgL_cdrzd29292zd2_1368
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd29296zd2_1369;
																																																	BgL_cdrzd29296zd2_1369
																																																		=
																																																		CDR
																																																		(BgL_cdrzd29292zd2_1368);
																																																	if (PAIRP(BgL_cdrzd29296zd2_1369))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd29296zd2_1369)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1776z00_1372;
																																																					obj_t
																																																						BgL_arg1777z00_1373;
																																																					BgL_arg1776z00_1372
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29292zd2_1368);
																																																					BgL_arg1777z00_1373
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29296zd2_1369);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5832;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5834;
																																																							obj_t
																																																								BgL_vz00_5833;
																																																							BgL_vz00_5833
																																																								=
																																																								BgL_arg1776z00_1372;
																																																							BgL_ez00_5834
																																																								=
																																																								BgL_arg1777z00_1373;
																																																							BgL_ez00_905
																																																								=
																																																								BgL_ez00_5834;
																																																							BgL_vz00_904
																																																								=
																																																								BgL_vz00_5833;
																																																							goto
																																																								BgL_tagzd2146zd2_906;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5832);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2584z00zz__evaluatez00,
																																																						BGl_string2590z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2584z00zz__evaluatez00,
																																																				BGl_string2590z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29345zd2_1375;
																																														BgL_cdrzd29345zd2_1375
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd29349zd2_1376;
																																															BgL_cdrzd29349zd2_1376
																																																=
																																																CDR
																																																(BgL_cdrzd29345zd2_1375);
																																															if (PAIRP(BgL_cdrzd29349zd2_1376))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd29349zd2_1376)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1781z00_1379;
																																																			obj_t
																																																				BgL_arg1782z00_1380;
																																																			BgL_arg1781z00_1379
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29345zd2_1375);
																																																			BgL_arg1782z00_1380
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29349zd2_1376);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5847;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5849;
																																																					obj_t
																																																						BgL_vz00_5848;
																																																					BgL_vz00_5848
																																																						=
																																																						BgL_arg1781z00_1379;
																																																					BgL_ez00_5849
																																																						=
																																																						BgL_arg1782z00_1380;
																																																					BgL_ez00_905
																																																						=
																																																						BgL_ez00_5849;
																																																					BgL_vz00_904
																																																						=
																																																						BgL_vz00_5848;
																																																					goto
																																																						BgL_tagzd2146zd2_906;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5847);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2584z00zz__evaluatez00,
																																																				BGl_string2590z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd29398zd2_1382;
																																												BgL_cdrzd29398zd2_1382
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd29402zd2_1383;
																																													BgL_cdrzd29402zd2_1383
																																														=
																																														CDR
																																														(BgL_cdrzd29398zd2_1382);
																																													if (PAIRP(BgL_cdrzd29402zd2_1383))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd29402zd2_1383)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1786z00_1386;
																																																	obj_t
																																																		BgL_arg1787z00_1387;
																																																	BgL_arg1786z00_1386
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29398zd2_1382);
																																																	BgL_arg1787z00_1387
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29402zd2_1383);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5862;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5864;
																																																			obj_t
																																																				BgL_vz00_5863;
																																																			BgL_vz00_5863
																																																				=
																																																				BgL_arg1786z00_1386;
																																																			BgL_ez00_5864
																																																				=
																																																				BgL_arg1787z00_1387;
																																																			BgL_ez00_905
																																																				=
																																																				BgL_ez00_5864;
																																																			BgL_vz00_904
																																																				=
																																																				BgL_vz00_5863;
																																																			goto
																																																				BgL_tagzd2146zd2_906;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5862);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2584z00zz__evaluatez00,
																																																		BGl_string2590z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd29451zd2_1389;
																																										BgL_cdrzd29451zd2_1389
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd29455zd2_1390;
																																											BgL_cdrzd29455zd2_1390
																																												=
																																												CDR
																																												(BgL_cdrzd29451zd2_1389);
																																											if (PAIRP(BgL_cdrzd29455zd2_1390))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29455zd2_1390)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1792z00_1393;
																																															obj_t
																																																BgL_arg1793z00_1394;
																																															BgL_arg1792z00_1393
																																																=
																																																CAR
																																																(BgL_cdrzd29451zd2_1389);
																																															BgL_arg1793z00_1394
																																																=
																																																CAR
																																																(BgL_cdrzd29455zd2_1390);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5877;
																																																{
																																																	obj_t
																																																		BgL_ez00_5879;
																																																	obj_t
																																																		BgL_vz00_5878;
																																																	BgL_vz00_5878
																																																		=
																																																		BgL_arg1792z00_1393;
																																																	BgL_ez00_5879
																																																		=
																																																		BgL_arg1793z00_1394;
																																																	BgL_ez00_905
																																																		=
																																																		BgL_ez00_5879;
																																																	BgL_vz00_904
																																																		=
																																																		BgL_vz00_5878;
																																																	goto
																																																		BgL_tagzd2146zd2_906;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5877);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2584z00zz__evaluatez00,
																																														BGl_string2590z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd29493zd2_1396;
																																								BgL_cdrzd29493zd2_1396
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_carzd29496zd2_1397;
																																									obj_t
																																										BgL_cdrzd29497zd2_1398;
																																									BgL_carzd29496zd2_1397
																																										=
																																										CAR
																																										(BgL_cdrzd29493zd2_1396);
																																									BgL_cdrzd29497zd2_1398
																																										=
																																										CDR
																																										(BgL_cdrzd29493zd2_1396);
																																									if ((CAR(BgL_carzd29496zd2_1397) == BGl_symbol2598z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (PAIRP(BgL_cdrzd29497zd2_1398))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29497zd2_1398)))
																																														{
																																															obj_t
																																																BgL_e2z00_5896;
																																															obj_t
																																																BgL_lz00_5894;
																																															BgL_lz00_5894
																																																=
																																																CDR
																																																(BgL_carzd29496zd2_1397);
																																															BgL_e2z00_5896
																																																=
																																																CAR
																																																(BgL_cdrzd29497zd2_1398);
																																															BgL_e2z00_902
																																																=
																																																BgL_e2z00_5896;
																																															BgL_lz00_901
																																																=
																																																BgL_lz00_5894;
																																															goto
																																																BgL_tagzd2145zd2_903;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2584z00zz__evaluatez00,
																																														BGl_string2590z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd29563zd2_1406;
																																											BgL_cdrzd29563zd2_1406
																																												=
																																												CDR
																																												(BgL_cdrzd29493zd2_1396);
																																											if (PAIRP(BgL_cdrzd29563zd2_1406))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29563zd2_1406)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1803z00_1409;
																																															obj_t
																																																BgL_arg1804z00_1410;
																																															BgL_arg1803z00_1409
																																																=
																																																CAR
																																																(BgL_cdrzd29493zd2_1396);
																																															BgL_arg1804z00_1410
																																																=
																																																CAR
																																																(BgL_cdrzd29563zd2_1406);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5908;
																																																{
																																																	obj_t
																																																		BgL_ez00_5910;
																																																	obj_t
																																																		BgL_vz00_5909;
																																																	BgL_vz00_5909
																																																		=
																																																		BgL_arg1803z00_1409;
																																																	BgL_ez00_5910
																																																		=
																																																		BgL_arg1804z00_1410;
																																																	BgL_ez00_905
																																																		=
																																																		BgL_ez00_5910;
																																																	BgL_vz00_904
																																																		=
																																																		BgL_vz00_5909;
																																																	goto
																																																		BgL_tagzd2146zd2_906;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5908);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2584z00zz__evaluatez00,
																																																BGl_string2590z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2584z00zz__evaluatez00,
																																														BGl_string2590z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29612zd2_1414;
																																						BgL_cdrzd29612zd2_1414
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 319 */
																																							obj_t
																																								BgL_cdrzd29616zd2_1415;
																																							BgL_cdrzd29616zd2_1415
																																								=
																																								CDR
																																								(BgL_cdrzd29612zd2_1414);
																																							if (PAIRP(BgL_cdrzd29616zd2_1415))
																																								{	/* Eval/evaluate.scm 319 */
																																									if (NULLP(CDR(BgL_cdrzd29616zd2_1415)))
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_arg1811z00_1418;
																																											obj_t
																																												BgL_arg1812z00_1419;
																																											BgL_arg1811z00_1418
																																												=
																																												CAR
																																												(BgL_cdrzd29612zd2_1414);
																																											BgL_arg1812z00_1419
																																												=
																																												CAR
																																												(BgL_cdrzd29616zd2_1415);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_5923;
																																												{
																																													obj_t
																																														BgL_ez00_5925;
																																													obj_t
																																														BgL_vz00_5924;
																																													BgL_vz00_5924
																																														=
																																														BgL_arg1811z00_1418;
																																													BgL_ez00_5925
																																														=
																																														BgL_arg1812z00_1419;
																																													BgL_ez00_905
																																														=
																																														BgL_ez00_5925;
																																													BgL_vz00_904
																																														=
																																														BgL_vz00_5924;
																																													goto
																																														BgL_tagzd2146zd2_906;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_5923);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2584z00zz__evaluatez00,
																																												BGl_string2590z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 319 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2584z00zz__evaluatez00,
																																										BGl_string2590z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2584z00zz__evaluatez00,
																																					BGl_string2590z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_cdrzd29719zd2_1421;
																																		BgL_cdrzd29719zd2_1421
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2620z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd29719zd2_1421))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29724zd2_1424;
																																						BgL_cdrzd29724zd2_1424
																																							=
																																							CDR
																																							(BgL_cdrzd29719zd2_1421);
																																						if (PAIRP(BgL_cdrzd29724zd2_1424))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd29728zd2_1426;
																																								BgL_carzd29728zd2_1426
																																									=
																																									CAR
																																									(BgL_cdrzd29724zd2_1424);
																																								if (PAIRP(BgL_carzd29728zd2_1426))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd29733zd2_1428;
																																										BgL_cdrzd29733zd2_1428
																																											=
																																											CDR
																																											(BgL_carzd29728zd2_1426);
																																										if ((CAR(BgL_carzd29728zd2_1426) == BGl_symbol2622z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd29733zd2_1428))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29737zd2_1431;
																																														BgL_cdrzd29737zd2_1431
																																															=
																																															CDR
																																															(BgL_cdrzd29733zd2_1428);
																																														if (PAIRP(BgL_cdrzd29737zd2_1431))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd29737zd2_1431)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd29724zd2_1424)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1823z00_1435;
																																																				obj_t
																																																					BgL_arg1824z00_1436;
																																																				obj_t
																																																					BgL_arg1825z00_1437;
																																																				BgL_arg1823z00_1435
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1421);
																																																				BgL_arg1824z00_1436
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29733zd2_1428);
																																																				BgL_arg1825z00_1437
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29737zd2_1431);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5960;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_5963;
																																																						obj_t
																																																							BgL_formalsz00_5962;
																																																						obj_t
																																																							BgL_gvz00_5961;
																																																						BgL_gvz00_5961
																																																							=
																																																							BgL_arg1823z00_1435;
																																																						BgL_formalsz00_5962
																																																							=
																																																							BgL_arg1824z00_1436;
																																																						BgL_bodyz00_5963
																																																							=
																																																							BgL_arg1825z00_1437;
																																																						BgL_bodyz00_910
																																																							=
																																																							BgL_bodyz00_5963;
																																																						BgL_formalsz00_909
																																																							=
																																																							BgL_formalsz00_5962;
																																																						BgL_gvz00_908
																																																							=
																																																							BgL_gvz00_5961;
																																																						goto
																																																							BgL_tagzd2148zd2_911;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5960);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1826z00_1438;
																																																				BgL_arg1826z00_1438
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5966;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5968;
																																																						obj_t
																																																							BgL_fz00_5967;
																																																						BgL_fz00_5967
																																																							=
																																																							BgL_arg1826z00_1438;
																																																						BgL_argsz00_5968
																																																							=
																																																							BgL_cdrzd29719zd2_1421;
																																																						BgL_argsz00_928
																																																							=
																																																							BgL_argsz00_5968;
																																																						BgL_fz00_927
																																																							=
																																																							BgL_fz00_5967;
																																																						goto
																																																							BgL_tagzd2154zd2_929;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5966);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd29811zd2_1442;
																																																		BgL_cdrzd29811zd2_1442
																																																			=
																																																			CDR
																																																			(BgL_cdrzd29719zd2_1421);
																																																		if (NULLP(CDR(BgL_cdrzd29811zd2_1442)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1830z00_1444;
																																																				obj_t
																																																					BgL_arg1831z00_1445;
																																																				BgL_arg1830z00_1444
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1421);
																																																				BgL_arg1831z00_1445
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29811zd2_1442);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5976;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5978;
																																																						obj_t
																																																							BgL_gvz00_5977;
																																																						BgL_gvz00_5977
																																																							=
																																																							BgL_arg1830z00_1444;
																																																						BgL_gez00_5978
																																																							=
																																																							BgL_arg1831z00_1445;
																																																						BgL_gez00_913
																																																							=
																																																							BgL_gez00_5978;
																																																						BgL_gvz00_912
																																																							=
																																																							BgL_gvz00_5977;
																																																						goto
																																																							BgL_tagzd2149zd2_914;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5976);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1832z00_1446;
																																																				obj_t
																																																					BgL_arg1833z00_1447;
																																																				BgL_arg1832z00_1446
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1833z00_1447
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5982;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5984;
																																																						obj_t
																																																							BgL_fz00_5983;
																																																						BgL_fz00_5983
																																																							=
																																																							BgL_arg1832z00_1446;
																																																						BgL_argsz00_5984
																																																							=
																																																							BgL_arg1833z00_1447;
																																																						BgL_argsz00_928
																																																							=
																																																							BgL_argsz00_5984;
																																																						BgL_fz00_927
																																																							=
																																																							BgL_fz00_5983;
																																																						goto
																																																							BgL_tagzd2154zd2_929;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5982);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd29874zd2_1451;
																																																BgL_cdrzd29874zd2_1451
																																																	=
																																																	CDR
																																																	(BgL_cdrzd29719zd2_1421);
																																																if (NULLP(CDR(BgL_cdrzd29874zd2_1451)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1839z00_1453;
																																																		obj_t
																																																			BgL_arg1840z00_1454;
																																																		BgL_arg1839z00_1453
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29719zd2_1421);
																																																		BgL_arg1840z00_1454
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29874zd2_1451);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5992;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5994;
																																																				obj_t
																																																					BgL_gvz00_5993;
																																																				BgL_gvz00_5993
																																																					=
																																																					BgL_arg1839z00_1453;
																																																				BgL_gez00_5994
																																																					=
																																																					BgL_arg1840z00_1454;
																																																				BgL_gez00_913
																																																					=
																																																					BgL_gez00_5994;
																																																				BgL_gvz00_912
																																																					=
																																																					BgL_gvz00_5993;
																																																				goto
																																																					BgL_tagzd2149zd2_914;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5992);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1841z00_1455;
																																																		obj_t
																																																			BgL_arg1842z00_1456;
																																																		BgL_arg1841z00_1455
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1842z00_1456
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5998;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6000;
																																																				obj_t
																																																					BgL_fz00_5999;
																																																				BgL_fz00_5999
																																																					=
																																																					BgL_arg1841z00_1455;
																																																				BgL_argsz00_6000
																																																					=
																																																					BgL_arg1842z00_1456;
																																																				BgL_argsz00_928
																																																					=
																																																					BgL_argsz00_6000;
																																																				BgL_fz00_927
																																																					=
																																																					BgL_fz00_5999;
																																																				goto
																																																					BgL_tagzd2154zd2_929;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5998);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29937zd2_1459;
																																														BgL_cdrzd29937zd2_1459
																																															=
																																															CDR
																																															(BgL_cdrzd29719zd2_1421);
																																														if (NULLP(CDR(BgL_cdrzd29937zd2_1459)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1845z00_1461;
																																																obj_t
																																																	BgL_arg1846z00_1462;
																																																BgL_arg1845z00_1461
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29719zd2_1421);
																																																BgL_arg1846z00_1462
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29937zd2_1459);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6008;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6010;
																																																		obj_t
																																																			BgL_gvz00_6009;
																																																		BgL_gvz00_6009
																																																			=
																																																			BgL_arg1845z00_1461;
																																																		BgL_gez00_6010
																																																			=
																																																			BgL_arg1846z00_1462;
																																																		BgL_gez00_913
																																																			=
																																																			BgL_gez00_6010;
																																																		BgL_gvz00_912
																																																			=
																																																			BgL_gvz00_6009;
																																																		goto
																																																			BgL_tagzd2149zd2_914;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6008);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1847z00_1463;
																																																obj_t
																																																	BgL_arg1848z00_1464;
																																																BgL_arg1847z00_1463
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1848z00_1464
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6014;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6016;
																																																		obj_t
																																																			BgL_fz00_6015;
																																																		BgL_fz00_6015
																																																			=
																																																			BgL_arg1847z00_1463;
																																																		BgL_argsz00_6016
																																																			=
																																																			BgL_arg1848z00_1464;
																																																		BgL_argsz00_928
																																																			=
																																																			BgL_argsz00_6016;
																																																		BgL_fz00_927
																																																			=
																																																			BgL_fz00_6015;
																																																		goto
																																																			BgL_tagzd2154zd2_929;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6014);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd210000zd2_1467;
																																												BgL_cdrzd210000zd2_1467
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1421);
																																												if (NULLP(CDR(BgL_cdrzd210000zd2_1467)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1851z00_1469;
																																														obj_t
																																															BgL_arg1852z00_1470;
																																														BgL_arg1851z00_1469
																																															=
																																															CAR
																																															(BgL_cdrzd29719zd2_1421);
																																														BgL_arg1852z00_1470
																																															=
																																															CAR
																																															(BgL_cdrzd210000zd2_1467);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6024;
																																															{
																																																obj_t
																																																	BgL_gez00_6026;
																																																obj_t
																																																	BgL_gvz00_6025;
																																																BgL_gvz00_6025
																																																	=
																																																	BgL_arg1851z00_1469;
																																																BgL_gez00_6026
																																																	=
																																																	BgL_arg1852z00_1470;
																																																BgL_gez00_913
																																																	=
																																																	BgL_gez00_6026;
																																																BgL_gvz00_912
																																																	=
																																																	BgL_gvz00_6025;
																																																goto
																																																	BgL_tagzd2149zd2_914;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6024);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1853z00_1471;
																																														obj_t
																																															BgL_arg1854z00_1472;
																																														BgL_arg1853z00_1471
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1854z00_1472
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6030;
																																															{
																																																obj_t
																																																	BgL_argsz00_6032;
																																																obj_t
																																																	BgL_fz00_6031;
																																																BgL_fz00_6031
																																																	=
																																																	BgL_arg1853z00_1471;
																																																BgL_argsz00_6032
																																																	=
																																																	BgL_arg1854z00_1472;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_6032;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_6031;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6030);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210063zd2_1476;
																																										BgL_cdrzd210063zd2_1476
																																											=
																																											CDR
																																											(BgL_cdrzd29719zd2_1421);
																																										if (NULLP(CDR(BgL_cdrzd210063zd2_1476)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1858z00_1478;
																																												obj_t
																																													BgL_arg1859z00_1479;
																																												BgL_arg1858z00_1478
																																													=
																																													CAR
																																													(BgL_cdrzd29719zd2_1421);
																																												BgL_arg1859z00_1479
																																													=
																																													CAR
																																													(BgL_cdrzd210063zd2_1476);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6040;
																																													{
																																														obj_t
																																															BgL_gez00_6042;
																																														obj_t
																																															BgL_gvz00_6041;
																																														BgL_gvz00_6041
																																															=
																																															BgL_arg1858z00_1478;
																																														BgL_gez00_6042
																																															=
																																															BgL_arg1859z00_1479;
																																														BgL_gez00_913
																																															=
																																															BgL_gez00_6042;
																																														BgL_gvz00_912
																																															=
																																															BgL_gvz00_6041;
																																														goto
																																															BgL_tagzd2149zd2_914;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6040);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1860z00_1480;
																																												obj_t
																																													BgL_arg1862z00_1481;
																																												BgL_arg1860z00_1480
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1862z00_1481
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6046;
																																													{
																																														obj_t
																																															BgL_argsz00_6048;
																																														obj_t
																																															BgL_fz00_6047;
																																														BgL_fz00_6047
																																															=
																																															BgL_arg1860z00_1480;
																																														BgL_argsz00_6048
																																															=
																																															BgL_arg1862z00_1481;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_6048;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_6047;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6046);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1864z00_1483;
																																								BgL_arg1864z00_1483
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6051;
																																									{
																																										obj_t
																																											BgL_argsz00_6053;
																																										obj_t
																																											BgL_fz00_6052;
																																										BgL_fz00_6052
																																											=
																																											BgL_arg1864z00_1483;
																																										BgL_argsz00_6053
																																											=
																																											BgL_cdrzd29719zd2_1421;
																																										BgL_argsz00_928
																																											=
																																											BgL_argsz00_6053;
																																										BgL_fz00_927
																																											=
																																											BgL_fz00_6052;
																																										goto
																																											BgL_tagzd2154zd2_929;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6051);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_arg1866z00_1485;
																																						BgL_arg1866z00_1485
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6056;
																																							{
																																								obj_t
																																									BgL_argsz00_6058;
																																								obj_t
																																									BgL_fz00_6057;
																																								BgL_fz00_6057
																																									=
																																									BgL_arg1866z00_1485;
																																								BgL_argsz00_6058
																																									=
																																									BgL_cdrzd29719zd2_1421;
																																								BgL_argsz00_928
																																									=
																																									BgL_argsz00_6058;
																																								BgL_fz00_927
																																									=
																																									BgL_fz00_6057;
																																								goto
																																									BgL_tagzd2154zd2_929;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6056);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2624z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd29719zd2_1421))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd210231zd2_1490;
																																								BgL_carzd210231zd2_1490
																																									=
																																									CAR
																																									(BgL_cdrzd29719zd2_1421);
																																								if (PAIRP(BgL_carzd210231zd2_1490))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (NULLP(CDR(BgL_carzd210231zd2_1490)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1872z00_1493;
																																												obj_t
																																													BgL_arg1873z00_1494;
																																												BgL_arg1872z00_1493
																																													=
																																													CAR
																																													(BgL_carzd210231zd2_1490);
																																												BgL_arg1873z00_1494
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1421);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6073;
																																													{
																																														obj_t
																																															BgL_bodyz00_6075;
																																														obj_t
																																															BgL_vz00_6074;
																																														BgL_vz00_6074
																																															=
																																															BgL_arg1872z00_1493;
																																														BgL_bodyz00_6075
																																															=
																																															BgL_arg1873z00_1494;
																																														BgL_bodyz00_916
																																															=
																																															BgL_bodyz00_6075;
																																														BgL_vz00_915
																																															=
																																															BgL_vz00_6074;
																																														goto
																																															BgL_tagzd2150zd2_917;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6073);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1874z00_1495;
																																												obj_t
																																													BgL_arg1875z00_1496;
																																												BgL_arg1874z00_1495
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1875z00_1496
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6079;
																																													{
																																														obj_t
																																															BgL_argsz00_6081;
																																														obj_t
																																															BgL_fz00_6080;
																																														BgL_fz00_6080
																																															=
																																															BgL_arg1874z00_1495;
																																														BgL_argsz00_6081
																																															=
																																															BgL_arg1875z00_1496;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_6081;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_6080;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6079);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1877z00_1498;
																																										obj_t
																																											BgL_arg1878z00_1499;
																																										BgL_arg1877z00_1498
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1878z00_1499
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6085;
																																											{
																																												obj_t
																																													BgL_argsz00_6087;
																																												obj_t
																																													BgL_fz00_6086;
																																												BgL_fz00_6086
																																													=
																																													BgL_arg1877z00_1498;
																																												BgL_argsz00_6087
																																													=
																																													BgL_arg1878z00_1499;
																																												BgL_argsz00_928
																																													=
																																													BgL_argsz00_6087;
																																												BgL_fz00_927
																																													=
																																													BgL_fz00_6086;
																																												goto
																																													BgL_tagzd2154zd2_929;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6085);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1879z00_1500;
																																								obj_t
																																									BgL_arg1881z00_1501;
																																								BgL_arg1879z00_1500
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1881z00_1501
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6091;
																																									{
																																										obj_t
																																											BgL_argsz00_6093;
																																										obj_t
																																											BgL_fz00_6092;
																																										BgL_fz00_6092
																																											=
																																											BgL_arg1879z00_1500;
																																										BgL_argsz00_6093
																																											=
																																											BgL_arg1881z00_1501;
																																										BgL_argsz00_928
																																											=
																																											BgL_argsz00_6093;
																																										BgL_fz00_927
																																											=
																																											BgL_fz00_6092;
																																										goto
																																											BgL_tagzd2154zd2_929;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6091);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210334zd2_1502;
																																						BgL_cdrzd210334zd2_1502
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2626z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd210334zd2_1502))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1884z00_1505;
																																										obj_t
																																											BgL_arg1885z00_1506;
																																										BgL_arg1884z00_1505
																																											=
																																											CAR
																																											(BgL_cdrzd210334zd2_1502);
																																										BgL_arg1885z00_1506
																																											=
																																											CDR
																																											(BgL_cdrzd210334zd2_1502);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6103;
																																											{
																																												obj_t
																																													BgL_bodyz00_6105;
																																												obj_t
																																													BgL_ez00_6104;
																																												BgL_ez00_6104
																																													=
																																													BgL_arg1884z00_1505;
																																												BgL_bodyz00_6105
																																													=
																																													BgL_arg1885z00_1506;
																																												BgL_bodyz00_919
																																													=
																																													BgL_bodyz00_6105;
																																												BgL_ez00_918
																																													=
																																													BgL_ez00_6104;
																																												goto
																																													BgL_tagzd2151zd2_920;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6103);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1886z00_1507;
																																										BgL_arg1886z00_1507
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6108;
																																											{
																																												obj_t
																																													BgL_argsz00_6110;
																																												obj_t
																																													BgL_fz00_6109;
																																												BgL_fz00_6109
																																													=
																																													BgL_arg1886z00_1507;
																																												BgL_argsz00_6110
																																													=
																																													BgL_cdrzd210334zd2_1502;
																																												BgL_argsz00_928
																																													=
																																													BgL_argsz00_6110;
																																												BgL_fz00_927
																																													=
																																													BgL_fz00_6109;
																																												goto
																																													BgL_tagzd2154zd2_929;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6108);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2628z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd210334zd2_1502))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1890z00_1512;
																																												obj_t
																																													BgL_arg1891z00_1513;
																																												BgL_arg1890z00_1512
																																													=
																																													CAR
																																													(BgL_cdrzd210334zd2_1502);
																																												BgL_arg1891z00_1513
																																													=
																																													CDR
																																													(BgL_cdrzd210334zd2_1502);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6119;
																																													{
																																														obj_t
																																															BgL_bodyz00_6121;
																																														obj_t
																																															BgL_hz00_6120;
																																														BgL_hz00_6120
																																															=
																																															BgL_arg1890z00_1512;
																																														BgL_bodyz00_6121
																																															=
																																															BgL_arg1891z00_1513;
																																														BgL_bodyz00_922
																																															=
																																															BgL_bodyz00_6121;
																																														BgL_hz00_921
																																															=
																																															BgL_hz00_6120;
																																														goto
																																															BgL_tagzd2152zd2_923;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6119);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1892z00_1514;
																																												obj_t
																																													BgL_arg1893z00_1515;
																																												BgL_arg1892z00_1514
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1893z00_1515
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6125;
																																													{
																																														obj_t
																																															BgL_argsz00_6127;
																																														obj_t
																																															BgL_fz00_6126;
																																														BgL_fz00_6126
																																															=
																																															BgL_arg1892z00_1514;
																																														BgL_argsz00_6127
																																															=
																																															BgL_arg1893z00_1515;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_6127;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_6126;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6125);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210398zd2_1516;
																																										BgL_cdrzd210398zd2_1516
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2622z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd210398zd2_1516))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210402zd2_1519;
																																														BgL_cdrzd210402zd2_1519
																																															=
																																															CDR
																																															(BgL_cdrzd210398zd2_1516);
																																														if (PAIRP(BgL_cdrzd210402zd2_1519))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd210402zd2_1519)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1898z00_1522;
																																																		obj_t
																																																			BgL_arg1899z00_1523;
																																																		BgL_arg1898z00_1522
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210398zd2_1516);
																																																		BgL_arg1899z00_1523
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210402zd2_1519);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg2048z00_3740;
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg2050z00_3741;
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2051z00_3742;
																																																					obj_t
																																																						BgL_arg2052z00_3743;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2544z00_3746;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3744;
																																																							BgL_symbolz00_3744
																																																								=
																																																								BGl_symbol2630z00zz__evaluatez00;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2229z00_3745;
																																																								BgL_arg2229z00_3745
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3744);
																																																								BgL_res2544z00_3746
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2229z00_3745);
																																																							}
																																																						}
																																																						BgL_arg2051z00_3742
																																																							=
																																																							BgL_res2544z00_3746;
																																																					}
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2545z00_3749;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3747;
																																																							BgL_symbolz00_3747
																																																								=
																																																								BgL_wherez00_53;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2229z00_3748;
																																																								BgL_arg2229z00_3748
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3747);
																																																								BgL_res2545z00_3749
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2229z00_3748);
																																																							}
																																																						}
																																																						BgL_arg2052z00_3743
																																																							=
																																																							BgL_res2545z00_3749;
																																																					}
																																																					BgL_arg2050z00_3741
																																																						=
																																																						string_append
																																																						(BgL_arg2051z00_3742,
																																																						BgL_arg2052z00_3743);
																																																				}
																																																				BgL_arg2048z00_3740
																																																					=
																																																					string_to_symbol
																																																					(BSTRING_TO_STRING
																																																					(BgL_arg2050z00_3741));
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_51,
																																																					BgL_localsz00_50,
																																																					BgL_locz00_54,
																																																					BgL_ez00_49,
																																																					BgL_arg1898z00_1522,
																																																					BgL_arg1899z00_1523,
																																																					BgL_arg2048z00_3740));
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1900z00_1524;
																																																		BgL_arg1900z00_1524
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6153;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6155;
																																																				obj_t
																																																					BgL_fz00_6154;
																																																				BgL_fz00_6154
																																																					=
																																																					BgL_arg1900z00_1524;
																																																				BgL_argsz00_6155
																																																					=
																																																					BgL_cdrzd210398zd2_1516;
																																																				BgL_argsz00_928
																																																					=
																																																					BgL_argsz00_6155;
																																																				BgL_fz00_927
																																																					=
																																																					BgL_fz00_6154;
																																																				goto
																																																					BgL_tagzd2154zd2_929;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6153);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1903z00_1527;
																																																BgL_arg1903z00_1527
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6158;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6160;
																																																		obj_t
																																																			BgL_fz00_6159;
																																																		BgL_fz00_6159
																																																			=
																																																			BgL_arg1903z00_1527;
																																																		BgL_argsz00_6160
																																																			=
																																																			BgL_cdrzd210398zd2_1516;
																																																		BgL_argsz00_928
																																																			=
																																																			BgL_argsz00_6160;
																																																		BgL_fz00_927
																																																			=
																																																			BgL_fz00_6159;
																																																		goto
																																																			BgL_tagzd2154zd2_929;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6158);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1905z00_1529;
																																														BgL_arg1905z00_1529
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6163;
																																															{
																																																obj_t
																																																	BgL_argsz00_6165;
																																																obj_t
																																																	BgL_fz00_6164;
																																																BgL_fz00_6164
																																																	=
																																																	BgL_arg1905z00_1529;
																																																BgL_argsz00_6165
																																																	=
																																																	BgL_cdrzd210398zd2_1516;
																																																BgL_argsz00_928
																																																	=
																																																	BgL_argsz00_6165;
																																																BgL_fz00_927
																																																	=
																																																	BgL_fz00_6164;
																																																goto
																																																	BgL_tagzd2154zd2_929;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6163);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1908z00_1531;
																																												BgL_arg1908z00_1531
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6168;
																																													{
																																														obj_t
																																															BgL_argsz00_6170;
																																														obj_t
																																															BgL_fz00_6169;
																																														BgL_fz00_6169
																																															=
																																															BgL_arg1908z00_1531;
																																														BgL_argsz00_6170
																																															=
																																															BgL_cdrzd210398zd2_1516;
																																														BgL_argsz00_928
																																															=
																																															BgL_argsz00_6170;
																																														BgL_fz00_927
																																															=
																																															BgL_fz00_6169;
																																														goto
																																															BgL_tagzd2154zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6168);
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 319 */
						BgL_xz00_862 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_862))
							{	/* Eval/evaluate.scm 322 */
								obj_t BgL__ortest_1096z00_1552;

								BgL__ortest_1096z00_1552 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_862,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1096z00_1552))
									{	/* Eval/evaluate.scm 322 */
										return BgL__ortest_1096z00_1552;
									}
								else
									{	/* Eval/evaluate.scm 323 */
										BgL_ev_globalz00_bglt BgL_new1098z00_1553;

										{	/* Eval/evaluate.scm 323 */
											BgL_ev_globalz00_bglt BgL_new1097z00_1555;

											BgL_new1097z00_1555 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 323 */
												long BgL_arg1931z00_1556;

												{	/* Eval/evaluate.scm 323 */
													long BgL_res2349z00_2445;

													{	/* Eval/evaluate.scm 323 */
														obj_t BgL_classz00_2442;

														BgL_classz00_2442 =
															BGl_ev_globalz00zz__evaluate_typesz00;
														{	/* Eval/evaluate.scm 323 */
															obj_t BgL_vectorz00_2443;
															int BgL_kz00_2444;

															BgL_vectorz00_2443 = BgL_classz00_2442;
															BgL_kz00_2444 = (int) (((long) 1));
															BgL_res2349z00_2445 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2443,
																	BgL_kz00_2444));
													}}
													BgL_arg1931z00_1556 = BgL_res2349z00_2445;
												}
												{	/* Eval/evaluate.scm 323 */
													BgL_objectz00_bglt BgL_objz00_2446;

													BgL_objz00_2446 =
														((BgL_objectz00_bglt) BgL_new1097z00_1555);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2446,
														BgL_arg1931z00_1556);
											}}
											{	/* Eval/evaluate.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_6183;

												BgL_auxz00_6183 =
													((BgL_objectz00_bglt) BgL_new1097z00_1555);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6183, BFALSE);
											}
											BgL_new1098z00_1553 = BgL_new1097z00_1555;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1553))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1553))->
												BgL_namez00) = ((obj_t) BgL_xz00_862), BUNSPEC);
										{
											obj_t BgL_auxz00_6188;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6188 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6188 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1553))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6188), BUNSPEC);
										}
										return ((obj_t) BgL_new1098z00_1553);
									}
							}
						else
							{	/* Eval/evaluate.scm 327 */
								BgL_ev_littz00_bglt BgL_new1100z00_1557;

								{	/* Eval/evaluate.scm 327 */
									BgL_ev_littz00_bglt BgL_new1099z00_1558;

									BgL_new1099z00_1558 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 327 */
										long BgL_arg1932z00_1559;

										{	/* Eval/evaluate.scm 327 */
											long BgL_res2350z00_2451;

											{	/* Eval/evaluate.scm 327 */
												obj_t BgL_classz00_2448;

												BgL_classz00_2448 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 327 */
													obj_t BgL_vectorz00_2449;
													int BgL_kz00_2450;

													BgL_vectorz00_2449 = BgL_classz00_2448;
													BgL_kz00_2450 = (int) (((long) 1));
													BgL_res2350z00_2451 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2449,
															BgL_kz00_2450));
											}}
											BgL_arg1932z00_1559 = BgL_res2350z00_2451;
										}
										{	/* Eval/evaluate.scm 327 */
											BgL_objectz00_bglt BgL_objz00_2452;

											BgL_objz00_2452 =
												((BgL_objectz00_bglt) BgL_new1099z00_1558);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2452,
												BgL_arg1932z00_1559);
									}}
									{	/* Eval/evaluate.scm 327 */
										BgL_objectz00_bglt BgL_auxz00_6200;

										BgL_auxz00_6200 =
											((BgL_objectz00_bglt) BgL_new1099z00_1558);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6200, BFALSE);
									}
									BgL_new1100z00_1557 = BgL_new1099z00_1558;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1100z00_1557))->
										BgL_valuez00) = ((obj_t) BgL_xz00_862), BUNSPEC);
								return ((obj_t) BgL_new1100z00_1557);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_3988,
		obj_t BgL_globalsz00_3987, obj_t BgL_localsz00_3986, obj_t BgL_locz00_3985,
		obj_t BgL_esz00_1798)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (NULLP(BgL_esz00_1798))
				{	/* Eval/evaluate.scm 284 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_ez00_1801;

					BgL_ez00_1801 = CAR(BgL_esz00_1798);
					{	/* Eval/evaluate.scm 287 */
						obj_t BgL_arg2063z00_1802;
						obj_t BgL_arg2064z00_1803;

						{	/* Eval/evaluate.scm 287 */
							obj_t BgL_arg2065z00_1804;

							{	/* Eval/evaluate.scm 287 */
								obj_t BgL__ortest_1067z00_2384;

								BgL__ortest_1067z00_2384 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1801);
								if (CBOOL(BgL__ortest_1067z00_2384))
									{	/* Eval/evaluate.scm 287 */
										BgL_arg2065z00_1804 = BgL__ortest_1067z00_2384;
									}
								else
									{	/* Eval/evaluate.scm 287 */
										obj_t BgL__ortest_1068z00_2385;

										BgL__ortest_1068z00_2385 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1798);
										if (CBOOL(BgL__ortest_1068z00_2385))
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2065z00_1804 = BgL__ortest_1068z00_2385;
											}
										else
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2065z00_1804 = BgL_locz00_3985;
											}
									}
							}
							BgL_arg2063z00_1802 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1801, BgL_localsz00_3986,
								BgL_globalsz00_3987, BFALSE, BgL_wherez00_3988,
								BgL_arg2065z00_1804, ((bool_t) 0));
						}
						BgL_arg2064z00_1803 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_3988, BgL_globalsz00_3987,
							BgL_localsz00_3986, BgL_locz00_3985, CDR(BgL_esz00_1798));
						return MAKE_PAIR(BgL_arg2063z00_1802, BgL_arg2064z00_1803);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_3990,
		obj_t BgL_globalsz00_3989, obj_t BgL_lz00_2757, obj_t BgL_varsz00_2758,
		obj_t BgL_localsz00_2759, obj_t BgL_locz00_2760)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 388 */
			if (NULLP(BgL_lz00_2757))
				{	/* Eval/evaluate.scm 398 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 398 */
					obj_t BgL_locz00_2771;

					{	/* Eval/evaluate.scm 398 */
						obj_t BgL__ortest_1066z00_2783;

						BgL__ortest_1066z00_2783 =
							BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_2757);
						if (CBOOL(BgL__ortest_1066z00_2783))
							{	/* Eval/evaluate.scm 398 */
								BgL_locz00_2771 = BgL__ortest_1066z00_2783;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								BgL_locz00_2771 = BgL_locz00_2760;
							}
					}
					{	/* Eval/evaluate.scm 398 */
						obj_t BgL_arg1989z00_2772;
						obj_t BgL_arg1990z00_2773;

						{	/* Eval/evaluate.scm 398 */
							obj_t BgL_arg1991z00_2774;

							{	/* Eval/evaluate.scm 398 */
								obj_t BgL_pairz00_2784;

								BgL_pairz00_2784 = BgL_lz00_2757;
								BgL_arg1991z00_2774 = CAR(CDR(CAR(BgL_pairz00_2784)));
							}
							BgL_arg1989z00_2772 =
								BGl_convz00zz__evaluatez00(BgL_arg1991z00_2774,
								BgL_localsz00_2759, BgL_globalsz00_3989, BFALSE,
								BgL_wherez00_3990, BgL_locz00_2771, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 398 */
							obj_t BgL_arg1992z00_2775;
							obj_t BgL_arg1993z00_2776;
							obj_t BgL_arg1994z00_2777;

							BgL_arg1992z00_2775 = CDR(BgL_lz00_2757);
							BgL_arg1993z00_2776 = CDR(BgL_varsz00_2758);
							BgL_arg1994z00_2777 =
								MAKE_PAIR(CAR(BgL_varsz00_2758), BgL_localsz00_2759);
							BgL_arg1990z00_2773 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_3990,
								BgL_globalsz00_3989, BgL_arg1992z00_2775, BgL_arg1993z00_2776,
								BgL_arg1994z00_2777, BgL_locz00_2771);
						}
						return MAKE_PAIR(BgL_arg1989z00_2772, BgL_arg1990z00_2773);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_3994, obj_t BgL_localsz00_3993, obj_t BgL_locz00_3992,
		obj_t BgL_ez00_3991, obj_t BgL_formalsz00_1807, obj_t BgL_bodyz00_1808,
		obj_t BgL_wherez00_1809)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 301 */
			{
				obj_t BgL_lz00_1838;

				{	/* Eval/evaluate.scm 303 */
					obj_t BgL_varsz00_1812;

					BgL_lz00_1838 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1807, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1842;
						obj_t BgL_flatz00_1843;
						long BgL_arityz00_1844;

						BgL_rz00_1842 = BgL_lz00_1838;
						BgL_flatz00_1843 = BNIL;
						BgL_arityz00_1844 = ((long) 0);
					BgL_zc3anonymousza32079ze3z83_1845:
						if (NULLP(BgL_rz00_1842))
							{	/* Eval/evaluate.scm 296 */
								obj_t BgL_val0_1172z00_1847;

								BgL_val0_1172z00_1847 = bgl_reverse_bang(BgL_flatz00_1843);
								{	/* Eval/evaluate.scm 296 */
									int BgL_res2337z00_2390;

									{	/* Eval/evaluate.scm 296 */
										int BgL_auxz00_6236;

										BgL_auxz00_6236 = (int) (((long) 2));
										BgL_res2337z00_2390 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6236);
									} BgL_res2337z00_2390;
								}
								{	/* Eval/evaluate.scm 296 */
									obj_t BgL_auxz00_6241;
									int BgL_auxz00_6239;

									BgL_auxz00_6241 = BINT(BgL_arityz00_1844);
									BgL_auxz00_6239 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6239, BgL_auxz00_6241);
								}
								BgL_varsz00_1812 = BgL_val0_1172z00_1847;
							}
						else
							{	/* Eval/evaluate.scm 295 */
								if (PAIRP(BgL_rz00_1842))
									{	/* Eval/evaluate.scm 300 */
										obj_t BgL_arg2082z00_1850;
										obj_t BgL_arg2083z00_1851;
										long BgL_arg2085z00_1852;

										BgL_arg2082z00_1850 = CDR(BgL_rz00_1842);
										BgL_arg2083z00_1851 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1842)), BgL_flatz00_1843);
										BgL_arg2085z00_1852 = (BgL_arityz00_1844 + ((long) 1));
										{
											long BgL_arityz00_6253;
											obj_t BgL_flatz00_6252;
											obj_t BgL_rz00_6251;

											BgL_rz00_6251 = BgL_arg2082z00_1850;
											BgL_flatz00_6252 = BgL_arg2083z00_1851;
											BgL_arityz00_6253 = BgL_arg2085z00_1852;
											BgL_arityz00_1844 = BgL_arityz00_6253;
											BgL_flatz00_1843 = BgL_flatz00_6252;
											BgL_rz00_1842 = BgL_rz00_6251;
											goto BgL_zc3anonymousza32079ze3z83_1845;
										}
									}
								else
									{	/* Eval/evaluate.scm 298 */
										obj_t BgL_val0_1174z00_1855;
										long BgL_val1_1175z00_1856;

										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_arg2089z00_1857;

											BgL_arg2089z00_1857 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1842), BgL_flatz00_1843);
											BgL_val0_1174z00_1855 =
												bgl_reverse_bang(BgL_arg2089z00_1857);
										}
										BgL_val1_1175z00_1856 = (((long) -1) - BgL_arityz00_1844);
										{	/* Eval/evaluate.scm 298 */
											int BgL_res2341z00_2404;

											{	/* Eval/evaluate.scm 298 */
												int BgL_auxz00_6258;

												BgL_auxz00_6258 = (int) (((long) 2));
												BgL_res2341z00_2404 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6258);
											} BgL_res2341z00_2404;
										}
										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_auxz00_6263;
											int BgL_auxz00_6261;

											BgL_auxz00_6263 = BINT(BgL_val1_1175z00_1856);
											BgL_auxz00_6261 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6261, BgL_auxz00_6263);
										}
										BgL_varsz00_1812 = BgL_val0_1174z00_1855;
					}}}
					{	/* Eval/evaluate.scm 305 */
						obj_t BgL_arityz00_1813;

						{	/* Eval/evaluate.scm 305 */
							int BgL_auxz00_6267;

							BgL_auxz00_6267 = (int) (((long) 1));
							BgL_arityz00_1813 = BGL_MVALUES_VAL(BgL_auxz00_6267);
						}
						{	/* Eval/evaluate.scm 305 */
							obj_t BgL_varsz00_1814;
							obj_t BgL_bodyz00_1815;
							obj_t BgL_nlocz00_1816;

							if (NULLP(BgL_varsz00_1812))
								{	/* Eval/evaluate.scm 305 */
									BgL_varsz00_1814 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 305 */
									obj_t BgL_head1178z00_1823;

									{	/* Eval/evaluate.scm 305 */
										obj_t BgL_res2343z00_2412;

										BgL_res2343z00_2412 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1178z00_1823 = BgL_res2343z00_2412;
									}
									{
										obj_t BgL_l1176z00_1825;
										obj_t BgL_tail1179z00_1826;

										BgL_l1176z00_1825 = BgL_varsz00_1812;
										BgL_tail1179z00_1826 = BgL_head1178z00_1823;
									BgL_zc3anonymousza32071ze3z83_1827:
										if (NULLP(BgL_l1176z00_1825))
											{	/* Eval/evaluate.scm 305 */
												BgL_varsz00_1814 = CDR(BgL_head1178z00_1823);
											}
										else
											{	/* Eval/evaluate.scm 305 */
												obj_t BgL_newtail1180z00_1829;

												{	/* Eval/evaluate.scm 305 */
													BgL_ev_varz00_bglt BgL_arg2074z00_1831;

													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_vz00_1832;

														BgL_vz00_1832 = CAR(BgL_l1176z00_1825);
														{	/* Eval/evaluate.scm 306 */
															BgL_ev_varz00_bglt BgL_new1093z00_1833;

															{	/* Eval/evaluate.scm 306 */
																BgL_ev_varz00_bglt BgL_new1092z00_1834;

																BgL_new1092z00_1834 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 306 */
																	long BgL_arg2075z00_1835;

																	{	/* Eval/evaluate.scm 306 */
																		long BgL_res2345z00_2420;

																		{	/* Eval/evaluate.scm 306 */
																			obj_t BgL_classz00_2417;

																			BgL_classz00_2417 =
																				BGl_ev_varz00zz__evaluate_typesz00;
																			{	/* Eval/evaluate.scm 306 */
																				obj_t BgL_vectorz00_2418;
																				int BgL_kz00_2419;

																				BgL_vectorz00_2418 = BgL_classz00_2417;
																				BgL_kz00_2419 = (int) (((long) 1));
																				BgL_res2345z00_2420 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2418,
																						BgL_kz00_2419));
																		}}
																		BgL_arg2075z00_1835 = BgL_res2345z00_2420;
																	}
																	{	/* Eval/evaluate.scm 306 */
																		BgL_objectz00_bglt BgL_objz00_2421;

																		BgL_objz00_2421 =
																			((BgL_objectz00_bglt)
																			BgL_new1092z00_1834);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2421,
																			BgL_arg2075z00_1835);
																}}
																{	/* Eval/evaluate.scm 306 */
																	BgL_objectz00_bglt BgL_auxz00_6283;

																	BgL_auxz00_6283 =
																		((BgL_objectz00_bglt) BgL_new1092z00_1834);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6283,
																		BFALSE);
																}
																BgL_new1093z00_1833 = BgL_new1092z00_1834;
															}
															{
																obj_t BgL_auxz00_6286;

																{	/* Eval/evaluate.scm 307 */
																	obj_t BgL_pairz00_2423;

																	BgL_pairz00_2423 = BgL_vz00_1832;
																	BgL_auxz00_6286 = CAR(BgL_pairz00_2423);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1833))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6286), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1093z00_1833))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6290;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2424;

																	BgL_pairz00_2424 = BgL_vz00_1832;
																	BgL_auxz00_6290 = CDR(BgL_pairz00_2424);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1833))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6290), BUNSPEC);
															}
															BgL_arg2074z00_1831 = BgL_new1093z00_1833;
													}}
													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_res2346z00_2427;

														{	/* Eval/evaluate.scm 305 */
															obj_t BgL_obj1z00_2425;

															BgL_obj1z00_2425 = ((obj_t) BgL_arg2074z00_1831);
															BgL_res2346z00_2427 =
																MAKE_PAIR(BgL_obj1z00_2425, BNIL);
														}
														BgL_newtail1180z00_1829 = BgL_res2346z00_2427;
												}}
												SET_CDR(BgL_tail1179z00_1826, BgL_newtail1180z00_1829);
												{
													obj_t BgL_tail1179z00_6298;
													obj_t BgL_l1176z00_6296;

													BgL_l1176z00_6296 = CDR(BgL_l1176z00_1825);
													BgL_tail1179z00_6298 = BgL_newtail1180z00_1829;
													BgL_tail1179z00_1826 = BgL_tail1179z00_6298;
													BgL_l1176z00_1825 = BgL_l1176z00_6296;
													goto BgL_zc3anonymousza32071ze3z83_1827;
												}
											}
									}
								}
							BgL_bodyz00_1815 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_3991, BgL_formalsz00_1807, BgL_bodyz00_1808,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 311 */
								obj_t BgL__ortest_1066z00_2433;

								BgL__ortest_1066z00_2433 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1808);
								if (CBOOL(BgL__ortest_1066z00_2433))
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1816 = BgL__ortest_1066z00_2433;
									}
								else
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1816 = BgL_locz00_3992;
									}
							}
							{	/* Eval/evaluate.scm 312 */
								BgL_ev_absz00_bglt BgL_new1095z00_1817;

								{	/* Eval/evaluate.scm 312 */
									BgL_ev_absz00_bglt BgL_new1094z00_1819;

									BgL_new1094z00_1819 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 312 */
										long BgL_arg2069z00_1820;

										{	/* Eval/evaluate.scm 312 */
											long BgL_res2347z00_2437;

											{	/* Eval/evaluate.scm 312 */
												obj_t BgL_classz00_2434;

												BgL_classz00_2434 = BGl_ev_absz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 312 */
													obj_t BgL_vectorz00_2435;
													int BgL_kz00_2436;

													BgL_vectorz00_2435 = BgL_classz00_2434;
													BgL_kz00_2436 = (int) (((long) 1));
													BgL_res2347z00_2437 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2435,
															BgL_kz00_2436));
											}}
											BgL_arg2069z00_1820 = BgL_res2347z00_2437;
										}
										{	/* Eval/evaluate.scm 312 */
											BgL_objectz00_bglt BgL_objz00_2438;

											BgL_objz00_2438 =
												((BgL_objectz00_bglt) BgL_new1094z00_1819);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2438,
												BgL_arg2069z00_1820);
									}}
									{	/* Eval/evaluate.scm 312 */
										BgL_objectz00_bglt BgL_auxz00_6309;

										BgL_auxz00_6309 =
											((BgL_objectz00_bglt) BgL_new1094z00_1819);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6309, BFALSE);
									}
									BgL_new1095z00_1817 = BgL_new1094z00_1819;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_locz00) = ((obj_t) BgL_locz00_3992), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1809), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1813), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1814), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6316;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg2068z00_1818;

										BgL_arg2068z00_1818 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1814,
											BgL_localsz00_3993);
										BgL_auxz00_6316 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1815,
												BgL_arg2068z00_1818, BgL_globalsz00_3994, BTRUE,
												BgL_wherez00_1809, BgL_nlocz00_1816, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6316), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1817))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1095z00_1817;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_4001,
		obj_t BgL_globalsz00_4000, obj_t BgL_localsz00_3999, obj_t BgL_ez00_1789,
		obj_t BgL_locz00_1790)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 277 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1789, BgL_localsz00_3999,
				BgL_globalsz00_4000, BFALSE, BgL_wherez00_4001, BgL_locz00_1790,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2632z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
