/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62main5490z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5492z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5494z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33279ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5496z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5498z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1664zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33474ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1638zb0zz__evaluate_compz00(obj_t,
		BgL_ev_trapz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32141ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32214ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32003ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1652zb0zz__evaluate_compz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33920ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33742ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33653ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33564ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33459ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33297ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33301ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33833ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5600z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33494ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5602z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5604z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5606z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5608z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33052ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62compzd2ev_defglobal1648zb0zz__evaluate_compz00(obj_t,
		BgL_ev_defglobalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33036ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1668z62zz__evaluate_compz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5610z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33584ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5612z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5614z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5616z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5618z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1646zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setglobalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33320ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33763ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33674ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32945ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5620z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5622z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5624z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5626z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5628z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33942ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5630z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_zc3exitza33855ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33693ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32255ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33202ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33783ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5660z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33147ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5675z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32540ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5677z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5679z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33890ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5681z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33343ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33311ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32080ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33044ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33612ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33061ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32138ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1654zb0zz__evaluate_compz00(obj_t,
		BgL_ev_orz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32560ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32544ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32406ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33983ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33789ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1640zb0zz__evaluate_compz00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33330ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5501z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5503z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5505z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5507z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5509z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32295ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33137ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5511z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5513z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5515z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5517z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5519z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33187ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32296ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5521z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run5523z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5525z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5527z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5529z62zz__evaluate_compz00(obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32580ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32564ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32548ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33317ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5531z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	static obj_t BGl_zc3exitza33156ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32176ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33067ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33440ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33336ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33174ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33085ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_labels1672zb0zz__evaluate_compz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5500z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32584ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5502z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32568ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5504z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33604ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5506z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33353ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5514z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main5516z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5518z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5520z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5522z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5524z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33371ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5526z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5528z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33656ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5530z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33567ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33518ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62comp1635z62zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32112ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32588ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33624ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1642zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1666z62zz__evaluate_compz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33714ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33196ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_zc3exitza33804ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33480ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33391ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33537ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33359ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33910ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_withzd2handler1670z62zz__evaluate_compz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33377ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21662z12zz__evaluate_compz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33204ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32062ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3exitza32950ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33736ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33647ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33558ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1650zb0zz__evaluate_compz00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza32030ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32935ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_zc3exitza33397ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3exitza33827ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol5536z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5538z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33223ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32210ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5540z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5546z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_zc3exitza32954ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33578ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol5554z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5556z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5558z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33103ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33757ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33668ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5561z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5564z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5566z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5568z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32084ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33120ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33952ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5570z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5572z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5574z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5576z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5578z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza32109ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33880ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5580z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5582z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5584z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5586z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5588z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32353ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_prog21658zb0zz__evaluate_compz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_zc3exitza33849ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5590z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5592z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5594z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5596z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33423ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32532ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5598z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33050ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_zc3exitza33213ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33973ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32608ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32179ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33126ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33281ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32552ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32536ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33410ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33232ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32252ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33143ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33500ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33088ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33250ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62compzd2ev_goto1674zb0zz__evaluate_compz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_let1660zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33162ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33219ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5447z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5449z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33463ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32572ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32645ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32556ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5451z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5453z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5455z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5457z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5459z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33180ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_global1644zb0zz__evaluate_compz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62run5461z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5463z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5465z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5467z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5469z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33610ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33416ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33238ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5471z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5473z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5475z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5477z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5479z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33700ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5481z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5483z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5485z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5487z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5489z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33483ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32592ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32576ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33434ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32292ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33256ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32349ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5491z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5493z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1676zb0zz__evaluate_compz00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	static obj_t BGl_z62run5495z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5497z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5499z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33524ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33273ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33079ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33630ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5446z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5448z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33591ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5450z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33720ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5452z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33453ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33291ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5454z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5456z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33097ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5458z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33681ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32596ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33810ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5460z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_z62main5462z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33543ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5464z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5466z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1656zb0zz__evaluate_compz00(obj_t,
		BgL_ev_andz00_bglt, obj_t);
	static obj_t BGl_z62main5468z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62main5470z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5472z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5474z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5476z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5478z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62main5480z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5482z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5484z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5486z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5488z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1678zb0zz__evaluate_compz00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75685z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5686z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75687za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5601z00zz__evaluate_compz00,
		BgL_bgl_string5601za700za7za7_5688za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string5603z00zz__evaluate_compz00,
		BgL_bgl_string5603za700za7za7_5689za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5605z00zz__evaluate_compz00,
		BgL_bgl_string5605za700za7za7_5690za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5607z00zz__evaluate_compz00,
		BgL_bgl_string5607za700za7za7_5691za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5609z00zz__evaluate_compz00,
		BgL_bgl_string5609za700za7za7_5692za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5611z00zz__evaluate_compz00,
		BgL_bgl_string5611za700za7za7_5693za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5613z00zz__evaluate_compz00,
		BgL_bgl_string5613za700za7za7_5694za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5615z00zz__evaluate_compz00,
		BgL_bgl_string5615za700za7za7_5695za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5617z00zz__evaluate_compz00,
		BgL_bgl_string5617za700za7za7_5696za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5619z00zz__evaluate_compz00,
		BgL_bgl_string5619za700za7za7_5697za7, "<=fl", 4);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5621z00zz__evaluate_compz00,
		BgL_bgl_string5621za700za7za7_5698za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5623z00zz__evaluate_compz00,
		BgL_bgl_string5623za700za7za7_5699za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5625z00zz__evaluate_compz00,
		BgL_bgl_string5625za700za7za7_5700za7, "car", 3);
	      DEFINE_STRING(BGl_string5627z00zz__evaluate_compz00,
		BgL_bgl_string5627za700za7za7_5701za7, "pair", 4);
	      DEFINE_STRING(BGl_string5629z00zz__evaluate_compz00,
		BgL_bgl_string5629za700za7za7_5702za7, "cdr", 3);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5631z00zz__evaluate_compz00,
		BgL_bgl_string5631za700za7za7_5703za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5633z00zz__evaluate_compz00,
		BgL_bgl_string5633za700za7za7_5704za7, "comp1635", 8);
	      DEFINE_STRING(BGl_string5634z00zz__evaluate_compz00,
		BgL_bgl_string5634za700za7za7_5705za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5635z00zz__evaluate_compz00,
		BgL_bgl_string5635za700za7za7_5706za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5637z00zz__evaluate_compz00,
		BgL_bgl_string5637za700za7za7_5707za7, "comp", 4);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5658z00zz__evaluate_compz00,
		BgL_bgl_string5658za700za7za7_5708za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5659z00zz__evaluate_compz00,
		BgL_bgl_string5659za700za7za7_5709za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5661z00zz__evaluate_compz00,
		BgL_bgl_string5661za700za7za7_5710za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5662z00zz__evaluate_compz00,
		BgL_bgl_string5662za700za7za7_5711za7, "set!", 4);
	      DEFINE_STRING(BGl_string5663z00zz__evaluate_compz00,
		BgL_bgl_string5663za700za7za7_5712za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5664z00zz__evaluate_compz00,
		BgL_bgl_string5664za700za7za7_5713za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5665z00zz__evaluate_compz00,
		BgL_bgl_string5665za700za7za7_5714za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5666z00zz__evaluate_compz00,
		BgL_bgl_string5666za700za7za7_5715za7, "Uninitialized variable", 22);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5716z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5676z00zz__evaluate_compz00,
		BgL_bgl_string5676za700za7za7_5717za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5678z00zz__evaluate_compz00,
		BgL_bgl_string5678za700za7za7_5718za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5680z00zz__evaluate_compz00,
		BgL_bgl_string5680za700za7za7_5719za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5682z00zz__evaluate_compz00,
		BgL_bgl_string5682za700za7za7_5720za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5683z00zz__evaluate_compz00,
		BgL_bgl_string5683za700za7za7_5721za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5684z00zz__evaluate_compz00,
		BgL_bgl_string5684za700za7za7_5722za7, "__evaluate_comp", 15);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5537z00zz__evaluate_compz00,
		BgL_bgl_string5537za700za7za7_5723za7, "all", 3);
	      DEFINE_STRING(BGl_string5539z00zz__evaluate_compz00,
		BgL_bgl_string5539za700za7za7_5724za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5541z00zz__evaluate_compz00,
		BgL_bgl_string5541za700za7za7_5725za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5542z00zz__evaluate_compz00,
		BgL_bgl_string5542za700za7za7_5726za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5543z00zz__evaluate_compz00,
		BgL_bgl_string5543za700za7za7_5727za7, " in ", 4);
	      DEFINE_STRING(BGl_string5544z00zz__evaluate_compz00,
		BgL_bgl_string5544za700za7za7_5728za7, "eval", 4);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5545z00zz__evaluate_compz00,
		BgL_bgl_string5545za700za7za7_5729za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5547z00zz__evaluate_compz00,
		BgL_bgl_string5547za700za7za7_5730za7, "at", 2);
	      DEFINE_STRING(BGl_string5548z00zz__evaluate_compz00,
		BgL_bgl_string5548za700za7za7_5731za7, "", 0);
	      DEFINE_STRING(BGl_string5549z00zz__evaluate_compz00,
		BgL_bgl_string5549za700za7za7_5732za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5550z00zz__evaluate_compz00,
		BgL_bgl_string5550za700za7za7_5733za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5551z00zz__evaluate_compz00,
		BgL_bgl_string5551za700za7za7_5734za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5552z00zz__evaluate_compz00,
		BgL_bgl_string5552za700za7za7_5735za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5553z00zz__evaluate_compz00,
		BgL_bgl_string5553za700za7za7_5736za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5555z00zz__evaluate_compz00,
		BgL_bgl_string5555za700za7za7_5737za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5557z00zz__evaluate_compz00,
		BgL_bgl_string5557za700za7za7_5738za7, "internal", 8);
	      DEFINE_STRING(BGl_string5559z00zz__evaluate_compz00,
		BgL_bgl_string5559za700za7za7_5739za7, "impossible", 10);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5632z00zz__evaluate_compz00,
		BgL_bgl_za762comp1635za762za7za75740z00,
		BGl_z62comp1635z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5560z00zz__evaluate_compz00,
		BgL_bgl_string5560za700za7za7_5741za7, "procedure", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5636z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5742z00,
		BGl_z62compzd2ev_trap1638zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5562z00zz__evaluate_compz00,
		BgL_bgl_string5562za700za7za7_5743za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5638z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5744z00,
		BGl_z62compzd2ev_var1640zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5563z00zz__evaluate_compz00,
		BgL_bgl_string5563za700za7za7_5745za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5639z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5746z00,
		BGl_z62compzd2ev_setlocal1642zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5565z00zz__evaluate_compz00,
		BgL_bgl_string5565za700za7za7_5747za7, "+", 1);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5567z00zz__evaluate_compz00,
		BgL_bgl_string5567za700za7za7_5748za7, "number", 6);
	      DEFINE_STRING(BGl_string5569z00zz__evaluate_compz00,
		BgL_bgl_string5569za700za7za7_5749za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5640z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5750z00,
		BGl_z62compzd2ev_global1644zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5641z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5751z00,
		BGl_z62compzd2ev_setglobal1646zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5642z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5752z00,
		BGl_z62compzd2ev_defglobal1648zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5643z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5753z00,
		BGl_z62compzd2ev_litt1650zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5644z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15754z00,
		BGl_z62compzd2ev_if1652zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5645z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15755z00,
		BGl_z62compzd2ev_or1654zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5646z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5756z00,
		BGl_z62compzd2ev_and1656zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5571z00zz__evaluate_compz00,
		BgL_bgl_string5571za700za7za7_5757za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5647z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5758z00,
		BGl_z62compzd2ev_prog21658zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5648z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5759z00,
		BGl_z62compzd2ev_let1660zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5573z00zz__evaluate_compz00,
		BgL_bgl_string5573za700za7za7_5760za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5649z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5761z00,
		BGl_z62compzd2ev_letza21662z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5575z00zz__evaluate_compz00,
		BgL_bgl_string5575za700za7za7_5762za7, "<", 1);
	      DEFINE_STRING(BGl_string5577z00zz__evaluate_compz00,
		BgL_bgl_string5577za700za7za7_5763za7, ">", 1);
	      DEFINE_STRING(BGl_string5579z00zz__evaluate_compz00,
		BgL_bgl_string5579za700za7za7_5764za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5650z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5765z00,
		BGl_z62compzd2ev_letrec1664zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5651z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5766z00,
		BGl_z62compzd2ev_bindzd2exit1666z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5652z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5767z00,
		BGl_z62compzd2ev_unwindzd2prote1668z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5653z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5768z00,
		BGl_z62compzd2ev_withzd2handler1670z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5654z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5769z00,
		BGl_z62compzd2ev_labels1672zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5655z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5770z00,
		BGl_z62compzd2ev_goto1674zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5656z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5771z00,
		BGl_z62compzd2ev_app1676zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5581z00zz__evaluate_compz00,
		BgL_bgl_string5581za700za7za7_5772za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5657z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5773z00,
		BGl_z62compzd2ev_abs1678zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5583z00zz__evaluate_compz00,
		BgL_bgl_string5583za700za7za7_5774za7, "=", 1);
	      DEFINE_STRING(BGl_string5585z00zz__evaluate_compz00,
		BgL_bgl_string5585za700za7za7_5775za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5587z00zz__evaluate_compz00,
		BgL_bgl_string5587za700za7za7_5776za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5589z00zz__evaluate_compz00,
		BgL_bgl_string5589za700za7za7_5777za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5591z00zz__evaluate_compz00,
		BgL_bgl_string5591za700za7za7_5778za7, "*fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5667z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75779za7,
		BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5668z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75780za7,
		BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5593z00zz__evaluate_compz00,
		BgL_bgl_string5593za700za7za7_5781za7, "/fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5669z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75782za7,
		BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5595z00zz__evaluate_compz00,
		BgL_bgl_string5595za700za7za7_5783za7, "<fx", 3);
	      DEFINE_STRING(BGl_string5597z00zz__evaluate_compz00,
		BgL_bgl_string5597za700za7za7_5784za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5599z00zz__evaluate_compz00,
		BgL_bgl_string5599za700za7za7_5785za7, "<=fx", 4);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5670z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75786za7,
		BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5671z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75787za7,
		BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5672z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75788za7,
		BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5673z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75789za7,
		BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5674z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75790za7,
		BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17680, char *BgL_fromz00_17681)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5536z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5537z00zz__evaluate_compz00);
			BGl_symbol5538z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5539z00zz__evaluate_compz00);
			BGl_symbol5540z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5541z00zz__evaluate_compz00);
			BGl_symbol5546z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5547z00zz__evaluate_compz00);
			BGl_symbol5554z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5555z00zz__evaluate_compz00);
			BGl_symbol5556z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5557z00zz__evaluate_compz00);
			BGl_symbol5558z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5559z00zz__evaluate_compz00);
			BGl_symbol5561z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5562z00zz__evaluate_compz00);
			BGl_symbol5564z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5565z00zz__evaluate_compz00);
			BGl_symbol5566z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5567z00zz__evaluate_compz00);
			BGl_symbol5568z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5569z00zz__evaluate_compz00);
			BGl_symbol5570z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5571z00zz__evaluate_compz00);
			BGl_symbol5572z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5573z00zz__evaluate_compz00);
			BGl_symbol5574z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5575z00zz__evaluate_compz00);
			BGl_symbol5576z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5577z00zz__evaluate_compz00);
			BGl_symbol5578z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5579z00zz__evaluate_compz00);
			BGl_symbol5580z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5581z00zz__evaluate_compz00);
			BGl_symbol5582z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5583z00zz__evaluate_compz00);
			BGl_symbol5584z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5585z00zz__evaluate_compz00);
			BGl_symbol5586z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5587z00zz__evaluate_compz00);
			BGl_symbol5588z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5589z00zz__evaluate_compz00);
			BGl_symbol5590z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5591z00zz__evaluate_compz00);
			BGl_symbol5592z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5593z00zz__evaluate_compz00);
			BGl_symbol5594z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5595z00zz__evaluate_compz00);
			BGl_symbol5596z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5597z00zz__evaluate_compz00);
			BGl_symbol5598z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5599z00zz__evaluate_compz00);
			BGl_symbol5600z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5601z00zz__evaluate_compz00);
			BGl_symbol5602z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5603z00zz__evaluate_compz00);
			BGl_symbol5604z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5605z00zz__evaluate_compz00);
			BGl_symbol5606z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5607z00zz__evaluate_compz00);
			BGl_symbol5608z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5609z00zz__evaluate_compz00);
			BGl_symbol5610z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5611z00zz__evaluate_compz00);
			BGl_symbol5612z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5613z00zz__evaluate_compz00);
			BGl_symbol5614z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5615z00zz__evaluate_compz00);
			BGl_symbol5616z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5617z00zz__evaluate_compz00);
			BGl_symbol5618z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5619z00zz__evaluate_compz00);
			BGl_symbol5620z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5621z00zz__evaluate_compz00);
			BGl_symbol5622z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5623z00zz__evaluate_compz00);
			BGl_symbol5624z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5625z00zz__evaluate_compz00);
			BGl_symbol5626z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5627z00zz__evaluate_compz00);
			BGl_symbol5628z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5629z00zz__evaluate_compz00);
			BGl_symbol5630z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5631z00zz__evaluate_compz00);
			BGl_symbol5660z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5661z00zz__evaluate_compz00);
			BGl_symbol5675z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5676z00zz__evaluate_compz00);
			BGl_symbol5677z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5678z00zz__evaluate_compz00);
			BGl_symbol5679z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5680z00zz__evaluate_compz00);
			return (BGl_symbol5681z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5682z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1709z00_900;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4317z00_5736;

					BgL_res4317z00_5736 = LONG_TO_LLONG(((long) 0));
					BgL_arg1709z00_900 = BgL_res4317z00_5736;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1710z00_901;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1711z00_902;

						BgL_arg1711z00_902 =
							MAKE_PAIR(make_bllong(BgL_arg1709z00_900), BNIL);
						BgL_list1710z00_901 =
							MAKE_PAIR(BGl_symbol5536z00zz__evaluate_compz00,
							BgL_arg1711z00_902);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1710z00_901;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				(long) CINT(BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)),
					BINT(((long) 1024))));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5538z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5540z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_903;

				BgL_headz00_903 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_5768;
					obj_t BgL_tailz00_5769;

					BgL_prevz00_5768 = BgL_headz00_903;
					BgL_tailz00_5769 = BgL_l1z00_1;
				BgL_loopz00_5767:
					if (PAIRP(BgL_tailz00_5769))
						{
							obj_t BgL_newzd2prevzd2_5775;

							BgL_newzd2prevzd2_5775 =
								MAKE_PAIR(CAR(BgL_tailz00_5769), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_5768, BgL_newzd2prevzd2_5775);
							{
								obj_t BgL_tailz00_17756;
								obj_t BgL_prevz00_17755;

								BgL_prevz00_17755 = BgL_newzd2prevzd2_5775;
								BgL_tailz00_17756 = CDR(BgL_tailz00_5769);
								BgL_tailz00_5769 = BgL_tailz00_17756;
								BgL_prevz00_5768 = BgL_prevz00_17755;
								goto BgL_loopz00_5767;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_903);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1730z00_931;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4326z00_5786;

					BgL_res4326z00_5786 = LONG_TO_LLONG(((long) 0));
					BgL_arg1730z00_931 = BgL_res4326z00_5786;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1731z00_932;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1732z00_933;

						BgL_arg1732z00_933 =
							MAKE_PAIR(make_bllong(BgL_arg1730z00_931), BNIL);
						BgL_list1731z00_932 =
							MAKE_PAIR(BGl_symbol5536z00zz__evaluate_compz00,
							BgL_arg1732z00_933);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1731z00_932, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_935;
				obj_t BgL_v2z00_936;

				BgL_v1z00_935 = CAR(BgL_t1z00_4);
				BgL_v2z00_936 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_17765;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_935))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17765 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_936);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17765 = ((bool_t) 0);
						}
					if (BgL_testz00_17765)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_935, BgL_v2z00_936);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_935),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_936));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_941)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_941))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_941), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_941))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4329z00_5793;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_symbolz00_5791;

								BgL_symbolz00_5791 = BgL_vz00_941;
								{	/* Eval/evaluate_comp.scm 126 */
									obj_t BgL_arg4129z00_5792;

									BgL_arg4129z00_5792 = SYMBOL_TO_STRING(BgL_symbolz00_5791);
									BgL_res4329z00_5793 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4129z00_5792);
								}
							}
							return BgL_res4329z00_5793;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_941))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_941;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string5542z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_15613,
		obj_t BgL_t1z00_15614, obj_t BgL_t2z00_15615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_15614,
					BgL_t2z00_15615));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_950)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_arg1744z00_952;
				obj_t BgL_arg1745z00_953;

				BgL_arg1744z00_952 = CDR(BgL_tz00_950);
				{	/* Eval/evaluate_comp.scm 136 */
					obj_t BgL_arg1746z00_954;

					{	/* Eval/evaluate_comp.scm 136 */
						obj_t BgL_pairz00_5802;

						BgL_pairz00_5802 = BgL_tz00_950;
						BgL_arg1746z00_954 = CDR(CDR(BgL_pairz00_5802));
					}
					BgL_arg1745z00_953 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1746z00_954);
				}
				SET_CDR(BgL_arg1744z00_952, BgL_arg1745z00_953);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1541z00_955;

				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_pairz00_5808;

					BgL_pairz00_5808 = BgL_tz00_950;
					BgL_g1541z00_955 = CDR(CDR(BgL_pairz00_5808));
				}
				{
					obj_t BgL_l1539z00_5828;

					BgL_l1539z00_5828 = BgL_g1541z00_955;
				BgL_zc3anonymousza31747ze3z83_5827:
					if (PAIRP(BgL_l1539z00_5828))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1539z00_5828));
							{
								obj_t BgL_l1539z00_17797;

								BgL_l1539z00_17797 = CDR(BgL_l1539z00_5828);
								BgL_l1539z00_5828 = BgL_l1539z00_17797;
								goto BgL_zc3anonymousza31747ze3z83_5827;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 143 */
			{
				obj_t BgL_lz00_5866;
				long BgL_nz00_5867;

				BgL_lz00_5866 = BgL_lz00_7;
				BgL_nz00_5867 = ((long) 0);
			BgL_walkz00_5865:
				if (NULLP(BgL_lz00_5866))
					{	/* Eval/evaluate_comp.scm 148 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 148 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_5866)))
							{	/* Eval/evaluate_comp.scm 148 */
								return BINT(BgL_nz00_5867);
							}
						else
							{
								long BgL_nz00_17807;
								obj_t BgL_lz00_17805;

								BgL_lz00_17805 = CDR(BgL_lz00_5866);
								BgL_nz00_17807 = (BgL_nz00_5867 + ((long) 1));
								BgL_nz00_5867 = BgL_nz00_17807;
								BgL_lz00_5866 = BgL_lz00_17805;
								goto BgL_walkz00_5865;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1074z00_974;

				BgL__ortest_1074z00_974 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1074z00_974))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1074z00_974;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1756z00_975;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1757z00_976;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1757z00_976 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1544z00_982;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1767z00_994;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1768z00_995;

											BgL_arg1768z00_995 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1768z00_995,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1767z00_994 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1768z00_995)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1767z00_994 = BgL_arg1768z00_995;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4342z00_5893;

											BgL_res4342z00_5893 = MAKE_PAIR(BgL_arg1767z00_994, BNIL);
											BgL_head1544z00_982 = BgL_res4342z00_5893;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1547z00_983;

										BgL_g1547z00_983 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1542z00_5929;
											obj_t BgL_tail1545z00_5930;

											BgL_l1542z00_5929 = BgL_g1547z00_983;
											BgL_tail1545z00_5930 = BgL_head1544z00_982;
										BgL_zc3anonymousza31762ze3z83_5928:
											if (NULLP(BgL_l1542z00_5929))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1757z00_976 = BgL_head1544z00_982;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1546z00_5937;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1765z00_5938;

														BgL_arg1765z00_5938 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1542z00_5929));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4348z00_5946;

															BgL_res4348z00_5946 =
																MAKE_PAIR(BgL_arg1765z00_5938, BNIL);
															BgL_newtail1546z00_5937 = BgL_res4348z00_5946;
														}
													}
													SET_CDR(BgL_tail1545z00_5930,
														BgL_newtail1546z00_5937);
													{
														obj_t BgL_tail1545z00_17829;
														obj_t BgL_l1542z00_17827;

														BgL_l1542z00_17827 = CDR(BgL_l1542z00_5929);
														BgL_tail1545z00_17829 = BgL_newtail1546z00_5937;
														BgL_tail1545z00_5930 = BgL_tail1545z00_17829;
														BgL_l1542z00_5929 = BgL_l1542z00_17827;
														goto BgL_zc3anonymousza31762ze3z83_5928;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1758z00_977;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1759z00_978;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1760z00_979;

										BgL_arg1760z00_979 = MAKE_PAIR(BgL_arg1757z00_976, BNIL);
										BgL_arg1759z00_978 =
											MAKE_PAIR(BGl_string5543z00zz__evaluate_compz00,
											BgL_arg1760z00_979);
									}
									BgL_list1758z00_977 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1759z00_978);
								}
								BgL_arg1756z00_975 = BgL_list1758z00_977;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5544z00zz__evaluate_compz00,
							BGl_string5545z00zz__evaluate_compz00, BgL_arg1756z00_975);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1021;

					BgL_cdrzd2177zd2_1021 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5546z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1021))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1024;

									BgL_cdrzd2181zd2_1024 = CDR(BgL_cdrzd2177zd2_1021);
									if (PAIRP(BgL_cdrzd2181zd2_1024))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1024)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1021),
														CAR(BgL_cdrzd2181zd2_1024));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1038;

				BgL_stkz00_1038 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string5548z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1038, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1038;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1039;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_17865;

					BgL_auxz00_17865 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1039 = BGL_ENV_EVSTATE(BgL_auxz00_17865);
				}
				if (VECTORP(BgL_sz00_1039))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1039;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1041;

						BgL_statez00_1041 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_17871;

							BgL_auxz00_17871 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_17871, BgL_statez00_1041);
						}
						return BgL_statez00_1041;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_15616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_15617,
		obj_t BgL_ez00_15618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_17876;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_15618,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_17876 = ((BgL_ev_exprz00_bglt) BgL_ez00_15618);
					}
				else
					{
						obj_t BgL_auxz00_17880;

						BgL_auxz00_17880 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5549z00zz__evaluate_compz00, BINT(((long) 6592)),
							BGl_string5550z00zz__evaluate_compz00,
							BGl_string5551z00zz__evaluate_compz00, BgL_ez00_15618);
						FAILURE(BgL_auxz00_17880, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_17876);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 322 */
					BgL_ev_globalz00_bglt BgL_i1089z00_1091;

					BgL_i1089z00_1091 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_gz00_1092;

						BgL_gz00_1092 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1091))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1091))->BgL_namez00));
						if (CBOOL(BgL_gz00_1092))
							{	/* Eval/evaluate_comp.scm 324 */
								return VECTOR_REF(BgL_gz00_1092, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 324 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_80, obj_t BgL_argsz00_81, obj_t BgL_boxesz00_82, long BgL_spz00_83,
		obj_t BgL_locz00_84)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 588 */
			{
				obj_t BgL_lz00_1111;
				obj_t BgL_bsz00_1112;
				long BgL_spz00_1113;

				BgL_lz00_1111 = BgL_argsz00_81;
				BgL_bsz00_1112 = BgL_boxesz00_82;
				BgL_spz00_1113 = BgL_spz00_83;
			BgL_zc3anonymousza31851ze3z83_1114:
				if (NULLP(BgL_lz00_1111))
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1112))
							{	/* Eval/evaluate_comp.scm 591 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 594 */
								obj_t BgL_arg1854z00_1117;

								{	/* Eval/evaluate_comp.scm 594 */
									long BgL_arg1855z00_1118;
									long BgL_arg1856z00_1119;

									BgL_arg1855z00_1118 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1856z00_1119 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 593 */
										obj_t BgL_list1857z00_1120;

										{	/* Eval/evaluate_comp.scm 593 */
											obj_t BgL_arg1858z00_1121;

											BgL_arg1858z00_1121 =
												MAKE_PAIR(BINT(BgL_arg1856z00_1119), BNIL);
											BgL_list1857z00_1120 =
												MAKE_PAIR(BINT(BgL_arg1855z00_1118),
												BgL_arg1858z00_1121);
										}
										BgL_arg1854z00_1117 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5552z00zz__evaluate_compz00,
											BgL_list1857z00_1120);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5544z00zz__evaluate_compz00,
									BGl_string5553z00zz__evaluate_compz00, BgL_arg1854z00_1117);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1112))
							{	/* Eval/evaluate_comp.scm 598 */
								obj_t BgL_arg1860z00_1123;

								{	/* Eval/evaluate_comp.scm 598 */
									long BgL_arg1862z00_1124;
									long BgL_arg1863z00_1125;

									BgL_arg1862z00_1124 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1863z00_1125 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 597 */
										obj_t BgL_list1864z00_1126;

										{	/* Eval/evaluate_comp.scm 597 */
											obj_t BgL_arg1865z00_1127;

											BgL_arg1865z00_1127 =
												MAKE_PAIR(BINT(BgL_arg1863z00_1125), BNIL);
											BgL_list1864z00_1126 =
												MAKE_PAIR(BINT(BgL_arg1862z00_1124),
												BgL_arg1865z00_1127);
										}
										BgL_arg1860z00_1123 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5552z00zz__evaluate_compz00,
											BgL_list1864z00_1126);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5544z00zz__evaluate_compz00,
									BGl_string5553z00zz__evaluate_compz00, BgL_arg1860z00_1123);
							}
						else
							{	/* Eval/evaluate_comp.scm 595 */
								{	/* Eval/evaluate_comp.scm 601 */
									obj_t BgL_arg1866z00_1128;

									{	/* Eval/evaluate_comp.scm 601 */
										obj_t BgL_vz00_1129;

										{	/* Eval/evaluate_comp.scm 601 */
											obj_t BgL_fun1868z00_1131;

											BgL_fun1868z00_1131 = CAR(BgL_lz00_1111);
											BgL_vz00_1129 =
												PROCEDURE_ENTRY(BgL_fun1868z00_1131)
												(BgL_fun1868z00_1131, BgL_sz00_80, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 602 */
											bool_t BgL_testz00_17923;

											{	/* Eval/evaluate_comp.scm 602 */
												obj_t BgL_pairz00_6021;

												BgL_pairz00_6021 = BgL_bsz00_1112;
												BgL_testz00_17923 = CBOOL(CAR(BgL_pairz00_6021));
											}
											if (BgL_testz00_17923)
												{	/* Eval/evaluate_comp.scm 603 */
													obj_t BgL_newz00_6023;

													BgL_newz00_6023 =
														create_struct(BGl_symbol5554z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 603 */
														int BgL_auxz00_17928;

														BgL_auxz00_17928 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6023, BgL_auxz00_17928,
															BgL_vz00_1129);
													}
													BgL_arg1866z00_1128 = BgL_newz00_6023;
												}
											else
												{	/* Eval/evaluate_comp.scm 602 */
													BgL_arg1866z00_1128 = BgL_vz00_1129;
												}
										}
									}
									VECTOR_SET(BgL_sz00_80,
										(int) (BgL_spz00_1113), BgL_arg1866z00_1128);
								}
								{
									long BgL_spz00_17937;
									obj_t BgL_bsz00_17935;
									obj_t BgL_lz00_17933;

									BgL_lz00_17933 = CDR(BgL_lz00_1111);
									BgL_bsz00_17935 = CDR(BgL_bsz00_1112);
									BgL_spz00_17937 = (BgL_spz00_1113 + ((long) 1));
									BgL_spz00_1113 = BgL_spz00_17937;
									BgL_bsz00_1112 = BgL_bsz00_17935;
									BgL_lz00_1111 = BgL_lz00_17933;
									goto BgL_zc3anonymousza31851ze3z83_1114;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_86,
		obj_t BgL_l2z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 610 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_86))
				{	/* Eval/evaluate_comp.scm 611 */
					return BgL_l2z00_87;
				}
			else
				{	/* Eval/evaluate_comp.scm 611 */
					if ((CAR(BgL_l1z00_86) == CAR(BgL_l2z00_87)))
						{
							obj_t BgL_l2z00_17947;
							obj_t BgL_l1z00_17945;

							BgL_l1z00_17945 = CDR(BgL_l1z00_86);
							BgL_l2z00_17947 = CDR(BgL_l2z00_87);
							BgL_l2z00_87 = BgL_l2z00_17947;
							BgL_l1z00_86 = BgL_l1z00_17945;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 612 */
							return
								BGl_errorz00zz__errorz00(BGl_string5544z00zz__evaluate_compz00,
								BGl_symbol5556z00zz__evaluate_compz00,
								BGl_symbol5558z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_91,
		obj_t BgL_sz00_92, obj_t BgL_bpz00_93)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 634 */
			{	/* Eval/evaluate_comp.scm 635 */
				obj_t BgL_savedzd2bpzd2_1149;

				BgL_savedzd2bpzd2_1149 = VECTOR_REF(BgL_sz00_92, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_92, (int) (((long) 0)), BgL_bpz00_93);
				{
					obj_t BgL_fz00_1151;

					BgL_fz00_1151 = BgL_fz00_91;
				BgL_zc3anonymousza31885ze3z83_1152:
					{	/* Eval/evaluate_comp.scm 638 */
						obj_t BgL_rz00_1153;

						BgL_rz00_1153 =
							PROCEDURE_ENTRY(BgL_fz00_1151) (BgL_fz00_1151, BgL_sz00_92, BEOA);
						{	/* Eval/evaluate_comp.scm 639 */
							bool_t BgL_testz00_17958;

							if (PROCEDUREP(BgL_rz00_1153))
								{	/* Eval/evaluate_comp.scm 639 */
									obj_t BgL_arg1889z00_1156;

									BgL_arg1889z00_1156 = PROCEDURE_ATTR(BgL_rz00_1153);
									if (STRUCTP(BgL_arg1889z00_1156))
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17958 =
												(STRUCT_KEY(BgL_arg1889z00_1156) ==
												BGl_symbol5540z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17958 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									BgL_testz00_17958 = ((bool_t) 0);
								}
							if (BgL_testz00_17958)
								{
									obj_t BgL_fz00_17966;

									BgL_fz00_17966 = BgL_rz00_1153;
									BgL_fz00_1151 = BgL_fz00_17966;
									goto BgL_zc3anonymousza31885ze3z83_1152;
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									VECTOR_SET(BgL_sz00_92,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1149);
									return BgL_rz00_1153;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_115,
		obj_t BgL_stkz00_116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 653 */
			if (NULLP(BgL_eza2za2_115))
				{	/* Eval/evaluate_comp.scm 655 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 657 */
					obj_t BgL_arg1899z00_1168;
					obj_t BgL_arg1900z00_1169;

					{	/* Eval/evaluate_comp.scm 657 */
						obj_t BgL_arg1901z00_1170;

						BgL_arg1901z00_1170 = CAR(BgL_eza2za2_115);
						BgL_arg1899z00_1168 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1901z00_1170), BgL_stkz00_116);
					}
					{	/* Eval/evaluate_comp.scm 658 */
						obj_t BgL_arg1902z00_1171;
						obj_t BgL_arg1903z00_1172;

						BgL_arg1902z00_1171 = CDR(BgL_eza2za2_115);
						{	/* Eval/evaluate_comp.scm 658 */
							obj_t BgL_arg1904z00_1173;

							BgL_arg1904z00_1173 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1903z00_1172 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_116,
								BgL_arg1904z00_1173);
						}
						BgL_arg1900z00_1169 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1902z00_1171,
							BgL_arg1903z00_1172);
					}
					return MAKE_PAIR(BgL_arg1899z00_1168, BgL_arg1900z00_1169);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_17661,
		obj_t BgL_lz00_1175, long BgL_iz00_1176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 661 */
			if (NULLP(BgL_lz00_1175))
				{	/* Eval/evaluate_comp.scm 662 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 662 */
					if ((BgL_iz00_1176 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 663 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1175,
								BgL_stkz00_17661);
						}
					else
						{	/* Eval/evaluate_comp.scm 664 */
							obj_t BgL_arg1908z00_1180;
							obj_t BgL_arg1909z00_1181;

							{	/* Eval/evaluate_comp.scm 664 */
								obj_t BgL_arg1910z00_1182;

								BgL_arg1910z00_1182 = CAR(BgL_lz00_1175);
								BgL_arg1908z00_1180 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1910z00_1182),
									BgL_stkz00_17661);
							}
							BgL_arg1909z00_1181 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_17661,
								CDR(BgL_lz00_1175), (BgL_iz00_1176 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1908z00_1180, BgL_arg1909z00_1181);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_120,
		obj_t BgL_fz00_121, obj_t BgL_argsz00_122, obj_t BgL_bpz00_123,
		long BgL_siza7eza7_124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 667 */
			{	/* Eval/evaluate_comp.scm 669 */
				obj_t BgL_argsz00_1186;

				if (NULLP(BgL_argsz00_122))
					{	/* Eval/evaluate_comp.scm 669 */
						BgL_argsz00_1186 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 669 */
						obj_t BgL_head1593z00_1191;

						{	/* Eval/evaluate_comp.scm 669 */
							obj_t BgL_res4381z00_6142;

							BgL_res4381z00_6142 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1593z00_1191 = BgL_res4381z00_6142;
						}
						{
							obj_t BgL_l1591z00_6176;
							obj_t BgL_tail1594z00_6177;

							BgL_l1591z00_6176 = BgL_argsz00_122;
							BgL_tail1594z00_6177 = BgL_head1593z00_1191;
						BgL_zc3anonymousza31915ze3z83_6175:
							if (NULLP(BgL_l1591z00_6176))
								{	/* Eval/evaluate_comp.scm 669 */
									BgL_argsz00_1186 = CDR(BgL_head1593z00_1191);
								}
							else
								{	/* Eval/evaluate_comp.scm 669 */
									obj_t BgL_newtail1595z00_6184;

									{	/* Eval/evaluate_comp.scm 669 */
										obj_t BgL_arg1918z00_6185;

										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_az00_6186;

											BgL_az00_6186 = CAR(BgL_l1591z00_6176);
											BgL_arg1918z00_6185 =
												PROCEDURE_ENTRY(BgL_az00_6186) (BgL_az00_6186,
												BgL_sz00_120, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_res4387z00_6194;

											BgL_res4387z00_6194 =
												MAKE_PAIR(BgL_arg1918z00_6185, BNIL);
											BgL_newtail1595z00_6184 = BgL_res4387z00_6194;
										}
									}
									SET_CDR(BgL_tail1594z00_6177, BgL_newtail1595z00_6184);
									{
										obj_t BgL_tail1594z00_18006;
										obj_t BgL_l1591z00_18004;

										BgL_l1591z00_18004 = CDR(BgL_l1591z00_6176);
										BgL_tail1594z00_18006 = BgL_newtail1595z00_6184;
										BgL_tail1594z00_6177 = BgL_tail1594z00_18006;
										BgL_l1591z00_6176 = BgL_l1591z00_18004;
										goto BgL_zc3anonymousza31915ze3z83_6175;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 670 */
					long BgL_arg1913z00_1187;

					BgL_arg1913z00_1187 =
						((long) CINT(BgL_bpz00_123) + BgL_siza7eza7_124);
					VECTOR_SET(BgL_sz00_120,
						(int) (((long) 0)), BINT(BgL_arg1913z00_1187));
				}
				{	/* Eval/evaluate_comp.scm 671 */
					obj_t BgL_za2za2resza2za2z00_1188;

					BgL_za2za2resza2za2z00_1188 = apply(BgL_fz00_121, BgL_argsz00_1186);
					VECTOR_SET(BgL_sz00_120, (int) (((long) 0)), BgL_bpz00_123);
					return BgL_za2za2resza2za2z00_1188;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_128, obj_t BgL_sz00_129, obj_t BgL_argsz00_130,
		obj_t BgL_spz00_131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 680 */
			{	/* Eval/evaluate_comp.scm 681 */
				long BgL_g1142z00_1212;

				BgL_g1142z00_1212 = (((long) -1) - (long) CINT(BgL_arityz00_128));
				{
					obj_t BgL_lz00_1214;
					obj_t BgL_spz00_1215;
					long BgL_nz00_1216;

					BgL_lz00_1214 = BgL_argsz00_130;
					BgL_spz00_1215 = BgL_spz00_131;
					BgL_nz00_1216 = BgL_g1142z00_1212;
				BgL_zc3anonymousza31925ze3z83_1217:
					if ((BgL_nz00_1216 == ((long) 0)))
						{
							obj_t BgL_lz00_6305;
							obj_t BgL_rz00_6306;

							BgL_lz00_6305 = BgL_lz00_1214;
							BgL_rz00_6306 = BNIL;
						BgL_rec2z00_6304:
							if (NULLP(BgL_lz00_6305))
								{	/* Eval/evaluate_comp.scm 683 */
									return
										VECTOR_SET(BgL_sz00_129,
										CINT(BgL_spz00_1215), bgl_reverse_bang(BgL_rz00_6306));
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									obj_t BgL_arg1931z00_6315;
									obj_t BgL_arg1932z00_6316;

									BgL_arg1931z00_6315 = CDR(BgL_lz00_6305);
									{	/* Eval/evaluate_comp.scm 683 */
										obj_t BgL_arg1933z00_6317;

										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_fun1934z00_6318;

											BgL_fun1934z00_6318 = CAR(BgL_lz00_6305);
											BgL_arg1933z00_6317 =
												PROCEDURE_ENTRY(BgL_fun1934z00_6318)
												(BgL_fun1934z00_6318, BgL_sz00_129, BEOA);
										}
										BgL_arg1932z00_6316 =
											MAKE_PAIR(BgL_arg1933z00_6317, BgL_rz00_6306);
									}
									{
										obj_t BgL_rz00_18033;
										obj_t BgL_lz00_18032;

										BgL_lz00_18032 = BgL_arg1931z00_6315;
										BgL_rz00_18033 = BgL_arg1932z00_6316;
										BgL_rz00_6306 = BgL_rz00_18033;
										BgL_lz00_6305 = BgL_lz00_18032;
										goto BgL_rec2z00_6304;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 682 */
							{	/* Eval/evaluate_comp.scm 687 */
								obj_t BgL_arg1935z00_1231;

								{	/* Eval/evaluate_comp.scm 687 */
									obj_t BgL_fun1937z00_1232;

									BgL_fun1937z00_1232 = CAR(BgL_lz00_1214);
									BgL_arg1935z00_1231 =
										PROCEDURE_ENTRY(BgL_fun1937z00_1232) (BgL_fun1937z00_1232,
										BgL_sz00_129, BEOA);
								}
								VECTOR_SET(BgL_sz00_129,
									CINT(BgL_spz00_1215), BgL_arg1935z00_1231);
							}
							{	/* Eval/evaluate_comp.scm 688 */
								obj_t BgL_arg1938z00_1233;
								long BgL_arg1939z00_1234;
								long BgL_arg1940z00_1235;

								BgL_arg1938z00_1233 = CDR(BgL_lz00_1214);
								BgL_arg1939z00_1234 =
									((long) CINT(BgL_spz00_1215) + ((long) 1));
								BgL_arg1940z00_1235 = (BgL_nz00_1216 - ((long) 1));
								{
									long BgL_nz00_18048;
									obj_t BgL_spz00_18046;
									obj_t BgL_lz00_18045;

									BgL_lz00_18045 = BgL_arg1938z00_1233;
									BgL_spz00_18046 = BINT(BgL_arg1939z00_1234);
									BgL_nz00_18048 = BgL_arg1940z00_1235;
									BgL_nz00_1216 = BgL_nz00_18048;
									BgL_spz00_1215 = BgL_spz00_18046;
									BgL_lz00_1214 = BgL_lz00_18045;
									goto BgL_zc3anonymousza31925ze3z83_1217;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_132,
		obj_t BgL_stkz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 725 */
			{
				obj_t BgL_lz00_1238;
				obj_t BgL_stkz00_1239;

				BgL_lz00_1238 = BgL_argsz00_132;
				BgL_stkz00_1239 = BgL_stkz00_133;
			BgL_zc3anonymousza31941ze3z83_1240:
				{	/* Eval/evaluate_comp.scm 729 */
					bool_t BgL_testz00_18049;

					if (NULLP(BgL_lz00_1238))
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18049 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18049 = NULLP(BgL_stkz00_1239);
						}
					if (BgL_testz00_18049)
						{	/* Eval/evaluate_comp.scm 729 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 731 */
							bool_t BgL_testz00_18053;

							{	/* Eval/evaluate_comp.scm 731 */
								obj_t BgL_g1598z00_1245;

								BgL_g1598z00_1245 = CDR(BgL_lz00_1238);
								{
									obj_t BgL_l1596z00_1247;

									BgL_l1596z00_1247 = BgL_g1598z00_1245;
								BgL_zc3anonymousza31946ze3z83_1248:
									if (NULLP(BgL_l1596z00_1247))
										{	/* Eval/evaluate_comp.scm 731 */
											BgL_testz00_18053 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 731 */
											bool_t BgL_testz00_18057;

											{	/* Eval/evaluate_comp.scm 731 */
												obj_t BgL_ez00_1252;

												BgL_ez00_1252 = CAR(BgL_l1596z00_1247);
												{	/* Eval/evaluate_comp.scm 731 */
													obj_t BgL_arg1950z00_1253;
													obj_t BgL_arg1951z00_1254;

													BgL_arg1950z00_1253 = CAR(BgL_stkz00_1239);
													BgL_arg1951z00_1254 =
														BGl_usez00zz__evaluate_usez00(
														((BgL_ev_exprz00_bglt) BgL_ez00_1252), BNIL);
													BgL_testz00_18057 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1950z00_1253, BgL_arg1951z00_1254));
												}
											}
											if (BgL_testz00_18057)
												{	/* Eval/evaluate_comp.scm 731 */
													BgL_testz00_18053 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1596z00_18064;

													BgL_l1596z00_18064 = CDR(BgL_l1596z00_1247);
													BgL_l1596z00_1247 = BgL_l1596z00_18064;
													goto BgL_zc3anonymousza31946ze3z83_1248;
												}
										}
								}
							}
							if (BgL_testz00_18053)
								{	/* Eval/evaluate_comp.scm 731 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18068;
									obj_t BgL_lz00_18066;

									BgL_lz00_18066 = CDR(BgL_lz00_1238);
									BgL_stkz00_18068 = CDR(BgL_stkz00_1239);
									BgL_stkz00_1239 = BgL_stkz00_18068;
									BgL_lz00_1238 = BgL_lz00_18066;
									goto BgL_zc3anonymousza31941ze3z83_1240;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_134, obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 735 */
			{	/* Eval/evaluate_comp.scm 737 */
				long BgL_siza7eza7_1259;
				long BgL_nbargsz00_1260;
				obj_t BgL_fz00_1261;
				obj_t BgL_symbzd2funzd2_1262;

				BgL_siza7eza7_1259 = bgl_list_length(BgL_stkz00_135);
				BgL_nbargsz00_1260 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00));
				BgL_fz00_1261 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_funz00),
					BgL_stkz00_135);
				BgL_symbzd2funzd2_1262 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_134))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 739 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
								BgL_stkz00_135))
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_argsz00_1265;

								BgL_argsz00_1265 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_stkz00_135);
								{	/* Eval/evaluate_comp.scm 746 */
									obj_t BgL_zc3anonymousza31955ze3z83_15619;

									BgL_zc3anonymousza31955ze3z83_15619 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 0)), BgL_fz00_1261);
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 2)), BgL_symbzd2funzd2_1262);
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1260));
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 4)), BgL_argsz00_1265);
									PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_15619,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1259));
									return BgL_zc3anonymousza31955ze3z83_15619;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_argsz00_1306;

								BgL_argsz00_1306 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_135,
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_siza7eza7_1259);
								{	/* Eval/evaluate_comp.scm 754 */
									obj_t BgL_zc3anonymousza31985ze3z83_15620;

									BgL_zc3anonymousza31985ze3z83_15620 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15620,
										(int) (((long) 0)), BgL_fz00_1261);
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15620,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15620,
										(int) (((long) 2)), BgL_symbzd2funzd2_1262);
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15620,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1260));
									PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_15620,
										(int) (((long) 4)), BgL_argsz00_1306);
									return BgL_zc3anonymousza31985ze3z83_15620;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_argsz00_1345;

						BgL_argsz00_1345 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
							BgL_stkz00_135);
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_zc3anonymousza32010ze3z83_15621;

							BgL_zc3anonymousza32010ze3z83_15621 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 0)), BgL_fz00_1261);
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 1)), ((obj_t) BgL_ez00_134));
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 2)), BgL_symbzd2funzd2_1262);
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1260));
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 4)), BgL_argsz00_1345);
							PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_15621,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1259));
							return BgL_zc3anonymousza32010ze3z83_15621;
						}
					}
			}
		}
	}



/* &<anonymous:1955> */
	obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15622, obj_t BgL_sz00_15629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			{	/* Eval/evaluate_comp.scm 746 */
				obj_t BgL_fz00_15623;
				BgL_ev_appz00_bglt BgL_i1147z00_15624;
				obj_t BgL_symbzd2funzd2_15625;
				long BgL_nbargsz00_15626;
				obj_t BgL_argsz00_15627;
				long BgL_siza7eza7_15628;

				BgL_fz00_15623 = PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 0)));
				BgL_i1147z00_15624 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 1))));
				BgL_symbzd2funzd2_15625 =
					PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 2)));
				BgL_nbargsz00_15626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 3))));
				BgL_argsz00_15627 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 4))));
				BgL_siza7eza7_15628 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1266;

					BgL_sz00_1266 = BgL_sz00_15629;
					{	/* Eval/evaluate_comp.scm 746 */
						obj_t BgL_bpz00_1268;

						BgL_bpz00_1268 = VECTOR_REF(BgL_sz00_1266, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_fz00_1269;

							BgL_fz00_1269 =
								PROCEDURE_ENTRY(BgL_fz00_15623) (BgL_fz00_15623, BgL_sz00_1266,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1269))
								{	/* Eval/evaluate_comp.scm 746 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 746 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15624))->
											BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1269);
								}
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_ufz00_1272;

								BgL_ufz00_1272 = PROCEDURE_ATTR(BgL_fz00_1269);
								{	/* Eval/evaluate_comp.scm 746 */
									bool_t BgL_testz00_18167;

									if (STRUCTP(BgL_ufz00_1272))
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18167 =
												(STRUCT_KEY(BgL_ufz00_1272) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18167 = ((bool_t) 0);
										}
									if (BgL_testz00_18167)
										{	/* Eval/evaluate_comp.scm 746 */
											obj_t BgL_arityz00_1274;
											obj_t BgL_runz00_1275;
											obj_t BgL_sfz00_1276;

											BgL_arityz00_1274 =
												STRUCT_REF(BgL_ufz00_1272, (int) (((long) 0)));
											BgL_runz00_1275 =
												STRUCT_REF(BgL_ufz00_1272, (int) (((long) 1)));
											BgL_sfz00_1276 =
												STRUCT_REF(BgL_ufz00_1272, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 746 */
												long BgL_spz00_1277;

												BgL_spz00_1277 =
													((long) CINT(BgL_bpz00_1268) + BgL_siza7eza7_15628);
												if (
													((long) CINT(BgL_arityz00_1274) ==
														BgL_nbargsz00_15626))
													{	/* Eval/evaluate_comp.scm 746 */
														{
															obj_t BgL_lz00_6380;
															long BgL_spz00_6381;

															BgL_lz00_6380 = BgL_argsz00_15627;
															BgL_spz00_6381 = BgL_spz00_1277;
														BgL_recz00_6379:
															if (NULLP(BgL_lz00_6380))
																{	/* Eval/evaluate_comp.scm 749 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 749 */
																	{	/* Eval/evaluate_comp.scm 749 */
																		obj_t BgL_arg1921z00_6388;

																		{	/* Eval/evaluate_comp.scm 749 */
																			obj_t BgL_fun1922z00_6389;

																			BgL_fun1922z00_6389 = CAR(BgL_lz00_6380);
																			BgL_arg1921z00_6388 =
																				PROCEDURE_ENTRY(BgL_fun1922z00_6389)
																				(BgL_fun1922z00_6389, BgL_sz00_1266,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1266,
																			(int) (BgL_spz00_6381),
																			BgL_arg1921z00_6388);
																	}
																	{
																		long BgL_spz00_18194;
																		obj_t BgL_lz00_18192;

																		BgL_lz00_18192 = CDR(BgL_lz00_6380);
																		BgL_spz00_18194 =
																			(BgL_spz00_6381 + ((long) 1));
																		BgL_spz00_6381 = BgL_spz00_18194;
																		BgL_lz00_6380 = BgL_lz00_18192;
																		goto BgL_recz00_6379;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 750 */
															long BgL_arg1961z00_1279;

															BgL_arg1961z00_1279 =
																(BgL_spz00_1277 + BgL_nbargsz00_15626);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1266, BgL_bpz00_1268, BgL_sz00_1266,
																BINT(BgL_spz00_1277),
																BINT(BgL_arg1961z00_1279));
													}}
												else
													{	/* Eval/evaluate_comp.scm 746 */
														bool_t BgL_testz00_18200;

														if (((long) CINT(BgL_arityz00_1274) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18200 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18200 =
																	(
																	(long) CINT(BgL_arityz00_1274) <
																	(((long) -1) - BgL_nbargsz00_15626));
															}
														if (BgL_testz00_18200)
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_15624))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1272,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15626),
																	CINT(BgL_arityz00_1274));
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1274, BgL_sz00_1266,
																	BgL_argsz00_15627, BINT(BgL_spz00_1277));
																{	/* Eval/evaluate_comp.scm 752 */
																	long BgL_arg1965z00_1283;

																	BgL_arg1965z00_1283 =
																		(BgL_spz00_1277 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1274)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1266, BgL_bpz00_1268,
																		BgL_sz00_1266, BINT(BgL_spz00_1277),
																		BINT(BgL_arg1965z00_1283));
													}}}
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_auxz00_18223;
													obj_t BgL_auxz00_18221;

													BgL_auxz00_18223 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15624))->
														BgL_locz00);
													BgL_auxz00_18221 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18221,
														BgL_auxz00_18223);
												}
												{	/* Eval/evaluate_comp.scm 746 */
													bool_t BgL_testz00_18226;

													{	/* Eval/evaluate_comp.scm 746 */
														int BgL_arg1897z00_6428;

														BgL_arg1897z00_6428 = VECTOR_LENGTH(BgL_sz00_1266);
														BgL_testz00_18226 =
															(
															((long) CINT(BgL_bpz00_1268) +
																(long) CINT(BgL_sfz00_1276)) <
															(long) (BgL_arg1897z00_6428));
													}
													if (BgL_testz00_18226)
														{	/* Eval/evaluate_comp.scm 746 */
															return BgL_runz00_1275;
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															obj_t BgL_nsz00_1290;

															BgL_nsz00_1290 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 746 */
																long BgL_arg1971z00_1292;

																BgL_arg1971z00_1292 =
																	(
																	(long) CINT(BgL_bpz00_1268) +
																	BgL_nbargsz00_15626);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1290, BINT(((long) 2)),
																	BgL_sz00_1266, BgL_bpz00_1268,
																	BINT(BgL_arg1971z00_1292));
															}
															VECTOR_SET(BgL_nsz00_1290,
																(int) (((long) 1)), BgL_sz00_1266);
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_auxz00_18241;

																BgL_auxz00_18241 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18241,
																	BgL_nsz00_1290);
															}
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_val1151z00_1294;

																BgL_val1151z00_1294 =
																	BGl_zc3exitza31980ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1290, BgL_runz00_1275);
																{	/* Eval/evaluate_comp.scm 746 */
																	obj_t BgL_auxz00_18245;

																	BgL_auxz00_18245 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18245,
																		BgL_sz00_1266);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1151z00_1294)))
																	{	/* Eval/evaluate_comp.scm 746 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1151z00_1294),
																			CDR(BgL_val1151z00_1294));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 746 */
																		return BgL_val1151z00_1294;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1269,
													(int) (BgL_nbargsz00_15626)))
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1266, BgL_fz00_1269, BgL_argsz00_15627,
														BgL_bpz00_1268, BgL_siza7eza7_15628);
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15624))->
															BgL_locz00), BgL_symbzd2funzd2_15625,
														(int) (BgL_nbargsz00_15626),
														PROCEDURE_ARITY(BgL_fz00_1269));
		}}}}}}}}}
	}



/* <exit:1980> */
	obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17660,
		obj_t BgL_runz00_17659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1152z00_1300;

			if (SET_EXIT(BgL_an_exit1152z00_1300))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1152z00_1300 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 746 */

						PUSH_EXIT(BgL_an_exit1152z00_1300, ((long) 0));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_val1153z00_1301;

							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_savedzd2bpzd2_6447;

								BgL_savedzd2bpzd2_6447 =
									VECTOR_REF(BgL_nsz00_17660, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17660,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6454;

									BgL_fz00_6454 = BgL_runz00_17659;
								BgL_recz00_6453:
									{	/* Eval/evaluate_comp.scm 746 */
										obj_t BgL_rz00_6455;

										BgL_rz00_6455 =
											PROCEDURE_ENTRY(BgL_fz00_6454) (BgL_fz00_6454,
											BgL_nsz00_17660, BEOA);
										{	/* Eval/evaluate_comp.scm 746 */
											bool_t BgL_testz00_18274;

											if (PROCEDUREP(BgL_rz00_6455))
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_arg1889z00_6460;

													BgL_arg1889z00_6460 = PROCEDURE_ATTR(BgL_rz00_6455);
													if (STRUCTP(BgL_arg1889z00_6460))
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18274 =
																(STRUCT_KEY(BgL_arg1889z00_6460) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18274 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													BgL_testz00_18274 = ((bool_t) 0);
												}
											if (BgL_testz00_18274)
												{
													obj_t BgL_fz00_18282;

													BgL_fz00_18282 = BgL_rz00_6455;
													BgL_fz00_6454 = BgL_fz00_18282;
													goto BgL_recz00_6453;
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													VECTOR_SET(BgL_nsz00_17660,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6447);
													BgL_val1153z00_1301 = BgL_rz00_6455;
							}}}}}
							POP_EXIT();
							return BgL_val1153z00_1301;
						}
					}
				}
		}
	}



/* &<anonymous:1985> */
	obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15630, obj_t BgL_sz00_15636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			{	/* Eval/evaluate_comp.scm 754 */
				obj_t BgL_fz00_15631;
				BgL_ev_appz00_bglt BgL_i1147z00_15632;
				obj_t BgL_symbzd2funzd2_15633;
				long BgL_nbargsz00_15634;
				obj_t BgL_argsz00_15635;

				BgL_fz00_15631 = PROCEDURE_REF(BgL_envz00_15630, (int) (((long) 0)));
				BgL_i1147z00_15632 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15630, (int) (((long) 1))));
				BgL_symbzd2funzd2_15633 =
					PROCEDURE_REF(BgL_envz00_15630, (int) (((long) 2)));
				BgL_nbargsz00_15634 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15630, (int) (((long) 3))));
				BgL_argsz00_15635 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15630, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1307;

					BgL_sz00_1307 = BgL_sz00_15636;
					{	/* Eval/evaluate_comp.scm 754 */
						obj_t BgL_bpz00_1309;

						BgL_bpz00_1309 = VECTOR_REF(BgL_sz00_1307, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_fz00_1310;

							BgL_fz00_1310 =
								PROCEDURE_ENTRY(BgL_fz00_15631) (BgL_fz00_15631, BgL_sz00_1307,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1310))
								{	/* Eval/evaluate_comp.scm 754 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 754 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15632))->
											BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1310);
								}
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_ufz00_1313;

								BgL_ufz00_1313 = PROCEDURE_ATTR(BgL_fz00_1310);
								{	/* Eval/evaluate_comp.scm 754 */
									bool_t BgL_testz00_18310;

									if (STRUCTP(BgL_ufz00_1313))
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18310 =
												(STRUCT_KEY(BgL_ufz00_1313) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18310 = ((bool_t) 0);
										}
									if (BgL_testz00_18310)
										{	/* Eval/evaluate_comp.scm 754 */
											obj_t BgL_arityz00_1315;
											obj_t BgL_runz00_1316;
											obj_t BgL_sfz00_1317;

											BgL_arityz00_1315 =
												STRUCT_REF(BgL_ufz00_1313, (int) (((long) 0)));
											BgL_runz00_1316 =
												STRUCT_REF(BgL_ufz00_1313, (int) (((long) 1)));
											BgL_sfz00_1317 =
												STRUCT_REF(BgL_ufz00_1313, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1315) == BgL_nbargsz00_15634))
												{
													obj_t BgL_lz00_6506;
													obj_t BgL_spz00_6507;

													{	/* Eval/evaluate_comp.scm 757 */
														bool_t BgL_auxz00_18324;

														BgL_lz00_6506 = BgL_argsz00_15635;
														BgL_spz00_6507 = BgL_bpz00_1309;
													BgL_recz00_6505:
														if (NULLP(BgL_lz00_6506))
															{	/* Eval/evaluate_comp.scm 757 */
																BgL_auxz00_18324 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 757 */
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1921z00_6514;

																	{	/* Eval/evaluate_comp.scm 757 */
																		obj_t BgL_fun1922z00_6515;

																		BgL_fun1922z00_6515 = CAR(BgL_lz00_6506);
																		BgL_arg1921z00_6514 =
																			PROCEDURE_ENTRY(BgL_fun1922z00_6515)
																			(BgL_fun1922z00_6515, BgL_sz00_1307,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1307,
																		CINT(BgL_spz00_6507), BgL_arg1921z00_6514);
																}
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1923z00_6516;
																	long BgL_arg1924z00_6517;

																	BgL_arg1923z00_6516 = CDR(BgL_lz00_6506);
																	BgL_arg1924z00_6517 =
																		((long) CINT(BgL_spz00_6507) + ((long) 1));
																	{
																		obj_t BgL_spz00_18338;
																		obj_t BgL_lz00_18337;

																		BgL_lz00_18337 = BgL_arg1923z00_6516;
																		BgL_spz00_18338 = BINT(BgL_arg1924z00_6517);
																		BgL_spz00_6507 = BgL_spz00_18338;
																		BgL_lz00_6506 = BgL_lz00_18337;
																		goto BgL_recz00_6505;
																	}
																}
															}
														BBOOL(BgL_auxz00_18324);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													bool_t BgL_testz00_18341;

													if (((long) CINT(BgL_arityz00_1315) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18341 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18341 =
																(
																(long) CINT(BgL_arityz00_1315) <
																(((long) -1) - BgL_nbargsz00_15634));
														}
													if (BgL_testz00_18341)
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1147z00_15632))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1313, (int) (((long) 3))),
																(int) (BgL_nbargsz00_15634),
																CINT(BgL_arityz00_1315));
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1315, BgL_sz00_1307,
																BgL_argsz00_15635, BgL_bpz00_1309);
														}
												}
											{	/* Eval/evaluate_comp.scm 754 */
												obj_t BgL_auxz00_18357;
												obj_t BgL_auxz00_18355;

												BgL_auxz00_18357 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15632))->
													BgL_locz00);
												BgL_auxz00_18355 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18355,
													BgL_auxz00_18357);
											}
											{	/* Eval/evaluate_comp.scm 754 */
												bool_t BgL_testz00_18360;

												{	/* Eval/evaluate_comp.scm 754 */
													int BgL_arg1897z00_6545;

													BgL_arg1897z00_6545 = VECTOR_LENGTH(BgL_sz00_1307);
													BgL_testz00_18360 =
														(
														((long) CINT(BgL_bpz00_1309) +
															(long) CINT(BgL_sfz00_1317)) <
														(long) (BgL_arg1897z00_6545));
												}
												if (BgL_testz00_18360)
													{	/* Eval/evaluate_comp.scm 754 */
														return BgL_runz00_1316;
													}
												else
													{	/* Eval/evaluate_comp.scm 754 */
														obj_t BgL_nsz00_1328;

														BgL_nsz00_1328 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 754 */
															long BgL_arg1997z00_1330;

															BgL_arg1997z00_1330 =
																(
																(long) CINT(BgL_bpz00_1309) +
																BgL_nbargsz00_15634);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1328, BINT(((long) 2)),
																BgL_sz00_1307, BgL_bpz00_1309,
																BINT(BgL_arg1997z00_1330));
														}
														VECTOR_SET(BgL_nsz00_1328,
															(int) (((long) 1)), BgL_sz00_1307);
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_auxz00_18375;

															BgL_auxz00_18375 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18375,
																BgL_nsz00_1328);
														}
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_val1154z00_1332;

															BgL_val1154z00_1332 =
																BGl_zc3exitza32003ze3z83zz__evaluate_compz00
																(BgL_nsz00_1328, BgL_runz00_1316);
															{	/* Eval/evaluate_comp.scm 754 */
																obj_t BgL_auxz00_18379;

																BgL_auxz00_18379 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18379,
																	BgL_sz00_1307);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1154z00_1332)))
																{	/* Eval/evaluate_comp.scm 754 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1154z00_1332),
																		CDR(BgL_val1154z00_1332));
																}
															else
																{	/* Eval/evaluate_comp.scm 754 */
																	return BgL_val1154z00_1332;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1310,
													(int) (BgL_nbargsz00_15634)))
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1307, BgL_fz00_1310, BgL_argsz00_15635,
														BgL_bpz00_1309, BgL_nbargsz00_15634);
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15632))->
															BgL_locz00), BgL_symbzd2funzd2_15633,
														(int) (BgL_nbargsz00_15634),
														PROCEDURE_ARITY(BgL_fz00_1310));
		}}}}}}}}}
	}



/* <exit:2003> */
	obj_t BGl_zc3exitza32003ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17658,
		obj_t BgL_runz00_17657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1155z00_1338;

			if (SET_EXIT(BgL_an_exit1155z00_1338))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1155z00_1338 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 754 */

						PUSH_EXIT(BgL_an_exit1155z00_1338, ((long) 0));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_val1156z00_1339;

							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_savedzd2bpzd2_6564;

								BgL_savedzd2bpzd2_6564 =
									VECTOR_REF(BgL_nsz00_17658, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17658,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6571;

									BgL_fz00_6571 = BgL_runz00_17657;
								BgL_recz00_6570:
									{	/* Eval/evaluate_comp.scm 754 */
										obj_t BgL_rz00_6572;

										BgL_rz00_6572 =
											PROCEDURE_ENTRY(BgL_fz00_6571) (BgL_fz00_6571,
											BgL_nsz00_17658, BEOA);
										{	/* Eval/evaluate_comp.scm 754 */
											bool_t BgL_testz00_18408;

											if (PROCEDUREP(BgL_rz00_6572))
												{	/* Eval/evaluate_comp.scm 754 */
													obj_t BgL_arg1889z00_6577;

													BgL_arg1889z00_6577 = PROCEDURE_ATTR(BgL_rz00_6572);
													if (STRUCTP(BgL_arg1889z00_6577))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18408 =
																(STRUCT_KEY(BgL_arg1889z00_6577) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18408 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													BgL_testz00_18408 = ((bool_t) 0);
												}
											if (BgL_testz00_18408)
												{
													obj_t BgL_fz00_18416;

													BgL_fz00_18416 = BgL_rz00_6572;
													BgL_fz00_6571 = BgL_fz00_18416;
													goto BgL_recz00_6570;
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													VECTOR_SET(BgL_nsz00_17658,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6564);
													BgL_val1156z00_1339 = BgL_rz00_6572;
							}}}}}
							POP_EXIT();
							return BgL_val1156z00_1339;
						}
					}
				}
		}
	}



/* &<anonymous:2010> */
	obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15637, obj_t BgL_sz00_15644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			{	/* Eval/evaluate_comp.scm 740 */
				obj_t BgL_fz00_15638;
				BgL_ev_appz00_bglt BgL_i1147z00_15639;
				obj_t BgL_symbzd2funzd2_15640;
				long BgL_nbargsz00_15641;
				obj_t BgL_argsz00_15642;
				long BgL_siza7eza7_15643;

				BgL_fz00_15638 = PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 0)));
				BgL_i1147z00_15639 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 1))));
				BgL_symbzd2funzd2_15640 =
					PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 2)));
				BgL_nbargsz00_15641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 3))));
				BgL_argsz00_15642 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 4))));
				BgL_siza7eza7_15643 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15637, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1346;

					BgL_sz00_1346 = BgL_sz00_15644;
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_bpz00_1348;

						BgL_bpz00_1348 = VECTOR_REF(BgL_sz00_1346, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_fz00_1349;

							BgL_fz00_1349 =
								PROCEDURE_ENTRY(BgL_fz00_15638) (BgL_fz00_15638, BgL_sz00_1346,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1349))
								{	/* Eval/evaluate_comp.scm 740 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 740 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15639))->
											BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1349);
								}
							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_ufz00_1352;

								BgL_ufz00_1352 = PROCEDURE_ATTR(BgL_fz00_1349);
								{	/* Eval/evaluate_comp.scm 740 */
									bool_t BgL_testz00_18447;

									if (STRUCTP(BgL_ufz00_1352))
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18447 =
												(STRUCT_KEY(BgL_ufz00_1352) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18447 = ((bool_t) 0);
										}
									if (BgL_testz00_18447)
										{	/* Eval/evaluate_comp.scm 740 */
											obj_t BgL_arityz00_1354;
											obj_t BgL_runz00_1355;
											obj_t BgL_sfz00_1356;

											BgL_arityz00_1354 =
												STRUCT_REF(BgL_ufz00_1352, (int) (((long) 0)));
											BgL_runz00_1355 =
												STRUCT_REF(BgL_ufz00_1352, (int) (((long) 1)));
											BgL_sfz00_1356 =
												STRUCT_REF(BgL_ufz00_1352, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 740 */
												long BgL_spz00_1357;

												BgL_spz00_1357 =
													((long) CINT(BgL_bpz00_1348) + BgL_siza7eza7_15643);
												if (
													((long) CINT(BgL_arityz00_1354) ==
														BgL_nbargsz00_15641))
													{
														obj_t BgL_lz00_6623;
														long BgL_spz00_6624;

														{	/* Eval/evaluate_comp.scm 743 */
															bool_t BgL_auxz00_18463;

															BgL_lz00_6623 = BgL_argsz00_15642;
															BgL_spz00_6624 = BgL_spz00_1357;
														BgL_recz00_6622:
															if (NULLP(BgL_lz00_6623))
																{	/* Eval/evaluate_comp.scm 743 */
																	BgL_auxz00_18463 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 743 */
																	{	/* Eval/evaluate_comp.scm 743 */
																		obj_t BgL_arg1921z00_6631;

																		{	/* Eval/evaluate_comp.scm 743 */
																			obj_t BgL_fun1922z00_6632;

																			BgL_fun1922z00_6632 = CAR(BgL_lz00_6623);
																			BgL_arg1921z00_6631 =
																				PROCEDURE_ENTRY(BgL_fun1922z00_6632)
																				(BgL_fun1922z00_6632, BgL_sz00_1346,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1346,
																			(int) (BgL_spz00_6624),
																			BgL_arg1921z00_6631);
																	}
																	{
																		long BgL_spz00_18475;
																		obj_t BgL_lz00_18473;

																		BgL_lz00_18473 = CDR(BgL_lz00_6623);
																		BgL_spz00_18475 =
																			(BgL_spz00_6624 + ((long) 1));
																		BgL_spz00_6624 = BgL_spz00_18475;
																		BgL_lz00_6623 = BgL_lz00_18473;
																		goto BgL_recz00_6622;
																	}
																}
															BBOOL(BgL_auxz00_18463);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 740 */
														bool_t BgL_testz00_18478;

														if (((long) CINT(BgL_arityz00_1354) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18478 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18478 =
																	(
																	(long) CINT(BgL_arityz00_1354) <
																	(((long) -1) - BgL_nbargsz00_15641));
															}
														if (BgL_testz00_18478)
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_15639))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1352,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15641),
																	CINT(BgL_arityz00_1354));
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1354, BgL_sz00_1346,
																	BgL_argsz00_15642, BINT(BgL_spz00_1357));
															}
													}
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_auxz00_18495;
													obj_t BgL_auxz00_18493;

													BgL_auxz00_18495 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15639))->
														BgL_locz00);
													BgL_auxz00_18493 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18493,
														BgL_auxz00_18495);
												}
												{	/* Eval/evaluate_comp.scm 740 */
													bool_t BgL_testz00_18498;

													{	/* Eval/evaluate_comp.scm 740 */
														int BgL_arg1897z00_6662;

														BgL_arg1897z00_6662 = VECTOR_LENGTH(BgL_sz00_1346);
														BgL_testz00_18498 =
															(
															(BgL_spz00_1357 +
																(long) CINT(BgL_sfz00_1356)) <
															(long) (BgL_arg1897z00_6662));
													}
													if (BgL_testz00_18498)
														{	/* Eval/evaluate_comp.scm 740 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1355, BgL_sz00_1346,
																BINT(BgL_spz00_1357));
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															obj_t BgL_nsz00_1367;

															BgL_nsz00_1367 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 740 */
																long BgL_arg2023z00_1369;

																BgL_arg2023z00_1369 =
																	(BgL_spz00_1357 + BgL_nbargsz00_15641);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1367, BINT(((long) 2)),
																	BgL_sz00_1346, BINT(BgL_spz00_1357),
																	BINT(BgL_arg2023z00_1369));
															}
															VECTOR_SET(BgL_nsz00_1367,
																(int) (((long) 1)), BgL_sz00_1346);
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_auxz00_18514;

																BgL_auxz00_18514 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18514,
																	BgL_nsz00_1367);
															}
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_val1148z00_1371;

																BgL_val1148z00_1371 =
																	BGl_zc3exitza32030ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1367, BgL_runz00_1355);
																{	/* Eval/evaluate_comp.scm 740 */
																	obj_t BgL_auxz00_18518;

																	BgL_auxz00_18518 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18518,
																		BgL_sz00_1346);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1148z00_1371)))
																	{	/* Eval/evaluate_comp.scm 740 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1148z00_1371),
																			CDR(BgL_val1148z00_1371));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 740 */
																		return BgL_val1148z00_1371;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1349,
													(int) (BgL_nbargsz00_15641)))
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1346, BgL_fz00_1349, BgL_argsz00_15642,
														BgL_bpz00_1348, BgL_siza7eza7_15643);
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15639))->
															BgL_locz00), BgL_symbzd2funzd2_15640,
														(int) (BgL_nbargsz00_15641),
														PROCEDURE_ARITY(BgL_fz00_1349));
		}}}}}}}}}
	}



/* <exit:2030> */
	obj_t BGl_zc3exitza32030ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17656,
		obj_t BgL_runz00_17655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1149z00_1377;

			if (SET_EXIT(BgL_an_exit1149z00_1377))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1149z00_1377 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 740 */

						PUSH_EXIT(BgL_an_exit1149z00_1377, ((long) 0));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_val1150z00_1378;

							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_savedzd2bpzd2_6680;

								BgL_savedzd2bpzd2_6680 =
									VECTOR_REF(BgL_nsz00_17656, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17656,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6687;

									BgL_fz00_6687 = BgL_runz00_17655;
								BgL_recz00_6686:
									{	/* Eval/evaluate_comp.scm 740 */
										obj_t BgL_rz00_6688;

										BgL_rz00_6688 =
											PROCEDURE_ENTRY(BgL_fz00_6687) (BgL_fz00_6687,
											BgL_nsz00_17656, BEOA);
										{	/* Eval/evaluate_comp.scm 740 */
											bool_t BgL_testz00_18547;

											if (PROCEDUREP(BgL_rz00_6688))
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_arg1889z00_6693;

													BgL_arg1889z00_6693 = PROCEDURE_ATTR(BgL_rz00_6688);
													if (STRUCTP(BgL_arg1889z00_6693))
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18547 =
																(STRUCT_KEY(BgL_arg1889z00_6693) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18547 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													BgL_testz00_18547 = ((bool_t) 0);
												}
											if (BgL_testz00_18547)
												{
													obj_t BgL_fz00_18555;

													BgL_fz00_18555 = BgL_rz00_6688;
													BgL_fz00_6687 = BgL_fz00_18555;
													goto BgL_recz00_6686;
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													VECTOR_SET(BgL_nsz00_17656,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6680);
													BgL_val1150z00_1378 = BgL_rz00_6688;
							}}}}}
							POP_EXIT();
							return BgL_val1150z00_1378;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_136,
		BgL_ev_exprz00_bglt BgL_vfunz00_137, obj_t BgL_symbzd2funzd2_138,
		obj_t BgL_funz00_139, obj_t BgL_tailzf3zf3_140, obj_t BgL_stkz00_141,
		long BgL_siza7eza7_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1386;

				BgL_cfunz00_1386 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_137,
					((long) 0), BgL_locz00_136, BgL_symbzd2funzd2_138);
				if (CBOOL(BgL_cfunz00_1386))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32040ze3z83_15645;

						BgL_zc3anonymousza32040ze3z83_15645 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15645,
							(int) (((long) 0)), BINT(BgL_siza7eza7_142));
						PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15645,
							(int) (((long) 1)), BgL_cfunz00_1386);
						return BgL_zc3anonymousza32040ze3z83_15645;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_140))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32041ze3z83_15646;

								BgL_zc3anonymousza32041ze3z83_15646 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15646,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15646,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15646,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15646,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32041ze3z83_15646;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32062ze3z83_15647;

								BgL_zc3anonymousza32062ze3z83_15647 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32062ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_15647,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_15647,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_15647,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_15647,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32062ze3z83_15647;
							}
					}
			}
		}
	}



/* &<anonymous:2040> */
	obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15648, obj_t BgL_sz00_15651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				long BgL_siza7eza7_15649;
				obj_t BgL_cfunz00_15650;

				BgL_siza7eza7_15649 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15648, (int) (((long) 0))));
				BgL_cfunz00_15650 = PROCEDURE_REF(BgL_envz00_15648, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1387;

					BgL_sz00_1387 = BgL_sz00_15651;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1389;

						BgL_bpz00_1389 = VECTOR_REF(BgL_sz00_1387, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */

							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1390;

								BgL_nbpz00_1390 =
									((long) CINT(BgL_bpz00_1389) + BgL_siza7eza7_15649);
								VECTOR_SET(BgL_sz00_1387,
									(int) (((long) 0)), BINT(BgL_nbpz00_1390));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1391;

									BgL_rz00_1391 =
										PROCEDURE_ENTRY(BgL_cfunz00_15650) (BgL_cfunz00_15650,
										BEOA);
									VECTOR_SET(BgL_sz00_1387, (int) (((long) 0)), BgL_bpz00_1389);
									return BgL_rz00_1391;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2041> */
	obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15652, obj_t BgL_sz00_15657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15653;
				obj_t BgL_locz00_15654;
				obj_t BgL_symbzd2funzd2_15655;
				long BgL_siza7eza7_15656;

				BgL_funz00_15653 = PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 0)));
				BgL_locz00_15654 = PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 1)));
				BgL_symbzd2funzd2_15655 =
					PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 2)));
				BgL_siza7eza7_15656 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1392;

					BgL_sz00_1392 = BgL_sz00_15657;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1394;

						BgL_bpz00_1394 = VECTOR_REF(BgL_sz00_1392, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1395;

							BgL_fz00_1395 =
								PROCEDURE_ENTRY(BgL_funz00_15653) (BgL_funz00_15653,
								BgL_sz00_1392, BEOA);
							if (PROCEDUREP(BgL_fz00_1395))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15654,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1395);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1397;

								BgL_ufz00_1397 = PROCEDURE_ATTR(BgL_fz00_1395);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18632;

									if (STRUCTP(BgL_ufz00_1397))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18632 =
												(STRUCT_KEY(BgL_ufz00_1397) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18632 = ((bool_t) 0);
										}
									if (BgL_testz00_18632)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1399;
											obj_t BgL_runz00_1400;
											obj_t BgL_sfz00_1401;

											BgL_arityz00_1399 =
												STRUCT_REF(BgL_ufz00_1397, (int) (((long) 0)));
											BgL_runz00_1400 =
												STRUCT_REF(BgL_ufz00_1397, (int) (((long) 1)));
											BgL_sfz00_1401 =
												STRUCT_REF(BgL_ufz00_1397, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1399) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 842 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1399))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1399))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2047z00_1407;

																		BgL_arg2047z00_1407 =
																			(
																			(long) CINT(BgL_bpz00_1394) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1392,
																			(int) (BgL_arg2047z00_1407), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15654,
																		STRUCT_REF(BgL_ufz00_1397,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1399));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15654, STRUCT_REF(BgL_ufz00_1397,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1399));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_18664;

												BgL_auxz00_18664 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18664,
													BgL_locz00_15654);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_18667;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1897z00_6771;

													BgL_arg1897z00_6771 = VECTOR_LENGTH(BgL_sz00_1392);
													BgL_testz00_18667 =
														(
														((long) CINT(BgL_bpz00_1394) +
															(long) CINT(BgL_sfz00_1401)) <
														(long) (BgL_arg1897z00_6771));
												}
												if (BgL_testz00_18667)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1400;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1413;

														BgL_nsz00_1413 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2052z00_1415;

															BgL_arg2052z00_1415 =
																((long) CINT(BgL_bpz00_1394) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1413, BINT(((long) 2)),
																BgL_sz00_1392, BgL_bpz00_1394,
																BINT(BgL_arg2052z00_1415));
														}
														VECTOR_SET(BgL_nsz00_1413,
															(int) (((long) 1)), BgL_sz00_1392);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_18682;

															BgL_auxz00_18682 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18682,
																BgL_nsz00_1413);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1168z00_1417;

															BgL_val1168z00_1417 =
																BGl_zc3exitza32058ze3z83zz__evaluate_compz00
																(BgL_nsz00_1413, BgL_runz00_1400);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18686;

																BgL_auxz00_18686 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18686,
																	BgL_sz00_1392);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1168z00_1417)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1168z00_1417),
																		CDR(BgL_val1168z00_1417));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1168z00_1417;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1395,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1426;

													BgL_nbpz00_1426 =
														((long) CINT(BgL_bpz00_1394) + BgL_siza7eza7_15656);
													VECTOR_SET(BgL_sz00_1392,
														(int) (((long) 0)), BINT(BgL_nbpz00_1426));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1427;

														BgL_rz00_1427 =
															PROCEDURE_ENTRY(BgL_fz00_1395) (BgL_fz00_1395,
															BEOA);
														VECTOR_SET(BgL_sz00_1392, (int) (((long) 0)),
															BgL_bpz00_1394);
														return BgL_rz00_1427;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15654, BgL_symbzd2funzd2_15655,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1395));
		}}}}}}}}}
	}



/* <exit:2058> */
	obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17654,
		obj_t BgL_runz00_17653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1169z00_1423;

			if (SET_EXIT(BgL_an_exit1169z00_1423))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1169z00_1423 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1169z00_1423, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1170z00_1424;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6790;

								BgL_savedzd2bpzd2_6790 =
									VECTOR_REF(BgL_nsz00_17654, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17654,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6797;

									BgL_fz00_6797 = BgL_runz00_17653;
								BgL_recz00_6796:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6798;

										BgL_rz00_6798 =
											PROCEDURE_ENTRY(BgL_fz00_6797) (BgL_fz00_6797,
											BgL_nsz00_17654, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18723;

											if (PROCEDUREP(BgL_rz00_6798))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_6803;

													BgL_arg1889z00_6803 = PROCEDURE_ATTR(BgL_rz00_6798);
													if (STRUCTP(BgL_arg1889z00_6803))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18723 =
																(STRUCT_KEY(BgL_arg1889z00_6803) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18723 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18723 = ((bool_t) 0);
												}
											if (BgL_testz00_18723)
												{
													obj_t BgL_fz00_18731;

													BgL_fz00_18731 = BgL_rz00_6798;
													BgL_fz00_6797 = BgL_fz00_18731;
													goto BgL_recz00_6796;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17654,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6790);
													BgL_val1170z00_1424 = BgL_rz00_6798;
							}}}}}
							POP_EXIT();
							return BgL_val1170z00_1424;
						}
					}
				}
		}
	}



/* &<anonymous:2062> */
	obj_t BGl_z62zc3anonymousza32062ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15658, obj_t BgL_sz00_15663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15659;
				obj_t BgL_locz00_15660;
				obj_t BgL_symbzd2funzd2_15661;
				long BgL_siza7eza7_15662;

				BgL_funz00_15659 = PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 0)));
				BgL_locz00_15660 = PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 1)));
				BgL_symbzd2funzd2_15661 =
					PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 2)));
				BgL_siza7eza7_15662 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1429;

					BgL_sz00_1429 = BgL_sz00_15663;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1431;

						BgL_bpz00_1431 = VECTOR_REF(BgL_sz00_1429, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1432;

							BgL_fz00_1432 =
								PROCEDURE_ENTRY(BgL_funz00_15659) (BgL_funz00_15659,
								BgL_sz00_1429, BEOA);
							if (PROCEDUREP(BgL_fz00_1432))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15660,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1432);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1434;

								BgL_ufz00_1434 = PROCEDURE_ATTR(BgL_fz00_1432);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18754;

									if (STRUCTP(BgL_ufz00_1434))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18754 =
												(STRUCT_KEY(BgL_ufz00_1434) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18754 = ((bool_t) 0);
										}
									if (BgL_testz00_18754)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1436;
											obj_t BgL_runz00_1437;
											obj_t BgL_sfz00_1438;

											BgL_arityz00_1436 =
												STRUCT_REF(BgL_ufz00_1434, (int) (((long) 0)));
											BgL_runz00_1437 =
												STRUCT_REF(BgL_ufz00_1434, (int) (((long) 1)));
											BgL_sfz00_1438 =
												STRUCT_REF(BgL_ufz00_1434, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1439;

												BgL_spz00_1439 =
													((long) CINT(BgL_bpz00_1431) + BgL_siza7eza7_15662);
												if (((long) CINT(BgL_arityz00_1436) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 842 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1436))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1436))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2067z00_1444;

																			BgL_arg2067z00_1444 =
																				(BgL_spz00_1439 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1429,
																				(int) (BgL_arg2067z00_1444), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15660,
																			STRUCT_REF(BgL_ufz00_1434,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1436));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15660, STRUCT_REF(BgL_ufz00_1434,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1436));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_18787;

													BgL_auxz00_18787 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18787,
														BgL_locz00_15660);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_18790;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1897z00_6879;

														BgL_arg1897z00_6879 = VECTOR_LENGTH(BgL_sz00_1429);
														BgL_testz00_18790 =
															(
															(BgL_spz00_1439 +
																(long) CINT(BgL_sfz00_1438)) <
															(long) (BgL_arg1897z00_6879));
													}
													if (BgL_testz00_18790)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1437, BgL_sz00_1429,
																BINT(BgL_spz00_1439));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1450;

															BgL_nsz00_1450 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2072z00_1452;

																BgL_arg2072z00_1452 =
																	(BgL_spz00_1439 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1450, BINT(((long) 2)),
																	BgL_sz00_1429, BINT(BgL_spz00_1439),
																	BINT(BgL_arg2072z00_1452));
															}
															VECTOR_SET(BgL_nsz00_1450,
																(int) (((long) 1)), BgL_sz00_1429);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18806;

																BgL_auxz00_18806 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18806,
																	BgL_nsz00_1450);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1173z00_1454;

																BgL_val1173z00_1454 =
																	BGl_zc3exitza32080ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1450, BgL_runz00_1437);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_18810;

																	BgL_auxz00_18810 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18810,
																		BgL_sz00_1429);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1173z00_1454)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1173z00_1454),
																			CDR(BgL_val1173z00_1454));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1173z00_1454;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1432,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1463;

													BgL_nbpz00_1463 =
														((long) CINT(BgL_bpz00_1431) + BgL_siza7eza7_15662);
													VECTOR_SET(BgL_sz00_1429,
														(int) (((long) 0)), BINT(BgL_nbpz00_1463));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1464;

														BgL_rz00_1464 =
															PROCEDURE_ENTRY(BgL_fz00_1432) (BgL_fz00_1432,
															BEOA);
														VECTOR_SET(BgL_sz00_1429, (int) (((long) 0)),
															BgL_bpz00_1431);
														return BgL_rz00_1464;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15660, BgL_symbzd2funzd2_15661,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1432));
		}}}}}}}}}
	}



/* <exit:2080> */
	obj_t BGl_zc3exitza32080ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17652,
		obj_t BgL_runz00_17651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1174z00_1460;

			if (SET_EXIT(BgL_an_exit1174z00_1460))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1174z00_1460 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1174z00_1460, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1175z00_1461;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6897;

								BgL_savedzd2bpzd2_6897 =
									VECTOR_REF(BgL_nsz00_17652, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17652,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6904;

									BgL_fz00_6904 = BgL_runz00_17651;
								BgL_recz00_6903:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6905;

										BgL_rz00_6905 =
											PROCEDURE_ENTRY(BgL_fz00_6904) (BgL_fz00_6904,
											BgL_nsz00_17652, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18847;

											if (PROCEDUREP(BgL_rz00_6905))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_6910;

													BgL_arg1889z00_6910 = PROCEDURE_ATTR(BgL_rz00_6905);
													if (STRUCTP(BgL_arg1889z00_6910))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18847 =
																(STRUCT_KEY(BgL_arg1889z00_6910) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18847 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18847 = ((bool_t) 0);
												}
											if (BgL_testz00_18847)
												{
													obj_t BgL_fz00_18855;

													BgL_fz00_18855 = BgL_rz00_6905;
													BgL_fz00_6904 = BgL_fz00_18855;
													goto BgL_recz00_6903;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17652,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6897);
													BgL_val1175z00_1461 = BgL_rz00_6905;
							}}}}}
							POP_EXIT();
							return BgL_val1175z00_1461;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_143,
		BgL_ev_exprz00_bglt BgL_vfunz00_144, obj_t BgL_symbzd2funzd2_145,
		obj_t BgL_funz00_146, obj_t BgL_tailzf3zf3_147, obj_t BgL_stkz00_148,
		long BgL_siza7eza7_149, obj_t BgL_a1z00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1466;

				BgL_cfunz00_1466 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_144,
					((long) 1), BgL_locz00_143, BgL_symbzd2funzd2_145);
				if (CBOOL(BgL_cfunz00_1466))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32083ze3z83_15664;

						BgL_zc3anonymousza32083ze3z83_15664 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_15664,
							(int) (((long) 0)), BgL_a1z00_150);
						PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_15664,
							(int) (((long) 1)), BINT(BgL_siza7eza7_149));
						PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_15664,
							(int) (((long) 2)), BgL_cfunz00_1466);
						return BgL_zc3anonymousza32083ze3z83_15664;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_147))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32084ze3z83_15665;

								BgL_zc3anonymousza32084ze3z83_15665 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32084ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_15665,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_15665,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_15665,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_15665,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32084ze3z83_15665,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32084ze3z83_15665;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32112ze3z83_15666;

								BgL_zc3anonymousza32112ze3z83_15666 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32112ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32112ze3z83_15666,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32112ze3z83_15666,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32112ze3z83_15666,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32112ze3z83_15666,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32112ze3z83_15666,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32112ze3z83_15666;
							}
					}
			}
		}
	}



/* &<anonymous:2083> */
	obj_t BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15667, obj_t BgL_sz00_15671)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15668;
				long BgL_siza7eza7_15669;
				obj_t BgL_cfunz00_15670;

				BgL_a1z00_15668 = PROCEDURE_REF(BgL_envz00_15667, (int) (((long) 0)));
				BgL_siza7eza7_15669 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15667, (int) (((long) 1))));
				BgL_cfunz00_15670 = PROCEDURE_REF(BgL_envz00_15667, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1467;

					BgL_sz00_1467 = BgL_sz00_15671;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1469;

						BgL_bpz00_1469 = VECTOR_REF(BgL_sz00_1467, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1470;

							BgL_a1z00_1470 =
								PROCEDURE_ENTRY(BgL_a1z00_15668) (BgL_a1z00_15668,
								BgL_sz00_1467, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1471;

								BgL_nbpz00_1471 =
									((long) CINT(BgL_bpz00_1469) + BgL_siza7eza7_15669);
								VECTOR_SET(BgL_sz00_1467,
									(int) (((long) 0)), BINT(BgL_nbpz00_1471));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1472;

									BgL_rz00_1472 =
										PROCEDURE_ENTRY(BgL_cfunz00_15670) (BgL_cfunz00_15670,
										BgL_a1z00_1470, BEOA);
									VECTOR_SET(BgL_sz00_1467, (int) (((long) 0)), BgL_bpz00_1469);
									return BgL_rz00_1472;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2084> */
	obj_t BGl_z62zc3anonymousza32084ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15672, obj_t BgL_sz00_15678)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15673;
				obj_t BgL_a1z00_15674;
				obj_t BgL_locz00_15675;
				obj_t BgL_symbzd2funzd2_15676;
				long BgL_siza7eza7_15677;

				BgL_funz00_15673 = PROCEDURE_REF(BgL_envz00_15672, (int) (((long) 0)));
				BgL_a1z00_15674 = PROCEDURE_REF(BgL_envz00_15672, (int) (((long) 1)));
				BgL_locz00_15675 = PROCEDURE_REF(BgL_envz00_15672, (int) (((long) 2)));
				BgL_symbzd2funzd2_15676 =
					PROCEDURE_REF(BgL_envz00_15672, (int) (((long) 3)));
				BgL_siza7eza7_15677 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15672, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1473;

					BgL_sz00_1473 = BgL_sz00_15678;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1475;

						BgL_bpz00_1475 = VECTOR_REF(BgL_sz00_1473, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1476;
							obj_t BgL_a1z00_1477;

							BgL_fz00_1476 =
								PROCEDURE_ENTRY(BgL_funz00_15673) (BgL_funz00_15673,
								BgL_sz00_1473, BEOA);
							BgL_a1z00_1477 =
								PROCEDURE_ENTRY(BgL_a1z00_15674) (BgL_a1z00_15674,
								BgL_sz00_1473, BEOA);
							if (PROCEDUREP(BgL_fz00_1476))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15675,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1476);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1479;

								BgL_ufz00_1479 = PROCEDURE_ATTR(BgL_fz00_1476);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18951;

									if (STRUCTP(BgL_ufz00_1479))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18951 =
												(STRUCT_KEY(BgL_ufz00_1479) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18951 = ((bool_t) 0);
										}
									if (BgL_testz00_18951)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1481;
											obj_t BgL_runz00_1482;
											obj_t BgL_sfz00_1483;

											BgL_arityz00_1481 =
												STRUCT_REF(BgL_ufz00_1479, (int) (((long) 0)));
											BgL_runz00_1482 =
												STRUCT_REF(BgL_ufz00_1479, (int) (((long) 1)));
											BgL_sfz00_1483 =
												STRUCT_REF(BgL_ufz00_1479, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1481) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_arg2088z00_1486;

													BgL_arg2088z00_1486 =
														((long) CINT(BgL_bpz00_1475) + ((long) 0));
													VECTOR_SET(BgL_sz00_1473,
														(int) (BgL_arg2088z00_1486), BgL_a1z00_1477);
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1481))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1481))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2090z00_1490;
																		obj_t BgL_arg2091z00_1491;

																		BgL_arg2090z00_1490 =
																			(
																			(long) CINT(BgL_bpz00_1475) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2094z00_1492;

																			BgL_list2094z00_1492 =
																				MAKE_PAIR(BgL_a1z00_1477, BNIL);
																			BgL_arg2091z00_1491 =
																				BgL_list2094z00_1492;
																		}
																		VECTOR_SET(BgL_sz00_1473,
																			(int) (BgL_arg2090z00_1490),
																			BgL_arg2091z00_1491);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2095z00_1493;

																		BgL_arg2095z00_1493 =
																			(
																			(long) CINT(BgL_bpz00_1475) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1473,
																			(int) (BgL_arg2095z00_1493),
																			BgL_a1z00_1477);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2097z00_1494;

																		BgL_arg2097z00_1494 =
																			(
																			(long) CINT(BgL_bpz00_1475) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1473,
																			(int) (BgL_arg2097z00_1494), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15675,
																		STRUCT_REF(BgL_ufz00_1479,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1481));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15675, STRUCT_REF(BgL_ufz00_1479,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1481));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_18996;

												BgL_auxz00_18996 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18996,
													BgL_locz00_15675);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_18999;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1897z00_7017;

													BgL_arg1897z00_7017 = VECTOR_LENGTH(BgL_sz00_1473);
													BgL_testz00_18999 =
														(
														((long) CINT(BgL_bpz00_1475) +
															(long) CINT(BgL_sfz00_1483)) <
														(long) (BgL_arg1897z00_7017));
												}
												if (BgL_testz00_18999)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1482;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1500;

														BgL_nsz00_1500 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2103z00_1502;

															BgL_arg2103z00_1502 =
																((long) CINT(BgL_bpz00_1475) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1500, BINT(((long) 2)),
																BgL_sz00_1473, BgL_bpz00_1475,
																BINT(BgL_arg2103z00_1502));
														}
														VECTOR_SET(BgL_nsz00_1500,
															(int) (((long) 1)), BgL_sz00_1473);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19014;

															BgL_auxz00_19014 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19014,
																BgL_nsz00_1500);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1178z00_1504;

															BgL_val1178z00_1504 =
																BGl_zc3exitza32109ze3z83zz__evaluate_compz00
																(BgL_nsz00_1500, BgL_runz00_1482);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19018;

																BgL_auxz00_19018 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19018,
																	BgL_sz00_1473);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1178z00_1504)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1178z00_1504),
																		CDR(BgL_val1178z00_1504));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1178z00_1504;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1476,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1513;

													BgL_nbpz00_1513 =
														((long) CINT(BgL_bpz00_1475) + BgL_siza7eza7_15677);
													VECTOR_SET(BgL_sz00_1473,
														(int) (((long) 0)), BINT(BgL_nbpz00_1513));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1514;

														BgL_rz00_1514 =
															PROCEDURE_ENTRY(BgL_fz00_1476) (BgL_fz00_1476,
															BgL_a1z00_1477, BEOA);
														VECTOR_SET(BgL_sz00_1473, (int) (((long) 0)),
															BgL_bpz00_1475);
														return BgL_rz00_1514;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15675, BgL_symbzd2funzd2_15676,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1476));
		}}}}}}}}}
	}



/* <exit:2109> */
	obj_t BGl_zc3exitza32109ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17650,
		obj_t BgL_runz00_17649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1179z00_1510;

			if (SET_EXIT(BgL_an_exit1179z00_1510))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1179z00_1510 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1179z00_1510, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1180z00_1511;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7036;

								BgL_savedzd2bpzd2_7036 =
									VECTOR_REF(BgL_nsz00_17650, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17650,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7043;

									BgL_fz00_7043 = BgL_runz00_17649;
								BgL_recz00_7042:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7044;

										BgL_rz00_7044 =
											PROCEDURE_ENTRY(BgL_fz00_7043) (BgL_fz00_7043,
											BgL_nsz00_17650, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19056;

											if (PROCEDUREP(BgL_rz00_7044))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7049;

													BgL_arg1889z00_7049 = PROCEDURE_ATTR(BgL_rz00_7044);
													if (STRUCTP(BgL_arg1889z00_7049))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19056 =
																(STRUCT_KEY(BgL_arg1889z00_7049) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19056 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19056 = ((bool_t) 0);
												}
											if (BgL_testz00_19056)
												{
													obj_t BgL_fz00_19064;

													BgL_fz00_19064 = BgL_rz00_7044;
													BgL_fz00_7043 = BgL_fz00_19064;
													goto BgL_recz00_7042;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17650,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7036);
													BgL_val1180z00_1511 = BgL_rz00_7044;
							}}}}}
							POP_EXIT();
							return BgL_val1180z00_1511;
						}
					}
				}
		}
	}



/* &<anonymous:2112> */
	obj_t BGl_z62zc3anonymousza32112ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15679, obj_t BgL_sz00_15685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15680;
				obj_t BgL_a1z00_15681;
				obj_t BgL_locz00_15682;
				obj_t BgL_symbzd2funzd2_15683;
				long BgL_siza7eza7_15684;

				BgL_funz00_15680 = PROCEDURE_REF(BgL_envz00_15679, (int) (((long) 0)));
				BgL_a1z00_15681 = PROCEDURE_REF(BgL_envz00_15679, (int) (((long) 1)));
				BgL_locz00_15682 = PROCEDURE_REF(BgL_envz00_15679, (int) (((long) 2)));
				BgL_symbzd2funzd2_15683 =
					PROCEDURE_REF(BgL_envz00_15679, (int) (((long) 3)));
				BgL_siza7eza7_15684 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15679, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1516;

					BgL_sz00_1516 = BgL_sz00_15685;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1518;

						BgL_bpz00_1518 = VECTOR_REF(BgL_sz00_1516, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1519;
							obj_t BgL_a1z00_1520;

							BgL_fz00_1519 =
								PROCEDURE_ENTRY(BgL_funz00_15680) (BgL_funz00_15680,
								BgL_sz00_1516, BEOA);
							BgL_a1z00_1520 =
								PROCEDURE_ENTRY(BgL_a1z00_15681) (BgL_a1z00_15681,
								BgL_sz00_1516, BEOA);
							if (PROCEDUREP(BgL_fz00_1519))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15682,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1519);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1522;

								BgL_ufz00_1522 = PROCEDURE_ATTR(BgL_fz00_1519);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19093;

									if (STRUCTP(BgL_ufz00_1522))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19093 =
												(STRUCT_KEY(BgL_ufz00_1522) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19093 = ((bool_t) 0);
										}
									if (BgL_testz00_19093)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1524;
											obj_t BgL_runz00_1525;
											obj_t BgL_sfz00_1526;

											BgL_arityz00_1524 =
												STRUCT_REF(BgL_ufz00_1522, (int) (((long) 0)));
											BgL_runz00_1525 =
												STRUCT_REF(BgL_ufz00_1522, (int) (((long) 1)));
											BgL_sfz00_1526 =
												STRUCT_REF(BgL_ufz00_1522, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1527;

												BgL_spz00_1527 =
													((long) CINT(BgL_bpz00_1518) + BgL_siza7eza7_15684);
												if (((long) CINT(BgL_arityz00_1524) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2116z00_1529;

														BgL_arg2116z00_1529 = (BgL_spz00_1527 + ((long) 0));
														VECTOR_SET(BgL_sz00_1516,
															(int) (BgL_arg2116z00_1529), BgL_a1z00_1520);
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1524))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1524))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2119z00_1533;
																			obj_t BgL_arg2120z00_1534;

																			BgL_arg2119z00_1533 =
																				(BgL_spz00_1527 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2121z00_1535;

																				BgL_list2121z00_1535 =
																					MAKE_PAIR(BgL_a1z00_1520, BNIL);
																				BgL_arg2120z00_1534 =
																					BgL_list2121z00_1535;
																			}
																			VECTOR_SET(BgL_sz00_1516,
																				(int) (BgL_arg2119z00_1533),
																				BgL_arg2120z00_1534);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2122z00_1536;

																			BgL_arg2122z00_1536 =
																				(BgL_spz00_1527 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1516,
																				(int) (BgL_arg2122z00_1536),
																				BgL_a1z00_1520);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2123z00_1537;

																			BgL_arg2123z00_1537 =
																				(BgL_spz00_1527 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1516,
																				(int) (BgL_arg2123z00_1537), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15682,
																			STRUCT_REF(BgL_ufz00_1522,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1524));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15682, STRUCT_REF(BgL_ufz00_1522,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1524));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19136;

													BgL_auxz00_19136 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19136,
														BgL_locz00_15682);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19139;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1897z00_7145;

														BgL_arg1897z00_7145 = VECTOR_LENGTH(BgL_sz00_1516);
														BgL_testz00_19139 =
															(
															(BgL_spz00_1527 +
																(long) CINT(BgL_sfz00_1526)) <
															(long) (BgL_arg1897z00_7145));
													}
													if (BgL_testz00_19139)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1525, BgL_sz00_1516,
																BINT(BgL_spz00_1527));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1543;

															BgL_nsz00_1543 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2129z00_1545;

																BgL_arg2129z00_1545 =
																	(BgL_spz00_1527 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1543, BINT(((long) 2)),
																	BgL_sz00_1516, BINT(BgL_spz00_1527),
																	BINT(BgL_arg2129z00_1545));
															}
															VECTOR_SET(BgL_nsz00_1543,
																(int) (((long) 1)), BgL_sz00_1516);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19155;

																BgL_auxz00_19155 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19155,
																	BgL_nsz00_1543);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1183z00_1547;

																BgL_val1183z00_1547 =
																	BGl_zc3exitza32138ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1543, BgL_runz00_1525);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19159;

																	BgL_auxz00_19159 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19159,
																		BgL_sz00_1516);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1183z00_1547)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1183z00_1547),
																			CDR(BgL_val1183z00_1547));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1183z00_1547;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1519,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1556;

													BgL_nbpz00_1556 =
														((long) CINT(BgL_bpz00_1518) + BgL_siza7eza7_15684);
													VECTOR_SET(BgL_sz00_1516,
														(int) (((long) 0)), BINT(BgL_nbpz00_1556));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1557;

														BgL_rz00_1557 =
															PROCEDURE_ENTRY(BgL_fz00_1519) (BgL_fz00_1519,
															BgL_a1z00_1520, BEOA);
														VECTOR_SET(BgL_sz00_1516, (int) (((long) 0)),
															BgL_bpz00_1518);
														return BgL_rz00_1557;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15682, BgL_symbzd2funzd2_15683,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1519));
		}}}}}}}}}
	}



/* <exit:2138> */
	obj_t BGl_zc3exitza32138ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17648,
		obj_t BgL_runz00_17647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1184z00_1553;

			if (SET_EXIT(BgL_an_exit1184z00_1553))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1184z00_1553 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1184z00_1553, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1185z00_1554;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7163;

								BgL_savedzd2bpzd2_7163 =
									VECTOR_REF(BgL_nsz00_17648, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17648,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7170;

									BgL_fz00_7170 = BgL_runz00_17647;
								BgL_recz00_7169:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7171;

										BgL_rz00_7171 =
											PROCEDURE_ENTRY(BgL_fz00_7170) (BgL_fz00_7170,
											BgL_nsz00_17648, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19197;

											if (PROCEDUREP(BgL_rz00_7171))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7176;

													BgL_arg1889z00_7176 = PROCEDURE_ATTR(BgL_rz00_7171);
													if (STRUCTP(BgL_arg1889z00_7176))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19197 =
																(STRUCT_KEY(BgL_arg1889z00_7176) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19197 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19197 = ((bool_t) 0);
												}
											if (BgL_testz00_19197)
												{
													obj_t BgL_fz00_19205;

													BgL_fz00_19205 = BgL_rz00_7171;
													BgL_fz00_7170 = BgL_fz00_19205;
													goto BgL_recz00_7169;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17648,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7163);
													BgL_val1185z00_1554 = BgL_rz00_7171;
							}}}}}
							POP_EXIT();
							return BgL_val1185z00_1554;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_151,
		BgL_ev_exprz00_bglt BgL_vfunz00_152, obj_t BgL_symbzd2funzd2_153,
		obj_t BgL_funz00_154, obj_t BgL_tailzf3zf3_155, obj_t BgL_stkz00_156,
		long BgL_siza7eza7_157, obj_t BgL_a1z00_158, obj_t BgL_a2z00_159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1559;

				BgL_cfunz00_1559 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_152,
					((long) 2), BgL_locz00_151, BgL_symbzd2funzd2_153);
				if (CBOOL(BgL_cfunz00_1559))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32141ze3z83_15686;

						BgL_zc3anonymousza32141ze3z83_15686 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32141ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza32141ze3z83_15686,
							(int) (((long) 0)), BgL_a1z00_158);
						PROCEDURE_SET(BgL_zc3anonymousza32141ze3z83_15686,
							(int) (((long) 1)), BgL_a2z00_159);
						PROCEDURE_SET(BgL_zc3anonymousza32141ze3z83_15686,
							(int) (((long) 2)), BINT(BgL_siza7eza7_157));
						PROCEDURE_SET(BgL_zc3anonymousza32141ze3z83_15686,
							(int) (((long) 3)), BgL_cfunz00_1559);
						return BgL_zc3anonymousza32141ze3z83_15686;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_155))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32142ze3z83_15687;

								BgL_zc3anonymousza32142ze3z83_15687 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_15687,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32142ze3z83_15687;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32179ze3z83_15688;

								BgL_zc3anonymousza32179ze3z83_15688 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32179ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_15688,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32179ze3z83_15688;
							}
					}
			}
		}
	}



/* &<anonymous:2141> */
	obj_t BGl_z62zc3anonymousza32141ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15689, obj_t BgL_sz00_15694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15690;
				obj_t BgL_a2z00_15691;
				long BgL_siza7eza7_15692;
				obj_t BgL_cfunz00_15693;

				BgL_a1z00_15690 = PROCEDURE_REF(BgL_envz00_15689, (int) (((long) 0)));
				BgL_a2z00_15691 = PROCEDURE_REF(BgL_envz00_15689, (int) (((long) 1)));
				BgL_siza7eza7_15692 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15689, (int) (((long) 2))));
				BgL_cfunz00_15693 = PROCEDURE_REF(BgL_envz00_15689, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1560;

					BgL_sz00_1560 = BgL_sz00_15694;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1562;

						BgL_bpz00_1562 = VECTOR_REF(BgL_sz00_1560, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1563;
							obj_t BgL_a2z00_1564;

							BgL_a1z00_1563 =
								PROCEDURE_ENTRY(BgL_a1z00_15690) (BgL_a1z00_15690,
								BgL_sz00_1560, BEOA);
							BgL_a2z00_1564 =
								PROCEDURE_ENTRY(BgL_a2z00_15691) (BgL_a2z00_15691,
								BgL_sz00_1560, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1565;

								BgL_nbpz00_1565 =
									((long) CINT(BgL_bpz00_1562) + BgL_siza7eza7_15692);
								VECTOR_SET(BgL_sz00_1560,
									(int) (((long) 0)), BINT(BgL_nbpz00_1565));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1566;

									BgL_rz00_1566 =
										PROCEDURE_ENTRY(BgL_cfunz00_15693) (BgL_cfunz00_15693,
										BgL_a1z00_1563, BgL_a2z00_1564, BEOA);
									VECTOR_SET(BgL_sz00_1560, (int) (((long) 0)), BgL_bpz00_1562);
									return BgL_rz00_1566;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2142> */
	obj_t BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15695, obj_t BgL_sz00_15702)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15696;
				obj_t BgL_a1z00_15697;
				obj_t BgL_a2z00_15698;
				obj_t BgL_locz00_15699;
				obj_t BgL_symbzd2funzd2_15700;
				long BgL_siza7eza7_15701;

				BgL_funz00_15696 = PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 0)));
				BgL_a1z00_15697 = PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 1)));
				BgL_a2z00_15698 = PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 2)));
				BgL_locz00_15699 = PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 3)));
				BgL_symbzd2funzd2_15700 =
					PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 4)));
				BgL_siza7eza7_15701 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1567;

					BgL_sz00_1567 = BgL_sz00_15702;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1569;

						BgL_bpz00_1569 = VECTOR_REF(BgL_sz00_1567, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1570;
							obj_t BgL_a1z00_1571;
							obj_t BgL_a2z00_1572;

							BgL_fz00_1570 =
								PROCEDURE_ENTRY(BgL_funz00_15696) (BgL_funz00_15696,
								BgL_sz00_1567, BEOA);
							BgL_a1z00_1571 =
								PROCEDURE_ENTRY(BgL_a1z00_15697) (BgL_a1z00_15697,
								BgL_sz00_1567, BEOA);
							BgL_a2z00_1572 =
								PROCEDURE_ENTRY(BgL_a2z00_15698) (BgL_a2z00_15698,
								BgL_sz00_1567, BEOA);
							if (PROCEDUREP(BgL_fz00_1570))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15699,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1570);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1574;

								BgL_ufz00_1574 = PROCEDURE_ATTR(BgL_fz00_1570);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19320;

									if (STRUCTP(BgL_ufz00_1574))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19320 =
												(STRUCT_KEY(BgL_ufz00_1574) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19320 = ((bool_t) 0);
										}
									if (BgL_testz00_19320)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1576;
											obj_t BgL_runz00_1577;
											obj_t BgL_sfz00_1578;

											BgL_arityz00_1576 =
												STRUCT_REF(BgL_ufz00_1574, (int) (((long) 0)));
											BgL_runz00_1577 =
												STRUCT_REF(BgL_ufz00_1574, (int) (((long) 1)));
											BgL_sfz00_1578 =
												STRUCT_REF(BgL_ufz00_1574, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1576) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2146z00_1581;

														BgL_arg2146z00_1581 =
															((long) CINT(BgL_bpz00_1569) + ((long) 0));
														VECTOR_SET(BgL_sz00_1567,
															(int) (BgL_arg2146z00_1581), BgL_a1z00_1571);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2147z00_1582;

														BgL_arg2147z00_1582 =
															((long) CINT(BgL_bpz00_1569) + ((long) 1));
														VECTOR_SET(BgL_sz00_1567,
															(int) (BgL_arg2147z00_1582), BgL_a2z00_1572);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1576))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1576))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2150z00_1586;
																		obj_t BgL_arg2151z00_1587;

																		BgL_arg2150z00_1586 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2152z00_1588;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2153z00_1589;

																				BgL_arg2153z00_1589 =
																					MAKE_PAIR(BgL_a2z00_1572, BNIL);
																				BgL_list2152z00_1588 =
																					MAKE_PAIR(BgL_a1z00_1571,
																					BgL_arg2153z00_1589);
																			}
																			BgL_arg2151z00_1587 =
																				BgL_list2152z00_1588;
																		}
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2150z00_1586),
																			BgL_arg2151z00_1587);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2154z00_1590;

																		BgL_arg2154z00_1590 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2154z00_1590),
																			BgL_a1z00_1571);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2155z00_1591;
																		obj_t BgL_arg2156z00_1592;

																		BgL_arg2155z00_1591 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2157z00_1593;

																			BgL_list2157z00_1593 =
																				MAKE_PAIR(BgL_a2z00_1572, BNIL);
																			BgL_arg2156z00_1592 =
																				BgL_list2157z00_1593;
																		}
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2155z00_1591),
																			BgL_arg2156z00_1592);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2159z00_1594;

																		BgL_arg2159z00_1594 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2159z00_1594),
																			BgL_a1z00_1571);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2160z00_1595;

																		BgL_arg2160z00_1595 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2160z00_1595),
																			BgL_a2z00_1572);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2161z00_1596;

																		BgL_arg2161z00_1596 =
																			(
																			(long) CINT(BgL_bpz00_1569) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1567,
																			(int) (BgL_arg2161z00_1596), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15699,
																		STRUCT_REF(BgL_ufz00_1574,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1576));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15699, STRUCT_REF(BgL_ufz00_1574,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1576));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19383;

												BgL_auxz00_19383 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19383,
													BgL_locz00_15699);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19386;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1897z00_7309;

													BgL_arg1897z00_7309 = VECTOR_LENGTH(BgL_sz00_1567);
													BgL_testz00_19386 =
														(
														((long) CINT(BgL_bpz00_1569) +
															(long) CINT(BgL_sfz00_1578)) <
														(long) (BgL_arg1897z00_7309));
												}
												if (BgL_testz00_19386)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1577;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1602;

														BgL_nsz00_1602 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2168z00_1604;

															BgL_arg2168z00_1604 =
																((long) CINT(BgL_bpz00_1569) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1602, BINT(((long) 2)),
																BgL_sz00_1567, BgL_bpz00_1569,
																BINT(BgL_arg2168z00_1604));
														}
														VECTOR_SET(BgL_nsz00_1602,
															(int) (((long) 1)), BgL_sz00_1567);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19401;

															BgL_auxz00_19401 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19401,
																BgL_nsz00_1602);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1188z00_1606;

															BgL_val1188z00_1606 =
																BGl_zc3exitza32176ze3z83zz__evaluate_compz00
																(BgL_nsz00_1602, BgL_runz00_1577);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19405;

																BgL_auxz00_19405 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19405,
																	BgL_sz00_1567);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1188z00_1606)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1188z00_1606),
																		CDR(BgL_val1188z00_1606));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1188z00_1606;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1570,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1615;

													BgL_nbpz00_1615 =
														((long) CINT(BgL_bpz00_1569) + BgL_siza7eza7_15701);
													VECTOR_SET(BgL_sz00_1567,
														(int) (((long) 0)), BINT(BgL_nbpz00_1615));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1616;

														BgL_rz00_1616 =
															PROCEDURE_ENTRY(BgL_fz00_1570) (BgL_fz00_1570,
															BgL_a1z00_1571, BgL_a2z00_1572, BEOA);
														VECTOR_SET(BgL_sz00_1567, (int) (((long) 0)),
															BgL_bpz00_1569);
														return BgL_rz00_1616;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15699, BgL_symbzd2funzd2_15700,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1570));
		}}}}}}}}}
	}



/* <exit:2176> */
	obj_t BGl_zc3exitza32176ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17646,
		obj_t BgL_runz00_17645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1189z00_1612;

			if (SET_EXIT(BgL_an_exit1189z00_1612))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1189z00_1612 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1189z00_1612, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1190z00_1613;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7328;

								BgL_savedzd2bpzd2_7328 =
									VECTOR_REF(BgL_nsz00_17646, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17646,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7335;

									BgL_fz00_7335 = BgL_runz00_17645;
								BgL_recz00_7334:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7336;

										BgL_rz00_7336 =
											PROCEDURE_ENTRY(BgL_fz00_7335) (BgL_fz00_7335,
											BgL_nsz00_17646, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19444;

											if (PROCEDUREP(BgL_rz00_7336))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7341;

													BgL_arg1889z00_7341 = PROCEDURE_ATTR(BgL_rz00_7336);
													if (STRUCTP(BgL_arg1889z00_7341))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19444 =
																(STRUCT_KEY(BgL_arg1889z00_7341) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19444 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19444 = ((bool_t) 0);
												}
											if (BgL_testz00_19444)
												{
													obj_t BgL_fz00_19452;

													BgL_fz00_19452 = BgL_rz00_7336;
													BgL_fz00_7335 = BgL_fz00_19452;
													goto BgL_recz00_7334;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17646,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7328);
													BgL_val1190z00_1613 = BgL_rz00_7336;
							}}}}}
							POP_EXIT();
							return BgL_val1190z00_1613;
						}
					}
				}
		}
	}



/* &<anonymous:2179> */
	obj_t BGl_z62zc3anonymousza32179ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15703, obj_t BgL_sz00_15710)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15704;
				obj_t BgL_a1z00_15705;
				obj_t BgL_a2z00_15706;
				obj_t BgL_locz00_15707;
				obj_t BgL_symbzd2funzd2_15708;
				long BgL_siza7eza7_15709;

				BgL_funz00_15704 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 0)));
				BgL_a1z00_15705 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 1)));
				BgL_a2z00_15706 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 2)));
				BgL_locz00_15707 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 3)));
				BgL_symbzd2funzd2_15708 =
					PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 4)));
				BgL_siza7eza7_15709 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1618;

					BgL_sz00_1618 = BgL_sz00_15710;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1620;

						BgL_bpz00_1620 = VECTOR_REF(BgL_sz00_1618, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1621;
							obj_t BgL_a1z00_1622;
							obj_t BgL_a2z00_1623;

							BgL_fz00_1621 =
								PROCEDURE_ENTRY(BgL_funz00_15704) (BgL_funz00_15704,
								BgL_sz00_1618, BEOA);
							BgL_a1z00_1622 =
								PROCEDURE_ENTRY(BgL_a1z00_15705) (BgL_a1z00_15705,
								BgL_sz00_1618, BEOA);
							BgL_a2z00_1623 =
								PROCEDURE_ENTRY(BgL_a2z00_15706) (BgL_a2z00_15706,
								BgL_sz00_1618, BEOA);
							if (PROCEDUREP(BgL_fz00_1621))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15707,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1621);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1625;

								BgL_ufz00_1625 = PROCEDURE_ATTR(BgL_fz00_1621);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19487;

									if (STRUCTP(BgL_ufz00_1625))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19487 =
												(STRUCT_KEY(BgL_ufz00_1625) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19487 = ((bool_t) 0);
										}
									if (BgL_testz00_19487)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1627;
											obj_t BgL_runz00_1628;
											obj_t BgL_sfz00_1629;

											BgL_arityz00_1627 =
												STRUCT_REF(BgL_ufz00_1625, (int) (((long) 0)));
											BgL_runz00_1628 =
												STRUCT_REF(BgL_ufz00_1625, (int) (((long) 1)));
											BgL_sfz00_1629 =
												STRUCT_REF(BgL_ufz00_1625, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1630;

												BgL_spz00_1630 =
													((long) CINT(BgL_bpz00_1620) + BgL_siza7eza7_15709);
												if (((long) CINT(BgL_arityz00_1627) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2183z00_1632;

															BgL_arg2183z00_1632 =
																(BgL_spz00_1630 + ((long) 0));
															VECTOR_SET(BgL_sz00_1618,
																(int) (BgL_arg2183z00_1632), BgL_a1z00_1622);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2184z00_1633;

															BgL_arg2184z00_1633 =
																(BgL_spz00_1630 + ((long) 1));
															VECTOR_SET(BgL_sz00_1618,
																(int) (BgL_arg2184z00_1633), BgL_a2z00_1623);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1627))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1627))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2188z00_1637;
																			obj_t BgL_arg2189z00_1638;

																			BgL_arg2188z00_1637 =
																				(BgL_spz00_1630 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2190z00_1639;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2191z00_1640;

																					BgL_arg2191z00_1640 =
																						MAKE_PAIR(BgL_a2z00_1623, BNIL);
																					BgL_list2190z00_1639 =
																						MAKE_PAIR(BgL_a1z00_1622,
																						BgL_arg2191z00_1640);
																				}
																				BgL_arg2189z00_1638 =
																					BgL_list2190z00_1639;
																			}
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2188z00_1637),
																				BgL_arg2189z00_1638);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2193z00_1641;

																			BgL_arg2193z00_1641 =
																				(BgL_spz00_1630 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2193z00_1641),
																				BgL_a1z00_1622);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2194z00_1642;
																			obj_t BgL_arg2195z00_1643;

																			BgL_arg2194z00_1642 =
																				(BgL_spz00_1630 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2196z00_1644;

																				BgL_list2196z00_1644 =
																					MAKE_PAIR(BgL_a2z00_1623, BNIL);
																				BgL_arg2195z00_1643 =
																					BgL_list2196z00_1644;
																			}
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2194z00_1642),
																				BgL_arg2195z00_1643);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2197z00_1645;

																			BgL_arg2197z00_1645 =
																				(BgL_spz00_1630 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2197z00_1645),
																				BgL_a1z00_1622);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2198z00_1646;

																			BgL_arg2198z00_1646 =
																				(BgL_spz00_1630 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2198z00_1646),
																				BgL_a2z00_1623);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2199z00_1647;

																			BgL_arg2199z00_1647 =
																				(BgL_spz00_1630 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1618,
																				(int) (BgL_arg2199z00_1647), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15707,
																			STRUCT_REF(BgL_ufz00_1625,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1627));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15707, STRUCT_REF(BgL_ufz00_1625,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1627));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19544;

													BgL_auxz00_19544 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19544,
														BgL_locz00_15707);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19547;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1897z00_7463;

														BgL_arg1897z00_7463 = VECTOR_LENGTH(BgL_sz00_1618);
														BgL_testz00_19547 =
															(
															(BgL_spz00_1630 +
																(long) CINT(BgL_sfz00_1629)) <
															(long) (BgL_arg1897z00_7463));
													}
													if (BgL_testz00_19547)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1628, BgL_sz00_1618,
																BINT(BgL_spz00_1630));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1653;

															BgL_nsz00_1653 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2204z00_1655;

																BgL_arg2204z00_1655 =
																	(BgL_spz00_1630 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1653, BINT(((long) 2)),
																	BgL_sz00_1618, BINT(BgL_spz00_1630),
																	BINT(BgL_arg2204z00_1655));
															}
															VECTOR_SET(BgL_nsz00_1653,
																(int) (((long) 1)), BgL_sz00_1618);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19563;

																BgL_auxz00_19563 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19563,
																	BgL_nsz00_1653);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1193z00_1657;

																BgL_val1193z00_1657 =
																	BGl_zc3exitza32210ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1653, BgL_runz00_1628);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19567;

																	BgL_auxz00_19567 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19567,
																		BgL_sz00_1618);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1193z00_1657)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1193z00_1657),
																			CDR(BgL_val1193z00_1657));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1193z00_1657;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1621,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1666;

													BgL_nbpz00_1666 =
														((long) CINT(BgL_bpz00_1620) + BgL_siza7eza7_15709);
													VECTOR_SET(BgL_sz00_1618,
														(int) (((long) 0)), BINT(BgL_nbpz00_1666));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1667;

														BgL_rz00_1667 =
															PROCEDURE_ENTRY(BgL_fz00_1621) (BgL_fz00_1621,
															BgL_a1z00_1622, BgL_a2z00_1623, BEOA);
														VECTOR_SET(BgL_sz00_1618, (int) (((long) 0)),
															BgL_bpz00_1620);
														return BgL_rz00_1667;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15707, BgL_symbzd2funzd2_15708,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1621));
		}}}}}}}}}
	}



/* <exit:2210> */
	obj_t BGl_zc3exitza32210ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17644,
		obj_t BgL_runz00_17643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1194z00_1663;

			if (SET_EXIT(BgL_an_exit1194z00_1663))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1194z00_1663 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1194z00_1663, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1195z00_1664;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7481;

								BgL_savedzd2bpzd2_7481 =
									VECTOR_REF(BgL_nsz00_17644, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17644,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7488;

									BgL_fz00_7488 = BgL_runz00_17643;
								BgL_recz00_7487:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7489;

										BgL_rz00_7489 =
											PROCEDURE_ENTRY(BgL_fz00_7488) (BgL_fz00_7488,
											BgL_nsz00_17644, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19606;

											if (PROCEDUREP(BgL_rz00_7489))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7494;

													BgL_arg1889z00_7494 = PROCEDURE_ATTR(BgL_rz00_7489);
													if (STRUCTP(BgL_arg1889z00_7494))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19606 =
																(STRUCT_KEY(BgL_arg1889z00_7494) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19606 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19606 = ((bool_t) 0);
												}
											if (BgL_testz00_19606)
												{
													obj_t BgL_fz00_19614;

													BgL_fz00_19614 = BgL_rz00_7489;
													BgL_fz00_7488 = BgL_fz00_19614;
													goto BgL_recz00_7487;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17644,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7481);
													BgL_val1195z00_1664 = BgL_rz00_7489;
							}}}}}
							POP_EXIT();
							return BgL_val1195z00_1664;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_160,
		BgL_ev_exprz00_bglt BgL_vfunz00_161, obj_t BgL_symbzd2funzd2_162,
		obj_t BgL_funz00_163, obj_t BgL_tailzf3zf3_164, obj_t BgL_stkz00_165,
		long BgL_siza7eza7_166, obj_t BgL_a1z00_167, obj_t BgL_a2z00_168,
		obj_t BgL_a3z00_169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1669;

				BgL_cfunz00_1669 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_161,
					((long) 3), BgL_locz00_160, BgL_symbzd2funzd2_162);
				if (CBOOL(BgL_cfunz00_1669))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32213ze3z83_15711;

						BgL_zc3anonymousza32213ze3z83_15711 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_15711,
							(int) (((long) 0)), BgL_a1z00_167);
						PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_15711,
							(int) (((long) 1)), BgL_a2z00_168);
						PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_15711,
							(int) (((long) 2)), BgL_a3z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_15711,
							(int) (((long) 3)), BINT(BgL_siza7eza7_166));
						PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_15711,
							(int) (((long) 4)), BgL_cfunz00_1669);
						return BgL_zc3anonymousza32213ze3z83_15711;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_164))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32214ze3z83_15712;

								BgL_zc3anonymousza32214ze3z83_15712 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32214ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32214ze3z83_15712,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32214ze3z83_15712;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32255ze3z83_15713;

								BgL_zc3anonymousza32255ze3z83_15713 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32255ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32255ze3z83_15713,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32255ze3z83_15713;
							}
					}
			}
		}
	}



/* &<anonymous:2213> */
	obj_t BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15714, obj_t BgL_sz00_15720)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15715;
				obj_t BgL_a2z00_15716;
				obj_t BgL_a3z00_15717;
				long BgL_siza7eza7_15718;
				obj_t BgL_cfunz00_15719;

				BgL_a1z00_15715 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 0)));
				BgL_a2z00_15716 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 1)));
				BgL_a3z00_15717 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 2)));
				BgL_siza7eza7_15718 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 3))));
				BgL_cfunz00_15719 = PROCEDURE_REF(BgL_envz00_15714, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1670;

					BgL_sz00_1670 = BgL_sz00_15720;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1672;

						BgL_bpz00_1672 = VECTOR_REF(BgL_sz00_1670, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1673;
							obj_t BgL_a2z00_1674;
							obj_t BgL_a3z00_1675;

							BgL_a1z00_1673 =
								PROCEDURE_ENTRY(BgL_a1z00_15715) (BgL_a1z00_15715,
								BgL_sz00_1670, BEOA);
							BgL_a2z00_1674 =
								PROCEDURE_ENTRY(BgL_a2z00_15716) (BgL_a2z00_15716,
								BgL_sz00_1670, BEOA);
							BgL_a3z00_1675 =
								PROCEDURE_ENTRY(BgL_a3z00_15717) (BgL_a3z00_15717,
								BgL_sz00_1670, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1676;

								BgL_nbpz00_1676 =
									((long) CINT(BgL_bpz00_1672) + BgL_siza7eza7_15718);
								VECTOR_SET(BgL_sz00_1670,
									(int) (((long) 0)), BINT(BgL_nbpz00_1676));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1677;

									BgL_rz00_1677 =
										PROCEDURE_ENTRY(BgL_cfunz00_15719) (BgL_cfunz00_15719,
										BgL_a1z00_1673, BgL_a2z00_1674, BgL_a3z00_1675, BEOA);
									VECTOR_SET(BgL_sz00_1670, (int) (((long) 0)), BgL_bpz00_1672);
									return BgL_rz00_1677;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2214> */
	obj_t BGl_z62zc3anonymousza32214ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15721, obj_t BgL_sz00_15729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15722;
				obj_t BgL_a1z00_15723;
				obj_t BgL_a2z00_15724;
				obj_t BgL_a3z00_15725;
				obj_t BgL_locz00_15726;
				obj_t BgL_symbzd2funzd2_15727;
				long BgL_siza7eza7_15728;

				BgL_funz00_15722 = PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 0)));
				BgL_a1z00_15723 = PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 1)));
				BgL_a2z00_15724 = PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 2)));
				BgL_a3z00_15725 = PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 3)));
				BgL_locz00_15726 = PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 4)));
				BgL_symbzd2funzd2_15727 =
					PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 5)));
				BgL_siza7eza7_15728 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15721, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1678;

					BgL_sz00_1678 = BgL_sz00_15729;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1680;

						BgL_bpz00_1680 = VECTOR_REF(BgL_sz00_1678, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1681;
							obj_t BgL_a1z00_1682;
							obj_t BgL_a2z00_1683;
							obj_t BgL_a3z00_1684;

							BgL_fz00_1681 =
								PROCEDURE_ENTRY(BgL_funz00_15722) (BgL_funz00_15722,
								BgL_sz00_1678, BEOA);
							BgL_a1z00_1682 =
								PROCEDURE_ENTRY(BgL_a1z00_15723) (BgL_a1z00_15723,
								BgL_sz00_1678, BEOA);
							BgL_a2z00_1683 =
								PROCEDURE_ENTRY(BgL_a2z00_15724) (BgL_a2z00_15724,
								BgL_sz00_1678, BEOA);
							BgL_a3z00_1684 =
								PROCEDURE_ENTRY(BgL_a3z00_15725) (BgL_a3z00_15725,
								BgL_sz00_1678, BEOA);
							if (PROCEDUREP(BgL_fz00_1681))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15726,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1681);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1686;

								BgL_ufz00_1686 = PROCEDURE_ATTR(BgL_fz00_1681);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19748;

									if (STRUCTP(BgL_ufz00_1686))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19748 =
												(STRUCT_KEY(BgL_ufz00_1686) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19748 = ((bool_t) 0);
										}
									if (BgL_testz00_19748)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1688;
											obj_t BgL_runz00_1689;
											obj_t BgL_sfz00_1690;

											BgL_arityz00_1688 =
												STRUCT_REF(BgL_ufz00_1686, (int) (((long) 0)));
											BgL_runz00_1689 =
												STRUCT_REF(BgL_ufz00_1686, (int) (((long) 1)));
											BgL_sfz00_1690 =
												STRUCT_REF(BgL_ufz00_1686, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1688) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2218z00_1693;

														BgL_arg2218z00_1693 =
															((long) CINT(BgL_bpz00_1680) + ((long) 0));
														VECTOR_SET(BgL_sz00_1678,
															(int) (BgL_arg2218z00_1693), BgL_a1z00_1682);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2219z00_1694;

														BgL_arg2219z00_1694 =
															((long) CINT(BgL_bpz00_1680) + ((long) 1));
														VECTOR_SET(BgL_sz00_1678,
															(int) (BgL_arg2219z00_1694), BgL_a2z00_1683);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2220z00_1695;

														BgL_arg2220z00_1695 =
															((long) CINT(BgL_bpz00_1680) + ((long) 2));
														VECTOR_SET(BgL_sz00_1678,
															(int) (BgL_arg2220z00_1695), BgL_a3z00_1684);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1688))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1688))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2222z00_1699;
																		obj_t BgL_arg2223z00_1700;

																		BgL_arg2222z00_1699 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2224z00_1701;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2225z00_1702;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2226z00_1703;

																					BgL_arg2226z00_1703 =
																						MAKE_PAIR(BgL_a3z00_1684, BNIL);
																					BgL_arg2225z00_1702 =
																						MAKE_PAIR(BgL_a2z00_1683,
																						BgL_arg2226z00_1703);
																				}
																				BgL_list2224z00_1701 =
																					MAKE_PAIR(BgL_a1z00_1682,
																					BgL_arg2225z00_1702);
																			}
																			BgL_arg2223z00_1700 =
																				BgL_list2224z00_1701;
																		}
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2222z00_1699),
																			BgL_arg2223z00_1700);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2227z00_1704;

																		BgL_arg2227z00_1704 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2227z00_1704),
																			BgL_a1z00_1682);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2228z00_1705;
																		obj_t BgL_arg2229z00_1706;

																		BgL_arg2228z00_1705 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2230z00_1707;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2231z00_1708;

																				BgL_arg2231z00_1708 =
																					MAKE_PAIR(BgL_a3z00_1684, BNIL);
																				BgL_list2230z00_1707 =
																					MAKE_PAIR(BgL_a2z00_1683,
																					BgL_arg2231z00_1708);
																			}
																			BgL_arg2229z00_1706 =
																				BgL_list2230z00_1707;
																		}
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2228z00_1705),
																			BgL_arg2229z00_1706);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2232z00_1709;

																		BgL_arg2232z00_1709 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2232z00_1709),
																			BgL_a1z00_1682);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2233z00_1710;

																		BgL_arg2233z00_1710 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2233z00_1710),
																			BgL_a2z00_1683);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2234z00_1711;
																		obj_t BgL_arg2235z00_1712;

																		BgL_arg2234z00_1711 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2236z00_1713;

																			BgL_list2236z00_1713 =
																				MAKE_PAIR(BgL_a3z00_1684, BNIL);
																			BgL_arg2235z00_1712 =
																				BgL_list2236z00_1713;
																		}
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2234z00_1711),
																			BgL_arg2235z00_1712);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2237z00_1714;

																		BgL_arg2237z00_1714 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2237z00_1714),
																			BgL_a1z00_1682);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2238z00_1715;

																		BgL_arg2238z00_1715 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2238z00_1715),
																			BgL_a2z00_1683);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2239z00_1716;

																		BgL_arg2239z00_1716 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2239z00_1716),
																			BgL_a3z00_1684);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2241z00_1717;

																		BgL_arg2241z00_1717 =
																			(
																			(long) CINT(BgL_bpz00_1680) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1678,
																			(int) (BgL_arg2241z00_1717), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15726,
																		STRUCT_REF(BgL_ufz00_1686,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_1688));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15726, STRUCT_REF(BgL_ufz00_1686,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_1688));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19834;

												BgL_auxz00_19834 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19834,
													BgL_locz00_15726);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19837;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1897z00_7659;

													BgL_arg1897z00_7659 = VECTOR_LENGTH(BgL_sz00_1678);
													BgL_testz00_19837 =
														(
														((long) CINT(BgL_bpz00_1680) +
															(long) CINT(BgL_sfz00_1690)) <
														(long) (BgL_arg1897z00_7659));
												}
												if (BgL_testz00_19837)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1689;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1723;

														BgL_nsz00_1723 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2246z00_1725;

															BgL_arg2246z00_1725 =
																((long) CINT(BgL_bpz00_1680) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1723, BINT(((long) 2)),
																BgL_sz00_1678, BgL_bpz00_1680,
																BINT(BgL_arg2246z00_1725));
														}
														VECTOR_SET(BgL_nsz00_1723,
															(int) (((long) 1)), BgL_sz00_1678);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19852;

															BgL_auxz00_19852 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19852,
																BgL_nsz00_1723);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1198z00_1727;

															BgL_val1198z00_1727 =
																BGl_zc3exitza32252ze3z83zz__evaluate_compz00
																(BgL_nsz00_1723, BgL_runz00_1689);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19856;

																BgL_auxz00_19856 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19856,
																	BgL_sz00_1678);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1198z00_1727)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1198z00_1727),
																		CDR(BgL_val1198z00_1727));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1198z00_1727;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1681,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1736;

													BgL_nbpz00_1736 =
														((long) CINT(BgL_bpz00_1680) + BgL_siza7eza7_15728);
													VECTOR_SET(BgL_sz00_1678,
														(int) (((long) 0)), BINT(BgL_nbpz00_1736));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1737;

														BgL_rz00_1737 =
															PROCEDURE_ENTRY(BgL_fz00_1681) (BgL_fz00_1681,
															BgL_a1z00_1682, BgL_a2z00_1683, BgL_a3z00_1684,
															BEOA);
														VECTOR_SET(BgL_sz00_1678, (int) (((long) 0)),
															BgL_bpz00_1680);
														return BgL_rz00_1737;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15726, BgL_symbzd2funzd2_15727,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1681));
		}}}}}}}}}
	}



/* <exit:2252> */
	obj_t BGl_zc3exitza32252ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17642,
		obj_t BgL_runz00_17641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1199z00_1733;

			if (SET_EXIT(BgL_an_exit1199z00_1733))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1199z00_1733 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1199z00_1733, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1200z00_1734;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7678;

								BgL_savedzd2bpzd2_7678 =
									VECTOR_REF(BgL_nsz00_17642, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17642,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7685;

									BgL_fz00_7685 = BgL_runz00_17641;
								BgL_recz00_7684:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7686;

										BgL_rz00_7686 =
											PROCEDURE_ENTRY(BgL_fz00_7685) (BgL_fz00_7685,
											BgL_nsz00_17642, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19896;

											if (PROCEDUREP(BgL_rz00_7686))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7691;

													BgL_arg1889z00_7691 = PROCEDURE_ATTR(BgL_rz00_7686);
													if (STRUCTP(BgL_arg1889z00_7691))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19896 =
																(STRUCT_KEY(BgL_arg1889z00_7691) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19896 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19896 = ((bool_t) 0);
												}
											if (BgL_testz00_19896)
												{
													obj_t BgL_fz00_19904;

													BgL_fz00_19904 = BgL_rz00_7686;
													BgL_fz00_7685 = BgL_fz00_19904;
													goto BgL_recz00_7684;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17642,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7678);
													BgL_val1200z00_1734 = BgL_rz00_7686;
							}}}}}
							POP_EXIT();
							return BgL_val1200z00_1734;
						}
					}
				}
		}
	}



/* &<anonymous:2255> */
	obj_t BGl_z62zc3anonymousza32255ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15730, obj_t BgL_sz00_15738)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15731;
				obj_t BgL_a1z00_15732;
				obj_t BgL_a2z00_15733;
				obj_t BgL_a3z00_15734;
				obj_t BgL_locz00_15735;
				obj_t BgL_symbzd2funzd2_15736;
				long BgL_siza7eza7_15737;

				BgL_funz00_15731 = PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 0)));
				BgL_a1z00_15732 = PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 1)));
				BgL_a2z00_15733 = PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 2)));
				BgL_a3z00_15734 = PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 3)));
				BgL_locz00_15735 = PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 4)));
				BgL_symbzd2funzd2_15736 =
					PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 5)));
				BgL_siza7eza7_15737 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15730, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1739;

					BgL_sz00_1739 = BgL_sz00_15738;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1741;

						BgL_bpz00_1741 = VECTOR_REF(BgL_sz00_1739, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1742;
							obj_t BgL_a1z00_1743;
							obj_t BgL_a2z00_1744;
							obj_t BgL_a3z00_1745;

							BgL_fz00_1742 =
								PROCEDURE_ENTRY(BgL_funz00_15731) (BgL_funz00_15731,
								BgL_sz00_1739, BEOA);
							BgL_a1z00_1743 =
								PROCEDURE_ENTRY(BgL_a1z00_15732) (BgL_a1z00_15732,
								BgL_sz00_1739, BEOA);
							BgL_a2z00_1744 =
								PROCEDURE_ENTRY(BgL_a2z00_15733) (BgL_a2z00_15733,
								BgL_sz00_1739, BEOA);
							BgL_a3z00_1745 =
								PROCEDURE_ENTRY(BgL_a3z00_15734) (BgL_a3z00_15734,
								BgL_sz00_1739, BEOA);
							if (PROCEDUREP(BgL_fz00_1742))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15735,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1742);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1747;

								BgL_ufz00_1747 = PROCEDURE_ATTR(BgL_fz00_1742);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19945;

									if (STRUCTP(BgL_ufz00_1747))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19945 =
												(STRUCT_KEY(BgL_ufz00_1747) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19945 = ((bool_t) 0);
										}
									if (BgL_testz00_19945)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1749;
											obj_t BgL_runz00_1750;
											obj_t BgL_sfz00_1751;

											BgL_arityz00_1749 =
												STRUCT_REF(BgL_ufz00_1747, (int) (((long) 0)));
											BgL_runz00_1750 =
												STRUCT_REF(BgL_ufz00_1747, (int) (((long) 1)));
											BgL_sfz00_1751 =
												STRUCT_REF(BgL_ufz00_1747, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1752;

												BgL_spz00_1752 =
													((long) CINT(BgL_bpz00_1741) + BgL_siza7eza7_15737);
												if (((long) CINT(BgL_arityz00_1749) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2259z00_1754;

															BgL_arg2259z00_1754 =
																(BgL_spz00_1752 + ((long) 0));
															VECTOR_SET(BgL_sz00_1739,
																(int) (BgL_arg2259z00_1754), BgL_a1z00_1743);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2260z00_1755;

															BgL_arg2260z00_1755 =
																(BgL_spz00_1752 + ((long) 1));
															VECTOR_SET(BgL_sz00_1739,
																(int) (BgL_arg2260z00_1755), BgL_a2z00_1744);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2261z00_1756;

															BgL_arg2261z00_1756 =
																(BgL_spz00_1752 + ((long) 2));
															VECTOR_SET(BgL_sz00_1739,
																(int) (BgL_arg2261z00_1756), BgL_a3z00_1745);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1749))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1749))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2263z00_1760;
																			obj_t BgL_arg2264z00_1761;

																			BgL_arg2263z00_1760 =
																				(BgL_spz00_1752 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2265z00_1762;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2266z00_1763;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2267z00_1764;

																						BgL_arg2267z00_1764 =
																							MAKE_PAIR(BgL_a3z00_1745, BNIL);
																						BgL_arg2266z00_1763 =
																							MAKE_PAIR(BgL_a2z00_1744,
																							BgL_arg2267z00_1764);
																					}
																					BgL_list2265z00_1762 =
																						MAKE_PAIR(BgL_a1z00_1743,
																						BgL_arg2266z00_1763);
																				}
																				BgL_arg2264z00_1761 =
																					BgL_list2265z00_1762;
																			}
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2263z00_1760),
																				BgL_arg2264z00_1761);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2268z00_1765;

																			BgL_arg2268z00_1765 =
																				(BgL_spz00_1752 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2268z00_1765),
																				BgL_a1z00_1743);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2269z00_1766;
																			obj_t BgL_arg2270z00_1767;

																			BgL_arg2269z00_1766 =
																				(BgL_spz00_1752 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2271z00_1768;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2272z00_1769;

																					BgL_arg2272z00_1769 =
																						MAKE_PAIR(BgL_a3z00_1745, BNIL);
																					BgL_list2271z00_1768 =
																						MAKE_PAIR(BgL_a2z00_1744,
																						BgL_arg2272z00_1769);
																				}
																				BgL_arg2270z00_1767 =
																					BgL_list2271z00_1768;
																			}
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2269z00_1766),
																				BgL_arg2270z00_1767);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2273z00_1770;

																			BgL_arg2273z00_1770 =
																				(BgL_spz00_1752 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2273z00_1770),
																				BgL_a1z00_1743);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2274z00_1771;

																			BgL_arg2274z00_1771 =
																				(BgL_spz00_1752 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2274z00_1771),
																				BgL_a2z00_1744);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2275z00_1772;
																			obj_t BgL_arg2276z00_1773;

																			BgL_arg2275z00_1772 =
																				(BgL_spz00_1752 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2277z00_1774;

																				BgL_list2277z00_1774 =
																					MAKE_PAIR(BgL_a3z00_1745, BNIL);
																				BgL_arg2276z00_1773 =
																					BgL_list2277z00_1774;
																			}
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2275z00_1772),
																				BgL_arg2276z00_1773);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2278z00_1775;

																			BgL_arg2278z00_1775 =
																				(BgL_spz00_1752 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2278z00_1775),
																				BgL_a1z00_1743);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2279z00_1776;

																			BgL_arg2279z00_1776 =
																				(BgL_spz00_1752 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2279z00_1776),
																				BgL_a2z00_1744);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2280z00_1777;

																			BgL_arg2280z00_1777 =
																				(BgL_spz00_1752 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2280z00_1777),
																				BgL_a3z00_1745);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2281z00_1778;

																			BgL_arg2281z00_1778 =
																				(BgL_spz00_1752 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1739,
																				(int) (BgL_arg2281z00_1778), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15735,
																			STRUCT_REF(BgL_ufz00_1747,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_1749));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15735, STRUCT_REF(BgL_ufz00_1747,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_1749));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20020;

													BgL_auxz00_20020 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20020,
														BgL_locz00_15735);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20023;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1897z00_7845;

														BgL_arg1897z00_7845 = VECTOR_LENGTH(BgL_sz00_1739);
														BgL_testz00_20023 =
															(
															(BgL_spz00_1752 +
																(long) CINT(BgL_sfz00_1751)) <
															(long) (BgL_arg1897z00_7845));
													}
													if (BgL_testz00_20023)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1750, BgL_sz00_1739,
																BINT(BgL_spz00_1752));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1784;

															BgL_nsz00_1784 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2286z00_1786;

																BgL_arg2286z00_1786 =
																	(BgL_spz00_1752 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1784, BINT(((long) 2)),
																	BgL_sz00_1739, BINT(BgL_spz00_1752),
																	BINT(BgL_arg2286z00_1786));
															}
															VECTOR_SET(BgL_nsz00_1784,
																(int) (((long) 1)), BgL_sz00_1739);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20039;

																BgL_auxz00_20039 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20039,
																	BgL_nsz00_1784);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1203z00_1788;

																BgL_val1203z00_1788 =
																	BGl_zc3exitza32292ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1784, BgL_runz00_1750);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20043;

																	BgL_auxz00_20043 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20043,
																		BgL_sz00_1739);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1203z00_1788)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1203z00_1788),
																			CDR(BgL_val1203z00_1788));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1203z00_1788;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1742,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1797;

													BgL_nbpz00_1797 =
														((long) CINT(BgL_bpz00_1741) + BgL_siza7eza7_15737);
													VECTOR_SET(BgL_sz00_1739,
														(int) (((long) 0)), BINT(BgL_nbpz00_1797));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1798;

														BgL_rz00_1798 =
															PROCEDURE_ENTRY(BgL_fz00_1742) (BgL_fz00_1742,
															BgL_a1z00_1743, BgL_a2z00_1744, BgL_a3z00_1745,
															BEOA);
														VECTOR_SET(BgL_sz00_1739, (int) (((long) 0)),
															BgL_bpz00_1741);
														return BgL_rz00_1798;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15735, BgL_symbzd2funzd2_15736,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1742));
		}}}}}}}}}
	}



/* <exit:2292> */
	obj_t BGl_zc3exitza32292ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17640,
		obj_t BgL_runz00_17639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1204z00_1794;

			if (SET_EXIT(BgL_an_exit1204z00_1794))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1204z00_1794 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1204z00_1794, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1205z00_1795;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7863;

								BgL_savedzd2bpzd2_7863 =
									VECTOR_REF(BgL_nsz00_17640, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17640,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7870;

									BgL_fz00_7870 = BgL_runz00_17639;
								BgL_recz00_7869:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7871;

										BgL_rz00_7871 =
											PROCEDURE_ENTRY(BgL_fz00_7870) (BgL_fz00_7870,
											BgL_nsz00_17640, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20083;

											if (PROCEDUREP(BgL_rz00_7871))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_7876;

													BgL_arg1889z00_7876 = PROCEDURE_ATTR(BgL_rz00_7871);
													if (STRUCTP(BgL_arg1889z00_7876))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20083 =
																(STRUCT_KEY(BgL_arg1889z00_7876) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20083 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20083 = ((bool_t) 0);
												}
											if (BgL_testz00_20083)
												{
													obj_t BgL_fz00_20091;

													BgL_fz00_20091 = BgL_rz00_7871;
													BgL_fz00_7870 = BgL_fz00_20091;
													goto BgL_recz00_7869;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17640,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7863);
													BgL_val1205z00_1795 = BgL_rz00_7871;
							}}}}}
							POP_EXIT();
							return BgL_val1205z00_1795;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_170,
		BgL_ev_exprz00_bglt BgL_vfunz00_171, obj_t BgL_symbzd2funzd2_172,
		obj_t BgL_funz00_173, obj_t BgL_tailzf3zf3_174, obj_t BgL_stkz00_175,
		long BgL_siza7eza7_176, obj_t BgL_a1z00_177, obj_t BgL_a2z00_178,
		obj_t BgL_a3z00_179, obj_t BgL_a4z00_180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1800;

				BgL_cfunz00_1800 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_171,
					((long) 4), BgL_locz00_170, BgL_symbzd2funzd2_172);
				if (CBOOL(BgL_cfunz00_1800))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32295ze3z83_15739;

						BgL_zc3anonymousza32295ze3z83_15739 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32295ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 0)), BgL_a1z00_177);
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 1)), BgL_a2z00_178);
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 2)), BgL_a3z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 3)), BgL_a4z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 4)), BINT(BgL_siza7eza7_176));
						PROCEDURE_SET(BgL_zc3anonymousza32295ze3z83_15739,
							(int) (((long) 5)), BgL_cfunz00_1800);
						return BgL_zc3anonymousza32295ze3z83_15739;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_174))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32296ze3z83_15740;

								BgL_zc3anonymousza32296ze3z83_15740 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32296ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_15740,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32296ze3z83_15740;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32353ze3z83_15741;

								BgL_zc3anonymousza32353ze3z83_15741 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32353ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_15741,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32353ze3z83_15741;
							}
					}
			}
		}
	}



/* &<anonymous:2295> */
	obj_t BGl_z62zc3anonymousza32295ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15742, obj_t BgL_sz00_15749)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15743;
				obj_t BgL_a2z00_15744;
				obj_t BgL_a3z00_15745;
				obj_t BgL_a4z00_15746;
				long BgL_siza7eza7_15747;
				obj_t BgL_cfunz00_15748;

				BgL_a1z00_15743 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 0)));
				BgL_a2z00_15744 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 1)));
				BgL_a3z00_15745 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 2)));
				BgL_a4z00_15746 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 3)));
				BgL_siza7eza7_15747 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 4))));
				BgL_cfunz00_15748 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 5)));
				{
					obj_t BgL_sz00_1801;

					BgL_sz00_1801 = BgL_sz00_15749;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1803;

						BgL_bpz00_1803 = VECTOR_REF(BgL_sz00_1801, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1804;
							obj_t BgL_a2z00_1805;
							obj_t BgL_a3z00_1806;
							obj_t BgL_a4z00_1807;

							BgL_a1z00_1804 =
								PROCEDURE_ENTRY(BgL_a1z00_15743) (BgL_a1z00_15743,
								BgL_sz00_1801, BEOA);
							BgL_a2z00_1805 =
								PROCEDURE_ENTRY(BgL_a2z00_15744) (BgL_a2z00_15744,
								BgL_sz00_1801, BEOA);
							BgL_a3z00_1806 =
								PROCEDURE_ENTRY(BgL_a3z00_15745) (BgL_a3z00_15745,
								BgL_sz00_1801, BEOA);
							BgL_a4z00_1807 =
								PROCEDURE_ENTRY(BgL_a4z00_15746) (BgL_a4z00_15746,
								BgL_sz00_1801, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1808;

								BgL_nbpz00_1808 =
									((long) CINT(BgL_bpz00_1803) + BgL_siza7eza7_15747);
								VECTOR_SET(BgL_sz00_1801,
									(int) (((long) 0)), BINT(BgL_nbpz00_1808));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1809;

									BgL_rz00_1809 =
										PROCEDURE_ENTRY(BgL_cfunz00_15748) (BgL_cfunz00_15748,
										BgL_a1z00_1804, BgL_a2z00_1805, BgL_a3z00_1806,
										BgL_a4z00_1807, BEOA);
									VECTOR_SET(BgL_sz00_1801, (int) (((long) 0)), BgL_bpz00_1803);
									return BgL_rz00_1809;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2296> */
	obj_t BGl_z62zc3anonymousza32296ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15750, obj_t BgL_sz00_15759)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15751;
				obj_t BgL_a1z00_15752;
				obj_t BgL_a2z00_15753;
				obj_t BgL_a3z00_15754;
				obj_t BgL_a4z00_15755;
				obj_t BgL_locz00_15756;
				obj_t BgL_symbzd2funzd2_15757;
				long BgL_siza7eza7_15758;

				BgL_funz00_15751 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 0)));
				BgL_a1z00_15752 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 1)));
				BgL_a2z00_15753 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 2)));
				BgL_a3z00_15754 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 3)));
				BgL_a4z00_15755 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 4)));
				BgL_locz00_15756 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 5)));
				BgL_symbzd2funzd2_15757 =
					PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 6)));
				BgL_siza7eza7_15758 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1810;

					BgL_sz00_1810 = BgL_sz00_15759;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1812;

						BgL_bpz00_1812 = VECTOR_REF(BgL_sz00_1810, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1813;
							obj_t BgL_a1z00_1814;
							obj_t BgL_a2z00_1815;
							obj_t BgL_a3z00_1816;
							obj_t BgL_a4z00_1817;

							BgL_fz00_1813 =
								PROCEDURE_ENTRY(BgL_funz00_15751) (BgL_funz00_15751,
								BgL_sz00_1810, BEOA);
							BgL_a1z00_1814 =
								PROCEDURE_ENTRY(BgL_a1z00_15752) (BgL_a1z00_15752,
								BgL_sz00_1810, BEOA);
							BgL_a2z00_1815 =
								PROCEDURE_ENTRY(BgL_a2z00_15753) (BgL_a2z00_15753,
								BgL_sz00_1810, BEOA);
							BgL_a3z00_1816 =
								PROCEDURE_ENTRY(BgL_a3z00_15754) (BgL_a3z00_15754,
								BgL_sz00_1810, BEOA);
							BgL_a4z00_1817 =
								PROCEDURE_ENTRY(BgL_a4z00_15755) (BgL_a4z00_15755,
								BgL_sz00_1810, BEOA);
							if (PROCEDUREP(BgL_fz00_1813))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15756,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1813);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1819;

								BgL_ufz00_1819 = PROCEDURE_ATTR(BgL_fz00_1813);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20244;

									if (STRUCTP(BgL_ufz00_1819))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20244 =
												(STRUCT_KEY(BgL_ufz00_1819) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20244 = ((bool_t) 0);
										}
									if (BgL_testz00_20244)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1821;
											obj_t BgL_runz00_1822;
											obj_t BgL_sfz00_1823;

											BgL_arityz00_1821 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 0)));
											BgL_runz00_1822 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 1)));
											BgL_sfz00_1823 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1821) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2300z00_1826;

														BgL_arg2300z00_1826 =
															((long) CINT(BgL_bpz00_1812) + ((long) 0));
														VECTOR_SET(BgL_sz00_1810,
															(int) (BgL_arg2300z00_1826), BgL_a1z00_1814);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2301z00_1827;

														BgL_arg2301z00_1827 =
															((long) CINT(BgL_bpz00_1812) + ((long) 1));
														VECTOR_SET(BgL_sz00_1810,
															(int) (BgL_arg2301z00_1827), BgL_a2z00_1815);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2302z00_1828;

														BgL_arg2302z00_1828 =
															((long) CINT(BgL_bpz00_1812) + ((long) 2));
														VECTOR_SET(BgL_sz00_1810,
															(int) (BgL_arg2302z00_1828), BgL_a3z00_1816);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2303z00_1829;

														BgL_arg2303z00_1829 =
															((long) CINT(BgL_bpz00_1812) + ((long) 3));
														VECTOR_SET(BgL_sz00_1810,
															(int) (BgL_arg2303z00_1829), BgL_a4z00_1817);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1821))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1821))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2306z00_1833;
																		obj_t BgL_arg2307z00_1834;

																		BgL_arg2306z00_1833 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2308z00_1835;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2309z00_1836;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2311z00_1837;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2312z00_1838;

																						BgL_arg2312z00_1838 =
																							MAKE_PAIR(BgL_a4z00_1817, BNIL);
																						BgL_arg2311z00_1837 =
																							MAKE_PAIR(BgL_a3z00_1816,
																							BgL_arg2312z00_1838);
																					}
																					BgL_arg2309z00_1836 =
																						MAKE_PAIR(BgL_a2z00_1815,
																						BgL_arg2311z00_1837);
																				}
																				BgL_list2308z00_1835 =
																					MAKE_PAIR(BgL_a1z00_1814,
																					BgL_arg2309z00_1836);
																			}
																			BgL_arg2307z00_1834 =
																				BgL_list2308z00_1835;
																		}
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2306z00_1833),
																			BgL_arg2307z00_1834);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2313z00_1839;

																		BgL_arg2313z00_1839 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2313z00_1839),
																			BgL_a1z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2314z00_1840;
																		obj_t BgL_arg2316z00_1841;

																		BgL_arg2314z00_1840 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2317z00_1842;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2318z00_1843;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2319z00_1844;

																					BgL_arg2319z00_1844 =
																						MAKE_PAIR(BgL_a4z00_1817, BNIL);
																					BgL_arg2318z00_1843 =
																						MAKE_PAIR(BgL_a3z00_1816,
																						BgL_arg2319z00_1844);
																				}
																				BgL_list2317z00_1842 =
																					MAKE_PAIR(BgL_a2z00_1815,
																					BgL_arg2318z00_1843);
																			}
																			BgL_arg2316z00_1841 =
																				BgL_list2317z00_1842;
																		}
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2314z00_1840),
																			BgL_arg2316z00_1841);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2320z00_1845;

																		BgL_arg2320z00_1845 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2320z00_1845),
																			BgL_a1z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2321z00_1846;

																		BgL_arg2321z00_1846 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2321z00_1846),
																			BgL_a2z00_1815);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2322z00_1847;
																		obj_t BgL_arg2323z00_1848;

																		BgL_arg2322z00_1847 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2324z00_1849;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2325z00_1850;

																				BgL_arg2325z00_1850 =
																					MAKE_PAIR(BgL_a4z00_1817, BNIL);
																				BgL_list2324z00_1849 =
																					MAKE_PAIR(BgL_a3z00_1816,
																					BgL_arg2325z00_1850);
																			}
																			BgL_arg2323z00_1848 =
																				BgL_list2324z00_1849;
																		}
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2322z00_1847),
																			BgL_arg2323z00_1848);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2327z00_1851;

																		BgL_arg2327z00_1851 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2327z00_1851),
																			BgL_a1z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2328z00_1852;

																		BgL_arg2328z00_1852 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2328z00_1852),
																			BgL_a2z00_1815);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2329z00_1853;

																		BgL_arg2329z00_1853 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2329z00_1853),
																			BgL_a3z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2330z00_1854;
																		obj_t BgL_arg2331z00_1855;

																		BgL_arg2330z00_1854 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2332z00_1856;

																			BgL_list2332z00_1856 =
																				MAKE_PAIR(BgL_a4z00_1817, BNIL);
																			BgL_arg2331z00_1855 =
																				BgL_list2332z00_1856;
																		}
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2330z00_1854),
																			BgL_arg2331z00_1855);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2333z00_1857;

																		BgL_arg2333z00_1857 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2333z00_1857),
																			BgL_a1z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2334z00_1858;

																		BgL_arg2334z00_1858 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2334z00_1858),
																			BgL_a2z00_1815);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2336z00_1859;

																		BgL_arg2336z00_1859 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2336z00_1859),
																			BgL_a3z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2337z00_1860;

																		BgL_arg2337z00_1860 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2337z00_1860),
																			BgL_a4z00_1817);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2338z00_1861;

																		BgL_arg2338z00_1861 =
																			(
																			(long) CINT(BgL_bpz00_1812) + ((long) 4));
																		VECTOR_SET(BgL_sz00_1810,
																			(int) (BgL_arg2338z00_1861), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15756,
																		STRUCT_REF(BgL_ufz00_1819,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_1821));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15756, STRUCT_REF(BgL_ufz00_1819,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_1821));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_20358;

												BgL_auxz00_20358 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20358,
													BgL_locz00_15756);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_20361;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1897z00_8079;

													BgL_arg1897z00_8079 = VECTOR_LENGTH(BgL_sz00_1810);
													BgL_testz00_20361 =
														(
														((long) CINT(BgL_bpz00_1812) +
															(long) CINT(BgL_sfz00_1823)) <
														(long) (BgL_arg1897z00_8079));
												}
												if (BgL_testz00_20361)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1822;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1867;

														BgL_nsz00_1867 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2343z00_1869;

															BgL_arg2343z00_1869 =
																((long) CINT(BgL_bpz00_1812) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1867, BINT(((long) 2)),
																BgL_sz00_1810, BgL_bpz00_1812,
																BINT(BgL_arg2343z00_1869));
														}
														VECTOR_SET(BgL_nsz00_1867,
															(int) (((long) 1)), BgL_sz00_1810);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_20376;

															BgL_auxz00_20376 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_20376,
																BgL_nsz00_1867);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1208z00_1871;

															BgL_val1208z00_1871 =
																BGl_zc3exitza32349ze3z83zz__evaluate_compz00
																(BgL_nsz00_1867, BgL_runz00_1822);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20380;

																BgL_auxz00_20380 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20380,
																	BgL_sz00_1810);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1208z00_1871)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1208z00_1871),
																		CDR(BgL_val1208z00_1871));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1208z00_1871;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1813,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1880;

													BgL_nbpz00_1880 =
														((long) CINT(BgL_bpz00_1812) + BgL_siza7eza7_15758);
													VECTOR_SET(BgL_sz00_1810,
														(int) (((long) 0)), BINT(BgL_nbpz00_1880));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1881;

														BgL_rz00_1881 =
															PROCEDURE_ENTRY(BgL_fz00_1813) (BgL_fz00_1813,
															BgL_a1z00_1814, BgL_a2z00_1815, BgL_a3z00_1816,
															BgL_a4z00_1817, BEOA);
														VECTOR_SET(BgL_sz00_1810, (int) (((long) 0)),
															BgL_bpz00_1812);
														return BgL_rz00_1881;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15756, BgL_symbzd2funzd2_15757,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1813));
		}}}}}}}}}
	}



/* <exit:2349> */
	obj_t BGl_zc3exitza32349ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17638,
		obj_t BgL_runz00_17637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1209z00_1877;

			if (SET_EXIT(BgL_an_exit1209z00_1877))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1209z00_1877 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1209z00_1877, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1210z00_1878;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8098;

								BgL_savedzd2bpzd2_8098 =
									VECTOR_REF(BgL_nsz00_17638, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17638,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8105;

									BgL_fz00_8105 = BgL_runz00_17637;
								BgL_recz00_8104:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8106;

										BgL_rz00_8106 =
											PROCEDURE_ENTRY(BgL_fz00_8105) (BgL_fz00_8105,
											BgL_nsz00_17638, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20421;

											if (PROCEDUREP(BgL_rz00_8106))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_8111;

													BgL_arg1889z00_8111 = PROCEDURE_ATTR(BgL_rz00_8106);
													if (STRUCTP(BgL_arg1889z00_8111))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20421 =
																(STRUCT_KEY(BgL_arg1889z00_8111) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20421 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20421 = ((bool_t) 0);
												}
											if (BgL_testz00_20421)
												{
													obj_t BgL_fz00_20429;

													BgL_fz00_20429 = BgL_rz00_8106;
													BgL_fz00_8105 = BgL_fz00_20429;
													goto BgL_recz00_8104;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17638,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8098);
													BgL_val1210z00_1878 = BgL_rz00_8106;
							}}}}}
							POP_EXIT();
							return BgL_val1210z00_1878;
						}
					}
				}
		}
	}



/* &<anonymous:2353> */
	obj_t BGl_z62zc3anonymousza32353ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15760, obj_t BgL_sz00_15769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15761;
				obj_t BgL_a1z00_15762;
				obj_t BgL_a2z00_15763;
				obj_t BgL_a3z00_15764;
				obj_t BgL_a4z00_15765;
				obj_t BgL_locz00_15766;
				obj_t BgL_symbzd2funzd2_15767;
				long BgL_siza7eza7_15768;

				BgL_funz00_15761 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 0)));
				BgL_a1z00_15762 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 1)));
				BgL_a2z00_15763 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 2)));
				BgL_a3z00_15764 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 3)));
				BgL_a4z00_15765 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 4)));
				BgL_locz00_15766 = PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 5)));
				BgL_symbzd2funzd2_15767 =
					PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 6)));
				BgL_siza7eza7_15768 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15760, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1883;

					BgL_sz00_1883 = BgL_sz00_15769;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1885;

						BgL_bpz00_1885 = VECTOR_REF(BgL_sz00_1883, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1886;
							obj_t BgL_a1z00_1887;
							obj_t BgL_a2z00_1888;
							obj_t BgL_a3z00_1889;
							obj_t BgL_a4z00_1890;

							BgL_fz00_1886 =
								PROCEDURE_ENTRY(BgL_funz00_15761) (BgL_funz00_15761,
								BgL_sz00_1883, BEOA);
							BgL_a1z00_1887 =
								PROCEDURE_ENTRY(BgL_a1z00_15762) (BgL_a1z00_15762,
								BgL_sz00_1883, BEOA);
							BgL_a2z00_1888 =
								PROCEDURE_ENTRY(BgL_a2z00_15763) (BgL_a2z00_15763,
								BgL_sz00_1883, BEOA);
							BgL_a3z00_1889 =
								PROCEDURE_ENTRY(BgL_a3z00_15764) (BgL_a3z00_15764,
								BgL_sz00_1883, BEOA);
							BgL_a4z00_1890 =
								PROCEDURE_ENTRY(BgL_a4z00_15765) (BgL_a4z00_15765,
								BgL_sz00_1883, BEOA);
							if (PROCEDUREP(BgL_fz00_1886))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15766,
										BGl_string5544z00zz__evaluate_compz00,
										BGl_string5560z00zz__evaluate_compz00, BgL_fz00_1886);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1892;

								BgL_ufz00_1892 = PROCEDURE_ATTR(BgL_fz00_1886);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20476;

									if (STRUCTP(BgL_ufz00_1892))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20476 =
												(STRUCT_KEY(BgL_ufz00_1892) ==
												BGl_symbol5561z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20476 = ((bool_t) 0);
										}
									if (BgL_testz00_20476)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1894;
											obj_t BgL_runz00_1895;
											obj_t BgL_sfz00_1896;

											BgL_arityz00_1894 =
												STRUCT_REF(BgL_ufz00_1892, (int) (((long) 0)));
											BgL_runz00_1895 =
												STRUCT_REF(BgL_ufz00_1892, (int) (((long) 1)));
											BgL_sfz00_1896 =
												STRUCT_REF(BgL_ufz00_1892, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1897;

												BgL_spz00_1897 =
													((long) CINT(BgL_bpz00_1885) + BgL_siza7eza7_15768);
												if (((long) CINT(BgL_arityz00_1894) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2357z00_1899;

															BgL_arg2357z00_1899 =
																(BgL_spz00_1897 + ((long) 0));
															VECTOR_SET(BgL_sz00_1883,
																(int) (BgL_arg2357z00_1899), BgL_a1z00_1887);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2358z00_1900;

															BgL_arg2358z00_1900 =
																(BgL_spz00_1897 + ((long) 1));
															VECTOR_SET(BgL_sz00_1883,
																(int) (BgL_arg2358z00_1900), BgL_a2z00_1888);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2359z00_1901;

															BgL_arg2359z00_1901 =
																(BgL_spz00_1897 + ((long) 2));
															VECTOR_SET(BgL_sz00_1883,
																(int) (BgL_arg2359z00_1901), BgL_a3z00_1889);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2360z00_1902;

															BgL_arg2360z00_1902 =
																(BgL_spz00_1897 + ((long) 3));
															VECTOR_SET(BgL_sz00_1883,
																(int) (BgL_arg2360z00_1902), BgL_a4z00_1890);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1894))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1894))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2362z00_1906;
																			obj_t BgL_arg2363z00_1907;

																			BgL_arg2362z00_1906 =
																				(BgL_spz00_1897 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2364z00_1908;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2365z00_1909;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2366z00_1910;

																						{	/* Eval/evaluate_comp.scm 842 */
																							obj_t BgL_arg2367z00_1911;

																							BgL_arg2367z00_1911 =
																								MAKE_PAIR(BgL_a4z00_1890, BNIL);
																							BgL_arg2366z00_1910 =
																								MAKE_PAIR(BgL_a3z00_1889,
																								BgL_arg2367z00_1911);
																						}
																						BgL_arg2365z00_1909 =
																							MAKE_PAIR(BgL_a2z00_1888,
																							BgL_arg2366z00_1910);
																					}
																					BgL_list2364z00_1908 =
																						MAKE_PAIR(BgL_a1z00_1887,
																						BgL_arg2365z00_1909);
																				}
																				BgL_arg2363z00_1907 =
																					BgL_list2364z00_1908;
																			}
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2362z00_1906),
																				BgL_arg2363z00_1907);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2368z00_1912;

																			BgL_arg2368z00_1912 =
																				(BgL_spz00_1897 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2368z00_1912),
																				BgL_a1z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2370z00_1913;
																			obj_t BgL_arg2371z00_1914;

																			BgL_arg2370z00_1913 =
																				(BgL_spz00_1897 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2372z00_1915;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2373z00_1916;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2374z00_1917;

																						BgL_arg2374z00_1917 =
																							MAKE_PAIR(BgL_a4z00_1890, BNIL);
																						BgL_arg2373z00_1916 =
																							MAKE_PAIR(BgL_a3z00_1889,
																							BgL_arg2374z00_1917);
																					}
																					BgL_list2372z00_1915 =
																						MAKE_PAIR(BgL_a2z00_1888,
																						BgL_arg2373z00_1916);
																				}
																				BgL_arg2371z00_1914 =
																					BgL_list2372z00_1915;
																			}
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2370z00_1913),
																				BgL_arg2371z00_1914);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2375z00_1918;

																			BgL_arg2375z00_1918 =
																				(BgL_spz00_1897 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2375z00_1918),
																				BgL_a1z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2377z00_1919;

																			BgL_arg2377z00_1919 =
																				(BgL_spz00_1897 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2377z00_1919),
																				BgL_a2z00_1888);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2378z00_1920;
																			obj_t BgL_arg2379z00_1921;

																			BgL_arg2378z00_1920 =
																				(BgL_spz00_1897 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2380z00_1922;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2381z00_1923;

																					BgL_arg2381z00_1923 =
																						MAKE_PAIR(BgL_a4z00_1890, BNIL);
																					BgL_list2380z00_1922 =
																						MAKE_PAIR(BgL_a3z00_1889,
																						BgL_arg2381z00_1923);
																				}
																				BgL_arg2379z00_1921 =
																					BgL_list2380z00_1922;
																			}
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2378z00_1920),
																				BgL_arg2379z00_1921);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2382z00_1924;

																			BgL_arg2382z00_1924 =
																				(BgL_spz00_1897 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2382z00_1924),
																				BgL_a1z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2383z00_1925;

																			BgL_arg2383z00_1925 =
																				(BgL_spz00_1897 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2383z00_1925),
																				BgL_a2z00_1888);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2384z00_1926;

																			BgL_arg2384z00_1926 =
																				(BgL_spz00_1897 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2384z00_1926),
																				BgL_a3z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2385z00_1927;
																			obj_t BgL_arg2386z00_1928;

																			BgL_arg2385z00_1927 =
																				(BgL_spz00_1897 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2387z00_1929;

																				BgL_list2387z00_1929 =
																					MAKE_PAIR(BgL_a4z00_1890, BNIL);
																				BgL_arg2386z00_1928 =
																					BgL_list2387z00_1929;
																			}
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2385z00_1927),
																				BgL_arg2386z00_1928);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2389z00_1930;

																			BgL_arg2389z00_1930 =
																				(BgL_spz00_1897 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2389z00_1930),
																				BgL_a1z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2390z00_1931;

																			BgL_arg2390z00_1931 =
																				(BgL_spz00_1897 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2390z00_1931),
																				BgL_a2z00_1888);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2391z00_1932;

																			BgL_arg2391z00_1932 =
																				(BgL_spz00_1897 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2391z00_1932),
																				BgL_a3z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2392z00_1933;

																			BgL_arg2392z00_1933 =
																				(BgL_spz00_1897 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2392z00_1933),
																				BgL_a4z00_1890);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2393z00_1934;

																			BgL_arg2393z00_1934 =
																				(BgL_spz00_1897 + ((long) 4));
																			VECTOR_SET(BgL_sz00_1883,
																				(int) (BgL_arg2393z00_1934), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15766,
																			STRUCT_REF(BgL_ufz00_1892,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_1894));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15766, STRUCT_REF(BgL_ufz00_1892,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_1894));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20573;

													BgL_auxz00_20573 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20573,
														BgL_locz00_15766);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20576;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1897z00_8303;

														BgL_arg1897z00_8303 = VECTOR_LENGTH(BgL_sz00_1883);
														BgL_testz00_20576 =
															(
															(BgL_spz00_1897 +
																(long) CINT(BgL_sfz00_1896)) <
															(long) (BgL_arg1897z00_8303));
													}
													if (BgL_testz00_20576)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1895, BgL_sz00_1883,
																BINT(BgL_spz00_1897));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1940;

															BgL_nsz00_1940 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2398z00_1942;

																BgL_arg2398z00_1942 =
																	(BgL_spz00_1897 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1940, BINT(((long) 2)),
																	BgL_sz00_1883, BINT(BgL_spz00_1897),
																	BINT(BgL_arg2398z00_1942));
															}
															VECTOR_SET(BgL_nsz00_1940,
																(int) (((long) 1)), BgL_sz00_1883);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20592;

																BgL_auxz00_20592 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20592,
																	BgL_nsz00_1940);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1213z00_1944;

																BgL_val1213z00_1944 =
																	BGl_zc3exitza32406ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1940, BgL_runz00_1895);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20596;

																	BgL_auxz00_20596 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20596,
																		BgL_sz00_1883);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1213z00_1944)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1213z00_1944),
																			CDR(BgL_val1213z00_1944));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1213z00_1944;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1886,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1953;

													BgL_nbpz00_1953 =
														((long) CINT(BgL_bpz00_1885) + BgL_siza7eza7_15768);
													VECTOR_SET(BgL_sz00_1883,
														(int) (((long) 0)), BINT(BgL_nbpz00_1953));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1954;

														BgL_rz00_1954 =
															PROCEDURE_ENTRY(BgL_fz00_1886) (BgL_fz00_1886,
															BgL_a1z00_1887, BgL_a2z00_1888, BgL_a3z00_1889,
															BgL_a4z00_1890, BEOA);
														VECTOR_SET(BgL_sz00_1883, (int) (((long) 0)),
															BgL_bpz00_1885);
														return BgL_rz00_1954;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15766, BgL_symbzd2funzd2_15767,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1886));
		}}}}}}}}}
	}



/* <exit:2406> */
	obj_t BGl_zc3exitza32406ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17636,
		obj_t BgL_runz00_17635)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1214z00_1950;

			if (SET_EXIT(BgL_an_exit1214z00_1950))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1214z00_1950 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1214z00_1950, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1215z00_1951;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8321;

								BgL_savedzd2bpzd2_8321 =
									VECTOR_REF(BgL_nsz00_17636, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17636,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8328;

									BgL_fz00_8328 = BgL_runz00_17635;
								BgL_recz00_8327:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8329;

										BgL_rz00_8329 =
											PROCEDURE_ENTRY(BgL_fz00_8328) (BgL_fz00_8328,
											BgL_nsz00_17636, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20637;

											if (PROCEDUREP(BgL_rz00_8329))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1889z00_8334;

													BgL_arg1889z00_8334 = PROCEDURE_ATTR(BgL_rz00_8329);
													if (STRUCTP(BgL_arg1889z00_8334))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20637 =
																(STRUCT_KEY(BgL_arg1889z00_8334) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20637 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20637 = ((bool_t) 0);
												}
											if (BgL_testz00_20637)
												{
													obj_t BgL_fz00_20645;

													BgL_fz00_20645 = BgL_rz00_8329;
													BgL_fz00_8328 = BgL_fz00_20645;
													goto BgL_recz00_8327;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17636,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8321);
													BgL_val1215z00_1951 = BgL_rz00_8329;
							}}}}}
							POP_EXIT();
							return BgL_val1215z00_1951;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_181, long BgL_nbargsz00_182, obj_t BgL_locz00_183,
		obj_t BgL_symbzd2funzd2_184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 845 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_181), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 848 */
					BgL_ev_globalz00_bglt BgL_i1216z00_1957;

					BgL_i1216z00_1957 = ((BgL_ev_globalz00_bglt) BgL_funz00_181);
					{	/* Eval/evaluate_comp.scm 849 */
						obj_t BgL_gz00_1958;

						BgL_gz00_1958 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1957))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1957))->BgL_namez00));
						if (CBOOL(BgL_gz00_1958))
							{	/* Eval/evaluate_comp.scm 851 */
								bool_t BgL_testz00_20658;

								{	/* Eval/evaluate_comp.scm 851 */
									int BgL_arg2414z00_1963;

									{	/* Eval/evaluate_comp.scm 851 */
										int BgL_res4701z00_8361;

										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_evalzd2globalzd2_8358;

											BgL_evalzd2globalzd2_8358 = BgL_gz00_1958;
											{	/* Eval/evaluate_comp.scm 851 */
												int BgL_kz00_8360;

												BgL_kz00_8360 = (int) (((long) 0));
												BgL_res4701z00_8361 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8358,
														BgL_kz00_8360));
										}}
										BgL_arg2414z00_1963 = BgL_res4701z00_8361;
									}
									BgL_testz00_20658 =
										((long) (BgL_arg2414z00_1963) == ((long) 0));
								}
								if (BgL_testz00_20658)
									{	/* Eval/evaluate_comp.scm 852 */
										obj_t BgL_valz00_1960;

										BgL_valz00_1960 =
											VECTOR_REF(BgL_gz00_1958, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 853 */
											bool_t BgL_testz00_20666;

											if (PROCEDUREP(BgL_valz00_1960))
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20666 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_1960,
														(int) (BgL_nbargsz00_182));
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20666 = ((bool_t) 0);
												}
											if (BgL_testz00_20666)
												{	/* Eval/evaluate_comp.scm 853 */
													return BgL_valz00_1960;
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 851 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 850 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 856 */
					bool_t BgL_testz00_20671;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_181), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 857 */
							obj_t BgL_auxz00_20675;

							BgL_auxz00_20675 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_181)))->BgL_valuez00);
							BgL_testz00_20671 = PROCEDUREP(BgL_auxz00_20675);
						}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							BgL_testz00_20671 = ((bool_t) 0);
						}
					if (BgL_testz00_20671)
						{	/* Eval/evaluate_comp.scm 858 */
							BgL_ev_littz00_bglt BgL_i1218z00_1967;

							BgL_i1218z00_1967 = ((BgL_ev_littz00_bglt) BgL_funz00_181);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1967))->
										BgL_valuez00), (int) (BgL_nbargsz00_182)))
								{	/* Eval/evaluate_comp.scm 859 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1967))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 859 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_183,
										BgL_symbzd2funzd2_184, (int) (BgL_nbargsz00_182),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1218z00_1967))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_185, obj_t BgL_stkz00_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 864 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 869 */
					BgL_ev_littz00_bglt BgL_i1219z00_1977;

					BgL_i1219z00_1977 = ((BgL_ev_littz00_bglt) BgL_exprz00_185);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1977))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 870 */
							obj_t BgL_v1599z00_1979;

							BgL_v1599z00_1979 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 870 */
								double BgL_arg2426z00_1980;

								BgL_arg2426z00_1980 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1977))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 870 */
									int BgL_kz00_8377;
									obj_t BgL_objz00_8378;

									BgL_kz00_8377 = (int) (((long) 1));
									BgL_objz00_8378 = DOUBLE_TO_REAL(BgL_arg2426z00_1980);
									VECTOR_SET(BgL_v1599z00_1979, BgL_kz00_8377, BgL_objz00_8378);
							}}
							VECTOR_SET(BgL_v1599z00_1979,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1599z00_1979;
						}
					else
						{	/* Eval/evaluate_comp.scm 871 */
							bool_t BgL_testz00_20706;

							{	/* Eval/evaluate_comp.scm 871 */
								obj_t BgL_auxz00_20707;

								BgL_auxz00_20707 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1977))->
									BgL_valuez00);
								BgL_testz00_20706 = REALP(BgL_auxz00_20707);
							}
							if (BgL_testz00_20706)
								{	/* Eval/evaluate_comp.scm 871 */
									obj_t BgL_v1600z00_1983;

									BgL_v1600z00_1983 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1600z00_1983,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1977))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1600z00_1983, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1600z00_1983;
								}
							else
								{	/* Eval/evaluate_comp.scm 872 */
									obj_t BgL_v1601z00_1985;

									BgL_v1601z00_1985 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 872 */
										obj_t BgL_arg2430z00_1986;

										BgL_arg2430z00_1986 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_185)),
											BgL_stkz00_186);
										VECTOR_SET(BgL_v1601z00_1985, (int) (((long) 1)),
											BgL_arg2430z00_1986);
									}
									VECTOR_SET(BgL_v1601z00_1985,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1601z00_1985;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 868 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 874 */
							BgL_ev_varz00_bglt BgL_i1220z00_1990;

							BgL_i1220z00_1990 = ((BgL_ev_varz00_bglt) BgL_exprz00_185);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1220z00_1990))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 876 */
									obj_t BgL_v1602z00_1992;

									BgL_v1602z00_1992 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1602z00_1992,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1602z00_1992, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1602z00_1992;
								}
							else
								{	/* Eval/evaluate_comp.scm 877 */
									obj_t BgL_v1603z00_1994;

									BgL_v1603z00_1994 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1603z00_1994,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1603z00_1994, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1603z00_1994;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 873 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 879 */
									BgL_ev_globalz00_bglt BgL_i1221z00_1997;

									BgL_i1221z00_1997 = ((BgL_ev_globalz00_bglt) BgL_exprz00_185);
									{	/* Eval/evaluate_comp.scm 880 */
										obj_t BgL_gz00_1998;

										BgL_gz00_1998 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_1997))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_1997))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_1998))
											{	/* Eval/evaluate_comp.scm 882 */
												bool_t BgL_testz00_20758;

												{	/* Eval/evaluate_comp.scm 882 */
													int BgL_arg2439z00_2002;

													{	/* Eval/evaluate_comp.scm 882 */
														int BgL_res4708z00_8411;

														{	/* Eval/evaluate_comp.scm 882 */
															obj_t BgL_evalzd2globalzd2_8408;

															BgL_evalzd2globalzd2_8408 = BgL_gz00_1998;
															{	/* Eval/evaluate_comp.scm 882 */
																int BgL_kz00_8410;

																BgL_kz00_8410 = (int) (((long) 0));
																BgL_res4708z00_8411 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8408,
																		BgL_kz00_8410));
														}}
														BgL_arg2439z00_2002 = BgL_res4708z00_8411;
													}
													BgL_testz00_20758 =
														(BINT(BgL_arg2439z00_2002) == BINT(((long) 1)));
												}
												if (BgL_testz00_20758)
													{	/* Eval/evaluate_comp.scm 883 */
														obj_t BgL_v1604z00_2000;

														BgL_v1604z00_2000 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1604z00_2000,
															(int) (((long) 1)), BgL_gz00_1998);
														VECTOR_SET(BgL_v1604z00_2000,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1604z00_2000;
													}
												else
													{	/* Eval/evaluate_comp.scm 884 */
														obj_t BgL_v1605z00_2001;

														BgL_v1605z00_2001 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1605z00_2001,
															(int) (((long) 1)), BgL_gz00_1998);
														VECTOR_SET(BgL_v1605z00_2001,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1605z00_2001;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 885 */
												obj_t BgL_v1606z00_2003;

												BgL_v1606z00_2003 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 885 */
													obj_t BgL_arg2440z00_2004;

													BgL_arg2440z00_2004 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_185)),
														BgL_stkz00_186);
													VECTOR_SET(BgL_v1606z00_2003, (int) (((long) 1)),
														BgL_arg2440z00_2004);
												}
												VECTOR_SET(BgL_v1606z00_2003,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1606z00_2003;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 878 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 887 */
											BgL_ev_appz00_bglt BgL_i1222z00_2008;

											BgL_i1222z00_2008 =
												((BgL_ev_appz00_bglt) BgL_exprz00_185);
											{	/* Eval/evaluate_comp.scm 888 */
												obj_t BgL_fvalz00_2009;

												BgL_fvalz00_2009 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1222z00_2008))->
														BgL_funz00));
												if ((BgL_fvalz00_2009 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 891 */
														obj_t BgL_v1607z00_2011;

														BgL_v1607z00_2011 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 891 */
															obj_t BgL_arg2445z00_2012;

															{	/* Eval/evaluate_comp.scm 891 */
																obj_t BgL_arg2446z00_2013;

																{	/* Eval/evaluate_comp.scm 891 */
																	obj_t BgL_pairz00_8430;

																	BgL_pairz00_8430 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2008))->BgL_argsz00);
																	BgL_arg2446z00_2013 =
																		CAR(CDR(BgL_pairz00_8430));
																}
																BgL_arg2445z00_2012 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2446z00_2013, BgL_stkz00_186);
															}
															VECTOR_SET(BgL_v1607z00_2011,
																(int) (((long) 2)), BgL_arg2445z00_2012);
														}
														VECTOR_SET(BgL_v1607z00_2011,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2008))->BgL_argsz00)),
																BgL_stkz00_186));
														VECTOR_SET(BgL_v1607z00_2011, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1607z00_2011;
													}
												else
													{	/* Eval/evaluate_comp.scm 890 */
														if (
															(BgL_fvalz00_2009 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 893 */
																obj_t BgL_v1608z00_2019;

																BgL_v1608z00_2019 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 893 */
																	obj_t BgL_arg2452z00_2020;

																	{	/* Eval/evaluate_comp.scm 893 */
																		obj_t BgL_arg2453z00_2021;

																		{	/* Eval/evaluate_comp.scm 893 */
																			obj_t BgL_pairz00_8446;

																			BgL_pairz00_8446 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2008))->
																				BgL_argsz00);
																			BgL_arg2453z00_2021 =
																				CAR(CDR(BgL_pairz00_8446));
																		}
																		BgL_arg2452z00_2020 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2453z00_2021, BgL_stkz00_186);
																	}
																	VECTOR_SET(BgL_v1608z00_2019,
																		(int) (((long) 2)), BgL_arg2452z00_2020);
																}
																VECTOR_SET(BgL_v1608z00_2019,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2008))->
																				BgL_argsz00)), BgL_stkz00_186));
																VECTOR_SET(BgL_v1608z00_2019,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1608z00_2019;
															}
														else
															{	/* Eval/evaluate_comp.scm 892 */
																if (
																	(BgL_fvalz00_2009 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 895 */
																		obj_t BgL_v1609z00_2027;

																		BgL_v1609z00_2027 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 895 */
																			obj_t BgL_arg2459z00_2028;

																			{	/* Eval/evaluate_comp.scm 895 */
																				obj_t BgL_arg2460z00_2029;

																				{	/* Eval/evaluate_comp.scm 895 */
																					obj_t BgL_pairz00_8462;

																					BgL_pairz00_8462 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2008))->
																						BgL_argsz00);
																					BgL_arg2460z00_2029 =
																						CAR(CDR(BgL_pairz00_8462));
																				}
																				BgL_arg2459z00_2028 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2460z00_2029, BgL_stkz00_186);
																			}
																			VECTOR_SET(BgL_v1609z00_2027,
																				(int) (((long) 2)),
																				BgL_arg2459z00_2028);
																		}
																		VECTOR_SET(BgL_v1609z00_2027,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2008))->
																						BgL_argsz00)), BgL_stkz00_186));
																		VECTOR_SET(BgL_v1609z00_2027,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1609z00_2027;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 894 */
																		if (
																			(BgL_fvalz00_2009 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 897 */
																				obj_t BgL_v1610z00_2035;

																				BgL_v1610z00_2035 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 897 */
																					obj_t BgL_arg2466z00_2036;

																					{	/* Eval/evaluate_comp.scm 897 */
																						obj_t BgL_arg2467z00_2037;

																						{	/* Eval/evaluate_comp.scm 897 */
																							obj_t BgL_pairz00_8478;

																							BgL_pairz00_8478 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2008))->
																								BgL_argsz00);
																							BgL_arg2467z00_2037 =
																								CAR(CDR(BgL_pairz00_8478));
																						}
																						BgL_arg2466z00_2036 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2467z00_2037,
																							BgL_stkz00_186);
																					}
																					VECTOR_SET(BgL_v1610z00_2035,
																						(int) (((long) 2)),
																						BgL_arg2466z00_2036);
																				}
																				VECTOR_SET(BgL_v1610z00_2035,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2008))->
																								BgL_argsz00)), BgL_stkz00_186));
																				VECTOR_SET(BgL_v1610z00_2035,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1610z00_2035;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 896 */
																				if (
																					(BgL_fvalz00_2009 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 899 */
																						obj_t BgL_v1611z00_2043;

																						BgL_v1611z00_2043 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 899 */
																							obj_t BgL_arg2473z00_2044;

																							{	/* Eval/evaluate_comp.scm 899 */
																								obj_t BgL_arg2474z00_2045;

																								BgL_arg2474z00_2045 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1222z00_2008))->
																										BgL_argsz00));
																								BgL_arg2473z00_2044 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2474z00_2045),
																									BgL_stkz00_186);
																							}
																							VECTOR_SET(BgL_v1611z00_2043,
																								(int) (((long) 1)),
																								BgL_arg2473z00_2044);
																						}
																						VECTOR_SET(BgL_v1611z00_2043,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1611z00_2043;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 898 */
																						if (
																							(BgL_fvalz00_2009 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 901 */
																								obj_t BgL_v1612z00_2048;

																								BgL_v1612z00_2048 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2477z00_2049;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2478z00_2050;

																										{	/* Eval/evaluate_comp.scm 901 */
																											obj_t BgL_pairz00_8501;

																											BgL_pairz00_8501 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2008))->
																												BgL_argsz00);
																											BgL_arg2478z00_2050 =
																												CAR(CDR
																												(BgL_pairz00_8501));
																										}
																										BgL_arg2477z00_2049 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2478z00_2050),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1612z00_2048,
																										(int) (((long) 2)),
																										BgL_arg2477z00_2049);
																								}
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2480z00_2052;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2481z00_2053;

																										BgL_arg2481z00_2053 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2008))->
																												BgL_argsz00));
																										BgL_arg2480z00_2052 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2481z00_2053),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1612z00_2048,
																										(int) (((long) 1)),
																										BgL_arg2480z00_2052);
																								}
																								VECTOR_SET(BgL_v1612z00_2048,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1612z00_2048;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 903 */
																								obj_t BgL_v1613z00_2055;

																								BgL_v1613z00_2055 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 903 */
																									obj_t BgL_arg2483z00_2056;

																									BgL_arg2483z00_2056 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_185)),
																										BgL_stkz00_186);
																									VECTOR_SET(BgL_v1613z00_2055,
																										(int) (((long) 1)),
																										BgL_arg2483z00_2056);
																								}
																								VECTOR_SET(BgL_v1613z00_2055,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1613z00_2055;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 904 */
											obj_t BgL_v1614z00_2058;

											BgL_v1614z00_2058 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 904 */
												obj_t BgL_arg2485z00_2059;

												BgL_arg2485z00_2059 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_185),
													BgL_stkz00_186);
												VECTOR_SET(BgL_v1614z00_2058, (int) (((long) 1)),
													BgL_arg2485z00_2059);
											}
											VECTOR_SET(BgL_v1614z00_2058,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1614z00_2058;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_187,
		obj_t BgL_sz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 906 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_188,
					BgL_bcz00_187));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_17634, obj_t BgL_bcz00_2064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 921 */
			{	/* Eval/evaluate_comp.scm 908 */
				obj_t BgL_aux1224z00_2067;

				BgL_aux1224z00_2067 = VECTOR_REF(BgL_bcz00_2064, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1224z00_2067))
					{	/* Eval/evaluate_comp.scm 908 */
						switch ((long) CINT(BgL_aux1224z00_2067))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 909 */
									obj_t BgL_fun2489z00_2069;

									BgL_fun2489z00_2069 =
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2489z00_2069) (BgL_fun2489z00_2069,
										BgL_sz00_17634, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 911 */
									long BgL_arg2490z00_2070;

									{	/* Eval/evaluate_comp.scm 911 */
										obj_t BgL_arg2491z00_2071;
										obj_t BgL_arg2492z00_2072;

										BgL_arg2491z00_2071 =
											VECTOR_REF(BgL_sz00_17634, (int) (((long) 0)));
										BgL_arg2492z00_2072 =
											VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
										BgL_arg2490z00_2070 =
											(
											(long) CINT(BgL_arg2491z00_2071) +
											(long) CINT(BgL_arg2492z00_2072));
									}
									return
										VECTOR_REF(BgL_sz00_17634, (int) (BgL_arg2490z00_2070));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 912 */
									obj_t BgL_arg2493z00_2073;

									{	/* Eval/evaluate_comp.scm 912 */
										long BgL_arg2494z00_2074;

										{	/* Eval/evaluate_comp.scm 912 */
											obj_t BgL_arg2495z00_2075;
											obj_t BgL_arg2496z00_2076;

											BgL_arg2495z00_2075 =
												VECTOR_REF(BgL_sz00_17634, (int) (((long) 0)));
											BgL_arg2496z00_2076 =
												VECTOR_REF(BgL_sz00_17634, (int) (((long) 1)));
											BgL_arg2494z00_2074 =
												(
												(long) CINT(BgL_arg2495z00_2075) +
												(long) CINT(BgL_arg2496z00_2076));
										}
										BgL_arg2493z00_2073 =
											VECTOR_REF(BgL_sz00_17634, (int) (BgL_arg2494z00_2074));
									}
									return STRUCT_REF(BgL_arg2493z00_2073, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2497z00_2077;

									{	/* Eval/evaluate_comp.scm 913 */
										obj_t BgL_arg2498z00_2078;

										BgL_arg2498z00_2078 =
											VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
										BgL_arg2497z00_2077 =
											VECTOR_REF(BgL_arg2498z00_2078, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2497z00_2077);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_arg2499z00_2079;

									BgL_arg2499z00_2079 =
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2499z00_2079, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 915 */
									obj_t BgL_arg2500z00_2080;
									obj_t BgL_arg2501z00_2081;

									BgL_arg2500z00_2080 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1))));
									BgL_arg2501z00_2081 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2500z00_2080) +
											REAL_TO_DOUBLE(BgL_arg2501z00_2081)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 916 */
									obj_t BgL_arg2504z00_2084;
									obj_t BgL_arg2505z00_2085;

									BgL_arg2504z00_2084 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1))));
									BgL_arg2505z00_2085 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2504z00_2084) -
											REAL_TO_DOUBLE(BgL_arg2505z00_2085)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 917 */
									obj_t BgL_arg2509z00_2088;
									obj_t BgL_arg2510z00_2089;

									BgL_arg2509z00_2088 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1))));
									BgL_arg2510z00_2089 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2509z00_2088) *
											REAL_TO_DOUBLE(BgL_arg2510z00_2089)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_arg2513z00_2092;
									obj_t BgL_arg2514z00_2093;

									BgL_arg2513z00_2092 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1))));
									BgL_arg2514z00_2093 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17634,
										VECTOR_REF(BgL_bcz00_2064, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2513z00_2092) /
											REAL_TO_DOUBLE(BgL_arg2514z00_2093)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_arg2517z00_2096;

									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_fun2518z00_2097;

										BgL_fun2518z00_2097 =
											VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
										BgL_arg2517z00_2096 =
											PROCEDURE_ENTRY(BgL_fun2518z00_2097) (BgL_fun2518z00_2097,
											BgL_sz00_17634, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2517z00_2096)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 920 */
									obj_t BgL_arg2519z00_2098;
									obj_t BgL_arg2520z00_2099;

									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2521z00_2100;

										BgL_fun2521z00_2100 =
											VECTOR_REF(BgL_bcz00_2064, (int) (((long) 1)));
										BgL_arg2519z00_2098 =
											PROCEDURE_ENTRY(BgL_fun2521z00_2100) (BgL_fun2521z00_2100,
											BgL_sz00_17634, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2522z00_2101;

										BgL_fun2522z00_2101 =
											VECTOR_REF(BgL_bcz00_2064, (int) (((long) 2)));
										BgL_arg2520z00_2099 =
											PROCEDURE_ENTRY(BgL_fun2522z00_2101) (BgL_fun2522z00_2101,
											BgL_sz00_17634, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										double BgL_auxz00_21022;

										{	/* Eval/evaluate_comp.scm 920 */
											long BgL_auxz00_21023;

											BgL_auxz00_21023 = (long) CINT(BgL_arg2520z00_2099);
											BgL_auxz00_21022 =
												BGL_F64VREF(BgL_arg2519z00_2098, BgL_auxz00_21023);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_21022);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5544z00zz__evaluate_compz00,
									BGl_string5563z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2064, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 908 */
						return
							BGl_errorz00zz__errorz00(BGl_string5544z00zz__evaluate_compz00,
							BGl_string5563z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2064,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_189, obj_t BgL_stkz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 924 */
			{	/* Eval/evaluate_comp.scm 926 */
				obj_t BgL_fvalz00_2105;

				BgL_fvalz00_2105 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_189))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 927 */
					bool_t BgL_testz00_21037;

					if (
						(BgL_fvalz00_2105 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 927 */
							BgL_testz00_21037 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							if (
								(BgL_fvalz00_2105 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 927 */
									BgL_testz00_21037 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 927 */
									if (
										(BgL_fvalz00_2105 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21037 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21037 =
												(BgL_fvalz00_2105 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_21037)
						{	/* Eval/evaluate_comp.scm 928 */
							obj_t BgL_bcz00_2107;

							BgL_bcz00_2107 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_189), BgL_stkz00_190);
							{	/* Eval/evaluate_comp.scm 929 */
								obj_t BgL_zc3anonymousza32525ze3z83_15787;

								BgL_zc3anonymousza32525ze3z83_15787 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32525ze3z83_15787,
									(int) (((long) 0)), BgL_bcz00_2107);
								return BgL_zc3anonymousza32525ze3z83_15787;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2525> */
	obj_t BGl_z62zc3anonymousza32525ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15788, obj_t BgL_sz00_15790)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 929 */
			{	/* Eval/evaluate_comp.scm 929 */
				obj_t BgL_bcz00_15789;

				BgL_bcz00_15789 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15788, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2108;

					{	/* Eval/evaluate_comp.scm 929 */
						double BgL_auxz00_21055;

						BgL_sz00_2108 = BgL_sz00_15790;
						{	/* Eval/evaluate_comp.scm 929 */
							obj_t BgL_bpz00_8609;

							BgL_bpz00_8609 = VECTOR_REF(BgL_sz00_2108, (int) (((long) 0)));
							BgL_auxz00_21055 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_15789,
								BgL_sz00_2108);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21055);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_191,
		BgL_ev_exprz00_bglt BgL_funz00_192, obj_t BgL_argsz00_193,
		obj_t BgL_stkz00_194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 956 */
				obj_t BgL_valz00_2115;

				BgL_valz00_2115 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_192);
				if (CBOOL(BgL_valz00_2115))
					{	/* Eval/evaluate_comp.scm 958 */
						long BgL_nz00_2116;

						BgL_nz00_2116 = bgl_list_length(BgL_argsz00_193);
						{	/* Eval/evaluate_comp.scm 959 */
							obj_t BgL__ortest_1230z00_2117;

							if ((BgL_nz00_2116 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_a1z00_2408;

									BgL_a1z00_2408 = CAR(BgL_argsz00_193);
									if (
										(BgL_valz00_2115 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 961 */
											obj_t BgL_a1z00_2410;

											BgL_a1z00_2410 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2408), BgL_stkz00_194);
											{	/* Eval/evaluate_comp.scm 961 */
												obj_t BgL_zc3anonymousza32645ze3z83_15820;

												BgL_zc3anonymousza32645ze3z83_15820 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32645ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32645ze3z83_15820,
													(int) (((long) 0)), BgL_a1z00_2410);
												PROCEDURE_SET(BgL_zc3anonymousza32645ze3z83_15820,
													(int) (((long) 1)), BgL_locz00_191);
												BgL__ortest_1230z00_2117 =
													BgL_zc3anonymousza32645ze3z83_15820;
										}}
									else
										{	/* Eval/evaluate_comp.scm 961 */
											if (
												(BgL_valz00_2115 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 961 */
													obj_t BgL_a1z00_2417;

													BgL_a1z00_2417 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2408),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 961 */
														obj_t BgL_zc3anonymousza32648ze3z83_15821;

														BgL_zc3anonymousza32648ze3z83_15821 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_15821,
															(int) (((long) 0)), BgL_a1z00_2417);
														PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_15821,
															(int) (((long) 1)), BgL_locz00_191);
														BgL__ortest_1230z00_2117 =
															BgL_zc3anonymousza32648ze3z83_15821;
												}}
											else
												{	/* Eval/evaluate_comp.scm 961 */
													if (
														(BgL_valz00_2115 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 961 */
															obj_t BgL_a1z00_2424;

															BgL_a1z00_2424 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2408),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 961 */
																obj_t BgL_zc3anonymousza32651ze3z83_15822;

																BgL_zc3anonymousza32651ze3z83_15822 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32651ze3z83_15822,
																	(int) (((long) 0)), BgL_a1z00_2424);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32651ze3z83_15822,
																	(int) (((long) 1)), BgL_locz00_191);
																BgL__ortest_1230z00_2117 =
																	BgL_zc3anonymousza32651ze3z83_15822;
														}}
													else
														{	/* Eval/evaluate_comp.scm 961 */
															BgL__ortest_1230z00_2117 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									BgL__ortest_1230z00_2117 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1230z00_2117))
								{	/* Eval/evaluate_comp.scm 959 */
									return BgL__ortest_1230z00_2117;
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									if ((BgL_nz00_2116 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 963 */
											obj_t BgL_a1z00_2119;
											obj_t BgL_a2z00_2120;

											BgL_a1z00_2119 = CAR(BgL_argsz00_193);
											{	/* Eval/evaluate_comp.scm 963 */
												obj_t BgL_pairz00_8644;

												BgL_pairz00_8644 = BgL_argsz00_193;
												BgL_a2z00_2120 = CAR(CDR(BgL_pairz00_8644));
											}
											if (
												(BgL_valz00_2115 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 964 */
													obj_t BgL_a1z00_2122;
													obj_t BgL_a2z00_2123;

													BgL_a1z00_2122 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2119),
														BgL_stkz00_194);
													BgL_a2z00_2123 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2120),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 964 */
														obj_t BgL_zc3anonymousza32532ze3z83_15791;

														BgL_zc3anonymousza32532ze3z83_15791 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32532ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32532ze3z83_15791,
															(int) (((long) 0)), BgL_a1z00_2122);
														PROCEDURE_SET(BgL_zc3anonymousza32532ze3z83_15791,
															(int) (((long) 1)), BgL_a2z00_2123);
														PROCEDURE_SET(BgL_zc3anonymousza32532ze3z83_15791,
															(int) (((long) 2)), BgL_locz00_191);
														return BgL_zc3anonymousza32532ze3z83_15791;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 964 */
													if (
														(BgL_valz00_2115 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 964 */
															obj_t BgL_a1z00_2132;
															obj_t BgL_a2z00_2133;

															BgL_a1z00_2132 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2119),
																BgL_stkz00_194);
															BgL_a2z00_2133 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2120),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 964 */
																obj_t BgL_zc3anonymousza32536ze3z83_15792;

																BgL_zc3anonymousza32536ze3z83_15792 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32536ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32536ze3z83_15792,
																	(int) (((long) 0)), BgL_a1z00_2132);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32536ze3z83_15792,
																	(int) (((long) 1)), BgL_a2z00_2133);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32536ze3z83_15792,
																	(int) (((long) 2)), BgL_locz00_191);
																return BgL_zc3anonymousza32536ze3z83_15792;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 964 */
															if (
																(BgL_valz00_2115 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 964 */
																	obj_t BgL_a1z00_2142;
																	obj_t BgL_a2z00_2143;

																	BgL_a1z00_2142 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2119),
																		BgL_stkz00_194);
																	BgL_a2z00_2143 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2120),
																		BgL_stkz00_194);
																	{	/* Eval/evaluate_comp.scm 964 */
																		obj_t BgL_zc3anonymousza32540ze3z83_15793;

																		BgL_zc3anonymousza32540ze3z83_15793 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32540ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32540ze3z83_15793,
																			(int) (((long) 0)), BgL_a1z00_2142);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32540ze3z83_15793,
																			(int) (((long) 1)), BgL_a2z00_2143);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32540ze3z83_15793,
																			(int) (((long) 2)), BgL_locz00_191);
																		return BgL_zc3anonymousza32540ze3z83_15793;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 964 */
																	if (
																		(BgL_valz00_2115 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 964 */
																			obj_t BgL_a1z00_2152;
																			obj_t BgL_a2z00_2153;

																			BgL_a1z00_2152 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2119),
																				BgL_stkz00_194);
																			BgL_a2z00_2153 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2120),
																				BgL_stkz00_194);
																			{	/* Eval/evaluate_comp.scm 964 */
																				obj_t
																					BgL_zc3anonymousza32544ze3z83_15794;
																				BgL_zc3anonymousza32544ze3z83_15794 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32544ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32544ze3z83_15794,
																					(int) (((long) 0)), BgL_a1z00_2152);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32544ze3z83_15794,
																					(int) (((long) 1)), BgL_a2z00_2153);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32544ze3z83_15794,
																					(int) (((long) 2)), BgL_locz00_191);
																				return
																					BgL_zc3anonymousza32544ze3z83_15794;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 964 */
																			if (
																				(BgL_valz00_2115 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 964 */
																					obj_t BgL_a1z00_2162;
																					obj_t BgL_a2z00_2163;

																					BgL_a1z00_2162 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2119), BgL_stkz00_194);
																					BgL_a2z00_2163 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2120), BgL_stkz00_194);
																					{	/* Eval/evaluate_comp.scm 964 */
																						obj_t
																							BgL_zc3anonymousza32548ze3z83_15795;
																						BgL_zc3anonymousza32548ze3z83_15795
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32548ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32548ze3z83_15795,
																							(int) (((long) 0)),
																							BgL_a1z00_2162);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32548ze3z83_15795,
																							(int) (((long) 1)),
																							BgL_a2z00_2163);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32548ze3z83_15795,
																							(int) (((long) 2)),
																							BgL_locz00_191);
																						return
																							BgL_zc3anonymousza32548ze3z83_15795;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 964 */
																					if (
																						(BgL_valz00_2115 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 964 */
																							obj_t BgL_a1z00_2172;
																							obj_t BgL_a2z00_2173;

																							BgL_a1z00_2172 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2119),
																								BgL_stkz00_194);
																							BgL_a2z00_2173 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2120),
																								BgL_stkz00_194);
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t
																									BgL_zc3anonymousza32552ze3z83_15796;
																								BgL_zc3anonymousza32552ze3z83_15796
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32552ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32552ze3z83_15796,
																									(int) (((long) 0)),
																									BgL_a1z00_2172);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32552ze3z83_15796,
																									(int) (((long) 1)),
																									BgL_a2z00_2173);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32552ze3z83_15796,
																									(int) (((long) 2)),
																									BgL_locz00_191);
																								return
																									BgL_zc3anonymousza32552ze3z83_15796;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 964 */
																							if (
																								(BgL_valz00_2115 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_a1z00_2182;
																									obj_t BgL_a2z00_2183;

																									BgL_a1z00_2182 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2119),
																										BgL_stkz00_194);
																									BgL_a2z00_2183 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2120),
																										BgL_stkz00_194);
																									{	/* Eval/evaluate_comp.scm 964 */
																										obj_t
																											BgL_zc3anonymousza32556ze3z83_15797;
																										BgL_zc3anonymousza32556ze3z83_15797
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32556ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32556ze3z83_15797,
																											(int) (((long) 0)),
																											BgL_a1z00_2182);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32556ze3z83_15797,
																											(int) (((long) 1)),
																											BgL_a2z00_2183);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32556ze3z83_15797,
																											(int) (((long) 2)),
																											BgL_locz00_191);
																										return
																											BgL_zc3anonymousza32556ze3z83_15797;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 964 */
																									if (
																										(BgL_valz00_2115 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 964 */
																											obj_t BgL_a1z00_2192;
																											obj_t BgL_a2z00_2193;

																											BgL_a1z00_2192 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2119),
																												BgL_stkz00_194);
																											BgL_a2z00_2193 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2120),
																												BgL_stkz00_194);
																											{	/* Eval/evaluate_comp.scm 964 */
																												obj_t
																													BgL_zc3anonymousza32560ze3z83_15798;
																												BgL_zc3anonymousza32560ze3z83_15798
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32560ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32560ze3z83_15798,
																													(int) (((long) 0)),
																													BgL_a1z00_2192);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32560ze3z83_15798,
																													(int) (((long) 1)),
																													BgL_a2z00_2193);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32560ze3z83_15798,
																													(int) (((long) 2)),
																													BgL_locz00_191);
																												return
																													BgL_zc3anonymousza32560ze3z83_15798;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 964 */
																											if (
																												(BgL_valz00_2115 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 964 */
																													obj_t BgL_a1z00_2202;
																													obj_t BgL_a2z00_2203;

																													BgL_a1z00_2202 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																													BgL_a2z00_2203 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																													{	/* Eval/evaluate_comp.scm 964 */
																														obj_t
																															BgL_zc3anonymousza32564ze3z83_15799;
																														BgL_zc3anonymousza32564ze3z83_15799
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32564ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32564ze3z83_15799,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2202);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32564ze3z83_15799,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2203);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32564ze3z83_15799,
																															(int) (((long)
																																	2)),
																															BgL_locz00_191);
																														return
																															BgL_zc3anonymousza32564ze3z83_15799;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 964 */
																													if (
																														(BgL_valz00_2115 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 964 */
																															obj_t
																																BgL_a1z00_2212;
																															obj_t
																																BgL_a2z00_2213;
																															BgL_a1z00_2212 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																															BgL_a2z00_2213 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																															{	/* Eval/evaluate_comp.scm 964 */
																																obj_t
																																	BgL_zc3anonymousza32568ze3z83_15800;
																																BgL_zc3anonymousza32568ze3z83_15800
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32568ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32568ze3z83_15800,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2212);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32568ze3z83_15800,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2213);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32568ze3z83_15800,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_191);
																																return
																																	BgL_zc3anonymousza32568ze3z83_15800;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 964 */
																															if (
																																(BgL_valz00_2115
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 964 */
																																	obj_t
																																		BgL_a1z00_2222;
																																	obj_t
																																		BgL_a2z00_2223;
																																	BgL_a1z00_2222
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																	BgL_a2z00_2223
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																	{	/* Eval/evaluate_comp.scm 964 */
																																		obj_t
																																			BgL_zc3anonymousza32572ze3z83_15801;
																																		BgL_zc3anonymousza32572ze3z83_15801
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32572ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32572ze3z83_15801,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2222);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32572ze3z83_15801,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2223);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32572ze3z83_15801,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_191);
																																		return
																																			BgL_zc3anonymousza32572ze3z83_15801;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 964 */
																																	if (
																																		(BgL_valz00_2115
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			obj_t
																																				BgL_a1z00_2232;
																																			obj_t
																																				BgL_a2z00_2233;
																																			BgL_a1z00_2232
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																			BgL_a2z00_2233
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																			{	/* Eval/evaluate_comp.scm 964 */
																																				obj_t
																																					BgL_zc3anonymousza32576ze3z83_15802;
																																				BgL_zc3anonymousza32576ze3z83_15802
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32576ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32576ze3z83_15802,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2232);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32576ze3z83_15802,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2233);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32576ze3z83_15802,
																																					(int)
																																					(((long) 2)), BgL_locz00_191);
																																				return
																																					BgL_zc3anonymousza32576ze3z83_15802;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			if (
																																				(BgL_valz00_2115
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					obj_t
																																						BgL_a1z00_2242;
																																					obj_t
																																						BgL_a2z00_2243;
																																					BgL_a1z00_2242
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																					BgL_a2z00_2243
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																					{	/* Eval/evaluate_comp.scm 964 */
																																						obj_t
																																							BgL_zc3anonymousza32580ze3z83_15803;
																																						BgL_zc3anonymousza32580ze3z83_15803
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32580ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32580ze3z83_15803,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2242);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32580ze3z83_15803,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2243);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32580ze3z83_15803,
																																							(int)
																																							(((long) 2)), BgL_locz00_191);
																																						return
																																							BgL_zc3anonymousza32580ze3z83_15803;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					if (
																																						(BgL_valz00_2115
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							obj_t
																																								BgL_a1z00_2252;
																																							obj_t
																																								BgL_a2z00_2253;
																																							BgL_a1z00_2252
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																							BgL_a2z00_2253
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																							{	/* Eval/evaluate_comp.scm 964 */
																																								obj_t
																																									BgL_zc3anonymousza32584ze3z83_15804;
																																								BgL_zc3anonymousza32584ze3z83_15804
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32584ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32584ze3z83_15804,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2252);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32584ze3z83_15804,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2253);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32584ze3z83_15804,
																																									(int)
																																									(((long) 2)), BgL_locz00_191);
																																								return
																																									BgL_zc3anonymousza32584ze3z83_15804;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							if ((BgL_valz00_2115 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									obj_t
																																										BgL_a1z00_2262;
																																									obj_t
																																										BgL_a2z00_2263;
																																									BgL_a1z00_2262
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																									BgL_a2z00_2263
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																									{	/* Eval/evaluate_comp.scm 964 */
																																										obj_t
																																											BgL_zc3anonymousza32588ze3z83_15805;
																																										BgL_zc3anonymousza32588ze3z83_15805
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32588ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32588ze3z83_15805,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2262);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32588ze3z83_15805,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2263);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32588ze3z83_15805,
																																											(int)
																																											(((long) 2)), BgL_locz00_191);
																																										return
																																											BgL_zc3anonymousza32588ze3z83_15805;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									if ((BgL_valz00_2115 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											obj_t
																																												BgL_a1z00_2272;
																																											obj_t
																																												BgL_a2z00_2273;
																																											BgL_a1z00_2272
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																											BgL_a2z00_2273
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																											{	/* Eval/evaluate_comp.scm 964 */
																																												obj_t
																																													BgL_zc3anonymousza32592ze3z83_15806;
																																												BgL_zc3anonymousza32592ze3z83_15806
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32592ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32592ze3z83_15806,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2272);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32592ze3z83_15806,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2273);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32592ze3z83_15806,
																																													(int)
																																													(((long) 2)), BgL_locz00_191);
																																												return
																																													BgL_zc3anonymousza32592ze3z83_15806;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											if ((BgL_valz00_2115 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													obj_t
																																														BgL_a1z00_2282;
																																													obj_t
																																														BgL_a2z00_2283;
																																													BgL_a1z00_2282
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																													BgL_a2z00_2283
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																													{	/* Eval/evaluate_comp.scm 964 */
																																														obj_t
																																															BgL_zc3anonymousza32596ze3z83_15807;
																																														BgL_zc3anonymousza32596ze3z83_15807
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32596ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32596ze3z83_15807,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2282);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32596ze3z83_15807,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2283);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32596ze3z83_15807,
																																															(int)
																																															(((long) 2)), BgL_locz00_191);
																																														return
																																															BgL_zc3anonymousza32596ze3z83_15807;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													if ((BgL_valz00_2115 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															obj_t
																																																BgL_a1z00_2292;
																																															obj_t
																																																BgL_a2z00_2293;
																																															BgL_a1z00_2292
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																															BgL_a2z00_2293
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																															{	/* Eval/evaluate_comp.scm 964 */
																																																obj_t
																																																	BgL_zc3anonymousza32600ze3z83_15808;
																																																BgL_zc3anonymousza32600ze3z83_15808
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32600ze3z83_15808,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2292);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32600ze3z83_15808,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2293);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32600ze3z83_15808,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_191);
																																																return
																																																	BgL_zc3anonymousza32600ze3z83_15808;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															if ((BgL_valz00_2115 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	obj_t
																																																		BgL_a1z00_2302;
																																																	obj_t
																																																		BgL_a2z00_2303;
																																																	BgL_a1z00_2302
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																	BgL_a2z00_2303
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																		obj_t
																																																			BgL_zc3anonymousza32604ze3z83_15809;
																																																		BgL_zc3anonymousza32604ze3z83_15809
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32604ze3z83_15809,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2302);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32604ze3z83_15809,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2303);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32604ze3z83_15809,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_191);
																																																		return
																																																			BgL_zc3anonymousza32604ze3z83_15809;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	if ((BgL_valz00_2115 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			obj_t
																																																				BgL_a1z00_2312;
																																																			obj_t
																																																				BgL_a2z00_2313;
																																																			BgL_a1z00_2312
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																			BgL_a2z00_2313
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																				obj_t
																																																					BgL_zc3anonymousza32608ze3z83_15810;
																																																				BgL_zc3anonymousza32608ze3z83_15810
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32608ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32608ze3z83_15810,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2312);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32608ze3z83_15810,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2313);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32608ze3z83_15810,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_191);
																																																				return
																																																					BgL_zc3anonymousza32608ze3z83_15810;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			if ((BgL_valz00_2115 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					obj_t
																																																						BgL_a1z00_2322;
																																																					obj_t
																																																						BgL_a2z00_2323;
																																																					BgL_a1z00_2322
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																					BgL_a2z00_2323
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																						obj_t
																																																							BgL_zc3anonymousza32612ze3z83_15811;
																																																						BgL_zc3anonymousza32612ze3z83_15811
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32612ze3z83_15811,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2322);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32612ze3z83_15811,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2323);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32612ze3z83_15811,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_191);
																																																						return
																																																							BgL_zc3anonymousza32612ze3z83_15811;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					if ((BgL_valz00_2115 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							obj_t
																																																								BgL_a1z00_2332;
																																																							obj_t
																																																								BgL_a2z00_2333;
																																																							BgL_a1z00_2332
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																							BgL_a2z00_2333
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																							{	/* Eval/evaluate_comp.scm 964 */
																																																								obj_t
																																																									BgL_zc3anonymousza32616ze3z83_15812;
																																																								BgL_zc3anonymousza32616ze3z83_15812
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32616ze3z83_15812,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2332);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32616ze3z83_15812,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2333);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32616ze3z83_15812,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_191);
																																																								return
																																																									BgL_zc3anonymousza32616ze3z83_15812;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							if ((BgL_valz00_2115 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									obj_t
																																																										BgL_a1z00_2342;
																																																									obj_t
																																																										BgL_a2z00_2343;
																																																									BgL_a1z00_2342
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																									BgL_a2z00_2343
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																									{	/* Eval/evaluate_comp.scm 964 */
																																																										obj_t
																																																											BgL_zc3anonymousza32620ze3z83_15813;
																																																										BgL_zc3anonymousza32620ze3z83_15813
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32620ze3z83_15813,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2342);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32620ze3z83_15813,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2343);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32620ze3z83_15813,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_191);
																																																										return
																																																											BgL_zc3anonymousza32620ze3z83_15813;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									if ((BgL_valz00_2115 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											obj_t
																																																												BgL_a1z00_2352;
																																																											obj_t
																																																												BgL_a2z00_2353;
																																																											BgL_a1z00_2352
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																											BgL_a2z00_2353
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																											{	/* Eval/evaluate_comp.scm 964 */
																																																												obj_t
																																																													BgL_zc3anonymousza32624ze3z83_15814;
																																																												BgL_zc3anonymousza32624ze3z83_15814
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32624ze3z83_15814,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2352);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32624ze3z83_15814,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2353);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32624ze3z83_15814,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_191);
																																																												return
																																																													BgL_zc3anonymousza32624ze3z83_15814;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											if ((BgL_valz00_2115 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													obj_t
																																																														BgL_a1z00_2362;
																																																													obj_t
																																																														BgL_a2z00_2363;
																																																													BgL_a1z00_2362
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																													BgL_a2z00_2363
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																													{	/* Eval/evaluate_comp.scm 964 */
																																																														obj_t
																																																															BgL_zc3anonymousza32628ze3z83_15815;
																																																														BgL_zc3anonymousza32628ze3z83_15815
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32628ze3z83_15815,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2362);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32628ze3z83_15815,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2363);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32628ze3z83_15815,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_191);
																																																														return
																																																															BgL_zc3anonymousza32628ze3z83_15815;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													if ((BgL_valz00_2115 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															obj_t
																																																																BgL_a1z00_2372;
																																																															obj_t
																																																																BgL_a2z00_2373;
																																																															BgL_a1z00_2372
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																															BgL_a2z00_2373
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																															{	/* Eval/evaluate_comp.scm 964 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32632ze3z83_15816;
																																																																BgL_zc3anonymousza32632ze3z83_15816
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32632ze3z83_15816,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2372);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32632ze3z83_15816,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2373);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32632ze3z83_15816,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_191);
																																																																return
																																																																	BgL_zc3anonymousza32632ze3z83_15816;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															if ((BgL_valz00_2115 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	obj_t
																																																																		BgL_a1z00_2382;
																																																																	obj_t
																																																																		BgL_a2z00_2383;
																																																																	BgL_a1z00_2382
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																																	BgL_a2z00_2383
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32636ze3z83_15817;
																																																																		BgL_zc3anonymousza32636ze3z83_15817
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32636ze3z83_15817,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2382);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32636ze3z83_15817,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2383);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32636ze3z83_15817,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_191);
																																																																		return
																																																																			BgL_zc3anonymousza32636ze3z83_15817;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	if ((BgL_valz00_2115 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			obj_t
																																																																				BgL_a1z00_2392;
																																																																			obj_t
																																																																				BgL_a2z00_2393;
																																																																			BgL_a1z00_2392
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																																			BgL_a2z00_2393
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32640ze3z83_15818;
																																																																				BgL_zc3anonymousza32640ze3z83_15818
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32640ze3z83_15818,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2392);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32640ze3z83_15818,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2393);
																																																																				return
																																																																					BgL_zc3anonymousza32640ze3z83_15818;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			if ((BgL_valz00_2115 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					obj_t
																																																																						BgL_a1z00_2400;
																																																																					obj_t
																																																																						BgL_a2z00_2401;
																																																																					BgL_a1z00_2400
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2119), BgL_stkz00_194);
																																																																					BgL_a2z00_2401
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2120), BgL_stkz00_194);
																																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32642ze3z83_15819;
																																																																						BgL_zc3anonymousza32642ze3z83_15819
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32642ze3z83_15819,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2400);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32642ze3z83_15819,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2401);
																																																																						return
																																																																							BgL_zc3anonymousza32642ze3z83_15819;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 962 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 957 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2532> */
	obj_t BGl_z62zc3anonymousza32532ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15823, obj_t BgL_sz00_15827)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15824;
				obj_t BgL_a2z00_15825;
				obj_t BgL_locz00_15826;

				BgL_a1z00_15824 = PROCEDURE_REF(BgL_envz00_15823, (int) (((long) 0)));
				BgL_a2z00_15825 = PROCEDURE_REF(BgL_envz00_15823, (int) (((long) 1)));
				BgL_locz00_15826 = PROCEDURE_REF(BgL_envz00_15823, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2124;

					BgL_sz00_2124 = BgL_sz00_15827;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2126;

						BgL_bpz00_2126 = VECTOR_REF(BgL_sz00_2124, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2127;
							obj_t BgL_a2z00_2128;

							BgL_a1z00_2127 =
								PROCEDURE_ENTRY(BgL_a1z00_15824) (BgL_a1z00_15824,
								BgL_sz00_2124, BEOA);
							BgL_a2z00_2128 =
								PROCEDURE_ENTRY(BgL_a2z00_15825) (BgL_a2z00_15825,
								BgL_sz00_2124, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2127))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5564z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2127,
										BgL_locz00_15826);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2128))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5564z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2128,
										BgL_locz00_15826);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2127,
								BgL_a2z00_2128);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2536> */
	obj_t BGl_z62zc3anonymousza32536ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15828, obj_t BgL_sz00_15832)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15829;
				obj_t BgL_a2z00_15830;
				obj_t BgL_locz00_15831;

				BgL_a1z00_15829 = PROCEDURE_REF(BgL_envz00_15828, (int) (((long) 0)));
				BgL_a2z00_15830 = PROCEDURE_REF(BgL_envz00_15828, (int) (((long) 1)));
				BgL_locz00_15831 = PROCEDURE_REF(BgL_envz00_15828, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2134;

					BgL_sz00_2134 = BgL_sz00_15832;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2136;

						BgL_bpz00_2136 = VECTOR_REF(BgL_sz00_2134, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2137;
							obj_t BgL_a2z00_2138;

							BgL_a1z00_2137 =
								PROCEDURE_ENTRY(BgL_a1z00_15829) (BgL_a1z00_15829,
								BgL_sz00_2134, BEOA);
							BgL_a2z00_2138 =
								PROCEDURE_ENTRY(BgL_a2z00_15830) (BgL_a2z00_15830,
								BgL_sz00_2134, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2137))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5568z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2137,
										BgL_locz00_15831);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2138))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5568z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2138,
										BgL_locz00_15831);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2137,
								BgL_a2z00_2138);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2540> */
	obj_t BGl_z62zc3anonymousza32540ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15833, obj_t BgL_sz00_15837)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15834;
				obj_t BgL_a2z00_15835;
				obj_t BgL_locz00_15836;

				BgL_a1z00_15834 = PROCEDURE_REF(BgL_envz00_15833, (int) (((long) 0)));
				BgL_a2z00_15835 = PROCEDURE_REF(BgL_envz00_15833, (int) (((long) 1)));
				BgL_locz00_15836 = PROCEDURE_REF(BgL_envz00_15833, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2144;

					BgL_sz00_2144 = BgL_sz00_15837;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2146;

						BgL_bpz00_2146 = VECTOR_REF(BgL_sz00_2144, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2147;
							obj_t BgL_a2z00_2148;

							BgL_a1z00_2147 =
								PROCEDURE_ENTRY(BgL_a1z00_15834) (BgL_a1z00_15834,
								BgL_sz00_2144, BEOA);
							BgL_a2z00_2148 =
								PROCEDURE_ENTRY(BgL_a2z00_15835) (BgL_a2z00_15835,
								BgL_sz00_2144, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2147))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5570z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2147,
										BgL_locz00_15836);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2148))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5570z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2148,
										BgL_locz00_15836);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2147,
								BgL_a2z00_2148);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2544> */
	obj_t BGl_z62zc3anonymousza32544ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15838, obj_t BgL_sz00_15842)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15839;
				obj_t BgL_a2z00_15840;
				obj_t BgL_locz00_15841;

				BgL_a1z00_15839 = PROCEDURE_REF(BgL_envz00_15838, (int) (((long) 0)));
				BgL_a2z00_15840 = PROCEDURE_REF(BgL_envz00_15838, (int) (((long) 1)));
				BgL_locz00_15841 = PROCEDURE_REF(BgL_envz00_15838, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2154;

					BgL_sz00_2154 = BgL_sz00_15842;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2156;

						BgL_bpz00_2156 = VECTOR_REF(BgL_sz00_2154, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2157;
							obj_t BgL_a2z00_2158;

							BgL_a1z00_2157 =
								PROCEDURE_ENTRY(BgL_a1z00_15839) (BgL_a1z00_15839,
								BgL_sz00_2154, BEOA);
							BgL_a2z00_2158 =
								PROCEDURE_ENTRY(BgL_a2z00_15840) (BgL_a2z00_15840,
								BgL_sz00_2154, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2157))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5572z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2157,
										BgL_locz00_15841);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2158))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5572z00zz__evaluate_compz00,
										BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2158,
										BgL_locz00_15841);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2157,
								BgL_a2z00_2158);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2548> */
	obj_t BGl_z62zc3anonymousza32548ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15843, obj_t BgL_sz00_15847)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15844;
				obj_t BgL_a2z00_15845;
				obj_t BgL_locz00_15846;

				BgL_a1z00_15844 = PROCEDURE_REF(BgL_envz00_15843, (int) (((long) 0)));
				BgL_a2z00_15845 = PROCEDURE_REF(BgL_envz00_15843, (int) (((long) 1)));
				BgL_locz00_15846 = PROCEDURE_REF(BgL_envz00_15843, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2164;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21636;

						BgL_sz00_2164 = BgL_sz00_15847;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2166;

							BgL_bpz00_2166 = VECTOR_REF(BgL_sz00_2164, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2167;
								obj_t BgL_a2z00_2168;

								BgL_a1z00_2167 =
									PROCEDURE_ENTRY(BgL_a1z00_15844) (BgL_a1z00_15844,
									BgL_sz00_2164, BEOA);
								BgL_a2z00_2168 =
									PROCEDURE_ENTRY(BgL_a2z00_15845) (BgL_a2z00_15845,
									BgL_sz00_2164, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2167))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5574z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2167,
											BgL_locz00_15846);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2168))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5574z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2168,
											BgL_locz00_15846);
									}
								BgL_auxz00_21636 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2167,
									BgL_a2z00_2168);
							}
						}
						return BBOOL(BgL_auxz00_21636);
					}
				}
			}
		}
	}



/* &<anonymous:2552> */
	obj_t BGl_z62zc3anonymousza32552ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15848, obj_t BgL_sz00_15852)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15849;
				obj_t BgL_a2z00_15850;
				obj_t BgL_locz00_15851;

				BgL_a1z00_15849 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 0)));
				BgL_a2z00_15850 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 1)));
				BgL_locz00_15851 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2174;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21661;

						BgL_sz00_2174 = BgL_sz00_15852;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2176;

							BgL_bpz00_2176 = VECTOR_REF(BgL_sz00_2174, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2177;
								obj_t BgL_a2z00_2178;

								BgL_a1z00_2177 =
									PROCEDURE_ENTRY(BgL_a1z00_15849) (BgL_a1z00_15849,
									BgL_sz00_2174, BEOA);
								BgL_a2z00_2178 =
									PROCEDURE_ENTRY(BgL_a2z00_15850) (BgL_a2z00_15850,
									BgL_sz00_2174, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2177))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5576z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2177,
											BgL_locz00_15851);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2178))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5576z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2178,
											BgL_locz00_15851);
									}
								BgL_auxz00_21661 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2177,
									BgL_a2z00_2178);
							}
						}
						return BBOOL(BgL_auxz00_21661);
					}
				}
			}
		}
	}



/* &<anonymous:2556> */
	obj_t BGl_z62zc3anonymousza32556ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15853, obj_t BgL_sz00_15857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15854;
				obj_t BgL_a2z00_15855;
				obj_t BgL_locz00_15856;

				BgL_a1z00_15854 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 0)));
				BgL_a2z00_15855 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 1)));
				BgL_locz00_15856 = PROCEDURE_REF(BgL_envz00_15853, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2184;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21686;

						BgL_sz00_2184 = BgL_sz00_15857;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2186;

							BgL_bpz00_2186 = VECTOR_REF(BgL_sz00_2184, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2187;
								obj_t BgL_a2z00_2188;

								BgL_a1z00_2187 =
									PROCEDURE_ENTRY(BgL_a1z00_15854) (BgL_a1z00_15854,
									BgL_sz00_2184, BEOA);
								BgL_a2z00_2188 =
									PROCEDURE_ENTRY(BgL_a2z00_15855) (BgL_a2z00_15855,
									BgL_sz00_2184, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2187))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5578z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2187,
											BgL_locz00_15856);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2188))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5578z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2188,
											BgL_locz00_15856);
									}
								BgL_auxz00_21686 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2187,
									BgL_a2z00_2188);
							}
						}
						return BBOOL(BgL_auxz00_21686);
					}
				}
			}
		}
	}



/* &<anonymous:2560> */
	obj_t BGl_z62zc3anonymousza32560ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15858, obj_t BgL_sz00_15862)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15859;
				obj_t BgL_a2z00_15860;
				obj_t BgL_locz00_15861;

				BgL_a1z00_15859 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 0)));
				BgL_a2z00_15860 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 1)));
				BgL_locz00_15861 = PROCEDURE_REF(BgL_envz00_15858, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2194;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21711;

						BgL_sz00_2194 = BgL_sz00_15862;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2196;

							BgL_bpz00_2196 = VECTOR_REF(BgL_sz00_2194, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2197;
								obj_t BgL_a2z00_2198;

								BgL_a1z00_2197 =
									PROCEDURE_ENTRY(BgL_a1z00_15859) (BgL_a1z00_15859,
									BgL_sz00_2194, BEOA);
								BgL_a2z00_2198 =
									PROCEDURE_ENTRY(BgL_a2z00_15860) (BgL_a2z00_15860,
									BgL_sz00_2194, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2197))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5580z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2197,
											BgL_locz00_15861);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2198))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5580z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2198,
											BgL_locz00_15861);
									}
								BgL_auxz00_21711 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2197,
									BgL_a2z00_2198);
							}
						}
						return BBOOL(BgL_auxz00_21711);
					}
				}
			}
		}
	}



/* &<anonymous:2564> */
	obj_t BGl_z62zc3anonymousza32564ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15863, obj_t BgL_sz00_15867)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15864;
				obj_t BgL_a2z00_15865;
				obj_t BgL_locz00_15866;

				BgL_a1z00_15864 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 0)));
				BgL_a2z00_15865 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 1)));
				BgL_locz00_15866 = PROCEDURE_REF(BgL_envz00_15863, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2204;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21736;

						BgL_sz00_2204 = BgL_sz00_15867;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2206;

							BgL_bpz00_2206 = VECTOR_REF(BgL_sz00_2204, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2207;
								obj_t BgL_a2z00_2208;

								BgL_a1z00_2207 =
									PROCEDURE_ENTRY(BgL_a1z00_15864) (BgL_a1z00_15864,
									BgL_sz00_2204, BEOA);
								BgL_a2z00_2208 =
									PROCEDURE_ENTRY(BgL_a2z00_15865) (BgL_a2z00_15865,
									BgL_sz00_2204, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2207))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5582z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a1z00_2207,
											BgL_locz00_15866);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2208))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5582z00zz__evaluate_compz00,
											BGl_symbol5566z00zz__evaluate_compz00, BgL_a2z00_2208,
											BgL_locz00_15866);
									}
								BgL_auxz00_21736 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2207,
									BgL_a2z00_2208);
							}
						}
						return BBOOL(BgL_auxz00_21736);
					}
				}
			}
		}
	}



/* &<anonymous:2568> */
	obj_t BGl_z62zc3anonymousza32568ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15868, obj_t BgL_sz00_15872)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15869;
				obj_t BgL_a2z00_15870;
				obj_t BgL_locz00_15871;

				BgL_a1z00_15869 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 0)));
				BgL_a2z00_15870 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 1)));
				BgL_locz00_15871 = PROCEDURE_REF(BgL_envz00_15868, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2214;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21761;

						BgL_sz00_2214 = BgL_sz00_15872;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2216;

							BgL_bpz00_2216 = VECTOR_REF(BgL_sz00_2214, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2217;
								obj_t BgL_a2z00_2218;

								BgL_a1z00_2217 =
									PROCEDURE_ENTRY(BgL_a1z00_15869) (BgL_a1z00_15869,
									BgL_sz00_2214, BEOA);
								BgL_a2z00_2218 =
									PROCEDURE_ENTRY(BgL_a2z00_15870) (BgL_a2z00_15870,
									BgL_sz00_2214, BEOA);
								if (INTEGERP(BgL_a1z00_2217))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5584z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2217,
											BgL_locz00_15871);
									}
								if (INTEGERP(BgL_a2z00_2218))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5584z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2218,
											BgL_locz00_15871);
									}
								BgL_auxz00_21761 =
									((long) CINT(BgL_a1z00_2217) + (long) CINT(BgL_a2z00_2218));
						}}
						return BINT(BgL_auxz00_21761);
					}
				}
			}
		}
	}



/* &<anonymous:2572> */
	obj_t BGl_z62zc3anonymousza32572ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15873, obj_t BgL_sz00_15877)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15874;
				obj_t BgL_a2z00_15875;
				obj_t BgL_locz00_15876;

				BgL_a1z00_15874 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 0)));
				BgL_a2z00_15875 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 1)));
				BgL_locz00_15876 = PROCEDURE_REF(BgL_envz00_15873, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2224;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21788;

						BgL_sz00_2224 = BgL_sz00_15877;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2226;

							BgL_bpz00_2226 = VECTOR_REF(BgL_sz00_2224, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2227;
								obj_t BgL_a2z00_2228;

								BgL_a1z00_2227 =
									PROCEDURE_ENTRY(BgL_a1z00_15874) (BgL_a1z00_15874,
									BgL_sz00_2224, BEOA);
								BgL_a2z00_2228 =
									PROCEDURE_ENTRY(BgL_a2z00_15875) (BgL_a2z00_15875,
									BgL_sz00_2224, BEOA);
								if (INTEGERP(BgL_a1z00_2227))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5588z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2227,
											BgL_locz00_15876);
									}
								if (INTEGERP(BgL_a2z00_2228))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5588z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2228,
											BgL_locz00_15876);
									}
								BgL_auxz00_21788 =
									((long) CINT(BgL_a1z00_2227) - (long) CINT(BgL_a2z00_2228));
						}}
						return BINT(BgL_auxz00_21788);
					}
				}
			}
		}
	}



/* &<anonymous:2576> */
	obj_t BGl_z62zc3anonymousza32576ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15878, obj_t BgL_sz00_15882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15879;
				obj_t BgL_a2z00_15880;
				obj_t BgL_locz00_15881;

				BgL_a1z00_15879 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 0)));
				BgL_a2z00_15880 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 1)));
				BgL_locz00_15881 = PROCEDURE_REF(BgL_envz00_15878, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2234;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21815;

						BgL_sz00_2234 = BgL_sz00_15882;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2236;

							BgL_bpz00_2236 = VECTOR_REF(BgL_sz00_2234, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2237;
								obj_t BgL_a2z00_2238;

								BgL_a1z00_2237 =
									PROCEDURE_ENTRY(BgL_a1z00_15879) (BgL_a1z00_15879,
									BgL_sz00_2234, BEOA);
								BgL_a2z00_2238 =
									PROCEDURE_ENTRY(BgL_a2z00_15880) (BgL_a2z00_15880,
									BgL_sz00_2234, BEOA);
								if (INTEGERP(BgL_a1z00_2237))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5590z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2237,
											BgL_locz00_15881);
									}
								if (INTEGERP(BgL_a2z00_2238))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5590z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2238,
											BgL_locz00_15881);
									}
								BgL_auxz00_21815 =
									((long) CINT(BgL_a1z00_2237) * (long) CINT(BgL_a2z00_2238));
						}}
						return BINT(BgL_auxz00_21815);
					}
				}
			}
		}
	}



/* &<anonymous:2580> */
	obj_t BGl_z62zc3anonymousza32580ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15883, obj_t BgL_sz00_15887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15884;
				obj_t BgL_a2z00_15885;
				obj_t BgL_locz00_15886;

				BgL_a1z00_15884 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 0)));
				BgL_a2z00_15885 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 1)));
				BgL_locz00_15886 = PROCEDURE_REF(BgL_envz00_15883, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2244;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21842;

						BgL_sz00_2244 = BgL_sz00_15887;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2246;

							BgL_bpz00_2246 = VECTOR_REF(BgL_sz00_2244, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2247;
								obj_t BgL_a2z00_2248;

								BgL_a1z00_2247 =
									PROCEDURE_ENTRY(BgL_a1z00_15884) (BgL_a1z00_15884,
									BgL_sz00_2244, BEOA);
								BgL_a2z00_2248 =
									PROCEDURE_ENTRY(BgL_a2z00_15885) (BgL_a2z00_15885,
									BgL_sz00_2244, BEOA);
								if (INTEGERP(BgL_a1z00_2247))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5592z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2247,
											BgL_locz00_15886);
									}
								if (INTEGERP(BgL_a2z00_2248))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5592z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2248,
											BgL_locz00_15886);
									}
								BgL_auxz00_21842 =
									((long) CINT(BgL_a1z00_2247) / (long) CINT(BgL_a2z00_2248));
						}}
						return BINT(BgL_auxz00_21842);
					}
				}
			}
		}
	}



/* &<anonymous:2584> */
	obj_t BGl_z62zc3anonymousza32584ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15888, obj_t BgL_sz00_15892)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15889;
				obj_t BgL_a2z00_15890;
				obj_t BgL_locz00_15891;

				BgL_a1z00_15889 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 0)));
				BgL_a2z00_15890 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 1)));
				BgL_locz00_15891 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2254;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21869;

						BgL_sz00_2254 = BgL_sz00_15892;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2256;

							BgL_bpz00_2256 = VECTOR_REF(BgL_sz00_2254, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2257;
								obj_t BgL_a2z00_2258;

								BgL_a1z00_2257 =
									PROCEDURE_ENTRY(BgL_a1z00_15889) (BgL_a1z00_15889,
									BgL_sz00_2254, BEOA);
								BgL_a2z00_2258 =
									PROCEDURE_ENTRY(BgL_a2z00_15890) (BgL_a2z00_15890,
									BgL_sz00_2254, BEOA);
								if (INTEGERP(BgL_a1z00_2257))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5594z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2257,
											BgL_locz00_15891);
									}
								if (INTEGERP(BgL_a2z00_2258))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5594z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2258,
											BgL_locz00_15891);
									}
								BgL_auxz00_21869 =
									((long) CINT(BgL_a1z00_2257) < (long) CINT(BgL_a2z00_2258));
						}}
						return BBOOL(BgL_auxz00_21869);
					}
				}
			}
		}
	}



/* &<anonymous:2588> */
	obj_t BGl_z62zc3anonymousza32588ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15893, obj_t BgL_sz00_15897)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15894;
				obj_t BgL_a2z00_15895;
				obj_t BgL_locz00_15896;

				BgL_a1z00_15894 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 0)));
				BgL_a2z00_15895 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 1)));
				BgL_locz00_15896 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2264;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21896;

						BgL_sz00_2264 = BgL_sz00_15897;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2266;

							BgL_bpz00_2266 = VECTOR_REF(BgL_sz00_2264, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2267;
								obj_t BgL_a2z00_2268;

								BgL_a1z00_2267 =
									PROCEDURE_ENTRY(BgL_a1z00_15894) (BgL_a1z00_15894,
									BgL_sz00_2264, BEOA);
								BgL_a2z00_2268 =
									PROCEDURE_ENTRY(BgL_a2z00_15895) (BgL_a2z00_15895,
									BgL_sz00_2264, BEOA);
								if (INTEGERP(BgL_a1z00_2267))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5596z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2267,
											BgL_locz00_15896);
									}
								if (INTEGERP(BgL_a2z00_2268))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5596z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2268,
											BgL_locz00_15896);
									}
								BgL_auxz00_21896 =
									((long) CINT(BgL_a1z00_2267) > (long) CINT(BgL_a2z00_2268));
						}}
						return BBOOL(BgL_auxz00_21896);
					}
				}
			}
		}
	}



/* &<anonymous:2592> */
	obj_t BGl_z62zc3anonymousza32592ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15898, obj_t BgL_sz00_15902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15899;
				obj_t BgL_a2z00_15900;
				obj_t BgL_locz00_15901;

				BgL_a1z00_15899 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 0)));
				BgL_a2z00_15900 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 1)));
				BgL_locz00_15901 = PROCEDURE_REF(BgL_envz00_15898, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2274;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21923;

						BgL_sz00_2274 = BgL_sz00_15902;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2276;

							BgL_bpz00_2276 = VECTOR_REF(BgL_sz00_2274, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2277;
								obj_t BgL_a2z00_2278;

								BgL_a1z00_2277 =
									PROCEDURE_ENTRY(BgL_a1z00_15899) (BgL_a1z00_15899,
									BgL_sz00_2274, BEOA);
								BgL_a2z00_2278 =
									PROCEDURE_ENTRY(BgL_a2z00_15900) (BgL_a2z00_15900,
									BgL_sz00_2274, BEOA);
								if (INTEGERP(BgL_a1z00_2277))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5598z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2277,
											BgL_locz00_15901);
									}
								if (INTEGERP(BgL_a2z00_2278))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5598z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2278,
											BgL_locz00_15901);
									}
								BgL_auxz00_21923 =
									((long) CINT(BgL_a1z00_2277) <= (long) CINT(BgL_a2z00_2278));
						}}
						return BBOOL(BgL_auxz00_21923);
					}
				}
			}
		}
	}



/* &<anonymous:2596> */
	obj_t BGl_z62zc3anonymousza32596ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15903, obj_t BgL_sz00_15907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15904;
				obj_t BgL_a2z00_15905;
				obj_t BgL_locz00_15906;

				BgL_a1z00_15904 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 0)));
				BgL_a2z00_15905 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 1)));
				BgL_locz00_15906 = PROCEDURE_REF(BgL_envz00_15903, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2284;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21950;

						BgL_sz00_2284 = BgL_sz00_15907;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2286;

							BgL_bpz00_2286 = VECTOR_REF(BgL_sz00_2284, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2287;
								obj_t BgL_a2z00_2288;

								BgL_a1z00_2287 =
									PROCEDURE_ENTRY(BgL_a1z00_15904) (BgL_a1z00_15904,
									BgL_sz00_2284, BEOA);
								BgL_a2z00_2288 =
									PROCEDURE_ENTRY(BgL_a2z00_15905) (BgL_a2z00_15905,
									BgL_sz00_2284, BEOA);
								if (INTEGERP(BgL_a1z00_2287))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5600z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2287,
											BgL_locz00_15906);
									}
								if (INTEGERP(BgL_a2z00_2288))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5600z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2288,
											BgL_locz00_15906);
									}
								BgL_auxz00_21950 =
									((long) CINT(BgL_a1z00_2287) >= (long) CINT(BgL_a2z00_2288));
						}}
						return BBOOL(BgL_auxz00_21950);
					}
				}
			}
		}
	}



/* &<anonymous:2600> */
	obj_t BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15908, obj_t BgL_sz00_15912)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15909;
				obj_t BgL_a2z00_15910;
				obj_t BgL_locz00_15911;

				BgL_a1z00_15909 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 0)));
				BgL_a2z00_15910 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 1)));
				BgL_locz00_15911 = PROCEDURE_REF(BgL_envz00_15908, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2294;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21977;

						BgL_sz00_2294 = BgL_sz00_15912;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2296;

							BgL_bpz00_2296 = VECTOR_REF(BgL_sz00_2294, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2297;
								obj_t BgL_a2z00_2298;

								BgL_a1z00_2297 =
									PROCEDURE_ENTRY(BgL_a1z00_15909) (BgL_a1z00_15909,
									BgL_sz00_2294, BEOA);
								BgL_a2z00_2298 =
									PROCEDURE_ENTRY(BgL_a2z00_15910) (BgL_a2z00_15910,
									BgL_sz00_2294, BEOA);
								if (INTEGERP(BgL_a1z00_2297))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5602z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a1z00_2297,
											BgL_locz00_15911);
									}
								if (INTEGERP(BgL_a2z00_2298))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5602z00zz__evaluate_compz00,
											BGl_symbol5586z00zz__evaluate_compz00, BgL_a2z00_2298,
											BgL_locz00_15911);
									}
								BgL_auxz00_21977 =
									((long) CINT(BgL_a1z00_2297) == (long) CINT(BgL_a2z00_2298));
						}}
						return BBOOL(BgL_auxz00_21977);
					}
				}
			}
		}
	}



/* &<anonymous:2604> */
	obj_t BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15913, obj_t BgL_sz00_15917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15914;
				obj_t BgL_a2z00_15915;
				obj_t BgL_locz00_15916;

				BgL_a1z00_15914 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 0)));
				BgL_a2z00_15915 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 1)));
				BgL_locz00_15916 = PROCEDURE_REF(BgL_envz00_15913, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2304;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22004;

						BgL_sz00_2304 = BgL_sz00_15917;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2306;

							BgL_bpz00_2306 = VECTOR_REF(BgL_sz00_2304, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2307;
								obj_t BgL_a2z00_2308;

								BgL_a1z00_2307 =
									PROCEDURE_ENTRY(BgL_a1z00_15914) (BgL_a1z00_15914,
									BgL_sz00_2304, BEOA);
								BgL_a2z00_2308 =
									PROCEDURE_ENTRY(BgL_a2z00_15915) (BgL_a2z00_15915,
									BgL_sz00_2304, BEOA);
								if (REALP(BgL_a1z00_2307))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5604z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2307,
											BgL_locz00_15916);
									}
								if (REALP(BgL_a2z00_2308))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5604z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2308,
											BgL_locz00_15916);
									}
								BgL_auxz00_22004 =
									(REAL_TO_DOUBLE(BgL_a1z00_2307) +
									REAL_TO_DOUBLE(BgL_a2z00_2308));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22004);
					}
				}
			}
		}
	}



/* &<anonymous:2608> */
	obj_t BGl_z62zc3anonymousza32608ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15918, obj_t BgL_sz00_15922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15919;
				obj_t BgL_a2z00_15920;
				obj_t BgL_locz00_15921;

				BgL_a1z00_15919 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 0)));
				BgL_a2z00_15920 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 1)));
				BgL_locz00_15921 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2314;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22031;

						BgL_sz00_2314 = BgL_sz00_15922;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2316;

							BgL_bpz00_2316 = VECTOR_REF(BgL_sz00_2314, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2317;
								obj_t BgL_a2z00_2318;

								BgL_a1z00_2317 =
									PROCEDURE_ENTRY(BgL_a1z00_15919) (BgL_a1z00_15919,
									BgL_sz00_2314, BEOA);
								BgL_a2z00_2318 =
									PROCEDURE_ENTRY(BgL_a2z00_15920) (BgL_a2z00_15920,
									BgL_sz00_2314, BEOA);
								if (REALP(BgL_a1z00_2317))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5608z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2317,
											BgL_locz00_15921);
									}
								if (REALP(BgL_a2z00_2318))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5608z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2318,
											BgL_locz00_15921);
									}
								BgL_auxz00_22031 =
									(REAL_TO_DOUBLE(BgL_a1z00_2317) -
									REAL_TO_DOUBLE(BgL_a2z00_2318));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22031);
					}
				}
			}
		}
	}



/* &<anonymous:2612> */
	obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15923, obj_t BgL_sz00_15927)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15924;
				obj_t BgL_a2z00_15925;
				obj_t BgL_locz00_15926;

				BgL_a1z00_15924 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 0)));
				BgL_a2z00_15925 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 1)));
				BgL_locz00_15926 = PROCEDURE_REF(BgL_envz00_15923, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2324;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22058;

						BgL_sz00_2324 = BgL_sz00_15927;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2326;

							BgL_bpz00_2326 = VECTOR_REF(BgL_sz00_2324, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2327;
								obj_t BgL_a2z00_2328;

								BgL_a1z00_2327 =
									PROCEDURE_ENTRY(BgL_a1z00_15924) (BgL_a1z00_15924,
									BgL_sz00_2324, BEOA);
								BgL_a2z00_2328 =
									PROCEDURE_ENTRY(BgL_a2z00_15925) (BgL_a2z00_15925,
									BgL_sz00_2324, BEOA);
								if (REALP(BgL_a1z00_2327))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5610z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2327,
											BgL_locz00_15926);
									}
								if (REALP(BgL_a2z00_2328))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5610z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2328,
											BgL_locz00_15926);
									}
								BgL_auxz00_22058 =
									(REAL_TO_DOUBLE(BgL_a1z00_2327) *
									REAL_TO_DOUBLE(BgL_a2z00_2328));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22058);
					}
				}
			}
		}
	}



/* &<anonymous:2616> */
	obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15928, obj_t BgL_sz00_15932)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15929;
				obj_t BgL_a2z00_15930;
				obj_t BgL_locz00_15931;

				BgL_a1z00_15929 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 0)));
				BgL_a2z00_15930 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 1)));
				BgL_locz00_15931 = PROCEDURE_REF(BgL_envz00_15928, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2334;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22085;

						BgL_sz00_2334 = BgL_sz00_15932;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2336;

							BgL_bpz00_2336 = VECTOR_REF(BgL_sz00_2334, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2337;
								obj_t BgL_a2z00_2338;

								BgL_a1z00_2337 =
									PROCEDURE_ENTRY(BgL_a1z00_15929) (BgL_a1z00_15929,
									BgL_sz00_2334, BEOA);
								BgL_a2z00_2338 =
									PROCEDURE_ENTRY(BgL_a2z00_15930) (BgL_a2z00_15930,
									BgL_sz00_2334, BEOA);
								if (REALP(BgL_a1z00_2337))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5612z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2337,
											BgL_locz00_15931);
									}
								if (REALP(BgL_a2z00_2338))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5612z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2338,
											BgL_locz00_15931);
									}
								BgL_auxz00_22085 =
									(REAL_TO_DOUBLE(BgL_a1z00_2337) /
									REAL_TO_DOUBLE(BgL_a2z00_2338));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22085);
					}
				}
			}
		}
	}



/* &<anonymous:2620> */
	obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15933, obj_t BgL_sz00_15937)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15934;
				obj_t BgL_a2z00_15935;
				obj_t BgL_locz00_15936;

				BgL_a1z00_15934 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 0)));
				BgL_a2z00_15935 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 1)));
				BgL_locz00_15936 = PROCEDURE_REF(BgL_envz00_15933, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2344;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22112;

						BgL_sz00_2344 = BgL_sz00_15937;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2346;

							BgL_bpz00_2346 = VECTOR_REF(BgL_sz00_2344, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2347;
								obj_t BgL_a2z00_2348;

								BgL_a1z00_2347 =
									PROCEDURE_ENTRY(BgL_a1z00_15934) (BgL_a1z00_15934,
									BgL_sz00_2344, BEOA);
								BgL_a2z00_2348 =
									PROCEDURE_ENTRY(BgL_a2z00_15935) (BgL_a2z00_15935,
									BgL_sz00_2344, BEOA);
								if (REALP(BgL_a1z00_2347))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5614z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2347,
											BgL_locz00_15936);
									}
								if (REALP(BgL_a2z00_2348))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5614z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2348,
											BgL_locz00_15936);
									}
								BgL_auxz00_22112 =
									(REAL_TO_DOUBLE(BgL_a1z00_2347) <
									REAL_TO_DOUBLE(BgL_a2z00_2348));
							}
						}
						return BBOOL(BgL_auxz00_22112);
					}
				}
			}
		}
	}



/* &<anonymous:2624> */
	obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15938, obj_t BgL_sz00_15942)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15939;
				obj_t BgL_a2z00_15940;
				obj_t BgL_locz00_15941;

				BgL_a1z00_15939 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 0)));
				BgL_a2z00_15940 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 1)));
				BgL_locz00_15941 = PROCEDURE_REF(BgL_envz00_15938, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2354;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22139;

						BgL_sz00_2354 = BgL_sz00_15942;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2356;

							BgL_bpz00_2356 = VECTOR_REF(BgL_sz00_2354, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2357;
								obj_t BgL_a2z00_2358;

								BgL_a1z00_2357 =
									PROCEDURE_ENTRY(BgL_a1z00_15939) (BgL_a1z00_15939,
									BgL_sz00_2354, BEOA);
								BgL_a2z00_2358 =
									PROCEDURE_ENTRY(BgL_a2z00_15940) (BgL_a2z00_15940,
									BgL_sz00_2354, BEOA);
								if (REALP(BgL_a1z00_2357))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5616z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2357,
											BgL_locz00_15941);
									}
								if (REALP(BgL_a2z00_2358))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5616z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2358,
											BgL_locz00_15941);
									}
								BgL_auxz00_22139 =
									(REAL_TO_DOUBLE(BgL_a1z00_2357) >
									REAL_TO_DOUBLE(BgL_a2z00_2358));
							}
						}
						return BBOOL(BgL_auxz00_22139);
					}
				}
			}
		}
	}



/* &<anonymous:2628> */
	obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15943, obj_t BgL_sz00_15947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15944;
				obj_t BgL_a2z00_15945;
				obj_t BgL_locz00_15946;

				BgL_a1z00_15944 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 0)));
				BgL_a2z00_15945 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 1)));
				BgL_locz00_15946 = PROCEDURE_REF(BgL_envz00_15943, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2364;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22166;

						BgL_sz00_2364 = BgL_sz00_15947;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2366;

							BgL_bpz00_2366 = VECTOR_REF(BgL_sz00_2364, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2367;
								obj_t BgL_a2z00_2368;

								BgL_a1z00_2367 =
									PROCEDURE_ENTRY(BgL_a1z00_15944) (BgL_a1z00_15944,
									BgL_sz00_2364, BEOA);
								BgL_a2z00_2368 =
									PROCEDURE_ENTRY(BgL_a2z00_15945) (BgL_a2z00_15945,
									BgL_sz00_2364, BEOA);
								if (REALP(BgL_a1z00_2367))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5618z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2367,
											BgL_locz00_15946);
									}
								if (REALP(BgL_a2z00_2368))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5618z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2368,
											BgL_locz00_15946);
									}
								BgL_auxz00_22166 =
									(REAL_TO_DOUBLE(BgL_a1z00_2367) <=
									REAL_TO_DOUBLE(BgL_a2z00_2368));
							}
						}
						return BBOOL(BgL_auxz00_22166);
					}
				}
			}
		}
	}



/* &<anonymous:2632> */
	obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15948, obj_t BgL_sz00_15952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15949;
				obj_t BgL_a2z00_15950;
				obj_t BgL_locz00_15951;

				BgL_a1z00_15949 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 0)));
				BgL_a2z00_15950 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 1)));
				BgL_locz00_15951 = PROCEDURE_REF(BgL_envz00_15948, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2374;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22193;

						BgL_sz00_2374 = BgL_sz00_15952;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2376;

							BgL_bpz00_2376 = VECTOR_REF(BgL_sz00_2374, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2377;
								obj_t BgL_a2z00_2378;

								BgL_a1z00_2377 =
									PROCEDURE_ENTRY(BgL_a1z00_15949) (BgL_a1z00_15949,
									BgL_sz00_2374, BEOA);
								BgL_a2z00_2378 =
									PROCEDURE_ENTRY(BgL_a2z00_15950) (BgL_a2z00_15950,
									BgL_sz00_2374, BEOA);
								if (REALP(BgL_a1z00_2377))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5620z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2377,
											BgL_locz00_15951);
									}
								if (REALP(BgL_a2z00_2378))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5620z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2378,
											BgL_locz00_15951);
									}
								BgL_auxz00_22193 =
									(REAL_TO_DOUBLE(BgL_a1z00_2377) >=
									REAL_TO_DOUBLE(BgL_a2z00_2378));
							}
						}
						return BBOOL(BgL_auxz00_22193);
					}
				}
			}
		}
	}



/* &<anonymous:2636> */
	obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15953, obj_t BgL_sz00_15957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15954;
				obj_t BgL_a2z00_15955;
				obj_t BgL_locz00_15956;

				BgL_a1z00_15954 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 0)));
				BgL_a2z00_15955 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 1)));
				BgL_locz00_15956 = PROCEDURE_REF(BgL_envz00_15953, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2384;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22220;

						BgL_sz00_2384 = BgL_sz00_15957;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2386;

							BgL_bpz00_2386 = VECTOR_REF(BgL_sz00_2384, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2387;
								obj_t BgL_a2z00_2388;

								BgL_a1z00_2387 =
									PROCEDURE_ENTRY(BgL_a1z00_15954) (BgL_a1z00_15954,
									BgL_sz00_2384, BEOA);
								BgL_a2z00_2388 =
									PROCEDURE_ENTRY(BgL_a2z00_15955) (BgL_a2z00_15955,
									BgL_sz00_2384, BEOA);
								if (REALP(BgL_a1z00_2387))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5622z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a1z00_2387,
											BgL_locz00_15956);
									}
								if (REALP(BgL_a2z00_2388))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5622z00zz__evaluate_compz00,
											BGl_symbol5606z00zz__evaluate_compz00, BgL_a2z00_2388,
											BgL_locz00_15956);
									}
								BgL_auxz00_22220 =
									(REAL_TO_DOUBLE(BgL_a1z00_2387) ==
									REAL_TO_DOUBLE(BgL_a2z00_2388));
							}
						}
						return BBOOL(BgL_auxz00_22220);
					}
				}
			}
		}
	}



/* &<anonymous:2640> */
	obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15958, obj_t BgL_sz00_15961)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15959;
				obj_t BgL_a2z00_15960;

				BgL_a1z00_15959 = PROCEDURE_REF(BgL_envz00_15958, (int) (((long) 0)));
				BgL_a2z00_15960 = PROCEDURE_REF(BgL_envz00_15958, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2394;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22245;

						BgL_sz00_2394 = BgL_sz00_15961;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_8828;

							BgL_bpz00_8828 = VECTOR_REF(BgL_sz00_2394, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_8829;
								obj_t BgL_a2z00_8830;

								BgL_a1z00_8829 =
									PROCEDURE_ENTRY(BgL_a1z00_15959) (BgL_a1z00_15959,
									BgL_sz00_2394, BEOA);
								BgL_a2z00_8830 =
									PROCEDURE_ENTRY(BgL_a2z00_15960) (BgL_a2z00_15960,
									BgL_sz00_2394, BEOA);
								BgL_auxz00_22245 = (BgL_a1z00_8829 == BgL_a2z00_8830);
						}}
						return BBOOL(BgL_auxz00_22245);
					}
				}
			}
		}
	}



/* &<anonymous:2642> */
	obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15962, obj_t BgL_sz00_15965)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15963;
				obj_t BgL_a2z00_15964;

				BgL_a1z00_15963 = PROCEDURE_REF(BgL_envz00_15962, (int) (((long) 0)));
				BgL_a2z00_15964 = PROCEDURE_REF(BgL_envz00_15962, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2402;

					BgL_sz00_2402 = BgL_sz00_15965;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_8833;

						BgL_bpz00_8833 = VECTOR_REF(BgL_sz00_2402, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_8834;
							obj_t BgL_a2z00_8835;

							BgL_a1z00_8834 =
								PROCEDURE_ENTRY(BgL_a1z00_15963) (BgL_a1z00_15963,
								BgL_sz00_2402, BEOA);
							BgL_a2z00_8835 =
								PROCEDURE_ENTRY(BgL_a2z00_15964) (BgL_a2z00_15964,
								BgL_sz00_2402, BEOA);
							return MAKE_PAIR(BgL_a1z00_8834, BgL_a2z00_8835);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2645> */
	obj_t BGl_z62zc3anonymousza32645ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15966, obj_t BgL_sz00_15969)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15967;
				obj_t BgL_locz00_15968;

				BgL_a1z00_15967 = PROCEDURE_REF(BgL_envz00_15966, (int) (((long) 0)));
				BgL_locz00_15968 = PROCEDURE_REF(BgL_envz00_15966, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2411;

					BgL_sz00_2411 = BgL_sz00_15969;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2413;

						BgL_bpz00_2413 = VECTOR_REF(BgL_sz00_2411, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2414;

							BgL_a1z00_2414 =
								PROCEDURE_ENTRY(BgL_a1z00_15967) (BgL_a1z00_15967,
								BgL_sz00_2411, BEOA);
							if (PAIRP(BgL_a1z00_2414))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5624z00zz__evaluate_compz00,
										BGl_symbol5626z00zz__evaluate_compz00, BgL_a1z00_2414,
										BgL_locz00_15968);
								}
							return CAR(BgL_a1z00_2414);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2648> */
	obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15970, obj_t BgL_sz00_15973)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15971;
				obj_t BgL_locz00_15972;

				BgL_a1z00_15971 = PROCEDURE_REF(BgL_envz00_15970, (int) (((long) 0)));
				BgL_locz00_15972 = PROCEDURE_REF(BgL_envz00_15970, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2418;

					BgL_sz00_2418 = BgL_sz00_15973;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2420;

						BgL_bpz00_2420 = VECTOR_REF(BgL_sz00_2418, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2421;

							BgL_a1z00_2421 =
								PROCEDURE_ENTRY(BgL_a1z00_15971) (BgL_a1z00_15971,
								BgL_sz00_2418, BEOA);
							if (PAIRP(BgL_a1z00_2421))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5628z00zz__evaluate_compz00,
										BGl_symbol5626z00zz__evaluate_compz00, BgL_a1z00_2421,
										BgL_locz00_15972);
								}
							return CDR(BgL_a1z00_2421);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2651> */
	obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15974, obj_t BgL_sz00_15977)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15975;
				obj_t BgL_locz00_15976;

				BgL_a1z00_15975 = PROCEDURE_REF(BgL_envz00_15974, (int) (((long) 0)));
				BgL_locz00_15976 = PROCEDURE_REF(BgL_envz00_15974, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2425;

					BgL_sz00_2425 = BgL_sz00_15977;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2427;

						BgL_bpz00_2427 = VECTOR_REF(BgL_sz00_2425, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2428;

							BgL_a1z00_2428 =
								PROCEDURE_ENTRY(BgL_a1z00_15975) (BgL_a1z00_15975,
								BgL_sz00_2425, BEOA);
							{	/* Eval/evaluate_comp.scm 961 */
								bool_t BgL_testz00_22311;

								if (PAIRP(BgL_a1z00_2428))
									{	/* Eval/evaluate_comp.scm 961 */
										obj_t BgL_auxz00_22314;

										BgL_auxz00_22314 = CDR(BgL_a1z00_2428);
										BgL_testz00_22311 = PAIRP(BgL_auxz00_22314);
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BgL_testz00_22311 = ((bool_t) 0);
									}
								if (BgL_testz00_22311)
									{	/* Eval/evaluate_comp.scm 961 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5630z00zz__evaluate_compz00,
											BGl_symbol5626z00zz__evaluate_compz00, BgL_a1z00_2428,
											BgL_locz00_15976);
									}
							}
							{	/* Eval/evaluate_comp.scm 961 */
								obj_t BgL_pairz00_8636;

								BgL_pairz00_8636 = BgL_a1z00_2428;
								return CAR(CDR(BgL_pairz00_8636));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_200,
		obj_t BgL_wherez00_201, long BgL_spz00_202, long BgL_arityz00_203,
		obj_t BgL_valsz00_204, obj_t BgL_locz00_205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1003 */
			if ((BgL_arityz00_203 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1005 */
					long BgL_g1240z00_2434;

					BgL_g1240z00_2434 = (((long) -1) - BgL_arityz00_203);
					{
						long BgL_rz00_2436;
						long BgL_spz00_2437;
						obj_t BgL_lz00_2438;

						BgL_rz00_2436 = BgL_g1240z00_2434;
						BgL_spz00_2437 = BgL_spz00_202;
						BgL_lz00_2438 = BgL_valsz00_204;
					BgL_zc3anonymousza32656ze3z83_2439:
						if ((BgL_rz00_2436 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1007 */
								return
									VECTOR_SET(BgL_sz00_200,
									(int) (BgL_spz00_2437), BgL_lz00_2438);
							}
						else
							{	/* Eval/evaluate_comp.scm 1007 */
								if (PAIRP(BgL_lz00_2438))
									{	/* Eval/evaluate_comp.scm 1009 */
										VECTOR_SET(BgL_sz00_200,
											(int) (BgL_spz00_2437), CAR(BgL_lz00_2438));
										{
											obj_t BgL_lz00_22336;
											long BgL_spz00_22334;
											long BgL_rz00_22332;

											BgL_rz00_22332 = (BgL_rz00_2436 - ((long) 1));
											BgL_spz00_22334 = (BgL_spz00_2437 + ((long) 1));
											BgL_lz00_22336 = CDR(BgL_lz00_2438);
											BgL_lz00_2438 = BgL_lz00_22336;
											BgL_spz00_2437 = BgL_spz00_22334;
											BgL_rz00_2436 = BgL_rz00_22332;
											goto BgL_zc3anonymousza32656ze3z83_2439;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1010 */
										long BgL_arg2664z00_2446;

										BgL_arg2664z00_2446 = bgl_list_length(BgL_valsz00_204);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
											BgL_wherez00_201, (int) (BgL_arityz00_203),
											(int) (BgL_arg2664z00_2446));
				}}}}
			else
				{
					long BgL_rz00_2449;
					long BgL_spz00_2450;
					obj_t BgL_lz00_2451;

					BgL_rz00_2449 = BgL_arityz00_203;
					BgL_spz00_2450 = BgL_spz00_202;
					BgL_lz00_2451 = BgL_valsz00_204;
				BgL_zc3anonymousza32665ze3z83_2452:
					if ((BgL_rz00_2449 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1016 */
							if (NULLP(BgL_lz00_2451))
								{	/* Eval/evaluate_comp.scm 1017 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1018 */
									long BgL_arg2668z00_2455;

									BgL_arg2668z00_2455 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2668z00_2455));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1016 */
							if (PAIRP(BgL_lz00_2451))
								{	/* Eval/evaluate_comp.scm 1019 */
									VECTOR_SET(BgL_sz00_200,
										(int) (BgL_spz00_2450), CAR(BgL_lz00_2451));
									{
										obj_t BgL_lz00_22359;
										long BgL_spz00_22357;
										long BgL_rz00_22355;

										BgL_rz00_22355 = (BgL_rz00_2449 - ((long) 1));
										BgL_spz00_22357 = (BgL_spz00_2450 + ((long) 1));
										BgL_lz00_22359 = CDR(BgL_lz00_2451);
										BgL_lz00_2451 = BgL_lz00_22359;
										BgL_spz00_2450 = BgL_spz00_22357;
										BgL_rz00_2449 = BgL_rz00_22355;
										goto BgL_zc3anonymousza32665ze3z83_2452;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									long BgL_arg2674z00_2461;

									BgL_arg2674z00_2461 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2674z00_2461));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_208,
		obj_t BgL_ibza2za2_209, obj_t BgL_bpz00_210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1118 */
			{	/* Eval/evaluate_comp.scm 1119 */
				int BgL_nz00_2463;

				BgL_nz00_2463 = VECTOR_LENGTH(BgL_ibza2za2_209);
				{
					long BgL_iz00_2465;

					BgL_iz00_2465 = ((long) 0);
				BgL_zc3anonymousza32675ze3z83_2466:
					{	/* Eval/evaluate_comp.scm 1121 */
						long BgL_spz00_2467;

						{	/* Eval/evaluate_comp.scm 1121 */
							obj_t BgL_arg2679z00_2472;

							BgL_arg2679z00_2472 =
								VECTOR_REF(BgL_ibza2za2_209, (int) (BgL_iz00_2465));
							BgL_spz00_2467 =
								((long) CINT(BgL_bpz00_210) + (long) CINT(BgL_arg2679z00_2472));
						}
						{	/* Eval/evaluate_comp.scm 1122 */
							obj_t BgL_arg2676z00_2468;

							{	/* Eval/evaluate_comp.scm 1122 */
								obj_t BgL_arg2677z00_2469;

								BgL_arg2677z00_2469 =
									VECTOR_REF(BgL_sz00_208, (int) (BgL_spz00_2467));
								{	/* Eval/evaluate_comp.scm 1122 */
									obj_t BgL_newz00_8907;

									BgL_newz00_8907 =
										create_struct(BGl_symbol5554z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1122 */
										int BgL_auxz00_22375;

										BgL_auxz00_22375 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_8907, BgL_auxz00_22375,
											BgL_arg2677z00_2469);
									}
									BgL_arg2676z00_2468 = BgL_newz00_8907;
							}}
							VECTOR_SET(BgL_sz00_208,
								(int) (BgL_spz00_2467), BgL_arg2676z00_2468);
						}
						{	/* Eval/evaluate_comp.scm 1123 */
							long BgL_niz00_2470;

							BgL_niz00_2470 = (BgL_iz00_2465 + ((long) 1));
							if ((BgL_niz00_2470 < (long) (BgL_nz00_2463)))
								{
									long BgL_iz00_22384;

									BgL_iz00_22384 = BgL_niz00_2470;
									BgL_iz00_2465 = BgL_iz00_22384;
									goto BgL_zc3anonymousza32675ze3z83_2466;
								}
							else
								{	/* Eval/evaluate_comp.scm 1124 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_bpz00_212, obj_t BgL_iza2za2_213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1126 */
			{	/* Eval/evaluate_comp.scm 1127 */
				int BgL_nz00_2474;

				BgL_nz00_2474 = VECTOR_LENGTH(BgL_iza2za2_213);
				{	/* Eval/evaluate_comp.scm 1127 */
					obj_t BgL_rz00_2475;

					BgL_rz00_2475 = make_vector(BgL_nz00_2474, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1127 */

						{
							long BgL_iz00_2477;

							BgL_iz00_2477 = ((long) 0);
						BgL_zc3anonymousza32680ze3z83_2478:
							if ((BgL_iz00_2477 >= (long) (BgL_nz00_2474)))
								{	/* Eval/evaluate_comp.scm 1129 */
									return BgL_rz00_2475;
								}
							else
								{	/* Eval/evaluate_comp.scm 1129 */
									{	/* Eval/evaluate_comp.scm 1132 */
										obj_t BgL_arg2682z00_2480;

										{	/* Eval/evaluate_comp.scm 1132 */
											long BgL_arg2683z00_2481;

											{	/* Eval/evaluate_comp.scm 1132 */
												obj_t BgL_arg2684z00_2482;

												BgL_arg2684z00_2482 =
													VECTOR_REF(BgL_iza2za2_213, (int) (BgL_iz00_2477));
												BgL_arg2683z00_2481 =
													(
													(long) CINT(BgL_bpz00_212) +
													(long) CINT(BgL_arg2684z00_2482));
											}
											BgL_arg2682z00_2480 =
												VECTOR_REF(BgL_sz00_211, (int) (BgL_arg2683z00_2481));
										}
										VECTOR_SET(BgL_rz00_2475,
											(int) (BgL_iz00_2477), BgL_arg2682z00_2480);
									}
									{
										long BgL_iz00_22399;

										BgL_iz00_22399 = (BgL_iz00_2477 + ((long) 1));
										BgL_iz00_2477 = BgL_iz00_22399;
										goto BgL_zc3anonymousza32680ze3z83_2478;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_valza2za2_215, long BgL_spz00_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1135 */
			{	/* Eval/evaluate_comp.scm 1136 */
				long BgL_stopz00_2486;

				{	/* Eval/evaluate_comp.scm 1136 */
					int BgL_arg2695z00_2496;

					BgL_arg2695z00_2496 = VECTOR_LENGTH(BgL_valza2za2_215);
					BgL_stopz00_2486 = (BgL_spz00_216 + (long) (BgL_arg2695z00_2496));
				}
				{
					long BgL_iz00_8983;
					long BgL_spz00_8984;

					BgL_iz00_8983 = ((long) 0);
					BgL_spz00_8984 = BgL_spz00_216;
				BgL_recz00_8982:
					if ((BgL_spz00_8984 < BgL_stopz00_2486))
						{	/* Eval/evaluate_comp.scm 1137 */
							VECTOR_SET(BgL_sz00_214,
								(int) (BgL_spz00_8984),
								VECTOR_REF(BgL_valza2za2_215, (int) (BgL_iz00_8983)));
							{
								long BgL_spz00_22412;
								long BgL_iz00_22410;

								BgL_iz00_22410 = (BgL_iz00_8983 + ((long) 1));
								BgL_spz00_22412 = (BgL_spz00_8984 + ((long) 1));
								BgL_spz00_8984 = BgL_spz00_22412;
								BgL_iz00_8983 = BgL_iz00_22410;
								goto BgL_recz00_8982;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1137 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5632z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5633z00zz__evaluate_compz00);
		}
	}



/* &comp1635 */
	obj_t BGl_z62comp1635z62zz__evaluate_compz00(obj_t BgL_envz00_16063,
		BgL_ev_exprz00_bglt BgL_ez00_16064, obj_t BgL_stkz00_16065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_2498;
				obj_t BgL_stkz00_2499;

				BgL_ez00_2498 = BgL_ez00_16064;
				BgL_stkz00_2499 = BgL_stkz00_16065;
				return
					BGl_errorz00zz__errorz00(BGl_string5544z00zz__evaluate_compz00,
					BGl_string5634z00zz__evaluate_compz00, ((obj_t) BgL_ez00_2498));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1636z00_2502;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res4815z00_9035;

					{	/* Eval/evaluate_comp.scm 264 */
						BgL_objectz00_bglt BgL_objz00_9007;

						BgL_objz00_9007 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_objzd2classzd2numz00_9008;

							{	/* Eval/evaluate_comp.scm 264 */
								long BgL_res4809z00_9011;

								BgL_res4809z00_9011 = BGL_OBJECT_CLASS_NUM(BgL_objz00_9007);
								BgL_objzd2classzd2numz00_9008 = BgL_res4809z00_9011;
							}
							{	/* Eval/evaluate_comp.scm 264 */
								obj_t BgL_arg4311z00_9009;

								BgL_arg4311z00_9009 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 264 */
									obj_t BgL_arrayz00_9012;
									int BgL_offsetz00_9013;

									BgL_arrayz00_9012 = BgL_arg4311z00_9009;
									BgL_offsetz00_9013 = (int) (BgL_objzd2classzd2numz00_9008);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_offsetz00_9014;

										BgL_offsetz00_9014 =
											((long) (BgL_offsetz00_9013) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_modz00_9015;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4313z00_9016;

												BgL_arg4313z00_9016 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res4812z00_9026;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_22425;

														BgL_auxz00_22425 = (long) (BgL_arg4313z00_9016);
														BgL_res4812z00_9026 =
															(BgL_offsetz00_9014 / BgL_auxz00_22425);
													}
													BgL_modz00_9015 = BgL_res4812z00_9026;
											}}
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_restz00_9017;

												{	/* Eval/evaluate_comp.scm 264 */
													int BgL_arg4312z00_9018;

													BgL_arg4312z00_9018 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_res4814z00_9030;

														{	/* Eval/evaluate_comp.scm 264 */
															long BgL_auxz00_22429;

															BgL_auxz00_22429 = (long) (BgL_arg4312z00_9018);
															BgL_res4814z00_9030 =
																(BgL_offsetz00_9014 % BgL_auxz00_22429);
														}
														BgL_restz00_9017 = BgL_res4814z00_9030;
												}}
												{	/* Eval/evaluate_comp.scm 264 */

													BgL_res4815z00_9035 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_9012,
															(int) (BgL_modz00_9015)),
														(int) (BgL_restz00_9017));
					}}}}}}}}
					BgL_method1636z00_2502 = BgL_res4815z00_9035;
				}
				return
					PROCEDURE_ENTRY(BgL_method1636z00_2502) (BgL_method1636z00_2502,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_16066,
		obj_t BgL_ez00_16067, obj_t BgL_stkz00_16068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_22442;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_16067,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_22442 = ((BgL_ev_exprz00_bglt) BgL_ez00_16067);
					}
				else
					{
						obj_t BgL_auxz00_22446;

						BgL_auxz00_22446 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5549z00zz__evaluate_compz00, BINT(((long) 6608)),
							BGl_string5635z00zz__evaluate_compz00,
							BGl_string5551z00zz__evaluate_compz00, BgL_ez00_16067);
						FAILURE(BgL_auxz00_22446, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_22442, BgL_stkz00_16068);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5636z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5638z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5639z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5640z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5641z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5642z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5643z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5644z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5645z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5646z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5647z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5648z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5649z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5650z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5651z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5652z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5653z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5654z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5655z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5656z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5657z00zz__evaluate_compz00,
				BGl_string5637z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1678 */
	obj_t BGl_z62compzd2ev_abs1678zb0zz__evaluate_compz00(obj_t BgL_envz00_16259,
		BgL_ev_absz00_bglt BgL_ez00_16260, obj_t BgL_stkz00_16261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3254;
				obj_t BgL_stkz00_3255;

				BgL_ez00_3254 = BgL_ez00_16260;
				BgL_stkz00_3255 = BgL_stkz00_16261;
				{	/* Eval/evaluate_comp.scm 1108 */
					obj_t BgL_ifreesz00_3259;
					obj_t BgL_iboxesz00_3260;
					long BgL_siza7eza7_3261;
					long BgL_siza7ezd2framez75_3262;
					obj_t BgL_nstkz00_3263;

					{	/* Eval/evaluate_comp.scm 1108 */
						obj_t BgL_arg3989z00_5283;

						{	/* Eval/evaluate_comp.scm 1108 */
							obj_t BgL_l1615z00_5284;

							BgL_l1615z00_5284 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_freez00);
							if (NULLP(BgL_l1615z00_5284))
								{	/* Eval/evaluate_comp.scm 1108 */
									BgL_arg3989z00_5283 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1108 */
									obj_t BgL_head1617z00_5286;

									{	/* Eval/evaluate_comp.scm 1108 */
										obj_t BgL_res4952z00_10292;

										BgL_res4952z00_10292 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1617z00_5286 = BgL_res4952z00_10292;
									}
									{
										obj_t BgL_l1615z00_10326;
										obj_t BgL_tail1618z00_10327;

										BgL_l1615z00_10326 = BgL_l1615z00_5284;
										BgL_tail1618z00_10327 = BgL_head1617z00_5286;
									BgL_zc3anonymousza33991ze3z83_10325:
										if (NULLP(BgL_l1615z00_10326))
											{	/* Eval/evaluate_comp.scm 1108 */
												BgL_arg3989z00_5283 = CDR(BgL_head1617z00_5286);
											}
										else
											{	/* Eval/evaluate_comp.scm 1108 */
												obj_t BgL_newtail1619z00_10334;

												{	/* Eval/evaluate_comp.scm 1108 */
													obj_t BgL_arg3994z00_10335;

													BgL_arg3994z00_10335 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1615z00_10326), BgL_stkz00_3255);
													{	/* Eval/evaluate_comp.scm 1108 */
														obj_t BgL_res4958z00_10344;

														BgL_res4958z00_10344 =
															MAKE_PAIR(BgL_arg3994z00_10335, BNIL);
														BgL_newtail1619z00_10334 = BgL_res4958z00_10344;
													}
												}
												SET_CDR(BgL_tail1618z00_10327,
													BgL_newtail1619z00_10334);
												{
													obj_t BgL_tail1618z00_22485;
													obj_t BgL_l1615z00_22483;

													BgL_l1615z00_22483 = CDR(BgL_l1615z00_10326);
													BgL_tail1618z00_22485 = BgL_newtail1619z00_10334;
													BgL_tail1618z00_10327 = BgL_tail1618z00_22485;
													BgL_l1615z00_10326 = BgL_l1615z00_22483;
													goto BgL_zc3anonymousza33991ze3z83_10325;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3259 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3989z00_5283);
					}
					{	/* Eval/evaluate_comp.scm 1109 */
						obj_t BgL_arg3995z00_5297;

						{	/* Eval/evaluate_comp.scm 1109 */
							obj_t BgL_l1620z00_5298;

							BgL_l1620z00_5298 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_boxesz00);
							if (NULLP(BgL_l1620z00_5298))
								{	/* Eval/evaluate_comp.scm 1109 */
									BgL_arg3995z00_5297 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1109 */
									obj_t BgL_head1622z00_5300;

									{	/* Eval/evaluate_comp.scm 1109 */
										obj_t BgL_res4960z00_10352;

										BgL_res4960z00_10352 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1622z00_5300 = BgL_res4960z00_10352;
									}
									{
										obj_t BgL_l1620z00_5302;
										obj_t BgL_tail1623z00_5303;

										BgL_l1620z00_5302 = BgL_l1620z00_5298;
										BgL_tail1623z00_5303 = BgL_head1622z00_5300;
									BgL_zc3anonymousza33997ze3z83_5304:
										if (NULLP(BgL_l1620z00_5302))
											{	/* Eval/evaluate_comp.scm 1109 */
												BgL_arg3995z00_5297 = CDR(BgL_head1622z00_5300);
											}
										else
											{	/* Eval/evaluate_comp.scm 1109 */
												obj_t BgL_newtail1624z00_5306;

												{	/* Eval/evaluate_comp.scm 1109 */
													obj_t BgL_arg4000z00_5308;

													BgL_arg4000z00_5308 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1620z00_5302),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1109 */
														obj_t BgL_res4962z00_10359;

														BgL_res4962z00_10359 =
															MAKE_PAIR(BgL_arg4000z00_5308, BNIL);
														BgL_newtail1624z00_5306 = BgL_res4962z00_10359;
													}
												}
												SET_CDR(BgL_tail1623z00_5303, BgL_newtail1624z00_5306);
												{
													obj_t BgL_tail1623z00_22501;
													obj_t BgL_l1620z00_22499;

													BgL_l1620z00_22499 = CDR(BgL_l1620z00_5302);
													BgL_tail1623z00_22501 = BgL_newtail1624z00_5306;
													BgL_tail1623z00_5303 = BgL_tail1623z00_22501;
													BgL_l1620z00_5302 = BgL_l1620z00_22499;
													goto BgL_zc3anonymousza33997ze3z83_5304;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3260 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3995z00_5297);
					}
					BgL_siza7eza7_3261 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_varsz00));
					BgL_siza7ezd2framez75_3262 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_freez00)));
					BgL_nstkz00_3263 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1113 */
						obj_t BgL_bodyz00_3264;

						BgL_bodyz00_3264 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_bodyz00),
							BgL_nstkz00_3263);
						{

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_aux1276z00_3266;

								BgL_aux1276z00_3266 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3254))->BgL_arityz00);
								if (INTEGERP(BgL_aux1276z00_3266))
									{	/* Eval/evaluate_comp.scm 1115 */
										switch ((long) CINT(BgL_aux1276z00_3266))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22518;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3107z00_3425;

														BgL_arg3107z00_3425 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22518 =
															((long) (BgL_arg3107z00_3425) == ((long) 0));
													}
													if (BgL_testz00_22518)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22522;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3069z00_3344;

																BgL_arg3069z00_3344 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22522 =
																	((long) (BgL_arg3069z00_3344) == ((long) 0));
															}
															if (BgL_testz00_22522)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33036ze3z83_16080;

																	BgL_zc3anonymousza33036ze3z83_16080 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33036ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33036ze3z83_16080,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33036ze3z83_16080,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33036ze3z83_16080,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33036ze3z83_16080;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33052ze3z83_16077;

																	BgL_zc3anonymousza33052ze3z83_16077 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33052ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33052ze3z83_16077,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33052ze3z83_16077,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33052ze3z83_16077,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33052ze3z83_16077,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33052ze3z83_16077;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22550;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3106z00_3424;

																BgL_arg3106z00_3424 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22550 =
																	((long) (BgL_arg3106z00_3424) == ((long) 0));
															}
															if (BgL_testz00_22550)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33071ze3z83_16074;

																	BgL_zc3anonymousza33071ze3z83_16074 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33071ze3z83_16074,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33071ze3z83_16074,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33071ze3z83_16074,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33071ze3z83_16074,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33071ze3z83_16074,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33071ze3z83_16074;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33088ze3z83_16071;

																	BgL_zc3anonymousza33088ze3z83_16071 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33088ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33088ze3z83_16071,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33088ze3z83_16071;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22588;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3184z00_3591;

														BgL_arg3184z00_3591 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22588 =
															((long) (BgL_arg3184z00_3591) == ((long) 0));
													}
													if (BgL_testz00_22588)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22592;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3145z00_3506;

																BgL_arg3145z00_3506 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22592 =
																	((long) (BgL_arg3145z00_3506) == ((long) 0));
															}
															if (BgL_testz00_22592)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33110ze3z83_16092;

																	BgL_zc3anonymousza33110ze3z83_16092 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33110ze3z83_16092,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33110ze3z83_16092,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33110ze3z83_16092,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33110ze3z83_16092;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33128ze3z83_16089;

																	BgL_zc3anonymousza33128ze3z83_16089 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33128ze3z83_16089,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33128ze3z83_16089,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33128ze3z83_16089,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33128ze3z83_16089,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33128ze3z83_16089;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22620;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3183z00_3590;

																BgL_arg3183z00_3590 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22620 =
																	((long) (BgL_arg3183z00_3590) == ((long) 0));
															}
															if (BgL_testz00_22620)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33147ze3z83_16086;

																	BgL_zc3anonymousza33147ze3z83_16086 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33147ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33147ze3z83_16086,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33147ze3z83_16086,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33147ze3z83_16086,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33147ze3z83_16086,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33147ze3z83_16086,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33147ze3z83_16086;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33165ze3z83_16083;

																	BgL_zc3anonymousza33165ze3z83_16083 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33165ze3z83_16083,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33165ze3z83_16083;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22658;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3260z00_3757;

														BgL_arg3260z00_3757 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22658 =
															((long) (BgL_arg3260z00_3757) == ((long) 0));
													}
													if (BgL_testz00_22658)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22662;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3221z00_3672;

																BgL_arg3221z00_3672 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22662 =
																	((long) (BgL_arg3221z00_3672) == ((long) 0));
															}
															if (BgL_testz00_22662)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33187ze3z83_16104;

																	BgL_zc3anonymousza33187ze3z83_16104 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33187ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33187ze3z83_16104,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33187ze3z83_16104,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33187ze3z83_16104,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33187ze3z83_16104;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33204ze3z83_16101;

																	BgL_zc3anonymousza33204ze3z83_16101 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33204ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33204ze3z83_16101,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33204ze3z83_16101,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33204ze3z83_16101,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33204ze3z83_16101,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33204ze3z83_16101;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22690;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3259z00_3756;

																BgL_arg3259z00_3756 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22690 =
																	((long) (BgL_arg3259z00_3756) == ((long) 0));
															}
															if (BgL_testz00_22690)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33223ze3z83_16098;

																	BgL_zc3anonymousza33223ze3z83_16098 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33223ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33223ze3z83_16098,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33223ze3z83_16098,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33223ze3z83_16098,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33223ze3z83_16098,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33223ze3z83_16098,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33223ze3z83_16098;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33241ze3z83_16095;

																	BgL_zc3anonymousza33241ze3z83_16095 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33241ze3z83_16095,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33241ze3z83_16095;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22728;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3340z00_3931;

														BgL_arg3340z00_3931 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22728 =
															((long) (BgL_arg3340z00_3931) == ((long) 0));
													}
													if (BgL_testz00_22728)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22732;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3299z00_3842;

																BgL_arg3299z00_3842 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22732 =
																	((long) (BgL_arg3299z00_3842) == ((long) 0));
															}
															if (BgL_testz00_22732)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33263ze3z83_16116;

																	BgL_zc3anonymousza33263ze3z83_16116 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33263ze3z83_16116,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33263ze3z83_16116,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33263ze3z83_16116,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33263ze3z83_16116;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33281ze3z83_16113;

																	BgL_zc3anonymousza33281ze3z83_16113 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33281ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33281ze3z83_16113,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33281ze3z83_16113,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33281ze3z83_16113,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33281ze3z83_16113,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33281ze3z83_16113;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22760;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3339z00_3930;

																BgL_arg3339z00_3930 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22760 =
																	((long) (BgL_arg3339z00_3930) == ((long) 0));
															}
															if (BgL_testz00_22760)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33301ze3z83_16110;

																	BgL_zc3anonymousza33301ze3z83_16110 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33301ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33301ze3z83_16110,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33301ze3z83_16110,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33301ze3z83_16110,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33301ze3z83_16110,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33301ze3z83_16110,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33301ze3z83_16110;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33320ze3z83_16107;

																	BgL_zc3anonymousza33320ze3z83_16107 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33320ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33320ze3z83_16107,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33320ze3z83_16107;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22798;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3420z00_4105;

														BgL_arg3420z00_4105 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22798 =
															((long) (BgL_arg3420z00_4105) == ((long) 0));
													}
													if (BgL_testz00_22798)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22802;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3379z00_4016;

																BgL_arg3379z00_4016 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22802 =
																	((long) (BgL_arg3379z00_4016) == ((long) 0));
															}
															if (BgL_testz00_22802)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33343ze3z83_16128;

																	BgL_zc3anonymousza33343ze3z83_16128 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33343ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33343ze3z83_16128,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33343ze3z83_16128,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33343ze3z83_16128,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33343ze3z83_16128;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33361ze3z83_16125;

																	BgL_zc3anonymousza33361ze3z83_16125 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33361ze3z83_16125,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33361ze3z83_16125,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33361ze3z83_16125,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33361ze3z83_16125,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33361ze3z83_16125;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22830;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3419z00_4104;

																BgL_arg3419z00_4104 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22830 =
																	((long) (BgL_arg3419z00_4104) == ((long) 0));
															}
															if (BgL_testz00_22830)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33381ze3z83_16122;

																	BgL_zc3anonymousza33381ze3z83_16122 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16122,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16122,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16122,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16122,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33381ze3z83_16122,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33381ze3z83_16122;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33400ze3z83_16119;

																	BgL_zc3anonymousza33400ze3z83_16119 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33400ze3z83_16119,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33400ze3z83_16119;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22868;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3504z00_4287;

														BgL_arg3504z00_4287 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22868 =
															((long) (BgL_arg3504z00_4287) == ((long) 0));
													}
													if (BgL_testz00_22868)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22872;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3461z00_4194;

																BgL_arg3461z00_4194 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22872 =
																	((long) (BgL_arg3461z00_4194) == ((long) 0));
															}
															if (BgL_testz00_22872)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33423ze3z83_16140;

																	BgL_zc3anonymousza33423ze3z83_16140 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33423ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33423ze3z83_16140,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33423ze3z83_16140,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33423ze3z83_16140,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33423ze3z83_16140;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33442ze3z83_16137;

																	BgL_zc3anonymousza33442ze3z83_16137 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33442ze3z83_16137,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33442ze3z83_16137,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33442ze3z83_16137,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33442ze3z83_16137,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33442ze3z83_16137;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22900;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3503z00_4286;

																BgL_arg3503z00_4286 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22900 =
																	((long) (BgL_arg3503z00_4286) == ((long) 0));
															}
															if (BgL_testz00_22900)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33463ze3z83_16134;

																	BgL_zc3anonymousza33463ze3z83_16134 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33463ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33463ze3z83_16134,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33463ze3z83_16134,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33463ze3z83_16134,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33463ze3z83_16134,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33463ze3z83_16134,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33463ze3z83_16134;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33483ze3z83_16131;

																	BgL_zc3anonymousza33483ze3z83_16131 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33483ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33483ze3z83_16131,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33483ze3z83_16131;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22938;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3588z00_4469;

														BgL_arg3588z00_4469 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_22938 =
															((long) (BgL_arg3588z00_4469) == ((long) 0));
													}
													if (BgL_testz00_22938)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22942;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3545z00_4376;

																BgL_arg3545z00_4376 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22942 =
																	((long) (BgL_arg3545z00_4376) == ((long) 0));
															}
															if (BgL_testz00_22942)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33507ze3z83_16152;

																	BgL_zc3anonymousza33507ze3z83_16152 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33507ze3z83_16152,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33507ze3z83_16152,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33507ze3z83_16152,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33507ze3z83_16152;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33526ze3z83_16149;

																	BgL_zc3anonymousza33526ze3z83_16149 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33526ze3z83_16149,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33526ze3z83_16149,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33526ze3z83_16149,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33526ze3z83_16149,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33526ze3z83_16149;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22970;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3587z00_4468;

																BgL_arg3587z00_4468 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_22970 =
																	((long) (BgL_arg3587z00_4468) == ((long) 0));
															}
															if (BgL_testz00_22970)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33547ze3z83_16146;

																	BgL_zc3anonymousza33547ze3z83_16146 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33547ze3z83_16146,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33547ze3z83_16146,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33547ze3z83_16146,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33547ze3z83_16146,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33547ze3z83_16146,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33547ze3z83_16146;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33567ze3z83_16143;

																	BgL_zc3anonymousza33567ze3z83_16143 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33567ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33567ze3z83_16143,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33567ze3z83_16143;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23008;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3678z00_4659;

														BgL_arg3678z00_4659 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_23008 =
															((long) (BgL_arg3678z00_4659) == ((long) 0));
													}
													if (BgL_testz00_23008)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23012;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3632z00_4562;

																BgL_arg3632z00_4562 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23012 =
																	((long) (BgL_arg3632z00_4562) == ((long) 0));
															}
															if (BgL_testz00_23012)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33591ze3z83_16164;

																	BgL_zc3anonymousza33591ze3z83_16164 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33591ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33591ze3z83_16164,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33591ze3z83_16164,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33591ze3z83_16164,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33591ze3z83_16164;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33612ze3z83_16161;

																	BgL_zc3anonymousza33612ze3z83_16161 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33612ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33612ze3z83_16161,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33612ze3z83_16161,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33612ze3z83_16161,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33612ze3z83_16161,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33612ze3z83_16161;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23040;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3677z00_4658;

																BgL_arg3677z00_4658 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23040 =
																	((long) (BgL_arg3677z00_4658) == ((long) 0));
															}
															if (BgL_testz00_23040)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33634ze3z83_16158;

																	BgL_zc3anonymousza33634ze3z83_16158 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33634ze3z83_16158,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33634ze3z83_16158,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33634ze3z83_16158,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33634ze3z83_16158,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33634ze3z83_16158,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33634ze3z83_16158;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33656ze3z83_16155;

																	BgL_zc3anonymousza33656ze3z83_16155 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33656ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33656ze3z83_16155,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33656ze3z83_16155;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23078;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3767z00_4849;

														BgL_arg3767z00_4849 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_23078 =
															((long) (BgL_arg3767z00_4849) == ((long) 0));
													}
													if (BgL_testz00_23078)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23082;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3722z00_4752;

																BgL_arg3722z00_4752 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23082 =
																	((long) (BgL_arg3722z00_4752) == ((long) 0));
															}
															if (BgL_testz00_23082)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33681ze3z83_16176;

																	BgL_zc3anonymousza33681ze3z83_16176 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33681ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33681ze3z83_16176,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33681ze3z83_16176,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33681ze3z83_16176,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33681ze3z83_16176;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33702ze3z83_16173;

																	BgL_zc3anonymousza33702ze3z83_16173 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16173,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16173,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16173,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33702ze3z83_16173,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33702ze3z83_16173;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23110;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3766z00_4848;

																BgL_arg3766z00_4848 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23110 =
																	((long) (BgL_arg3766z00_4848) == ((long) 0));
															}
															if (BgL_testz00_23110)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33724ze3z83_16170;

																	BgL_zc3anonymousza33724ze3z83_16170 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16170,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16170,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16170,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16170,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33724ze3z83_16170,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33724ze3z83_16170;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33745ze3z83_16167;

																	BgL_zc3anonymousza33745ze3z83_16167 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33745ze3z83_16167,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33745ze3z83_16167;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23148;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3859z00_5047;

														BgL_arg3859z00_5047 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_23148 =
															((long) (BgL_arg3859z00_5047) == ((long) 0));
													}
													if (BgL_testz00_23148)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23152;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3812z00_4946;

																BgL_arg3812z00_4946 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23152 =
																	((long) (BgL_arg3812z00_4946) == ((long) 0));
															}
															if (BgL_testz00_23152)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33770ze3z83_16188;

																	BgL_zc3anonymousza33770ze3z83_16188 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16188,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16188,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_16188,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33770ze3z83_16188;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33791ze3z83_16185;

																	BgL_zc3anonymousza33791ze3z83_16185 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16185,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16185,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16185,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33791ze3z83_16185,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33791ze3z83_16185;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23180;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3858z00_5046;

																BgL_arg3858z00_5046 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23180 =
																	((long) (BgL_arg3858z00_5046) == ((long) 0));
															}
															if (BgL_testz00_23180)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33814ze3z83_16182;

																	BgL_zc3anonymousza33814ze3z83_16182 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16182,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16182,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16182,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16182,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33814ze3z83_16182,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33814ze3z83_16182;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33836ze3z83_16179;

																	BgL_zc3anonymousza33836ze3z83_16179 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33836ze3z83_16179,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33836ze3z83_16179;
																}
														}
												}
												break;
											default:
											BgL_case_else1275z00_3265:
												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23218;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3987z00_5281;

														BgL_arg3987z00_5281 =
															VECTOR_LENGTH(BgL_ifreesz00_3259);
														BgL_testz00_23218 =
															((long) (BgL_arg3987z00_5281) == ((long) 0));
													}
													if (BgL_testz00_23218)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23222;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3922z00_5162;

																BgL_arg3922z00_5162 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23222 =
																	((long) (BgL_arg3922z00_5162) == ((long) 0));
															}
															if (BgL_testz00_23222)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33862ze3z83_16200;

																	BgL_zc3anonymousza33862ze3z83_16200 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16200,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16200,
																		(int) (((long) 1)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_16200,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33862ze3z83_16200;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33892ze3z83_16197;

																	BgL_zc3anonymousza33892ze3z83_16197 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16197,
																		(int) (((long) 0)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16197,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16197,
																		(int) (((long) 2)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33892ze3z83_16197,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33892ze3z83_16197;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23250;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3986z00_5280;

																BgL_arg3986z00_5280 =
																	VECTOR_LENGTH(BgL_iboxesz00_3260);
																BgL_testz00_23250 =
																	((long) (BgL_arg3986z00_5280) == ((long) 0));
															}
															if (BgL_testz00_23250)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33924ze3z83_16194;

																	BgL_zc3anonymousza33924ze3z83_16194 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16194,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16194,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16194,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16194,
																		(int) (((long) 3)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33924ze3z83_16194,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33924ze3z83_16194;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33955ze3z83_16191;

																	BgL_zc3anonymousza33955ze3z83_16191 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 0)), BgL_ifreesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 1)), BgL_iboxesz00_3260);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3261));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3254));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 4)), BgL_bodyz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33955ze3z83_16191,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3262));
																	return BgL_zc3anonymousza33955ze3z83_16191;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										goto BgL_case_else1275z00_3265;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3770> */
	obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16262, obj_t BgL_sz00_16266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16263;
				obj_t BgL_bodyz00_16264;
				long BgL_siza7ezd2framez75_16265;

				BgL_i1250z00_16263 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16262, (int) (((long) 0))));
				BgL_bodyz00_16264 = PROCEDURE_REF(BgL_envz00_16262, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16265 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16262, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4852;

					BgL_sz00_4852 = BgL_sz00_16266;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4854;

						BgL_bpz00_4854 = VECTOR_REF(BgL_sz00_4852, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16186;

								BgL_runz00_16186 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16186,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16263));
								PROCEDURE_SET(BgL_runz00_16186,
									(int) (((long) 1)), BgL_bodyz00_16264);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16187;

									BgL_mainz00_16187 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16263));
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 1)), BgL_bodyz00_16264);
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 2)), BgL_runz00_16186);
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16265));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14909;

										BgL_objz00_14909 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16186, BgL_objz00_14909);
										BgL_objz00_14909;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3771z00_4857;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3772z00_4858;

											BgL_arg3772z00_4858 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16263))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14913;

												BgL_newz00_14913 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23325;

													BgL_auxz00_23325 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14913, BgL_auxz00_23325,
														BgL_arg3772z00_4858);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23330;
													int BgL_auxz00_23328;

													BgL_auxz00_23330 = BINT(BgL_siza7ezd2framez75_16265);
													BgL_auxz00_23328 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14913, BgL_auxz00_23328,
														BgL_auxz00_23330);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23333;

													BgL_auxz00_23333 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14913, BgL_auxz00_23333,
														BgL_runz00_16186);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23338;
													int BgL_auxz00_23336;

													BgL_auxz00_23338 = BINT(((long) -5));
													BgL_auxz00_23336 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14913, BgL_auxz00_23336,
														BgL_auxz00_23338);
												}
												BgL_arg3771z00_4857 = BgL_newz00_14913;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16187, BgL_arg3771z00_4857);
										BgL_arg3771z00_4857;
									}
									return BgL_mainz00_16187;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_16267,
		obj_t BgL_az00_16272, obj_t BgL_bz00_16273, obj_t BgL_cz00_16274,
		obj_t BgL_dz00_16275, obj_t BgL_lastz00_16276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16270;
				long BgL_siza7ezd2framez75_16271;

				BgL_runz00_16270 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16267, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16271 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16267, (int) (((long) 3))));
				{
					obj_t BgL_az00_4859;
					obj_t BgL_bz00_4860;
					obj_t BgL_cz00_4861;
					obj_t BgL_dz00_4862;
					obj_t BgL_lastz00_4863;

					BgL_az00_4859 = BgL_az00_16272;
					BgL_bz00_4860 = BgL_bz00_16273;
					BgL_cz00_4861 = BgL_cz00_16274;
					BgL_dz00_4862 = BgL_dz00_16275;
					BgL_lastz00_4863 = BgL_lastz00_16276;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4865;

						BgL_sz00_4865 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4866;

							BgL_bpz00_4866 = VECTOR_REF(BgL_sz00_4865, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23351;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14817;

									BgL_arg1897z00_14817 = VECTOR_LENGTH(BgL_sz00_4865);
									BgL_testz00_23351 =
										(
										((long) CINT(BgL_bpz00_4866) +
											BgL_siza7ezd2framez75_16271) <
										(long) (BgL_arg1897z00_14817));
								}
								if (BgL_testz00_23351)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3775z00_4868;

											BgL_arg3775z00_4868 =
												((long) CINT(BgL_bpz00_4866) + ((long) 0));
											VECTOR_SET(BgL_sz00_4865,
												(int) (BgL_arg3775z00_4868), BgL_az00_4859);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3776z00_4869;

											BgL_arg3776z00_4869 =
												((long) CINT(BgL_bpz00_4866) + ((long) 1));
											VECTOR_SET(BgL_sz00_4865,
												(int) (BgL_arg3776z00_4869), BgL_bz00_4860);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3777z00_4870;

											BgL_arg3777z00_4870 =
												((long) CINT(BgL_bpz00_4866) + ((long) 2));
											VECTOR_SET(BgL_sz00_4865,
												(int) (BgL_arg3777z00_4870), BgL_cz00_4861);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3778z00_4871;

											BgL_arg3778z00_4871 =
												((long) CINT(BgL_bpz00_4866) + ((long) 3));
											VECTOR_SET(BgL_sz00_4865,
												(int) (BgL_arg3778z00_4871), BgL_dz00_4862);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3779z00_4872;

											BgL_arg3779z00_4872 =
												((long) CINT(BgL_bpz00_4866) + ((long) 4));
											VECTOR_SET(BgL_sz00_4865,
												(int) (BgL_arg3779z00_4872), BgL_lastz00_4863);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1493z00_4873;

											BgL_val1493z00_4873 =
												BGl_zc3exitza33783ze3z83zz__evaluate_compz00
												(BgL_bpz00_4866, BgL_sz00_4865, BgL_runz00_16270);
											VECTOR_SET(BgL_sz00_4865, (int) (((long) 0)),
												BgL_bpz00_4866);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1493z00_4873)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1493z00_4873), CDR(BgL_val1493z00_4873));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1493z00_4873;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4880;

										BgL_nsz00_4880 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 1)), BgL_sz00_4865);
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 2)), BgL_az00_4859);
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 3)), BgL_bz00_4860);
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 4)), BgL_cz00_4861);
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 5)), BgL_dz00_4862);
										VECTOR_SET(BgL_nsz00_4880,
											(int) (((long) 6)), BgL_lastz00_4863);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23399;

											BgL_auxz00_23399 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23399, BgL_nsz00_4880);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1496z00_4882;

											BgL_val1496z00_4882 =
												BGl_zc3exitza33789ze3z83zz__evaluate_compz00
												(BgL_runz00_16270, BgL_nsz00_4880);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23403;

												BgL_auxz00_23403 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23403, BgL_sz00_4865);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1496z00_4882)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1496z00_4882), CDR(BgL_val1496z00_4882));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1496z00_4882;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3789> */
	obj_t BGl_zc3exitza33789ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17630,
		obj_t BgL_nsz00_17629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1497z00_4888;

			if (SET_EXIT(BgL_an_exit1497z00_4888))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1497z00_4888 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1497z00_4888, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1498z00_4889;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14881;

								BgL_savedzd2bpzd2_14881 =
									VECTOR_REF(BgL_nsz00_17629, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17629,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14888;

									BgL_fz00_14888 = BgL_runz00_17630;
								BgL_recz00_14887:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14889;

										BgL_rz00_14889 =
											PROCEDURE_ENTRY(BgL_fz00_14888) (BgL_fz00_14888,
											BgL_nsz00_17629, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23424;

											if (PROCEDUREP(BgL_rz00_14889))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14894;

													BgL_arg1889z00_14894 = PROCEDURE_ATTR(BgL_rz00_14889);
													if (STRUCTP(BgL_arg1889z00_14894))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23424 =
																(STRUCT_KEY(BgL_arg1889z00_14894) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23424 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23424 = ((bool_t) 0);
												}
											if (BgL_testz00_23424)
												{
													obj_t BgL_fz00_23432;

													BgL_fz00_23432 = BgL_rz00_14889;
													BgL_fz00_14888 = BgL_fz00_23432;
													goto BgL_recz00_14887;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17629,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14881);
													BgL_val1498z00_4889 = BgL_rz00_14889;
							}}}}}
							POP_EXIT();
							return BgL_val1498z00_4889;
						}
					}
				}
		}
	}



/* <exit:3783> */
	obj_t BGl_zc3exitza33783ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17633,
		obj_t BgL_sz00_17632, obj_t BgL_runz00_17631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1494z00_4878;

			if (SET_EXIT(BgL_an_exit1494z00_4878))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1494z00_4878 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1494z00_4878, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1495z00_4879;

							BgL_val1495z00_4879 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17631,
								BgL_sz00_17632, BgL_bpz00_17633);
							POP_EXIT();
							return BgL_val1495z00_4879;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_16277,
		obj_t BgL_sz00_16280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16278;
				obj_t BgL_bodyz00_16279;

				BgL_i1250z00_16278 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16277, (int) (((long) 0))));
				BgL_bodyz00_16279 = PROCEDURE_REF(BgL_envz00_16277, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4891;

					BgL_sz00_4891 = BgL_sz00_16280;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4893;

						BgL_bpz00_4893 = VECTOR_REF(BgL_sz00_4891, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4894;
							obj_t BgL_wherez00_4895;
							obj_t BgL_locz00_4896;

							BgL_z12denvz12_4894 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4895 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16278))->BgL_wherez00);
							BgL_locz00_4896 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16278))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4894, BgL_wherez00_4895,
									BgL_locz00_4896);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4897;

									BgL_za2za2resza2za2z00_4897 =
										PROCEDURE_ENTRY(BgL_bodyz00_16279) (BgL_bodyz00_16279,
										BgL_sz00_4891, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4894);
									return BgL_za2za2resza2za2z00_4897;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3791> */
	obj_t BGl_z62zc3anonymousza33791ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16281, obj_t BgL_sz00_16286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16282;
				BgL_ev_absz00_bglt BgL_i1250z00_16283;
				obj_t BgL_bodyz00_16284;
				long BgL_siza7ezd2framez75_16285;

				BgL_iboxesz00_16282 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16281, (int) (((long) 0))));
				BgL_i1250z00_16283 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16281, (int) (((long) 1))));
				BgL_bodyz00_16284 = PROCEDURE_REF(BgL_envz00_16281, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16285 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16281, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4899;

					BgL_sz00_4899 = BgL_sz00_16286;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4901;

						BgL_bpz00_4901 = VECTOR_REF(BgL_sz00_4899, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16183;

								BgL_runz00_16183 =
									MAKE_FX_PROCEDURE(BGl_z62run5447z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 0)), BgL_iboxesz00_16282);
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16283));
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 2)), BgL_bodyz00_16284);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16184;

									BgL_mainz00_16184 =
										MAKE_VA_PROCEDURE(BGl_z62main5446z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 0)), BgL_iboxesz00_16282);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16283));
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 2)), BgL_bodyz00_16284);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 3)), BgL_runz00_16183);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16285));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15036;

										BgL_objz00_15036 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16183, BgL_objz00_15036);
										BgL_objz00_15036;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3792z00_4904;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3793z00_4905;

											BgL_arg3793z00_4905 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16283))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15040;

												BgL_newz00_15040 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23499;

													BgL_auxz00_23499 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15040, BgL_auxz00_23499,
														BgL_arg3793z00_4905);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23504;
													int BgL_auxz00_23502;

													BgL_auxz00_23504 = BINT(BgL_siza7ezd2framez75_16285);
													BgL_auxz00_23502 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15040, BgL_auxz00_23502,
														BgL_auxz00_23504);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23507;

													BgL_auxz00_23507 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15040, BgL_auxz00_23507,
														BgL_runz00_16183);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23512;
													int BgL_auxz00_23510;

													BgL_auxz00_23512 = BINT(((long) -5));
													BgL_auxz00_23510 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15040, BgL_auxz00_23510,
														BgL_auxz00_23512);
												}
												BgL_arg3792z00_4904 = BgL_newz00_15040;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16184, BgL_arg3792z00_4904);
										BgL_arg3792z00_4904;
									}
									return BgL_mainz00_16184;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5446 */
	obj_t BGl_z62main5446z62zz__evaluate_compz00(obj_t BgL_envz00_16287,
		obj_t BgL_az00_16293, obj_t BgL_bz00_16294, obj_t BgL_cz00_16295,
		obj_t BgL_dz00_16296, obj_t BgL_lastz00_16297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16291;
				long BgL_siza7ezd2framez75_16292;

				BgL_runz00_16291 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16287, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16292 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16287, (int) (((long) 4))));
				{
					obj_t BgL_az00_4906;
					obj_t BgL_bz00_4907;
					obj_t BgL_cz00_4908;
					obj_t BgL_dz00_4909;
					obj_t BgL_lastz00_4910;

					BgL_az00_4906 = BgL_az00_16293;
					BgL_bz00_4907 = BgL_bz00_16294;
					BgL_cz00_4908 = BgL_cz00_16295;
					BgL_dz00_4909 = BgL_dz00_16296;
					BgL_lastz00_4910 = BgL_lastz00_16297;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4912;

						BgL_sz00_4912 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4913;

							BgL_bpz00_4913 = VECTOR_REF(BgL_sz00_4912, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23525;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14944;

									BgL_arg1897z00_14944 = VECTOR_LENGTH(BgL_sz00_4912);
									BgL_testz00_23525 =
										(
										((long) CINT(BgL_bpz00_4913) +
											BgL_siza7ezd2framez75_16292) <
										(long) (BgL_arg1897z00_14944));
								}
								if (BgL_testz00_23525)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3796z00_4915;

											BgL_arg3796z00_4915 =
												((long) CINT(BgL_bpz00_4913) + ((long) 0));
											VECTOR_SET(BgL_sz00_4912,
												(int) (BgL_arg3796z00_4915), BgL_az00_4906);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3797z00_4916;

											BgL_arg3797z00_4916 =
												((long) CINT(BgL_bpz00_4913) + ((long) 1));
											VECTOR_SET(BgL_sz00_4912,
												(int) (BgL_arg3797z00_4916), BgL_bz00_4907);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3798z00_4917;

											BgL_arg3798z00_4917 =
												((long) CINT(BgL_bpz00_4913) + ((long) 2));
											VECTOR_SET(BgL_sz00_4912,
												(int) (BgL_arg3798z00_4917), BgL_cz00_4908);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3799z00_4918;

											BgL_arg3799z00_4918 =
												((long) CINT(BgL_bpz00_4913) + ((long) 3));
											VECTOR_SET(BgL_sz00_4912,
												(int) (BgL_arg3799z00_4918), BgL_dz00_4909);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3800z00_4919;

											BgL_arg3800z00_4919 =
												((long) CINT(BgL_bpz00_4913) + ((long) 4));
											VECTOR_SET(BgL_sz00_4912,
												(int) (BgL_arg3800z00_4919), BgL_lastz00_4910);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1499z00_4920;

											BgL_val1499z00_4920 =
												BGl_zc3exitza33804ze3z83zz__evaluate_compz00
												(BgL_bpz00_4913, BgL_sz00_4912, BgL_runz00_16291);
											VECTOR_SET(BgL_sz00_4912, (int) (((long) 0)),
												BgL_bpz00_4913);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1499z00_4920)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1499z00_4920), CDR(BgL_val1499z00_4920));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1499z00_4920;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4927;

										BgL_nsz00_4927 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 1)), BgL_sz00_4912);
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 2)), BgL_az00_4906);
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 3)), BgL_bz00_4907);
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 4)), BgL_cz00_4908);
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 5)), BgL_dz00_4909);
										VECTOR_SET(BgL_nsz00_4927,
											(int) (((long) 6)), BgL_lastz00_4910);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23573;

											BgL_auxz00_23573 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23573, BgL_nsz00_4927);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1502z00_4929;

											BgL_val1502z00_4929 =
												BGl_zc3exitza33810ze3z83zz__evaluate_compz00
												(BgL_runz00_16291, BgL_nsz00_4927);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23577;

												BgL_auxz00_23577 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23577, BgL_sz00_4912);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1502z00_4929)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1502z00_4929), CDR(BgL_val1502z00_4929));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1502z00_4929;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3810> */
	obj_t BGl_zc3exitza33810ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17625,
		obj_t BgL_nsz00_17624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1503z00_4935;

			if (SET_EXIT(BgL_an_exit1503z00_4935))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1503z00_4935 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1503z00_4935, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1504z00_4936;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15008;

								BgL_savedzd2bpzd2_15008 =
									VECTOR_REF(BgL_nsz00_17624, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17624,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15015;

									BgL_fz00_15015 = BgL_runz00_17625;
								BgL_recz00_15014:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15016;

										BgL_rz00_15016 =
											PROCEDURE_ENTRY(BgL_fz00_15015) (BgL_fz00_15015,
											BgL_nsz00_17624, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23598;

											if (PROCEDUREP(BgL_rz00_15016))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_15021;

													BgL_arg1889z00_15021 = PROCEDURE_ATTR(BgL_rz00_15016);
													if (STRUCTP(BgL_arg1889z00_15021))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23598 =
																(STRUCT_KEY(BgL_arg1889z00_15021) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23598 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23598 = ((bool_t) 0);
												}
											if (BgL_testz00_23598)
												{
													obj_t BgL_fz00_23606;

													BgL_fz00_23606 = BgL_rz00_15016;
													BgL_fz00_15015 = BgL_fz00_23606;
													goto BgL_recz00_15014;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17624,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15008);
													BgL_val1504z00_4936 = BgL_rz00_15016;
							}}}}}
							POP_EXIT();
							return BgL_val1504z00_4936;
						}
					}
				}
		}
	}



/* <exit:3804> */
	obj_t BGl_zc3exitza33804ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17628,
		obj_t BgL_sz00_17627, obj_t BgL_runz00_17626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1500z00_4925;

			if (SET_EXIT(BgL_an_exit1500z00_4925))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1500z00_4925 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1500z00_4925, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1501z00_4926;

							BgL_val1501z00_4926 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17626,
								BgL_sz00_17627, BgL_bpz00_17628);
							POP_EXIT();
							return BgL_val1501z00_4926;
						}
					}
				}
		}
	}



/* &run5447 */
	obj_t BGl_z62run5447z62zz__evaluate_compz00(obj_t BgL_envz00_16298,
		obj_t BgL_sz00_16302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16299;
				BgL_ev_absz00_bglt BgL_i1250z00_16300;
				obj_t BgL_bodyz00_16301;

				BgL_iboxesz00_16299 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 0))));
				BgL_i1250z00_16300 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 1))));
				BgL_bodyz00_16301 = PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4938;

					BgL_sz00_4938 = BgL_sz00_16302;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4940;

						BgL_bpz00_4940 = VECTOR_REF(BgL_sz00_4938, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4938,
							BgL_iboxesz00_16299, BgL_bpz00_4940);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4941;
							obj_t BgL_wherez00_4942;
							obj_t BgL_locz00_4943;

							BgL_z12denvz12_4941 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4942 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16300))->BgL_wherez00);
							BgL_locz00_4943 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16300))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4941, BgL_wherez00_4942,
									BgL_locz00_4943);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4944;

									BgL_za2za2resza2za2z00_4944 =
										PROCEDURE_ENTRY(BgL_bodyz00_16301) (BgL_bodyz00_16301,
										BgL_sz00_4938, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4941);
									return BgL_za2za2resza2za2z00_4944;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3814> */
	obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16303, obj_t BgL_sz00_16309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16304;
				long BgL_siza7eza7_16305;
				BgL_ev_absz00_bglt BgL_i1250z00_16306;
				obj_t BgL_bodyz00_16307;
				long BgL_siza7ezd2framez75_16308;

				BgL_ifreesz00_16304 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 0))));
				BgL_siza7eza7_16305 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 1))));
				BgL_i1250z00_16306 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 2))));
				BgL_bodyz00_16307 = PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16308 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4948;

					BgL_sz00_4948 = BgL_sz00_16309;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4950;

						BgL_bpz00_4950 = VECTOR_REF(BgL_sz00_4948, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4951;

							BgL_valza2za2_4951 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4948,
								BgL_bpz00_4950, BgL_ifreesz00_16304);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16180;

								BgL_runz00_16180 =
									MAKE_FX_PROCEDURE(BGl_z62run5449z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16305));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 1)), BgL_valza2za2_4951);
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16306));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 3)), BgL_bodyz00_16307);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16181;

									BgL_mainz00_16181 =
										MAKE_VA_PROCEDURE(BGl_z62main5448z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16305));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 1)), BgL_valza2za2_4951);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16306));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 3)), BgL_bodyz00_16307);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 4)), BgL_runz00_16180);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16308));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15170;

										BgL_objz00_15170 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16180, BgL_objz00_15170);
										BgL_objz00_15170;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3815z00_4954;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3816z00_4955;

											BgL_arg3816z00_4955 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16306))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15174;

												BgL_newz00_15174 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23687;

													BgL_auxz00_23687 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15174, BgL_auxz00_23687,
														BgL_arg3816z00_4955);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23692;
													int BgL_auxz00_23690;

													BgL_auxz00_23692 = BINT(BgL_siza7ezd2framez75_16308);
													BgL_auxz00_23690 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15174, BgL_auxz00_23690,
														BgL_auxz00_23692);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23695;

													BgL_auxz00_23695 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15174, BgL_auxz00_23695,
														BgL_runz00_16180);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23700;
													int BgL_auxz00_23698;

													BgL_auxz00_23700 = BINT(((long) -5));
													BgL_auxz00_23698 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15174, BgL_auxz00_23698,
														BgL_auxz00_23700);
												}
												BgL_arg3815z00_4954 = BgL_newz00_15174;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16181, BgL_arg3815z00_4954);
										BgL_arg3815z00_4954;
									}
									return BgL_mainz00_16181;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5448 */
	obj_t BGl_z62main5448z62zz__evaluate_compz00(obj_t BgL_envz00_16310,
		obj_t BgL_az00_16317, obj_t BgL_bz00_16318, obj_t BgL_cz00_16319,
		obj_t BgL_dz00_16320, obj_t BgL_lastz00_16321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16315;
				long BgL_siza7ezd2framez75_16316;

				BgL_runz00_16315 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16310, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16316 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16310, (int) (((long) 5))));
				{
					obj_t BgL_az00_4956;
					obj_t BgL_bz00_4957;
					obj_t BgL_cz00_4958;
					obj_t BgL_dz00_4959;
					obj_t BgL_lastz00_4960;

					BgL_az00_4956 = BgL_az00_16317;
					BgL_bz00_4957 = BgL_bz00_16318;
					BgL_cz00_4958 = BgL_cz00_16319;
					BgL_dz00_4959 = BgL_dz00_16320;
					BgL_lastz00_4960 = BgL_lastz00_16321;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4962;

						BgL_sz00_4962 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4963;

							BgL_bpz00_4963 = VECTOR_REF(BgL_sz00_4962, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23713;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_15078;

									BgL_arg1897z00_15078 = VECTOR_LENGTH(BgL_sz00_4962);
									BgL_testz00_23713 =
										(
										((long) CINT(BgL_bpz00_4963) +
											BgL_siza7ezd2framez75_16316) <
										(long) (BgL_arg1897z00_15078));
								}
								if (BgL_testz00_23713)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3819z00_4965;

											BgL_arg3819z00_4965 =
												((long) CINT(BgL_bpz00_4963) + ((long) 0));
											VECTOR_SET(BgL_sz00_4962,
												(int) (BgL_arg3819z00_4965), BgL_az00_4956);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3820z00_4966;

											BgL_arg3820z00_4966 =
												((long) CINT(BgL_bpz00_4963) + ((long) 1));
											VECTOR_SET(BgL_sz00_4962,
												(int) (BgL_arg3820z00_4966), BgL_bz00_4957);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3821z00_4967;

											BgL_arg3821z00_4967 =
												((long) CINT(BgL_bpz00_4963) + ((long) 2));
											VECTOR_SET(BgL_sz00_4962,
												(int) (BgL_arg3821z00_4967), BgL_cz00_4958);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3822z00_4968;

											BgL_arg3822z00_4968 =
												((long) CINT(BgL_bpz00_4963) + ((long) 3));
											VECTOR_SET(BgL_sz00_4962,
												(int) (BgL_arg3822z00_4968), BgL_dz00_4959);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3823z00_4969;

											BgL_arg3823z00_4969 =
												((long) CINT(BgL_bpz00_4963) + ((long) 4));
											VECTOR_SET(BgL_sz00_4962,
												(int) (BgL_arg3823z00_4969), BgL_lastz00_4960);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1505z00_4970;

											BgL_val1505z00_4970 =
												BGl_zc3exitza33827ze3z83zz__evaluate_compz00
												(BgL_bpz00_4963, BgL_sz00_4962, BgL_runz00_16315);
											VECTOR_SET(BgL_sz00_4962, (int) (((long) 0)),
												BgL_bpz00_4963);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1505z00_4970)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1505z00_4970), CDR(BgL_val1505z00_4970));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1505z00_4970;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4977;

										BgL_nsz00_4977 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 1)), BgL_sz00_4962);
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 2)), BgL_az00_4956);
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 3)), BgL_bz00_4957);
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 4)), BgL_cz00_4958);
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 5)), BgL_dz00_4959);
										VECTOR_SET(BgL_nsz00_4977,
											(int) (((long) 6)), BgL_lastz00_4960);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23761;

											BgL_auxz00_23761 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23761, BgL_nsz00_4977);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1508z00_4979;

											BgL_val1508z00_4979 =
												BGl_zc3exitza33833ze3z83zz__evaluate_compz00
												(BgL_runz00_16315, BgL_nsz00_4977);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23765;

												BgL_auxz00_23765 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23765, BgL_sz00_4962);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1508z00_4979)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1508z00_4979), CDR(BgL_val1508z00_4979));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1508z00_4979;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3833> */
	obj_t BGl_zc3exitza33833ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17620,
		obj_t BgL_nsz00_17619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1509z00_4985;

			if (SET_EXIT(BgL_an_exit1509z00_4985))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1509z00_4985 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1509z00_4985, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1510z00_4986;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15142;

								BgL_savedzd2bpzd2_15142 =
									VECTOR_REF(BgL_nsz00_17619, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17619,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15149;

									BgL_fz00_15149 = BgL_runz00_17620;
								BgL_recz00_15148:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15150;

										BgL_rz00_15150 =
											PROCEDURE_ENTRY(BgL_fz00_15149) (BgL_fz00_15149,
											BgL_nsz00_17619, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23786;

											if (PROCEDUREP(BgL_rz00_15150))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_15155;

													BgL_arg1889z00_15155 = PROCEDURE_ATTR(BgL_rz00_15150);
													if (STRUCTP(BgL_arg1889z00_15155))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23786 =
																(STRUCT_KEY(BgL_arg1889z00_15155) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23786 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23786 = ((bool_t) 0);
												}
											if (BgL_testz00_23786)
												{
													obj_t BgL_fz00_23794;

													BgL_fz00_23794 = BgL_rz00_15150;
													BgL_fz00_15149 = BgL_fz00_23794;
													goto BgL_recz00_15148;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17619,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15142);
													BgL_val1510z00_4986 = BgL_rz00_15150;
							}}}}}
							POP_EXIT();
							return BgL_val1510z00_4986;
						}
					}
				}
		}
	}



/* <exit:3827> */
	obj_t BGl_zc3exitza33827ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17623,
		obj_t BgL_sz00_17622, obj_t BgL_runz00_17621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1506z00_4975;

			if (SET_EXIT(BgL_an_exit1506z00_4975))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1506z00_4975 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1506z00_4975, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1507z00_4976;

							BgL_val1507z00_4976 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17621,
								BgL_sz00_17622, BgL_bpz00_17623);
							POP_EXIT();
							return BgL_val1507z00_4976;
						}
					}
				}
		}
	}



/* &run5449 */
	obj_t BGl_z62run5449z62zz__evaluate_compz00(obj_t BgL_envz00_16322,
		obj_t BgL_sz00_16327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16323;
				obj_t BgL_valza2za2_16324;
				BgL_ev_absz00_bglt BgL_i1250z00_16325;
				obj_t BgL_bodyz00_16326;

				BgL_siza7eza7_16323 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16322, (int) (((long) 0))));
				BgL_valza2za2_16324 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16322, (int) (((long) 1))));
				BgL_i1250z00_16325 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16322, (int) (((long) 2))));
				BgL_bodyz00_16326 = PROCEDURE_REF(BgL_envz00_16322, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4988;

					BgL_sz00_4988 = BgL_sz00_16327;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4990;

						BgL_bpz00_4990 = VECTOR_REF(BgL_sz00_4988, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4988,
							BgL_valza2za2_16324,
							((long) CINT(BgL_bpz00_4990) + BgL_siza7eza7_16323));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4992;
							obj_t BgL_wherez00_4993;
							obj_t BgL_locz00_4994;

							BgL_z12denvz12_4992 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4993 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16325))->BgL_wherez00);
							BgL_locz00_4994 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16325))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4992, BgL_wherez00_4993,
									BgL_locz00_4994);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4995;

									BgL_za2za2resza2za2z00_4995 =
										PROCEDURE_ENTRY(BgL_bodyz00_16326) (BgL_bodyz00_16326,
										BgL_sz00_4988, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4992);
									return BgL_za2za2resza2za2z00_4995;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3836> */
	obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16328, obj_t BgL_sz00_16335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16329;
				obj_t BgL_iboxesz00_16330;
				long BgL_siza7eza7_16331;
				BgL_ev_absz00_bglt BgL_i1250z00_16332;
				obj_t BgL_bodyz00_16333;
				long BgL_siza7ezd2framez75_16334;

				BgL_ifreesz00_16329 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 0))));
				BgL_iboxesz00_16330 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 1))));
				BgL_siza7eza7_16331 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 2))));
				BgL_i1250z00_16332 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 3))));
				BgL_bodyz00_16333 = PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16334 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4997;

					BgL_sz00_4997 = BgL_sz00_16335;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4999;

						BgL_bpz00_4999 = VECTOR_REF(BgL_sz00_4997, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5000;

							BgL_valza2za2_5000 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4997,
								BgL_bpz00_4999, BgL_ifreesz00_16329);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16177;

								BgL_runz00_16177 =
									MAKE_FX_PROCEDURE(BGl_z62run5451z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 0)), BgL_iboxesz00_16330);
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16331));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 2)), BgL_valza2za2_5000);
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16332));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 4)), BgL_bodyz00_16333);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16178;

									BgL_mainz00_16178 =
										MAKE_VA_PROCEDURE(BGl_z62main5450z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 0)), BgL_iboxesz00_16330);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16331));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 2)), BgL_valza2za2_5000);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16332));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 4)), BgL_bodyz00_16333);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 5)), BgL_runz00_16177);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16334));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15300;

										BgL_objz00_15300 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16177, BgL_objz00_15300);
										BgL_objz00_15300;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3837z00_5003;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3838z00_5004;

											BgL_arg3838z00_5004 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16332))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15304;

												BgL_newz00_15304 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23887;

													BgL_auxz00_23887 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15304, BgL_auxz00_23887,
														BgL_arg3838z00_5004);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23892;
													int BgL_auxz00_23890;

													BgL_auxz00_23892 = BINT(BgL_siza7ezd2framez75_16334);
													BgL_auxz00_23890 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15304, BgL_auxz00_23890,
														BgL_auxz00_23892);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23895;

													BgL_auxz00_23895 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15304, BgL_auxz00_23895,
														BgL_runz00_16177);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23900;
													int BgL_auxz00_23898;

													BgL_auxz00_23900 = BINT(((long) -5));
													BgL_auxz00_23898 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15304, BgL_auxz00_23898,
														BgL_auxz00_23900);
												}
												BgL_arg3837z00_5003 = BgL_newz00_15304;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16178, BgL_arg3837z00_5003);
										BgL_arg3837z00_5003;
									}
									return BgL_mainz00_16178;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5450 */
	obj_t BGl_z62main5450z62zz__evaluate_compz00(obj_t BgL_envz00_16336,
		obj_t BgL_az00_16344, obj_t BgL_bz00_16345, obj_t BgL_cz00_16346,
		obj_t BgL_dz00_16347, obj_t BgL_lastz00_16348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16342;
				long BgL_siza7ezd2framez75_16343;

				BgL_runz00_16342 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16336, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16343 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16336, (int) (((long) 6))));
				{
					obj_t BgL_az00_5005;
					obj_t BgL_bz00_5006;
					obj_t BgL_cz00_5007;
					obj_t BgL_dz00_5008;
					obj_t BgL_lastz00_5009;

					BgL_az00_5005 = BgL_az00_16344;
					BgL_bz00_5006 = BgL_bz00_16345;
					BgL_cz00_5007 = BgL_cz00_16346;
					BgL_dz00_5008 = BgL_dz00_16347;
					BgL_lastz00_5009 = BgL_lastz00_16348;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5011;

						BgL_sz00_5011 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5012;

							BgL_bpz00_5012 = VECTOR_REF(BgL_sz00_5011, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23913;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_15208;

									BgL_arg1897z00_15208 = VECTOR_LENGTH(BgL_sz00_5011);
									BgL_testz00_23913 =
										(
										((long) CINT(BgL_bpz00_5012) +
											BgL_siza7ezd2framez75_16343) <
										(long) (BgL_arg1897z00_15208));
								}
								if (BgL_testz00_23913)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3841z00_5014;

											BgL_arg3841z00_5014 =
												((long) CINT(BgL_bpz00_5012) + ((long) 0));
											VECTOR_SET(BgL_sz00_5011,
												(int) (BgL_arg3841z00_5014), BgL_az00_5005);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3842z00_5015;

											BgL_arg3842z00_5015 =
												((long) CINT(BgL_bpz00_5012) + ((long) 1));
											VECTOR_SET(BgL_sz00_5011,
												(int) (BgL_arg3842z00_5015), BgL_bz00_5006);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3843z00_5016;

											BgL_arg3843z00_5016 =
												((long) CINT(BgL_bpz00_5012) + ((long) 2));
											VECTOR_SET(BgL_sz00_5011,
												(int) (BgL_arg3843z00_5016), BgL_cz00_5007);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3844z00_5017;

											BgL_arg3844z00_5017 =
												((long) CINT(BgL_bpz00_5012) + ((long) 3));
											VECTOR_SET(BgL_sz00_5011,
												(int) (BgL_arg3844z00_5017), BgL_dz00_5008);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3845z00_5018;

											BgL_arg3845z00_5018 =
												((long) CINT(BgL_bpz00_5012) + ((long) 4));
											VECTOR_SET(BgL_sz00_5011,
												(int) (BgL_arg3845z00_5018), BgL_lastz00_5009);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1511z00_5019;

											BgL_val1511z00_5019 =
												BGl_zc3exitza33849ze3z83zz__evaluate_compz00
												(BgL_bpz00_5012, BgL_sz00_5011, BgL_runz00_16342);
											VECTOR_SET(BgL_sz00_5011, (int) (((long) 0)),
												BgL_bpz00_5012);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1511z00_5019)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1511z00_5019), CDR(BgL_val1511z00_5019));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1511z00_5019;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5026;

										BgL_nsz00_5026 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 1)), BgL_sz00_5011);
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 2)), BgL_az00_5005);
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 3)), BgL_bz00_5006);
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 4)), BgL_cz00_5007);
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 5)), BgL_dz00_5008);
										VECTOR_SET(BgL_nsz00_5026,
											(int) (((long) 6)), BgL_lastz00_5009);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23961;

											BgL_auxz00_23961 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23961, BgL_nsz00_5026);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1514z00_5028;

											BgL_val1514z00_5028 =
												BGl_zc3exitza33855ze3z83zz__evaluate_compz00
												(BgL_runz00_16342, BgL_nsz00_5026);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23965;

												BgL_auxz00_23965 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23965, BgL_sz00_5011);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1514z00_5028)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1514z00_5028), CDR(BgL_val1514z00_5028));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1514z00_5028;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3855> */
	obj_t BGl_zc3exitza33855ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17615,
		obj_t BgL_nsz00_17614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1515z00_5034;

			if (SET_EXIT(BgL_an_exit1515z00_5034))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1515z00_5034 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1515z00_5034, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1516z00_5035;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15272;

								BgL_savedzd2bpzd2_15272 =
									VECTOR_REF(BgL_nsz00_17614, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17614,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15279;

									BgL_fz00_15279 = BgL_runz00_17615;
								BgL_recz00_15278:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15280;

										BgL_rz00_15280 =
											PROCEDURE_ENTRY(BgL_fz00_15279) (BgL_fz00_15279,
											BgL_nsz00_17614, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23986;

											if (PROCEDUREP(BgL_rz00_15280))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_15285;

													BgL_arg1889z00_15285 = PROCEDURE_ATTR(BgL_rz00_15280);
													if (STRUCTP(BgL_arg1889z00_15285))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23986 =
																(STRUCT_KEY(BgL_arg1889z00_15285) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23986 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23986 = ((bool_t) 0);
												}
											if (BgL_testz00_23986)
												{
													obj_t BgL_fz00_23994;

													BgL_fz00_23994 = BgL_rz00_15280;
													BgL_fz00_15279 = BgL_fz00_23994;
													goto BgL_recz00_15278;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17614,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15272);
													BgL_val1516z00_5035 = BgL_rz00_15280;
							}}}}}
							POP_EXIT();
							return BgL_val1516z00_5035;
						}
					}
				}
		}
	}



/* <exit:3849> */
	obj_t BGl_zc3exitza33849ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17618,
		obj_t BgL_sz00_17617, obj_t BgL_runz00_17616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1512z00_5024;

			if (SET_EXIT(BgL_an_exit1512z00_5024))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1512z00_5024 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1512z00_5024, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1513z00_5025;

							BgL_val1513z00_5025 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17616,
								BgL_sz00_17617, BgL_bpz00_17618);
							POP_EXIT();
							return BgL_val1513z00_5025;
						}
					}
				}
		}
	}



/* &run5451 */
	obj_t BGl_z62run5451z62zz__evaluate_compz00(obj_t BgL_envz00_16349,
		obj_t BgL_sz00_16355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16350;
				long BgL_siza7eza7_16351;
				obj_t BgL_valza2za2_16352;
				BgL_ev_absz00_bglt BgL_i1250z00_16353;
				obj_t BgL_bodyz00_16354;

				BgL_iboxesz00_16350 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 0))));
				BgL_siza7eza7_16351 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 1))));
				BgL_valza2za2_16352 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 2))));
				BgL_i1250z00_16353 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 3))));
				BgL_bodyz00_16354 = PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5037;

					BgL_sz00_5037 = BgL_sz00_16355;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5039;

						BgL_bpz00_5039 = VECTOR_REF(BgL_sz00_5037, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5037,
							BgL_iboxesz00_16350, BgL_bpz00_5039);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5037,
							BgL_valza2za2_16352,
							((long) CINT(BgL_bpz00_5039) + BgL_siza7eza7_16351));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5041;
							obj_t BgL_wherez00_5042;
							obj_t BgL_locz00_5043;

							BgL_z12denvz12_5041 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5042 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16353))->BgL_wherez00);
							BgL_locz00_5043 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16353))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5041, BgL_wherez00_5042,
									BgL_locz00_5043);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5044;

									BgL_za2za2resza2za2z00_5044 =
										PROCEDURE_ENTRY(BgL_bodyz00_16354) (BgL_bodyz00_16354,
										BgL_sz00_5037, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5041);
									return BgL_za2za2resza2za2z00_5044;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3681> */
	obj_t BGl_z62zc3anonymousza33681ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16356, obj_t BgL_sz00_16360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16357;
				obj_t BgL_bodyz00_16358;
				long BgL_siza7ezd2framez75_16359;

				BgL_i1250z00_16357 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16356, (int) (((long) 0))));
				BgL_bodyz00_16358 = PROCEDURE_REF(BgL_envz00_16356, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16359 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16356, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4662;

					BgL_sz00_4662 = BgL_sz00_16360;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4664;

						BgL_bpz00_4664 = VECTOR_REF(BgL_sz00_4662, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16174;

								BgL_runz00_16174 =
									MAKE_FX_PROCEDURE(BGl_z62run5453z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16174,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16357));
								PROCEDURE_SET(BgL_runz00_16174,
									(int) (((long) 1)), BgL_bodyz00_16358);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16175;

									BgL_mainz00_16175 =
										MAKE_FX_PROCEDURE(BGl_z62main5452z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16357));
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 1)), BgL_bodyz00_16358);
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 2)), BgL_runz00_16174);
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16359));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14410;

										BgL_objz00_14410 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16174, BgL_objz00_14410);
										BgL_objz00_14410;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3682z00_4667;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3683z00_4668;

											BgL_arg3683z00_4668 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16357))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14414;

												BgL_newz00_14414 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24067;

													BgL_auxz00_24067 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14414, BgL_auxz00_24067,
														BgL_arg3683z00_4668);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24072;
													int BgL_auxz00_24070;

													BgL_auxz00_24072 = BINT(BgL_siza7ezd2framez75_16359);
													BgL_auxz00_24070 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14414, BgL_auxz00_24070,
														BgL_auxz00_24072);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24075;

													BgL_auxz00_24075 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14414, BgL_auxz00_24075,
														BgL_runz00_16174);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24080;
													int BgL_auxz00_24078;

													BgL_auxz00_24080 = BINT(((long) 4));
													BgL_auxz00_24078 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14414, BgL_auxz00_24078,
														BgL_auxz00_24080);
												}
												BgL_arg3682z00_4667 = BgL_newz00_14414;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16175, BgL_arg3682z00_4667);
										BgL_arg3682z00_4667;
									}
									return BgL_mainz00_16175;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5452 */
	obj_t BGl_z62main5452z62zz__evaluate_compz00(obj_t BgL_envz00_16361,
		obj_t BgL_az00_16366, obj_t BgL_bz00_16367, obj_t BgL_cz00_16368,
		obj_t BgL_dz00_16369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16364;
				long BgL_siza7ezd2framez75_16365;

				BgL_runz00_16364 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16361, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16365 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16361, (int) (((long) 3))));
				{
					obj_t BgL_az00_4669;
					obj_t BgL_bz00_4670;
					obj_t BgL_cz00_4671;
					obj_t BgL_dz00_4672;

					BgL_az00_4669 = BgL_az00_16366;
					BgL_bz00_4670 = BgL_bz00_16367;
					BgL_cz00_4671 = BgL_cz00_16368;
					BgL_dz00_4672 = BgL_dz00_16369;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4674;

						BgL_sz00_4674 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4675;

							BgL_bpz00_4675 = VECTOR_REF(BgL_sz00_4674, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24093;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14327;

									BgL_arg1897z00_14327 = VECTOR_LENGTH(BgL_sz00_4674);
									BgL_testz00_24093 =
										(
										((long) CINT(BgL_bpz00_4675) +
											BgL_siza7ezd2framez75_16365) <
										(long) (BgL_arg1897z00_14327));
								}
								if (BgL_testz00_24093)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3686z00_4677;

											BgL_arg3686z00_4677 =
												((long) CINT(BgL_bpz00_4675) + ((long) 0));
											VECTOR_SET(BgL_sz00_4674,
												(int) (BgL_arg3686z00_4677), BgL_az00_4669);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3687z00_4678;

											BgL_arg3687z00_4678 =
												((long) CINT(BgL_bpz00_4675) + ((long) 1));
											VECTOR_SET(BgL_sz00_4674,
												(int) (BgL_arg3687z00_4678), BgL_bz00_4670);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3688z00_4679;

											BgL_arg3688z00_4679 =
												((long) CINT(BgL_bpz00_4675) + ((long) 2));
											VECTOR_SET(BgL_sz00_4674,
												(int) (BgL_arg3688z00_4679), BgL_cz00_4671);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3689z00_4680;

											BgL_arg3689z00_4680 =
												((long) CINT(BgL_bpz00_4675) + ((long) 3));
											VECTOR_SET(BgL_sz00_4674,
												(int) (BgL_arg3689z00_4680), BgL_dz00_4672);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1469z00_4681;

											BgL_val1469z00_4681 =
												BGl_zc3exitza33693ze3z83zz__evaluate_compz00
												(BgL_bpz00_4675, BgL_sz00_4674, BgL_runz00_16364);
											VECTOR_SET(BgL_sz00_4674, (int) (((long) 0)),
												BgL_bpz00_4675);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1469z00_4681)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1469z00_4681), CDR(BgL_val1469z00_4681));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1469z00_4681;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4688;

										BgL_nsz00_4688 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4688,
											(int) (((long) 1)), BgL_sz00_4674);
										VECTOR_SET(BgL_nsz00_4688,
											(int) (((long) 2)), BgL_az00_4669);
										VECTOR_SET(BgL_nsz00_4688,
											(int) (((long) 3)), BgL_bz00_4670);
										VECTOR_SET(BgL_nsz00_4688,
											(int) (((long) 4)), BgL_cz00_4671);
										VECTOR_SET(BgL_nsz00_4688,
											(int) (((long) 5)), BgL_dz00_4672);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24135;

											BgL_auxz00_24135 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24135, BgL_nsz00_4688);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1472z00_4690;

											BgL_val1472z00_4690 =
												BGl_zc3exitza33700ze3z83zz__evaluate_compz00
												(BgL_runz00_16364, BgL_nsz00_4688);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24139;

												BgL_auxz00_24139 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24139, BgL_sz00_4674);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1472z00_4690)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1472z00_4690), CDR(BgL_val1472z00_4690));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1472z00_4690;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3700> */
	obj_t BGl_zc3exitza33700ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17610,
		obj_t BgL_nsz00_17609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1473z00_4696;

			if (SET_EXIT(BgL_an_exit1473z00_4696))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1473z00_4696 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1473z00_4696, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1474z00_4697;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14382;

								BgL_savedzd2bpzd2_14382 =
									VECTOR_REF(BgL_nsz00_17609, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17609,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14389;

									BgL_fz00_14389 = BgL_runz00_17610;
								BgL_recz00_14388:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14390;

										BgL_rz00_14390 =
											PROCEDURE_ENTRY(BgL_fz00_14389) (BgL_fz00_14389,
											BgL_nsz00_17609, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24160;

											if (PROCEDUREP(BgL_rz00_14390))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14395;

													BgL_arg1889z00_14395 = PROCEDURE_ATTR(BgL_rz00_14390);
													if (STRUCTP(BgL_arg1889z00_14395))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24160 =
																(STRUCT_KEY(BgL_arg1889z00_14395) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24160 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24160 = ((bool_t) 0);
												}
											if (BgL_testz00_24160)
												{
													obj_t BgL_fz00_24168;

													BgL_fz00_24168 = BgL_rz00_14390;
													BgL_fz00_14389 = BgL_fz00_24168;
													goto BgL_recz00_14388;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17609,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14382);
													BgL_val1474z00_4697 = BgL_rz00_14390;
							}}}}}
							POP_EXIT();
							return BgL_val1474z00_4697;
						}
					}
				}
		}
	}



/* <exit:3693> */
	obj_t BGl_zc3exitza33693ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17613,
		obj_t BgL_sz00_17612, obj_t BgL_runz00_17611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1470z00_4686;

			if (SET_EXIT(BgL_an_exit1470z00_4686))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1470z00_4686 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1470z00_4686, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1471z00_4687;

							BgL_val1471z00_4687 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17611,
								BgL_sz00_17612, BgL_bpz00_17613);
							POP_EXIT();
							return BgL_val1471z00_4687;
						}
					}
				}
		}
	}



/* &run5453 */
	obj_t BGl_z62run5453z62zz__evaluate_compz00(obj_t BgL_envz00_16370,
		obj_t BgL_sz00_16373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16371;
				obj_t BgL_bodyz00_16372;

				BgL_i1250z00_16371 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16370, (int) (((long) 0))));
				BgL_bodyz00_16372 = PROCEDURE_REF(BgL_envz00_16370, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4699;

					BgL_sz00_4699 = BgL_sz00_16373;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4701;

						BgL_bpz00_4701 = VECTOR_REF(BgL_sz00_4699, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4702;
							obj_t BgL_wherez00_4703;
							obj_t BgL_locz00_4704;

							BgL_z12denvz12_4702 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4703 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16371))->BgL_wherez00);
							BgL_locz00_4704 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16371))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4702, BgL_wherez00_4703,
									BgL_locz00_4704);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4705;

									BgL_za2za2resza2za2z00_4705 =
										PROCEDURE_ENTRY(BgL_bodyz00_16372) (BgL_bodyz00_16372,
										BgL_sz00_4699, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4702);
									return BgL_za2za2resza2za2z00_4705;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3702> */
	obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16374, obj_t BgL_sz00_16379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16375;
				BgL_ev_absz00_bglt BgL_i1250z00_16376;
				obj_t BgL_bodyz00_16377;
				long BgL_siza7ezd2framez75_16378;

				BgL_iboxesz00_16375 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16374, (int) (((long) 0))));
				BgL_i1250z00_16376 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16374, (int) (((long) 1))));
				BgL_bodyz00_16377 = PROCEDURE_REF(BgL_envz00_16374, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16378 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16374, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4707;

					BgL_sz00_4707 = BgL_sz00_16379;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4709;

						BgL_bpz00_4709 = VECTOR_REF(BgL_sz00_4707, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16171;

								BgL_runz00_16171 =
									MAKE_FX_PROCEDURE(BGl_z62run5455z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 0)), BgL_iboxesz00_16375);
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16376));
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 2)), BgL_bodyz00_16377);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16172;

									BgL_mainz00_16172 =
										MAKE_FX_PROCEDURE(BGl_z62main5454z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 0)), BgL_iboxesz00_16375);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16376));
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 2)), BgL_bodyz00_16377);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 3)), BgL_runz00_16171);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16378));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14528;

										BgL_objz00_14528 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16171, BgL_objz00_14528);
										BgL_objz00_14528;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3703z00_4712;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3704z00_4713;

											BgL_arg3704z00_4713 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16376))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14532;

												BgL_newz00_14532 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24235;

													BgL_auxz00_24235 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14532, BgL_auxz00_24235,
														BgL_arg3704z00_4713);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24240;
													int BgL_auxz00_24238;

													BgL_auxz00_24240 = BINT(BgL_siza7ezd2framez75_16378);
													BgL_auxz00_24238 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14532, BgL_auxz00_24238,
														BgL_auxz00_24240);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24243;

													BgL_auxz00_24243 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14532, BgL_auxz00_24243,
														BgL_runz00_16171);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24248;
													int BgL_auxz00_24246;

													BgL_auxz00_24248 = BINT(((long) 4));
													BgL_auxz00_24246 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14532, BgL_auxz00_24246,
														BgL_auxz00_24248);
												}
												BgL_arg3703z00_4712 = BgL_newz00_14532;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16172, BgL_arg3703z00_4712);
										BgL_arg3703z00_4712;
									}
									return BgL_mainz00_16172;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5454 */
	obj_t BGl_z62main5454z62zz__evaluate_compz00(obj_t BgL_envz00_16380,
		obj_t BgL_az00_16386, obj_t BgL_bz00_16387, obj_t BgL_cz00_16388,
		obj_t BgL_dz00_16389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16384;
				long BgL_siza7ezd2framez75_16385;

				BgL_runz00_16384 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16380, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16385 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16380, (int) (((long) 4))));
				{
					obj_t BgL_az00_4714;
					obj_t BgL_bz00_4715;
					obj_t BgL_cz00_4716;
					obj_t BgL_dz00_4717;

					BgL_az00_4714 = BgL_az00_16386;
					BgL_bz00_4715 = BgL_bz00_16387;
					BgL_cz00_4716 = BgL_cz00_16388;
					BgL_dz00_4717 = BgL_dz00_16389;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4719;

						BgL_sz00_4719 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4720;

							BgL_bpz00_4720 = VECTOR_REF(BgL_sz00_4719, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24261;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14445;

									BgL_arg1897z00_14445 = VECTOR_LENGTH(BgL_sz00_4719);
									BgL_testz00_24261 =
										(
										((long) CINT(BgL_bpz00_4720) +
											BgL_siza7ezd2framez75_16385) <
										(long) (BgL_arg1897z00_14445));
								}
								if (BgL_testz00_24261)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3707z00_4722;

											BgL_arg3707z00_4722 =
												((long) CINT(BgL_bpz00_4720) + ((long) 0));
											VECTOR_SET(BgL_sz00_4719,
												(int) (BgL_arg3707z00_4722), BgL_az00_4714);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3708z00_4723;

											BgL_arg3708z00_4723 =
												((long) CINT(BgL_bpz00_4720) + ((long) 1));
											VECTOR_SET(BgL_sz00_4719,
												(int) (BgL_arg3708z00_4723), BgL_bz00_4715);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3709z00_4724;

											BgL_arg3709z00_4724 =
												((long) CINT(BgL_bpz00_4720) + ((long) 2));
											VECTOR_SET(BgL_sz00_4719,
												(int) (BgL_arg3709z00_4724), BgL_cz00_4716);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3710z00_4725;

											BgL_arg3710z00_4725 =
												((long) CINT(BgL_bpz00_4720) + ((long) 3));
											VECTOR_SET(BgL_sz00_4719,
												(int) (BgL_arg3710z00_4725), BgL_dz00_4717);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1475z00_4726;

											BgL_val1475z00_4726 =
												BGl_zc3exitza33714ze3z83zz__evaluate_compz00
												(BgL_bpz00_4720, BgL_sz00_4719, BgL_runz00_16384);
											VECTOR_SET(BgL_sz00_4719, (int) (((long) 0)),
												BgL_bpz00_4720);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1475z00_4726)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1475z00_4726), CDR(BgL_val1475z00_4726));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1475z00_4726;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4733;

										BgL_nsz00_4733 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4733,
											(int) (((long) 1)), BgL_sz00_4719);
										VECTOR_SET(BgL_nsz00_4733,
											(int) (((long) 2)), BgL_az00_4714);
										VECTOR_SET(BgL_nsz00_4733,
											(int) (((long) 3)), BgL_bz00_4715);
										VECTOR_SET(BgL_nsz00_4733,
											(int) (((long) 4)), BgL_cz00_4716);
										VECTOR_SET(BgL_nsz00_4733,
											(int) (((long) 5)), BgL_dz00_4717);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24303;

											BgL_auxz00_24303 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24303, BgL_nsz00_4733);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1478z00_4735;

											BgL_val1478z00_4735 =
												BGl_zc3exitza33720ze3z83zz__evaluate_compz00
												(BgL_runz00_16384, BgL_nsz00_4733);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24307;

												BgL_auxz00_24307 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24307, BgL_sz00_4719);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1478z00_4735)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1478z00_4735), CDR(BgL_val1478z00_4735));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1478z00_4735;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3720> */
	obj_t BGl_zc3exitza33720ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17605,
		obj_t BgL_nsz00_17604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1479z00_4741;

			if (SET_EXIT(BgL_an_exit1479z00_4741))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1479z00_4741 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1479z00_4741, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1480z00_4742;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14500;

								BgL_savedzd2bpzd2_14500 =
									VECTOR_REF(BgL_nsz00_17604, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17604,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14507;

									BgL_fz00_14507 = BgL_runz00_17605;
								BgL_recz00_14506:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14508;

										BgL_rz00_14508 =
											PROCEDURE_ENTRY(BgL_fz00_14507) (BgL_fz00_14507,
											BgL_nsz00_17604, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24328;

											if (PROCEDUREP(BgL_rz00_14508))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14513;

													BgL_arg1889z00_14513 = PROCEDURE_ATTR(BgL_rz00_14508);
													if (STRUCTP(BgL_arg1889z00_14513))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24328 =
																(STRUCT_KEY(BgL_arg1889z00_14513) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24328 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24328 = ((bool_t) 0);
												}
											if (BgL_testz00_24328)
												{
													obj_t BgL_fz00_24336;

													BgL_fz00_24336 = BgL_rz00_14508;
													BgL_fz00_14507 = BgL_fz00_24336;
													goto BgL_recz00_14506;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17604,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14500);
													BgL_val1480z00_4742 = BgL_rz00_14508;
							}}}}}
							POP_EXIT();
							return BgL_val1480z00_4742;
						}
					}
				}
		}
	}



/* <exit:3714> */
	obj_t BGl_zc3exitza33714ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17608,
		obj_t BgL_sz00_17607, obj_t BgL_runz00_17606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1476z00_4731;

			if (SET_EXIT(BgL_an_exit1476z00_4731))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1476z00_4731 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1476z00_4731, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1477z00_4732;

							BgL_val1477z00_4732 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17606,
								BgL_sz00_17607, BgL_bpz00_17608);
							POP_EXIT();
							return BgL_val1477z00_4732;
						}
					}
				}
		}
	}



/* &run5455 */
	obj_t BGl_z62run5455z62zz__evaluate_compz00(obj_t BgL_envz00_16390,
		obj_t BgL_sz00_16394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16391;
				BgL_ev_absz00_bglt BgL_i1250z00_16392;
				obj_t BgL_bodyz00_16393;

				BgL_iboxesz00_16391 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16390, (int) (((long) 0))));
				BgL_i1250z00_16392 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16390, (int) (((long) 1))));
				BgL_bodyz00_16393 = PROCEDURE_REF(BgL_envz00_16390, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4744;

					BgL_sz00_4744 = BgL_sz00_16394;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4746;

						BgL_bpz00_4746 = VECTOR_REF(BgL_sz00_4744, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4744,
							BgL_iboxesz00_16391, BgL_bpz00_4746);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4747;
							obj_t BgL_wherez00_4748;
							obj_t BgL_locz00_4749;

							BgL_z12denvz12_4747 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4748 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16392))->BgL_wherez00);
							BgL_locz00_4749 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16392))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4747, BgL_wherez00_4748,
									BgL_locz00_4749);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4750;

									BgL_za2za2resza2za2z00_4750 =
										PROCEDURE_ENTRY(BgL_bodyz00_16393) (BgL_bodyz00_16393,
										BgL_sz00_4744, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4747);
									return BgL_za2za2resza2za2z00_4750;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3724> */
	obj_t BGl_z62zc3anonymousza33724ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16395, obj_t BgL_sz00_16401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16396;
				long BgL_siza7eza7_16397;
				BgL_ev_absz00_bglt BgL_i1250z00_16398;
				obj_t BgL_bodyz00_16399;
				long BgL_siza7ezd2framez75_16400;

				BgL_ifreesz00_16396 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16395, (int) (((long) 0))));
				BgL_siza7eza7_16397 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16395, (int) (((long) 1))));
				BgL_i1250z00_16398 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16395, (int) (((long) 2))));
				BgL_bodyz00_16399 = PROCEDURE_REF(BgL_envz00_16395, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16400 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16395, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4754;

					BgL_sz00_4754 = BgL_sz00_16401;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4756;

						BgL_bpz00_4756 = VECTOR_REF(BgL_sz00_4754, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4757;

							BgL_valza2za2_4757 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4754,
								BgL_bpz00_4756, BgL_ifreesz00_16396);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16168;

								BgL_runz00_16168 =
									MAKE_FX_PROCEDURE(BGl_z62run5457z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16397));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 1)), BgL_valza2za2_4757);
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16398));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 3)), BgL_bodyz00_16399);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16169;

									BgL_mainz00_16169 =
										MAKE_FX_PROCEDURE(BGl_z62main5456z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16397));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 1)), BgL_valza2za2_4757);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16398));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 3)), BgL_bodyz00_16399);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 4)), BgL_runz00_16168);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16400));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14653;

										BgL_objz00_14653 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16168, BgL_objz00_14653);
										BgL_objz00_14653;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3725z00_4760;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3726z00_4761;

											BgL_arg3726z00_4761 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16398))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14657;

												BgL_newz00_14657 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24417;

													BgL_auxz00_24417 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_24417,
														BgL_arg3726z00_4761);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24422;
													int BgL_auxz00_24420;

													BgL_auxz00_24422 = BINT(BgL_siza7ezd2framez75_16400);
													BgL_auxz00_24420 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_24420,
														BgL_auxz00_24422);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24425;

													BgL_auxz00_24425 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_24425,
														BgL_runz00_16168);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24430;
													int BgL_auxz00_24428;

													BgL_auxz00_24430 = BINT(((long) 4));
													BgL_auxz00_24428 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_24428,
														BgL_auxz00_24430);
												}
												BgL_arg3725z00_4760 = BgL_newz00_14657;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16169, BgL_arg3725z00_4760);
										BgL_arg3725z00_4760;
									}
									return BgL_mainz00_16169;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5456 */
	obj_t BGl_z62main5456z62zz__evaluate_compz00(obj_t BgL_envz00_16402,
		obj_t BgL_az00_16409, obj_t BgL_bz00_16410, obj_t BgL_cz00_16411,
		obj_t BgL_dz00_16412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16407;
				long BgL_siza7ezd2framez75_16408;

				BgL_runz00_16407 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16402, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16408 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16402, (int) (((long) 5))));
				{
					obj_t BgL_az00_4762;
					obj_t BgL_bz00_4763;
					obj_t BgL_cz00_4764;
					obj_t BgL_dz00_4765;

					BgL_az00_4762 = BgL_az00_16409;
					BgL_bz00_4763 = BgL_bz00_16410;
					BgL_cz00_4764 = BgL_cz00_16411;
					BgL_dz00_4765 = BgL_dz00_16412;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4767;

						BgL_sz00_4767 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4768;

							BgL_bpz00_4768 = VECTOR_REF(BgL_sz00_4767, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24443;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14570;

									BgL_arg1897z00_14570 = VECTOR_LENGTH(BgL_sz00_4767);
									BgL_testz00_24443 =
										(
										((long) CINT(BgL_bpz00_4768) +
											BgL_siza7ezd2framez75_16408) <
										(long) (BgL_arg1897z00_14570));
								}
								if (BgL_testz00_24443)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3729z00_4770;

											BgL_arg3729z00_4770 =
												((long) CINT(BgL_bpz00_4768) + ((long) 0));
											VECTOR_SET(BgL_sz00_4767,
												(int) (BgL_arg3729z00_4770), BgL_az00_4762);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3730z00_4771;

											BgL_arg3730z00_4771 =
												((long) CINT(BgL_bpz00_4768) + ((long) 1));
											VECTOR_SET(BgL_sz00_4767,
												(int) (BgL_arg3730z00_4771), BgL_bz00_4763);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3731z00_4772;

											BgL_arg3731z00_4772 =
												((long) CINT(BgL_bpz00_4768) + ((long) 2));
											VECTOR_SET(BgL_sz00_4767,
												(int) (BgL_arg3731z00_4772), BgL_cz00_4764);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3732z00_4773;

											BgL_arg3732z00_4773 =
												((long) CINT(BgL_bpz00_4768) + ((long) 3));
											VECTOR_SET(BgL_sz00_4767,
												(int) (BgL_arg3732z00_4773), BgL_dz00_4765);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1481z00_4774;

											BgL_val1481z00_4774 =
												BGl_zc3exitza33736ze3z83zz__evaluate_compz00
												(BgL_bpz00_4768, BgL_sz00_4767, BgL_runz00_16407);
											VECTOR_SET(BgL_sz00_4767, (int) (((long) 0)),
												BgL_bpz00_4768);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1481z00_4774)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1481z00_4774), CDR(BgL_val1481z00_4774));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1481z00_4774;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4781;

										BgL_nsz00_4781 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 1)), BgL_sz00_4767);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 2)), BgL_az00_4762);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 3)), BgL_bz00_4763);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 4)), BgL_cz00_4764);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 5)), BgL_dz00_4765);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24485;

											BgL_auxz00_24485 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24485, BgL_nsz00_4781);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1484z00_4783;

											BgL_val1484z00_4783 =
												BGl_zc3exitza33742ze3z83zz__evaluate_compz00
												(BgL_runz00_16407, BgL_nsz00_4781);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24489;

												BgL_auxz00_24489 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24489, BgL_sz00_4767);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1484z00_4783)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1484z00_4783), CDR(BgL_val1484z00_4783));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1484z00_4783;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3742> */
	obj_t BGl_zc3exitza33742ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17600,
		obj_t BgL_nsz00_17599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1485z00_4789;

			if (SET_EXIT(BgL_an_exit1485z00_4789))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1485z00_4789 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1485z00_4789, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1486z00_4790;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14625;

								BgL_savedzd2bpzd2_14625 =
									VECTOR_REF(BgL_nsz00_17599, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17599,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14632;

									BgL_fz00_14632 = BgL_runz00_17600;
								BgL_recz00_14631:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14633;

										BgL_rz00_14633 =
											PROCEDURE_ENTRY(BgL_fz00_14632) (BgL_fz00_14632,
											BgL_nsz00_17599, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24510;

											if (PROCEDUREP(BgL_rz00_14633))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14638;

													BgL_arg1889z00_14638 = PROCEDURE_ATTR(BgL_rz00_14633);
													if (STRUCTP(BgL_arg1889z00_14638))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24510 =
																(STRUCT_KEY(BgL_arg1889z00_14638) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24510 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24510 = ((bool_t) 0);
												}
											if (BgL_testz00_24510)
												{
													obj_t BgL_fz00_24518;

													BgL_fz00_24518 = BgL_rz00_14633;
													BgL_fz00_14632 = BgL_fz00_24518;
													goto BgL_recz00_14631;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17599,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14625);
													BgL_val1486z00_4790 = BgL_rz00_14633;
							}}}}}
							POP_EXIT();
							return BgL_val1486z00_4790;
						}
					}
				}
		}
	}



/* <exit:3736> */
	obj_t BGl_zc3exitza33736ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17603,
		obj_t BgL_sz00_17602, obj_t BgL_runz00_17601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1482z00_4779;

			if (SET_EXIT(BgL_an_exit1482z00_4779))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1482z00_4779 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1482z00_4779, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1483z00_4780;

							BgL_val1483z00_4780 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17601,
								BgL_sz00_17602, BgL_bpz00_17603);
							POP_EXIT();
							return BgL_val1483z00_4780;
						}
					}
				}
		}
	}



/* &run5457 */
	obj_t BGl_z62run5457z62zz__evaluate_compz00(obj_t BgL_envz00_16413,
		obj_t BgL_sz00_16418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16414;
				obj_t BgL_valza2za2_16415;
				BgL_ev_absz00_bglt BgL_i1250z00_16416;
				obj_t BgL_bodyz00_16417;

				BgL_siza7eza7_16414 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16413, (int) (((long) 0))));
				BgL_valza2za2_16415 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16413, (int) (((long) 1))));
				BgL_i1250z00_16416 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16413, (int) (((long) 2))));
				BgL_bodyz00_16417 = PROCEDURE_REF(BgL_envz00_16413, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4792;

					BgL_sz00_4792 = BgL_sz00_16418;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4794;

						BgL_bpz00_4794 = VECTOR_REF(BgL_sz00_4792, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4792,
							BgL_valza2za2_16415,
							((long) CINT(BgL_bpz00_4794) + BgL_siza7eza7_16414));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4796;
							obj_t BgL_wherez00_4797;
							obj_t BgL_locz00_4798;

							BgL_z12denvz12_4796 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4797 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16416))->BgL_wherez00);
							BgL_locz00_4798 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16416))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4796, BgL_wherez00_4797,
									BgL_locz00_4798);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4799;

									BgL_za2za2resza2za2z00_4799 =
										PROCEDURE_ENTRY(BgL_bodyz00_16417) (BgL_bodyz00_16417,
										BgL_sz00_4792, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4796);
									return BgL_za2za2resza2za2z00_4799;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3745> */
	obj_t BGl_z62zc3anonymousza33745ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16419, obj_t BgL_sz00_16426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16420;
				obj_t BgL_iboxesz00_16421;
				long BgL_siza7eza7_16422;
				BgL_ev_absz00_bglt BgL_i1250z00_16423;
				obj_t BgL_bodyz00_16424;
				long BgL_siza7ezd2framez75_16425;

				BgL_ifreesz00_16420 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 0))));
				BgL_iboxesz00_16421 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 1))));
				BgL_siza7eza7_16422 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 2))));
				BgL_i1250z00_16423 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 3))));
				BgL_bodyz00_16424 = PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16425 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16419, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4801;

					BgL_sz00_4801 = BgL_sz00_16426;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4803;

						BgL_bpz00_4803 = VECTOR_REF(BgL_sz00_4801, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4804;

							BgL_valza2za2_4804 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4801,
								BgL_bpz00_4803, BgL_ifreesz00_16420);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16165;

								BgL_runz00_16165 =
									MAKE_FX_PROCEDURE(BGl_z62run5459z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 0)), BgL_iboxesz00_16421);
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16422));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 2)), BgL_valza2za2_4804);
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16423));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 4)), BgL_bodyz00_16424);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16166;

									BgL_mainz00_16166 =
										MAKE_FX_PROCEDURE(BGl_z62main5458z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 0)), BgL_iboxesz00_16421);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16422));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 2)), BgL_valza2za2_4804);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16423));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 4)), BgL_bodyz00_16424);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 5)), BgL_runz00_16165);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16425));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14774;

										BgL_objz00_14774 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16165, BgL_objz00_14774);
										BgL_objz00_14774;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3746z00_4807;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3747z00_4808;

											BgL_arg3747z00_4808 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16423))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14778;

												BgL_newz00_14778 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24611;

													BgL_auxz00_24611 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14778, BgL_auxz00_24611,
														BgL_arg3747z00_4808);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24616;
													int BgL_auxz00_24614;

													BgL_auxz00_24616 = BINT(BgL_siza7ezd2framez75_16425);
													BgL_auxz00_24614 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14778, BgL_auxz00_24614,
														BgL_auxz00_24616);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24619;

													BgL_auxz00_24619 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14778, BgL_auxz00_24619,
														BgL_runz00_16165);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24624;
													int BgL_auxz00_24622;

													BgL_auxz00_24624 = BINT(((long) 4));
													BgL_auxz00_24622 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14778, BgL_auxz00_24622,
														BgL_auxz00_24624);
												}
												BgL_arg3746z00_4807 = BgL_newz00_14778;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16166, BgL_arg3746z00_4807);
										BgL_arg3746z00_4807;
									}
									return BgL_mainz00_16166;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5458 */
	obj_t BGl_z62main5458z62zz__evaluate_compz00(obj_t BgL_envz00_16427,
		obj_t BgL_az00_16435, obj_t BgL_bz00_16436, obj_t BgL_cz00_16437,
		obj_t BgL_dz00_16438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16433;
				long BgL_siza7ezd2framez75_16434;

				BgL_runz00_16433 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16427, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16434 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16427, (int) (((long) 6))));
				{
					obj_t BgL_az00_4809;
					obj_t BgL_bz00_4810;
					obj_t BgL_cz00_4811;
					obj_t BgL_dz00_4812;

					BgL_az00_4809 = BgL_az00_16435;
					BgL_bz00_4810 = BgL_bz00_16436;
					BgL_cz00_4811 = BgL_cz00_16437;
					BgL_dz00_4812 = BgL_dz00_16438;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4814;

						BgL_sz00_4814 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4815;

							BgL_bpz00_4815 = VECTOR_REF(BgL_sz00_4814, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24637;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14691;

									BgL_arg1897z00_14691 = VECTOR_LENGTH(BgL_sz00_4814);
									BgL_testz00_24637 =
										(
										((long) CINT(BgL_bpz00_4815) +
											BgL_siza7ezd2framez75_16434) <
										(long) (BgL_arg1897z00_14691));
								}
								if (BgL_testz00_24637)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3750z00_4817;

											BgL_arg3750z00_4817 =
												((long) CINT(BgL_bpz00_4815) + ((long) 0));
											VECTOR_SET(BgL_sz00_4814,
												(int) (BgL_arg3750z00_4817), BgL_az00_4809);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3751z00_4818;

											BgL_arg3751z00_4818 =
												((long) CINT(BgL_bpz00_4815) + ((long) 1));
											VECTOR_SET(BgL_sz00_4814,
												(int) (BgL_arg3751z00_4818), BgL_bz00_4810);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3752z00_4819;

											BgL_arg3752z00_4819 =
												((long) CINT(BgL_bpz00_4815) + ((long) 2));
											VECTOR_SET(BgL_sz00_4814,
												(int) (BgL_arg3752z00_4819), BgL_cz00_4811);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3753z00_4820;

											BgL_arg3753z00_4820 =
												((long) CINT(BgL_bpz00_4815) + ((long) 3));
											VECTOR_SET(BgL_sz00_4814,
												(int) (BgL_arg3753z00_4820), BgL_dz00_4812);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1487z00_4821;

											BgL_val1487z00_4821 =
												BGl_zc3exitza33757ze3z83zz__evaluate_compz00
												(BgL_bpz00_4815, BgL_sz00_4814, BgL_runz00_16433);
											VECTOR_SET(BgL_sz00_4814, (int) (((long) 0)),
												BgL_bpz00_4815);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1487z00_4821)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1487z00_4821), CDR(BgL_val1487z00_4821));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1487z00_4821;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4828;

										BgL_nsz00_4828 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4828,
											(int) (((long) 1)), BgL_sz00_4814);
										VECTOR_SET(BgL_nsz00_4828,
											(int) (((long) 2)), BgL_az00_4809);
										VECTOR_SET(BgL_nsz00_4828,
											(int) (((long) 3)), BgL_bz00_4810);
										VECTOR_SET(BgL_nsz00_4828,
											(int) (((long) 4)), BgL_cz00_4811);
										VECTOR_SET(BgL_nsz00_4828,
											(int) (((long) 5)), BgL_dz00_4812);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24679;

											BgL_auxz00_24679 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24679, BgL_nsz00_4828);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1490z00_4830;

											BgL_val1490z00_4830 =
												BGl_zc3exitza33763ze3z83zz__evaluate_compz00
												(BgL_runz00_16433, BgL_nsz00_4828);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24683;

												BgL_auxz00_24683 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24683, BgL_sz00_4814);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1490z00_4830)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1490z00_4830), CDR(BgL_val1490z00_4830));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1490z00_4830;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3763> */
	obj_t BGl_zc3exitza33763ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17595,
		obj_t BgL_nsz00_17594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1491z00_4836;

			if (SET_EXIT(BgL_an_exit1491z00_4836))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1491z00_4836 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1491z00_4836, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1492z00_4837;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14746;

								BgL_savedzd2bpzd2_14746 =
									VECTOR_REF(BgL_nsz00_17594, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17594,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14753;

									BgL_fz00_14753 = BgL_runz00_17595;
								BgL_recz00_14752:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14754;

										BgL_rz00_14754 =
											PROCEDURE_ENTRY(BgL_fz00_14753) (BgL_fz00_14753,
											BgL_nsz00_17594, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24704;

											if (PROCEDUREP(BgL_rz00_14754))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14759;

													BgL_arg1889z00_14759 = PROCEDURE_ATTR(BgL_rz00_14754);
													if (STRUCTP(BgL_arg1889z00_14759))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24704 =
																(STRUCT_KEY(BgL_arg1889z00_14759) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24704 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24704 = ((bool_t) 0);
												}
											if (BgL_testz00_24704)
												{
													obj_t BgL_fz00_24712;

													BgL_fz00_24712 = BgL_rz00_14754;
													BgL_fz00_14753 = BgL_fz00_24712;
													goto BgL_recz00_14752;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17594,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14746);
													BgL_val1492z00_4837 = BgL_rz00_14754;
							}}}}}
							POP_EXIT();
							return BgL_val1492z00_4837;
						}
					}
				}
		}
	}



/* <exit:3757> */
	obj_t BGl_zc3exitza33757ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17598,
		obj_t BgL_sz00_17597, obj_t BgL_runz00_17596)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1488z00_4826;

			if (SET_EXIT(BgL_an_exit1488z00_4826))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1488z00_4826 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1488z00_4826, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1489z00_4827;

							BgL_val1489z00_4827 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17596,
								BgL_sz00_17597, BgL_bpz00_17598);
							POP_EXIT();
							return BgL_val1489z00_4827;
						}
					}
				}
		}
	}



/* &run5459 */
	obj_t BGl_z62run5459z62zz__evaluate_compz00(obj_t BgL_envz00_16439,
		obj_t BgL_sz00_16445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16440;
				long BgL_siza7eza7_16441;
				obj_t BgL_valza2za2_16442;
				BgL_ev_absz00_bglt BgL_i1250z00_16443;
				obj_t BgL_bodyz00_16444;

				BgL_iboxesz00_16440 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16439, (int) (((long) 0))));
				BgL_siza7eza7_16441 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16439, (int) (((long) 1))));
				BgL_valza2za2_16442 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16439, (int) (((long) 2))));
				BgL_i1250z00_16443 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16439, (int) (((long) 3))));
				BgL_bodyz00_16444 = PROCEDURE_REF(BgL_envz00_16439, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4839;

					BgL_sz00_4839 = BgL_sz00_16445;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4841;

						BgL_bpz00_4841 = VECTOR_REF(BgL_sz00_4839, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4839,
							BgL_iboxesz00_16440, BgL_bpz00_4841);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4839,
							BgL_valza2za2_16442,
							((long) CINT(BgL_bpz00_4841) + BgL_siza7eza7_16441));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4843;
							obj_t BgL_wherez00_4844;
							obj_t BgL_locz00_4845;

							BgL_z12denvz12_4843 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4844 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16443))->BgL_wherez00);
							BgL_locz00_4845 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16443))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4843, BgL_wherez00_4844,
									BgL_locz00_4845);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4846;

									BgL_za2za2resza2za2z00_4846 =
										PROCEDURE_ENTRY(BgL_bodyz00_16444) (BgL_bodyz00_16444,
										BgL_sz00_4839, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4843);
									return BgL_za2za2resza2za2z00_4846;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3591> */
	obj_t BGl_z62zc3anonymousza33591ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16446, obj_t BgL_sz00_16450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16447;
				obj_t BgL_bodyz00_16448;
				long BgL_siza7ezd2framez75_16449;

				BgL_i1250z00_16447 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 0))));
				BgL_bodyz00_16448 = PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16449 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16446, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4472;

					BgL_sz00_4472 = BgL_sz00_16450;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4474;

						BgL_bpz00_4474 = VECTOR_REF(BgL_sz00_4472, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16162;

								BgL_runz00_16162 =
									MAKE_FX_PROCEDURE(BGl_z62run5461z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16162,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16447));
								PROCEDURE_SET(BgL_runz00_16162,
									(int) (((long) 1)), BgL_bodyz00_16448);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16163;

									BgL_mainz00_16163 =
										MAKE_VA_PROCEDURE(BGl_z62main5460z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16447));
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 1)), BgL_bodyz00_16448);
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 2)), BgL_runz00_16162);
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16449));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13920;

										BgL_objz00_13920 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16162, BgL_objz00_13920);
										BgL_objz00_13920;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3592z00_4477;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3593z00_4478;

											BgL_arg3593z00_4478 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16447))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13924;

												BgL_newz00_13924 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24785;

													BgL_auxz00_24785 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13924, BgL_auxz00_24785,
														BgL_arg3593z00_4478);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24790;
													int BgL_auxz00_24788;

													BgL_auxz00_24790 = BINT(BgL_siza7ezd2framez75_16449);
													BgL_auxz00_24788 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13924, BgL_auxz00_24788,
														BgL_auxz00_24790);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24793;

													BgL_auxz00_24793 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13924, BgL_auxz00_24793,
														BgL_runz00_16162);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24798;
													int BgL_auxz00_24796;

													BgL_auxz00_24798 = BINT(((long) -4));
													BgL_auxz00_24796 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13924, BgL_auxz00_24796,
														BgL_auxz00_24798);
												}
												BgL_arg3592z00_4477 = BgL_newz00_13924;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16163, BgL_arg3592z00_4477);
										BgL_arg3592z00_4477;
									}
									return BgL_mainz00_16163;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5460 */
	obj_t BGl_z62main5460z62zz__evaluate_compz00(obj_t BgL_envz00_16451,
		obj_t BgL_bz00_16456, obj_t BgL_cz00_16457, obj_t BgL_dz00_16458,
		obj_t BgL_lastz00_16459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16454;
				long BgL_siza7ezd2framez75_16455;

				BgL_runz00_16454 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16451, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16455 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16451, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4479;
					obj_t BgL_cz00_4480;
					obj_t BgL_dz00_4481;
					obj_t BgL_lastz00_4482;

					BgL_bz00_4479 = BgL_bz00_16456;
					BgL_cz00_4480 = BgL_cz00_16457;
					BgL_dz00_4481 = BgL_dz00_16458;
					BgL_lastz00_4482 = BgL_lastz00_16459;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4484;

						BgL_sz00_4484 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4485;

							BgL_bpz00_4485 = VECTOR_REF(BgL_sz00_4484, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24811;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13837;

									BgL_arg1897z00_13837 = VECTOR_LENGTH(BgL_sz00_4484);
									BgL_testz00_24811 =
										(
										((long) CINT(BgL_bpz00_4485) +
											BgL_siza7ezd2framez75_16455) <
										(long) (BgL_arg1897z00_13837));
								}
								if (BgL_testz00_24811)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3597z00_4487;

											BgL_arg3597z00_4487 =
												((long) CINT(BgL_bpz00_4485) + ((long) 0));
											VECTOR_SET(BgL_sz00_4484,
												(int) (BgL_arg3597z00_4487), BgL_bz00_4479);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3598z00_4488;

											BgL_arg3598z00_4488 =
												((long) CINT(BgL_bpz00_4485) + ((long) 1));
											VECTOR_SET(BgL_sz00_4484,
												(int) (BgL_arg3598z00_4488), BgL_cz00_4480);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3599z00_4489;

											BgL_arg3599z00_4489 =
												((long) CINT(BgL_bpz00_4485) + ((long) 2));
											VECTOR_SET(BgL_sz00_4484,
												(int) (BgL_arg3599z00_4489), BgL_dz00_4481);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3600z00_4490;

											BgL_arg3600z00_4490 =
												((long) CINT(BgL_bpz00_4485) + ((long) 3));
											VECTOR_SET(BgL_sz00_4484,
												(int) (BgL_arg3600z00_4490), BgL_lastz00_4482);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1445z00_4491;

											BgL_val1445z00_4491 =
												BGl_zc3exitza33604ze3z83zz__evaluate_compz00
												(BgL_bpz00_4485, BgL_sz00_4484, BgL_runz00_16454);
											VECTOR_SET(BgL_sz00_4484, (int) (((long) 0)),
												BgL_bpz00_4485);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1445z00_4491)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1445z00_4491), CDR(BgL_val1445z00_4491));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1445z00_4491;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4498;

										BgL_nsz00_4498 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4498,
											(int) (((long) 1)), BgL_sz00_4484);
										VECTOR_SET(BgL_nsz00_4498,
											(int) (((long) 2)), BgL_bz00_4479);
										VECTOR_SET(BgL_nsz00_4498,
											(int) (((long) 3)), BgL_cz00_4480);
										VECTOR_SET(BgL_nsz00_4498,
											(int) (((long) 4)), BgL_dz00_4481);
										VECTOR_SET(BgL_nsz00_4498,
											(int) (((long) 5)), BgL_lastz00_4482);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24853;

											BgL_auxz00_24853 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24853, BgL_nsz00_4498);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1448z00_4500;

											BgL_val1448z00_4500 =
												BGl_zc3exitza33610ze3z83zz__evaluate_compz00
												(BgL_runz00_16454, BgL_nsz00_4498);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24857;

												BgL_auxz00_24857 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24857, BgL_sz00_4484);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1448z00_4500)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1448z00_4500), CDR(BgL_val1448z00_4500));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1448z00_4500;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3610> */
	obj_t BGl_zc3exitza33610ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17590,
		obj_t BgL_nsz00_17589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1449z00_4506;

			if (SET_EXIT(BgL_an_exit1449z00_4506))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1449z00_4506 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1449z00_4506, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1450z00_4507;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13892;

								BgL_savedzd2bpzd2_13892 =
									VECTOR_REF(BgL_nsz00_17589, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17589,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13899;

									BgL_fz00_13899 = BgL_runz00_17590;
								BgL_recz00_13898:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13900;

										BgL_rz00_13900 =
											PROCEDURE_ENTRY(BgL_fz00_13899) (BgL_fz00_13899,
											BgL_nsz00_17589, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24878;

											if (PROCEDUREP(BgL_rz00_13900))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13905;

													BgL_arg1889z00_13905 = PROCEDURE_ATTR(BgL_rz00_13900);
													if (STRUCTP(BgL_arg1889z00_13905))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24878 =
																(STRUCT_KEY(BgL_arg1889z00_13905) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24878 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24878 = ((bool_t) 0);
												}
											if (BgL_testz00_24878)
												{
													obj_t BgL_fz00_24886;

													BgL_fz00_24886 = BgL_rz00_13900;
													BgL_fz00_13899 = BgL_fz00_24886;
													goto BgL_recz00_13898;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17589,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13892);
													BgL_val1450z00_4507 = BgL_rz00_13900;
							}}}}}
							POP_EXIT();
							return BgL_val1450z00_4507;
						}
					}
				}
		}
	}



/* <exit:3604> */
	obj_t BGl_zc3exitza33604ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17593,
		obj_t BgL_sz00_17592, obj_t BgL_runz00_17591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1446z00_4496;

			if (SET_EXIT(BgL_an_exit1446z00_4496))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1446z00_4496 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1446z00_4496, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1447z00_4497;

							BgL_val1447z00_4497 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17591,
								BgL_sz00_17592, BgL_bpz00_17593);
							POP_EXIT();
							return BgL_val1447z00_4497;
						}
					}
				}
		}
	}



/* &run5461 */
	obj_t BGl_z62run5461z62zz__evaluate_compz00(obj_t BgL_envz00_16460,
		obj_t BgL_sz00_16463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16461;
				obj_t BgL_bodyz00_16462;

				BgL_i1250z00_16461 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16460, (int) (((long) 0))));
				BgL_bodyz00_16462 = PROCEDURE_REF(BgL_envz00_16460, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4509;

					BgL_sz00_4509 = BgL_sz00_16463;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4511;

						BgL_bpz00_4511 = VECTOR_REF(BgL_sz00_4509, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4512;
							obj_t BgL_wherez00_4513;
							obj_t BgL_locz00_4514;

							BgL_z12denvz12_4512 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4513 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16461))->BgL_wherez00);
							BgL_locz00_4514 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16461))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4512, BgL_wherez00_4513,
									BgL_locz00_4514);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4515;

									BgL_za2za2resza2za2z00_4515 =
										PROCEDURE_ENTRY(BgL_bodyz00_16462) (BgL_bodyz00_16462,
										BgL_sz00_4509, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4512);
									return BgL_za2za2resza2za2z00_4515;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3612> */
	obj_t BGl_z62zc3anonymousza33612ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16464, obj_t BgL_sz00_16469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16465;
				BgL_ev_absz00_bglt BgL_i1250z00_16466;
				obj_t BgL_bodyz00_16467;
				long BgL_siza7ezd2framez75_16468;

				BgL_iboxesz00_16465 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16464, (int) (((long) 0))));
				BgL_i1250z00_16466 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16464, (int) (((long) 1))));
				BgL_bodyz00_16467 = PROCEDURE_REF(BgL_envz00_16464, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16468 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16464, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4517;

					BgL_sz00_4517 = BgL_sz00_16469;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4519;

						BgL_bpz00_4519 = VECTOR_REF(BgL_sz00_4517, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16159;

								BgL_runz00_16159 =
									MAKE_FX_PROCEDURE(BGl_z62run5463z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 0)), BgL_iboxesz00_16465);
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16466));
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 2)), BgL_bodyz00_16467);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16160;

									BgL_mainz00_16160 =
										MAKE_VA_PROCEDURE(BGl_z62main5462z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 0)), BgL_iboxesz00_16465);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16466));
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 2)), BgL_bodyz00_16467);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 3)), BgL_runz00_16159);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16468));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14038;

										BgL_objz00_14038 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16159, BgL_objz00_14038);
										BgL_objz00_14038;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3613z00_4522;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3614z00_4523;

											BgL_arg3614z00_4523 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16466))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14042;

												BgL_newz00_14042 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24953;

													BgL_auxz00_24953 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14042, BgL_auxz00_24953,
														BgL_arg3614z00_4523);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24958;
													int BgL_auxz00_24956;

													BgL_auxz00_24958 = BINT(BgL_siza7ezd2framez75_16468);
													BgL_auxz00_24956 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14042, BgL_auxz00_24956,
														BgL_auxz00_24958);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24961;

													BgL_auxz00_24961 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14042, BgL_auxz00_24961,
														BgL_runz00_16159);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24966;
													int BgL_auxz00_24964;

													BgL_auxz00_24966 = BINT(((long) -4));
													BgL_auxz00_24964 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14042, BgL_auxz00_24964,
														BgL_auxz00_24966);
												}
												BgL_arg3613z00_4522 = BgL_newz00_14042;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16160, BgL_arg3613z00_4522);
										BgL_arg3613z00_4522;
									}
									return BgL_mainz00_16160;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5462 */
	obj_t BGl_z62main5462z62zz__evaluate_compz00(obj_t BgL_envz00_16470,
		obj_t BgL_bz00_16476, obj_t BgL_cz00_16477, obj_t BgL_dz00_16478,
		obj_t BgL_lastz00_16479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16474;
				long BgL_siza7ezd2framez75_16475;

				BgL_runz00_16474 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16470, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16475 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16470, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4524;
					obj_t BgL_cz00_4525;
					obj_t BgL_dz00_4526;
					obj_t BgL_lastz00_4527;

					BgL_bz00_4524 = BgL_bz00_16476;
					BgL_cz00_4525 = BgL_cz00_16477;
					BgL_dz00_4526 = BgL_dz00_16478;
					BgL_lastz00_4527 = BgL_lastz00_16479;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4529;

						BgL_sz00_4529 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4530;

							BgL_bpz00_4530 = VECTOR_REF(BgL_sz00_4529, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24979;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13955;

									BgL_arg1897z00_13955 = VECTOR_LENGTH(BgL_sz00_4529);
									BgL_testz00_24979 =
										(
										((long) CINT(BgL_bpz00_4530) +
											BgL_siza7ezd2framez75_16475) <
										(long) (BgL_arg1897z00_13955));
								}
								if (BgL_testz00_24979)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3617z00_4532;

											BgL_arg3617z00_4532 =
												((long) CINT(BgL_bpz00_4530) + ((long) 0));
											VECTOR_SET(BgL_sz00_4529,
												(int) (BgL_arg3617z00_4532), BgL_bz00_4524);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3618z00_4533;

											BgL_arg3618z00_4533 =
												((long) CINT(BgL_bpz00_4530) + ((long) 1));
											VECTOR_SET(BgL_sz00_4529,
												(int) (BgL_arg3618z00_4533), BgL_cz00_4525);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3619z00_4534;

											BgL_arg3619z00_4534 =
												((long) CINT(BgL_bpz00_4530) + ((long) 2));
											VECTOR_SET(BgL_sz00_4529,
												(int) (BgL_arg3619z00_4534), BgL_dz00_4526);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3620z00_4535;

											BgL_arg3620z00_4535 =
												((long) CINT(BgL_bpz00_4530) + ((long) 3));
											VECTOR_SET(BgL_sz00_4529,
												(int) (BgL_arg3620z00_4535), BgL_lastz00_4527);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1451z00_4536;

											BgL_val1451z00_4536 =
												BGl_zc3exitza33624ze3z83zz__evaluate_compz00
												(BgL_bpz00_4530, BgL_sz00_4529, BgL_runz00_16474);
											VECTOR_SET(BgL_sz00_4529, (int) (((long) 0)),
												BgL_bpz00_4530);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1451z00_4536)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1451z00_4536), CDR(BgL_val1451z00_4536));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1451z00_4536;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4543;

										BgL_nsz00_4543 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4543,
											(int) (((long) 1)), BgL_sz00_4529);
										VECTOR_SET(BgL_nsz00_4543,
											(int) (((long) 2)), BgL_bz00_4524);
										VECTOR_SET(BgL_nsz00_4543,
											(int) (((long) 3)), BgL_cz00_4525);
										VECTOR_SET(BgL_nsz00_4543,
											(int) (((long) 4)), BgL_dz00_4526);
										VECTOR_SET(BgL_nsz00_4543,
											(int) (((long) 5)), BgL_lastz00_4527);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25021;

											BgL_auxz00_25021 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25021, BgL_nsz00_4543);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1454z00_4545;

											BgL_val1454z00_4545 =
												BGl_zc3exitza33630ze3z83zz__evaluate_compz00
												(BgL_runz00_16474, BgL_nsz00_4543);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25025;

												BgL_auxz00_25025 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25025, BgL_sz00_4529);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1454z00_4545)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1454z00_4545), CDR(BgL_val1454z00_4545));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1454z00_4545;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3630> */
	obj_t BGl_zc3exitza33630ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17585,
		obj_t BgL_nsz00_17584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1455z00_4551;

			if (SET_EXIT(BgL_an_exit1455z00_4551))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1455z00_4551 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1455z00_4551, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1456z00_4552;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14010;

								BgL_savedzd2bpzd2_14010 =
									VECTOR_REF(BgL_nsz00_17584, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17584,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14017;

									BgL_fz00_14017 = BgL_runz00_17585;
								BgL_recz00_14016:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14018;

										BgL_rz00_14018 =
											PROCEDURE_ENTRY(BgL_fz00_14017) (BgL_fz00_14017,
											BgL_nsz00_17584, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25046;

											if (PROCEDUREP(BgL_rz00_14018))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14023;

													BgL_arg1889z00_14023 = PROCEDURE_ATTR(BgL_rz00_14018);
													if (STRUCTP(BgL_arg1889z00_14023))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25046 =
																(STRUCT_KEY(BgL_arg1889z00_14023) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25046 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25046 = ((bool_t) 0);
												}
											if (BgL_testz00_25046)
												{
													obj_t BgL_fz00_25054;

													BgL_fz00_25054 = BgL_rz00_14018;
													BgL_fz00_14017 = BgL_fz00_25054;
													goto BgL_recz00_14016;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17584,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14010);
													BgL_val1456z00_4552 = BgL_rz00_14018;
							}}}}}
							POP_EXIT();
							return BgL_val1456z00_4552;
						}
					}
				}
		}
	}



/* <exit:3624> */
	obj_t BGl_zc3exitza33624ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17588,
		obj_t BgL_sz00_17587, obj_t BgL_runz00_17586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1452z00_4541;

			if (SET_EXIT(BgL_an_exit1452z00_4541))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1452z00_4541 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1452z00_4541, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1453z00_4542;

							BgL_val1453z00_4542 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17586,
								BgL_sz00_17587, BgL_bpz00_17588);
							POP_EXIT();
							return BgL_val1453z00_4542;
						}
					}
				}
		}
	}



/* &run5463 */
	obj_t BGl_z62run5463z62zz__evaluate_compz00(obj_t BgL_envz00_16480,
		obj_t BgL_sz00_16484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16481;
				BgL_ev_absz00_bglt BgL_i1250z00_16482;
				obj_t BgL_bodyz00_16483;

				BgL_iboxesz00_16481 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16480, (int) (((long) 0))));
				BgL_i1250z00_16482 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16480, (int) (((long) 1))));
				BgL_bodyz00_16483 = PROCEDURE_REF(BgL_envz00_16480, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4554;

					BgL_sz00_4554 = BgL_sz00_16484;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4556;

						BgL_bpz00_4556 = VECTOR_REF(BgL_sz00_4554, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4554,
							BgL_iboxesz00_16481, BgL_bpz00_4556);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4557;
							obj_t BgL_wherez00_4558;
							obj_t BgL_locz00_4559;

							BgL_z12denvz12_4557 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4558 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16482))->BgL_wherez00);
							BgL_locz00_4559 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16482))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4557, BgL_wherez00_4558,
									BgL_locz00_4559);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4560;

									BgL_za2za2resza2za2z00_4560 =
										PROCEDURE_ENTRY(BgL_bodyz00_16483) (BgL_bodyz00_16483,
										BgL_sz00_4554, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4557);
									return BgL_za2za2resza2za2z00_4560;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3634> */
	obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16485, obj_t BgL_sz00_16491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16486;
				long BgL_siza7eza7_16487;
				BgL_ev_absz00_bglt BgL_i1250z00_16488;
				obj_t BgL_bodyz00_16489;
				long BgL_siza7ezd2framez75_16490;

				BgL_ifreesz00_16486 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16485, (int) (((long) 0))));
				BgL_siza7eza7_16487 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16485, (int) (((long) 1))));
				BgL_i1250z00_16488 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16485, (int) (((long) 2))));
				BgL_bodyz00_16489 = PROCEDURE_REF(BgL_envz00_16485, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16490 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16485, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4564;

					BgL_sz00_4564 = BgL_sz00_16491;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4566;

						BgL_bpz00_4566 = VECTOR_REF(BgL_sz00_4564, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4567;

							BgL_valza2za2_4567 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4564,
								BgL_bpz00_4566, BgL_ifreesz00_16486);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16156;

								BgL_runz00_16156 =
									MAKE_FX_PROCEDURE(BGl_z62run5465z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16487));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 1)), BgL_valza2za2_4567);
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16488));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 3)), BgL_bodyz00_16489);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16157;

									BgL_mainz00_16157 =
										MAKE_VA_PROCEDURE(BGl_z62main5464z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16487));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 1)), BgL_valza2za2_4567);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16488));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 3)), BgL_bodyz00_16489);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 4)), BgL_runz00_16156);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16490));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14163;

										BgL_objz00_14163 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16156, BgL_objz00_14163);
										BgL_objz00_14163;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3635z00_4570;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3636z00_4571;

											BgL_arg3636z00_4571 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16488))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14167;

												BgL_newz00_14167 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25135;

													BgL_auxz00_25135 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14167, BgL_auxz00_25135,
														BgL_arg3636z00_4571);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25140;
													int BgL_auxz00_25138;

													BgL_auxz00_25140 = BINT(BgL_siza7ezd2framez75_16490);
													BgL_auxz00_25138 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14167, BgL_auxz00_25138,
														BgL_auxz00_25140);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25143;

													BgL_auxz00_25143 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14167, BgL_auxz00_25143,
														BgL_runz00_16156);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25148;
													int BgL_auxz00_25146;

													BgL_auxz00_25148 = BINT(((long) -4));
													BgL_auxz00_25146 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14167, BgL_auxz00_25146,
														BgL_auxz00_25148);
												}
												BgL_arg3635z00_4570 = BgL_newz00_14167;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16157, BgL_arg3635z00_4570);
										BgL_arg3635z00_4570;
									}
									return BgL_mainz00_16157;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5464 */
	obj_t BGl_z62main5464z62zz__evaluate_compz00(obj_t BgL_envz00_16492,
		obj_t BgL_bz00_16499, obj_t BgL_cz00_16500, obj_t BgL_dz00_16501,
		obj_t BgL_lastz00_16502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16497;
				long BgL_siza7ezd2framez75_16498;

				BgL_runz00_16497 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16492, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16498 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16492, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4572;
					obj_t BgL_cz00_4573;
					obj_t BgL_dz00_4574;
					obj_t BgL_lastz00_4575;

					BgL_bz00_4572 = BgL_bz00_16499;
					BgL_cz00_4573 = BgL_cz00_16500;
					BgL_dz00_4574 = BgL_dz00_16501;
					BgL_lastz00_4575 = BgL_lastz00_16502;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4577;

						BgL_sz00_4577 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4578;

							BgL_bpz00_4578 = VECTOR_REF(BgL_sz00_4577, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25161;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14080;

									BgL_arg1897z00_14080 = VECTOR_LENGTH(BgL_sz00_4577);
									BgL_testz00_25161 =
										(
										((long) CINT(BgL_bpz00_4578) +
											BgL_siza7ezd2framez75_16498) <
										(long) (BgL_arg1897z00_14080));
								}
								if (BgL_testz00_25161)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3639z00_4580;

											BgL_arg3639z00_4580 =
												((long) CINT(BgL_bpz00_4578) + ((long) 0));
											VECTOR_SET(BgL_sz00_4577,
												(int) (BgL_arg3639z00_4580), BgL_bz00_4572);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3640z00_4581;

											BgL_arg3640z00_4581 =
												((long) CINT(BgL_bpz00_4578) + ((long) 1));
											VECTOR_SET(BgL_sz00_4577,
												(int) (BgL_arg3640z00_4581), BgL_cz00_4573);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3642z00_4582;

											BgL_arg3642z00_4582 =
												((long) CINT(BgL_bpz00_4578) + ((long) 2));
											VECTOR_SET(BgL_sz00_4577,
												(int) (BgL_arg3642z00_4582), BgL_dz00_4574);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3643z00_4583;

											BgL_arg3643z00_4583 =
												((long) CINT(BgL_bpz00_4578) + ((long) 3));
											VECTOR_SET(BgL_sz00_4577,
												(int) (BgL_arg3643z00_4583), BgL_lastz00_4575);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1457z00_4584;

											BgL_val1457z00_4584 =
												BGl_zc3exitza33647ze3z83zz__evaluate_compz00
												(BgL_bpz00_4578, BgL_sz00_4577, BgL_runz00_16497);
											VECTOR_SET(BgL_sz00_4577, (int) (((long) 0)),
												BgL_bpz00_4578);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1457z00_4584)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1457z00_4584), CDR(BgL_val1457z00_4584));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1457z00_4584;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4591;

										BgL_nsz00_4591 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4591,
											(int) (((long) 1)), BgL_sz00_4577);
										VECTOR_SET(BgL_nsz00_4591,
											(int) (((long) 2)), BgL_bz00_4572);
										VECTOR_SET(BgL_nsz00_4591,
											(int) (((long) 3)), BgL_cz00_4573);
										VECTOR_SET(BgL_nsz00_4591,
											(int) (((long) 4)), BgL_dz00_4574);
										VECTOR_SET(BgL_nsz00_4591,
											(int) (((long) 5)), BgL_lastz00_4575);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25203;

											BgL_auxz00_25203 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25203, BgL_nsz00_4591);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1460z00_4593;

											BgL_val1460z00_4593 =
												BGl_zc3exitza33653ze3z83zz__evaluate_compz00
												(BgL_runz00_16497, BgL_nsz00_4591);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25207;

												BgL_auxz00_25207 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25207, BgL_sz00_4577);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1460z00_4593)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1460z00_4593), CDR(BgL_val1460z00_4593));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1460z00_4593;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3653> */
	obj_t BGl_zc3exitza33653ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17580,
		obj_t BgL_nsz00_17579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1461z00_4599;

			if (SET_EXIT(BgL_an_exit1461z00_4599))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1461z00_4599 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1461z00_4599, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1462z00_4600;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14135;

								BgL_savedzd2bpzd2_14135 =
									VECTOR_REF(BgL_nsz00_17579, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17579,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14142;

									BgL_fz00_14142 = BgL_runz00_17580;
								BgL_recz00_14141:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14143;

										BgL_rz00_14143 =
											PROCEDURE_ENTRY(BgL_fz00_14142) (BgL_fz00_14142,
											BgL_nsz00_17579, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25228;

											if (PROCEDUREP(BgL_rz00_14143))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14148;

													BgL_arg1889z00_14148 = PROCEDURE_ATTR(BgL_rz00_14143);
													if (STRUCTP(BgL_arg1889z00_14148))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25228 =
																(STRUCT_KEY(BgL_arg1889z00_14148) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25228 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25228 = ((bool_t) 0);
												}
											if (BgL_testz00_25228)
												{
													obj_t BgL_fz00_25236;

													BgL_fz00_25236 = BgL_rz00_14143;
													BgL_fz00_14142 = BgL_fz00_25236;
													goto BgL_recz00_14141;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17579,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14135);
													BgL_val1462z00_4600 = BgL_rz00_14143;
							}}}}}
							POP_EXIT();
							return BgL_val1462z00_4600;
						}
					}
				}
		}
	}



/* <exit:3647> */
	obj_t BGl_zc3exitza33647ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17583,
		obj_t BgL_sz00_17582, obj_t BgL_runz00_17581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1458z00_4589;

			if (SET_EXIT(BgL_an_exit1458z00_4589))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1458z00_4589 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1458z00_4589, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1459z00_4590;

							BgL_val1459z00_4590 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17581,
								BgL_sz00_17582, BgL_bpz00_17583);
							POP_EXIT();
							return BgL_val1459z00_4590;
						}
					}
				}
		}
	}



/* &run5465 */
	obj_t BGl_z62run5465z62zz__evaluate_compz00(obj_t BgL_envz00_16503,
		obj_t BgL_sz00_16508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16504;
				obj_t BgL_valza2za2_16505;
				BgL_ev_absz00_bglt BgL_i1250z00_16506;
				obj_t BgL_bodyz00_16507;

				BgL_siza7eza7_16504 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16503, (int) (((long) 0))));
				BgL_valza2za2_16505 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16503, (int) (((long) 1))));
				BgL_i1250z00_16506 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16503, (int) (((long) 2))));
				BgL_bodyz00_16507 = PROCEDURE_REF(BgL_envz00_16503, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4602;

					BgL_sz00_4602 = BgL_sz00_16508;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4604;

						BgL_bpz00_4604 = VECTOR_REF(BgL_sz00_4602, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4602,
							BgL_valza2za2_16505,
							((long) CINT(BgL_bpz00_4604) + BgL_siza7eza7_16504));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4606;
							obj_t BgL_wherez00_4607;
							obj_t BgL_locz00_4608;

							BgL_z12denvz12_4606 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4607 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16506))->BgL_wherez00);
							BgL_locz00_4608 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16506))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4606, BgL_wherez00_4607,
									BgL_locz00_4608);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4609;

									BgL_za2za2resza2za2z00_4609 =
										PROCEDURE_ENTRY(BgL_bodyz00_16507) (BgL_bodyz00_16507,
										BgL_sz00_4602, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4606);
									return BgL_za2za2resza2za2z00_4609;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3656> */
	obj_t BGl_z62zc3anonymousza33656ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16509, obj_t BgL_sz00_16516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16510;
				obj_t BgL_iboxesz00_16511;
				long BgL_siza7eza7_16512;
				BgL_ev_absz00_bglt BgL_i1250z00_16513;
				obj_t BgL_bodyz00_16514;
				long BgL_siza7ezd2framez75_16515;

				BgL_ifreesz00_16510 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 0))));
				BgL_iboxesz00_16511 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 1))));
				BgL_siza7eza7_16512 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 2))));
				BgL_i1250z00_16513 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 3))));
				BgL_bodyz00_16514 = PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16515 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16509, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4611;

					BgL_sz00_4611 = BgL_sz00_16516;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4613;

						BgL_bpz00_4613 = VECTOR_REF(BgL_sz00_4611, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4614;

							BgL_valza2za2_4614 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4611,
								BgL_bpz00_4613, BgL_ifreesz00_16510);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16153;

								BgL_runz00_16153 =
									MAKE_FX_PROCEDURE(BGl_z62run5467z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 0)), BgL_iboxesz00_16511);
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16512));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 2)), BgL_valza2za2_4614);
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16513));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 4)), BgL_bodyz00_16514);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16154;

									BgL_mainz00_16154 =
										MAKE_VA_PROCEDURE(BGl_z62main5466z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 0)), BgL_iboxesz00_16511);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16512));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 2)), BgL_valza2za2_4614);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16513));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 4)), BgL_bodyz00_16514);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 5)), BgL_runz00_16153);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16515));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14284;

										BgL_objz00_14284 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16153, BgL_objz00_14284);
										BgL_objz00_14284;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3657z00_4617;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3658z00_4618;

											BgL_arg3658z00_4618 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16513))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14288;

												BgL_newz00_14288 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25329;

													BgL_auxz00_25329 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14288, BgL_auxz00_25329,
														BgL_arg3658z00_4618);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25334;
													int BgL_auxz00_25332;

													BgL_auxz00_25334 = BINT(BgL_siza7ezd2framez75_16515);
													BgL_auxz00_25332 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14288, BgL_auxz00_25332,
														BgL_auxz00_25334);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25337;

													BgL_auxz00_25337 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14288, BgL_auxz00_25337,
														BgL_runz00_16153);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25342;
													int BgL_auxz00_25340;

													BgL_auxz00_25342 = BINT(((long) -4));
													BgL_auxz00_25340 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14288, BgL_auxz00_25340,
														BgL_auxz00_25342);
												}
												BgL_arg3657z00_4617 = BgL_newz00_14288;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16154, BgL_arg3657z00_4617);
										BgL_arg3657z00_4617;
									}
									return BgL_mainz00_16154;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5466 */
	obj_t BGl_z62main5466z62zz__evaluate_compz00(obj_t BgL_envz00_16517,
		obj_t BgL_bz00_16525, obj_t BgL_cz00_16526, obj_t BgL_dz00_16527,
		obj_t BgL_lastz00_16528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16523;
				long BgL_siza7ezd2framez75_16524;

				BgL_runz00_16523 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16517, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16524 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16517, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4619;
					obj_t BgL_cz00_4620;
					obj_t BgL_dz00_4621;
					obj_t BgL_lastz00_4622;

					BgL_bz00_4619 = BgL_bz00_16525;
					BgL_cz00_4620 = BgL_cz00_16526;
					BgL_dz00_4621 = BgL_dz00_16527;
					BgL_lastz00_4622 = BgL_lastz00_16528;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4624;

						BgL_sz00_4624 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4625;

							BgL_bpz00_4625 = VECTOR_REF(BgL_sz00_4624, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25355;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_14201;

									BgL_arg1897z00_14201 = VECTOR_LENGTH(BgL_sz00_4624);
									BgL_testz00_25355 =
										(
										((long) CINT(BgL_bpz00_4625) +
											BgL_siza7ezd2framez75_16524) <
										(long) (BgL_arg1897z00_14201));
								}
								if (BgL_testz00_25355)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3661z00_4627;

											BgL_arg3661z00_4627 =
												((long) CINT(BgL_bpz00_4625) + ((long) 0));
											VECTOR_SET(BgL_sz00_4624,
												(int) (BgL_arg3661z00_4627), BgL_bz00_4619);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3662z00_4628;

											BgL_arg3662z00_4628 =
												((long) CINT(BgL_bpz00_4625) + ((long) 1));
											VECTOR_SET(BgL_sz00_4624,
												(int) (BgL_arg3662z00_4628), BgL_cz00_4620);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3663z00_4629;

											BgL_arg3663z00_4629 =
												((long) CINT(BgL_bpz00_4625) + ((long) 2));
											VECTOR_SET(BgL_sz00_4624,
												(int) (BgL_arg3663z00_4629), BgL_dz00_4621);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3664z00_4630;

											BgL_arg3664z00_4630 =
												((long) CINT(BgL_bpz00_4625) + ((long) 3));
											VECTOR_SET(BgL_sz00_4624,
												(int) (BgL_arg3664z00_4630), BgL_lastz00_4622);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1463z00_4631;

											BgL_val1463z00_4631 =
												BGl_zc3exitza33668ze3z83zz__evaluate_compz00
												(BgL_bpz00_4625, BgL_sz00_4624, BgL_runz00_16523);
											VECTOR_SET(BgL_sz00_4624, (int) (((long) 0)),
												BgL_bpz00_4625);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1463z00_4631)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1463z00_4631), CDR(BgL_val1463z00_4631));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1463z00_4631;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4638;

										BgL_nsz00_4638 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4638,
											(int) (((long) 1)), BgL_sz00_4624);
										VECTOR_SET(BgL_nsz00_4638,
											(int) (((long) 2)), BgL_bz00_4619);
										VECTOR_SET(BgL_nsz00_4638,
											(int) (((long) 3)), BgL_cz00_4620);
										VECTOR_SET(BgL_nsz00_4638,
											(int) (((long) 4)), BgL_dz00_4621);
										VECTOR_SET(BgL_nsz00_4638,
											(int) (((long) 5)), BgL_lastz00_4622);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25397;

											BgL_auxz00_25397 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25397, BgL_nsz00_4638);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1466z00_4640;

											BgL_val1466z00_4640 =
												BGl_zc3exitza33674ze3z83zz__evaluate_compz00
												(BgL_runz00_16523, BgL_nsz00_4638);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25401;

												BgL_auxz00_25401 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25401, BgL_sz00_4624);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1466z00_4640)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1466z00_4640), CDR(BgL_val1466z00_4640));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1466z00_4640;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3674> */
	obj_t BGl_zc3exitza33674ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17575,
		obj_t BgL_nsz00_17574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1467z00_4646;

			if (SET_EXIT(BgL_an_exit1467z00_4646))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1467z00_4646 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1467z00_4646, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1468z00_4647;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14256;

								BgL_savedzd2bpzd2_14256 =
									VECTOR_REF(BgL_nsz00_17574, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17574,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14263;

									BgL_fz00_14263 = BgL_runz00_17575;
								BgL_recz00_14262:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14264;

										BgL_rz00_14264 =
											PROCEDURE_ENTRY(BgL_fz00_14263) (BgL_fz00_14263,
											BgL_nsz00_17574, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25422;

											if (PROCEDUREP(BgL_rz00_14264))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_14269;

													BgL_arg1889z00_14269 = PROCEDURE_ATTR(BgL_rz00_14264);
													if (STRUCTP(BgL_arg1889z00_14269))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25422 =
																(STRUCT_KEY(BgL_arg1889z00_14269) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25422 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25422 = ((bool_t) 0);
												}
											if (BgL_testz00_25422)
												{
													obj_t BgL_fz00_25430;

													BgL_fz00_25430 = BgL_rz00_14264;
													BgL_fz00_14263 = BgL_fz00_25430;
													goto BgL_recz00_14262;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17574,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14256);
													BgL_val1468z00_4647 = BgL_rz00_14264;
							}}}}}
							POP_EXIT();
							return BgL_val1468z00_4647;
						}
					}
				}
		}
	}



/* <exit:3668> */
	obj_t BGl_zc3exitza33668ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17578,
		obj_t BgL_sz00_17577, obj_t BgL_runz00_17576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1464z00_4636;

			if (SET_EXIT(BgL_an_exit1464z00_4636))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1464z00_4636 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1464z00_4636, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1465z00_4637;

							BgL_val1465z00_4637 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17576,
								BgL_sz00_17577, BgL_bpz00_17578);
							POP_EXIT();
							return BgL_val1465z00_4637;
						}
					}
				}
		}
	}



/* &run5467 */
	obj_t BGl_z62run5467z62zz__evaluate_compz00(obj_t BgL_envz00_16529,
		obj_t BgL_sz00_16535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16530;
				long BgL_siza7eza7_16531;
				obj_t BgL_valza2za2_16532;
				BgL_ev_absz00_bglt BgL_i1250z00_16533;
				obj_t BgL_bodyz00_16534;

				BgL_iboxesz00_16530 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16529, (int) (((long) 0))));
				BgL_siza7eza7_16531 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16529, (int) (((long) 1))));
				BgL_valza2za2_16532 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16529, (int) (((long) 2))));
				BgL_i1250z00_16533 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16529, (int) (((long) 3))));
				BgL_bodyz00_16534 = PROCEDURE_REF(BgL_envz00_16529, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4649;

					BgL_sz00_4649 = BgL_sz00_16535;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4651;

						BgL_bpz00_4651 = VECTOR_REF(BgL_sz00_4649, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4649,
							BgL_iboxesz00_16530, BgL_bpz00_4651);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4649,
							BgL_valza2za2_16532,
							((long) CINT(BgL_bpz00_4651) + BgL_siza7eza7_16531));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4653;
							obj_t BgL_wherez00_4654;
							obj_t BgL_locz00_4655;

							BgL_z12denvz12_4653 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4654 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16533))->BgL_wherez00);
							BgL_locz00_4655 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16533))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4653, BgL_wherez00_4654,
									BgL_locz00_4655);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4656;

									BgL_za2za2resza2za2z00_4656 =
										PROCEDURE_ENTRY(BgL_bodyz00_16534) (BgL_bodyz00_16534,
										BgL_sz00_4649, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4653);
									return BgL_za2za2resza2za2z00_4656;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3507> */
	obj_t BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16536, obj_t BgL_sz00_16540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16537;
				obj_t BgL_bodyz00_16538;
				long BgL_siza7ezd2framez75_16539;

				BgL_i1250z00_16537 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 0))));
				BgL_bodyz00_16538 = PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16539 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16536, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4290;

					BgL_sz00_4290 = BgL_sz00_16540;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4292;

						BgL_bpz00_4292 = VECTOR_REF(BgL_sz00_4290, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16150;

								BgL_runz00_16150 =
									MAKE_FX_PROCEDURE(BGl_z62run5469z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16150,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16537));
								PROCEDURE_SET(BgL_runz00_16150,
									(int) (((long) 1)), BgL_bodyz00_16538);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16151;

									BgL_mainz00_16151 =
										MAKE_FX_PROCEDURE(BGl_z62main5468z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16537));
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 1)), BgL_bodyz00_16538);
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 2)), BgL_runz00_16150);
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16539));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13457;

										BgL_objz00_13457 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16150, BgL_objz00_13457);
										BgL_objz00_13457;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3508z00_4295;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3509z00_4296;

											BgL_arg3509z00_4296 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16537))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13461;

												BgL_newz00_13461 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25503;

													BgL_auxz00_25503 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13461, BgL_auxz00_25503,
														BgL_arg3509z00_4296);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25508;
													int BgL_auxz00_25506;

													BgL_auxz00_25508 = BINT(BgL_siza7ezd2framez75_16539);
													BgL_auxz00_25506 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13461, BgL_auxz00_25506,
														BgL_auxz00_25508);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25511;

													BgL_auxz00_25511 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13461, BgL_auxz00_25511,
														BgL_runz00_16150);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25516;
													int BgL_auxz00_25514;

													BgL_auxz00_25516 = BINT(((long) 3));
													BgL_auxz00_25514 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13461, BgL_auxz00_25514,
														BgL_auxz00_25516);
												}
												BgL_arg3508z00_4295 = BgL_newz00_13461;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16151, BgL_arg3508z00_4295);
										BgL_arg3508z00_4295;
									}
									return BgL_mainz00_16151;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5468 */
	obj_t BGl_z62main5468z62zz__evaluate_compz00(obj_t BgL_envz00_16541,
		obj_t BgL_bz00_16546, obj_t BgL_cz00_16547, obj_t BgL_dz00_16548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16544;
				long BgL_siza7ezd2framez75_16545;

				BgL_runz00_16544 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16541, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16545 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16541, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4297;
					obj_t BgL_cz00_4298;
					obj_t BgL_dz00_4299;

					BgL_bz00_4297 = BgL_bz00_16546;
					BgL_cz00_4298 = BgL_cz00_16547;
					BgL_dz00_4299 = BgL_dz00_16548;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4301;

						BgL_sz00_4301 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4302;

							BgL_bpz00_4302 = VECTOR_REF(BgL_sz00_4301, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25529;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13383;

									BgL_arg1897z00_13383 = VECTOR_LENGTH(BgL_sz00_4301);
									BgL_testz00_25529 =
										(
										((long) CINT(BgL_bpz00_4302) +
											BgL_siza7ezd2framez75_16545) <
										(long) (BgL_arg1897z00_13383));
								}
								if (BgL_testz00_25529)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3512z00_4304;

											BgL_arg3512z00_4304 =
												((long) CINT(BgL_bpz00_4302) + ((long) 0));
											VECTOR_SET(BgL_sz00_4301,
												(int) (BgL_arg3512z00_4304), BgL_bz00_4297);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3513z00_4305;

											BgL_arg3513z00_4305 =
												((long) CINT(BgL_bpz00_4302) + ((long) 1));
											VECTOR_SET(BgL_sz00_4301,
												(int) (BgL_arg3513z00_4305), BgL_cz00_4298);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3514z00_4306;

											BgL_arg3514z00_4306 =
												((long) CINT(BgL_bpz00_4302) + ((long) 2));
											VECTOR_SET(BgL_sz00_4301,
												(int) (BgL_arg3514z00_4306), BgL_dz00_4299);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1421z00_4307;

											BgL_val1421z00_4307 =
												BGl_zc3exitza33518ze3z83zz__evaluate_compz00
												(BgL_bpz00_4302, BgL_sz00_4301, BgL_runz00_16544);
											VECTOR_SET(BgL_sz00_4301, (int) (((long) 0)),
												BgL_bpz00_4302);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1421z00_4307)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1421z00_4307), CDR(BgL_val1421z00_4307));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1421z00_4307;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4314;

										BgL_nsz00_4314 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 1)), BgL_sz00_4301);
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 2)), BgL_bz00_4297);
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 3)), BgL_cz00_4298);
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 4)), BgL_dz00_4299);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25565;

											BgL_auxz00_25565 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25565, BgL_nsz00_4314);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1424z00_4316;

											BgL_val1424z00_4316 =
												BGl_zc3exitza33524ze3z83zz__evaluate_compz00
												(BgL_runz00_16544, BgL_nsz00_4314);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25569;

												BgL_auxz00_25569 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25569, BgL_sz00_4301);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1424z00_4316)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1424z00_4316), CDR(BgL_val1424z00_4316));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1424z00_4316;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3524> */
	obj_t BGl_zc3exitza33524ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17570,
		obj_t BgL_nsz00_17569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1425z00_4322;

			if (SET_EXIT(BgL_an_exit1425z00_4322))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1425z00_4322 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1425z00_4322, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1426z00_4323;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13429;

								BgL_savedzd2bpzd2_13429 =
									VECTOR_REF(BgL_nsz00_17569, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17569,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13436;

									BgL_fz00_13436 = BgL_runz00_17570;
								BgL_recz00_13435:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13437;

										BgL_rz00_13437 =
											PROCEDURE_ENTRY(BgL_fz00_13436) (BgL_fz00_13436,
											BgL_nsz00_17569, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25590;

											if (PROCEDUREP(BgL_rz00_13437))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13442;

													BgL_arg1889z00_13442 = PROCEDURE_ATTR(BgL_rz00_13437);
													if (STRUCTP(BgL_arg1889z00_13442))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25590 =
																(STRUCT_KEY(BgL_arg1889z00_13442) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25590 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25590 = ((bool_t) 0);
												}
											if (BgL_testz00_25590)
												{
													obj_t BgL_fz00_25598;

													BgL_fz00_25598 = BgL_rz00_13437;
													BgL_fz00_13436 = BgL_fz00_25598;
													goto BgL_recz00_13435;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17569,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13429);
													BgL_val1426z00_4323 = BgL_rz00_13437;
							}}}}}
							POP_EXIT();
							return BgL_val1426z00_4323;
						}
					}
				}
		}
	}



/* <exit:3518> */
	obj_t BGl_zc3exitza33518ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17573,
		obj_t BgL_sz00_17572, obj_t BgL_runz00_17571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1422z00_4312;

			if (SET_EXIT(BgL_an_exit1422z00_4312))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1422z00_4312 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1422z00_4312, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1423z00_4313;

							BgL_val1423z00_4313 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17571,
								BgL_sz00_17572, BgL_bpz00_17573);
							POP_EXIT();
							return BgL_val1423z00_4313;
						}
					}
				}
		}
	}



/* &run5469 */
	obj_t BGl_z62run5469z62zz__evaluate_compz00(obj_t BgL_envz00_16549,
		obj_t BgL_sz00_16552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16550;
				obj_t BgL_bodyz00_16551;

				BgL_i1250z00_16550 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16549, (int) (((long) 0))));
				BgL_bodyz00_16551 = PROCEDURE_REF(BgL_envz00_16549, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4325;

					BgL_sz00_4325 = BgL_sz00_16552;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4327;

						BgL_bpz00_4327 = VECTOR_REF(BgL_sz00_4325, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4328;
							obj_t BgL_wherez00_4329;
							obj_t BgL_locz00_4330;

							BgL_z12denvz12_4328 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4329 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16550))->BgL_wherez00);
							BgL_locz00_4330 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16550))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4328, BgL_wherez00_4329,
									BgL_locz00_4330);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4331;

									BgL_za2za2resza2za2z00_4331 =
										PROCEDURE_ENTRY(BgL_bodyz00_16551) (BgL_bodyz00_16551,
										BgL_sz00_4325, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4328);
									return BgL_za2za2resza2za2z00_4331;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3526> */
	obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16553, obj_t BgL_sz00_16558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16554;
				BgL_ev_absz00_bglt BgL_i1250z00_16555;
				obj_t BgL_bodyz00_16556;
				long BgL_siza7ezd2framez75_16557;

				BgL_iboxesz00_16554 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 0))));
				BgL_i1250z00_16555 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 1))));
				BgL_bodyz00_16556 = PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16557 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4333;

					BgL_sz00_4333 = BgL_sz00_16558;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4335;

						BgL_bpz00_4335 = VECTOR_REF(BgL_sz00_4333, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16147;

								BgL_runz00_16147 =
									MAKE_FX_PROCEDURE(BGl_z62run5471z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 0)), BgL_iboxesz00_16554);
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16555));
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 2)), BgL_bodyz00_16556);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16148;

									BgL_mainz00_16148 =
										MAKE_FX_PROCEDURE(BGl_z62main5470z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 0)), BgL_iboxesz00_16554);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16555));
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 2)), BgL_bodyz00_16556);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 3)), BgL_runz00_16147);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16557));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13566;

										BgL_objz00_13566 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16147, BgL_objz00_13566);
										BgL_objz00_13566;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3527z00_4338;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3528z00_4339;

											BgL_arg3528z00_4339 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16555))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13570;

												BgL_newz00_13570 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25665;

													BgL_auxz00_25665 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13570, BgL_auxz00_25665,
														BgL_arg3528z00_4339);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25670;
													int BgL_auxz00_25668;

													BgL_auxz00_25670 = BINT(BgL_siza7ezd2framez75_16557);
													BgL_auxz00_25668 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13570, BgL_auxz00_25668,
														BgL_auxz00_25670);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25673;

													BgL_auxz00_25673 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13570, BgL_auxz00_25673,
														BgL_runz00_16147);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25678;
													int BgL_auxz00_25676;

													BgL_auxz00_25678 = BINT(((long) 3));
													BgL_auxz00_25676 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13570, BgL_auxz00_25676,
														BgL_auxz00_25678);
												}
												BgL_arg3527z00_4338 = BgL_newz00_13570;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16148, BgL_arg3527z00_4338);
										BgL_arg3527z00_4338;
									}
									return BgL_mainz00_16148;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5470 */
	obj_t BGl_z62main5470z62zz__evaluate_compz00(obj_t BgL_envz00_16559,
		obj_t BgL_bz00_16565, obj_t BgL_cz00_16566, obj_t BgL_dz00_16567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16563;
				long BgL_siza7ezd2framez75_16564;

				BgL_runz00_16563 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16559, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16564 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16559, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4340;
					obj_t BgL_cz00_4341;
					obj_t BgL_dz00_4342;

					BgL_bz00_4340 = BgL_bz00_16565;
					BgL_cz00_4341 = BgL_cz00_16566;
					BgL_dz00_4342 = BgL_dz00_16567;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4344;

						BgL_sz00_4344 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4345;

							BgL_bpz00_4345 = VECTOR_REF(BgL_sz00_4344, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25691;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13492;

									BgL_arg1897z00_13492 = VECTOR_LENGTH(BgL_sz00_4344);
									BgL_testz00_25691 =
										(
										((long) CINT(BgL_bpz00_4345) +
											BgL_siza7ezd2framez75_16564) <
										(long) (BgL_arg1897z00_13492));
								}
								if (BgL_testz00_25691)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3531z00_4347;

											BgL_arg3531z00_4347 =
												((long) CINT(BgL_bpz00_4345) + ((long) 0));
											VECTOR_SET(BgL_sz00_4344,
												(int) (BgL_arg3531z00_4347), BgL_bz00_4340);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3532z00_4348;

											BgL_arg3532z00_4348 =
												((long) CINT(BgL_bpz00_4345) + ((long) 1));
											VECTOR_SET(BgL_sz00_4344,
												(int) (BgL_arg3532z00_4348), BgL_cz00_4341);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3533z00_4349;

											BgL_arg3533z00_4349 =
												((long) CINT(BgL_bpz00_4345) + ((long) 2));
											VECTOR_SET(BgL_sz00_4344,
												(int) (BgL_arg3533z00_4349), BgL_dz00_4342);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1427z00_4350;

											BgL_val1427z00_4350 =
												BGl_zc3exitza33537ze3z83zz__evaluate_compz00
												(BgL_bpz00_4345, BgL_sz00_4344, BgL_runz00_16563);
											VECTOR_SET(BgL_sz00_4344, (int) (((long) 0)),
												BgL_bpz00_4345);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1427z00_4350)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1427z00_4350), CDR(BgL_val1427z00_4350));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1427z00_4350;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4357;

										BgL_nsz00_4357 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4357,
											(int) (((long) 1)), BgL_sz00_4344);
										VECTOR_SET(BgL_nsz00_4357,
											(int) (((long) 2)), BgL_bz00_4340);
										VECTOR_SET(BgL_nsz00_4357,
											(int) (((long) 3)), BgL_cz00_4341);
										VECTOR_SET(BgL_nsz00_4357,
											(int) (((long) 4)), BgL_dz00_4342);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25727;

											BgL_auxz00_25727 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25727, BgL_nsz00_4357);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1430z00_4359;

											BgL_val1430z00_4359 =
												BGl_zc3exitza33543ze3z83zz__evaluate_compz00
												(BgL_runz00_16563, BgL_nsz00_4357);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25731;

												BgL_auxz00_25731 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25731, BgL_sz00_4344);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1430z00_4359)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1430z00_4359), CDR(BgL_val1430z00_4359));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1430z00_4359;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3543> */
	obj_t BGl_zc3exitza33543ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17565,
		obj_t BgL_nsz00_17564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1431z00_4365;

			if (SET_EXIT(BgL_an_exit1431z00_4365))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1431z00_4365 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1431z00_4365, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1432z00_4366;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13538;

								BgL_savedzd2bpzd2_13538 =
									VECTOR_REF(BgL_nsz00_17564, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17564,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13545;

									BgL_fz00_13545 = BgL_runz00_17565;
								BgL_recz00_13544:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13546;

										BgL_rz00_13546 =
											PROCEDURE_ENTRY(BgL_fz00_13545) (BgL_fz00_13545,
											BgL_nsz00_17564, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25752;

											if (PROCEDUREP(BgL_rz00_13546))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13551;

													BgL_arg1889z00_13551 = PROCEDURE_ATTR(BgL_rz00_13546);
													if (STRUCTP(BgL_arg1889z00_13551))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25752 =
																(STRUCT_KEY(BgL_arg1889z00_13551) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25752 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25752 = ((bool_t) 0);
												}
											if (BgL_testz00_25752)
												{
													obj_t BgL_fz00_25760;

													BgL_fz00_25760 = BgL_rz00_13546;
													BgL_fz00_13545 = BgL_fz00_25760;
													goto BgL_recz00_13544;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17564,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13538);
													BgL_val1432z00_4366 = BgL_rz00_13546;
							}}}}}
							POP_EXIT();
							return BgL_val1432z00_4366;
						}
					}
				}
		}
	}



/* <exit:3537> */
	obj_t BGl_zc3exitza33537ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17568,
		obj_t BgL_sz00_17567, obj_t BgL_runz00_17566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1428z00_4355;

			if (SET_EXIT(BgL_an_exit1428z00_4355))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1428z00_4355 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1428z00_4355, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1429z00_4356;

							BgL_val1429z00_4356 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17566,
								BgL_sz00_17567, BgL_bpz00_17568);
							POP_EXIT();
							return BgL_val1429z00_4356;
						}
					}
				}
		}
	}



/* &run5471 */
	obj_t BGl_z62run5471z62zz__evaluate_compz00(obj_t BgL_envz00_16568,
		obj_t BgL_sz00_16572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16569;
				BgL_ev_absz00_bglt BgL_i1250z00_16570;
				obj_t BgL_bodyz00_16571;

				BgL_iboxesz00_16569 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 0))));
				BgL_i1250z00_16570 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 1))));
				BgL_bodyz00_16571 = PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4368;

					BgL_sz00_4368 = BgL_sz00_16572;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4370;

						BgL_bpz00_4370 = VECTOR_REF(BgL_sz00_4368, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4368,
							BgL_iboxesz00_16569, BgL_bpz00_4370);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4371;
							obj_t BgL_wherez00_4372;
							obj_t BgL_locz00_4373;

							BgL_z12denvz12_4371 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4372 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16570))->BgL_wherez00);
							BgL_locz00_4373 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16570))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4371, BgL_wherez00_4372,
									BgL_locz00_4373);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4374;

									BgL_za2za2resza2za2z00_4374 =
										PROCEDURE_ENTRY(BgL_bodyz00_16571) (BgL_bodyz00_16571,
										BgL_sz00_4368, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4371);
									return BgL_za2za2resza2za2z00_4374;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3547> */
	obj_t BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16573, obj_t BgL_sz00_16579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16574;
				long BgL_siza7eza7_16575;
				BgL_ev_absz00_bglt BgL_i1250z00_16576;
				obj_t BgL_bodyz00_16577;
				long BgL_siza7ezd2framez75_16578;

				BgL_ifreesz00_16574 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 0))));
				BgL_siza7eza7_16575 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 1))));
				BgL_i1250z00_16576 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 2))));
				BgL_bodyz00_16577 = PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16578 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4378;

					BgL_sz00_4378 = BgL_sz00_16579;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4380;

						BgL_bpz00_4380 = VECTOR_REF(BgL_sz00_4378, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4381;

							BgL_valza2za2_4381 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4378,
								BgL_bpz00_4380, BgL_ifreesz00_16574);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16144;

								BgL_runz00_16144 =
									MAKE_FX_PROCEDURE(BGl_z62run5473z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16575));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 1)), BgL_valza2za2_4381);
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16576));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 3)), BgL_bodyz00_16577);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16145;

									BgL_mainz00_16145 =
										MAKE_FX_PROCEDURE(BGl_z62main5472z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16575));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 1)), BgL_valza2za2_4381);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16576));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 3)), BgL_bodyz00_16577);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 4)), BgL_runz00_16144);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16578));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13682;

										BgL_objz00_13682 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16144, BgL_objz00_13682);
										BgL_objz00_13682;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3548z00_4384;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3549z00_4385;

											BgL_arg3549z00_4385 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16576))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13686;

												BgL_newz00_13686 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25841;

													BgL_auxz00_25841 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13686, BgL_auxz00_25841,
														BgL_arg3549z00_4385);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25846;
													int BgL_auxz00_25844;

													BgL_auxz00_25846 = BINT(BgL_siza7ezd2framez75_16578);
													BgL_auxz00_25844 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13686, BgL_auxz00_25844,
														BgL_auxz00_25846);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25849;

													BgL_auxz00_25849 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13686, BgL_auxz00_25849,
														BgL_runz00_16144);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25854;
													int BgL_auxz00_25852;

													BgL_auxz00_25854 = BINT(((long) 3));
													BgL_auxz00_25852 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13686, BgL_auxz00_25852,
														BgL_auxz00_25854);
												}
												BgL_arg3548z00_4384 = BgL_newz00_13686;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16145, BgL_arg3548z00_4384);
										BgL_arg3548z00_4384;
									}
									return BgL_mainz00_16145;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5472 */
	obj_t BGl_z62main5472z62zz__evaluate_compz00(obj_t BgL_envz00_16580,
		obj_t BgL_bz00_16587, obj_t BgL_cz00_16588, obj_t BgL_dz00_16589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16585;
				long BgL_siza7ezd2framez75_16586;

				BgL_runz00_16585 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16586 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4386;
					obj_t BgL_cz00_4387;
					obj_t BgL_dz00_4388;

					BgL_bz00_4386 = BgL_bz00_16587;
					BgL_cz00_4387 = BgL_cz00_16588;
					BgL_dz00_4388 = BgL_dz00_16589;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4390;

						BgL_sz00_4390 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4391;

							BgL_bpz00_4391 = VECTOR_REF(BgL_sz00_4390, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25867;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13608;

									BgL_arg1897z00_13608 = VECTOR_LENGTH(BgL_sz00_4390);
									BgL_testz00_25867 =
										(
										((long) CINT(BgL_bpz00_4391) +
											BgL_siza7ezd2framez75_16586) <
										(long) (BgL_arg1897z00_13608));
								}
								if (BgL_testz00_25867)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3552z00_4393;

											BgL_arg3552z00_4393 =
												((long) CINT(BgL_bpz00_4391) + ((long) 0));
											VECTOR_SET(BgL_sz00_4390,
												(int) (BgL_arg3552z00_4393), BgL_bz00_4386);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3553z00_4394;

											BgL_arg3553z00_4394 =
												((long) CINT(BgL_bpz00_4391) + ((long) 1));
											VECTOR_SET(BgL_sz00_4390,
												(int) (BgL_arg3553z00_4394), BgL_cz00_4387);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3554z00_4395;

											BgL_arg3554z00_4395 =
												((long) CINT(BgL_bpz00_4391) + ((long) 2));
											VECTOR_SET(BgL_sz00_4390,
												(int) (BgL_arg3554z00_4395), BgL_dz00_4388);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1433z00_4396;

											BgL_val1433z00_4396 =
												BGl_zc3exitza33558ze3z83zz__evaluate_compz00
												(BgL_bpz00_4391, BgL_sz00_4390, BgL_runz00_16585);
											VECTOR_SET(BgL_sz00_4390, (int) (((long) 0)),
												BgL_bpz00_4391);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1433z00_4396)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1433z00_4396), CDR(BgL_val1433z00_4396));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1433z00_4396;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4403;

										BgL_nsz00_4403 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4403,
											(int) (((long) 1)), BgL_sz00_4390);
										VECTOR_SET(BgL_nsz00_4403,
											(int) (((long) 2)), BgL_bz00_4386);
										VECTOR_SET(BgL_nsz00_4403,
											(int) (((long) 3)), BgL_cz00_4387);
										VECTOR_SET(BgL_nsz00_4403,
											(int) (((long) 4)), BgL_dz00_4388);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25903;

											BgL_auxz00_25903 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25903, BgL_nsz00_4403);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1436z00_4405;

											BgL_val1436z00_4405 =
												BGl_zc3exitza33564ze3z83zz__evaluate_compz00
												(BgL_runz00_16585, BgL_nsz00_4403);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25907;

												BgL_auxz00_25907 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25907, BgL_sz00_4390);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1436z00_4405)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1436z00_4405), CDR(BgL_val1436z00_4405));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1436z00_4405;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3564> */
	obj_t BGl_zc3exitza33564ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17560,
		obj_t BgL_nsz00_17559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1437z00_4411;

			if (SET_EXIT(BgL_an_exit1437z00_4411))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1437z00_4411 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1437z00_4411, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1438z00_4412;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13654;

								BgL_savedzd2bpzd2_13654 =
									VECTOR_REF(BgL_nsz00_17559, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17559,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13661;

									BgL_fz00_13661 = BgL_runz00_17560;
								BgL_recz00_13660:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13662;

										BgL_rz00_13662 =
											PROCEDURE_ENTRY(BgL_fz00_13661) (BgL_fz00_13661,
											BgL_nsz00_17559, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25928;

											if (PROCEDUREP(BgL_rz00_13662))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13667;

													BgL_arg1889z00_13667 = PROCEDURE_ATTR(BgL_rz00_13662);
													if (STRUCTP(BgL_arg1889z00_13667))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25928 =
																(STRUCT_KEY(BgL_arg1889z00_13667) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25928 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25928 = ((bool_t) 0);
												}
											if (BgL_testz00_25928)
												{
													obj_t BgL_fz00_25936;

													BgL_fz00_25936 = BgL_rz00_13662;
													BgL_fz00_13661 = BgL_fz00_25936;
													goto BgL_recz00_13660;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17559,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13654);
													BgL_val1438z00_4412 = BgL_rz00_13662;
							}}}}}
							POP_EXIT();
							return BgL_val1438z00_4412;
						}
					}
				}
		}
	}



/* <exit:3558> */
	obj_t BGl_zc3exitza33558ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17563,
		obj_t BgL_sz00_17562, obj_t BgL_runz00_17561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1434z00_4401;

			if (SET_EXIT(BgL_an_exit1434z00_4401))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1434z00_4401 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1434z00_4401, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1435z00_4402;

							BgL_val1435z00_4402 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17561,
								BgL_sz00_17562, BgL_bpz00_17563);
							POP_EXIT();
							return BgL_val1435z00_4402;
						}
					}
				}
		}
	}



/* &run5473 */
	obj_t BGl_z62run5473z62zz__evaluate_compz00(obj_t BgL_envz00_16590,
		obj_t BgL_sz00_16595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16591;
				obj_t BgL_valza2za2_16592;
				BgL_ev_absz00_bglt BgL_i1250z00_16593;
				obj_t BgL_bodyz00_16594;

				BgL_siza7eza7_16591 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16590, (int) (((long) 0))));
				BgL_valza2za2_16592 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16590, (int) (((long) 1))));
				BgL_i1250z00_16593 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16590, (int) (((long) 2))));
				BgL_bodyz00_16594 = PROCEDURE_REF(BgL_envz00_16590, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4414;

					BgL_sz00_4414 = BgL_sz00_16595;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4416;

						BgL_bpz00_4416 = VECTOR_REF(BgL_sz00_4414, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4414,
							BgL_valza2za2_16592,
							((long) CINT(BgL_bpz00_4416) + BgL_siza7eza7_16591));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4418;
							obj_t BgL_wherez00_4419;
							obj_t BgL_locz00_4420;

							BgL_z12denvz12_4418 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4419 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16593))->BgL_wherez00);
							BgL_locz00_4420 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16593))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4418, BgL_wherez00_4419,
									BgL_locz00_4420);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4421;

									BgL_za2za2resza2za2z00_4421 =
										PROCEDURE_ENTRY(BgL_bodyz00_16594) (BgL_bodyz00_16594,
										BgL_sz00_4414, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4418);
									return BgL_za2za2resza2za2z00_4421;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3567> */
	obj_t BGl_z62zc3anonymousza33567ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16596, obj_t BgL_sz00_16603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16597;
				obj_t BgL_iboxesz00_16598;
				long BgL_siza7eza7_16599;
				BgL_ev_absz00_bglt BgL_i1250z00_16600;
				obj_t BgL_bodyz00_16601;
				long BgL_siza7ezd2framez75_16602;

				BgL_ifreesz00_16597 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 0))));
				BgL_iboxesz00_16598 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 1))));
				BgL_siza7eza7_16599 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 2))));
				BgL_i1250z00_16600 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 3))));
				BgL_bodyz00_16601 = PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16602 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16596, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4423;

					BgL_sz00_4423 = BgL_sz00_16603;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4425;

						BgL_bpz00_4425 = VECTOR_REF(BgL_sz00_4423, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4426;

							BgL_valza2za2_4426 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4423,
								BgL_bpz00_4425, BgL_ifreesz00_16597);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16141;

								BgL_runz00_16141 =
									MAKE_FX_PROCEDURE(BGl_z62run5475z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 0)), BgL_iboxesz00_16598);
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16599));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 2)), BgL_valza2za2_4426);
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16600));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 4)), BgL_bodyz00_16601);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16142;

									BgL_mainz00_16142 =
										MAKE_FX_PROCEDURE(BGl_z62main5474z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 0)), BgL_iboxesz00_16598);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16599));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 2)), BgL_valza2za2_4426);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16600));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 4)), BgL_bodyz00_16601);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 5)), BgL_runz00_16141);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16602));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13794;

										BgL_objz00_13794 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16141, BgL_objz00_13794);
										BgL_objz00_13794;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3568z00_4429;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3569z00_4430;

											BgL_arg3569z00_4430 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16600))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13798;

												BgL_newz00_13798 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26029;

													BgL_auxz00_26029 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13798, BgL_auxz00_26029,
														BgL_arg3569z00_4430);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26034;
													int BgL_auxz00_26032;

													BgL_auxz00_26034 = BINT(BgL_siza7ezd2framez75_16602);
													BgL_auxz00_26032 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13798, BgL_auxz00_26032,
														BgL_auxz00_26034);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26037;

													BgL_auxz00_26037 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13798, BgL_auxz00_26037,
														BgL_runz00_16141);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26042;
													int BgL_auxz00_26040;

													BgL_auxz00_26042 = BINT(((long) 3));
													BgL_auxz00_26040 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13798, BgL_auxz00_26040,
														BgL_auxz00_26042);
												}
												BgL_arg3568z00_4429 = BgL_newz00_13798;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16142, BgL_arg3568z00_4429);
										BgL_arg3568z00_4429;
									}
									return BgL_mainz00_16142;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5474 */
	obj_t BGl_z62main5474z62zz__evaluate_compz00(obj_t BgL_envz00_16604,
		obj_t BgL_bz00_16612, obj_t BgL_cz00_16613, obj_t BgL_dz00_16614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16610;
				long BgL_siza7ezd2framez75_16611;

				BgL_runz00_16610 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16604, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16611 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16604, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4431;
					obj_t BgL_cz00_4432;
					obj_t BgL_dz00_4433;

					BgL_bz00_4431 = BgL_bz00_16612;
					BgL_cz00_4432 = BgL_cz00_16613;
					BgL_dz00_4433 = BgL_dz00_16614;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4435;

						BgL_sz00_4435 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4436;

							BgL_bpz00_4436 = VECTOR_REF(BgL_sz00_4435, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26055;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13720;

									BgL_arg1897z00_13720 = VECTOR_LENGTH(BgL_sz00_4435);
									BgL_testz00_26055 =
										(
										((long) CINT(BgL_bpz00_4436) +
											BgL_siza7ezd2framez75_16611) <
										(long) (BgL_arg1897z00_13720));
								}
								if (BgL_testz00_26055)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3572z00_4438;

											BgL_arg3572z00_4438 =
												((long) CINT(BgL_bpz00_4436) + ((long) 0));
											VECTOR_SET(BgL_sz00_4435,
												(int) (BgL_arg3572z00_4438), BgL_bz00_4431);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3573z00_4439;

											BgL_arg3573z00_4439 =
												((long) CINT(BgL_bpz00_4436) + ((long) 1));
											VECTOR_SET(BgL_sz00_4435,
												(int) (BgL_arg3573z00_4439), BgL_cz00_4432);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3574z00_4440;

											BgL_arg3574z00_4440 =
												((long) CINT(BgL_bpz00_4436) + ((long) 2));
											VECTOR_SET(BgL_sz00_4435,
												(int) (BgL_arg3574z00_4440), BgL_dz00_4433);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1439z00_4441;

											BgL_val1439z00_4441 =
												BGl_zc3exitza33578ze3z83zz__evaluate_compz00
												(BgL_bpz00_4436, BgL_sz00_4435, BgL_runz00_16610);
											VECTOR_SET(BgL_sz00_4435, (int) (((long) 0)),
												BgL_bpz00_4436);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1439z00_4441)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1439z00_4441), CDR(BgL_val1439z00_4441));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1439z00_4441;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4448;

										BgL_nsz00_4448 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4448,
											(int) (((long) 1)), BgL_sz00_4435);
										VECTOR_SET(BgL_nsz00_4448,
											(int) (((long) 2)), BgL_bz00_4431);
										VECTOR_SET(BgL_nsz00_4448,
											(int) (((long) 3)), BgL_cz00_4432);
										VECTOR_SET(BgL_nsz00_4448,
											(int) (((long) 4)), BgL_dz00_4433);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26091;

											BgL_auxz00_26091 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26091, BgL_nsz00_4448);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1442z00_4450;

											BgL_val1442z00_4450 =
												BGl_zc3exitza33584ze3z83zz__evaluate_compz00
												(BgL_runz00_16610, BgL_nsz00_4448);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26095;

												BgL_auxz00_26095 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26095, BgL_sz00_4435);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1442z00_4450)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1442z00_4450), CDR(BgL_val1442z00_4450));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1442z00_4450;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3584> */
	obj_t BGl_zc3exitza33584ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17555,
		obj_t BgL_nsz00_17554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1443z00_4456;

			if (SET_EXIT(BgL_an_exit1443z00_4456))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1443z00_4456 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1443z00_4456, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1444z00_4457;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13766;

								BgL_savedzd2bpzd2_13766 =
									VECTOR_REF(BgL_nsz00_17554, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17554,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13773;

									BgL_fz00_13773 = BgL_runz00_17555;
								BgL_recz00_13772:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13774;

										BgL_rz00_13774 =
											PROCEDURE_ENTRY(BgL_fz00_13773) (BgL_fz00_13773,
											BgL_nsz00_17554, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26116;

											if (PROCEDUREP(BgL_rz00_13774))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13779;

													BgL_arg1889z00_13779 = PROCEDURE_ATTR(BgL_rz00_13774);
													if (STRUCTP(BgL_arg1889z00_13779))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26116 =
																(STRUCT_KEY(BgL_arg1889z00_13779) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26116 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26116 = ((bool_t) 0);
												}
											if (BgL_testz00_26116)
												{
													obj_t BgL_fz00_26124;

													BgL_fz00_26124 = BgL_rz00_13774;
													BgL_fz00_13773 = BgL_fz00_26124;
													goto BgL_recz00_13772;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17554,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13766);
													BgL_val1444z00_4457 = BgL_rz00_13774;
							}}}}}
							POP_EXIT();
							return BgL_val1444z00_4457;
						}
					}
				}
		}
	}



/* <exit:3578> */
	obj_t BGl_zc3exitza33578ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17558,
		obj_t BgL_sz00_17557, obj_t BgL_runz00_17556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1440z00_4446;

			if (SET_EXIT(BgL_an_exit1440z00_4446))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1440z00_4446 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1440z00_4446, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1441z00_4447;

							BgL_val1441z00_4447 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17556,
								BgL_sz00_17557, BgL_bpz00_17558);
							POP_EXIT();
							return BgL_val1441z00_4447;
						}
					}
				}
		}
	}



/* &run5475 */
	obj_t BGl_z62run5475z62zz__evaluate_compz00(obj_t BgL_envz00_16615,
		obj_t BgL_sz00_16621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16616;
				long BgL_siza7eza7_16617;
				obj_t BgL_valza2za2_16618;
				BgL_ev_absz00_bglt BgL_i1250z00_16619;
				obj_t BgL_bodyz00_16620;

				BgL_iboxesz00_16616 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16615, (int) (((long) 0))));
				BgL_siza7eza7_16617 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16615, (int) (((long) 1))));
				BgL_valza2za2_16618 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16615, (int) (((long) 2))));
				BgL_i1250z00_16619 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16615, (int) (((long) 3))));
				BgL_bodyz00_16620 = PROCEDURE_REF(BgL_envz00_16615, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4459;

					BgL_sz00_4459 = BgL_sz00_16621;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4461;

						BgL_bpz00_4461 = VECTOR_REF(BgL_sz00_4459, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4459,
							BgL_iboxesz00_16616, BgL_bpz00_4461);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4459,
							BgL_valza2za2_16618,
							((long) CINT(BgL_bpz00_4461) + BgL_siza7eza7_16617));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4463;
							obj_t BgL_wherez00_4464;
							obj_t BgL_locz00_4465;

							BgL_z12denvz12_4463 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4464 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16619))->BgL_wherez00);
							BgL_locz00_4465 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16619))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4463, BgL_wherez00_4464,
									BgL_locz00_4465);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4466;

									BgL_za2za2resza2za2z00_4466 =
										PROCEDURE_ENTRY(BgL_bodyz00_16620) (BgL_bodyz00_16620,
										BgL_sz00_4459, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4463);
									return BgL_za2za2resza2za2z00_4466;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3423> */
	obj_t BGl_z62zc3anonymousza33423ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16622, obj_t BgL_sz00_16626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16623;
				obj_t BgL_bodyz00_16624;
				long BgL_siza7ezd2framez75_16625;

				BgL_i1250z00_16623 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16622, (int) (((long) 0))));
				BgL_bodyz00_16624 = PROCEDURE_REF(BgL_envz00_16622, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16625 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16622, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4108;

					BgL_sz00_4108 = BgL_sz00_16626;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4110;

						BgL_bpz00_4110 = VECTOR_REF(BgL_sz00_4108, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16138;

								BgL_runz00_16138 =
									MAKE_FX_PROCEDURE(BGl_z62run5477z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16138,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16623));
								PROCEDURE_SET(BgL_runz00_16138,
									(int) (((long) 1)), BgL_bodyz00_16624);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16139;

									BgL_mainz00_16139 =
										MAKE_VA_PROCEDURE(BGl_z62main5476z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16623));
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 1)), BgL_bodyz00_16624);
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 2)), BgL_runz00_16138);
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16625));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13003;

										BgL_objz00_13003 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16138, BgL_objz00_13003);
										BgL_objz00_13003;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3424z00_4113;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3425z00_4114;

											BgL_arg3425z00_4114 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16623))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13007;

												BgL_newz00_13007 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26197;

													BgL_auxz00_26197 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13007, BgL_auxz00_26197,
														BgL_arg3425z00_4114);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26202;
													int BgL_auxz00_26200;

													BgL_auxz00_26202 = BINT(BgL_siza7ezd2framez75_16625);
													BgL_auxz00_26200 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13007, BgL_auxz00_26200,
														BgL_auxz00_26202);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26205;

													BgL_auxz00_26205 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13007, BgL_auxz00_26205,
														BgL_runz00_16138);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26210;
													int BgL_auxz00_26208;

													BgL_auxz00_26210 = BINT(((long) -3));
													BgL_auxz00_26208 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13007, BgL_auxz00_26208,
														BgL_auxz00_26210);
												}
												BgL_arg3424z00_4113 = BgL_newz00_13007;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16139, BgL_arg3424z00_4113);
										BgL_arg3424z00_4113;
									}
									return BgL_mainz00_16139;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5476 */
	obj_t BGl_z62main5476z62zz__evaluate_compz00(obj_t BgL_envz00_16627,
		obj_t BgL_cz00_16632, obj_t BgL_dz00_16633, obj_t BgL_lastz00_16634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16630;
				long BgL_siza7ezd2framez75_16631;

				BgL_runz00_16630 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16627, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16631 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16627, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4115;
					obj_t BgL_dz00_4116;
					obj_t BgL_lastz00_4117;

					BgL_cz00_4115 = BgL_cz00_16632;
					BgL_dz00_4116 = BgL_dz00_16633;
					BgL_lastz00_4117 = BgL_lastz00_16634;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4119;

						BgL_sz00_4119 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4120;

							BgL_bpz00_4120 = VECTOR_REF(BgL_sz00_4119, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26223;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12929;

									BgL_arg1897z00_12929 = VECTOR_LENGTH(BgL_sz00_4119);
									BgL_testz00_26223 =
										(
										((long) CINT(BgL_bpz00_4120) +
											BgL_siza7ezd2framez75_16631) <
										(long) (BgL_arg1897z00_12929));
								}
								if (BgL_testz00_26223)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3428z00_4122;

											BgL_arg3428z00_4122 =
												((long) CINT(BgL_bpz00_4120) + ((long) 0));
											VECTOR_SET(BgL_sz00_4119,
												(int) (BgL_arg3428z00_4122), BgL_cz00_4115);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3429z00_4123;

											BgL_arg3429z00_4123 =
												((long) CINT(BgL_bpz00_4120) + ((long) 1));
											VECTOR_SET(BgL_sz00_4119,
												(int) (BgL_arg3429z00_4123), BgL_dz00_4116);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3430z00_4124;

											BgL_arg3430z00_4124 =
												((long) CINT(BgL_bpz00_4120) + ((long) 2));
											VECTOR_SET(BgL_sz00_4119,
												(int) (BgL_arg3430z00_4124), BgL_lastz00_4117);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1397z00_4125;

											BgL_val1397z00_4125 =
												BGl_zc3exitza33434ze3z83zz__evaluate_compz00
												(BgL_bpz00_4120, BgL_sz00_4119, BgL_runz00_16630);
											VECTOR_SET(BgL_sz00_4119, (int) (((long) 0)),
												BgL_bpz00_4120);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1397z00_4125)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1397z00_4125), CDR(BgL_val1397z00_4125));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1397z00_4125;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4132;

										BgL_nsz00_4132 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4132,
											(int) (((long) 1)), BgL_sz00_4119);
										VECTOR_SET(BgL_nsz00_4132,
											(int) (((long) 2)), BgL_cz00_4115);
										VECTOR_SET(BgL_nsz00_4132,
											(int) (((long) 3)), BgL_dz00_4116);
										VECTOR_SET(BgL_nsz00_4132,
											(int) (((long) 4)), BgL_lastz00_4117);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26259;

											BgL_auxz00_26259 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26259, BgL_nsz00_4132);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1400z00_4134;

											BgL_val1400z00_4134 =
												BGl_zc3exitza33440ze3z83zz__evaluate_compz00
												(BgL_runz00_16630, BgL_nsz00_4132);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26263;

												BgL_auxz00_26263 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26263, BgL_sz00_4119);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1400z00_4134)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1400z00_4134), CDR(BgL_val1400z00_4134));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1400z00_4134;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3440> */
	obj_t BGl_zc3exitza33440ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17550,
		obj_t BgL_nsz00_17549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1401z00_4140;

			if (SET_EXIT(BgL_an_exit1401z00_4140))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1401z00_4140 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1401z00_4140, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1402z00_4141;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12975;

								BgL_savedzd2bpzd2_12975 =
									VECTOR_REF(BgL_nsz00_17549, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17549,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12982;

									BgL_fz00_12982 = BgL_runz00_17550;
								BgL_recz00_12981:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12983;

										BgL_rz00_12983 =
											PROCEDURE_ENTRY(BgL_fz00_12982) (BgL_fz00_12982,
											BgL_nsz00_17549, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26284;

											if (PROCEDUREP(BgL_rz00_12983))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12988;

													BgL_arg1889z00_12988 = PROCEDURE_ATTR(BgL_rz00_12983);
													if (STRUCTP(BgL_arg1889z00_12988))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26284 =
																(STRUCT_KEY(BgL_arg1889z00_12988) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26284 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26284 = ((bool_t) 0);
												}
											if (BgL_testz00_26284)
												{
													obj_t BgL_fz00_26292;

													BgL_fz00_26292 = BgL_rz00_12983;
													BgL_fz00_12982 = BgL_fz00_26292;
													goto BgL_recz00_12981;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17549,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12975);
													BgL_val1402z00_4141 = BgL_rz00_12983;
							}}}}}
							POP_EXIT();
							return BgL_val1402z00_4141;
						}
					}
				}
		}
	}



/* <exit:3434> */
	obj_t BGl_zc3exitza33434ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17553,
		obj_t BgL_sz00_17552, obj_t BgL_runz00_17551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1398z00_4130;

			if (SET_EXIT(BgL_an_exit1398z00_4130))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1398z00_4130 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1398z00_4130, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1399z00_4131;

							BgL_val1399z00_4131 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17551,
								BgL_sz00_17552, BgL_bpz00_17553);
							POP_EXIT();
							return BgL_val1399z00_4131;
						}
					}
				}
		}
	}



/* &run5477 */
	obj_t BGl_z62run5477z62zz__evaluate_compz00(obj_t BgL_envz00_16635,
		obj_t BgL_sz00_16638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16636;
				obj_t BgL_bodyz00_16637;

				BgL_i1250z00_16636 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16635, (int) (((long) 0))));
				BgL_bodyz00_16637 = PROCEDURE_REF(BgL_envz00_16635, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4143;

					BgL_sz00_4143 = BgL_sz00_16638;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4145;

						BgL_bpz00_4145 = VECTOR_REF(BgL_sz00_4143, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4146;
							obj_t BgL_wherez00_4147;
							obj_t BgL_locz00_4148;

							BgL_z12denvz12_4146 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4147 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16636))->BgL_wherez00);
							BgL_locz00_4148 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16636))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4146, BgL_wherez00_4147,
									BgL_locz00_4148);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4149;

									BgL_za2za2resza2za2z00_4149 =
										PROCEDURE_ENTRY(BgL_bodyz00_16637) (BgL_bodyz00_16637,
										BgL_sz00_4143, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4146);
									return BgL_za2za2resza2za2z00_4149;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3442> */
	obj_t BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16639, obj_t BgL_sz00_16644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16640;
				BgL_ev_absz00_bglt BgL_i1250z00_16641;
				obj_t BgL_bodyz00_16642;
				long BgL_siza7ezd2framez75_16643;

				BgL_iboxesz00_16640 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16639, (int) (((long) 0))));
				BgL_i1250z00_16641 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16639, (int) (((long) 1))));
				BgL_bodyz00_16642 = PROCEDURE_REF(BgL_envz00_16639, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16643 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16639, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4151;

					BgL_sz00_4151 = BgL_sz00_16644;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4153;

						BgL_bpz00_4153 = VECTOR_REF(BgL_sz00_4151, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16135;

								BgL_runz00_16135 =
									MAKE_FX_PROCEDURE(BGl_z62run5479z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 0)), BgL_iboxesz00_16640);
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16641));
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 2)), BgL_bodyz00_16642);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16136;

									BgL_mainz00_16136 =
										MAKE_VA_PROCEDURE(BGl_z62main5478z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 0)), BgL_iboxesz00_16640);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16641));
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 2)), BgL_bodyz00_16642);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 3)), BgL_runz00_16135);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16643));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13112;

										BgL_objz00_13112 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16135, BgL_objz00_13112);
										BgL_objz00_13112;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3443z00_4156;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3444z00_4157;

											BgL_arg3444z00_4157 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16641))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13116;

												BgL_newz00_13116 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26359;

													BgL_auxz00_26359 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13116, BgL_auxz00_26359,
														BgL_arg3444z00_4157);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26364;
													int BgL_auxz00_26362;

													BgL_auxz00_26364 = BINT(BgL_siza7ezd2framez75_16643);
													BgL_auxz00_26362 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13116, BgL_auxz00_26362,
														BgL_auxz00_26364);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26367;

													BgL_auxz00_26367 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13116, BgL_auxz00_26367,
														BgL_runz00_16135);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26372;
													int BgL_auxz00_26370;

													BgL_auxz00_26372 = BINT(((long) -3));
													BgL_auxz00_26370 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13116, BgL_auxz00_26370,
														BgL_auxz00_26372);
												}
												BgL_arg3443z00_4156 = BgL_newz00_13116;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16136, BgL_arg3443z00_4156);
										BgL_arg3443z00_4156;
									}
									return BgL_mainz00_16136;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5478 */
	obj_t BGl_z62main5478z62zz__evaluate_compz00(obj_t BgL_envz00_16645,
		obj_t BgL_cz00_16651, obj_t BgL_dz00_16652, obj_t BgL_lastz00_16653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16649;
				long BgL_siza7ezd2framez75_16650;

				BgL_runz00_16649 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16645, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16650 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16645, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4158;
					obj_t BgL_dz00_4159;
					obj_t BgL_lastz00_4160;

					BgL_cz00_4158 = BgL_cz00_16651;
					BgL_dz00_4159 = BgL_dz00_16652;
					BgL_lastz00_4160 = BgL_lastz00_16653;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4162;

						BgL_sz00_4162 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4163;

							BgL_bpz00_4163 = VECTOR_REF(BgL_sz00_4162, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26385;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13038;

									BgL_arg1897z00_13038 = VECTOR_LENGTH(BgL_sz00_4162);
									BgL_testz00_26385 =
										(
										((long) CINT(BgL_bpz00_4163) +
											BgL_siza7ezd2framez75_16650) <
										(long) (BgL_arg1897z00_13038));
								}
								if (BgL_testz00_26385)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3447z00_4165;

											BgL_arg3447z00_4165 =
												((long) CINT(BgL_bpz00_4163) + ((long) 0));
											VECTOR_SET(BgL_sz00_4162,
												(int) (BgL_arg3447z00_4165), BgL_cz00_4158);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3448z00_4166;

											BgL_arg3448z00_4166 =
												((long) CINT(BgL_bpz00_4163) + ((long) 1));
											VECTOR_SET(BgL_sz00_4162,
												(int) (BgL_arg3448z00_4166), BgL_dz00_4159);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3449z00_4167;

											BgL_arg3449z00_4167 =
												((long) CINT(BgL_bpz00_4163) + ((long) 2));
											VECTOR_SET(BgL_sz00_4162,
												(int) (BgL_arg3449z00_4167), BgL_lastz00_4160);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1403z00_4168;

											BgL_val1403z00_4168 =
												BGl_zc3exitza33453ze3z83zz__evaluate_compz00
												(BgL_bpz00_4163, BgL_sz00_4162, BgL_runz00_16649);
											VECTOR_SET(BgL_sz00_4162, (int) (((long) 0)),
												BgL_bpz00_4163);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1403z00_4168)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1403z00_4168), CDR(BgL_val1403z00_4168));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1403z00_4168;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4175;

										BgL_nsz00_4175 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4175,
											(int) (((long) 1)), BgL_sz00_4162);
										VECTOR_SET(BgL_nsz00_4175,
											(int) (((long) 2)), BgL_cz00_4158);
										VECTOR_SET(BgL_nsz00_4175,
											(int) (((long) 3)), BgL_dz00_4159);
										VECTOR_SET(BgL_nsz00_4175,
											(int) (((long) 4)), BgL_lastz00_4160);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26421;

											BgL_auxz00_26421 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26421, BgL_nsz00_4175);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1406z00_4177;

											BgL_val1406z00_4177 =
												BGl_zc3exitza33459ze3z83zz__evaluate_compz00
												(BgL_runz00_16649, BgL_nsz00_4175);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26425;

												BgL_auxz00_26425 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26425, BgL_sz00_4162);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1406z00_4177)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1406z00_4177), CDR(BgL_val1406z00_4177));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1406z00_4177;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3459> */
	obj_t BGl_zc3exitza33459ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17545,
		obj_t BgL_nsz00_17544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1407z00_4183;

			if (SET_EXIT(BgL_an_exit1407z00_4183))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1407z00_4183 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1407z00_4183, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1408z00_4184;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13084;

								BgL_savedzd2bpzd2_13084 =
									VECTOR_REF(BgL_nsz00_17544, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17544,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13091;

									BgL_fz00_13091 = BgL_runz00_17545;
								BgL_recz00_13090:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13092;

										BgL_rz00_13092 =
											PROCEDURE_ENTRY(BgL_fz00_13091) (BgL_fz00_13091,
											BgL_nsz00_17544, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26446;

											if (PROCEDUREP(BgL_rz00_13092))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13097;

													BgL_arg1889z00_13097 = PROCEDURE_ATTR(BgL_rz00_13092);
													if (STRUCTP(BgL_arg1889z00_13097))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26446 =
																(STRUCT_KEY(BgL_arg1889z00_13097) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26446 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26446 = ((bool_t) 0);
												}
											if (BgL_testz00_26446)
												{
													obj_t BgL_fz00_26454;

													BgL_fz00_26454 = BgL_rz00_13092;
													BgL_fz00_13091 = BgL_fz00_26454;
													goto BgL_recz00_13090;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17544,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13084);
													BgL_val1408z00_4184 = BgL_rz00_13092;
							}}}}}
							POP_EXIT();
							return BgL_val1408z00_4184;
						}
					}
				}
		}
	}



/* <exit:3453> */
	obj_t BGl_zc3exitza33453ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17548,
		obj_t BgL_sz00_17547, obj_t BgL_runz00_17546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1404z00_4173;

			if (SET_EXIT(BgL_an_exit1404z00_4173))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1404z00_4173 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1404z00_4173, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1405z00_4174;

							BgL_val1405z00_4174 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17546,
								BgL_sz00_17547, BgL_bpz00_17548);
							POP_EXIT();
							return BgL_val1405z00_4174;
						}
					}
				}
		}
	}



/* &run5479 */
	obj_t BGl_z62run5479z62zz__evaluate_compz00(obj_t BgL_envz00_16654,
		obj_t BgL_sz00_16658)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16655;
				BgL_ev_absz00_bglt BgL_i1250z00_16656;
				obj_t BgL_bodyz00_16657;

				BgL_iboxesz00_16655 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16654, (int) (((long) 0))));
				BgL_i1250z00_16656 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16654, (int) (((long) 1))));
				BgL_bodyz00_16657 = PROCEDURE_REF(BgL_envz00_16654, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4186;

					BgL_sz00_4186 = BgL_sz00_16658;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4188;

						BgL_bpz00_4188 = VECTOR_REF(BgL_sz00_4186, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4186,
							BgL_iboxesz00_16655, BgL_bpz00_4188);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4189;
							obj_t BgL_wherez00_4190;
							obj_t BgL_locz00_4191;

							BgL_z12denvz12_4189 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4190 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16656))->BgL_wherez00);
							BgL_locz00_4191 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16656))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4189, BgL_wherez00_4190,
									BgL_locz00_4191);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4192;

									BgL_za2za2resza2za2z00_4192 =
										PROCEDURE_ENTRY(BgL_bodyz00_16657) (BgL_bodyz00_16657,
										BgL_sz00_4186, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4189);
									return BgL_za2za2resza2za2z00_4192;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3463> */
	obj_t BGl_z62zc3anonymousza33463ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16659, obj_t BgL_sz00_16665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16660;
				long BgL_siza7eza7_16661;
				BgL_ev_absz00_bglt BgL_i1250z00_16662;
				obj_t BgL_bodyz00_16663;
				long BgL_siza7ezd2framez75_16664;

				BgL_ifreesz00_16660 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16659, (int) (((long) 0))));
				BgL_siza7eza7_16661 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16659, (int) (((long) 1))));
				BgL_i1250z00_16662 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16659, (int) (((long) 2))));
				BgL_bodyz00_16663 = PROCEDURE_REF(BgL_envz00_16659, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16664 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16659, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4196;

					BgL_sz00_4196 = BgL_sz00_16665;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4198;

						BgL_bpz00_4198 = VECTOR_REF(BgL_sz00_4196, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4199;

							BgL_valza2za2_4199 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4196,
								BgL_bpz00_4198, BgL_ifreesz00_16660);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16132;

								BgL_runz00_16132 =
									MAKE_FX_PROCEDURE(BGl_z62run5481z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16661));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 1)), BgL_valza2za2_4199);
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16662));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 3)), BgL_bodyz00_16663);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16133;

									BgL_mainz00_16133 =
										MAKE_VA_PROCEDURE(BGl_z62main5480z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16661));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 1)), BgL_valza2za2_4199);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16662));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 3)), BgL_bodyz00_16663);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 4)), BgL_runz00_16132);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16664));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13228;

										BgL_objz00_13228 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16132, BgL_objz00_13228);
										BgL_objz00_13228;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3464z00_4202;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3465z00_4203;

											BgL_arg3465z00_4203 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16662))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13232;

												BgL_newz00_13232 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26535;

													BgL_auxz00_26535 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13232, BgL_auxz00_26535,
														BgL_arg3465z00_4203);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26540;
													int BgL_auxz00_26538;

													BgL_auxz00_26540 = BINT(BgL_siza7ezd2framez75_16664);
													BgL_auxz00_26538 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13232, BgL_auxz00_26538,
														BgL_auxz00_26540);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26543;

													BgL_auxz00_26543 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13232, BgL_auxz00_26543,
														BgL_runz00_16132);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26548;
													int BgL_auxz00_26546;

													BgL_auxz00_26548 = BINT(((long) -3));
													BgL_auxz00_26546 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13232, BgL_auxz00_26546,
														BgL_auxz00_26548);
												}
												BgL_arg3464z00_4202 = BgL_newz00_13232;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16133, BgL_arg3464z00_4202);
										BgL_arg3464z00_4202;
									}
									return BgL_mainz00_16133;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5480 */
	obj_t BGl_z62main5480z62zz__evaluate_compz00(obj_t BgL_envz00_16666,
		obj_t BgL_cz00_16673, obj_t BgL_dz00_16674, obj_t BgL_lastz00_16675)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16671;
				long BgL_siza7ezd2framez75_16672;

				BgL_runz00_16671 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16672 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16666, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4204;
					obj_t BgL_dz00_4205;
					obj_t BgL_lastz00_4206;

					BgL_cz00_4204 = BgL_cz00_16673;
					BgL_dz00_4205 = BgL_dz00_16674;
					BgL_lastz00_4206 = BgL_lastz00_16675;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4208;

						BgL_sz00_4208 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4209;

							BgL_bpz00_4209 = VECTOR_REF(BgL_sz00_4208, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26561;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13154;

									BgL_arg1897z00_13154 = VECTOR_LENGTH(BgL_sz00_4208);
									BgL_testz00_26561 =
										(
										((long) CINT(BgL_bpz00_4209) +
											BgL_siza7ezd2framez75_16672) <
										(long) (BgL_arg1897z00_13154));
								}
								if (BgL_testz00_26561)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3468z00_4211;

											BgL_arg3468z00_4211 =
												((long) CINT(BgL_bpz00_4209) + ((long) 0));
											VECTOR_SET(BgL_sz00_4208,
												(int) (BgL_arg3468z00_4211), BgL_cz00_4204);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3469z00_4212;

											BgL_arg3469z00_4212 =
												((long) CINT(BgL_bpz00_4209) + ((long) 1));
											VECTOR_SET(BgL_sz00_4208,
												(int) (BgL_arg3469z00_4212), BgL_dz00_4205);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3470z00_4213;

											BgL_arg3470z00_4213 =
												((long) CINT(BgL_bpz00_4209) + ((long) 2));
											VECTOR_SET(BgL_sz00_4208,
												(int) (BgL_arg3470z00_4213), BgL_lastz00_4206);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1409z00_4214;

											BgL_val1409z00_4214 =
												BGl_zc3exitza33474ze3z83zz__evaluate_compz00
												(BgL_bpz00_4209, BgL_sz00_4208, BgL_runz00_16671);
											VECTOR_SET(BgL_sz00_4208, (int) (((long) 0)),
												BgL_bpz00_4209);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1409z00_4214)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1409z00_4214), CDR(BgL_val1409z00_4214));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1409z00_4214;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4221;

										BgL_nsz00_4221 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4221,
											(int) (((long) 1)), BgL_sz00_4208);
										VECTOR_SET(BgL_nsz00_4221,
											(int) (((long) 2)), BgL_cz00_4204);
										VECTOR_SET(BgL_nsz00_4221,
											(int) (((long) 3)), BgL_dz00_4205);
										VECTOR_SET(BgL_nsz00_4221,
											(int) (((long) 4)), BgL_lastz00_4206);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26597;

											BgL_auxz00_26597 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26597, BgL_nsz00_4221);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1412z00_4223;

											BgL_val1412z00_4223 =
												BGl_zc3exitza33480ze3z83zz__evaluate_compz00
												(BgL_runz00_16671, BgL_nsz00_4221);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26601;

												BgL_auxz00_26601 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26601, BgL_sz00_4208);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1412z00_4223)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1412z00_4223), CDR(BgL_val1412z00_4223));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1412z00_4223;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3480> */
	obj_t BGl_zc3exitza33480ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17540,
		obj_t BgL_nsz00_17539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1413z00_4229;

			if (SET_EXIT(BgL_an_exit1413z00_4229))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1413z00_4229 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1413z00_4229, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1414z00_4230;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13200;

								BgL_savedzd2bpzd2_13200 =
									VECTOR_REF(BgL_nsz00_17539, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17539,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13207;

									BgL_fz00_13207 = BgL_runz00_17540;
								BgL_recz00_13206:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13208;

										BgL_rz00_13208 =
											PROCEDURE_ENTRY(BgL_fz00_13207) (BgL_fz00_13207,
											BgL_nsz00_17539, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26622;

											if (PROCEDUREP(BgL_rz00_13208))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13213;

													BgL_arg1889z00_13213 = PROCEDURE_ATTR(BgL_rz00_13208);
													if (STRUCTP(BgL_arg1889z00_13213))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26622 =
																(STRUCT_KEY(BgL_arg1889z00_13213) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26622 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26622 = ((bool_t) 0);
												}
											if (BgL_testz00_26622)
												{
													obj_t BgL_fz00_26630;

													BgL_fz00_26630 = BgL_rz00_13208;
													BgL_fz00_13207 = BgL_fz00_26630;
													goto BgL_recz00_13206;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17539,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13200);
													BgL_val1414z00_4230 = BgL_rz00_13208;
							}}}}}
							POP_EXIT();
							return BgL_val1414z00_4230;
						}
					}
				}
		}
	}



/* <exit:3474> */
	obj_t BGl_zc3exitza33474ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17543,
		obj_t BgL_sz00_17542, obj_t BgL_runz00_17541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1410z00_4219;

			if (SET_EXIT(BgL_an_exit1410z00_4219))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1410z00_4219 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1410z00_4219, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1411z00_4220;

							BgL_val1411z00_4220 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17541,
								BgL_sz00_17542, BgL_bpz00_17543);
							POP_EXIT();
							return BgL_val1411z00_4220;
						}
					}
				}
		}
	}



/* &run5481 */
	obj_t BGl_z62run5481z62zz__evaluate_compz00(obj_t BgL_envz00_16676,
		obj_t BgL_sz00_16681)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16677;
				obj_t BgL_valza2za2_16678;
				BgL_ev_absz00_bglt BgL_i1250z00_16679;
				obj_t BgL_bodyz00_16680;

				BgL_siza7eza7_16677 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16676, (int) (((long) 0))));
				BgL_valza2za2_16678 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16676, (int) (((long) 1))));
				BgL_i1250z00_16679 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16676, (int) (((long) 2))));
				BgL_bodyz00_16680 = PROCEDURE_REF(BgL_envz00_16676, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4232;

					BgL_sz00_4232 = BgL_sz00_16681;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4234;

						BgL_bpz00_4234 = VECTOR_REF(BgL_sz00_4232, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4232,
							BgL_valza2za2_16678,
							((long) CINT(BgL_bpz00_4234) + BgL_siza7eza7_16677));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4236;
							obj_t BgL_wherez00_4237;
							obj_t BgL_locz00_4238;

							BgL_z12denvz12_4236 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4237 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16679))->BgL_wherez00);
							BgL_locz00_4238 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16679))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4236, BgL_wherez00_4237,
									BgL_locz00_4238);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4239;

									BgL_za2za2resza2za2z00_4239 =
										PROCEDURE_ENTRY(BgL_bodyz00_16680) (BgL_bodyz00_16680,
										BgL_sz00_4232, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4236);
									return BgL_za2za2resza2za2z00_4239;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3483> */
	obj_t BGl_z62zc3anonymousza33483ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16682, obj_t BgL_sz00_16689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16683;
				obj_t BgL_iboxesz00_16684;
				long BgL_siza7eza7_16685;
				BgL_ev_absz00_bglt BgL_i1250z00_16686;
				obj_t BgL_bodyz00_16687;
				long BgL_siza7ezd2framez75_16688;

				BgL_ifreesz00_16683 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 0))));
				BgL_iboxesz00_16684 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 1))));
				BgL_siza7eza7_16685 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 2))));
				BgL_i1250z00_16686 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 3))));
				BgL_bodyz00_16687 = PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16682, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4241;

					BgL_sz00_4241 = BgL_sz00_16689;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4243;

						BgL_bpz00_4243 = VECTOR_REF(BgL_sz00_4241, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4244;

							BgL_valza2za2_4244 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4241,
								BgL_bpz00_4243, BgL_ifreesz00_16683);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16129;

								BgL_runz00_16129 =
									MAKE_FX_PROCEDURE(BGl_z62run5483z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 0)), BgL_iboxesz00_16684);
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16685));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 2)), BgL_valza2za2_4244);
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16686));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 4)), BgL_bodyz00_16687);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16130;

									BgL_mainz00_16130 =
										MAKE_VA_PROCEDURE(BGl_z62main5482z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 0)), BgL_iboxesz00_16684);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16685));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 2)), BgL_valza2za2_4244);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16686));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 4)), BgL_bodyz00_16687);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 5)), BgL_runz00_16129);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16688));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13340;

										BgL_objz00_13340 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16129, BgL_objz00_13340);
										BgL_objz00_13340;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3484z00_4247;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3485z00_4248;

											BgL_arg3485z00_4248 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16686))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13344;

												BgL_newz00_13344 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26723;

													BgL_auxz00_26723 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13344, BgL_auxz00_26723,
														BgL_arg3485z00_4248);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26728;
													int BgL_auxz00_26726;

													BgL_auxz00_26728 = BINT(BgL_siza7ezd2framez75_16688);
													BgL_auxz00_26726 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13344, BgL_auxz00_26726,
														BgL_auxz00_26728);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26731;

													BgL_auxz00_26731 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13344, BgL_auxz00_26731,
														BgL_runz00_16129);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26736;
													int BgL_auxz00_26734;

													BgL_auxz00_26736 = BINT(((long) -3));
													BgL_auxz00_26734 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13344, BgL_auxz00_26734,
														BgL_auxz00_26736);
												}
												BgL_arg3484z00_4247 = BgL_newz00_13344;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16130, BgL_arg3484z00_4247);
										BgL_arg3484z00_4247;
									}
									return BgL_mainz00_16130;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5482 */
	obj_t BGl_z62main5482z62zz__evaluate_compz00(obj_t BgL_envz00_16690,
		obj_t BgL_cz00_16698, obj_t BgL_dz00_16699, obj_t BgL_lastz00_16700)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16696;
				long BgL_siza7ezd2framez75_16697;

				BgL_runz00_16696 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16690, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16697 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16690, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4249;
					obj_t BgL_dz00_4250;
					obj_t BgL_lastz00_4251;

					BgL_cz00_4249 = BgL_cz00_16698;
					BgL_dz00_4250 = BgL_dz00_16699;
					BgL_lastz00_4251 = BgL_lastz00_16700;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4253;

						BgL_sz00_4253 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4254;

							BgL_bpz00_4254 = VECTOR_REF(BgL_sz00_4253, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26749;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_13266;

									BgL_arg1897z00_13266 = VECTOR_LENGTH(BgL_sz00_4253);
									BgL_testz00_26749 =
										(
										((long) CINT(BgL_bpz00_4254) +
											BgL_siza7ezd2framez75_16697) <
										(long) (BgL_arg1897z00_13266));
								}
								if (BgL_testz00_26749)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3488z00_4256;

											BgL_arg3488z00_4256 =
												((long) CINT(BgL_bpz00_4254) + ((long) 0));
											VECTOR_SET(BgL_sz00_4253,
												(int) (BgL_arg3488z00_4256), BgL_cz00_4249);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3489z00_4257;

											BgL_arg3489z00_4257 =
												((long) CINT(BgL_bpz00_4254) + ((long) 1));
											VECTOR_SET(BgL_sz00_4253,
												(int) (BgL_arg3489z00_4257), BgL_dz00_4250);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3490z00_4258;

											BgL_arg3490z00_4258 =
												((long) CINT(BgL_bpz00_4254) + ((long) 2));
											VECTOR_SET(BgL_sz00_4253,
												(int) (BgL_arg3490z00_4258), BgL_lastz00_4251);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1415z00_4259;

											BgL_val1415z00_4259 =
												BGl_zc3exitza33494ze3z83zz__evaluate_compz00
												(BgL_bpz00_4254, BgL_sz00_4253, BgL_runz00_16696);
											VECTOR_SET(BgL_sz00_4253, (int) (((long) 0)),
												BgL_bpz00_4254);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1415z00_4259)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1415z00_4259), CDR(BgL_val1415z00_4259));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1415z00_4259;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4266;

										BgL_nsz00_4266 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4266,
											(int) (((long) 1)), BgL_sz00_4253);
										VECTOR_SET(BgL_nsz00_4266,
											(int) (((long) 2)), BgL_cz00_4249);
										VECTOR_SET(BgL_nsz00_4266,
											(int) (((long) 3)), BgL_dz00_4250);
										VECTOR_SET(BgL_nsz00_4266,
											(int) (((long) 4)), BgL_lastz00_4251);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26785;

											BgL_auxz00_26785 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26785, BgL_nsz00_4266);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1418z00_4268;

											BgL_val1418z00_4268 =
												BGl_zc3exitza33500ze3z83zz__evaluate_compz00
												(BgL_runz00_16696, BgL_nsz00_4266);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26789;

												BgL_auxz00_26789 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26789, BgL_sz00_4253);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1418z00_4268)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1418z00_4268), CDR(BgL_val1418z00_4268));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1418z00_4268;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3500> */
	obj_t BGl_zc3exitza33500ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17535,
		obj_t BgL_nsz00_17534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1419z00_4274;

			if (SET_EXIT(BgL_an_exit1419z00_4274))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1419z00_4274 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1419z00_4274, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1420z00_4275;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13312;

								BgL_savedzd2bpzd2_13312 =
									VECTOR_REF(BgL_nsz00_17534, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17534,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13319;

									BgL_fz00_13319 = BgL_runz00_17535;
								BgL_recz00_13318:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13320;

										BgL_rz00_13320 =
											PROCEDURE_ENTRY(BgL_fz00_13319) (BgL_fz00_13319,
											BgL_nsz00_17534, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26810;

											if (PROCEDUREP(BgL_rz00_13320))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_13325;

													BgL_arg1889z00_13325 = PROCEDURE_ATTR(BgL_rz00_13320);
													if (STRUCTP(BgL_arg1889z00_13325))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26810 =
																(STRUCT_KEY(BgL_arg1889z00_13325) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26810 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26810 = ((bool_t) 0);
												}
											if (BgL_testz00_26810)
												{
													obj_t BgL_fz00_26818;

													BgL_fz00_26818 = BgL_rz00_13320;
													BgL_fz00_13319 = BgL_fz00_26818;
													goto BgL_recz00_13318;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17534,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13312);
													BgL_val1420z00_4275 = BgL_rz00_13320;
							}}}}}
							POP_EXIT();
							return BgL_val1420z00_4275;
						}
					}
				}
		}
	}



/* <exit:3494> */
	obj_t BGl_zc3exitza33494ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17538,
		obj_t BgL_sz00_17537, obj_t BgL_runz00_17536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1416z00_4264;

			if (SET_EXIT(BgL_an_exit1416z00_4264))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1416z00_4264 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1416z00_4264, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1417z00_4265;

							BgL_val1417z00_4265 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17536,
								BgL_sz00_17537, BgL_bpz00_17538);
							POP_EXIT();
							return BgL_val1417z00_4265;
						}
					}
				}
		}
	}



/* &run5483 */
	obj_t BGl_z62run5483z62zz__evaluate_compz00(obj_t BgL_envz00_16701,
		obj_t BgL_sz00_16707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16702;
				long BgL_siza7eza7_16703;
				obj_t BgL_valza2za2_16704;
				BgL_ev_absz00_bglt BgL_i1250z00_16705;
				obj_t BgL_bodyz00_16706;

				BgL_iboxesz00_16702 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16701, (int) (((long) 0))));
				BgL_siza7eza7_16703 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16701, (int) (((long) 1))));
				BgL_valza2za2_16704 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16701, (int) (((long) 2))));
				BgL_i1250z00_16705 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16701, (int) (((long) 3))));
				BgL_bodyz00_16706 = PROCEDURE_REF(BgL_envz00_16701, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4277;

					BgL_sz00_4277 = BgL_sz00_16707;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4279;

						BgL_bpz00_4279 = VECTOR_REF(BgL_sz00_4277, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4277,
							BgL_iboxesz00_16702, BgL_bpz00_4279);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4277,
							BgL_valza2za2_16704,
							((long) CINT(BgL_bpz00_4279) + BgL_siza7eza7_16703));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4281;
							obj_t BgL_wherez00_4282;
							obj_t BgL_locz00_4283;

							BgL_z12denvz12_4281 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4282 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16705))->BgL_wherez00);
							BgL_locz00_4283 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16705))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4281, BgL_wherez00_4282,
									BgL_locz00_4283);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4284;

									BgL_za2za2resza2za2z00_4284 =
										PROCEDURE_ENTRY(BgL_bodyz00_16706) (BgL_bodyz00_16706,
										BgL_sz00_4277, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4281);
									return BgL_za2za2resza2za2z00_4284;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3343> */
	obj_t BGl_z62zc3anonymousza33343ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16708, obj_t BgL_sz00_16712)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16709;
				obj_t BgL_bodyz00_16710;
				long BgL_siza7ezd2framez75_16711;

				BgL_i1250z00_16709 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16708, (int) (((long) 0))));
				BgL_bodyz00_16710 = PROCEDURE_REF(BgL_envz00_16708, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16711 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16708, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3934;

					BgL_sz00_3934 = BgL_sz00_16712;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3936;

						BgL_bpz00_3936 = VECTOR_REF(BgL_sz00_3934, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16126;

								BgL_runz00_16126 =
									MAKE_FX_PROCEDURE(BGl_z62run5485z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16126,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16709));
								PROCEDURE_SET(BgL_runz00_16126,
									(int) (((long) 1)), BgL_bodyz00_16710);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16127;

									BgL_mainz00_16127 =
										MAKE_FX_PROCEDURE(BGl_z62main5484z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16709));
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 1)), BgL_bodyz00_16710);
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 2)), BgL_runz00_16126);
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16711));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12576;

										BgL_objz00_12576 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16126, BgL_objz00_12576);
										BgL_objz00_12576;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3344z00_3939;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3345z00_3940;

											BgL_arg3345z00_3940 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16709))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12580;

												BgL_newz00_12580 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26891;

													BgL_auxz00_26891 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12580, BgL_auxz00_26891,
														BgL_arg3345z00_3940);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26896;
													int BgL_auxz00_26894;

													BgL_auxz00_26896 = BINT(BgL_siza7ezd2framez75_16711);
													BgL_auxz00_26894 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12580, BgL_auxz00_26894,
														BgL_auxz00_26896);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26899;

													BgL_auxz00_26899 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12580, BgL_auxz00_26899,
														BgL_runz00_16126);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26904;
													int BgL_auxz00_26902;

													BgL_auxz00_26904 = BINT(((long) 2));
													BgL_auxz00_26902 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12580, BgL_auxz00_26902,
														BgL_auxz00_26904);
												}
												BgL_arg3344z00_3939 = BgL_newz00_12580;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16127, BgL_arg3344z00_3939);
										BgL_arg3344z00_3939;
									}
									return BgL_mainz00_16127;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5484 */
	obj_t BGl_z62main5484z62zz__evaluate_compz00(obj_t BgL_envz00_16713,
		obj_t BgL_cz00_16718, obj_t BgL_dz00_16719)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16716;
				long BgL_siza7ezd2framez75_16717;

				BgL_runz00_16716 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16713, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16717 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16713, (int) (((long) 3))));
				{
					obj_t BgL_cz00_3941;
					obj_t BgL_dz00_3942;

					BgL_cz00_3941 = BgL_cz00_16718;
					BgL_dz00_3942 = BgL_dz00_16719;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3944;

						BgL_sz00_3944 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3945;

							BgL_bpz00_3945 = VECTOR_REF(BgL_sz00_3944, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26917;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12511;

									BgL_arg1897z00_12511 = VECTOR_LENGTH(BgL_sz00_3944);
									BgL_testz00_26917 =
										(
										((long) CINT(BgL_bpz00_3945) +
											BgL_siza7ezd2framez75_16717) <
										(long) (BgL_arg1897z00_12511));
								}
								if (BgL_testz00_26917)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3348z00_3947;

											BgL_arg3348z00_3947 =
												((long) CINT(BgL_bpz00_3945) + ((long) 0));
											VECTOR_SET(BgL_sz00_3944,
												(int) (BgL_arg3348z00_3947), BgL_cz00_3941);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3349z00_3948;

											BgL_arg3349z00_3948 =
												((long) CINT(BgL_bpz00_3945) + ((long) 1));
											VECTOR_SET(BgL_sz00_3944,
												(int) (BgL_arg3349z00_3948), BgL_dz00_3942);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1373z00_3949;

											BgL_val1373z00_3949 =
												BGl_zc3exitza33353ze3z83zz__evaluate_compz00
												(BgL_bpz00_3945, BgL_sz00_3944, BgL_runz00_16716);
											VECTOR_SET(BgL_sz00_3944, (int) (((long) 0)),
												BgL_bpz00_3945);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1373z00_3949)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1373z00_3949), CDR(BgL_val1373z00_3949));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1373z00_3949;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3956;

										BgL_nsz00_3956 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3956,
											(int) (((long) 1)), BgL_sz00_3944);
										VECTOR_SET(BgL_nsz00_3956,
											(int) (((long) 2)), BgL_cz00_3941);
										VECTOR_SET(BgL_nsz00_3956,
											(int) (((long) 3)), BgL_dz00_3942);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26947;

											BgL_auxz00_26947 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26947, BgL_nsz00_3956);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1376z00_3958;

											BgL_val1376z00_3958 =
												BGl_zc3exitza33359ze3z83zz__evaluate_compz00
												(BgL_runz00_16716, BgL_nsz00_3956);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26951;

												BgL_auxz00_26951 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26951, BgL_sz00_3944);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1376z00_3958)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1376z00_3958), CDR(BgL_val1376z00_3958));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1376z00_3958;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3359> */
	obj_t BGl_zc3exitza33359ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17530,
		obj_t BgL_nsz00_17529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1377z00_3964;

			if (SET_EXIT(BgL_an_exit1377z00_3964))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1377z00_3964 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1377z00_3964, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1378z00_3965;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12548;

								BgL_savedzd2bpzd2_12548 =
									VECTOR_REF(BgL_nsz00_17529, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17529,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12555;

									BgL_fz00_12555 = BgL_runz00_17530;
								BgL_recz00_12554:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12556;

										BgL_rz00_12556 =
											PROCEDURE_ENTRY(BgL_fz00_12555) (BgL_fz00_12555,
											BgL_nsz00_17529, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26972;

											if (PROCEDUREP(BgL_rz00_12556))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12561;

													BgL_arg1889z00_12561 = PROCEDURE_ATTR(BgL_rz00_12556);
													if (STRUCTP(BgL_arg1889z00_12561))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26972 =
																(STRUCT_KEY(BgL_arg1889z00_12561) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26972 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26972 = ((bool_t) 0);
												}
											if (BgL_testz00_26972)
												{
													obj_t BgL_fz00_26980;

													BgL_fz00_26980 = BgL_rz00_12556;
													BgL_fz00_12555 = BgL_fz00_26980;
													goto BgL_recz00_12554;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17529,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12548);
													BgL_val1378z00_3965 = BgL_rz00_12556;
							}}}}}
							POP_EXIT();
							return BgL_val1378z00_3965;
						}
					}
				}
		}
	}



/* <exit:3353> */
	obj_t BGl_zc3exitza33353ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17533,
		obj_t BgL_sz00_17532, obj_t BgL_runz00_17531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1374z00_3954;

			if (SET_EXIT(BgL_an_exit1374z00_3954))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1374z00_3954 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1374z00_3954, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1375z00_3955;

							BgL_val1375z00_3955 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17531,
								BgL_sz00_17532, BgL_bpz00_17533);
							POP_EXIT();
							return BgL_val1375z00_3955;
						}
					}
				}
		}
	}



/* &run5485 */
	obj_t BGl_z62run5485z62zz__evaluate_compz00(obj_t BgL_envz00_16720,
		obj_t BgL_sz00_16723)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16721;
				obj_t BgL_bodyz00_16722;

				BgL_i1250z00_16721 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16720, (int) (((long) 0))));
				BgL_bodyz00_16722 = PROCEDURE_REF(BgL_envz00_16720, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3967;

					BgL_sz00_3967 = BgL_sz00_16723;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3969;

						BgL_bpz00_3969 = VECTOR_REF(BgL_sz00_3967, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3970;
							obj_t BgL_wherez00_3971;
							obj_t BgL_locz00_3972;

							BgL_z12denvz12_3970 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3971 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16721))->BgL_wherez00);
							BgL_locz00_3972 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16721))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3970, BgL_wherez00_3971,
									BgL_locz00_3972);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3973;

									BgL_za2za2resza2za2z00_3973 =
										PROCEDURE_ENTRY(BgL_bodyz00_16722) (BgL_bodyz00_16722,
										BgL_sz00_3967, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3970);
									return BgL_za2za2resza2za2z00_3973;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3361> */
	obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16724, obj_t BgL_sz00_16729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16725;
				BgL_ev_absz00_bglt BgL_i1250z00_16726;
				obj_t BgL_bodyz00_16727;
				long BgL_siza7ezd2framez75_16728;

				BgL_iboxesz00_16725 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16724, (int) (((long) 0))));
				BgL_i1250z00_16726 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16724, (int) (((long) 1))));
				BgL_bodyz00_16727 = PROCEDURE_REF(BgL_envz00_16724, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16728 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16724, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3975;

					BgL_sz00_3975 = BgL_sz00_16729;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3977;

						BgL_bpz00_3977 = VECTOR_REF(BgL_sz00_3975, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16123;

								BgL_runz00_16123 =
									MAKE_FX_PROCEDURE(BGl_z62run5487z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 0)), BgL_iboxesz00_16725);
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16726));
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 2)), BgL_bodyz00_16727);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16124;

									BgL_mainz00_16124 =
										MAKE_FX_PROCEDURE(BGl_z62main5486z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 0)), BgL_iboxesz00_16725);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16726));
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 2)), BgL_bodyz00_16727);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 3)), BgL_runz00_16123);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16728));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12676;

										BgL_objz00_12676 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16123, BgL_objz00_12676);
										BgL_objz00_12676;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3362z00_3980;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3363z00_3981;

											BgL_arg3363z00_3981 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16726))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12680;

												BgL_newz00_12680 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27047;

													BgL_auxz00_27047 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12680, BgL_auxz00_27047,
														BgL_arg3363z00_3981);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27052;
													int BgL_auxz00_27050;

													BgL_auxz00_27052 = BINT(BgL_siza7ezd2framez75_16728);
													BgL_auxz00_27050 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12680, BgL_auxz00_27050,
														BgL_auxz00_27052);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27055;

													BgL_auxz00_27055 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12680, BgL_auxz00_27055,
														BgL_runz00_16123);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27060;
													int BgL_auxz00_27058;

													BgL_auxz00_27060 = BINT(((long) 2));
													BgL_auxz00_27058 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12680, BgL_auxz00_27058,
														BgL_auxz00_27060);
												}
												BgL_arg3362z00_3980 = BgL_newz00_12680;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16124, BgL_arg3362z00_3980);
										BgL_arg3362z00_3980;
									}
									return BgL_mainz00_16124;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5486 */
	obj_t BGl_z62main5486z62zz__evaluate_compz00(obj_t BgL_envz00_16730,
		obj_t BgL_cz00_16736, obj_t BgL_dz00_16737)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16734;
				long BgL_siza7ezd2framez75_16735;

				BgL_runz00_16734 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16730, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16735 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16730, (int) (((long) 4))));
				{
					obj_t BgL_cz00_3982;
					obj_t BgL_dz00_3983;

					BgL_cz00_3982 = BgL_cz00_16736;
					BgL_dz00_3983 = BgL_dz00_16737;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3985;

						BgL_sz00_3985 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3986;

							BgL_bpz00_3986 = VECTOR_REF(BgL_sz00_3985, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27073;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12611;

									BgL_arg1897z00_12611 = VECTOR_LENGTH(BgL_sz00_3985);
									BgL_testz00_27073 =
										(
										((long) CINT(BgL_bpz00_3986) +
											BgL_siza7ezd2framez75_16735) <
										(long) (BgL_arg1897z00_12611));
								}
								if (BgL_testz00_27073)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3366z00_3988;

											BgL_arg3366z00_3988 =
												((long) CINT(BgL_bpz00_3986) + ((long) 0));
											VECTOR_SET(BgL_sz00_3985,
												(int) (BgL_arg3366z00_3988), BgL_cz00_3982);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3367z00_3989;

											BgL_arg3367z00_3989 =
												((long) CINT(BgL_bpz00_3986) + ((long) 1));
											VECTOR_SET(BgL_sz00_3985,
												(int) (BgL_arg3367z00_3989), BgL_dz00_3983);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1379z00_3990;

											BgL_val1379z00_3990 =
												BGl_zc3exitza33371ze3z83zz__evaluate_compz00
												(BgL_bpz00_3986, BgL_sz00_3985, BgL_runz00_16734);
											VECTOR_SET(BgL_sz00_3985, (int) (((long) 0)),
												BgL_bpz00_3986);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1379z00_3990)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1379z00_3990), CDR(BgL_val1379z00_3990));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1379z00_3990;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3997;

										BgL_nsz00_3997 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3997,
											(int) (((long) 1)), BgL_sz00_3985);
										VECTOR_SET(BgL_nsz00_3997,
											(int) (((long) 2)), BgL_cz00_3982);
										VECTOR_SET(BgL_nsz00_3997,
											(int) (((long) 3)), BgL_dz00_3983);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27103;

											BgL_auxz00_27103 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27103, BgL_nsz00_3997);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1382z00_3999;

											BgL_val1382z00_3999 =
												BGl_zc3exitza33377ze3z83zz__evaluate_compz00
												(BgL_runz00_16734, BgL_nsz00_3997);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27107;

												BgL_auxz00_27107 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27107, BgL_sz00_3985);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1382z00_3999)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1382z00_3999), CDR(BgL_val1382z00_3999));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1382z00_3999;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3377> */
	obj_t BGl_zc3exitza33377ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17525,
		obj_t BgL_nsz00_17524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1383z00_4005;

			if (SET_EXIT(BgL_an_exit1383z00_4005))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1383z00_4005 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1383z00_4005, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1384z00_4006;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12648;

								BgL_savedzd2bpzd2_12648 =
									VECTOR_REF(BgL_nsz00_17524, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17524,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12655;

									BgL_fz00_12655 = BgL_runz00_17525;
								BgL_recz00_12654:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12656;

										BgL_rz00_12656 =
											PROCEDURE_ENTRY(BgL_fz00_12655) (BgL_fz00_12655,
											BgL_nsz00_17524, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27128;

											if (PROCEDUREP(BgL_rz00_12656))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12661;

													BgL_arg1889z00_12661 = PROCEDURE_ATTR(BgL_rz00_12656);
													if (STRUCTP(BgL_arg1889z00_12661))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27128 =
																(STRUCT_KEY(BgL_arg1889z00_12661) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27128 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27128 = ((bool_t) 0);
												}
											if (BgL_testz00_27128)
												{
													obj_t BgL_fz00_27136;

													BgL_fz00_27136 = BgL_rz00_12656;
													BgL_fz00_12655 = BgL_fz00_27136;
													goto BgL_recz00_12654;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17524,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12648);
													BgL_val1384z00_4006 = BgL_rz00_12656;
							}}}}}
							POP_EXIT();
							return BgL_val1384z00_4006;
						}
					}
				}
		}
	}



/* <exit:3371> */
	obj_t BGl_zc3exitza33371ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17528,
		obj_t BgL_sz00_17527, obj_t BgL_runz00_17526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1380z00_3995;

			if (SET_EXIT(BgL_an_exit1380z00_3995))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1380z00_3995 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1380z00_3995, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1381z00_3996;

							BgL_val1381z00_3996 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17526,
								BgL_sz00_17527, BgL_bpz00_17528);
							POP_EXIT();
							return BgL_val1381z00_3996;
						}
					}
				}
		}
	}



/* &run5487 */
	obj_t BGl_z62run5487z62zz__evaluate_compz00(obj_t BgL_envz00_16738,
		obj_t BgL_sz00_16742)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16739;
				BgL_ev_absz00_bglt BgL_i1250z00_16740;
				obj_t BgL_bodyz00_16741;

				BgL_iboxesz00_16739 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16738, (int) (((long) 0))));
				BgL_i1250z00_16740 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16738, (int) (((long) 1))));
				BgL_bodyz00_16741 = PROCEDURE_REF(BgL_envz00_16738, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4008;

					BgL_sz00_4008 = BgL_sz00_16742;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4010;

						BgL_bpz00_4010 = VECTOR_REF(BgL_sz00_4008, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4008,
							BgL_iboxesz00_16739, BgL_bpz00_4010);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4011;
							obj_t BgL_wherez00_4012;
							obj_t BgL_locz00_4013;

							BgL_z12denvz12_4011 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4012 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16740))->BgL_wherez00);
							BgL_locz00_4013 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16740))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4011, BgL_wherez00_4012,
									BgL_locz00_4013);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4014;

									BgL_za2za2resza2za2z00_4014 =
										PROCEDURE_ENTRY(BgL_bodyz00_16741) (BgL_bodyz00_16741,
										BgL_sz00_4008, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4011);
									return BgL_za2za2resza2za2z00_4014;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3381> */
	obj_t BGl_z62zc3anonymousza33381ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16743, obj_t BgL_sz00_16749)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16744;
				long BgL_siza7eza7_16745;
				BgL_ev_absz00_bglt BgL_i1250z00_16746;
				obj_t BgL_bodyz00_16747;
				long BgL_siza7ezd2framez75_16748;

				BgL_ifreesz00_16744 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16743, (int) (((long) 0))));
				BgL_siza7eza7_16745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16743, (int) (((long) 1))));
				BgL_i1250z00_16746 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16743, (int) (((long) 2))));
				BgL_bodyz00_16747 = PROCEDURE_REF(BgL_envz00_16743, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16748 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16743, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4018;

					BgL_sz00_4018 = BgL_sz00_16749;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4020;

						BgL_bpz00_4020 = VECTOR_REF(BgL_sz00_4018, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4021;

							BgL_valza2za2_4021 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4018,
								BgL_bpz00_4020, BgL_ifreesz00_16744);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16120;

								BgL_runz00_16120 =
									MAKE_FX_PROCEDURE(BGl_z62run5489z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16745));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 1)), BgL_valza2za2_4021);
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16746));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 3)), BgL_bodyz00_16747);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16121;

									BgL_mainz00_16121 =
										MAKE_FX_PROCEDURE(BGl_z62main5488z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16745));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 1)), BgL_valza2za2_4021);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16746));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 3)), BgL_bodyz00_16747);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 4)), BgL_runz00_16120);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16748));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12783;

										BgL_objz00_12783 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16120, BgL_objz00_12783);
										BgL_objz00_12783;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3382z00_4024;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3383z00_4025;

											BgL_arg3383z00_4025 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16746))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12787;

												BgL_newz00_12787 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27217;

													BgL_auxz00_27217 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12787, BgL_auxz00_27217,
														BgL_arg3383z00_4025);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27222;
													int BgL_auxz00_27220;

													BgL_auxz00_27222 = BINT(BgL_siza7ezd2framez75_16748);
													BgL_auxz00_27220 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12787, BgL_auxz00_27220,
														BgL_auxz00_27222);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27225;

													BgL_auxz00_27225 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12787, BgL_auxz00_27225,
														BgL_runz00_16120);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27230;
													int BgL_auxz00_27228;

													BgL_auxz00_27230 = BINT(((long) 2));
													BgL_auxz00_27228 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12787, BgL_auxz00_27228,
														BgL_auxz00_27230);
												}
												BgL_arg3382z00_4024 = BgL_newz00_12787;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16121, BgL_arg3382z00_4024);
										BgL_arg3382z00_4024;
									}
									return BgL_mainz00_16121;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5488 */
	obj_t BGl_z62main5488z62zz__evaluate_compz00(obj_t BgL_envz00_16750,
		obj_t BgL_cz00_16757, obj_t BgL_dz00_16758)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16755;
				long BgL_siza7ezd2framez75_16756;

				BgL_runz00_16755 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16750, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16756 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16750, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4026;
					obj_t BgL_dz00_4027;

					BgL_cz00_4026 = BgL_cz00_16757;
					BgL_dz00_4027 = BgL_dz00_16758;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4029;

						BgL_sz00_4029 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4030;

							BgL_bpz00_4030 = VECTOR_REF(BgL_sz00_4029, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27243;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12718;

									BgL_arg1897z00_12718 = VECTOR_LENGTH(BgL_sz00_4029);
									BgL_testz00_27243 =
										(
										((long) CINT(BgL_bpz00_4030) +
											BgL_siza7ezd2framez75_16756) <
										(long) (BgL_arg1897z00_12718));
								}
								if (BgL_testz00_27243)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3386z00_4032;

											BgL_arg3386z00_4032 =
												((long) CINT(BgL_bpz00_4030) + ((long) 0));
											VECTOR_SET(BgL_sz00_4029,
												(int) (BgL_arg3386z00_4032), BgL_cz00_4026);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3387z00_4033;

											BgL_arg3387z00_4033 =
												((long) CINT(BgL_bpz00_4030) + ((long) 1));
											VECTOR_SET(BgL_sz00_4029,
												(int) (BgL_arg3387z00_4033), BgL_dz00_4027);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1385z00_4034;

											BgL_val1385z00_4034 =
												BGl_zc3exitza33391ze3z83zz__evaluate_compz00
												(BgL_bpz00_4030, BgL_sz00_4029, BgL_runz00_16755);
											VECTOR_SET(BgL_sz00_4029, (int) (((long) 0)),
												BgL_bpz00_4030);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1385z00_4034)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1385z00_4034), CDR(BgL_val1385z00_4034));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1385z00_4034;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4041;

										BgL_nsz00_4041 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4041,
											(int) (((long) 1)), BgL_sz00_4029);
										VECTOR_SET(BgL_nsz00_4041,
											(int) (((long) 2)), BgL_cz00_4026);
										VECTOR_SET(BgL_nsz00_4041,
											(int) (((long) 3)), BgL_dz00_4027);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27273;

											BgL_auxz00_27273 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27273, BgL_nsz00_4041);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1388z00_4043;

											BgL_val1388z00_4043 =
												BGl_zc3exitza33397ze3z83zz__evaluate_compz00
												(BgL_runz00_16755, BgL_nsz00_4041);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27277;

												BgL_auxz00_27277 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27277, BgL_sz00_4029);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1388z00_4043)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1388z00_4043), CDR(BgL_val1388z00_4043));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1388z00_4043;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3397> */
	obj_t BGl_zc3exitza33397ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17520,
		obj_t BgL_nsz00_17519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1389z00_4049;

			if (SET_EXIT(BgL_an_exit1389z00_4049))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1389z00_4049 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1389z00_4049, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1390z00_4050;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12755;

								BgL_savedzd2bpzd2_12755 =
									VECTOR_REF(BgL_nsz00_17519, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17519,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12762;

									BgL_fz00_12762 = BgL_runz00_17520;
								BgL_recz00_12761:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12763;

										BgL_rz00_12763 =
											PROCEDURE_ENTRY(BgL_fz00_12762) (BgL_fz00_12762,
											BgL_nsz00_17519, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27298;

											if (PROCEDUREP(BgL_rz00_12763))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12768;

													BgL_arg1889z00_12768 = PROCEDURE_ATTR(BgL_rz00_12763);
													if (STRUCTP(BgL_arg1889z00_12768))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27298 =
																(STRUCT_KEY(BgL_arg1889z00_12768) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27298 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27298 = ((bool_t) 0);
												}
											if (BgL_testz00_27298)
												{
													obj_t BgL_fz00_27306;

													BgL_fz00_27306 = BgL_rz00_12763;
													BgL_fz00_12762 = BgL_fz00_27306;
													goto BgL_recz00_12761;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17519,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12755);
													BgL_val1390z00_4050 = BgL_rz00_12763;
							}}}}}
							POP_EXIT();
							return BgL_val1390z00_4050;
						}
					}
				}
		}
	}



/* <exit:3391> */
	obj_t BGl_zc3exitza33391ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17523,
		obj_t BgL_sz00_17522, obj_t BgL_runz00_17521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1386z00_4039;

			if (SET_EXIT(BgL_an_exit1386z00_4039))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1386z00_4039 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1386z00_4039, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1387z00_4040;

							BgL_val1387z00_4040 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17521,
								BgL_sz00_17522, BgL_bpz00_17523);
							POP_EXIT();
							return BgL_val1387z00_4040;
						}
					}
				}
		}
	}



/* &run5489 */
	obj_t BGl_z62run5489z62zz__evaluate_compz00(obj_t BgL_envz00_16759,
		obj_t BgL_sz00_16764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16760;
				obj_t BgL_valza2za2_16761;
				BgL_ev_absz00_bglt BgL_i1250z00_16762;
				obj_t BgL_bodyz00_16763;

				BgL_siza7eza7_16760 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16759, (int) (((long) 0))));
				BgL_valza2za2_16761 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16759, (int) (((long) 1))));
				BgL_i1250z00_16762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16759, (int) (((long) 2))));
				BgL_bodyz00_16763 = PROCEDURE_REF(BgL_envz00_16759, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4052;

					BgL_sz00_4052 = BgL_sz00_16764;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4054;

						BgL_bpz00_4054 = VECTOR_REF(BgL_sz00_4052, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4052,
							BgL_valza2za2_16761,
							((long) CINT(BgL_bpz00_4054) + BgL_siza7eza7_16760));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4056;
							obj_t BgL_wherez00_4057;
							obj_t BgL_locz00_4058;

							BgL_z12denvz12_4056 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4057 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16762))->BgL_wherez00);
							BgL_locz00_4058 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16762))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4056, BgL_wherez00_4057,
									BgL_locz00_4058);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4059;

									BgL_za2za2resza2za2z00_4059 =
										PROCEDURE_ENTRY(BgL_bodyz00_16763) (BgL_bodyz00_16763,
										BgL_sz00_4052, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4056);
									return BgL_za2za2resza2za2z00_4059;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3400> */
	obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16765, obj_t BgL_sz00_16772)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16766;
				obj_t BgL_iboxesz00_16767;
				long BgL_siza7eza7_16768;
				BgL_ev_absz00_bglt BgL_i1250z00_16769;
				obj_t BgL_bodyz00_16770;
				long BgL_siza7ezd2framez75_16771;

				BgL_ifreesz00_16766 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 0))));
				BgL_iboxesz00_16767 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 1))));
				BgL_siza7eza7_16768 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 2))));
				BgL_i1250z00_16769 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 3))));
				BgL_bodyz00_16770 = PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16771 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16765, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4061;

					BgL_sz00_4061 = BgL_sz00_16772;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4063;

						BgL_bpz00_4063 = VECTOR_REF(BgL_sz00_4061, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4064;

							BgL_valza2za2_4064 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4061,
								BgL_bpz00_4063, BgL_ifreesz00_16766);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16117;

								BgL_runz00_16117 =
									MAKE_FX_PROCEDURE(BGl_z62run5491z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 0)), BgL_iboxesz00_16767);
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16768));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 2)), BgL_valza2za2_4064);
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16769));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 4)), BgL_bodyz00_16770);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16118;

									BgL_mainz00_16118 =
										MAKE_FX_PROCEDURE(BGl_z62main5490z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 0)), BgL_iboxesz00_16767);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16768));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 2)), BgL_valza2za2_4064);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16769));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 4)), BgL_bodyz00_16770);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 5)), BgL_runz00_16117);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16771));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12886;

										BgL_objz00_12886 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16117, BgL_objz00_12886);
										BgL_objz00_12886;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3401z00_4067;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3402z00_4068;

											BgL_arg3402z00_4068 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16769))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12890;

												BgL_newz00_12890 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27399;

													BgL_auxz00_27399 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12890, BgL_auxz00_27399,
														BgL_arg3402z00_4068);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27404;
													int BgL_auxz00_27402;

													BgL_auxz00_27404 = BINT(BgL_siza7ezd2framez75_16771);
													BgL_auxz00_27402 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12890, BgL_auxz00_27402,
														BgL_auxz00_27404);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27407;

													BgL_auxz00_27407 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12890, BgL_auxz00_27407,
														BgL_runz00_16117);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27412;
													int BgL_auxz00_27410;

													BgL_auxz00_27412 = BINT(((long) 2));
													BgL_auxz00_27410 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12890, BgL_auxz00_27410,
														BgL_auxz00_27412);
												}
												BgL_arg3401z00_4067 = BgL_newz00_12890;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16118, BgL_arg3401z00_4067);
										BgL_arg3401z00_4067;
									}
									return BgL_mainz00_16118;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5490 */
	obj_t BGl_z62main5490z62zz__evaluate_compz00(obj_t BgL_envz00_16773,
		obj_t BgL_cz00_16781, obj_t BgL_dz00_16782)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16779;
				long BgL_siza7ezd2framez75_16780;

				BgL_runz00_16779 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16773, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16780 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16773, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4069;
					obj_t BgL_dz00_4070;

					BgL_cz00_4069 = BgL_cz00_16781;
					BgL_dz00_4070 = BgL_dz00_16782;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4072;

						BgL_sz00_4072 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4073;

							BgL_bpz00_4073 = VECTOR_REF(BgL_sz00_4072, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27425;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12821;

									BgL_arg1897z00_12821 = VECTOR_LENGTH(BgL_sz00_4072);
									BgL_testz00_27425 =
										(
										((long) CINT(BgL_bpz00_4073) +
											BgL_siza7ezd2framez75_16780) <
										(long) (BgL_arg1897z00_12821));
								}
								if (BgL_testz00_27425)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3405z00_4075;

											BgL_arg3405z00_4075 =
												((long) CINT(BgL_bpz00_4073) + ((long) 0));
											VECTOR_SET(BgL_sz00_4072,
												(int) (BgL_arg3405z00_4075), BgL_cz00_4069);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3406z00_4076;

											BgL_arg3406z00_4076 =
												((long) CINT(BgL_bpz00_4073) + ((long) 1));
											VECTOR_SET(BgL_sz00_4072,
												(int) (BgL_arg3406z00_4076), BgL_dz00_4070);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1391z00_4077;

											BgL_val1391z00_4077 =
												BGl_zc3exitza33410ze3z83zz__evaluate_compz00
												(BgL_bpz00_4073, BgL_sz00_4072, BgL_runz00_16779);
											VECTOR_SET(BgL_sz00_4072, (int) (((long) 0)),
												BgL_bpz00_4073);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1391z00_4077)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1391z00_4077), CDR(BgL_val1391z00_4077));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1391z00_4077;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4084;

										BgL_nsz00_4084 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4084,
											(int) (((long) 1)), BgL_sz00_4072);
										VECTOR_SET(BgL_nsz00_4084,
											(int) (((long) 2)), BgL_cz00_4069);
										VECTOR_SET(BgL_nsz00_4084,
											(int) (((long) 3)), BgL_dz00_4070);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27455;

											BgL_auxz00_27455 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27455, BgL_nsz00_4084);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1394z00_4086;

											BgL_val1394z00_4086 =
												BGl_zc3exitza33416ze3z83zz__evaluate_compz00
												(BgL_runz00_16779, BgL_nsz00_4084);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27459;

												BgL_auxz00_27459 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27459, BgL_sz00_4072);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1394z00_4086)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1394z00_4086), CDR(BgL_val1394z00_4086));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1394z00_4086;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3416> */
	obj_t BGl_zc3exitza33416ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17515,
		obj_t BgL_nsz00_17514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1395z00_4092;

			if (SET_EXIT(BgL_an_exit1395z00_4092))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1395z00_4092 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1395z00_4092, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1396z00_4093;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12858;

								BgL_savedzd2bpzd2_12858 =
									VECTOR_REF(BgL_nsz00_17514, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17514,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12865;

									BgL_fz00_12865 = BgL_runz00_17515;
								BgL_recz00_12864:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12866;

										BgL_rz00_12866 =
											PROCEDURE_ENTRY(BgL_fz00_12865) (BgL_fz00_12865,
											BgL_nsz00_17514, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27480;

											if (PROCEDUREP(BgL_rz00_12866))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12871;

													BgL_arg1889z00_12871 = PROCEDURE_ATTR(BgL_rz00_12866);
													if (STRUCTP(BgL_arg1889z00_12871))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27480 =
																(STRUCT_KEY(BgL_arg1889z00_12871) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27480 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27480 = ((bool_t) 0);
												}
											if (BgL_testz00_27480)
												{
													obj_t BgL_fz00_27488;

													BgL_fz00_27488 = BgL_rz00_12866;
													BgL_fz00_12865 = BgL_fz00_27488;
													goto BgL_recz00_12864;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17514,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12858);
													BgL_val1396z00_4093 = BgL_rz00_12866;
							}}}}}
							POP_EXIT();
							return BgL_val1396z00_4093;
						}
					}
				}
		}
	}



/* <exit:3410> */
	obj_t BGl_zc3exitza33410ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17518,
		obj_t BgL_sz00_17517, obj_t BgL_runz00_17516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1392z00_4082;

			if (SET_EXIT(BgL_an_exit1392z00_4082))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1392z00_4082 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1392z00_4082, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1393z00_4083;

							BgL_val1393z00_4083 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17516,
								BgL_sz00_17517, BgL_bpz00_17518);
							POP_EXIT();
							return BgL_val1393z00_4083;
						}
					}
				}
		}
	}



/* &run5491 */
	obj_t BGl_z62run5491z62zz__evaluate_compz00(obj_t BgL_envz00_16783,
		obj_t BgL_sz00_16789)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16784;
				long BgL_siza7eza7_16785;
				obj_t BgL_valza2za2_16786;
				BgL_ev_absz00_bglt BgL_i1250z00_16787;
				obj_t BgL_bodyz00_16788;

				BgL_iboxesz00_16784 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16783, (int) (((long) 0))));
				BgL_siza7eza7_16785 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16783, (int) (((long) 1))));
				BgL_valza2za2_16786 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16783, (int) (((long) 2))));
				BgL_i1250z00_16787 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16783, (int) (((long) 3))));
				BgL_bodyz00_16788 = PROCEDURE_REF(BgL_envz00_16783, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4095;

					BgL_sz00_4095 = BgL_sz00_16789;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4097;

						BgL_bpz00_4097 = VECTOR_REF(BgL_sz00_4095, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4095,
							BgL_iboxesz00_16784, BgL_bpz00_4097);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4095,
							BgL_valza2za2_16786,
							((long) CINT(BgL_bpz00_4097) + BgL_siza7eza7_16785));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4099;
							obj_t BgL_wherez00_4100;
							obj_t BgL_locz00_4101;

							BgL_z12denvz12_4099 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4100 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16787))->BgL_wherez00);
							BgL_locz00_4101 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16787))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4099, BgL_wherez00_4100,
									BgL_locz00_4101);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4102;

									BgL_za2za2resza2za2z00_4102 =
										PROCEDURE_ENTRY(BgL_bodyz00_16788) (BgL_bodyz00_16788,
										BgL_sz00_4095, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4099);
									return BgL_za2za2resza2za2z00_4102;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3263> */
	obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16790, obj_t BgL_sz00_16794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16791;
				obj_t BgL_bodyz00_16792;
				long BgL_siza7ezd2framez75_16793;

				BgL_i1250z00_16791 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16790, (int) (((long) 0))));
				BgL_bodyz00_16792 = PROCEDURE_REF(BgL_envz00_16790, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16793 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16790, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3760;

					BgL_sz00_3760 = BgL_sz00_16794;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3762;

						BgL_bpz00_3762 = VECTOR_REF(BgL_sz00_3760, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16114;

								BgL_runz00_16114 =
									MAKE_FX_PROCEDURE(BGl_z62run5493z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16114,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16791));
								PROCEDURE_SET(BgL_runz00_16114,
									(int) (((long) 1)), BgL_bodyz00_16792);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16115;

									BgL_mainz00_16115 =
										MAKE_VA_PROCEDURE(BGl_z62main5492z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16791));
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 1)), BgL_bodyz00_16792);
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 2)), BgL_runz00_16114);
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16793));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12158;

										BgL_objz00_12158 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16114, BgL_objz00_12158);
										BgL_objz00_12158;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3264z00_3765;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3265z00_3766;

											BgL_arg3265z00_3766 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16791))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12162;

												BgL_newz00_12162 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27561;

													BgL_auxz00_27561 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12162, BgL_auxz00_27561,
														BgL_arg3265z00_3766);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27566;
													int BgL_auxz00_27564;

													BgL_auxz00_27566 = BINT(BgL_siza7ezd2framez75_16793);
													BgL_auxz00_27564 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12162, BgL_auxz00_27564,
														BgL_auxz00_27566);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27569;

													BgL_auxz00_27569 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12162, BgL_auxz00_27569,
														BgL_runz00_16114);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27574;
													int BgL_auxz00_27572;

													BgL_auxz00_27574 = BINT(((long) -2));
													BgL_auxz00_27572 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12162, BgL_auxz00_27572,
														BgL_auxz00_27574);
												}
												BgL_arg3264z00_3765 = BgL_newz00_12162;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16115, BgL_arg3264z00_3765);
										BgL_arg3264z00_3765;
									}
									return BgL_mainz00_16115;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5492 */
	obj_t BGl_z62main5492z62zz__evaluate_compz00(obj_t BgL_envz00_16795,
		obj_t BgL_dz00_16800, obj_t BgL_lastz00_16801)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16798;
				long BgL_siza7ezd2framez75_16799;

				BgL_runz00_16798 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16799 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3767;
					obj_t BgL_lastz00_3768;

					BgL_dz00_3767 = BgL_dz00_16800;
					BgL_lastz00_3768 = BgL_lastz00_16801;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3770;

						BgL_sz00_3770 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3771;

							BgL_bpz00_3771 = VECTOR_REF(BgL_sz00_3770, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27587;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12093;

									BgL_arg1897z00_12093 = VECTOR_LENGTH(BgL_sz00_3770);
									BgL_testz00_27587 =
										(
										((long) CINT(BgL_bpz00_3771) +
											BgL_siza7ezd2framez75_16799) <
										(long) (BgL_arg1897z00_12093));
								}
								if (BgL_testz00_27587)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3268z00_3773;

											BgL_arg3268z00_3773 =
												((long) CINT(BgL_bpz00_3771) + ((long) 0));
											VECTOR_SET(BgL_sz00_3770,
												(int) (BgL_arg3268z00_3773), BgL_dz00_3767);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3269z00_3774;

											BgL_arg3269z00_3774 =
												((long) CINT(BgL_bpz00_3771) + ((long) 1));
											VECTOR_SET(BgL_sz00_3770,
												(int) (BgL_arg3269z00_3774), BgL_lastz00_3768);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1349z00_3775;

											BgL_val1349z00_3775 =
												BGl_zc3exitza33273ze3z83zz__evaluate_compz00
												(BgL_bpz00_3771, BgL_sz00_3770, BgL_runz00_16798);
											VECTOR_SET(BgL_sz00_3770, (int) (((long) 0)),
												BgL_bpz00_3771);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1349z00_3775)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1349z00_3775), CDR(BgL_val1349z00_3775));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1349z00_3775;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3782;

										BgL_nsz00_3782 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3782,
											(int) (((long) 1)), BgL_sz00_3770);
										VECTOR_SET(BgL_nsz00_3782,
											(int) (((long) 2)), BgL_dz00_3767);
										VECTOR_SET(BgL_nsz00_3782,
											(int) (((long) 3)), BgL_lastz00_3768);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27617;

											BgL_auxz00_27617 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27617, BgL_nsz00_3782);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1352z00_3784;

											BgL_val1352z00_3784 =
												BGl_zc3exitza33279ze3z83zz__evaluate_compz00
												(BgL_runz00_16798, BgL_nsz00_3782);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27621;

												BgL_auxz00_27621 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27621, BgL_sz00_3770);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1352z00_3784)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1352z00_3784), CDR(BgL_val1352z00_3784));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1352z00_3784;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3279> */
	obj_t BGl_zc3exitza33279ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17510,
		obj_t BgL_nsz00_17509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1353z00_3790;

			if (SET_EXIT(BgL_an_exit1353z00_3790))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1353z00_3790 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1353z00_3790, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1354z00_3791;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12130;

								BgL_savedzd2bpzd2_12130 =
									VECTOR_REF(BgL_nsz00_17509, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17509,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12137;

									BgL_fz00_12137 = BgL_runz00_17510;
								BgL_recz00_12136:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12138;

										BgL_rz00_12138 =
											PROCEDURE_ENTRY(BgL_fz00_12137) (BgL_fz00_12137,
											BgL_nsz00_17509, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27642;

											if (PROCEDUREP(BgL_rz00_12138))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12143;

													BgL_arg1889z00_12143 = PROCEDURE_ATTR(BgL_rz00_12138);
													if (STRUCTP(BgL_arg1889z00_12143))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27642 =
																(STRUCT_KEY(BgL_arg1889z00_12143) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27642 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27642 = ((bool_t) 0);
												}
											if (BgL_testz00_27642)
												{
													obj_t BgL_fz00_27650;

													BgL_fz00_27650 = BgL_rz00_12138;
													BgL_fz00_12137 = BgL_fz00_27650;
													goto BgL_recz00_12136;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17509,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12130);
													BgL_val1354z00_3791 = BgL_rz00_12138;
							}}}}}
							POP_EXIT();
							return BgL_val1354z00_3791;
						}
					}
				}
		}
	}



/* <exit:3273> */
	obj_t BGl_zc3exitza33273ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17513,
		obj_t BgL_sz00_17512, obj_t BgL_runz00_17511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1350z00_3780;

			if (SET_EXIT(BgL_an_exit1350z00_3780))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1350z00_3780 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1350z00_3780, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1351z00_3781;

							BgL_val1351z00_3781 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17511,
								BgL_sz00_17512, BgL_bpz00_17513);
							POP_EXIT();
							return BgL_val1351z00_3781;
						}
					}
				}
		}
	}



/* &run5493 */
	obj_t BGl_z62run5493z62zz__evaluate_compz00(obj_t BgL_envz00_16802,
		obj_t BgL_sz00_16805)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16803;
				obj_t BgL_bodyz00_16804;

				BgL_i1250z00_16803 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16802, (int) (((long) 0))));
				BgL_bodyz00_16804 = PROCEDURE_REF(BgL_envz00_16802, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3793;

					BgL_sz00_3793 = BgL_sz00_16805;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3795;

						BgL_bpz00_3795 = VECTOR_REF(BgL_sz00_3793, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3796;
							obj_t BgL_wherez00_3797;
							obj_t BgL_locz00_3798;

							BgL_z12denvz12_3796 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3797 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16803))->BgL_wherez00);
							BgL_locz00_3798 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16803))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3796, BgL_wherez00_3797,
									BgL_locz00_3798);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3799;

									BgL_za2za2resza2za2z00_3799 =
										PROCEDURE_ENTRY(BgL_bodyz00_16804) (BgL_bodyz00_16804,
										BgL_sz00_3793, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3796);
									return BgL_za2za2resza2za2z00_3799;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3281> */
	obj_t BGl_z62zc3anonymousza33281ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16806, obj_t BgL_sz00_16811)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16807;
				BgL_ev_absz00_bglt BgL_i1250z00_16808;
				obj_t BgL_bodyz00_16809;
				long BgL_siza7ezd2framez75_16810;

				BgL_iboxesz00_16807 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16806, (int) (((long) 0))));
				BgL_i1250z00_16808 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16806, (int) (((long) 1))));
				BgL_bodyz00_16809 = PROCEDURE_REF(BgL_envz00_16806, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16810 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16806, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3801;

					BgL_sz00_3801 = BgL_sz00_16811;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3803;

						BgL_bpz00_3803 = VECTOR_REF(BgL_sz00_3801, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16111;

								BgL_runz00_16111 =
									MAKE_FX_PROCEDURE(BGl_z62run5495z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 0)), BgL_iboxesz00_16807);
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16808));
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 2)), BgL_bodyz00_16809);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16112;

									BgL_mainz00_16112 =
										MAKE_VA_PROCEDURE(BGl_z62main5494z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 0)), BgL_iboxesz00_16807);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16808));
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 2)), BgL_bodyz00_16809);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 3)), BgL_runz00_16111);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16810));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12258;

										BgL_objz00_12258 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16111, BgL_objz00_12258);
										BgL_objz00_12258;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3282z00_3806;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3283z00_3807;

											BgL_arg3283z00_3807 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16808))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12262;

												BgL_newz00_12262 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27717;

													BgL_auxz00_27717 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12262, BgL_auxz00_27717,
														BgL_arg3283z00_3807);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27722;
													int BgL_auxz00_27720;

													BgL_auxz00_27722 = BINT(BgL_siza7ezd2framez75_16810);
													BgL_auxz00_27720 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12262, BgL_auxz00_27720,
														BgL_auxz00_27722);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27725;

													BgL_auxz00_27725 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12262, BgL_auxz00_27725,
														BgL_runz00_16111);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27730;
													int BgL_auxz00_27728;

													BgL_auxz00_27730 = BINT(((long) -2));
													BgL_auxz00_27728 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12262, BgL_auxz00_27728,
														BgL_auxz00_27730);
												}
												BgL_arg3282z00_3806 = BgL_newz00_12262;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16112, BgL_arg3282z00_3806);
										BgL_arg3282z00_3806;
									}
									return BgL_mainz00_16112;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5494 */
	obj_t BGl_z62main5494z62zz__evaluate_compz00(obj_t BgL_envz00_16812,
		obj_t BgL_dz00_16818, obj_t BgL_lastz00_16819)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16816;
				long BgL_siza7ezd2framez75_16817;

				BgL_runz00_16816 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16812, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16817 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16812, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3808;
					obj_t BgL_lastz00_3809;

					BgL_dz00_3808 = BgL_dz00_16818;
					BgL_lastz00_3809 = BgL_lastz00_16819;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3811;

						BgL_sz00_3811 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3812;

							BgL_bpz00_3812 = VECTOR_REF(BgL_sz00_3811, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27743;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12193;

									BgL_arg1897z00_12193 = VECTOR_LENGTH(BgL_sz00_3811);
									BgL_testz00_27743 =
										(
										((long) CINT(BgL_bpz00_3812) +
											BgL_siza7ezd2framez75_16817) <
										(long) (BgL_arg1897z00_12193));
								}
								if (BgL_testz00_27743)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3286z00_3814;

											BgL_arg3286z00_3814 =
												((long) CINT(BgL_bpz00_3812) + ((long) 0));
											VECTOR_SET(BgL_sz00_3811,
												(int) (BgL_arg3286z00_3814), BgL_dz00_3808);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3287z00_3815;

											BgL_arg3287z00_3815 =
												((long) CINT(BgL_bpz00_3812) + ((long) 1));
											VECTOR_SET(BgL_sz00_3811,
												(int) (BgL_arg3287z00_3815), BgL_lastz00_3809);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1355z00_3816;

											BgL_val1355z00_3816 =
												BGl_zc3exitza33291ze3z83zz__evaluate_compz00
												(BgL_bpz00_3812, BgL_sz00_3811, BgL_runz00_16816);
											VECTOR_SET(BgL_sz00_3811, (int) (((long) 0)),
												BgL_bpz00_3812);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1355z00_3816)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1355z00_3816), CDR(BgL_val1355z00_3816));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1355z00_3816;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3823;

										BgL_nsz00_3823 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3823,
											(int) (((long) 1)), BgL_sz00_3811);
										VECTOR_SET(BgL_nsz00_3823,
											(int) (((long) 2)), BgL_dz00_3808);
										VECTOR_SET(BgL_nsz00_3823,
											(int) (((long) 3)), BgL_lastz00_3809);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27773;

											BgL_auxz00_27773 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27773, BgL_nsz00_3823);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1358z00_3825;

											BgL_val1358z00_3825 =
												BGl_zc3exitza33297ze3z83zz__evaluate_compz00
												(BgL_runz00_16816, BgL_nsz00_3823);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27777;

												BgL_auxz00_27777 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27777, BgL_sz00_3811);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1358z00_3825)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1358z00_3825), CDR(BgL_val1358z00_3825));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1358z00_3825;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3297> */
	obj_t BGl_zc3exitza33297ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17505,
		obj_t BgL_nsz00_17504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1359z00_3831;

			if (SET_EXIT(BgL_an_exit1359z00_3831))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1359z00_3831 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1359z00_3831, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1360z00_3832;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12230;

								BgL_savedzd2bpzd2_12230 =
									VECTOR_REF(BgL_nsz00_17504, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17504,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12237;

									BgL_fz00_12237 = BgL_runz00_17505;
								BgL_recz00_12236:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12238;

										BgL_rz00_12238 =
											PROCEDURE_ENTRY(BgL_fz00_12237) (BgL_fz00_12237,
											BgL_nsz00_17504, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27798;

											if (PROCEDUREP(BgL_rz00_12238))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12243;

													BgL_arg1889z00_12243 = PROCEDURE_ATTR(BgL_rz00_12238);
													if (STRUCTP(BgL_arg1889z00_12243))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27798 =
																(STRUCT_KEY(BgL_arg1889z00_12243) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27798 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27798 = ((bool_t) 0);
												}
											if (BgL_testz00_27798)
												{
													obj_t BgL_fz00_27806;

													BgL_fz00_27806 = BgL_rz00_12238;
													BgL_fz00_12237 = BgL_fz00_27806;
													goto BgL_recz00_12236;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17504,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12230);
													BgL_val1360z00_3832 = BgL_rz00_12238;
							}}}}}
							POP_EXIT();
							return BgL_val1360z00_3832;
						}
					}
				}
		}
	}



/* <exit:3291> */
	obj_t BGl_zc3exitza33291ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17508,
		obj_t BgL_sz00_17507, obj_t BgL_runz00_17506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1356z00_3821;

			if (SET_EXIT(BgL_an_exit1356z00_3821))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1356z00_3821 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1356z00_3821, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1357z00_3822;

							BgL_val1357z00_3822 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17506,
								BgL_sz00_17507, BgL_bpz00_17508);
							POP_EXIT();
							return BgL_val1357z00_3822;
						}
					}
				}
		}
	}



/* &run5495 */
	obj_t BGl_z62run5495z62zz__evaluate_compz00(obj_t BgL_envz00_16820,
		obj_t BgL_sz00_16824)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16821;
				BgL_ev_absz00_bglt BgL_i1250z00_16822;
				obj_t BgL_bodyz00_16823;

				BgL_iboxesz00_16821 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16820, (int) (((long) 0))));
				BgL_i1250z00_16822 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16820, (int) (((long) 1))));
				BgL_bodyz00_16823 = PROCEDURE_REF(BgL_envz00_16820, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3834;

					BgL_sz00_3834 = BgL_sz00_16824;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3836;

						BgL_bpz00_3836 = VECTOR_REF(BgL_sz00_3834, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3834,
							BgL_iboxesz00_16821, BgL_bpz00_3836);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3837;
							obj_t BgL_wherez00_3838;
							obj_t BgL_locz00_3839;

							BgL_z12denvz12_3837 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3838 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16822))->BgL_wherez00);
							BgL_locz00_3839 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16822))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3837, BgL_wherez00_3838,
									BgL_locz00_3839);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3840;

									BgL_za2za2resza2za2z00_3840 =
										PROCEDURE_ENTRY(BgL_bodyz00_16823) (BgL_bodyz00_16823,
										BgL_sz00_3834, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3837);
									return BgL_za2za2resza2za2z00_3840;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3301> */
	obj_t BGl_z62zc3anonymousza33301ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16825, obj_t BgL_sz00_16831)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16826;
				long BgL_siza7eza7_16827;
				BgL_ev_absz00_bglt BgL_i1250z00_16828;
				obj_t BgL_bodyz00_16829;
				long BgL_siza7ezd2framez75_16830;

				BgL_ifreesz00_16826 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16825, (int) (((long) 0))));
				BgL_siza7eza7_16827 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16825, (int) (((long) 1))));
				BgL_i1250z00_16828 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16825, (int) (((long) 2))));
				BgL_bodyz00_16829 = PROCEDURE_REF(BgL_envz00_16825, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16830 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16825, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3844;

					BgL_sz00_3844 = BgL_sz00_16831;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3846;

						BgL_bpz00_3846 = VECTOR_REF(BgL_sz00_3844, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3847;

							BgL_valza2za2_3847 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3844,
								BgL_bpz00_3846, BgL_ifreesz00_16826);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16108;

								BgL_runz00_16108 =
									MAKE_FX_PROCEDURE(BGl_z62run5497z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16827));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 1)), BgL_valza2za2_3847);
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16828));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 3)), BgL_bodyz00_16829);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16109;

									BgL_mainz00_16109 =
										MAKE_VA_PROCEDURE(BGl_z62main5496z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16827));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 1)), BgL_valza2za2_3847);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16828));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 3)), BgL_bodyz00_16829);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 4)), BgL_runz00_16108);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16830));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12365;

										BgL_objz00_12365 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16108, BgL_objz00_12365);
										BgL_objz00_12365;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3302z00_3850;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3303z00_3851;

											BgL_arg3303z00_3851 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16828))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12369;

												BgL_newz00_12369 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27887;

													BgL_auxz00_27887 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12369, BgL_auxz00_27887,
														BgL_arg3303z00_3851);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27892;
													int BgL_auxz00_27890;

													BgL_auxz00_27892 = BINT(BgL_siza7ezd2framez75_16830);
													BgL_auxz00_27890 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12369, BgL_auxz00_27890,
														BgL_auxz00_27892);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27895;

													BgL_auxz00_27895 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12369, BgL_auxz00_27895,
														BgL_runz00_16108);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27900;
													int BgL_auxz00_27898;

													BgL_auxz00_27900 = BINT(((long) -2));
													BgL_auxz00_27898 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12369, BgL_auxz00_27898,
														BgL_auxz00_27900);
												}
												BgL_arg3302z00_3850 = BgL_newz00_12369;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16109, BgL_arg3302z00_3850);
										BgL_arg3302z00_3850;
									}
									return BgL_mainz00_16109;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5496 */
	obj_t BGl_z62main5496z62zz__evaluate_compz00(obj_t BgL_envz00_16832,
		obj_t BgL_dz00_16839, obj_t BgL_lastz00_16840)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16837;
				long BgL_siza7ezd2framez75_16838;

				BgL_runz00_16837 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16832, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16838 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16832, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3852;
					obj_t BgL_lastz00_3853;

					BgL_dz00_3852 = BgL_dz00_16839;
					BgL_lastz00_3853 = BgL_lastz00_16840;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3855;

						BgL_sz00_3855 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3856;

							BgL_bpz00_3856 = VECTOR_REF(BgL_sz00_3855, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27913;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12300;

									BgL_arg1897z00_12300 = VECTOR_LENGTH(BgL_sz00_3855);
									BgL_testz00_27913 =
										(
										((long) CINT(BgL_bpz00_3856) +
											BgL_siza7ezd2framez75_16838) <
										(long) (BgL_arg1897z00_12300));
								}
								if (BgL_testz00_27913)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3306z00_3858;

											BgL_arg3306z00_3858 =
												((long) CINT(BgL_bpz00_3856) + ((long) 0));
											VECTOR_SET(BgL_sz00_3855,
												(int) (BgL_arg3306z00_3858), BgL_dz00_3852);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3307z00_3859;

											BgL_arg3307z00_3859 =
												((long) CINT(BgL_bpz00_3856) + ((long) 1));
											VECTOR_SET(BgL_sz00_3855,
												(int) (BgL_arg3307z00_3859), BgL_lastz00_3853);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1361z00_3860;

											BgL_val1361z00_3860 =
												BGl_zc3exitza33311ze3z83zz__evaluate_compz00
												(BgL_bpz00_3856, BgL_sz00_3855, BgL_runz00_16837);
											VECTOR_SET(BgL_sz00_3855, (int) (((long) 0)),
												BgL_bpz00_3856);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1361z00_3860)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1361z00_3860), CDR(BgL_val1361z00_3860));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1361z00_3860;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3867;

										BgL_nsz00_3867 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3867,
											(int) (((long) 1)), BgL_sz00_3855);
										VECTOR_SET(BgL_nsz00_3867,
											(int) (((long) 2)), BgL_dz00_3852);
										VECTOR_SET(BgL_nsz00_3867,
											(int) (((long) 3)), BgL_lastz00_3853);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27943;

											BgL_auxz00_27943 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27943, BgL_nsz00_3867);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1364z00_3869;

											BgL_val1364z00_3869 =
												BGl_zc3exitza33317ze3z83zz__evaluate_compz00
												(BgL_runz00_16837, BgL_nsz00_3867);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27947;

												BgL_auxz00_27947 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27947, BgL_sz00_3855);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1364z00_3869)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1364z00_3869), CDR(BgL_val1364z00_3869));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1364z00_3869;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3317> */
	obj_t BGl_zc3exitza33317ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17500,
		obj_t BgL_nsz00_17499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1365z00_3875;

			if (SET_EXIT(BgL_an_exit1365z00_3875))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1365z00_3875 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1365z00_3875, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1366z00_3876;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12337;

								BgL_savedzd2bpzd2_12337 =
									VECTOR_REF(BgL_nsz00_17499, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17499,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12344;

									BgL_fz00_12344 = BgL_runz00_17500;
								BgL_recz00_12343:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12345;

										BgL_rz00_12345 =
											PROCEDURE_ENTRY(BgL_fz00_12344) (BgL_fz00_12344,
											BgL_nsz00_17499, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27968;

											if (PROCEDUREP(BgL_rz00_12345))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12350;

													BgL_arg1889z00_12350 = PROCEDURE_ATTR(BgL_rz00_12345);
													if (STRUCTP(BgL_arg1889z00_12350))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27968 =
																(STRUCT_KEY(BgL_arg1889z00_12350) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27968 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27968 = ((bool_t) 0);
												}
											if (BgL_testz00_27968)
												{
													obj_t BgL_fz00_27976;

													BgL_fz00_27976 = BgL_rz00_12345;
													BgL_fz00_12344 = BgL_fz00_27976;
													goto BgL_recz00_12343;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17499,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12337);
													BgL_val1366z00_3876 = BgL_rz00_12345;
							}}}}}
							POP_EXIT();
							return BgL_val1366z00_3876;
						}
					}
				}
		}
	}



/* <exit:3311> */
	obj_t BGl_zc3exitza33311ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17503,
		obj_t BgL_sz00_17502, obj_t BgL_runz00_17501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1362z00_3865;

			if (SET_EXIT(BgL_an_exit1362z00_3865))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1362z00_3865 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1362z00_3865, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1363z00_3866;

							BgL_val1363z00_3866 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17501,
								BgL_sz00_17502, BgL_bpz00_17503);
							POP_EXIT();
							return BgL_val1363z00_3866;
						}
					}
				}
		}
	}



/* &run5497 */
	obj_t BGl_z62run5497z62zz__evaluate_compz00(obj_t BgL_envz00_16841,
		obj_t BgL_sz00_16846)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16842;
				obj_t BgL_valza2za2_16843;
				BgL_ev_absz00_bglt BgL_i1250z00_16844;
				obj_t BgL_bodyz00_16845;

				BgL_siza7eza7_16842 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16841, (int) (((long) 0))));
				BgL_valza2za2_16843 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16841, (int) (((long) 1))));
				BgL_i1250z00_16844 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16841, (int) (((long) 2))));
				BgL_bodyz00_16845 = PROCEDURE_REF(BgL_envz00_16841, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3878;

					BgL_sz00_3878 = BgL_sz00_16846;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3880;

						BgL_bpz00_3880 = VECTOR_REF(BgL_sz00_3878, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3878,
							BgL_valza2za2_16843,
							((long) CINT(BgL_bpz00_3880) + BgL_siza7eza7_16842));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3882;
							obj_t BgL_wherez00_3883;
							obj_t BgL_locz00_3884;

							BgL_z12denvz12_3882 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3883 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16844))->BgL_wherez00);
							BgL_locz00_3884 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16844))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3882, BgL_wherez00_3883,
									BgL_locz00_3884);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3885;

									BgL_za2za2resza2za2z00_3885 =
										PROCEDURE_ENTRY(BgL_bodyz00_16845) (BgL_bodyz00_16845,
										BgL_sz00_3878, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3882);
									return BgL_za2za2resza2za2z00_3885;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3320> */
	obj_t BGl_z62zc3anonymousza33320ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16847, obj_t BgL_sz00_16854)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16848;
				obj_t BgL_iboxesz00_16849;
				long BgL_siza7eza7_16850;
				BgL_ev_absz00_bglt BgL_i1250z00_16851;
				obj_t BgL_bodyz00_16852;
				long BgL_siza7ezd2framez75_16853;

				BgL_ifreesz00_16848 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 0))));
				BgL_iboxesz00_16849 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 1))));
				BgL_siza7eza7_16850 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 2))));
				BgL_i1250z00_16851 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 3))));
				BgL_bodyz00_16852 = PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16853 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16847, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3887;

					BgL_sz00_3887 = BgL_sz00_16854;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3889;

						BgL_bpz00_3889 = VECTOR_REF(BgL_sz00_3887, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3890;

							BgL_valza2za2_3890 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3887,
								BgL_bpz00_3889, BgL_ifreesz00_16848);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16105;

								BgL_runz00_16105 =
									MAKE_FX_PROCEDURE(BGl_z62run5499z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 0)), BgL_iboxesz00_16849);
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16850));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 2)), BgL_valza2za2_3890);
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16851));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 4)), BgL_bodyz00_16852);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16106;

									BgL_mainz00_16106 =
										MAKE_VA_PROCEDURE(BGl_z62main5498z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 0)), BgL_iboxesz00_16849);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16850));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 2)), BgL_valza2za2_3890);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16851));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 4)), BgL_bodyz00_16852);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 5)), BgL_runz00_16105);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16853));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12468;

										BgL_objz00_12468 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16105, BgL_objz00_12468);
										BgL_objz00_12468;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3321z00_3893;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3322z00_3894;

											BgL_arg3322z00_3894 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16851))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12472;

												BgL_newz00_12472 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28069;

													BgL_auxz00_28069 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12472, BgL_auxz00_28069,
														BgL_arg3322z00_3894);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28074;
													int BgL_auxz00_28072;

													BgL_auxz00_28074 = BINT(BgL_siza7ezd2framez75_16853);
													BgL_auxz00_28072 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12472, BgL_auxz00_28072,
														BgL_auxz00_28074);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28077;

													BgL_auxz00_28077 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12472, BgL_auxz00_28077,
														BgL_runz00_16105);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28082;
													int BgL_auxz00_28080;

													BgL_auxz00_28082 = BINT(((long) -2));
													BgL_auxz00_28080 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12472, BgL_auxz00_28080,
														BgL_auxz00_28082);
												}
												BgL_arg3321z00_3893 = BgL_newz00_12472;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16106, BgL_arg3321z00_3893);
										BgL_arg3321z00_3893;
									}
									return BgL_mainz00_16106;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5498 */
	obj_t BGl_z62main5498z62zz__evaluate_compz00(obj_t BgL_envz00_16855,
		obj_t BgL_dz00_16863, obj_t BgL_lastz00_16864)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16861;
				long BgL_siza7ezd2framez75_16862;

				BgL_runz00_16861 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16855, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16862 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16855, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3895;
					obj_t BgL_lastz00_3896;

					BgL_dz00_3895 = BgL_dz00_16863;
					BgL_lastz00_3896 = BgL_lastz00_16864;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3898;

						BgL_sz00_3898 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3899;

							BgL_bpz00_3899 = VECTOR_REF(BgL_sz00_3898, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28095;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_12403;

									BgL_arg1897z00_12403 = VECTOR_LENGTH(BgL_sz00_3898);
									BgL_testz00_28095 =
										(
										((long) CINT(BgL_bpz00_3899) +
											BgL_siza7ezd2framez75_16862) <
										(long) (BgL_arg1897z00_12403));
								}
								if (BgL_testz00_28095)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3325z00_3901;

											BgL_arg3325z00_3901 =
												((long) CINT(BgL_bpz00_3899) + ((long) 0));
											VECTOR_SET(BgL_sz00_3898,
												(int) (BgL_arg3325z00_3901), BgL_dz00_3895);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3326z00_3902;

											BgL_arg3326z00_3902 =
												((long) CINT(BgL_bpz00_3899) + ((long) 1));
											VECTOR_SET(BgL_sz00_3898,
												(int) (BgL_arg3326z00_3902), BgL_lastz00_3896);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1367z00_3903;

											BgL_val1367z00_3903 =
												BGl_zc3exitza33330ze3z83zz__evaluate_compz00
												(BgL_bpz00_3899, BgL_sz00_3898, BgL_runz00_16861);
											VECTOR_SET(BgL_sz00_3898, (int) (((long) 0)),
												BgL_bpz00_3899);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1367z00_3903)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1367z00_3903), CDR(BgL_val1367z00_3903));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1367z00_3903;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3910;

										BgL_nsz00_3910 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3910,
											(int) (((long) 1)), BgL_sz00_3898);
										VECTOR_SET(BgL_nsz00_3910,
											(int) (((long) 2)), BgL_dz00_3895);
										VECTOR_SET(BgL_nsz00_3910,
											(int) (((long) 3)), BgL_lastz00_3896);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28125;

											BgL_auxz00_28125 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28125, BgL_nsz00_3910);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1370z00_3912;

											BgL_val1370z00_3912 =
												BGl_zc3exitza33336ze3z83zz__evaluate_compz00
												(BgL_runz00_16861, BgL_nsz00_3910);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28129;

												BgL_auxz00_28129 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28129, BgL_sz00_3898);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1370z00_3912)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1370z00_3912), CDR(BgL_val1370z00_3912));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1370z00_3912;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3336> */
	obj_t BGl_zc3exitza33336ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17495,
		obj_t BgL_nsz00_17494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1371z00_3918;

			if (SET_EXIT(BgL_an_exit1371z00_3918))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1371z00_3918 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1371z00_3918, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1372z00_3919;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12440;

								BgL_savedzd2bpzd2_12440 =
									VECTOR_REF(BgL_nsz00_17494, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17494,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12447;

									BgL_fz00_12447 = BgL_runz00_17495;
								BgL_recz00_12446:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12448;

										BgL_rz00_12448 =
											PROCEDURE_ENTRY(BgL_fz00_12447) (BgL_fz00_12447,
											BgL_nsz00_17494, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28150;

											if (PROCEDUREP(BgL_rz00_12448))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12453;

													BgL_arg1889z00_12453 = PROCEDURE_ATTR(BgL_rz00_12448);
													if (STRUCTP(BgL_arg1889z00_12453))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28150 =
																(STRUCT_KEY(BgL_arg1889z00_12453) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28150 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28150 = ((bool_t) 0);
												}
											if (BgL_testz00_28150)
												{
													obj_t BgL_fz00_28158;

													BgL_fz00_28158 = BgL_rz00_12448;
													BgL_fz00_12447 = BgL_fz00_28158;
													goto BgL_recz00_12446;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17494,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12440);
													BgL_val1372z00_3919 = BgL_rz00_12448;
							}}}}}
							POP_EXIT();
							return BgL_val1372z00_3919;
						}
					}
				}
		}
	}



/* <exit:3330> */
	obj_t BGl_zc3exitza33330ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17498,
		obj_t BgL_sz00_17497, obj_t BgL_runz00_17496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1368z00_3908;

			if (SET_EXIT(BgL_an_exit1368z00_3908))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1368z00_3908 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1368z00_3908, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1369z00_3909;

							BgL_val1369z00_3909 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17496,
								BgL_sz00_17497, BgL_bpz00_17498);
							POP_EXIT();
							return BgL_val1369z00_3909;
						}
					}
				}
		}
	}



/* &run5499 */
	obj_t BGl_z62run5499z62zz__evaluate_compz00(obj_t BgL_envz00_16865,
		obj_t BgL_sz00_16871)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16866;
				long BgL_siza7eza7_16867;
				obj_t BgL_valza2za2_16868;
				BgL_ev_absz00_bglt BgL_i1250z00_16869;
				obj_t BgL_bodyz00_16870;

				BgL_iboxesz00_16866 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16865, (int) (((long) 0))));
				BgL_siza7eza7_16867 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16865, (int) (((long) 1))));
				BgL_valza2za2_16868 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16865, (int) (((long) 2))));
				BgL_i1250z00_16869 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16865, (int) (((long) 3))));
				BgL_bodyz00_16870 = PROCEDURE_REF(BgL_envz00_16865, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3921;

					BgL_sz00_3921 = BgL_sz00_16871;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3923;

						BgL_bpz00_3923 = VECTOR_REF(BgL_sz00_3921, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3921,
							BgL_iboxesz00_16866, BgL_bpz00_3923);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3921,
							BgL_valza2za2_16868,
							((long) CINT(BgL_bpz00_3923) + BgL_siza7eza7_16867));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3925;
							obj_t BgL_wherez00_3926;
							obj_t BgL_locz00_3927;

							BgL_z12denvz12_3925 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3926 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16869))->BgL_wherez00);
							BgL_locz00_3927 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16869))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3925, BgL_wherez00_3926,
									BgL_locz00_3927);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3928;

									BgL_za2za2resza2za2z00_3928 =
										PROCEDURE_ENTRY(BgL_bodyz00_16870) (BgL_bodyz00_16870,
										BgL_sz00_3921, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3925);
									return BgL_za2za2resza2za2z00_3928;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3187> */
	obj_t BGl_z62zc3anonymousza33187ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16872, obj_t BgL_sz00_16876)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16873;
				obj_t BgL_bodyz00_16874;
				long BgL_siza7ezd2framez75_16875;

				BgL_i1250z00_16873 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16872, (int) (((long) 0))));
				BgL_bodyz00_16874 = PROCEDURE_REF(BgL_envz00_16872, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16875 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16872, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3594;

					BgL_sz00_3594 = BgL_sz00_16876;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3596;

						BgL_bpz00_3596 = VECTOR_REF(BgL_sz00_3594, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16102;

								BgL_runz00_16102 =
									MAKE_FX_PROCEDURE(BGl_z62run5501z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16102,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16873));
								PROCEDURE_SET(BgL_runz00_16102,
									(int) (((long) 1)), BgL_bodyz00_16874);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16103;

									BgL_mainz00_16103 =
										MAKE_FX_PROCEDURE(BGl_z62main5500z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16103,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16873));
									PROCEDURE_SET(BgL_mainz00_16103,
										(int) (((long) 1)), BgL_bodyz00_16874);
									PROCEDURE_SET(BgL_mainz00_16103,
										(int) (((long) 2)), BgL_runz00_16102);
									PROCEDURE_SET(BgL_mainz00_16103,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16875));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11767;

										BgL_objz00_11767 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16102, BgL_objz00_11767);
										BgL_objz00_11767;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3188z00_3599;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3189z00_3600;

											BgL_arg3189z00_3600 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16873))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11771;

												BgL_newz00_11771 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28231;

													BgL_auxz00_28231 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11771, BgL_auxz00_28231,
														BgL_arg3189z00_3600);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28236;
													int BgL_auxz00_28234;

													BgL_auxz00_28236 = BINT(BgL_siza7ezd2framez75_16875);
													BgL_auxz00_28234 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11771, BgL_auxz00_28234,
														BgL_auxz00_28236);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28239;

													BgL_auxz00_28239 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11771, BgL_auxz00_28239,
														BgL_runz00_16102);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28244;
													int BgL_auxz00_28242;

													BgL_auxz00_28244 = BINT(((long) 1));
													BgL_auxz00_28242 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11771, BgL_auxz00_28242,
														BgL_auxz00_28244);
												}
												BgL_arg3188z00_3599 = BgL_newz00_11771;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16103, BgL_arg3188z00_3599);
										BgL_arg3188z00_3599;
									}
									return BgL_mainz00_16103;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5500 */
	obj_t BGl_z62main5500z62zz__evaluate_compz00(obj_t BgL_envz00_16877,
		obj_t BgL_dz00_16882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16880;
				long BgL_siza7ezd2framez75_16881;

				BgL_runz00_16880 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16881 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3601;

					BgL_dz00_3601 = BgL_dz00_16882;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3603;

						BgL_sz00_3603 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3604;

							BgL_bpz00_3604 = VECTOR_REF(BgL_sz00_3603, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28257;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11711;

									BgL_arg1897z00_11711 = VECTOR_LENGTH(BgL_sz00_3603);
									BgL_testz00_28257 =
										(
										((long) CINT(BgL_bpz00_3604) +
											BgL_siza7ezd2framez75_16881) <
										(long) (BgL_arg1897z00_11711));
								}
								if (BgL_testz00_28257)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3192z00_3606;

											BgL_arg3192z00_3606 =
												((long) CINT(BgL_bpz00_3604) + ((long) 0));
											VECTOR_SET(BgL_sz00_3603,
												(int) (BgL_arg3192z00_3606), BgL_dz00_3601);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1325z00_3607;

											BgL_val1325z00_3607 =
												BGl_zc3exitza33196ze3z83zz__evaluate_compz00
												(BgL_bpz00_3604, BgL_sz00_3603, BgL_runz00_16880);
											VECTOR_SET(BgL_sz00_3603, (int) (((long) 0)),
												BgL_bpz00_3604);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1325z00_3607)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1325z00_3607), CDR(BgL_val1325z00_3607));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1325z00_3607;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3614;

										BgL_nsz00_3614 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3614,
											(int) (((long) 1)), BgL_sz00_3603);
										VECTOR_SET(BgL_nsz00_3614,
											(int) (((long) 2)), BgL_dz00_3601);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28281;

											BgL_auxz00_28281 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28281, BgL_nsz00_3614);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1328z00_3616;

											BgL_val1328z00_3616 =
												BGl_zc3exitza33202ze3z83zz__evaluate_compz00
												(BgL_runz00_16880, BgL_nsz00_3614);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28285;

												BgL_auxz00_28285 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28285, BgL_sz00_3603);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1328z00_3616)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1328z00_3616), CDR(BgL_val1328z00_3616));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1328z00_3616;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3202> */
	obj_t BGl_zc3exitza33202ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17490,
		obj_t BgL_nsz00_17489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1329z00_3622;

			if (SET_EXIT(BgL_an_exit1329z00_3622))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1329z00_3622 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1329z00_3622, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1330z00_3623;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11739;

								BgL_savedzd2bpzd2_11739 =
									VECTOR_REF(BgL_nsz00_17489, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17489,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11746;

									BgL_fz00_11746 = BgL_runz00_17490;
								BgL_recz00_11745:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11747;

										BgL_rz00_11747 =
											PROCEDURE_ENTRY(BgL_fz00_11746) (BgL_fz00_11746,
											BgL_nsz00_17489, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28306;

											if (PROCEDUREP(BgL_rz00_11747))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11752;

													BgL_arg1889z00_11752 = PROCEDURE_ATTR(BgL_rz00_11747);
													if (STRUCTP(BgL_arg1889z00_11752))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28306 =
																(STRUCT_KEY(BgL_arg1889z00_11752) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28306 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28306 = ((bool_t) 0);
												}
											if (BgL_testz00_28306)
												{
													obj_t BgL_fz00_28314;

													BgL_fz00_28314 = BgL_rz00_11747;
													BgL_fz00_11746 = BgL_fz00_28314;
													goto BgL_recz00_11745;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17489,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11739);
													BgL_val1330z00_3623 = BgL_rz00_11747;
							}}}}}
							POP_EXIT();
							return BgL_val1330z00_3623;
						}
					}
				}
		}
	}



/* <exit:3196> */
	obj_t BGl_zc3exitza33196ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17493,
		obj_t BgL_sz00_17492, obj_t BgL_runz00_17491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1326z00_3612;

			if (SET_EXIT(BgL_an_exit1326z00_3612))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1326z00_3612 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1326z00_3612, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1327z00_3613;

							BgL_val1327z00_3613 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17491,
								BgL_sz00_17492, BgL_bpz00_17493);
							POP_EXIT();
							return BgL_val1327z00_3613;
						}
					}
				}
		}
	}



/* &run5501 */
	obj_t BGl_z62run5501z62zz__evaluate_compz00(obj_t BgL_envz00_16883,
		obj_t BgL_sz00_16886)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16884;
				obj_t BgL_bodyz00_16885;

				BgL_i1250z00_16884 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 0))));
				BgL_bodyz00_16885 = PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3625;

					BgL_sz00_3625 = BgL_sz00_16886;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3627;

						BgL_bpz00_3627 = VECTOR_REF(BgL_sz00_3625, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3628;
							obj_t BgL_wherez00_3629;
							obj_t BgL_locz00_3630;

							BgL_z12denvz12_3628 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3629 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16884))->BgL_wherez00);
							BgL_locz00_3630 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16884))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3628, BgL_wherez00_3629,
									BgL_locz00_3630);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3631;

									BgL_za2za2resza2za2z00_3631 =
										PROCEDURE_ENTRY(BgL_bodyz00_16885) (BgL_bodyz00_16885,
										BgL_sz00_3625, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3628);
									return BgL_za2za2resza2za2z00_3631;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3204> */
	obj_t BGl_z62zc3anonymousza33204ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16887, obj_t BgL_sz00_16892)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16888;
				BgL_ev_absz00_bglt BgL_i1250z00_16889;
				obj_t BgL_bodyz00_16890;
				long BgL_siza7ezd2framez75_16891;

				BgL_iboxesz00_16888 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16887, (int) (((long) 0))));
				BgL_i1250z00_16889 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16887, (int) (((long) 1))));
				BgL_bodyz00_16890 = PROCEDURE_REF(BgL_envz00_16887, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16891 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16887, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3633;

					BgL_sz00_3633 = BgL_sz00_16892;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3635;

						BgL_bpz00_3635 = VECTOR_REF(BgL_sz00_3633, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16099;

								BgL_runz00_16099 =
									MAKE_FX_PROCEDURE(BGl_z62run5503z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16099,
									(int) (((long) 0)), BgL_iboxesz00_16888);
								PROCEDURE_SET(BgL_runz00_16099,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16889));
								PROCEDURE_SET(BgL_runz00_16099,
									(int) (((long) 2)), BgL_bodyz00_16890);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16100;

									BgL_mainz00_16100 =
										MAKE_FX_PROCEDURE(BGl_z62main5502z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16100,
										(int) (((long) 0)), BgL_iboxesz00_16888);
									PROCEDURE_SET(BgL_mainz00_16100,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16889));
									PROCEDURE_SET(BgL_mainz00_16100,
										(int) (((long) 2)), BgL_bodyz00_16890);
									PROCEDURE_SET(BgL_mainz00_16100,
										(int) (((long) 3)), BgL_runz00_16099);
									PROCEDURE_SET(BgL_mainz00_16100,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16891));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11858;

										BgL_objz00_11858 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16099, BgL_objz00_11858);
										BgL_objz00_11858;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3205z00_3638;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3206z00_3639;

											BgL_arg3206z00_3639 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16889))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11862;

												BgL_newz00_11862 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28381;

													BgL_auxz00_28381 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11862, BgL_auxz00_28381,
														BgL_arg3206z00_3639);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28386;
													int BgL_auxz00_28384;

													BgL_auxz00_28386 = BINT(BgL_siza7ezd2framez75_16891);
													BgL_auxz00_28384 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11862, BgL_auxz00_28384,
														BgL_auxz00_28386);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28389;

													BgL_auxz00_28389 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11862, BgL_auxz00_28389,
														BgL_runz00_16099);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28394;
													int BgL_auxz00_28392;

													BgL_auxz00_28394 = BINT(((long) 1));
													BgL_auxz00_28392 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11862, BgL_auxz00_28392,
														BgL_auxz00_28394);
												}
												BgL_arg3205z00_3638 = BgL_newz00_11862;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16100, BgL_arg3205z00_3638);
										BgL_arg3205z00_3638;
									}
									return BgL_mainz00_16100;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5502 */
	obj_t BGl_z62main5502z62zz__evaluate_compz00(obj_t BgL_envz00_16893,
		obj_t BgL_dz00_16899)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16897;
				long BgL_siza7ezd2framez75_16898;

				BgL_runz00_16897 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16893, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16898 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16893, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3640;

					BgL_dz00_3640 = BgL_dz00_16899;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3642;

						BgL_sz00_3642 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3643;

							BgL_bpz00_3643 = VECTOR_REF(BgL_sz00_3642, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28407;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11802;

									BgL_arg1897z00_11802 = VECTOR_LENGTH(BgL_sz00_3642);
									BgL_testz00_28407 =
										(
										((long) CINT(BgL_bpz00_3643) +
											BgL_siza7ezd2framez75_16898) <
										(long) (BgL_arg1897z00_11802));
								}
								if (BgL_testz00_28407)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3209z00_3645;

											BgL_arg3209z00_3645 =
												((long) CINT(BgL_bpz00_3643) + ((long) 0));
											VECTOR_SET(BgL_sz00_3642,
												(int) (BgL_arg3209z00_3645), BgL_dz00_3640);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1331z00_3646;

											BgL_val1331z00_3646 =
												BGl_zc3exitza33213ze3z83zz__evaluate_compz00
												(BgL_bpz00_3643, BgL_sz00_3642, BgL_runz00_16897);
											VECTOR_SET(BgL_sz00_3642, (int) (((long) 0)),
												BgL_bpz00_3643);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1331z00_3646)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1331z00_3646), CDR(BgL_val1331z00_3646));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1331z00_3646;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3653;

										BgL_nsz00_3653 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3653,
											(int) (((long) 1)), BgL_sz00_3642);
										VECTOR_SET(BgL_nsz00_3653,
											(int) (((long) 2)), BgL_dz00_3640);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28431;

											BgL_auxz00_28431 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28431, BgL_nsz00_3653);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1334z00_3655;

											BgL_val1334z00_3655 =
												BGl_zc3exitza33219ze3z83zz__evaluate_compz00
												(BgL_runz00_16897, BgL_nsz00_3653);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28435;

												BgL_auxz00_28435 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28435, BgL_sz00_3642);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1334z00_3655)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1334z00_3655), CDR(BgL_val1334z00_3655));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1334z00_3655;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3219> */
	obj_t BGl_zc3exitza33219ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17485,
		obj_t BgL_nsz00_17484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1335z00_3661;

			if (SET_EXIT(BgL_an_exit1335z00_3661))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1335z00_3661 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1335z00_3661, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1336z00_3662;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11830;

								BgL_savedzd2bpzd2_11830 =
									VECTOR_REF(BgL_nsz00_17484, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17484,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11837;

									BgL_fz00_11837 = BgL_runz00_17485;
								BgL_recz00_11836:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11838;

										BgL_rz00_11838 =
											PROCEDURE_ENTRY(BgL_fz00_11837) (BgL_fz00_11837,
											BgL_nsz00_17484, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28456;

											if (PROCEDUREP(BgL_rz00_11838))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11843;

													BgL_arg1889z00_11843 = PROCEDURE_ATTR(BgL_rz00_11838);
													if (STRUCTP(BgL_arg1889z00_11843))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28456 =
																(STRUCT_KEY(BgL_arg1889z00_11843) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28456 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28456 = ((bool_t) 0);
												}
											if (BgL_testz00_28456)
												{
													obj_t BgL_fz00_28464;

													BgL_fz00_28464 = BgL_rz00_11838;
													BgL_fz00_11837 = BgL_fz00_28464;
													goto BgL_recz00_11836;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17484,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11830);
													BgL_val1336z00_3662 = BgL_rz00_11838;
							}}}}}
							POP_EXIT();
							return BgL_val1336z00_3662;
						}
					}
				}
		}
	}



/* <exit:3213> */
	obj_t BGl_zc3exitza33213ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17488,
		obj_t BgL_sz00_17487, obj_t BgL_runz00_17486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1332z00_3651;

			if (SET_EXIT(BgL_an_exit1332z00_3651))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1332z00_3651 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1332z00_3651, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1333z00_3652;

							BgL_val1333z00_3652 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17486,
								BgL_sz00_17487, BgL_bpz00_17488);
							POP_EXIT();
							return BgL_val1333z00_3652;
						}
					}
				}
		}
	}



/* &run5503 */
	obj_t BGl_z62run5503z62zz__evaluate_compz00(obj_t BgL_envz00_16900,
		obj_t BgL_sz00_16904)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16901;
				BgL_ev_absz00_bglt BgL_i1250z00_16902;
				obj_t BgL_bodyz00_16903;

				BgL_iboxesz00_16901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16900, (int) (((long) 0))));
				BgL_i1250z00_16902 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16900, (int) (((long) 1))));
				BgL_bodyz00_16903 = PROCEDURE_REF(BgL_envz00_16900, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3664;

					BgL_sz00_3664 = BgL_sz00_16904;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3666;

						BgL_bpz00_3666 = VECTOR_REF(BgL_sz00_3664, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3664,
							BgL_iboxesz00_16901, BgL_bpz00_3666);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3667;
							obj_t BgL_wherez00_3668;
							obj_t BgL_locz00_3669;

							BgL_z12denvz12_3667 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3668 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16902))->BgL_wherez00);
							BgL_locz00_3669 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16902))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3667, BgL_wherez00_3668,
									BgL_locz00_3669);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3670;

									BgL_za2za2resza2za2z00_3670 =
										PROCEDURE_ENTRY(BgL_bodyz00_16903) (BgL_bodyz00_16903,
										BgL_sz00_3664, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3667);
									return BgL_za2za2resza2za2z00_3670;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3223> */
	obj_t BGl_z62zc3anonymousza33223ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16905, obj_t BgL_sz00_16911)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16906;
				long BgL_siza7eza7_16907;
				BgL_ev_absz00_bglt BgL_i1250z00_16908;
				obj_t BgL_bodyz00_16909;
				long BgL_siza7ezd2framez75_16910;

				BgL_ifreesz00_16906 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16905, (int) (((long) 0))));
				BgL_siza7eza7_16907 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16905, (int) (((long) 1))));
				BgL_i1250z00_16908 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16905, (int) (((long) 2))));
				BgL_bodyz00_16909 = PROCEDURE_REF(BgL_envz00_16905, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16910 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16905, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3674;

					BgL_sz00_3674 = BgL_sz00_16911;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3676;

						BgL_bpz00_3676 = VECTOR_REF(BgL_sz00_3674, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3677;

							BgL_valza2za2_3677 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3674,
								BgL_bpz00_3676, BgL_ifreesz00_16906);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16096;

								BgL_runz00_16096 =
									MAKE_FX_PROCEDURE(BGl_z62run5505z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16096,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16907));
								PROCEDURE_SET(BgL_runz00_16096,
									(int) (((long) 1)), BgL_valza2za2_3677);
								PROCEDURE_SET(BgL_runz00_16096,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16908));
								PROCEDURE_SET(BgL_runz00_16096,
									(int) (((long) 3)), BgL_bodyz00_16909);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16097;

									BgL_mainz00_16097 =
										MAKE_FX_PROCEDURE(BGl_z62main5504z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16907));
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 1)), BgL_valza2za2_3677);
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16908));
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 3)), BgL_bodyz00_16909);
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 4)), BgL_runz00_16096);
									PROCEDURE_SET(BgL_mainz00_16097,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16910));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11956;

										BgL_objz00_11956 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16096, BgL_objz00_11956);
										BgL_objz00_11956;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3224z00_3680;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3225z00_3681;

											BgL_arg3225z00_3681 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16908))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11960;

												BgL_newz00_11960 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28545;

													BgL_auxz00_28545 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11960, BgL_auxz00_28545,
														BgL_arg3225z00_3681);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28550;
													int BgL_auxz00_28548;

													BgL_auxz00_28550 = BINT(BgL_siza7ezd2framez75_16910);
													BgL_auxz00_28548 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11960, BgL_auxz00_28548,
														BgL_auxz00_28550);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28553;

													BgL_auxz00_28553 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11960, BgL_auxz00_28553,
														BgL_runz00_16096);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28558;
													int BgL_auxz00_28556;

													BgL_auxz00_28558 = BINT(((long) 1));
													BgL_auxz00_28556 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11960, BgL_auxz00_28556,
														BgL_auxz00_28558);
												}
												BgL_arg3224z00_3680 = BgL_newz00_11960;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16097, BgL_arg3224z00_3680);
										BgL_arg3224z00_3680;
									}
									return BgL_mainz00_16097;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5504 */
	obj_t BGl_z62main5504z62zz__evaluate_compz00(obj_t BgL_envz00_16912,
		obj_t BgL_dz00_16919)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16917;
				long BgL_siza7ezd2framez75_16918;

				BgL_runz00_16917 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16912, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16918 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16912, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3682;

					BgL_dz00_3682 = BgL_dz00_16919;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3684;

						BgL_sz00_3684 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3685;

							BgL_bpz00_3685 = VECTOR_REF(BgL_sz00_3684, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28571;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11900;

									BgL_arg1897z00_11900 = VECTOR_LENGTH(BgL_sz00_3684);
									BgL_testz00_28571 =
										(
										((long) CINT(BgL_bpz00_3685) +
											BgL_siza7ezd2framez75_16918) <
										(long) (BgL_arg1897z00_11900));
								}
								if (BgL_testz00_28571)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3228z00_3687;

											BgL_arg3228z00_3687 =
												((long) CINT(BgL_bpz00_3685) + ((long) 0));
											VECTOR_SET(BgL_sz00_3684,
												(int) (BgL_arg3228z00_3687), BgL_dz00_3682);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1337z00_3688;

											BgL_val1337z00_3688 =
												BGl_zc3exitza33232ze3z83zz__evaluate_compz00
												(BgL_bpz00_3685, BgL_sz00_3684, BgL_runz00_16917);
											VECTOR_SET(BgL_sz00_3684, (int) (((long) 0)),
												BgL_bpz00_3685);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1337z00_3688)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1337z00_3688), CDR(BgL_val1337z00_3688));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1337z00_3688;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3695;

										BgL_nsz00_3695 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3695,
											(int) (((long) 1)), BgL_sz00_3684);
										VECTOR_SET(BgL_nsz00_3695,
											(int) (((long) 2)), BgL_dz00_3682);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28595;

											BgL_auxz00_28595 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28595, BgL_nsz00_3695);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1340z00_3697;

											BgL_val1340z00_3697 =
												BGl_zc3exitza33238ze3z83zz__evaluate_compz00
												(BgL_runz00_16917, BgL_nsz00_3695);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28599;

												BgL_auxz00_28599 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28599, BgL_sz00_3684);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1340z00_3697)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1340z00_3697), CDR(BgL_val1340z00_3697));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1340z00_3697;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3238> */
	obj_t BGl_zc3exitza33238ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17480,
		obj_t BgL_nsz00_17479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1341z00_3703;

			if (SET_EXIT(BgL_an_exit1341z00_3703))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1341z00_3703 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1341z00_3703, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1342z00_3704;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11928;

								BgL_savedzd2bpzd2_11928 =
									VECTOR_REF(BgL_nsz00_17479, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17479,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11935;

									BgL_fz00_11935 = BgL_runz00_17480;
								BgL_recz00_11934:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11936;

										BgL_rz00_11936 =
											PROCEDURE_ENTRY(BgL_fz00_11935) (BgL_fz00_11935,
											BgL_nsz00_17479, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28620;

											if (PROCEDUREP(BgL_rz00_11936))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11941;

													BgL_arg1889z00_11941 = PROCEDURE_ATTR(BgL_rz00_11936);
													if (STRUCTP(BgL_arg1889z00_11941))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28620 =
																(STRUCT_KEY(BgL_arg1889z00_11941) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28620 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28620 = ((bool_t) 0);
												}
											if (BgL_testz00_28620)
												{
													obj_t BgL_fz00_28628;

													BgL_fz00_28628 = BgL_rz00_11936;
													BgL_fz00_11935 = BgL_fz00_28628;
													goto BgL_recz00_11934;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17479,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11928);
													BgL_val1342z00_3704 = BgL_rz00_11936;
							}}}}}
							POP_EXIT();
							return BgL_val1342z00_3704;
						}
					}
				}
		}
	}



/* <exit:3232> */
	obj_t BGl_zc3exitza33232ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17483,
		obj_t BgL_sz00_17482, obj_t BgL_runz00_17481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1338z00_3693;

			if (SET_EXIT(BgL_an_exit1338z00_3693))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1338z00_3693 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1338z00_3693, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1339z00_3694;

							BgL_val1339z00_3694 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17481,
								BgL_sz00_17482, BgL_bpz00_17483);
							POP_EXIT();
							return BgL_val1339z00_3694;
						}
					}
				}
		}
	}



/* &run5505 */
	obj_t BGl_z62run5505z62zz__evaluate_compz00(obj_t BgL_envz00_16920,
		obj_t BgL_sz00_16925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16921;
				obj_t BgL_valza2za2_16922;
				BgL_ev_absz00_bglt BgL_i1250z00_16923;
				obj_t BgL_bodyz00_16924;

				BgL_siza7eza7_16921 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 0))));
				BgL_valza2za2_16922 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 1))));
				BgL_i1250z00_16923 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 2))));
				BgL_bodyz00_16924 = PROCEDURE_REF(BgL_envz00_16920, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3706;

					BgL_sz00_3706 = BgL_sz00_16925;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3708;

						BgL_bpz00_3708 = VECTOR_REF(BgL_sz00_3706, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3706,
							BgL_valza2za2_16922,
							((long) CINT(BgL_bpz00_3708) + BgL_siza7eza7_16921));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3710;
							obj_t BgL_wherez00_3711;
							obj_t BgL_locz00_3712;

							BgL_z12denvz12_3710 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3711 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16923))->BgL_wherez00);
							BgL_locz00_3712 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16923))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3710, BgL_wherez00_3711,
									BgL_locz00_3712);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3713;

									BgL_za2za2resza2za2z00_3713 =
										PROCEDURE_ENTRY(BgL_bodyz00_16924) (BgL_bodyz00_16924,
										BgL_sz00_3706, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3710);
									return BgL_za2za2resza2za2z00_3713;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3241> */
	obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16926, obj_t BgL_sz00_16933)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16927;
				obj_t BgL_iboxesz00_16928;
				long BgL_siza7eza7_16929;
				BgL_ev_absz00_bglt BgL_i1250z00_16930;
				obj_t BgL_bodyz00_16931;
				long BgL_siza7ezd2framez75_16932;

				BgL_ifreesz00_16927 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 0))));
				BgL_iboxesz00_16928 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 1))));
				BgL_siza7eza7_16929 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 2))));
				BgL_i1250z00_16930 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 3))));
				BgL_bodyz00_16931 = PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16932 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16926, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3715;

					BgL_sz00_3715 = BgL_sz00_16933;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3717;

						BgL_bpz00_3717 = VECTOR_REF(BgL_sz00_3715, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3718;

							BgL_valza2za2_3718 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3715,
								BgL_bpz00_3717, BgL_ifreesz00_16927);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16093;

								BgL_runz00_16093 =
									MAKE_FX_PROCEDURE(BGl_z62run5507z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16093,
									(int) (((long) 0)), BgL_iboxesz00_16928);
								PROCEDURE_SET(BgL_runz00_16093,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16929));
								PROCEDURE_SET(BgL_runz00_16093,
									(int) (((long) 2)), BgL_valza2za2_3718);
								PROCEDURE_SET(BgL_runz00_16093,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16930));
								PROCEDURE_SET(BgL_runz00_16093,
									(int) (((long) 4)), BgL_bodyz00_16931);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16094;

									BgL_mainz00_16094 =
										MAKE_FX_PROCEDURE(BGl_z62main5506z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 0)), BgL_iboxesz00_16928);
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16929));
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 2)), BgL_valza2za2_3718);
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16930));
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 4)), BgL_bodyz00_16931);
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 5)), BgL_runz00_16093);
									PROCEDURE_SET(BgL_mainz00_16094,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16932));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12050;

										BgL_objz00_12050 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16093, BgL_objz00_12050);
										BgL_objz00_12050;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3242z00_3721;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3243z00_3722;

											BgL_arg3243z00_3722 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16930))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12054;

												BgL_newz00_12054 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28721;

													BgL_auxz00_28721 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12054, BgL_auxz00_28721,
														BgL_arg3243z00_3722);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28726;
													int BgL_auxz00_28724;

													BgL_auxz00_28726 = BINT(BgL_siza7ezd2framez75_16932);
													BgL_auxz00_28724 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12054, BgL_auxz00_28724,
														BgL_auxz00_28726);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28729;

													BgL_auxz00_28729 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12054, BgL_auxz00_28729,
														BgL_runz00_16093);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28734;
													int BgL_auxz00_28732;

													BgL_auxz00_28734 = BINT(((long) 1));
													BgL_auxz00_28732 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12054, BgL_auxz00_28732,
														BgL_auxz00_28734);
												}
												BgL_arg3242z00_3721 = BgL_newz00_12054;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16094, BgL_arg3242z00_3721);
										BgL_arg3242z00_3721;
									}
									return BgL_mainz00_16094;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5506 */
	obj_t BGl_z62main5506z62zz__evaluate_compz00(obj_t BgL_envz00_16934,
		obj_t BgL_dz00_16942)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16940;
				long BgL_siza7ezd2framez75_16941;

				BgL_runz00_16940 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16934, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16941 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16934, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3723;

					BgL_dz00_3723 = BgL_dz00_16942;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3725;

						BgL_sz00_3725 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3726;

							BgL_bpz00_3726 = VECTOR_REF(BgL_sz00_3725, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28747;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11994;

									BgL_arg1897z00_11994 = VECTOR_LENGTH(BgL_sz00_3725);
									BgL_testz00_28747 =
										(
										((long) CINT(BgL_bpz00_3726) +
											BgL_siza7ezd2framez75_16941) <
										(long) (BgL_arg1897z00_11994));
								}
								if (BgL_testz00_28747)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3246z00_3728;

											BgL_arg3246z00_3728 =
												((long) CINT(BgL_bpz00_3726) + ((long) 0));
											VECTOR_SET(BgL_sz00_3725,
												(int) (BgL_arg3246z00_3728), BgL_dz00_3723);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1343z00_3729;

											BgL_val1343z00_3729 =
												BGl_zc3exitza33250ze3z83zz__evaluate_compz00
												(BgL_bpz00_3726, BgL_sz00_3725, BgL_runz00_16940);
											VECTOR_SET(BgL_sz00_3725, (int) (((long) 0)),
												BgL_bpz00_3726);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1343z00_3729)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1343z00_3729), CDR(BgL_val1343z00_3729));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1343z00_3729;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3736;

										BgL_nsz00_3736 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3736,
											(int) (((long) 1)), BgL_sz00_3725);
										VECTOR_SET(BgL_nsz00_3736,
											(int) (((long) 2)), BgL_dz00_3723);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28771;

											BgL_auxz00_28771 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28771, BgL_nsz00_3736);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1346z00_3738;

											BgL_val1346z00_3738 =
												BGl_zc3exitza33256ze3z83zz__evaluate_compz00
												(BgL_runz00_16940, BgL_nsz00_3736);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28775;

												BgL_auxz00_28775 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28775, BgL_sz00_3725);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1346z00_3738)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1346z00_3738), CDR(BgL_val1346z00_3738));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1346z00_3738;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3256> */
	obj_t BGl_zc3exitza33256ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17475,
		obj_t BgL_nsz00_17474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1347z00_3744;

			if (SET_EXIT(BgL_an_exit1347z00_3744))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1347z00_3744 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1347z00_3744, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1348z00_3745;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12022;

								BgL_savedzd2bpzd2_12022 =
									VECTOR_REF(BgL_nsz00_17474, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17474,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12029;

									BgL_fz00_12029 = BgL_runz00_17475;
								BgL_recz00_12028:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12030;

										BgL_rz00_12030 =
											PROCEDURE_ENTRY(BgL_fz00_12029) (BgL_fz00_12029,
											BgL_nsz00_17474, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28796;

											if (PROCEDUREP(BgL_rz00_12030))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_12035;

													BgL_arg1889z00_12035 = PROCEDURE_ATTR(BgL_rz00_12030);
													if (STRUCTP(BgL_arg1889z00_12035))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28796 =
																(STRUCT_KEY(BgL_arg1889z00_12035) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28796 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28796 = ((bool_t) 0);
												}
											if (BgL_testz00_28796)
												{
													obj_t BgL_fz00_28804;

													BgL_fz00_28804 = BgL_rz00_12030;
													BgL_fz00_12029 = BgL_fz00_28804;
													goto BgL_recz00_12028;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17474,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12022);
													BgL_val1348z00_3745 = BgL_rz00_12030;
							}}}}}
							POP_EXIT();
							return BgL_val1348z00_3745;
						}
					}
				}
		}
	}



/* <exit:3250> */
	obj_t BGl_zc3exitza33250ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17478,
		obj_t BgL_sz00_17477, obj_t BgL_runz00_17476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1344z00_3734;

			if (SET_EXIT(BgL_an_exit1344z00_3734))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1344z00_3734 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1344z00_3734, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1345z00_3735;

							BgL_val1345z00_3735 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17476,
								BgL_sz00_17477, BgL_bpz00_17478);
							POP_EXIT();
							return BgL_val1345z00_3735;
						}
					}
				}
		}
	}



/* &run5507 */
	obj_t BGl_z62run5507z62zz__evaluate_compz00(obj_t BgL_envz00_16943,
		obj_t BgL_sz00_16949)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16944;
				long BgL_siza7eza7_16945;
				obj_t BgL_valza2za2_16946;
				BgL_ev_absz00_bglt BgL_i1250z00_16947;
				obj_t BgL_bodyz00_16948;

				BgL_iboxesz00_16944 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16943, (int) (((long) 0))));
				BgL_siza7eza7_16945 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16943, (int) (((long) 1))));
				BgL_valza2za2_16946 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16943, (int) (((long) 2))));
				BgL_i1250z00_16947 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16943, (int) (((long) 3))));
				BgL_bodyz00_16948 = PROCEDURE_REF(BgL_envz00_16943, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3747;

					BgL_sz00_3747 = BgL_sz00_16949;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3749;

						BgL_bpz00_3749 = VECTOR_REF(BgL_sz00_3747, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3747,
							BgL_iboxesz00_16944, BgL_bpz00_3749);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3747,
							BgL_valza2za2_16946,
							((long) CINT(BgL_bpz00_3749) + BgL_siza7eza7_16945));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3751;
							obj_t BgL_wherez00_3752;
							obj_t BgL_locz00_3753;

							BgL_z12denvz12_3751 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3752 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16947))->BgL_wherez00);
							BgL_locz00_3753 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16947))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3751, BgL_wherez00_3752,
									BgL_locz00_3753);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3754;

									BgL_za2za2resza2za2z00_3754 =
										PROCEDURE_ENTRY(BgL_bodyz00_16948) (BgL_bodyz00_16948,
										BgL_sz00_3747, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3751);
									return BgL_za2za2resza2za2z00_3754;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3110> */
	obj_t BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16950, obj_t BgL_sz00_16954)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16951;
				obj_t BgL_bodyz00_16952;
				long BgL_siza7ezd2framez75_16953;

				BgL_i1250z00_16951 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16950, (int) (((long) 0))));
				BgL_bodyz00_16952 = PROCEDURE_REF(BgL_envz00_16950, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16953 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16950, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3428;

					BgL_sz00_3428 = BgL_sz00_16954;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3430;

						BgL_bpz00_3430 = VECTOR_REF(BgL_sz00_3428, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16090;

								BgL_runz00_16090 =
									MAKE_FX_PROCEDURE(BGl_z62run5509z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16090,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16951));
								PROCEDURE_SET(BgL_runz00_16090,
									(int) (((long) 1)), BgL_bodyz00_16952);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16091;

									BgL_mainz00_16091 =
										MAKE_VA_PROCEDURE(BGl_z62main5508z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16091,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16951));
									PROCEDURE_SET(BgL_mainz00_16091,
										(int) (((long) 1)), BgL_bodyz00_16952);
									PROCEDURE_SET(BgL_mainz00_16091,
										(int) (((long) 2)), BgL_runz00_16090);
									PROCEDURE_SET(BgL_mainz00_16091,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16953));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11385;

										BgL_objz00_11385 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16090, BgL_objz00_11385);
										BgL_objz00_11385;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3111z00_3433;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3112z00_3434;

											BgL_arg3112z00_3434 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16951))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11389;

												BgL_newz00_11389 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28877;

													BgL_auxz00_28877 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11389, BgL_auxz00_28877,
														BgL_arg3112z00_3434);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28882;
													int BgL_auxz00_28880;

													BgL_auxz00_28882 = BINT(BgL_siza7ezd2framez75_16953);
													BgL_auxz00_28880 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11389, BgL_auxz00_28880,
														BgL_auxz00_28882);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28885;

													BgL_auxz00_28885 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11389, BgL_auxz00_28885,
														BgL_runz00_16090);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28890;
													int BgL_auxz00_28888;

													BgL_auxz00_28890 = BINT(((long) -1));
													BgL_auxz00_28888 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11389, BgL_auxz00_28888,
														BgL_auxz00_28890);
												}
												BgL_arg3111z00_3433 = BgL_newz00_11389;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16091, BgL_arg3111z00_3433);
										BgL_arg3111z00_3433;
									}
									return BgL_mainz00_16091;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5508 */
	obj_t BGl_z62main5508z62zz__evaluate_compz00(obj_t BgL_envz00_16955,
		obj_t BgL_lastz00_16960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16958;
				long BgL_siza7ezd2framez75_16959;

				BgL_runz00_16958 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16955, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16959 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16955, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_3435;

					BgL_lastz00_3435 = BgL_lastz00_16960;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3437;

						BgL_sz00_3437 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3438;

							BgL_bpz00_3438 = VECTOR_REF(BgL_sz00_3437, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28903;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11329;

									BgL_arg1897z00_11329 = VECTOR_LENGTH(BgL_sz00_3437);
									BgL_testz00_28903 =
										(
										((long) CINT(BgL_bpz00_3438) +
											BgL_siza7ezd2framez75_16959) <
										(long) (BgL_arg1897z00_11329));
								}
								if (BgL_testz00_28903)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3115z00_3440;

											BgL_arg3115z00_3440 =
												((long) CINT(BgL_bpz00_3438) + ((long) 0));
											VECTOR_SET(BgL_sz00_3437,
												(int) (BgL_arg3115z00_3440), BgL_lastz00_3435);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1301z00_3441;

											BgL_val1301z00_3441 =
												BGl_zc3exitza33120ze3z83zz__evaluate_compz00
												(BgL_bpz00_3438, BgL_sz00_3437, BgL_runz00_16958);
											VECTOR_SET(BgL_sz00_3437, (int) (((long) 0)),
												BgL_bpz00_3438);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1301z00_3441)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1301z00_3441), CDR(BgL_val1301z00_3441));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1301z00_3441;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3448;

										BgL_nsz00_3448 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3448,
											(int) (((long) 1)), BgL_sz00_3437);
										VECTOR_SET(BgL_nsz00_3448,
											(int) (((long) 2)), BgL_lastz00_3435);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28927;

											BgL_auxz00_28927 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28927, BgL_nsz00_3448);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1304z00_3450;

											BgL_val1304z00_3450 =
												BGl_zc3exitza33126ze3z83zz__evaluate_compz00
												(BgL_runz00_16958, BgL_nsz00_3448);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28931;

												BgL_auxz00_28931 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28931, BgL_sz00_3437);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1304z00_3450)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1304z00_3450), CDR(BgL_val1304z00_3450));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1304z00_3450;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3126> */
	obj_t BGl_zc3exitza33126ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17470,
		obj_t BgL_nsz00_17469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1305z00_3456;

			if (SET_EXIT(BgL_an_exit1305z00_3456))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1305z00_3456 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1305z00_3456, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1306z00_3457;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11357;

								BgL_savedzd2bpzd2_11357 =
									VECTOR_REF(BgL_nsz00_17469, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17469,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11364;

									BgL_fz00_11364 = BgL_runz00_17470;
								BgL_recz00_11363:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11365;

										BgL_rz00_11365 =
											PROCEDURE_ENTRY(BgL_fz00_11364) (BgL_fz00_11364,
											BgL_nsz00_17469, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28952;

											if (PROCEDUREP(BgL_rz00_11365))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11370;

													BgL_arg1889z00_11370 = PROCEDURE_ATTR(BgL_rz00_11365);
													if (STRUCTP(BgL_arg1889z00_11370))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28952 =
																(STRUCT_KEY(BgL_arg1889z00_11370) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28952 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28952 = ((bool_t) 0);
												}
											if (BgL_testz00_28952)
												{
													obj_t BgL_fz00_28960;

													BgL_fz00_28960 = BgL_rz00_11365;
													BgL_fz00_11364 = BgL_fz00_28960;
													goto BgL_recz00_11363;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17469,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11357);
													BgL_val1306z00_3457 = BgL_rz00_11365;
							}}}}}
							POP_EXIT();
							return BgL_val1306z00_3457;
						}
					}
				}
		}
	}



/* <exit:3120> */
	obj_t BGl_zc3exitza33120ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17473,
		obj_t BgL_sz00_17472, obj_t BgL_runz00_17471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1302z00_3446;

			if (SET_EXIT(BgL_an_exit1302z00_3446))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1302z00_3446 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1302z00_3446, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1303z00_3447;

							BgL_val1303z00_3447 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17471,
								BgL_sz00_17472, BgL_bpz00_17473);
							POP_EXIT();
							return BgL_val1303z00_3447;
						}
					}
				}
		}
	}



/* &run5509 */
	obj_t BGl_z62run5509z62zz__evaluate_compz00(obj_t BgL_envz00_16961,
		obj_t BgL_sz00_16964)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16962;
				obj_t BgL_bodyz00_16963;

				BgL_i1250z00_16962 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16961, (int) (((long) 0))));
				BgL_bodyz00_16963 = PROCEDURE_REF(BgL_envz00_16961, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3459;

					BgL_sz00_3459 = BgL_sz00_16964;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3461;

						BgL_bpz00_3461 = VECTOR_REF(BgL_sz00_3459, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3462;
							obj_t BgL_wherez00_3463;
							obj_t BgL_locz00_3464;

							BgL_z12denvz12_3462 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3463 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16962))->BgL_wherez00);
							BgL_locz00_3464 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16962))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3462, BgL_wherez00_3463,
									BgL_locz00_3464);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3465;

									BgL_za2za2resza2za2z00_3465 =
										PROCEDURE_ENTRY(BgL_bodyz00_16963) (BgL_bodyz00_16963,
										BgL_sz00_3459, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3462);
									return BgL_za2za2resza2za2z00_3465;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3128> */
	obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16965, obj_t BgL_sz00_16970)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16966;
				BgL_ev_absz00_bglt BgL_i1250z00_16967;
				obj_t BgL_bodyz00_16968;
				long BgL_siza7ezd2framez75_16969;

				BgL_iboxesz00_16966 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16965, (int) (((long) 0))));
				BgL_i1250z00_16967 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16965, (int) (((long) 1))));
				BgL_bodyz00_16968 = PROCEDURE_REF(BgL_envz00_16965, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16969 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16965, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3467;

					BgL_sz00_3467 = BgL_sz00_16970;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3469;

						BgL_bpz00_3469 = VECTOR_REF(BgL_sz00_3467, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16087;

								BgL_runz00_16087 =
									MAKE_FX_PROCEDURE(BGl_z62run5511z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16087,
									(int) (((long) 0)), BgL_iboxesz00_16966);
								PROCEDURE_SET(BgL_runz00_16087,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16967));
								PROCEDURE_SET(BgL_runz00_16087,
									(int) (((long) 2)), BgL_bodyz00_16968);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16088;

									BgL_mainz00_16088 =
										MAKE_VA_PROCEDURE(BGl_z62main5510z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16088,
										(int) (((long) 0)), BgL_iboxesz00_16966);
									PROCEDURE_SET(BgL_mainz00_16088,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16967));
									PROCEDURE_SET(BgL_mainz00_16088,
										(int) (((long) 2)), BgL_bodyz00_16968);
									PROCEDURE_SET(BgL_mainz00_16088,
										(int) (((long) 3)), BgL_runz00_16087);
									PROCEDURE_SET(BgL_mainz00_16088,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16969));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11476;

										BgL_objz00_11476 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16087, BgL_objz00_11476);
										BgL_objz00_11476;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3129z00_3472;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3130z00_3473;

											BgL_arg3130z00_3473 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16967))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11480;

												BgL_newz00_11480 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29027;

													BgL_auxz00_29027 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11480, BgL_auxz00_29027,
														BgL_arg3130z00_3473);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29032;
													int BgL_auxz00_29030;

													BgL_auxz00_29032 = BINT(BgL_siza7ezd2framez75_16969);
													BgL_auxz00_29030 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11480, BgL_auxz00_29030,
														BgL_auxz00_29032);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29035;

													BgL_auxz00_29035 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11480, BgL_auxz00_29035,
														BgL_runz00_16087);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29040;
													int BgL_auxz00_29038;

													BgL_auxz00_29040 = BINT(((long) -1));
													BgL_auxz00_29038 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11480, BgL_auxz00_29038,
														BgL_auxz00_29040);
												}
												BgL_arg3129z00_3472 = BgL_newz00_11480;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16088, BgL_arg3129z00_3472);
										BgL_arg3129z00_3472;
									}
									return BgL_mainz00_16088;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5510 */
	obj_t BGl_z62main5510z62zz__evaluate_compz00(obj_t BgL_envz00_16971,
		obj_t BgL_lastz00_16977)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16975;
				long BgL_siza7ezd2framez75_16976;

				BgL_runz00_16975 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16971, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16976 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16971, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_3474;

					BgL_lastz00_3474 = BgL_lastz00_16977;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3476;

						BgL_sz00_3476 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3477;

							BgL_bpz00_3477 = VECTOR_REF(BgL_sz00_3476, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29053;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11420;

									BgL_arg1897z00_11420 = VECTOR_LENGTH(BgL_sz00_3476);
									BgL_testz00_29053 =
										(
										((long) CINT(BgL_bpz00_3477) +
											BgL_siza7ezd2framez75_16976) <
										(long) (BgL_arg1897z00_11420));
								}
								if (BgL_testz00_29053)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3133z00_3479;

											BgL_arg3133z00_3479 =
												((long) CINT(BgL_bpz00_3477) + ((long) 0));
											VECTOR_SET(BgL_sz00_3476,
												(int) (BgL_arg3133z00_3479), BgL_lastz00_3474);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1307z00_3480;

											BgL_val1307z00_3480 =
												BGl_zc3exitza33137ze3z83zz__evaluate_compz00
												(BgL_bpz00_3477, BgL_sz00_3476, BgL_runz00_16975);
											VECTOR_SET(BgL_sz00_3476, (int) (((long) 0)),
												BgL_bpz00_3477);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1307z00_3480)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1307z00_3480), CDR(BgL_val1307z00_3480));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1307z00_3480;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3487;

										BgL_nsz00_3487 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3487,
											(int) (((long) 1)), BgL_sz00_3476);
										VECTOR_SET(BgL_nsz00_3487,
											(int) (((long) 2)), BgL_lastz00_3474);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29077;

											BgL_auxz00_29077 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29077, BgL_nsz00_3487);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1310z00_3489;

											BgL_val1310z00_3489 =
												BGl_zc3exitza33143ze3z83zz__evaluate_compz00
												(BgL_runz00_16975, BgL_nsz00_3487);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29081;

												BgL_auxz00_29081 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29081, BgL_sz00_3476);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1310z00_3489)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1310z00_3489), CDR(BgL_val1310z00_3489));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1310z00_3489;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3143> */
	obj_t BGl_zc3exitza33143ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17465,
		obj_t BgL_nsz00_17464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1311z00_3495;

			if (SET_EXIT(BgL_an_exit1311z00_3495))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1311z00_3495 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1311z00_3495, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1312z00_3496;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11448;

								BgL_savedzd2bpzd2_11448 =
									VECTOR_REF(BgL_nsz00_17464, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17464,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11455;

									BgL_fz00_11455 = BgL_runz00_17465;
								BgL_recz00_11454:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11456;

										BgL_rz00_11456 =
											PROCEDURE_ENTRY(BgL_fz00_11455) (BgL_fz00_11455,
											BgL_nsz00_17464, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29102;

											if (PROCEDUREP(BgL_rz00_11456))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11461;

													BgL_arg1889z00_11461 = PROCEDURE_ATTR(BgL_rz00_11456);
													if (STRUCTP(BgL_arg1889z00_11461))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29102 =
																(STRUCT_KEY(BgL_arg1889z00_11461) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29102 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29102 = ((bool_t) 0);
												}
											if (BgL_testz00_29102)
												{
													obj_t BgL_fz00_29110;

													BgL_fz00_29110 = BgL_rz00_11456;
													BgL_fz00_11455 = BgL_fz00_29110;
													goto BgL_recz00_11454;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17464,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11448);
													BgL_val1312z00_3496 = BgL_rz00_11456;
							}}}}}
							POP_EXIT();
							return BgL_val1312z00_3496;
						}
					}
				}
		}
	}



/* <exit:3137> */
	obj_t BGl_zc3exitza33137ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17468,
		obj_t BgL_sz00_17467, obj_t BgL_runz00_17466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1308z00_3485;

			if (SET_EXIT(BgL_an_exit1308z00_3485))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1308z00_3485 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1308z00_3485, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1309z00_3486;

							BgL_val1309z00_3486 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17466,
								BgL_sz00_17467, BgL_bpz00_17468);
							POP_EXIT();
							return BgL_val1309z00_3486;
						}
					}
				}
		}
	}



/* &run5511 */
	obj_t BGl_z62run5511z62zz__evaluate_compz00(obj_t BgL_envz00_16978,
		obj_t BgL_sz00_16982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16979;
				BgL_ev_absz00_bglt BgL_i1250z00_16980;
				obj_t BgL_bodyz00_16981;

				BgL_iboxesz00_16979 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16978, (int) (((long) 0))));
				BgL_i1250z00_16980 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16978, (int) (((long) 1))));
				BgL_bodyz00_16981 = PROCEDURE_REF(BgL_envz00_16978, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3498;

					BgL_sz00_3498 = BgL_sz00_16982;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3500;

						BgL_bpz00_3500 = VECTOR_REF(BgL_sz00_3498, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3498,
							BgL_iboxesz00_16979, BgL_bpz00_3500);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3501;
							obj_t BgL_wherez00_3502;
							obj_t BgL_locz00_3503;

							BgL_z12denvz12_3501 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3502 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16980))->BgL_wherez00);
							BgL_locz00_3503 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16980))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3501, BgL_wherez00_3502,
									BgL_locz00_3503);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3504;

									BgL_za2za2resza2za2z00_3504 =
										PROCEDURE_ENTRY(BgL_bodyz00_16981) (BgL_bodyz00_16981,
										BgL_sz00_3498, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3501);
									return BgL_za2za2resza2za2z00_3504;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3147> */
	obj_t BGl_z62zc3anonymousza33147ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16983, obj_t BgL_sz00_16989)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16984;
				long BgL_siza7eza7_16985;
				BgL_ev_absz00_bglt BgL_i1250z00_16986;
				obj_t BgL_bodyz00_16987;
				long BgL_siza7ezd2framez75_16988;

				BgL_ifreesz00_16984 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16983, (int) (((long) 0))));
				BgL_siza7eza7_16985 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16983, (int) (((long) 1))));
				BgL_i1250z00_16986 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16983, (int) (((long) 2))));
				BgL_bodyz00_16987 = PROCEDURE_REF(BgL_envz00_16983, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16988 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16983, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3508;

					BgL_sz00_3508 = BgL_sz00_16989;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3510;

						BgL_bpz00_3510 = VECTOR_REF(BgL_sz00_3508, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3511;

							BgL_valza2za2_3511 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3508,
								BgL_bpz00_3510, BgL_ifreesz00_16984);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16084;

								BgL_runz00_16084 =
									MAKE_FX_PROCEDURE(BGl_z62run5513z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16084,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16985));
								PROCEDURE_SET(BgL_runz00_16084,
									(int) (((long) 1)), BgL_valza2za2_3511);
								PROCEDURE_SET(BgL_runz00_16084,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16986));
								PROCEDURE_SET(BgL_runz00_16084,
									(int) (((long) 3)), BgL_bodyz00_16987);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16085;

									BgL_mainz00_16085 =
										MAKE_VA_PROCEDURE(BGl_z62main5512z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16985));
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 1)), BgL_valza2za2_3511);
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16986));
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 3)), BgL_bodyz00_16987);
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 4)), BgL_runz00_16084);
									PROCEDURE_SET(BgL_mainz00_16085,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16988));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11574;

										BgL_objz00_11574 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16084, BgL_objz00_11574);
										BgL_objz00_11574;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3148z00_3514;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3149z00_3515;

											BgL_arg3149z00_3515 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16986))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11578;

												BgL_newz00_11578 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29191;

													BgL_auxz00_29191 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11578, BgL_auxz00_29191,
														BgL_arg3149z00_3515);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29196;
													int BgL_auxz00_29194;

													BgL_auxz00_29196 = BINT(BgL_siza7ezd2framez75_16988);
													BgL_auxz00_29194 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11578, BgL_auxz00_29194,
														BgL_auxz00_29196);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29199;

													BgL_auxz00_29199 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11578, BgL_auxz00_29199,
														BgL_runz00_16084);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29204;
													int BgL_auxz00_29202;

													BgL_auxz00_29204 = BINT(((long) -1));
													BgL_auxz00_29202 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11578, BgL_auxz00_29202,
														BgL_auxz00_29204);
												}
												BgL_arg3148z00_3514 = BgL_newz00_11578;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16085, BgL_arg3148z00_3514);
										BgL_arg3148z00_3514;
									}
									return BgL_mainz00_16085;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5512 */
	obj_t BGl_z62main5512z62zz__evaluate_compz00(obj_t BgL_envz00_16990,
		obj_t BgL_lastz00_16997)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16995;
				long BgL_siza7ezd2framez75_16996;

				BgL_runz00_16995 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16990, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16990, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_3516;

					BgL_lastz00_3516 = BgL_lastz00_16997;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3518;

						BgL_sz00_3518 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3519;

							BgL_bpz00_3519 = VECTOR_REF(BgL_sz00_3518, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29217;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11518;

									BgL_arg1897z00_11518 = VECTOR_LENGTH(BgL_sz00_3518);
									BgL_testz00_29217 =
										(
										((long) CINT(BgL_bpz00_3519) +
											BgL_siza7ezd2framez75_16996) <
										(long) (BgL_arg1897z00_11518));
								}
								if (BgL_testz00_29217)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3152z00_3521;

											BgL_arg3152z00_3521 =
												((long) CINT(BgL_bpz00_3519) + ((long) 0));
											VECTOR_SET(BgL_sz00_3518,
												(int) (BgL_arg3152z00_3521), BgL_lastz00_3516);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1313z00_3522;

											BgL_val1313z00_3522 =
												BGl_zc3exitza33156ze3z83zz__evaluate_compz00
												(BgL_bpz00_3519, BgL_sz00_3518, BgL_runz00_16995);
											VECTOR_SET(BgL_sz00_3518, (int) (((long) 0)),
												BgL_bpz00_3519);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1313z00_3522)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1313z00_3522), CDR(BgL_val1313z00_3522));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1313z00_3522;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3529;

										BgL_nsz00_3529 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3529,
											(int) (((long) 1)), BgL_sz00_3518);
										VECTOR_SET(BgL_nsz00_3529,
											(int) (((long) 2)), BgL_lastz00_3516);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29241;

											BgL_auxz00_29241 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29241, BgL_nsz00_3529);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1316z00_3531;

											BgL_val1316z00_3531 =
												BGl_zc3exitza33162ze3z83zz__evaluate_compz00
												(BgL_runz00_16995, BgL_nsz00_3529);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29245;

												BgL_auxz00_29245 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29245, BgL_sz00_3518);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1316z00_3531)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1316z00_3531), CDR(BgL_val1316z00_3531));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1316z00_3531;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3162> */
	obj_t BGl_zc3exitza33162ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17460,
		obj_t BgL_nsz00_17459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1317z00_3537;

			if (SET_EXIT(BgL_an_exit1317z00_3537))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1317z00_3537 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1317z00_3537, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1318z00_3538;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11546;

								BgL_savedzd2bpzd2_11546 =
									VECTOR_REF(BgL_nsz00_17459, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17459,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11553;

									BgL_fz00_11553 = BgL_runz00_17460;
								BgL_recz00_11552:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11554;

										BgL_rz00_11554 =
											PROCEDURE_ENTRY(BgL_fz00_11553) (BgL_fz00_11553,
											BgL_nsz00_17459, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29266;

											if (PROCEDUREP(BgL_rz00_11554))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11559;

													BgL_arg1889z00_11559 = PROCEDURE_ATTR(BgL_rz00_11554);
													if (STRUCTP(BgL_arg1889z00_11559))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29266 =
																(STRUCT_KEY(BgL_arg1889z00_11559) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29266 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29266 = ((bool_t) 0);
												}
											if (BgL_testz00_29266)
												{
													obj_t BgL_fz00_29274;

													BgL_fz00_29274 = BgL_rz00_11554;
													BgL_fz00_11553 = BgL_fz00_29274;
													goto BgL_recz00_11552;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17459,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11546);
													BgL_val1318z00_3538 = BgL_rz00_11554;
							}}}}}
							POP_EXIT();
							return BgL_val1318z00_3538;
						}
					}
				}
		}
	}



/* <exit:3156> */
	obj_t BGl_zc3exitza33156ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17463,
		obj_t BgL_sz00_17462, obj_t BgL_runz00_17461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1314z00_3527;

			if (SET_EXIT(BgL_an_exit1314z00_3527))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1314z00_3527 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1314z00_3527, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1315z00_3528;

							BgL_val1315z00_3528 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17461,
								BgL_sz00_17462, BgL_bpz00_17463);
							POP_EXIT();
							return BgL_val1315z00_3528;
						}
					}
				}
		}
	}



/* &run5513 */
	obj_t BGl_z62run5513z62zz__evaluate_compz00(obj_t BgL_envz00_16998,
		obj_t BgL_sz00_17003)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16999;
				obj_t BgL_valza2za2_17000;
				BgL_ev_absz00_bglt BgL_i1250z00_17001;
				obj_t BgL_bodyz00_17002;

				BgL_siza7eza7_16999 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 0))));
				BgL_valza2za2_17000 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 1))));
				BgL_i1250z00_17001 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 2))));
				BgL_bodyz00_17002 = PROCEDURE_REF(BgL_envz00_16998, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3540;

					BgL_sz00_3540 = BgL_sz00_17003;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3542;

						BgL_bpz00_3542 = VECTOR_REF(BgL_sz00_3540, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3540,
							BgL_valza2za2_17000,
							((long) CINT(BgL_bpz00_3542) + BgL_siza7eza7_16999));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3544;
							obj_t BgL_wherez00_3545;
							obj_t BgL_locz00_3546;

							BgL_z12denvz12_3544 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3545 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17001))->BgL_wherez00);
							BgL_locz00_3546 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17001))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3544, BgL_wherez00_3545,
									BgL_locz00_3546);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3547;

									BgL_za2za2resza2za2z00_3547 =
										PROCEDURE_ENTRY(BgL_bodyz00_17002) (BgL_bodyz00_17002,
										BgL_sz00_3540, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3544);
									return BgL_za2za2resza2za2z00_3547;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3165> */
	obj_t BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17004, obj_t BgL_sz00_17011)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17005;
				obj_t BgL_iboxesz00_17006;
				long BgL_siza7eza7_17007;
				BgL_ev_absz00_bglt BgL_i1250z00_17008;
				obj_t BgL_bodyz00_17009;
				long BgL_siza7ezd2framez75_17010;

				BgL_ifreesz00_17005 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 0))));
				BgL_iboxesz00_17006 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 1))));
				BgL_siza7eza7_17007 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 2))));
				BgL_i1250z00_17008 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 3))));
				BgL_bodyz00_17009 = PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17010 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17004, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3549;

					BgL_sz00_3549 = BgL_sz00_17011;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3551;

						BgL_bpz00_3551 = VECTOR_REF(BgL_sz00_3549, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3552;

							BgL_valza2za2_3552 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3549,
								BgL_bpz00_3551, BgL_ifreesz00_17005);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16081;

								BgL_runz00_16081 =
									MAKE_FX_PROCEDURE(BGl_z62run5515z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16081,
									(int) (((long) 0)), BgL_iboxesz00_17006);
								PROCEDURE_SET(BgL_runz00_16081,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17007));
								PROCEDURE_SET(BgL_runz00_16081,
									(int) (((long) 2)), BgL_valza2za2_3552);
								PROCEDURE_SET(BgL_runz00_16081,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17008));
								PROCEDURE_SET(BgL_runz00_16081,
									(int) (((long) 4)), BgL_bodyz00_17009);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16082;

									BgL_mainz00_16082 =
										MAKE_VA_PROCEDURE(BGl_z62main5514z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 0)), BgL_iboxesz00_17006);
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17007));
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 2)), BgL_valza2za2_3552);
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17008));
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 4)), BgL_bodyz00_17009);
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 5)), BgL_runz00_16081);
									PROCEDURE_SET(BgL_mainz00_16082,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17010));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11668;

										BgL_objz00_11668 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16081, BgL_objz00_11668);
										BgL_objz00_11668;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3166z00_3555;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3167z00_3556;

											BgL_arg3167z00_3556 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17008))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11672;

												BgL_newz00_11672 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29367;

													BgL_auxz00_29367 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11672, BgL_auxz00_29367,
														BgL_arg3167z00_3556);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29372;
													int BgL_auxz00_29370;

													BgL_auxz00_29372 = BINT(BgL_siza7ezd2framez75_17010);
													BgL_auxz00_29370 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11672, BgL_auxz00_29370,
														BgL_auxz00_29372);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29375;

													BgL_auxz00_29375 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11672, BgL_auxz00_29375,
														BgL_runz00_16081);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29380;
													int BgL_auxz00_29378;

													BgL_auxz00_29380 = BINT(((long) -1));
													BgL_auxz00_29378 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11672, BgL_auxz00_29378,
														BgL_auxz00_29380);
												}
												BgL_arg3166z00_3555 = BgL_newz00_11672;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16082, BgL_arg3166z00_3555);
										BgL_arg3166z00_3555;
									}
									return BgL_mainz00_16082;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5514 */
	obj_t BGl_z62main5514z62zz__evaluate_compz00(obj_t BgL_envz00_17012,
		obj_t BgL_lastz00_17020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17018;
				long BgL_siza7ezd2framez75_17019;

				BgL_runz00_17018 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17012, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17019 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17012, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_3557;

					BgL_lastz00_3557 = BgL_lastz00_17020;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3559;

						BgL_sz00_3559 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3560;

							BgL_bpz00_3560 = VECTOR_REF(BgL_sz00_3559, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29393;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11612;

									BgL_arg1897z00_11612 = VECTOR_LENGTH(BgL_sz00_3559);
									BgL_testz00_29393 =
										(
										((long) CINT(BgL_bpz00_3560) +
											BgL_siza7ezd2framez75_17019) <
										(long) (BgL_arg1897z00_11612));
								}
								if (BgL_testz00_29393)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3170z00_3562;

											BgL_arg3170z00_3562 =
												((long) CINT(BgL_bpz00_3560) + ((long) 0));
											VECTOR_SET(BgL_sz00_3559,
												(int) (BgL_arg3170z00_3562), BgL_lastz00_3557);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1319z00_3563;

											BgL_val1319z00_3563 =
												BGl_zc3exitza33174ze3z83zz__evaluate_compz00
												(BgL_bpz00_3560, BgL_sz00_3559, BgL_runz00_17018);
											VECTOR_SET(BgL_sz00_3559, (int) (((long) 0)),
												BgL_bpz00_3560);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1319z00_3563)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1319z00_3563), CDR(BgL_val1319z00_3563));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1319z00_3563;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3570;

										BgL_nsz00_3570 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3570,
											(int) (((long) 1)), BgL_sz00_3559);
										VECTOR_SET(BgL_nsz00_3570,
											(int) (((long) 2)), BgL_lastz00_3557);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29417;

											BgL_auxz00_29417 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29417, BgL_nsz00_3570);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1322z00_3572;

											BgL_val1322z00_3572 =
												BGl_zc3exitza33180ze3z83zz__evaluate_compz00
												(BgL_runz00_17018, BgL_nsz00_3570);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29421;

												BgL_auxz00_29421 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29421, BgL_sz00_3559);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1322z00_3572)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1322z00_3572), CDR(BgL_val1322z00_3572));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1322z00_3572;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3180> */
	obj_t BGl_zc3exitza33180ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17455,
		obj_t BgL_nsz00_17454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1323z00_3578;

			if (SET_EXIT(BgL_an_exit1323z00_3578))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1323z00_3578 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1323z00_3578, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1324z00_3579;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11640;

								BgL_savedzd2bpzd2_11640 =
									VECTOR_REF(BgL_nsz00_17454, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17454,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11647;

									BgL_fz00_11647 = BgL_runz00_17455;
								BgL_recz00_11646:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11648;

										BgL_rz00_11648 =
											PROCEDURE_ENTRY(BgL_fz00_11647) (BgL_fz00_11647,
											BgL_nsz00_17454, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29442;

											if (PROCEDUREP(BgL_rz00_11648))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11653;

													BgL_arg1889z00_11653 = PROCEDURE_ATTR(BgL_rz00_11648);
													if (STRUCTP(BgL_arg1889z00_11653))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29442 =
																(STRUCT_KEY(BgL_arg1889z00_11653) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29442 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29442 = ((bool_t) 0);
												}
											if (BgL_testz00_29442)
												{
													obj_t BgL_fz00_29450;

													BgL_fz00_29450 = BgL_rz00_11648;
													BgL_fz00_11647 = BgL_fz00_29450;
													goto BgL_recz00_11646;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17454,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11640);
													BgL_val1324z00_3579 = BgL_rz00_11648;
							}}}}}
							POP_EXIT();
							return BgL_val1324z00_3579;
						}
					}
				}
		}
	}



/* <exit:3174> */
	obj_t BGl_zc3exitza33174ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17458,
		obj_t BgL_sz00_17457, obj_t BgL_runz00_17456)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1320z00_3568;

			if (SET_EXIT(BgL_an_exit1320z00_3568))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1320z00_3568 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1320z00_3568, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1321z00_3569;

							BgL_val1321z00_3569 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17456,
								BgL_sz00_17457, BgL_bpz00_17458);
							POP_EXIT();
							return BgL_val1321z00_3569;
						}
					}
				}
		}
	}



/* &run5515 */
	obj_t BGl_z62run5515z62zz__evaluate_compz00(obj_t BgL_envz00_17021,
		obj_t BgL_sz00_17027)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17022;
				long BgL_siza7eza7_17023;
				obj_t BgL_valza2za2_17024;
				BgL_ev_absz00_bglt BgL_i1250z00_17025;
				obj_t BgL_bodyz00_17026;

				BgL_iboxesz00_17022 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17021, (int) (((long) 0))));
				BgL_siza7eza7_17023 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17021, (int) (((long) 1))));
				BgL_valza2za2_17024 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17021, (int) (((long) 2))));
				BgL_i1250z00_17025 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17021, (int) (((long) 3))));
				BgL_bodyz00_17026 = PROCEDURE_REF(BgL_envz00_17021, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3581;

					BgL_sz00_3581 = BgL_sz00_17027;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3583;

						BgL_bpz00_3583 = VECTOR_REF(BgL_sz00_3581, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3581,
							BgL_iboxesz00_17022, BgL_bpz00_3583);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3581,
							BgL_valza2za2_17024,
							((long) CINT(BgL_bpz00_3583) + BgL_siza7eza7_17023));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3585;
							obj_t BgL_wherez00_3586;
							obj_t BgL_locz00_3587;

							BgL_z12denvz12_3585 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3586 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17025))->BgL_wherez00);
							BgL_locz00_3587 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17025))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3585, BgL_wherez00_3586,
									BgL_locz00_3587);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3588;

									BgL_za2za2resza2za2z00_3588 =
										PROCEDURE_ENTRY(BgL_bodyz00_17026) (BgL_bodyz00_17026,
										BgL_sz00_3581, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3585);
									return BgL_za2za2resza2za2z00_3588;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3036> */
	obj_t BGl_z62zc3anonymousza33036ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17028, obj_t BgL_sz00_17032)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17029;
				obj_t BgL_bodyz00_17030;
				long BgL_siza7ezd2framez75_17031;

				BgL_i1250z00_17029 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17028, (int) (((long) 0))));
				BgL_bodyz00_17030 = PROCEDURE_REF(BgL_envz00_17028, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17031 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17028, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3270;

					BgL_sz00_3270 = BgL_sz00_17032;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3272;

						BgL_bpz00_3272 = VECTOR_REF(BgL_sz00_3270, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16078;

								BgL_runz00_16078 =
									MAKE_FX_PROCEDURE(BGl_z62run5517z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16078,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_17029));
								PROCEDURE_SET(BgL_runz00_16078,
									(int) (((long) 1)), BgL_bodyz00_17030);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16079;

									BgL_mainz00_16079 =
										MAKE_FX_PROCEDURE(BGl_z62main5516z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16079,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_17029));
									PROCEDURE_SET(BgL_mainz00_16079,
										(int) (((long) 1)), BgL_bodyz00_17030);
									PROCEDURE_SET(BgL_mainz00_16079,
										(int) (((long) 2)), BgL_runz00_16078);
									PROCEDURE_SET(BgL_mainz00_16079,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17031));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11030;

										BgL_objz00_11030 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16078, BgL_objz00_11030);
										BgL_objz00_11030;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3037z00_3275;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3038z00_3276;

											BgL_arg3038z00_3276 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17029))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11034;

												BgL_newz00_11034 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29523;

													BgL_auxz00_29523 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11034, BgL_auxz00_29523,
														BgL_arg3038z00_3276);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29528;
													int BgL_auxz00_29526;

													BgL_auxz00_29528 = BINT(BgL_siza7ezd2framez75_17031);
													BgL_auxz00_29526 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11034, BgL_auxz00_29526,
														BgL_auxz00_29528);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29531;

													BgL_auxz00_29531 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11034, BgL_auxz00_29531,
														BgL_runz00_16078);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29536;
													int BgL_auxz00_29534;

													BgL_auxz00_29536 = BINT(((long) 0));
													BgL_auxz00_29534 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11034, BgL_auxz00_29534,
														BgL_auxz00_29536);
												}
												BgL_arg3037z00_3275 = BgL_newz00_11034;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16079, BgL_arg3037z00_3275);
										BgL_arg3037z00_3275;
									}
									return BgL_mainz00_16079;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5516 */
	obj_t BGl_z62main5516z62zz__evaluate_compz00(obj_t BgL_envz00_17033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17036;
				long BgL_siza7ezd2framez75_17037;

				BgL_runz00_17036 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17033, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17037 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17033, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3278;

						BgL_sz00_3278 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3279;

							BgL_bpz00_3279 = VECTOR_REF(BgL_sz00_3278, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29549;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_10983;

									BgL_arg1897z00_10983 = VECTOR_LENGTH(BgL_sz00_3278);
									BgL_testz00_29549 =
										(
										((long) CINT(BgL_bpz00_3279) +
											BgL_siza7ezd2framez75_17037) <
										(long) (BgL_arg1897z00_10983));
								}
								if (BgL_testz00_29549)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1277z00_3281;

										BgL_val1277z00_3281 =
											BGl_zc3exitza33044ze3z83zz__evaluate_compz00
											(BgL_bpz00_3279, BgL_sz00_3278, BgL_runz00_17036);
										VECTOR_SET(BgL_sz00_3278, (int) (((long) 0)),
											BgL_bpz00_3279);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1277z00_3281)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1277z00_3281), CDR(BgL_val1277z00_3281));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1277z00_3281;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3288;

										BgL_nsz00_3288 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3288,
											(int) (((long) 1)), BgL_sz00_3278);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29567;

											BgL_auxz00_29567 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29567, BgL_nsz00_3288);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1280z00_3290;

											BgL_val1280z00_3290 =
												BGl_zc3exitza33050ze3z83zz__evaluate_compz00
												(BgL_runz00_17036, BgL_nsz00_3288);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29571;

												BgL_auxz00_29571 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29571, BgL_sz00_3278);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1280z00_3290)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1280z00_3290), CDR(BgL_val1280z00_3290));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1280z00_3290;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3050> */
	obj_t BGl_zc3exitza33050ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17450,
		obj_t BgL_nsz00_17449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1281z00_3296;

			if (SET_EXIT(BgL_an_exit1281z00_3296))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1281z00_3296 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1281z00_3296, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1282z00_3297;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11002;

								BgL_savedzd2bpzd2_11002 =
									VECTOR_REF(BgL_nsz00_17449, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17449,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11009;

									BgL_fz00_11009 = BgL_runz00_17450;
								BgL_recz00_11008:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11010;

										BgL_rz00_11010 =
											PROCEDURE_ENTRY(BgL_fz00_11009) (BgL_fz00_11009,
											BgL_nsz00_17449, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29592;

											if (PROCEDUREP(BgL_rz00_11010))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11015;

													BgL_arg1889z00_11015 = PROCEDURE_ATTR(BgL_rz00_11010);
													if (STRUCTP(BgL_arg1889z00_11015))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29592 =
																(STRUCT_KEY(BgL_arg1889z00_11015) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29592 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29592 = ((bool_t) 0);
												}
											if (BgL_testz00_29592)
												{
													obj_t BgL_fz00_29600;

													BgL_fz00_29600 = BgL_rz00_11010;
													BgL_fz00_11009 = BgL_fz00_29600;
													goto BgL_recz00_11008;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17449,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11002);
													BgL_val1282z00_3297 = BgL_rz00_11010;
							}}}}}
							POP_EXIT();
							return BgL_val1282z00_3297;
						}
					}
				}
		}
	}



/* <exit:3044> */
	obj_t BGl_zc3exitza33044ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17453,
		obj_t BgL_sz00_17452, obj_t BgL_runz00_17451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1278z00_3286;

			if (SET_EXIT(BgL_an_exit1278z00_3286))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1278z00_3286 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1278z00_3286, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1279z00_3287;

							BgL_val1279z00_3287 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17451,
								BgL_sz00_17452, BgL_bpz00_17453);
							POP_EXIT();
							return BgL_val1279z00_3287;
						}
					}
				}
		}
	}



/* &run5517 */
	obj_t BGl_z62run5517z62zz__evaluate_compz00(obj_t BgL_envz00_17038,
		obj_t BgL_sz00_17041)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17039;
				obj_t BgL_bodyz00_17040;

				BgL_i1250z00_17039 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17038, (int) (((long) 0))));
				BgL_bodyz00_17040 = PROCEDURE_REF(BgL_envz00_17038, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3299;

					BgL_sz00_3299 = BgL_sz00_17041;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3301;

						BgL_bpz00_3301 = VECTOR_REF(BgL_sz00_3299, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3302;
							obj_t BgL_wherez00_3303;
							obj_t BgL_locz00_3304;

							BgL_z12denvz12_3302 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3303 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17039))->BgL_wherez00);
							BgL_locz00_3304 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17039))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3302, BgL_wherez00_3303,
									BgL_locz00_3304);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3305;

									BgL_za2za2resza2za2z00_3305 =
										PROCEDURE_ENTRY(BgL_bodyz00_17040) (BgL_bodyz00_17040,
										BgL_sz00_3299, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3302);
									return BgL_za2za2resza2za2z00_3305;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3052> */
	obj_t BGl_z62zc3anonymousza33052ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17042, obj_t BgL_sz00_17047)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17043;
				BgL_ev_absz00_bglt BgL_i1250z00_17044;
				obj_t BgL_bodyz00_17045;
				long BgL_siza7ezd2framez75_17046;

				BgL_iboxesz00_17043 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17042, (int) (((long) 0))));
				BgL_i1250z00_17044 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17042, (int) (((long) 1))));
				BgL_bodyz00_17045 = PROCEDURE_REF(BgL_envz00_17042, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17046 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17042, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3307;

					BgL_sz00_3307 = BgL_sz00_17047;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3309;

						BgL_bpz00_3309 = VECTOR_REF(BgL_sz00_3307, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16075;

								BgL_runz00_16075 =
									MAKE_FX_PROCEDURE(BGl_z62run5519z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16075,
									(int) (((long) 0)), BgL_iboxesz00_17043);
								PROCEDURE_SET(BgL_runz00_16075,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_17044));
								PROCEDURE_SET(BgL_runz00_16075,
									(int) (((long) 2)), BgL_bodyz00_17045);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16076;

									BgL_mainz00_16076 =
										MAKE_FX_PROCEDURE(BGl_z62main5518z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16076,
										(int) (((long) 0)), BgL_iboxesz00_17043);
									PROCEDURE_SET(BgL_mainz00_16076,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_17044));
									PROCEDURE_SET(BgL_mainz00_16076,
										(int) (((long) 2)), BgL_bodyz00_17045);
									PROCEDURE_SET(BgL_mainz00_16076,
										(int) (((long) 3)), BgL_runz00_16075);
									PROCEDURE_SET(BgL_mainz00_16076,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17046));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11112;

										BgL_objz00_11112 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16075, BgL_objz00_11112);
										BgL_objz00_11112;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3053z00_3312;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3054z00_3313;

											BgL_arg3054z00_3313 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17044))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11116;

												BgL_newz00_11116 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29667;

													BgL_auxz00_29667 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11116, BgL_auxz00_29667,
														BgL_arg3054z00_3313);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29672;
													int BgL_auxz00_29670;

													BgL_auxz00_29672 = BINT(BgL_siza7ezd2framez75_17046);
													BgL_auxz00_29670 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11116, BgL_auxz00_29670,
														BgL_auxz00_29672);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29675;

													BgL_auxz00_29675 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11116, BgL_auxz00_29675,
														BgL_runz00_16075);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29680;
													int BgL_auxz00_29678;

													BgL_auxz00_29680 = BINT(((long) 0));
													BgL_auxz00_29678 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11116, BgL_auxz00_29678,
														BgL_auxz00_29680);
												}
												BgL_arg3053z00_3312 = BgL_newz00_11116;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16076, BgL_arg3053z00_3312);
										BgL_arg3053z00_3312;
									}
									return BgL_mainz00_16076;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5518 */
	obj_t BGl_z62main5518z62zz__evaluate_compz00(obj_t BgL_envz00_17048)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17052;
				long BgL_siza7ezd2framez75_17053;

				BgL_runz00_17052 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17053 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3315;

						BgL_sz00_3315 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3316;

							BgL_bpz00_3316 = VECTOR_REF(BgL_sz00_3315, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29693;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11065;

									BgL_arg1897z00_11065 = VECTOR_LENGTH(BgL_sz00_3315);
									BgL_testz00_29693 =
										(
										((long) CINT(BgL_bpz00_3316) +
											BgL_siza7ezd2framez75_17053) <
										(long) (BgL_arg1897z00_11065));
								}
								if (BgL_testz00_29693)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1283z00_3318;

										BgL_val1283z00_3318 =
											BGl_zc3exitza33061ze3z83zz__evaluate_compz00
											(BgL_bpz00_3316, BgL_sz00_3315, BgL_runz00_17052);
										VECTOR_SET(BgL_sz00_3315, (int) (((long) 0)),
											BgL_bpz00_3316);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1283z00_3318)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1283z00_3318), CDR(BgL_val1283z00_3318));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1283z00_3318;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3325;

										BgL_nsz00_3325 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3325,
											(int) (((long) 1)), BgL_sz00_3315);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29711;

											BgL_auxz00_29711 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29711, BgL_nsz00_3325);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1286z00_3327;

											BgL_val1286z00_3327 =
												BGl_zc3exitza33067ze3z83zz__evaluate_compz00
												(BgL_runz00_17052, BgL_nsz00_3325);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29715;

												BgL_auxz00_29715 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29715, BgL_sz00_3315);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1286z00_3327)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1286z00_3327), CDR(BgL_val1286z00_3327));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1286z00_3327;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3067> */
	obj_t BGl_zc3exitza33067ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17445,
		obj_t BgL_nsz00_17444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1287z00_3333;

			if (SET_EXIT(BgL_an_exit1287z00_3333))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1287z00_3333 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1287z00_3333, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1288z00_3334;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11084;

								BgL_savedzd2bpzd2_11084 =
									VECTOR_REF(BgL_nsz00_17444, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17444,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11091;

									BgL_fz00_11091 = BgL_runz00_17445;
								BgL_recz00_11090:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11092;

										BgL_rz00_11092 =
											PROCEDURE_ENTRY(BgL_fz00_11091) (BgL_fz00_11091,
											BgL_nsz00_17444, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29736;

											if (PROCEDUREP(BgL_rz00_11092))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11097;

													BgL_arg1889z00_11097 = PROCEDURE_ATTR(BgL_rz00_11092);
													if (STRUCTP(BgL_arg1889z00_11097))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29736 =
																(STRUCT_KEY(BgL_arg1889z00_11097) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29736 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29736 = ((bool_t) 0);
												}
											if (BgL_testz00_29736)
												{
													obj_t BgL_fz00_29744;

													BgL_fz00_29744 = BgL_rz00_11092;
													BgL_fz00_11091 = BgL_fz00_29744;
													goto BgL_recz00_11090;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17444,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11084);
													BgL_val1288z00_3334 = BgL_rz00_11092;
							}}}}}
							POP_EXIT();
							return BgL_val1288z00_3334;
						}
					}
				}
		}
	}



/* <exit:3061> */
	obj_t BGl_zc3exitza33061ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17448,
		obj_t BgL_sz00_17447, obj_t BgL_runz00_17446)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1284z00_3323;

			if (SET_EXIT(BgL_an_exit1284z00_3323))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1284z00_3323 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1284z00_3323, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1285z00_3324;

							BgL_val1285z00_3324 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17446,
								BgL_sz00_17447, BgL_bpz00_17448);
							POP_EXIT();
							return BgL_val1285z00_3324;
						}
					}
				}
		}
	}



/* &run5519 */
	obj_t BGl_z62run5519z62zz__evaluate_compz00(obj_t BgL_envz00_17054,
		obj_t BgL_sz00_17058)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17055;
				BgL_ev_absz00_bglt BgL_i1250z00_17056;
				obj_t BgL_bodyz00_17057;

				BgL_iboxesz00_17055 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17054, (int) (((long) 0))));
				BgL_i1250z00_17056 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17054, (int) (((long) 1))));
				BgL_bodyz00_17057 = PROCEDURE_REF(BgL_envz00_17054, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3336;

					BgL_sz00_3336 = BgL_sz00_17058;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3338;

						BgL_bpz00_3338 = VECTOR_REF(BgL_sz00_3336, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3336,
							BgL_iboxesz00_17055, BgL_bpz00_3338);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3339;
							obj_t BgL_wherez00_3340;
							obj_t BgL_locz00_3341;

							BgL_z12denvz12_3339 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3340 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17056))->BgL_wherez00);
							BgL_locz00_3341 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17056))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3339, BgL_wherez00_3340,
									BgL_locz00_3341);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3342;

									BgL_za2za2resza2za2z00_3342 =
										PROCEDURE_ENTRY(BgL_bodyz00_17057) (BgL_bodyz00_17057,
										BgL_sz00_3336, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3339);
									return BgL_za2za2resza2za2z00_3342;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3071> */
	obj_t BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17059, obj_t BgL_sz00_17065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17060;
				long BgL_siza7eza7_17061;
				BgL_ev_absz00_bglt BgL_i1250z00_17062;
				obj_t BgL_bodyz00_17063;
				long BgL_siza7ezd2framez75_17064;

				BgL_ifreesz00_17060 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17059, (int) (((long) 0))));
				BgL_siza7eza7_17061 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17059, (int) (((long) 1))));
				BgL_i1250z00_17062 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17059, (int) (((long) 2))));
				BgL_bodyz00_17063 = PROCEDURE_REF(BgL_envz00_17059, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17064 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17059, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3346;

					BgL_sz00_3346 = BgL_sz00_17065;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3348;

						BgL_bpz00_3348 = VECTOR_REF(BgL_sz00_3346, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3349;

							BgL_valza2za2_3349 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3346,
								BgL_bpz00_3348, BgL_ifreesz00_17060);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16072;

								BgL_runz00_16072 =
									MAKE_FX_PROCEDURE(BGl_z62run5521z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16072,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17061));
								PROCEDURE_SET(BgL_runz00_16072,
									(int) (((long) 1)), BgL_valza2za2_3349);
								PROCEDURE_SET(BgL_runz00_16072,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_17062));
								PROCEDURE_SET(BgL_runz00_16072,
									(int) (((long) 3)), BgL_bodyz00_17063);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16073;

									BgL_mainz00_16073 =
										MAKE_FX_PROCEDURE(BGl_z62main5520z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17061));
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 1)), BgL_valza2za2_3349);
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_17062));
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 3)), BgL_bodyz00_17063);
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 4)), BgL_runz00_16072);
									PROCEDURE_SET(BgL_mainz00_16073,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17064));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11201;

										BgL_objz00_11201 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16072, BgL_objz00_11201);
										BgL_objz00_11201;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3072z00_3352;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3073z00_3353;

											BgL_arg3073z00_3353 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17062))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11205;

												BgL_newz00_11205 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29825;

													BgL_auxz00_29825 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11205, BgL_auxz00_29825,
														BgL_arg3073z00_3353);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29830;
													int BgL_auxz00_29828;

													BgL_auxz00_29830 = BINT(BgL_siza7ezd2framez75_17064);
													BgL_auxz00_29828 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11205, BgL_auxz00_29828,
														BgL_auxz00_29830);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29833;

													BgL_auxz00_29833 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11205, BgL_auxz00_29833,
														BgL_runz00_16072);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29838;
													int BgL_auxz00_29836;

													BgL_auxz00_29838 = BINT(((long) 0));
													BgL_auxz00_29836 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11205, BgL_auxz00_29836,
														BgL_auxz00_29838);
												}
												BgL_arg3072z00_3352 = BgL_newz00_11205;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16073, BgL_arg3072z00_3352);
										BgL_arg3072z00_3352;
									}
									return BgL_mainz00_16073;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5520 */
	obj_t BGl_z62main5520z62zz__evaluate_compz00(obj_t BgL_envz00_17066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17071;
				long BgL_siza7ezd2framez75_17072;

				BgL_runz00_17071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17066, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17072 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17066, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3355;

						BgL_sz00_3355 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3356;

							BgL_bpz00_3356 = VECTOR_REF(BgL_sz00_3355, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29851;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11154;

									BgL_arg1897z00_11154 = VECTOR_LENGTH(BgL_sz00_3355);
									BgL_testz00_29851 =
										(
										((long) CINT(BgL_bpz00_3356) +
											BgL_siza7ezd2framez75_17072) <
										(long) (BgL_arg1897z00_11154));
								}
								if (BgL_testz00_29851)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1289z00_3358;

										BgL_val1289z00_3358 =
											BGl_zc3exitza33079ze3z83zz__evaluate_compz00
											(BgL_bpz00_3356, BgL_sz00_3355, BgL_runz00_17071);
										VECTOR_SET(BgL_sz00_3355, (int) (((long) 0)),
											BgL_bpz00_3356);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1289z00_3358)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1289z00_3358), CDR(BgL_val1289z00_3358));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1289z00_3358;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3365;

										BgL_nsz00_3365 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3365,
											(int) (((long) 1)), BgL_sz00_3355);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29869;

											BgL_auxz00_29869 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29869, BgL_nsz00_3365);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1292z00_3367;

											BgL_val1292z00_3367 =
												BGl_zc3exitza33085ze3z83zz__evaluate_compz00
												(BgL_runz00_17071, BgL_nsz00_3365);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29873;

												BgL_auxz00_29873 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29873, BgL_sz00_3355);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1292z00_3367)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1292z00_3367), CDR(BgL_val1292z00_3367));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1292z00_3367;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3085> */
	obj_t BGl_zc3exitza33085ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17440,
		obj_t BgL_nsz00_17439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1293z00_3373;

			if (SET_EXIT(BgL_an_exit1293z00_3373))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1293z00_3373 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1293z00_3373, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1294z00_3374;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11173;

								BgL_savedzd2bpzd2_11173 =
									VECTOR_REF(BgL_nsz00_17439, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17439,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11180;

									BgL_fz00_11180 = BgL_runz00_17440;
								BgL_recz00_11179:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11181;

										BgL_rz00_11181 =
											PROCEDURE_ENTRY(BgL_fz00_11180) (BgL_fz00_11180,
											BgL_nsz00_17439, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29894;

											if (PROCEDUREP(BgL_rz00_11181))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11186;

													BgL_arg1889z00_11186 = PROCEDURE_ATTR(BgL_rz00_11181);
													if (STRUCTP(BgL_arg1889z00_11186))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29894 =
																(STRUCT_KEY(BgL_arg1889z00_11186) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29894 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29894 = ((bool_t) 0);
												}
											if (BgL_testz00_29894)
												{
													obj_t BgL_fz00_29902;

													BgL_fz00_29902 = BgL_rz00_11181;
													BgL_fz00_11180 = BgL_fz00_29902;
													goto BgL_recz00_11179;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17439,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11173);
													BgL_val1294z00_3374 = BgL_rz00_11181;
							}}}}}
							POP_EXIT();
							return BgL_val1294z00_3374;
						}
					}
				}
		}
	}



/* <exit:3079> */
	obj_t BGl_zc3exitza33079ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17443,
		obj_t BgL_sz00_17442, obj_t BgL_runz00_17441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1290z00_3363;

			if (SET_EXIT(BgL_an_exit1290z00_3363))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1290z00_3363 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1290z00_3363, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1291z00_3364;

							BgL_val1291z00_3364 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17441,
								BgL_sz00_17442, BgL_bpz00_17443);
							POP_EXIT();
							return BgL_val1291z00_3364;
						}
					}
				}
		}
	}



/* &run5521 */
	obj_t BGl_z62run5521z62zz__evaluate_compz00(obj_t BgL_envz00_17073,
		obj_t BgL_sz00_17078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17074;
				obj_t BgL_valza2za2_17075;
				BgL_ev_absz00_bglt BgL_i1250z00_17076;
				obj_t BgL_bodyz00_17077;

				BgL_siza7eza7_17074 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17073, (int) (((long) 0))));
				BgL_valza2za2_17075 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17073, (int) (((long) 1))));
				BgL_i1250z00_17076 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17073, (int) (((long) 2))));
				BgL_bodyz00_17077 = PROCEDURE_REF(BgL_envz00_17073, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3376;

					BgL_sz00_3376 = BgL_sz00_17078;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3378;

						BgL_bpz00_3378 = VECTOR_REF(BgL_sz00_3376, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3376,
							BgL_valza2za2_17075,
							((long) CINT(BgL_bpz00_3378) + BgL_siza7eza7_17074));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3380;
							obj_t BgL_wherez00_3381;
							obj_t BgL_locz00_3382;

							BgL_z12denvz12_3380 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3381 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17076))->BgL_wherez00);
							BgL_locz00_3382 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17076))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3380, BgL_wherez00_3381,
									BgL_locz00_3382);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3383;

									BgL_za2za2resza2za2z00_3383 =
										PROCEDURE_ENTRY(BgL_bodyz00_17077) (BgL_bodyz00_17077,
										BgL_sz00_3376, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3380);
									return BgL_za2za2resza2za2z00_3383;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3088> */
	obj_t BGl_z62zc3anonymousza33088ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17079, obj_t BgL_sz00_17086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17080;
				obj_t BgL_iboxesz00_17081;
				long BgL_siza7eza7_17082;
				BgL_ev_absz00_bglt BgL_i1250z00_17083;
				obj_t BgL_bodyz00_17084;
				long BgL_siza7ezd2framez75_17085;

				BgL_ifreesz00_17080 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 0))));
				BgL_iboxesz00_17081 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 1))));
				BgL_siza7eza7_17082 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 2))));
				BgL_i1250z00_17083 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 3))));
				BgL_bodyz00_17084 = PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17085 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17079, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3385;

					BgL_sz00_3385 = BgL_sz00_17086;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3387;

						BgL_bpz00_3387 = VECTOR_REF(BgL_sz00_3385, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3388;

							BgL_valza2za2_3388 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3385,
								BgL_bpz00_3387, BgL_ifreesz00_17080);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16069;

								BgL_runz00_16069 =
									MAKE_FX_PROCEDURE(BGl_z62run5523z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16069,
									(int) (((long) 0)), BgL_iboxesz00_17081);
								PROCEDURE_SET(BgL_runz00_16069,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17082));
								PROCEDURE_SET(BgL_runz00_16069,
									(int) (((long) 2)), BgL_valza2za2_3388);
								PROCEDURE_SET(BgL_runz00_16069,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17083));
								PROCEDURE_SET(BgL_runz00_16069,
									(int) (((long) 4)), BgL_bodyz00_17084);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16070;

									BgL_mainz00_16070 =
										MAKE_FX_PROCEDURE(BGl_z62main5522z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 0)), BgL_iboxesz00_17081);
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17082));
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 2)), BgL_valza2za2_3388);
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17083));
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 4)), BgL_bodyz00_17084);
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 5)), BgL_runz00_16069);
									PROCEDURE_SET(BgL_mainz00_16070,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17085));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11286;

										BgL_objz00_11286 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16069, BgL_objz00_11286);
										BgL_objz00_11286;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3089z00_3391;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3090z00_3392;

											BgL_arg3090z00_3392 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17083))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11290;

												BgL_newz00_11290 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29995;

													BgL_auxz00_29995 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11290, BgL_auxz00_29995,
														BgL_arg3090z00_3392);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30000;
													int BgL_auxz00_29998;

													BgL_auxz00_30000 = BINT(BgL_siza7ezd2framez75_17085);
													BgL_auxz00_29998 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11290, BgL_auxz00_29998,
														BgL_auxz00_30000);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30003;

													BgL_auxz00_30003 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11290, BgL_auxz00_30003,
														BgL_runz00_16069);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30008;
													int BgL_auxz00_30006;

													BgL_auxz00_30008 = BINT(((long) 0));
													BgL_auxz00_30006 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11290, BgL_auxz00_30006,
														BgL_auxz00_30008);
												}
												BgL_arg3089z00_3391 = BgL_newz00_11290;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16070, BgL_arg3089z00_3391);
										BgL_arg3089z00_3391;
									}
									return BgL_mainz00_16070;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5522 */
	obj_t BGl_z62main5522z62zz__evaluate_compz00(obj_t BgL_envz00_17087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17093;
				long BgL_siza7ezd2framez75_17094;

				BgL_runz00_17093 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17087, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17094 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17087, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3394;

						BgL_sz00_3394 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3395;

							BgL_bpz00_3395 = VECTOR_REF(BgL_sz00_3394, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30021;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_11239;

									BgL_arg1897z00_11239 = VECTOR_LENGTH(BgL_sz00_3394);
									BgL_testz00_30021 =
										(
										((long) CINT(BgL_bpz00_3395) +
											BgL_siza7ezd2framez75_17094) <
										(long) (BgL_arg1897z00_11239));
								}
								if (BgL_testz00_30021)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1295z00_3397;

										BgL_val1295z00_3397 =
											BGl_zc3exitza33097ze3z83zz__evaluate_compz00
											(BgL_bpz00_3395, BgL_sz00_3394, BgL_runz00_17093);
										VECTOR_SET(BgL_sz00_3394, (int) (((long) 0)),
											BgL_bpz00_3395);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1295z00_3397)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1295z00_3397), CDR(BgL_val1295z00_3397));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1295z00_3397;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3404;

										BgL_nsz00_3404 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3404,
											(int) (((long) 1)), BgL_sz00_3394);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30039;

											BgL_auxz00_30039 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30039, BgL_nsz00_3404);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1298z00_3406;

											BgL_val1298z00_3406 =
												BGl_zc3exitza33103ze3z83zz__evaluate_compz00
												(BgL_runz00_17093, BgL_nsz00_3404);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30043;

												BgL_auxz00_30043 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30043, BgL_sz00_3394);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1298z00_3406)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1298z00_3406), CDR(BgL_val1298z00_3406));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1298z00_3406;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3103> */
	obj_t BGl_zc3exitza33103ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17435,
		obj_t BgL_nsz00_17434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1299z00_3412;

			if (SET_EXIT(BgL_an_exit1299z00_3412))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1299z00_3412 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1299z00_3412, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1300z00_3413;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11258;

								BgL_savedzd2bpzd2_11258 =
									VECTOR_REF(BgL_nsz00_17434, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17434,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11265;

									BgL_fz00_11265 = BgL_runz00_17435;
								BgL_recz00_11264:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11266;

										BgL_rz00_11266 =
											PROCEDURE_ENTRY(BgL_fz00_11265) (BgL_fz00_11265,
											BgL_nsz00_17434, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30064;

											if (PROCEDUREP(BgL_rz00_11266))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_11271;

													BgL_arg1889z00_11271 = PROCEDURE_ATTR(BgL_rz00_11266);
													if (STRUCTP(BgL_arg1889z00_11271))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30064 =
																(STRUCT_KEY(BgL_arg1889z00_11271) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30064 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30064 = ((bool_t) 0);
												}
											if (BgL_testz00_30064)
												{
													obj_t BgL_fz00_30072;

													BgL_fz00_30072 = BgL_rz00_11266;
													BgL_fz00_11265 = BgL_fz00_30072;
													goto BgL_recz00_11264;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17434,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11258);
													BgL_val1300z00_3413 = BgL_rz00_11266;
							}}}}}
							POP_EXIT();
							return BgL_val1300z00_3413;
						}
					}
				}
		}
	}



/* <exit:3097> */
	obj_t BGl_zc3exitza33097ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17438,
		obj_t BgL_sz00_17437, obj_t BgL_runz00_17436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1296z00_3402;

			if (SET_EXIT(BgL_an_exit1296z00_3402))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1296z00_3402 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1296z00_3402, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1297z00_3403;

							BgL_val1297z00_3403 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17436,
								BgL_sz00_17437, BgL_bpz00_17438);
							POP_EXIT();
							return BgL_val1297z00_3403;
						}
					}
				}
		}
	}



/* &run5523 */
	obj_t BGl_z62run5523z62zz__evaluate_compz00(obj_t BgL_envz00_17095,
		obj_t BgL_sz00_17101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17096;
				long BgL_siza7eza7_17097;
				obj_t BgL_valza2za2_17098;
				BgL_ev_absz00_bglt BgL_i1250z00_17099;
				obj_t BgL_bodyz00_17100;

				BgL_iboxesz00_17096 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 0))));
				BgL_siza7eza7_17097 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 1))));
				BgL_valza2za2_17098 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 2))));
				BgL_i1250z00_17099 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 3))));
				BgL_bodyz00_17100 = PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3415;

					BgL_sz00_3415 = BgL_sz00_17101;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3417;

						BgL_bpz00_3417 = VECTOR_REF(BgL_sz00_3415, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3415,
							BgL_iboxesz00_17096, BgL_bpz00_3417);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3415,
							BgL_valza2za2_17098,
							((long) CINT(BgL_bpz00_3417) + BgL_siza7eza7_17097));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3419;
							obj_t BgL_wherez00_3420;
							obj_t BgL_locz00_3421;

							BgL_z12denvz12_3419 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3420 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17099))->BgL_wherez00);
							BgL_locz00_3421 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17099))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3419, BgL_wherez00_3420,
									BgL_locz00_3421);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3422;

									BgL_za2za2resza2za2z00_3422 =
										PROCEDURE_ENTRY(BgL_bodyz00_17100) (BgL_bodyz00_17100,
										BgL_sz00_3415, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3419);
									return BgL_za2za2resza2za2z00_3422;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3862> */
	obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17102, obj_t BgL_sz00_17106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17103;
				obj_t BgL_bodyz00_17104;
				long BgL_siza7ezd2framez75_17105;

				BgL_i1250z00_17103 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17102, (int) (((long) 0))));
				BgL_bodyz00_17104 = PROCEDURE_REF(BgL_envz00_17102, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17105 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17102, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5050;

					BgL_sz00_5050 = BgL_sz00_17106;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5052;

						BgL_bpz00_5052 = VECTOR_REF(BgL_sz00_5050, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16198;

								BgL_runz00_16198 =
									MAKE_FX_PROCEDURE(BGl_z62run5525z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16198,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_17103));
								PROCEDURE_SET(BgL_runz00_16198,
									(int) (((long) 1)), BgL_bodyz00_17104);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16199;

									BgL_mainz00_16199 =
										MAKE_VA_PROCEDURE(BGl_z62main5524z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 0)), BgL_bodyz00_17104);
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_17103));
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 2)), BgL_runz00_16198);
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17105));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10495;

										BgL_objz00_10495 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16198, BgL_objz00_10495);
										BgL_objz00_10495;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3863z00_5055;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3864z00_5056;
											obj_t BgL_arg3865z00_5057;

											BgL_arg3864z00_5056 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17103))->
												BgL_arityz00);
											BgL_arg3865z00_5057 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17103))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10499;

												BgL_newz00_10499 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30146;

													BgL_auxz00_30146 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10499, BgL_auxz00_30146,
														BgL_arg3865z00_5057);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30151;
													int BgL_auxz00_30149;

													BgL_auxz00_30151 = BINT(BgL_siza7ezd2framez75_17105);
													BgL_auxz00_30149 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10499, BgL_auxz00_30149,
														BgL_auxz00_30151);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30154;

													BgL_auxz00_30154 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10499, BgL_auxz00_30154,
														BgL_runz00_16198);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30157;

													BgL_auxz00_30157 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10499, BgL_auxz00_30157,
														BgL_arg3864z00_5056);
												}
												BgL_arg3863z00_5055 = BgL_newz00_10499;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16199, BgL_arg3863z00_5055);
										BgL_arg3863z00_5055;
									}
									return BgL_mainz00_16199;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5524 */
	obj_t BGl_z62main5524z62zz__evaluate_compz00(obj_t BgL_envz00_17107,
		obj_t BgL_az00_17112, obj_t BgL_bz00_17113, obj_t BgL_cz00_17114,
		obj_t BgL_dz00_17115, obj_t BgL_restz00_17116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17109;
				obj_t BgL_runz00_17110;
				long BgL_siza7ezd2framez75_17111;

				BgL_i1250z00_17109 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17107, (int) (((long) 1))));
				BgL_runz00_17110 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17107, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17111 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17107, (int) (((long) 3))));
				{
					obj_t BgL_az00_5058;
					obj_t BgL_bz00_5059;
					obj_t BgL_cz00_5060;
					obj_t BgL_dz00_5061;
					obj_t BgL_restz00_5062;

					BgL_az00_5058 = BgL_az00_17112;
					BgL_bz00_5059 = BgL_bz00_17113;
					BgL_cz00_5060 = BgL_cz00_17114;
					BgL_dz00_5061 = BgL_dz00_17115;
					BgL_restz00_5062 = BgL_restz00_17116;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5064;

						BgL_sz00_5064 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5065;

							BgL_bpz00_5065 = VECTOR_REF(BgL_sz00_5064, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30173;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_10385;

									BgL_arg1897z00_10385 = VECTOR_LENGTH(BgL_sz00_5064);
									BgL_testz00_30173 =
										(
										((long) CINT(BgL_bpz00_5065) +
											BgL_siza7ezd2framez75_17111) <
										(long) (BgL_arg1897z00_10385));
								}
								if (BgL_testz00_30173)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3868z00_5067;

											BgL_arg3868z00_5067 =
												((long) CINT(BgL_bpz00_5065) + ((long) 0));
											VECTOR_SET(BgL_sz00_5064,
												(int) (BgL_arg3868z00_5067), BgL_az00_5058);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3869z00_5068;

											BgL_arg3869z00_5068 =
												((long) CINT(BgL_bpz00_5065) + ((long) 1));
											VECTOR_SET(BgL_sz00_5064,
												(int) (BgL_arg3869z00_5068), BgL_bz00_5059);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3870z00_5069;

											BgL_arg3870z00_5069 =
												((long) CINT(BgL_bpz00_5065) + ((long) 2));
											VECTOR_SET(BgL_sz00_5064,
												(int) (BgL_arg3870z00_5069), BgL_cz00_5060);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3871z00_5070;

											BgL_arg3871z00_5070 =
												((long) CINT(BgL_bpz00_5065) + ((long) 3));
											VECTOR_SET(BgL_sz00_5064,
												(int) (BgL_arg3871z00_5070), BgL_dz00_5061);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3872z00_5071;
											long BgL_arg3873z00_5072;
											long BgL_arg3874z00_5073;
											obj_t BgL_arg3875z00_5074;

											BgL_arg3872z00_5071 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
												BgL_wherez00);
											BgL_arg3873z00_5072 =
												((long) CINT(BgL_bpz00_5065) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10420;

												BgL_nz00_10420 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10420) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3874z00_5073 =
															((long) CINT(BgL_nz00_10420) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3874z00_5073 =
															((long) CINT(BgL_nz00_10420) - ((long) 4));
											}}
											BgL_arg3875z00_5074 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5064,
												BgL_arg3872z00_5071, BgL_arg3873z00_5072,
												BgL_arg3874z00_5073, BgL_restz00_5062,
												BgL_arg3875z00_5074);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1251z00_5076;

											BgL_val1251z00_5076 =
												BGl_zc3exitza33880ze3z83zz__evaluate_compz00
												(BgL_bpz00_5065, BgL_sz00_5064, BgL_runz00_17110);
											VECTOR_SET(BgL_sz00_5064, (int) (((long) 0)),
												BgL_bpz00_5065);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1251z00_5076)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1251z00_5076), CDR(BgL_val1251z00_5076));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1251z00_5076;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5083;

										BgL_nsz00_5083 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5083,
											(int) (((long) 1)), BgL_sz00_5064);
										VECTOR_SET(BgL_nsz00_5083,
											(int) (((long) 2)), BgL_az00_5058);
										VECTOR_SET(BgL_nsz00_5083,
											(int) (((long) 3)), BgL_bz00_5059);
										VECTOR_SET(BgL_nsz00_5083,
											(int) (((long) 4)), BgL_cz00_5060);
										VECTOR_SET(BgL_nsz00_5083,
											(int) (((long) 5)), BgL_dz00_5061);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3881z00_5084;
											long BgL_arg3882z00_5085;
											obj_t BgL_arg3883z00_5086;

											BgL_arg3881z00_5084 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10452;

												BgL_nz00_10452 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10452) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3882z00_5085 =
															((long) CINT(BgL_nz00_10452) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3882z00_5085 =
															((long) CINT(BgL_nz00_10452) - ((long) 4));
											}}
											BgL_arg3883z00_5086 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17109))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5083,
												BgL_arg3881z00_5084, ((long) 6), BgL_arg3882z00_5085,
												BgL_restz00_5062, BgL_arg3883z00_5086);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30239;

											BgL_auxz00_30239 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30239, BgL_nsz00_5083);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1254z00_5089;

											BgL_val1254z00_5089 =
												BGl_zc3exitza33890ze3z83zz__evaluate_compz00
												(BgL_runz00_17110, BgL_nsz00_5083);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30243;

												BgL_auxz00_30243 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30243, BgL_sz00_5064);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1254z00_5089)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1254z00_5089), CDR(BgL_val1254z00_5089));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1254z00_5089;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3890> */
	obj_t BGl_zc3exitza33890ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17430,
		obj_t BgL_nsz00_17429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1255z00_5095;

			if (SET_EXIT(BgL_an_exit1255z00_5095))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1255z00_5095 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1255z00_5095, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1256z00_5096;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10467;

								BgL_savedzd2bpzd2_10467 =
									VECTOR_REF(BgL_nsz00_17429, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17429,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10474;

									BgL_fz00_10474 = BgL_runz00_17430;
								BgL_recz00_10473:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10475;

										BgL_rz00_10475 =
											PROCEDURE_ENTRY(BgL_fz00_10474) (BgL_fz00_10474,
											BgL_nsz00_17429, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30264;

											if (PROCEDUREP(BgL_rz00_10475))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_10480;

													BgL_arg1889z00_10480 = PROCEDURE_ATTR(BgL_rz00_10475);
													if (STRUCTP(BgL_arg1889z00_10480))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30264 =
																(STRUCT_KEY(BgL_arg1889z00_10480) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30264 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30264 = ((bool_t) 0);
												}
											if (BgL_testz00_30264)
												{
													obj_t BgL_fz00_30272;

													BgL_fz00_30272 = BgL_rz00_10475;
													BgL_fz00_10474 = BgL_fz00_30272;
													goto BgL_recz00_10473;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17429,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10467);
													BgL_val1256z00_5096 = BgL_rz00_10475;
							}}}}}
							POP_EXIT();
							return BgL_val1256z00_5096;
						}
					}
				}
		}
	}



/* <exit:3880> */
	obj_t BGl_zc3exitza33880ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17433,
		obj_t BgL_sz00_17432, obj_t BgL_runz00_17431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1252z00_5081;

			if (SET_EXIT(BgL_an_exit1252z00_5081))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1252z00_5081 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1252z00_5081, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1253z00_5082;

							BgL_val1253z00_5082 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17431,
								BgL_sz00_17432, BgL_bpz00_17433);
							POP_EXIT();
							return BgL_val1253z00_5082;
						}
					}
				}
		}
	}



/* &run5525 */
	obj_t BGl_z62run5525z62zz__evaluate_compz00(obj_t BgL_envz00_17117,
		obj_t BgL_sz00_17120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17118;
				obj_t BgL_bodyz00_17119;

				BgL_i1250z00_17118 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17117, (int) (((long) 0))));
				BgL_bodyz00_17119 = PROCEDURE_REF(BgL_envz00_17117, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5098;

					BgL_sz00_5098 = BgL_sz00_17120;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5100;

						BgL_bpz00_5100 = VECTOR_REF(BgL_sz00_5098, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5101;
							obj_t BgL_wherez00_5102;
							obj_t BgL_locz00_5103;

							BgL_z12denvz12_5101 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5102 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17118))->BgL_wherez00);
							BgL_locz00_5103 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17118))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5101, BgL_wherez00_5102,
									BgL_locz00_5103);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5104;

									BgL_za2za2resza2za2z00_5104 =
										PROCEDURE_ENTRY(BgL_bodyz00_17119) (BgL_bodyz00_17119,
										BgL_sz00_5098, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5101);
									return BgL_za2za2resza2za2z00_5104;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3892> */
	obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17121, obj_t BgL_sz00_17126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17122;
				BgL_ev_absz00_bglt BgL_i1250z00_17123;
				obj_t BgL_bodyz00_17124;
				long BgL_siza7ezd2framez75_17125;

				BgL_iboxesz00_17122 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17121, (int) (((long) 0))));
				BgL_i1250z00_17123 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17121, (int) (((long) 1))));
				BgL_bodyz00_17124 = PROCEDURE_REF(BgL_envz00_17121, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17125 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17121, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5106;

					BgL_sz00_5106 = BgL_sz00_17126;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5108;

						BgL_bpz00_5108 = VECTOR_REF(BgL_sz00_5106, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16195;

								BgL_runz00_16195 =
									MAKE_FX_PROCEDURE(BGl_z62run5527z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 0)), BgL_iboxesz00_17122);
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_17123));
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 2)), BgL_bodyz00_17124);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16196;

									BgL_mainz00_16196 =
										MAKE_VA_PROCEDURE(BGl_z62main5526z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 0)), BgL_iboxesz00_17122);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 1)), BgL_bodyz00_17124);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_17123));
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 3)), BgL_runz00_16195);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17125));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10640;

										BgL_objz00_10640 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16195, BgL_objz00_10640);
										BgL_objz00_10640;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3893z00_5111;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3894z00_5112;
											obj_t BgL_arg3895z00_5113;

											BgL_arg3894z00_5112 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17123))->
												BgL_arityz00);
											BgL_arg3895z00_5113 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17123))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10644;

												BgL_newz00_10644 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30340;

													BgL_auxz00_30340 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10644, BgL_auxz00_30340,
														BgL_arg3895z00_5113);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30345;
													int BgL_auxz00_30343;

													BgL_auxz00_30345 = BINT(BgL_siza7ezd2framez75_17125);
													BgL_auxz00_30343 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10644, BgL_auxz00_30343,
														BgL_auxz00_30345);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30348;

													BgL_auxz00_30348 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10644, BgL_auxz00_30348,
														BgL_runz00_16195);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30351;

													BgL_auxz00_30351 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10644, BgL_auxz00_30351,
														BgL_arg3894z00_5112);
												}
												BgL_arg3893z00_5111 = BgL_newz00_10644;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16196, BgL_arg3893z00_5111);
										BgL_arg3893z00_5111;
									}
									return BgL_mainz00_16196;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5526 */
	obj_t BGl_z62main5526z62zz__evaluate_compz00(obj_t BgL_envz00_17127,
		obj_t BgL_az00_17133, obj_t BgL_bz00_17134, obj_t BgL_cz00_17135,
		obj_t BgL_dz00_17136, obj_t BgL_restz00_17137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17130;
				obj_t BgL_runz00_17131;
				long BgL_siza7ezd2framez75_17132;

				BgL_i1250z00_17130 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17127, (int) (((long) 2))));
				BgL_runz00_17131 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17127, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17132 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17127, (int) (((long) 4))));
				{
					obj_t BgL_az00_5114;
					obj_t BgL_bz00_5115;
					obj_t BgL_cz00_5116;
					obj_t BgL_dz00_5117;
					obj_t BgL_restz00_5118;

					BgL_az00_5114 = BgL_az00_17133;
					BgL_bz00_5115 = BgL_bz00_17134;
					BgL_cz00_5116 = BgL_cz00_17135;
					BgL_dz00_5117 = BgL_dz00_17136;
					BgL_restz00_5118 = BgL_restz00_17137;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5120;

						BgL_sz00_5120 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5121;

							BgL_bpz00_5121 = VECTOR_REF(BgL_sz00_5120, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30367;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_10530;

									BgL_arg1897z00_10530 = VECTOR_LENGTH(BgL_sz00_5120);
									BgL_testz00_30367 =
										(
										((long) CINT(BgL_bpz00_5121) +
											BgL_siza7ezd2framez75_17132) <
										(long) (BgL_arg1897z00_10530));
								}
								if (BgL_testz00_30367)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3898z00_5123;

											BgL_arg3898z00_5123 =
												((long) CINT(BgL_bpz00_5121) + ((long) 0));
											VECTOR_SET(BgL_sz00_5120,
												(int) (BgL_arg3898z00_5123), BgL_az00_5114);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3899z00_5124;

											BgL_arg3899z00_5124 =
												((long) CINT(BgL_bpz00_5121) + ((long) 1));
											VECTOR_SET(BgL_sz00_5120,
												(int) (BgL_arg3899z00_5124), BgL_bz00_5115);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3900z00_5125;

											BgL_arg3900z00_5125 =
												((long) CINT(BgL_bpz00_5121) + ((long) 2));
											VECTOR_SET(BgL_sz00_5120,
												(int) (BgL_arg3900z00_5125), BgL_cz00_5116);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3901z00_5126;

											BgL_arg3901z00_5126 =
												((long) CINT(BgL_bpz00_5121) + ((long) 3));
											VECTOR_SET(BgL_sz00_5120,
												(int) (BgL_arg3901z00_5126), BgL_dz00_5117);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3902z00_5127;
											long BgL_arg3903z00_5128;
											long BgL_arg3904z00_5129;
											obj_t BgL_arg3905z00_5130;

											BgL_arg3902z00_5127 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
												BgL_wherez00);
											BgL_arg3903z00_5128 =
												((long) CINT(BgL_bpz00_5121) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10565;

												BgL_nz00_10565 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10565) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3904z00_5129 =
															((long) CINT(BgL_nz00_10565) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3904z00_5129 =
															((long) CINT(BgL_nz00_10565) - ((long) 4));
											}}
											BgL_arg3905z00_5130 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5120,
												BgL_arg3902z00_5127, BgL_arg3903z00_5128,
												BgL_arg3904z00_5129, BgL_restz00_5118,
												BgL_arg3905z00_5130);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1257z00_5132;

											BgL_val1257z00_5132 =
												BGl_zc3exitza33910ze3z83zz__evaluate_compz00
												(BgL_bpz00_5121, BgL_sz00_5120, BgL_runz00_17131);
											VECTOR_SET(BgL_sz00_5120, (int) (((long) 0)),
												BgL_bpz00_5121);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1257z00_5132)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1257z00_5132), CDR(BgL_val1257z00_5132));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1257z00_5132;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5139;

										BgL_nsz00_5139 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5139,
											(int) (((long) 1)), BgL_sz00_5120);
										VECTOR_SET(BgL_nsz00_5139,
											(int) (((long) 2)), BgL_az00_5114);
										VECTOR_SET(BgL_nsz00_5139,
											(int) (((long) 3)), BgL_bz00_5115);
										VECTOR_SET(BgL_nsz00_5139,
											(int) (((long) 4)), BgL_cz00_5116);
										VECTOR_SET(BgL_nsz00_5139,
											(int) (((long) 5)), BgL_dz00_5117);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3911z00_5140;
											long BgL_arg3912z00_5141;
											obj_t BgL_arg3913z00_5142;

											BgL_arg3911z00_5140 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10597;

												BgL_nz00_10597 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10597) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3912z00_5141 =
															((long) CINT(BgL_nz00_10597) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3912z00_5141 =
															((long) CINT(BgL_nz00_10597) - ((long) 4));
											}}
											BgL_arg3913z00_5142 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17130))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5139,
												BgL_arg3911z00_5140, ((long) 6), BgL_arg3912z00_5141,
												BgL_restz00_5118, BgL_arg3913z00_5142);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30433;

											BgL_auxz00_30433 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30433, BgL_nsz00_5139);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1260z00_5145;

											BgL_val1260z00_5145 =
												BGl_zc3exitza33920ze3z83zz__evaluate_compz00
												(BgL_runz00_17131, BgL_nsz00_5139);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30437;

												BgL_auxz00_30437 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30437, BgL_sz00_5120);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1260z00_5145)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1260z00_5145), CDR(BgL_val1260z00_5145));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1260z00_5145;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3920> */
	obj_t BGl_zc3exitza33920ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17425,
		obj_t BgL_nsz00_17424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1261z00_5151;

			if (SET_EXIT(BgL_an_exit1261z00_5151))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1261z00_5151 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1261z00_5151, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1262z00_5152;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10612;

								BgL_savedzd2bpzd2_10612 =
									VECTOR_REF(BgL_nsz00_17424, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17424,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10619;

									BgL_fz00_10619 = BgL_runz00_17425;
								BgL_recz00_10618:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10620;

										BgL_rz00_10620 =
											PROCEDURE_ENTRY(BgL_fz00_10619) (BgL_fz00_10619,
											BgL_nsz00_17424, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30458;

											if (PROCEDUREP(BgL_rz00_10620))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_10625;

													BgL_arg1889z00_10625 = PROCEDURE_ATTR(BgL_rz00_10620);
													if (STRUCTP(BgL_arg1889z00_10625))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30458 =
																(STRUCT_KEY(BgL_arg1889z00_10625) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30458 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30458 = ((bool_t) 0);
												}
											if (BgL_testz00_30458)
												{
													obj_t BgL_fz00_30466;

													BgL_fz00_30466 = BgL_rz00_10620;
													BgL_fz00_10619 = BgL_fz00_30466;
													goto BgL_recz00_10618;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17424,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10612);
													BgL_val1262z00_5152 = BgL_rz00_10620;
							}}}}}
							POP_EXIT();
							return BgL_val1262z00_5152;
						}
					}
				}
		}
	}



/* <exit:3910> */
	obj_t BGl_zc3exitza33910ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17428,
		obj_t BgL_sz00_17427, obj_t BgL_runz00_17426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1258z00_5137;

			if (SET_EXIT(BgL_an_exit1258z00_5137))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1258z00_5137 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1258z00_5137, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1259z00_5138;

							BgL_val1259z00_5138 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17426,
								BgL_sz00_17427, BgL_bpz00_17428);
							POP_EXIT();
							return BgL_val1259z00_5138;
						}
					}
				}
		}
	}



/* &run5527 */
	obj_t BGl_z62run5527z62zz__evaluate_compz00(obj_t BgL_envz00_17138,
		obj_t BgL_sz00_17142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17139;
				BgL_ev_absz00_bglt BgL_i1250z00_17140;
				obj_t BgL_bodyz00_17141;

				BgL_iboxesz00_17139 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 0))));
				BgL_i1250z00_17140 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 1))));
				BgL_bodyz00_17141 = PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5154;

					BgL_sz00_5154 = BgL_sz00_17142;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5156;

						BgL_bpz00_5156 = VECTOR_REF(BgL_sz00_5154, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5154,
							BgL_iboxesz00_17139, BgL_bpz00_5156);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5157;
							obj_t BgL_wherez00_5158;
							obj_t BgL_locz00_5159;

							BgL_z12denvz12_5157 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5158 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17140))->BgL_wherez00);
							BgL_locz00_5159 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17140))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5157, BgL_wherez00_5158,
									BgL_locz00_5159);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5160;

									BgL_za2za2resza2za2z00_5160 =
										PROCEDURE_ENTRY(BgL_bodyz00_17141) (BgL_bodyz00_17141,
										BgL_sz00_5154, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5157);
									return BgL_za2za2resza2za2z00_5160;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3924> */
	obj_t BGl_z62zc3anonymousza33924ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17143, obj_t BgL_sz00_17149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17144;
				long BgL_siza7eza7_17145;
				BgL_ev_absz00_bglt BgL_i1250z00_17146;
				obj_t BgL_bodyz00_17147;
				long BgL_siza7ezd2framez75_17148;

				BgL_ifreesz00_17144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 0))));
				BgL_siza7eza7_17145 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 1))));
				BgL_i1250z00_17146 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 2))));
				BgL_bodyz00_17147 = PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17148 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5164;

					BgL_sz00_5164 = BgL_sz00_17149;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5166;

						BgL_bpz00_5166 = VECTOR_REF(BgL_sz00_5164, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5167;

							BgL_valza2za2_5167 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5164,
								BgL_bpz00_5166, BgL_ifreesz00_17144);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16192;

								BgL_runz00_16192 =
									MAKE_FX_PROCEDURE(BGl_z62run5529z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17145));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 1)), BgL_valza2za2_5167);
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_17146));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 3)), BgL_bodyz00_17147);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16193;

									BgL_mainz00_16193 =
										MAKE_VA_PROCEDURE(BGl_z62main5528z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17145));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 1)), BgL_valza2za2_5167);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 2)), BgL_bodyz00_17147);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17146));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 4)), BgL_runz00_16192);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17148));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10792;

										BgL_objz00_10792 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16192, BgL_objz00_10792);
										BgL_objz00_10792;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3925z00_5170;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3926z00_5171;
											obj_t BgL_arg3927z00_5172;

											BgL_arg3926z00_5171 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17146))->
												BgL_arityz00);
											BgL_arg3927z00_5172 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17146))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10796;

												BgL_newz00_10796 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30548;

													BgL_auxz00_30548 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10796, BgL_auxz00_30548,
														BgL_arg3927z00_5172);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30553;
													int BgL_auxz00_30551;

													BgL_auxz00_30553 = BINT(BgL_siza7ezd2framez75_17148);
													BgL_auxz00_30551 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10796, BgL_auxz00_30551,
														BgL_auxz00_30553);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30556;

													BgL_auxz00_30556 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10796, BgL_auxz00_30556,
														BgL_runz00_16192);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30559;

													BgL_auxz00_30559 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10796, BgL_auxz00_30559,
														BgL_arg3926z00_5171);
												}
												BgL_arg3925z00_5170 = BgL_newz00_10796;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16193, BgL_arg3925z00_5170);
										BgL_arg3925z00_5170;
									}
									return BgL_mainz00_16193;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5528 */
	obj_t BGl_z62main5528z62zz__evaluate_compz00(obj_t BgL_envz00_17150,
		obj_t BgL_az00_17157, obj_t BgL_bz00_17158, obj_t BgL_cz00_17159,
		obj_t BgL_dz00_17160, obj_t BgL_restz00_17161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17154;
				obj_t BgL_runz00_17155;
				long BgL_siza7ezd2framez75_17156;

				BgL_i1250z00_17154 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17150, (int) (((long) 3))));
				BgL_runz00_17155 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17150, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17156 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17150, (int) (((long) 5))));
				{
					obj_t BgL_az00_5173;
					obj_t BgL_bz00_5174;
					obj_t BgL_cz00_5175;
					obj_t BgL_dz00_5176;
					obj_t BgL_restz00_5177;

					BgL_az00_5173 = BgL_az00_17157;
					BgL_bz00_5174 = BgL_bz00_17158;
					BgL_cz00_5175 = BgL_cz00_17159;
					BgL_dz00_5176 = BgL_dz00_17160;
					BgL_restz00_5177 = BgL_restz00_17161;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5179;

						BgL_sz00_5179 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5180;

							BgL_bpz00_5180 = VECTOR_REF(BgL_sz00_5179, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30575;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_10682;

									BgL_arg1897z00_10682 = VECTOR_LENGTH(BgL_sz00_5179);
									BgL_testz00_30575 =
										(
										((long) CINT(BgL_bpz00_5180) +
											BgL_siza7ezd2framez75_17156) <
										(long) (BgL_arg1897z00_10682));
								}
								if (BgL_testz00_30575)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3930z00_5182;

											BgL_arg3930z00_5182 =
												((long) CINT(BgL_bpz00_5180) + ((long) 0));
											VECTOR_SET(BgL_sz00_5179,
												(int) (BgL_arg3930z00_5182), BgL_az00_5173);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3931z00_5183;

											BgL_arg3931z00_5183 =
												((long) CINT(BgL_bpz00_5180) + ((long) 1));
											VECTOR_SET(BgL_sz00_5179,
												(int) (BgL_arg3931z00_5183), BgL_bz00_5174);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3932z00_5184;

											BgL_arg3932z00_5184 =
												((long) CINT(BgL_bpz00_5180) + ((long) 2));
											VECTOR_SET(BgL_sz00_5179,
												(int) (BgL_arg3932z00_5184), BgL_cz00_5175);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3933z00_5185;

											BgL_arg3933z00_5185 =
												((long) CINT(BgL_bpz00_5180) + ((long) 3));
											VECTOR_SET(BgL_sz00_5179,
												(int) (BgL_arg3933z00_5185), BgL_dz00_5176);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3934z00_5186;
											long BgL_arg3935z00_5187;
											long BgL_arg3936z00_5188;
											obj_t BgL_arg3937z00_5189;

											BgL_arg3934z00_5186 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
												BgL_wherez00);
											BgL_arg3935z00_5187 =
												((long) CINT(BgL_bpz00_5180) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10717;

												BgL_nz00_10717 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10717) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3936z00_5188 =
															((long) CINT(BgL_nz00_10717) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3936z00_5188 =
															((long) CINT(BgL_nz00_10717) - ((long) 4));
											}}
											BgL_arg3937z00_5189 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5179,
												BgL_arg3934z00_5186, BgL_arg3935z00_5187,
												BgL_arg3936z00_5188, BgL_restz00_5177,
												BgL_arg3937z00_5189);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1263z00_5191;

											BgL_val1263z00_5191 =
												BGl_zc3exitza33942ze3z83zz__evaluate_compz00
												(BgL_bpz00_5180, BgL_sz00_5179, BgL_runz00_17155);
											VECTOR_SET(BgL_sz00_5179, (int) (((long) 0)),
												BgL_bpz00_5180);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1263z00_5191)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1263z00_5191), CDR(BgL_val1263z00_5191));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1263z00_5191;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5198;

										BgL_nsz00_5198 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5198,
											(int) (((long) 1)), BgL_sz00_5179);
										VECTOR_SET(BgL_nsz00_5198,
											(int) (((long) 2)), BgL_az00_5173);
										VECTOR_SET(BgL_nsz00_5198,
											(int) (((long) 3)), BgL_bz00_5174);
										VECTOR_SET(BgL_nsz00_5198,
											(int) (((long) 4)), BgL_cz00_5175);
										VECTOR_SET(BgL_nsz00_5198,
											(int) (((long) 5)), BgL_dz00_5176);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3943z00_5199;
											long BgL_arg3944z00_5200;
											obj_t BgL_arg3945z00_5201;

											BgL_arg3943z00_5199 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10749;

												BgL_nz00_10749 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10749) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3944z00_5200 =
															((long) CINT(BgL_nz00_10749) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3944z00_5200 =
															((long) CINT(BgL_nz00_10749) - ((long) 4));
											}}
											BgL_arg3945z00_5201 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5198,
												BgL_arg3943z00_5199, ((long) 6), BgL_arg3944z00_5200,
												BgL_restz00_5177, BgL_arg3945z00_5201);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30641;

											BgL_auxz00_30641 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30641, BgL_nsz00_5198);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1266z00_5204;

											BgL_val1266z00_5204 =
												BGl_zc3exitza33952ze3z83zz__evaluate_compz00
												(BgL_runz00_17155, BgL_nsz00_5198);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30645;

												BgL_auxz00_30645 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30645, BgL_sz00_5179);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1266z00_5204)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1266z00_5204), CDR(BgL_val1266z00_5204));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1266z00_5204;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3952> */
	obj_t BGl_zc3exitza33952ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17420,
		obj_t BgL_nsz00_17419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1267z00_5210;

			if (SET_EXIT(BgL_an_exit1267z00_5210))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1267z00_5210 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1267z00_5210, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1268z00_5211;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10764;

								BgL_savedzd2bpzd2_10764 =
									VECTOR_REF(BgL_nsz00_17419, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17419,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10771;

									BgL_fz00_10771 = BgL_runz00_17420;
								BgL_recz00_10770:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10772;

										BgL_rz00_10772 =
											PROCEDURE_ENTRY(BgL_fz00_10771) (BgL_fz00_10771,
											BgL_nsz00_17419, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30666;

											if (PROCEDUREP(BgL_rz00_10772))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_10777;

													BgL_arg1889z00_10777 = PROCEDURE_ATTR(BgL_rz00_10772);
													if (STRUCTP(BgL_arg1889z00_10777))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30666 =
																(STRUCT_KEY(BgL_arg1889z00_10777) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30666 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30666 = ((bool_t) 0);
												}
											if (BgL_testz00_30666)
												{
													obj_t BgL_fz00_30674;

													BgL_fz00_30674 = BgL_rz00_10772;
													BgL_fz00_10771 = BgL_fz00_30674;
													goto BgL_recz00_10770;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17419,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10764);
													BgL_val1268z00_5211 = BgL_rz00_10772;
							}}}}}
							POP_EXIT();
							return BgL_val1268z00_5211;
						}
					}
				}
		}
	}



/* <exit:3942> */
	obj_t BGl_zc3exitza33942ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17423,
		obj_t BgL_sz00_17422, obj_t BgL_runz00_17421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1264z00_5196;

			if (SET_EXIT(BgL_an_exit1264z00_5196))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1264z00_5196 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1264z00_5196, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1265z00_5197;

							BgL_val1265z00_5197 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17421,
								BgL_sz00_17422, BgL_bpz00_17423);
							POP_EXIT();
							return BgL_val1265z00_5197;
						}
					}
				}
		}
	}



/* &run5529 */
	obj_t BGl_z62run5529z62zz__evaluate_compz00(obj_t BgL_envz00_17162,
		obj_t BgL_sz00_17167)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17163;
				obj_t BgL_valza2za2_17164;
				BgL_ev_absz00_bglt BgL_i1250z00_17165;
				obj_t BgL_bodyz00_17166;

				BgL_siza7eza7_17163 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17162, (int) (((long) 0))));
				BgL_valza2za2_17164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17162, (int) (((long) 1))));
				BgL_i1250z00_17165 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17162, (int) (((long) 2))));
				BgL_bodyz00_17166 = PROCEDURE_REF(BgL_envz00_17162, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5213;

					BgL_sz00_5213 = BgL_sz00_17167;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5215;

						BgL_bpz00_5215 = VECTOR_REF(BgL_sz00_5213, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5213,
							BgL_valza2za2_17164,
							((long) CINT(BgL_bpz00_5215) + BgL_siza7eza7_17163));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5217;
							obj_t BgL_wherez00_5218;
							obj_t BgL_locz00_5219;

							BgL_z12denvz12_5217 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5218 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17165))->BgL_wherez00);
							BgL_locz00_5219 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17165))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5217, BgL_wherez00_5218,
									BgL_locz00_5219);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5220;

									BgL_za2za2resza2za2z00_5220 =
										PROCEDURE_ENTRY(BgL_bodyz00_17166) (BgL_bodyz00_17166,
										BgL_sz00_5213, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5217);
									return BgL_za2za2resza2za2z00_5220;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3955> */
	obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17168, obj_t BgL_sz00_17175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17169;
				obj_t BgL_iboxesz00_17170;
				long BgL_siza7eza7_17171;
				BgL_ev_absz00_bglt BgL_i1250z00_17172;
				obj_t BgL_bodyz00_17173;
				long BgL_siza7ezd2framez75_17174;

				BgL_ifreesz00_17169 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 0))));
				BgL_iboxesz00_17170 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 1))));
				BgL_siza7eza7_17171 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 2))));
				BgL_i1250z00_17172 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 3))));
				BgL_bodyz00_17173 = PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17174 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17168, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5222;

					BgL_sz00_5222 = BgL_sz00_17175;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5224;

						BgL_bpz00_5224 = VECTOR_REF(BgL_sz00_5222, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5225;

							BgL_valza2za2_5225 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5222,
								BgL_bpz00_5224, BgL_ifreesz00_17169);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16189;

								BgL_runz00_16189 =
									MAKE_FX_PROCEDURE(BGl_z62run5531z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 0)), BgL_iboxesz00_17170);
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17171));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 2)), BgL_valza2za2_5225);
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17172));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 4)), BgL_bodyz00_17173);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16190;

									BgL_mainz00_16190 =
										MAKE_VA_PROCEDURE(BGl_z62main5530z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 0)), BgL_iboxesz00_17170);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17171));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 2)), BgL_valza2za2_5225);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 3)), BgL_bodyz00_17173);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 4)), ((obj_t) BgL_i1250z00_17172));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 5)), BgL_runz00_16189);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17174));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10940;

										BgL_objz00_10940 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16189, BgL_objz00_10940);
										BgL_objz00_10940;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3956z00_5228;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3957z00_5229;
											obj_t BgL_arg3958z00_5230;

											BgL_arg3957z00_5229 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17172))->
												BgL_arityz00);
											BgL_arg3958z00_5230 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17172))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10944;

												BgL_newz00_10944 =
													create_struct(BGl_symbol5561z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30768;

													BgL_auxz00_30768 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10944, BgL_auxz00_30768,
														BgL_arg3958z00_5230);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30773;
													int BgL_auxz00_30771;

													BgL_auxz00_30773 = BINT(BgL_siza7ezd2framez75_17174);
													BgL_auxz00_30771 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10944, BgL_auxz00_30771,
														BgL_auxz00_30773);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30776;

													BgL_auxz00_30776 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10944, BgL_auxz00_30776,
														BgL_runz00_16189);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30779;

													BgL_auxz00_30779 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10944, BgL_auxz00_30779,
														BgL_arg3957z00_5229);
												}
												BgL_arg3956z00_5228 = BgL_newz00_10944;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16190, BgL_arg3956z00_5228);
										BgL_arg3956z00_5228;
									}
									return BgL_mainz00_16190;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5530 */
	obj_t BGl_z62main5530z62zz__evaluate_compz00(obj_t BgL_envz00_17176,
		obj_t BgL_az00_17184, obj_t BgL_bz00_17185, obj_t BgL_cz00_17186,
		obj_t BgL_dz00_17187, obj_t BgL_restz00_17188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17181;
				obj_t BgL_runz00_17182;
				long BgL_siza7ezd2framez75_17183;

				BgL_i1250z00_17181 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17176, (int) (((long) 4))));
				BgL_runz00_17182 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17176, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17176, (int) (((long) 6))));
				{
					obj_t BgL_az00_5231;
					obj_t BgL_bz00_5232;
					obj_t BgL_cz00_5233;
					obj_t BgL_dz00_5234;
					obj_t BgL_restz00_5235;

					BgL_az00_5231 = BgL_az00_17184;
					BgL_bz00_5232 = BgL_bz00_17185;
					BgL_cz00_5233 = BgL_cz00_17186;
					BgL_dz00_5234 = BgL_dz00_17187;
					BgL_restz00_5235 = BgL_restz00_17188;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5237;

						BgL_sz00_5237 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5238;

							BgL_bpz00_5238 = VECTOR_REF(BgL_sz00_5237, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30795;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1897z00_10830;

									BgL_arg1897z00_10830 = VECTOR_LENGTH(BgL_sz00_5237);
									BgL_testz00_30795 =
										(
										((long) CINT(BgL_bpz00_5238) +
											BgL_siza7ezd2framez75_17183) <
										(long) (BgL_arg1897z00_10830));
								}
								if (BgL_testz00_30795)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3961z00_5240;

											BgL_arg3961z00_5240 =
												((long) CINT(BgL_bpz00_5238) + ((long) 0));
											VECTOR_SET(BgL_sz00_5237,
												(int) (BgL_arg3961z00_5240), BgL_az00_5231);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3962z00_5241;

											BgL_arg3962z00_5241 =
												((long) CINT(BgL_bpz00_5238) + ((long) 1));
											VECTOR_SET(BgL_sz00_5237,
												(int) (BgL_arg3962z00_5241), BgL_bz00_5232);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3963z00_5242;

											BgL_arg3963z00_5242 =
												((long) CINT(BgL_bpz00_5238) + ((long) 2));
											VECTOR_SET(BgL_sz00_5237,
												(int) (BgL_arg3963z00_5242), BgL_cz00_5233);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3964z00_5243;

											BgL_arg3964z00_5243 =
												((long) CINT(BgL_bpz00_5238) + ((long) 3));
											VECTOR_SET(BgL_sz00_5237,
												(int) (BgL_arg3964z00_5243), BgL_dz00_5234);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3965z00_5244;
											long BgL_arg3966z00_5245;
											long BgL_arg3967z00_5246;
											obj_t BgL_arg3968z00_5247;

											BgL_arg3965z00_5244 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
												BgL_wherez00);
											BgL_arg3966z00_5245 =
												((long) CINT(BgL_bpz00_5238) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10865;

												BgL_nz00_10865 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10865) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3967z00_5246 =
															((long) CINT(BgL_nz00_10865) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3967z00_5246 =
															((long) CINT(BgL_nz00_10865) - ((long) 4));
											}}
											BgL_arg3968z00_5247 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5237,
												BgL_arg3965z00_5244, BgL_arg3966z00_5245,
												BgL_arg3967z00_5246, BgL_restz00_5235,
												BgL_arg3968z00_5247);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1269z00_5249;

											BgL_val1269z00_5249 =
												BGl_zc3exitza33973ze3z83zz__evaluate_compz00
												(BgL_bpz00_5238, BgL_sz00_5237, BgL_runz00_17182);
											VECTOR_SET(BgL_sz00_5237, (int) (((long) 0)),
												BgL_bpz00_5238);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1269z00_5249)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1269z00_5249), CDR(BgL_val1269z00_5249));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1269z00_5249;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5256;

										BgL_nsz00_5256 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 1)), BgL_sz00_5237);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 2)), BgL_az00_5231);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 3)), BgL_bz00_5232);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 4)), BgL_cz00_5233);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 5)), BgL_dz00_5234);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3974z00_5257;
											long BgL_arg3975z00_5258;
											obj_t BgL_arg3976z00_5259;

											BgL_arg3974z00_5257 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10897;

												BgL_nz00_10897 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10897) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3975z00_5258 =
															((long) CINT(BgL_nz00_10897) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3975z00_5258 =
															((long) CINT(BgL_nz00_10897) - ((long) 4));
											}}
											BgL_arg3976z00_5259 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17181))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5256,
												BgL_arg3974z00_5257, ((long) 6), BgL_arg3975z00_5258,
												BgL_restz00_5235, BgL_arg3976z00_5259);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30861;

											BgL_auxz00_30861 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30861, BgL_nsz00_5256);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1272z00_5262;

											BgL_val1272z00_5262 =
												BGl_zc3exitza33983ze3z83zz__evaluate_compz00
												(BgL_runz00_17182, BgL_nsz00_5256);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30865;

												BgL_auxz00_30865 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30865, BgL_sz00_5237);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1272z00_5262)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1272z00_5262), CDR(BgL_val1272z00_5262));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1272z00_5262;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3983> */
	obj_t BGl_zc3exitza33983ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17415,
		obj_t BgL_nsz00_17414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1273z00_5268;

			if (SET_EXIT(BgL_an_exit1273z00_5268))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1273z00_5268 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1273z00_5268, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1274z00_5269;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10912;

								BgL_savedzd2bpzd2_10912 =
									VECTOR_REF(BgL_nsz00_17414, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17414,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10919;

									BgL_fz00_10919 = BgL_runz00_17415;
								BgL_recz00_10918:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10920;

										BgL_rz00_10920 =
											PROCEDURE_ENTRY(BgL_fz00_10919) (BgL_fz00_10919,
											BgL_nsz00_17414, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30886;

											if (PROCEDUREP(BgL_rz00_10920))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1889z00_10925;

													BgL_arg1889z00_10925 = PROCEDURE_ATTR(BgL_rz00_10920);
													if (STRUCTP(BgL_arg1889z00_10925))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30886 =
																(STRUCT_KEY(BgL_arg1889z00_10925) ==
																BGl_symbol5540z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30886 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30886 = ((bool_t) 0);
												}
											if (BgL_testz00_30886)
												{
													obj_t BgL_fz00_30894;

													BgL_fz00_30894 = BgL_rz00_10920;
													BgL_fz00_10919 = BgL_fz00_30894;
													goto BgL_recz00_10918;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17414,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10912);
													BgL_val1274z00_5269 = BgL_rz00_10920;
							}}}}}
							POP_EXIT();
							return BgL_val1274z00_5269;
						}
					}
				}
		}
	}



/* <exit:3973> */
	obj_t BGl_zc3exitza33973ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17418,
		obj_t BgL_sz00_17417, obj_t BgL_runz00_17416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1270z00_5254;

			if (SET_EXIT(BgL_an_exit1270z00_5254))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1270z00_5254 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1270z00_5254, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1271z00_5255;

							BgL_val1271z00_5255 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17416,
								BgL_sz00_17417, BgL_bpz00_17418);
							POP_EXIT();
							return BgL_val1271z00_5255;
						}
					}
				}
		}
	}



/* &run5531 */
	obj_t BGl_z62run5531z62zz__evaluate_compz00(obj_t BgL_envz00_17189,
		obj_t BgL_sz00_17195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17190;
				long BgL_siza7eza7_17191;
				obj_t BgL_valza2za2_17192;
				BgL_ev_absz00_bglt BgL_i1250z00_17193;
				obj_t BgL_bodyz00_17194;

				BgL_iboxesz00_17190 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 0))));
				BgL_siza7eza7_17191 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 1))));
				BgL_valza2za2_17192 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 2))));
				BgL_i1250z00_17193 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 3))));
				BgL_bodyz00_17194 = PROCEDURE_REF(BgL_envz00_17189, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5271;

					BgL_sz00_5271 = BgL_sz00_17195;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5273;

						BgL_bpz00_5273 = VECTOR_REF(BgL_sz00_5271, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5271,
							BgL_iboxesz00_17190, BgL_bpz00_5273);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5271,
							BgL_valza2za2_17192,
							((long) CINT(BgL_bpz00_5273) + BgL_siza7eza7_17191));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5275;
							obj_t BgL_wherez00_5276;
							obj_t BgL_locz00_5277;

							BgL_z12denvz12_5275 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5276 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17193))->BgL_wherez00);
							BgL_locz00_5277 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17193))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5275, BgL_wherez00_5276,
									BgL_locz00_5277);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5278;

									BgL_za2za2resza2za2z00_5278 =
										PROCEDURE_ENTRY(BgL_bodyz00_17194) (BgL_bodyz00_17194,
										BgL_sz00_5271, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5275);
									return BgL_za2za2resza2za2z00_5278;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1676 */
	obj_t BGl_z62compzd2ev_app1676zb0zz__evaluate_compz00(obj_t BgL_envz00_17196,
		BgL_ev_appz00_bglt BgL_ez00_17197, obj_t BgL_stkz00_17198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 984 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3198;
				obj_t BgL_stkz00_3199;

				BgL_ez00_3198 = BgL_ez00_17197;
				BgL_stkz00_3199 = BgL_stkz00_17198;
				{	/* Eval/evaluate_comp.scm 986 */
					obj_t BgL__ortest_1236z00_3203;

					BgL__ortest_1236z00_3203 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3198,
						BgL_stkz00_3199);
					if (CBOOL(BgL__ortest_1236z00_3203))
						{	/* Eval/evaluate_comp.scm 986 */
							return BgL__ortest_1236z00_3203;
						}
					else
						{	/* Eval/evaluate_comp.scm 987 */
							obj_t BgL__ortest_1237z00_3204;

							BgL__ortest_1237z00_3204 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->BgL_argsz00),
								BgL_stkz00_3199);
							if (CBOOL(BgL__ortest_1237z00_3204))
								{	/* Eval/evaluate_comp.scm 987 */
									return BgL__ortest_1237z00_3204;
								}
							else
								{	/* Eval/evaluate_comp.scm 987 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 988 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3198, BgL_stkz00_3199);
										}
									else
										{	/* Eval/evaluate_comp.scm 990 */
											obj_t BgL_fz00_3206;
											long BgL_siza7eza7_3207;
											obj_t BgL_symbzd2funzd2_3208;

											BgL_fz00_3206 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
													BgL_funz00), BgL_stkz00_3199);
											BgL_siza7eza7_3207 = bgl_list_length(BgL_stkz00_3199);
											BgL_symbzd2funzd2_3208 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 991 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
															BgL_funz00), BgL_symbzd2funzd2_3208,
														BgL_fz00_3206,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
															BgL_tailzf3zf3), BgL_stkz00_3199,
														BgL_siza7eza7_3207);
												}
											else
												{	/* Eval/evaluate_comp.scm 993 */
													obj_t BgL_a1z00_3213;
													obj_t BgL_argsz00_3214;

													{	/* Eval/evaluate_comp.scm 993 */
														obj_t BgL_arg3022z00_3240;

														BgL_arg3022z00_3240 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
																BgL_argsz00));
														BgL_a1z00_3213 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3022z00_3240),
															BgL_stkz00_3199);
													}
													BgL_argsz00_3214 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3214))
														{	/* Eval/evaluate_comp.scm 993 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
																	BgL_funz00), BgL_symbzd2funzd2_3208,
																BgL_fz00_3206,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3198))->
																	BgL_tailzf3zf3), BgL_stkz00_3199,
																BgL_siza7eza7_3207, BgL_a1z00_3213);
														}
													else
														{	/* Eval/evaluate_comp.scm 993 */
															obj_t BgL_a2z00_3219;
															obj_t BgL_argsz00_3220;

															{	/* Eval/evaluate_comp.scm 993 */
																obj_t BgL_arg3021z00_3239;

																BgL_arg3021z00_3239 = CAR(BgL_argsz00_3214);
																BgL_a2z00_3219 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3021z00_3239),
																	BgL_stkz00_3199);
															}
															BgL_argsz00_3220 = CDR(BgL_argsz00_3214);
															if (NULLP(BgL_argsz00_3220))
																{	/* Eval/evaluate_comp.scm 993 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3198))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3198))->BgL_funz00),
																		BgL_symbzd2funzd2_3208, BgL_fz00_3206,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3198))->BgL_tailzf3zf3),
																		BgL_stkz00_3199, BgL_siza7eza7_3207,
																		BgL_a1z00_3213, BgL_a2z00_3219);
																}
															else
																{	/* Eval/evaluate_comp.scm 993 */
																	obj_t BgL_a3z00_3225;
																	obj_t BgL_argsz00_3226;

																	{	/* Eval/evaluate_comp.scm 993 */
																		obj_t BgL_arg3020z00_3238;

																		BgL_arg3020z00_3238 = CAR(BgL_argsz00_3220);
																		BgL_a3z00_3225 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3020z00_3238), BgL_stkz00_3199);
																	}
																	BgL_argsz00_3226 = CDR(BgL_argsz00_3220);
																	if (NULLP(BgL_argsz00_3226))
																		{	/* Eval/evaluate_comp.scm 993 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3198))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3198))->BgL_funz00),
																				BgL_symbzd2funzd2_3208, BgL_fz00_3206,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3198))->
																					BgL_tailzf3zf3), BgL_stkz00_3199,
																				BgL_siza7eza7_3207, BgL_a1z00_3213,
																				BgL_a2z00_3219, BgL_a3z00_3225);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 993 */
																			obj_t BgL_a4z00_3231;
																			obj_t BgL_argsz00_3232;

																			{	/* Eval/evaluate_comp.scm 993 */
																				obj_t BgL_arg3018z00_3237;

																				BgL_arg3018z00_3237 =
																					CAR(BgL_argsz00_3226);
																				BgL_a4z00_3231 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3018z00_3237),
																					BgL_stkz00_3199);
																			}
																			BgL_argsz00_3232 = CDR(BgL_argsz00_3226);
																			if (NULLP(BgL_argsz00_3232))
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3198))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3198))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3208,
																						BgL_fz00_3206,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3198))->
																							BgL_tailzf3zf3), BgL_stkz00_3199,
																						BgL_siza7eza7_3207, BgL_a1z00_3213,
																						BgL_a2z00_3219, BgL_a3z00_3225,
																						BgL_a4z00_3231);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5544z00zz__evaluate_compz00,
																						BGl_string5658z00zz__evaluate_compz00,
																						BGl_string5659z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1674 */
	obj_t BGl_z62compzd2ev_goto1674zb0zz__evaluate_compz00(obj_t BgL_envz00_17199,
		BgL_ev_gotoz00_bglt BgL_ez00_17200, obj_t BgL_stkz00_17201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 569 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3155;
				obj_t BgL_stkz00_3156;

				BgL_ez00_3155 = BgL_ez00_17200;
				BgL_stkz00_3156 = BgL_stkz00_17201;
				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_slotz00_3160;
					long BgL_siza7eza7_3161;
					obj_t BgL_lstkz00_3162;

					BgL_slotz00_3160 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3161 = bgl_list_length(BgL_stkz00_3156);
					BgL_lstkz00_3162 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 574 */
						long BgL_llstkz00_3163;
						obj_t BgL_substkz00_3164;
						obj_t BgL_boxesz00_3165;

						BgL_llstkz00_3163 = bgl_list_length(BgL_lstkz00_3162);
						BgL_substkz00_3164 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3162,
							BgL_stkz00_3156);
						{	/* Eval/evaluate_comp.scm 574 */
							obj_t BgL_pairz00_10243;

							BgL_pairz00_10243 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3165 = CDR(BgL_pairz00_10243);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_argsz00),
								BgL_substkz00_3164))
							{	/* Eval/evaluate_comp.scm 577 */
								obj_t BgL_argsz00_3167;
								long BgL_nbargsz00_3168;

								BgL_argsz00_3167 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_argsz00),
									BgL_stkz00_3156);
								BgL_nbargsz00_3168 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 578 */
									obj_t BgL_zc3anonymousza32978ze3z83_16203;

									BgL_zc3anonymousza32978ze3z83_16203 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3161));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 1)), BINT(BgL_llstkz00_3163));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3155));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 3)), BgL_argsz00_3167);
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 4)), BgL_boxesz00_3165);
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3168));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_16203,
										(int) (((long) 6)), BgL_slotz00_3160);
									return BgL_zc3anonymousza32978ze3z83_16203;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 583 */
								obj_t BgL_argsz00_3179;

								BgL_argsz00_3179 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3156,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3155))->BgL_argsz00),
									(BgL_siza7eza7_3161 - BgL_llstkz00_3163));
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_zc3anonymousza32984ze3z83_16204;

									BgL_zc3anonymousza32984ze3z83_16204 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_16204,
										(int) (((long) 0)), BINT(BgL_llstkz00_3163));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_16204,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3155));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_16204,
										(int) (((long) 2)), BgL_argsz00_3179);
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_16204,
										(int) (((long) 3)), BgL_boxesz00_3165);
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_16204,
										(int) (((long) 4)), BgL_slotz00_3160);
									return BgL_zc3anonymousza32984ze3z83_16204;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2978> */
	obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17202, obj_t BgL_sz00_17210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 578 */
			{	/* Eval/evaluate_comp.scm 578 */
				long BgL_siza7eza7_17203;
				long BgL_llstkz00_17204;
				BgL_ev_gotoz00_bglt BgL_i1138z00_17205;
				obj_t BgL_argsz00_17206;
				obj_t BgL_boxesz00_17207;
				long BgL_nbargsz00_17208;
				obj_t BgL_slotz00_17209;

				BgL_siza7eza7_17203 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 0))));
				BgL_llstkz00_17204 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 1))));
				BgL_i1138z00_17205 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 2))));
				BgL_argsz00_17206 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 3))));
				BgL_boxesz00_17207 =
					PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 4)));
				BgL_nbargsz00_17208 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 5))));
				BgL_slotz00_17209 = PROCEDURE_REF(BgL_envz00_17202, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3169;

					BgL_sz00_3169 = BgL_sz00_17210;
					{	/* Eval/evaluate_comp.scm 578 */
						obj_t BgL_bpz00_3171;

						BgL_bpz00_3171 = VECTOR_REF(BgL_sz00_3169, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 579 */
							long BgL_spz00_3172;
							long BgL_lspz00_3173;

							BgL_spz00_3172 =
								((long) CINT(BgL_bpz00_3171) + BgL_siza7eza7_17203);
							BgL_lspz00_3173 =
								((long) CINT(BgL_bpz00_3171) + BgL_llstkz00_17204);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3169, BgL_argsz00_17206, BgL_boxesz00_17207,
								BgL_spz00_3172,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_17205))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 581 */
								long BgL_arg2980z00_3175;

								BgL_arg2980z00_3175 = (BgL_spz00_3172 + BgL_nbargsz00_17208);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3169,
									BINT(BgL_lspz00_3173), BgL_sz00_3169,
									BINT(BgL_spz00_3172), BINT(BgL_arg2980z00_3175));
							}
							return CDR(BgL_slotz00_17209);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2984> */
	obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17211, obj_t BgL_sz00_17217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 584 */
			{	/* Eval/evaluate_comp.scm 584 */
				long BgL_llstkz00_17212;
				BgL_ev_gotoz00_bglt BgL_i1138z00_17213;
				obj_t BgL_argsz00_17214;
				obj_t BgL_boxesz00_17215;
				obj_t BgL_slotz00_17216;

				BgL_llstkz00_17212 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17211, (int) (((long) 0))));
				BgL_i1138z00_17213 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17211, (int) (((long) 1))));
				BgL_argsz00_17214 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17211, (int) (((long) 2))));
				BgL_boxesz00_17215 =
					PROCEDURE_REF(BgL_envz00_17211, (int) (((long) 3)));
				BgL_slotz00_17216 = PROCEDURE_REF(BgL_envz00_17211, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3180;

					BgL_sz00_3180 = BgL_sz00_17217;
					{	/* Eval/evaluate_comp.scm 584 */
						obj_t BgL_bpz00_3182;

						BgL_bpz00_3182 = VECTOR_REF(BgL_sz00_3180, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3180, BgL_argsz00_17214, BgL_boxesz00_17215,
							((long) CINT(BgL_bpz00_3182) + BgL_llstkz00_17212),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_17213))->BgL_locz00));
						return CDR(BgL_slotz00_17216);
					}
				}
			}
		}
	}



/* &comp-ev_labels1672 */
	obj_t BGl_z62compzd2ev_labels1672zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17218, BgL_ev_labelsz00_bglt BgL_ez00_17219,
		obj_t BgL_stkz00_17220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 537 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3109;
				obj_t BgL_stkz00_3110;

				BgL_ez00_3109 = BgL_ez00_17219;
				BgL_stkz00_3110 = BgL_stkz00_17220;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3109))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3110), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 544 */
					obj_t BgL_envz00_3115;

					{	/* Eval/evaluate_comp.scm 544 */
						obj_t BgL_l1582z00_3133;

						BgL_l1582z00_3133 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3109))->BgL_varsz00);
						if (NULLP(BgL_l1582z00_3133))
							{	/* Eval/evaluate_comp.scm 544 */
								BgL_envz00_3115 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 544 */
								obj_t BgL_head1584z00_3135;

								{	/* Eval/evaluate_comp.scm 544 */
									obj_t BgL_res4929z00_10153;

									BgL_res4929z00_10153 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1584z00_3135 = BgL_res4929z00_10153;
								}
								{
									obj_t BgL_l1582z00_10187;
									obj_t BgL_tail1585z00_10188;

									BgL_l1582z00_10187 = BgL_l1582z00_3133;
									BgL_tail1585z00_10188 = BgL_head1584z00_3135;
								BgL_zc3anonymousza32970ze3z83_10186:
									if (NULLP(BgL_l1582z00_10187))
										{	/* Eval/evaluate_comp.scm 544 */
											BgL_envz00_3115 = CDR(BgL_head1584z00_3135);
										}
									else
										{	/* Eval/evaluate_comp.scm 544 */
											obj_t BgL_newtail1586z00_10195;

											{	/* Eval/evaluate_comp.scm 544 */
												obj_t BgL_arg2973z00_10196;

												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_vz00_10197;

													BgL_vz00_10197 = CAR(BgL_l1582z00_10187);
													BgL_arg2973z00_10196 =
														MAKE_PAIR(BgL_vz00_10197,
														BGl_symbol5660z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_res4935z00_10205;

													BgL_res4935z00_10205 =
														MAKE_PAIR(BgL_arg2973z00_10196, BNIL);
													BgL_newtail1586z00_10195 = BgL_res4935z00_10205;
												}
											}
											SET_CDR(BgL_tail1585z00_10188, BgL_newtail1586z00_10195);
											{
												obj_t BgL_tail1585z00_31130;
												obj_t BgL_l1582z00_31128;

												BgL_l1582z00_31128 = CDR(BgL_l1582z00_10187);
												BgL_tail1585z00_31130 = BgL_newtail1586z00_10195;
												BgL_tail1585z00_10188 = BgL_tail1585z00_31130;
												BgL_l1582z00_10187 = BgL_l1582z00_31128;
												goto BgL_zc3anonymousza32970ze3z83_10186;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3109))->BgL_envz00) =
						((obj_t) BgL_envz00_3115), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_g1590z00_3117;

						BgL_g1590z00_3117 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3109))->BgL_valsz00);
						{
							obj_t BgL_ll1587z00_3119;
							obj_t BgL_ll1588z00_3120;

							BgL_ll1587z00_3119 = BgL_envz00_3115;
							BgL_ll1588z00_3120 = BgL_g1590z00_3117;
						BgL_zc3anonymousza32960ze3z83_3121:
							if (NULLP(BgL_ll1587z00_3119))
								{	/* Eval/evaluate_comp.scm 547 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 547 */
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_slotz00_3123;
										obj_t BgL_valz00_3124;

										BgL_slotz00_3123 = CAR(BgL_ll1587z00_3119);
										BgL_valz00_3124 = CAR(BgL_ll1588z00_3120);
										{	/* Eval/evaluate_comp.scm 550 */
											obj_t BgL_arg2962z00_3125;

											{	/* Eval/evaluate_comp.scm 550 */
												obj_t BgL_arg2963z00_3126;

												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_arg2964z00_3127;
													obj_t BgL_arg2965z00_3128;

													BgL_arg2964z00_3127 = CDR(BgL_valz00_3124);
													BgL_arg2965z00_3128 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3110, CAR(BgL_valz00_3124));
													BgL_arg2963z00_3126 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg2964z00_3127),
														BgL_arg2965z00_3128);
												}
												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_procz00_10216;
													obj_t BgL_objz00_10217;

													BgL_procz00_10216 = BgL_arg2963z00_3126;
													BgL_objz00_10217 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_10216,
														BgL_objz00_10217);
													BgL_objz00_10217;
												}
												BgL_arg2962z00_3125 = BgL_arg2963z00_3126;
											}
											SET_CDR(BgL_slotz00_3123, BgL_arg2962z00_3125);
										}
									}
									{
										obj_t BgL_ll1588z00_31146;
										obj_t BgL_ll1587z00_31144;

										BgL_ll1587z00_31144 = CDR(BgL_ll1587z00_3119);
										BgL_ll1588z00_31146 = CDR(BgL_ll1588z00_3120);
										BgL_ll1588z00_3120 = BgL_ll1588z00_31146;
										BgL_ll1587z00_3119 = BgL_ll1587z00_31144;
										goto BgL_zc3anonymousza32960ze3z83_3121;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 554 */
					obj_t BgL_bodyz00_3146;

					BgL_bodyz00_3146 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3109))->BgL_bodyz00),
						BgL_stkz00_3110);
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_zc3anonymousza32974ze3z83_16206;

						BgL_zc3anonymousza32974ze3z83_16206 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32974ze3z83_16206,
							(int) (((long) 0)), BgL_bodyz00_3146);
						return BgL_zc3anonymousza32974ze3z83_16206;
					}
				}
			}
		}
	}



/* &<anonymous:2974> */
	obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17221, obj_t BgL_sz00_17223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 555 */
			{	/* Eval/evaluate_comp.scm 555 */
				obj_t BgL_bodyz00_17222;

				BgL_bodyz00_17222 = PROCEDURE_REF(BgL_envz00_17221, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3147;

					BgL_sz00_3147 = BgL_sz00_17223;
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_bpz00_10222;

						BgL_bpz00_10222 = VECTOR_REF(BgL_sz00_3147, (int) (((long) 0)));
						{
							obj_t BgL_fz00_10228;

							BgL_fz00_10228 = BgL_bodyz00_17222;
						BgL_recz00_10227:
							{	/* Eval/evaluate_comp.scm 555 */
								obj_t BgL_rz00_10229;

								BgL_rz00_10229 =
									PROCEDURE_ENTRY(BgL_fz00_10228) (BgL_fz00_10228,
									BgL_sz00_3147, BEOA);
								{	/* Eval/evaluate_comp.scm 555 */
									bool_t BgL_testz00_31163;

									if (PROCEDUREP(BgL_rz00_10229))
										{	/* Eval/evaluate_comp.scm 555 */
											obj_t BgL_arg1850z00_10232;

											BgL_arg1850z00_10232 = PROCEDURE_ATTR(BgL_rz00_10229);
											if (STRUCTP(BgL_arg1850z00_10232))
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31163 =
														(STRUCT_KEY(BgL_arg1850z00_10232) ==
														BGl_symbol5538z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31163 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											BgL_testz00_31163 = ((bool_t) 0);
										}
									if (BgL_testz00_31163)
										{
											obj_t BgL_fz00_31171;

											BgL_fz00_31171 = BgL_rz00_10229;
											BgL_fz00_10228 = BgL_fz00_31171;
											goto BgL_recz00_10227;
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											return BgL_rz00_10229;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1670 */
	obj_t BGl_z62compzd2ev_withzd2handler1670z62zz__evaluate_compz00(obj_t
		BgL_envz00_17224, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_17225,
		obj_t BgL_stkz00_17226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3071;
				obj_t BgL_stkz00_3072;

				BgL_ez00_3071 = BgL_ez00_17225;
				BgL_stkz00_3072 = BgL_stkz00_17226;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3076;
					obj_t BgL_bodyz00_3077;

					BgL_handlerz00_3076 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3071))->
							BgL_handlerz00), BgL_stkz00_3072);
					BgL_bodyz00_3077 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3071))->BgL_bodyz00), BgL_stkz00_3072);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza32948ze3z83_16209;

						BgL_zc3anonymousza32948ze3z83_16209 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_16209,
							(int) (((long) 0)), BgL_handlerz00_3076);
						PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_16209,
							(int) (((long) 1)), BgL_bodyz00_3077);
						return BgL_zc3anonymousza32948ze3z83_16209;
					}
				}
			}
		}
	}



/* &<anonymous:2948> */
	obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17227, obj_t BgL_sz00_17230)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_17228;
				obj_t BgL_bodyz00_17229;

				BgL_handlerz00_17228 =
					PROCEDURE_REF(BgL_envz00_17227, (int) (((long) 0)));
				BgL_bodyz00_17229 = PROCEDURE_REF(BgL_envz00_17227, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3078;

					BgL_sz00_3078 = BgL_sz00_17230;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3080;

						BgL_bpz00_3080 = VECTOR_REF(BgL_sz00_3078, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3081;

							BgL_hz00_3081 =
								PROCEDURE_ENTRY(BgL_handlerz00_17228) (BgL_handlerz00_17228,
								BgL_sz00_3078, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3083;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1126z00_3084;

									BgL_res1126z00_3084 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza32950ze3z83zz__evaluate_compz00
											(BgL_sz00_3078, BgL_bodyz00_17229, BgL_res1126z00_3084)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3083 =
												PROCEDURE_ENTRY(BgL_hz00_3081) (BgL_hz00_3081,
												CELL_REF(BgL_res1126z00_3084), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3083 =
												CELL_REF(BgL_res1126z00_3084);
										}
								}
								VECTOR_SET(BgL_sz00_3078, (int) (((long) 0)), BgL_bpz00_3080);
								return BgL_za2za2resza2za2z00_3083;
							}
						}
					}
				}
			}
		}
	}



/* <exit:2954> */
	obj_t BGl_zc3exitza32954ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17410,
		obj_t BgL_bodyz00_17409, obj_t BgL_ohs1124z00_17408,
		obj_t BgL_an_exitd1130z00_17407, obj_t BgL_res1126z00_17406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1134z00_3099;

			if (SET_EXIT(BgL_an_exit1134z00_3099))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1134z00_3099 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1134z00_3099, ((long) 0));
						{	/* Eval/evaluate_comp.scm 530 */
							bool_t BgL_val1135z00_3100;

							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_arg2955z00_3101;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_zc3anonymousza32957ze3z83_16208;

									BgL_zc3anonymousza32957ze3z83_16208 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_16208,
										(int) (((long) 0)), BgL_res1126z00_17406);
									PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_16208,
										(int) (((long) 1)), BgL_an_exitd1130z00_17407);
									BgL_arg2955z00_3101 =
										MAKE_PAIR(BgL_zc3anonymousza32957ze3z83_16208,
										BgL_ohs1124z00_17408);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg2955z00_3101);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_auxz00_17231;

								BgL_auxz00_17231 =
									PROCEDURE_ENTRY(BgL_bodyz00_17409) (BgL_bodyz00_17409,
									BgL_sz00_17410, BEOA);
								CELL_SET(BgL_res1126z00_17406, BgL_auxz00_17231);
							}
							BgL_val1135z00_3100 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val1135z00_3100);
						}
					}
				}
		}
	}



/* <exit:2950> */
	obj_t BGl_zc3exitza32950ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17413,
		obj_t BgL_bodyz00_17412, obj_t BgL_res1126z00_17411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1129z00_3088;

			if (SET_EXIT(BgL_an_exit1129z00_3088))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1129z00_3088 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1129z00_3088, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1130z00_3089;

							BgL_an_exitd1130z00_3089 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_res1132z00_3092;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1124z00_3093;

									BgL_ohs1124z00_3093 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_val1133z00_3094;

										BgL_val1133z00_3094 =
											BGl_zc3exitza32954ze3z83zz__evaluate_compz00
											(BgL_sz00_17413, BgL_bodyz00_17412, BgL_ohs1124z00_3093,
											BgL_an_exitd1130z00_3089, BgL_res1126z00_17411);
										BGL_ERROR_HANDLER_SET(BgL_ohs1124z00_3093);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1133z00_3094)))
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1132z00_3092 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1133z00_3094), CDR(BgL_val1133z00_3094));
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1132z00_3092 = BgL_val1133z00_3094;
											}
									}
								}
								POP_EXIT();
								return BgL_res1132z00_3092;
							}
						}
					}
				}
		}
	}



/* &<anonymous:2957> */
	obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17232, obj_t BgL_ez00_17235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1126z00_17233;
				obj_t BgL_an_exitd1130z00_17234;

				BgL_res1126z00_17233 =
					PROCEDURE_REF(BgL_envz00_17232, (int) (((long) 0)));
				BgL_an_exitd1130z00_17234 =
					PROCEDURE_REF(BgL_envz00_17232, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3103;

					BgL_ez00_3103 = BgL_ez00_17235;
					CELL_SET(BgL_res1126z00_17233, BgL_ez00_3103);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1130z00_17234,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote1668 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1668z62zz__evaluate_compz00(obj_t
		BgL_envz00_17237, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_17238,
		obj_t BgL_stkz00_17239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3050;
				obj_t BgL_stkz00_3051;

				BgL_ez00_3050 = BgL_ez00_17238;
				BgL_stkz00_3051 = BgL_stkz00_17239;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3055;
					obj_t BgL_bodyz00_3056;

					BgL_ez00_3055 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3050))->BgL_ez00),
						BgL_stkz00_3051);
					BgL_bodyz00_3056 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3050))->BgL_bodyz00), BgL_stkz00_3051);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza32941ze3z83_16211;

						BgL_zc3anonymousza32941ze3z83_16211 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32941ze3z83_16211,
							(int) (((long) 0)), BgL_ez00_3055);
						PROCEDURE_SET(BgL_zc3anonymousza32941ze3z83_16211,
							(int) (((long) 1)), BgL_bodyz00_3056);
						return BgL_zc3anonymousza32941ze3z83_16211;
					}
				}
			}
		}
	}



/* &<anonymous:2941> */
	obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17240, obj_t BgL_sz00_17243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_ez00_17241;
				obj_t BgL_bodyz00_17242;

				BgL_ez00_17241 = PROCEDURE_REF(BgL_envz00_17240, (int) (((long) 0)));
				BgL_bodyz00_17242 = PROCEDURE_REF(BgL_envz00_17240, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3057;

					BgL_sz00_3057 = BgL_sz00_17243;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3059;

						BgL_bpz00_3059 = VECTOR_REF(BgL_sz00_3057, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1120z00_3061;

							BgL_val1120z00_3061 =
								BGl_zc3exitza32945ze3z83zz__evaluate_compz00(BgL_sz00_3057,
								BgL_ez00_17241);
							VECTOR_SET(BgL_sz00_3057, (int) (((long) 0)), BgL_bpz00_3059);
							PROCEDURE_ENTRY(BgL_bodyz00_17242) (BgL_bodyz00_17242,
								BgL_sz00_3057, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1120z00_3061)))
								{	/* Eval/evaluate_comp.scm 522 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1120z00_3061), CDR(BgL_val1120z00_3061));
								}
							else
								{	/* Eval/evaluate_comp.scm 522 */
									return BgL_val1120z00_3061;
								}
						}
					}
				}
			}
		}
	}



/* <exit:2945> */
	obj_t BGl_zc3exitza32945ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17405,
		obj_t BgL_ez00_17404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 521 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_3066;

			if (SET_EXIT(BgL_an_exit1121z00_3066))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_3066 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 521 */

						PUSH_EXIT(BgL_an_exit1121z00_3066, ((long) 0));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1122z00_3067;

							BgL_val1122z00_3067 =
								PROCEDURE_ENTRY(BgL_ez00_17404) (BgL_ez00_17404, BgL_sz00_17405,
								BEOA);
							POP_EXIT();
							return BgL_val1122z00_3067;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit1666 */
	obj_t BGl_z62compzd2ev_bindzd2exit1666z62zz__evaluate_compz00(obj_t
		BgL_envz00_17244, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_17245,
		obj_t BgL_stkz00_17246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3023;
				obj_t BgL_stkz00_3024;

				BgL_ez00_3023 = BgL_ez00_17245;
				BgL_stkz00_3024 = BgL_stkz00_17246;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3028;
					obj_t BgL_nstkz00_3029;

					BgL_siza7eza7_3028 = bgl_list_length(BgL_stkz00_3024);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg2939z00_3047;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg2940z00_3048;

							BgL_arg2940z00_3048 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3023))->
								BgL_varz00);
							BgL_arg2939z00_3047 =
								MAKE_PAIR(((obj_t) BgL_arg2940z00_3048), BNIL);
						}
						BgL_nstkz00_3029 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3024,
							BgL_arg2939z00_3047);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3030;
						obj_t BgL_effzf3zf3_3031;

						BgL_bodyz00_3030 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3023))->BgL_bodyz00),
							BgL_nstkz00_3029);
						BgL_effzf3zf3_3031 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3023))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza32934ze3z83_16214;

							BgL_zc3anonymousza32934ze3z83_16214 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_16214,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3028));
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_16214,
								(int) (((long) 1)), BgL_effzf3zf3_3031);
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_16214,
								(int) (((long) 2)), BgL_bodyz00_3030);
							return BgL_zc3anonymousza32934ze3z83_16214;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2934> */
	obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17247, obj_t BgL_sz00_17251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_17248;
				obj_t BgL_effzf3zf3_17249;
				obj_t BgL_bodyz00_17250;

				BgL_siza7eza7_17248 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 0))));
				BgL_effzf3zf3_17249 =
					PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 1)));
				BgL_bodyz00_17250 = PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3032;

					BgL_sz00_3032 = BgL_sz00_17251;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3034;

						BgL_bpz00_3034 = VECTOR_REF(BgL_sz00_3032, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3036;

							BgL_za2za2resza2za2z00_3036 =
								BGl_zc3exitza32935ze3z83zz__evaluate_compz00(BgL_bodyz00_17250,
								BgL_sz00_3032, BgL_effzf3zf3_17249, BgL_siza7eza7_17248,
								BgL_bpz00_3034);
							VECTOR_SET(BgL_sz00_3032, (int) (((long) 0)), BgL_bpz00_3034);
							return BgL_za2za2resza2za2z00_3036;
						}
					}
				}
			}
		}
	}



/* <exit:2935> */
	obj_t BGl_zc3exitza32935ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_17403,
		obj_t BgL_sz00_17402, obj_t BgL_effzf3zf3_17401, long BgL_siza7eza7_17400,
		obj_t BgL_bpz00_17399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1115z00_3038;

			if (SET_EXIT(BgL_an_exit1115z00_3038))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1115z00_3038 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1115z00_3038, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1116z00_3039;

							BgL_an_exitd1116z00_3039 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_16213;

								BgL_exitz00_16213 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_16213,
									(int) (((long) 0)), BgL_an_exitd1116z00_3039);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1118z00_3042;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg2936z00_3043;
										obj_t BgL_arg2937z00_3044;

										BgL_arg2936z00_3043 =
											((long) CINT(BgL_bpz00_17399) + BgL_siza7eza7_17400);
										if (CBOOL(BgL_effzf3zf3_17401))
											{	/* Eval/evaluate_comp.scm 511 */
												obj_t BgL_newz00_10122;

												BgL_newz00_10122 =
													create_struct(BGl_symbol5554z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 511 */
													int BgL_auxz00_31323;

													BgL_auxz00_31323 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10122, BgL_auxz00_31323,
														BgL_exitz00_16213);
												}
												BgL_arg2937z00_3044 = BgL_newz00_10122;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg2937z00_3044 = BgL_exitz00_16213;
											}
										VECTOR_SET(BgL_sz00_17402,
											(int) (BgL_arg2936z00_3043), BgL_arg2937z00_3044);
									}
									BgL_res1118z00_3042 =
										PROCEDURE_ENTRY(BgL_bodyz00_17403) (BgL_bodyz00_17403,
										BgL_sz00_17402, BEOA);
									POP_EXIT();
									return BgL_res1118z00_3042;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_17252,
		obj_t BgL_val1117z00_17254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1116z00_17253;

				BgL_an_exitd1116z00_17253 =
					PROCEDURE_REF(BgL_envz00_17252, (int) (((long) 0)));
				{
					obj_t BgL_val1117z00_3040;

					BgL_val1117z00_3040 = BgL_val1117z00_17254;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1116z00_17253,
						BgL_val1117z00_3040);
				}
			}
		}
	}



/* &comp-ev_letrec1664 */
	obj_t BGl_z62compzd2ev_letrec1664zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17255, BgL_ev_letrecz00_bglt BgL_ez00_17256,
		obj_t BgL_stkz00_17257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2925;
				obj_t BgL_stkz00_2926;

				BgL_ez00_2925 = BgL_ez00_17256;
				BgL_stkz00_2926 = BgL_stkz00_17257;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_2930;
					obj_t BgL_nstkz00_2931;

					BgL_siza7eza7_2930 = bgl_list_length(BgL_stkz00_2926);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg2933z00_3021;

						BgL_arg2933z00_3021 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2925)))->BgL_varsz00);
						BgL_nstkz00_2931 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2926,
							BgL_arg2933z00_3021);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_2932;
						obj_t BgL_bodyz00_2933;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1569z00_3007;

							BgL_l1569z00_3007 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2925)))->BgL_valsz00);
							if (NULLP(BgL_l1569z00_3007))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_2932 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1571z00_3009;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res4887z00_9762;

										BgL_res4887z00_9762 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1571z00_3009 = BgL_res4887z00_9762;
									}
									{
										obj_t BgL_l1569z00_9796;
										obj_t BgL_tail1572z00_9797;

										BgL_l1569z00_9796 = BgL_l1569z00_3007;
										BgL_tail1572z00_9797 = BgL_head1571z00_3009;
									BgL_zc3anonymousza32928ze3z83_9795:
										if (NULLP(BgL_l1569z00_9796))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_2932 = CDR(BgL_head1571z00_3009);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1573z00_9804;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg2931z00_9805;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_9806;

														BgL_vz00_9806 = CAR(BgL_l1569z00_9796);
														BgL_arg2931z00_9805 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9806),
															BgL_nstkz00_2931);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res4893z00_9814;

														BgL_res4893z00_9814 =
															MAKE_PAIR(BgL_arg2931z00_9805, BNIL);
														BgL_newtail1573z00_9804 = BgL_res4893z00_9814;
													}
												}
												SET_CDR(BgL_tail1572z00_9797, BgL_newtail1573z00_9804);
												{
													obj_t BgL_tail1572z00_31355;
													obj_t BgL_l1569z00_31353;

													BgL_l1569z00_31353 = CDR(BgL_l1569z00_9796);
													BgL_tail1572z00_31355 = BgL_newtail1573z00_9804;
													BgL_tail1572z00_9797 = BgL_tail1572z00_31355;
													BgL_l1569z00_9796 = BgL_l1569z00_31353;
													goto BgL_zc3anonymousza32928ze3z83_9795;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg2932z00_3020;

							BgL_arg2932z00_3020 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2925)))->BgL_bodyz00);
							BgL_bodyz00_2933 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2932z00_3020,
								BgL_nstkz00_2931);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_31359;

							{
								obj_t BgL_l1574z00_3000;

								BgL_l1574z00_3000 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_2925)))->BgL_valsz00);
							BgL_zc3anonymousza32923ze3z83_3001:
								if (NULLP(BgL_l1574z00_3000))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_31359 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_31362;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_3005;

											BgL_vz00_3005 = CAR(BgL_l1574z00_3000);
											BgL_testz00_31362 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3005,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_31362)
											{
												obj_t BgL_l1574z00_31365;

												BgL_l1574z00_31365 = CDR(BgL_l1574z00_3000);
												BgL_l1574z00_3000 = BgL_l1574z00_31365;
												goto BgL_zc3anonymousza32923ze3z83_3001;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_31359 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_31359)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza32893ze3z83_16217;

									BgL_zc3anonymousza32893ze3z83_16217 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16217,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2930));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16217,
										(int) (((long) 1)), BgL_cvalsz00_2932);
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16217,
										(int) (((long) 2)), BgL_bodyz00_2933);
									return BgL_zc3anonymousza32893ze3z83_16217;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza32906ze3z83_16216;

									BgL_zc3anonymousza32906ze3z83_16216 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_16216,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2930));
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_16216,
										(int) (((long) 1)), BgL_cvalsz00_2932);
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_16216,
										(int) (((long) 2)), BgL_bodyz00_2933);
									return BgL_zc3anonymousza32906ze3z83_16216;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2893> */
	obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17258, obj_t BgL_sz00_17262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_17259;
				obj_t BgL_cvalsz00_17260;
				obj_t BgL_bodyz00_17261;

				BgL_siza7eza7_17259 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17258, (int) (((long) 0))));
				BgL_cvalsz00_17260 =
					PROCEDURE_REF(BgL_envz00_17258, (int) (((long) 1)));
				BgL_bodyz00_17261 = PROCEDURE_REF(BgL_envz00_17258, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2935;

					BgL_sz00_2935 = BgL_sz00_17262;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_2937;

						BgL_bpz00_2937 = VECTOR_REF(BgL_sz00_2935, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1109z00_2938;

							BgL_g1109z00_2938 =
								((long) CINT(BgL_bpz00_2937) + BgL_siza7eza7_17259);
							{
								obj_t BgL_lz00_9870;
								long BgL_iz00_9871;

								BgL_lz00_9870 = BgL_cvalsz00_17260;
								BgL_iz00_9871 = BgL_g1109z00_2938;
							BgL_recz00_9869:
								if (NULLP(BgL_lz00_9870))
									{	/* Eval/evaluate_comp.scm 482 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 482 */
										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_arg2896z00_9877;

											{	/* Eval/evaluate_comp.scm 482 */
												obj_t BgL_newz00_9883;

												BgL_newz00_9883 =
													create_struct(BGl_symbol5554z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 482 */
													int BgL_auxz00_31404;

													BgL_auxz00_31404 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9883, BgL_auxz00_31404,
														BUNSPEC);
												}
												BgL_arg2896z00_9877 = BgL_newz00_9883;
											}
											VECTOR_SET(BgL_sz00_2935,
												(int) (BgL_iz00_9871), BgL_arg2896z00_9877);
										}
										{
											long BgL_iz00_31411;
											obj_t BgL_lz00_31409;

											BgL_lz00_31409 = CDR(BgL_lz00_9870);
											BgL_iz00_31411 = (BgL_iz00_9871 + ((long) 1));
											BgL_iz00_9871 = BgL_iz00_31411;
											BgL_lz00_9870 = BgL_lz00_31409;
											goto BgL_recz00_9869;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1110z00_2948;

							BgL_g1110z00_2948 =
								((long) CINT(BgL_bpz00_2937) + BgL_siza7eza7_17259);
							{
								obj_t BgL_lz00_2950;
								long BgL_iz00_2951;

								BgL_lz00_2950 = BgL_cvalsz00_17260;
								BgL_iz00_2951 = BgL_g1110z00_2948;
							BgL_zc3anonymousza32899ze3z83_2952:
								if (NULLP(BgL_lz00_2950))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg2901z00_2954;
											obj_t BgL_arg2902z00_2955;

											BgL_arg2901z00_2954 =
												VECTOR_REF(BgL_sz00_2935, (int) (BgL_iz00_2951));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun2903z00_2956;

												BgL_fun2903z00_2956 = CAR(BgL_lz00_2950);
												BgL_arg2902z00_2955 =
													PROCEDURE_ENTRY(BgL_fun2903z00_2956)
													(BgL_fun2903z00_2956, BgL_sz00_2935, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 488 */
												int BgL_auxz00_31424;

												BgL_auxz00_31424 = (int) (((long) 0));
												STRUCT_SET(BgL_arg2901z00_2954, BgL_auxz00_31424,
													BgL_arg2902z00_2955);
										}}
										{
											long BgL_iz00_31429;
											obj_t BgL_lz00_31427;

											BgL_lz00_31427 = CDR(BgL_lz00_2950);
											BgL_iz00_31429 = (BgL_iz00_2951 + ((long) 1));
											BgL_iz00_2951 = BgL_iz00_31429;
											BgL_lz00_2950 = BgL_lz00_31427;
											goto BgL_zc3anonymousza32899ze3z83_2952;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17261) (BgL_bodyz00_17261,
							BgL_sz00_2935, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:2906> */
	obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17263, obj_t BgL_sz00_17267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_17264;
				obj_t BgL_cvalsz00_17265;
				obj_t BgL_bodyz00_17266;

				BgL_siza7eza7_17264 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17263, (int) (((long) 0))));
				BgL_cvalsz00_17265 =
					PROCEDURE_REF(BgL_envz00_17263, (int) (((long) 1)));
				BgL_bodyz00_17266 = PROCEDURE_REF(BgL_envz00_17263, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2960;

					BgL_sz00_2960 = BgL_sz00_17267;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_2962;

						BgL_bpz00_2962 = VECTOR_REF(BgL_sz00_2960, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1111z00_2963;

							BgL_g1111z00_2963 =
								((long) CINT(BgL_bpz00_2962) + BgL_siza7eza7_17264);
							{
								obj_t BgL_lz00_9961;
								long BgL_iz00_9962;

								BgL_lz00_9961 = BgL_cvalsz00_17265;
								BgL_iz00_9962 = BgL_g1111z00_2963;
							BgL_recz00_9960:
								if (NULLP(BgL_lz00_9961))
									{	/* Eval/evaluate_comp.scm 492 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 492 */
										{	/* Eval/evaluate_comp.scm 492 */
											obj_t BgL_arg2909z00_9968;

											{	/* Eval/evaluate_comp.scm 492 */
												obj_t BgL_newz00_9974;

												BgL_newz00_9974 =
													create_struct(BGl_symbol5554z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 492 */
													int BgL_auxz00_31450;

													BgL_auxz00_31450 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9974, BgL_auxz00_31450,
														BUNSPEC);
												}
												BgL_arg2909z00_9968 = BgL_newz00_9974;
											}
											VECTOR_SET(BgL_sz00_2960,
												(int) (BgL_iz00_9962), BgL_arg2909z00_9968);
										}
										{
											long BgL_iz00_31457;
											obj_t BgL_lz00_31455;

											BgL_lz00_31455 = CDR(BgL_lz00_9961);
											BgL_iz00_31457 = (BgL_iz00_9962 + ((long) 1));
											BgL_iz00_9962 = BgL_iz00_31457;
											BgL_lz00_9961 = BgL_lz00_31455;
											goto BgL_recz00_9960;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_2973;

							if (NULLP(BgL_cvalsz00_17265))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_2973 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1579z00_2987;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res4913z00_9991;

										BgL_res4913z00_9991 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1579z00_2987 = BgL_res4913z00_9991;
									}
									{
										obj_t BgL_l1577z00_10025;
										obj_t BgL_tail1580z00_10026;

										BgL_l1577z00_10025 = BgL_cvalsz00_17265;
										BgL_tail1580z00_10026 = BgL_head1579z00_2987;
									BgL_zc3anonymousza32919ze3z83_10024:
										if (NULLP(BgL_l1577z00_10025))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_2973 = CDR(BgL_head1579z00_2987);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1581z00_10033;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg2922z00_10034;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_10035;

														BgL_vz00_10035 = CAR(BgL_l1577z00_10025);
														BgL_arg2922z00_10034 =
															PROCEDURE_ENTRY(BgL_vz00_10035) (BgL_vz00_10035,
															BgL_sz00_2960, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res4919z00_10043;

														BgL_res4919z00_10043 =
															MAKE_PAIR(BgL_arg2922z00_10034, BNIL);
														BgL_newtail1581z00_10033 = BgL_res4919z00_10043;
													}
												}
												SET_CDR(BgL_tail1580z00_10026,
													BgL_newtail1581z00_10033);
												{
													obj_t BgL_tail1580z00_31474;
													obj_t BgL_l1577z00_31472;

													BgL_l1577z00_31472 = CDR(BgL_l1577z00_10025);
													BgL_tail1580z00_31474 = BgL_newtail1581z00_10033;
													BgL_tail1580z00_10026 = BgL_tail1580z00_31474;
													BgL_l1577z00_10025 = BgL_l1577z00_31472;
													goto BgL_zc3anonymousza32919ze3z83_10024;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1112z00_2974;

								BgL_g1112z00_2974 =
									((long) CINT(BgL_bpz00_2962) + BgL_siza7eza7_17264);
								{
									obj_t BgL_lz00_10091;
									long BgL_iz00_10092;

									BgL_lz00_10091 = BgL_rvalsz00_2973;
									BgL_iz00_10092 = BgL_g1112z00_2974;
								BgL_recz00_10090:
									if (NULLP(BgL_lz00_10091))
										{	/* Eval/evaluate_comp.scm 497 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_auxz00_31484;
												int BgL_auxz00_31482;
												obj_t BgL_auxz00_31479;

												BgL_auxz00_31484 = CAR(BgL_lz00_10091);
												BgL_auxz00_31482 = (int) (((long) 0));
												BgL_auxz00_31479 =
													VECTOR_REF(BgL_sz00_2960, (int) (BgL_iz00_10092));
												STRUCT_SET(BgL_auxz00_31479, BgL_auxz00_31482,
													BgL_auxz00_31484);
											}
											{
												long BgL_iz00_31489;
												obj_t BgL_lz00_31487;

												BgL_lz00_31487 = CDR(BgL_lz00_10091);
												BgL_iz00_31489 = (BgL_iz00_10092 + ((long) 1));
												BgL_iz00_10092 = BgL_iz00_31489;
												BgL_lz00_10091 = BgL_lz00_31487;
												goto BgL_recz00_10090;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_17266) (BgL_bodyz00_17266,
								BgL_sz00_2960, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1662 */
	obj_t BGl_z62compzd2ev_letza21662z12zz__evaluate_compz00(obj_t
		BgL_envz00_17268, BgL_ev_letza2za2_bglt BgL_ez00_17269,
		obj_t BgL_stkz00_17270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2881;
				obj_t BgL_stkz00_2882;

				BgL_ez00_2881 = BgL_ez00_17269;
				BgL_stkz00_2882 = BgL_stkz00_17270;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_2886;
					obj_t BgL_nstkz00_2887;

					BgL_siza7eza7_2886 = bgl_list_length(BgL_stkz00_2882);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg2891z00_2923;

						BgL_arg2891z00_2923 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2881)))->BgL_varsz00);
						BgL_nstkz00_2887 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2882,
							BgL_arg2891z00_2923);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_2888;
						obj_t BgL_bodyz00_2889;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1564z00_2909;

							BgL_l1564z00_2909 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2881)))->BgL_valsz00);
							if (NULLP(BgL_l1564z00_2909))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_2888 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1566z00_2911;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res4876z00_9678;

										BgL_res4876z00_9678 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1566z00_2911 = BgL_res4876z00_9678;
									}
									{
										obj_t BgL_l1564z00_9712;
										obj_t BgL_tail1567z00_9713;

										BgL_l1564z00_9712 = BgL_l1564z00_2909;
										BgL_tail1567z00_9713 = BgL_head1566z00_2911;
									BgL_zc3anonymousza32886ze3z83_9711:
										if (NULLP(BgL_l1564z00_9712))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_2888 = CDR(BgL_head1566z00_2911);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1568z00_9720;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg2889z00_9721;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_9722;

														BgL_vz00_9722 = CAR(BgL_l1564z00_9712);
														BgL_arg2889z00_9721 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9722),
															BgL_nstkz00_2887);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res4882z00_9730;

														BgL_res4882z00_9730 =
															MAKE_PAIR(BgL_arg2889z00_9721, BNIL);
														BgL_newtail1568z00_9720 = BgL_res4882z00_9730;
													}
												}
												SET_CDR(BgL_tail1567z00_9713, BgL_newtail1568z00_9720);
												{
													obj_t BgL_tail1567z00_31514;
													obj_t BgL_l1564z00_31512;

													BgL_l1564z00_31512 = CDR(BgL_l1564z00_9712);
													BgL_tail1567z00_31514 = BgL_newtail1568z00_9720;
													BgL_tail1567z00_9713 = BgL_tail1567z00_31514;
													BgL_l1564z00_9712 = BgL_l1564z00_31512;
													goto BgL_zc3anonymousza32886ze3z83_9711;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg2890z00_2922;

							BgL_arg2890z00_2922 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2881)))->BgL_bodyz00);
							BgL_bodyz00_2889 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2890z00_2922,
								BgL_nstkz00_2887);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza32875ze3z83_16219;

							BgL_zc3anonymousza32875ze3z83_16219 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_16219,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2886));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_16219,
								(int) (((long) 1)), ((obj_t) BgL_ez00_2881));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_16219,
								(int) (((long) 2)), BgL_valsz00_2888);
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_16219,
								(int) (((long) 3)), BgL_bodyz00_2889);
							return BgL_zc3anonymousza32875ze3z83_16219;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2875> */
	obj_t BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17271, obj_t BgL_sz00_17276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_17272;
				BgL_ev_letza2za2_bglt BgL_i1106z00_17273;
				obj_t BgL_valsz00_17274;
				obj_t BgL_bodyz00_17275;

				BgL_siza7eza7_17272 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17271, (int) (((long) 0))));
				BgL_i1106z00_17273 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_17271, (int) (((long) 1))));
				BgL_valsz00_17274 = PROCEDURE_REF(BgL_envz00_17271, (int) (((long) 2)));
				BgL_bodyz00_17275 = PROCEDURE_REF(BgL_envz00_17271, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2890;

					BgL_sz00_2890 = BgL_sz00_17276;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_2892;

						BgL_bpz00_2892 = VECTOR_REF(BgL_sz00_2890, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1107z00_2893;

							BgL_g1107z00_2893 =
								((long) CINT(BgL_bpz00_2892) + BgL_siza7eza7_17272);
							{
								obj_t BgL_lz00_2896;
								long BgL_iz00_2897;
								obj_t BgL_bza2za2_2898;

								BgL_lz00_2896 = BgL_valsz00_17274;
								BgL_iz00_2897 = BgL_g1107z00_2893;
								BgL_bza2za2_2898 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1106z00_17273))->
									BgL_boxesz00);
							BgL_zc3anonymousza32877ze3z83_2899:
								if (NULLP(BgL_lz00_2896))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_2901;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun2881z00_2904;

												BgL_fun2881z00_2904 = CAR(BgL_lz00_2896);
												BgL_valz00_2901 =
													PROCEDURE_ENTRY(BgL_fun2881z00_2904)
													(BgL_fun2881z00_2904, BgL_sz00_2890, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg2879z00_2902;

												{	/* Eval/evaluate_comp.scm 471 */
													bool_t BgL_testz00_31552;

													{	/* Eval/evaluate_comp.scm 471 */
														obj_t BgL_pairz00_9742;

														BgL_pairz00_9742 = BgL_bza2za2_2898;
														BgL_testz00_31552 = CBOOL(CAR(BgL_pairz00_9742));
													}
													if (BgL_testz00_31552)
														{	/* Eval/evaluate_comp.scm 471 */
															obj_t BgL_newz00_9744;

															BgL_newz00_9744 =
																create_struct
																(BGl_symbol5554z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 471 */
																int BgL_auxz00_31557;

																BgL_auxz00_31557 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_9744, BgL_auxz00_31557,
																	BgL_valz00_2901);
															}
															BgL_arg2879z00_2902 = BgL_newz00_9744;
														}
													else
														{	/* Eval/evaluate_comp.scm 471 */
															BgL_arg2879z00_2902 = BgL_valz00_2901;
														}
												}
												VECTOR_SET(BgL_sz00_2890,
													(int) (BgL_iz00_2897), BgL_arg2879z00_2902);
										}}
										{
											obj_t BgL_bza2za2_31566;
											long BgL_iz00_31564;
											obj_t BgL_lz00_31562;

											BgL_lz00_31562 = CDR(BgL_lz00_2896);
											BgL_iz00_31564 = (BgL_iz00_2897 + ((long) 1));
											BgL_bza2za2_31566 = CDR(BgL_bza2za2_2898);
											BgL_bza2za2_2898 = BgL_bza2za2_31566;
											BgL_iz00_2897 = BgL_iz00_31564;
											BgL_lz00_2896 = BgL_lz00_31562;
											goto BgL_zc3anonymousza32877ze3z83_2899;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17275) (BgL_bodyz00_17275,
							BgL_sz00_2890, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1660 */
	obj_t BGl_z62compzd2ev_let1660zb0zz__evaluate_compz00(obj_t BgL_envz00_17277,
		BgL_ev_letz00_bglt BgL_ez00_17278, obj_t BgL_stkz00_17279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2830;
				obj_t BgL_stkz00_2831;

				BgL_ez00_2830 = BgL_ez00_17278;
				BgL_stkz00_2831 = BgL_stkz00_17279;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_2835;
					obj_t BgL_nstkz00_2836;

					BgL_siza7eza7_2835 = bgl_list_length(BgL_stkz00_2831);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg2874z00_2879;

						BgL_arg2874z00_2879 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2830)))->BgL_varsz00);
						BgL_nstkz00_2836 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2831,
							BgL_arg2874z00_2879);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_2837;
						obj_t BgL_iboxesz00_2838;
						obj_t BgL_bodyz00_2839;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg2867z00_2864;

							BgL_arg2867z00_2864 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2830)))->BgL_valsz00);
							BgL_valsz00_2837 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg2867z00_2864, BgL_stkz00_2831);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1559z00_2865;

							BgL_l1559z00_2865 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_2830))->BgL_boxesz00);
							if (NULLP(BgL_l1559z00_2865))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_2838 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1561z00_2867;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res4859z00_9539;

										BgL_res4859z00_9539 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1561z00_2867 = BgL_res4859z00_9539;
									}
									{
										obj_t BgL_l1559z00_9573;
										obj_t BgL_tail1562z00_9574;

										BgL_l1559z00_9573 = BgL_l1559z00_2865;
										BgL_tail1562z00_9574 = BgL_head1561z00_2867;
									BgL_zc3anonymousza32869ze3z83_9572:
										if (NULLP(BgL_l1559z00_9573))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_2838 = CDR(BgL_head1561z00_2867);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1563z00_9581;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg2872z00_9582;

													BgL_arg2872z00_9582 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1559z00_9573), BgL_nstkz00_2836);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res4865z00_9591;

														BgL_res4865z00_9591 =
															MAKE_PAIR(BgL_arg2872z00_9582, BNIL);
														BgL_newtail1563z00_9581 = BgL_res4865z00_9591;
													}
												}
												SET_CDR(BgL_tail1562z00_9574, BgL_newtail1563z00_9581);
												{
													obj_t BgL_tail1562z00_31593;
													obj_t BgL_l1559z00_31591;

													BgL_l1559z00_31591 = CDR(BgL_l1559z00_9573);
													BgL_tail1562z00_31593 = BgL_newtail1563z00_9581;
													BgL_tail1562z00_9574 = BgL_tail1562z00_31593;
													BgL_l1559z00_9573 = BgL_l1559z00_31591;
													goto BgL_zc3anonymousza32869ze3z83_9572;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg2873z00_2878;

							BgL_arg2873z00_2878 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2830)))->BgL_bodyz00);
							BgL_bodyz00_2839 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2873z00_2878,
								BgL_nstkz00_2836);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza32854ze3z83_16221;

							BgL_zc3anonymousza32854ze3z83_16221 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_16221,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2835));
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_16221,
								(int) (((long) 1)), BgL_valsz00_2837);
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_16221,
								(int) (((long) 2)), BgL_iboxesz00_2838);
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_16221,
								(int) (((long) 3)), BgL_bodyz00_2839);
							return BgL_zc3anonymousza32854ze3z83_16221;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2854> */
	obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17280, obj_t BgL_sz00_17285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_17281;
				obj_t BgL_valsz00_17282;
				obj_t BgL_iboxesz00_17283;
				obj_t BgL_bodyz00_17284;

				BgL_siza7eza7_17281 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17280, (int) (((long) 0))));
				BgL_valsz00_17282 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17280, (int) (((long) 1))));
				BgL_iboxesz00_17283 =
					PROCEDURE_REF(BgL_envz00_17280, (int) (((long) 2)));
				BgL_bodyz00_17284 = PROCEDURE_REF(BgL_envz00_17280, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2840;

					BgL_sz00_2840 = BgL_sz00_17285;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_2842;

						BgL_bpz00_2842 = VECTOR_REF(BgL_sz00_2840, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1105z00_2843;

							BgL_g1105z00_2843 =
								((long) CINT(BgL_bpz00_2842) + BgL_siza7eza7_17281);
							{
								obj_t BgL_lz00_9633;
								long BgL_iz00_9634;

								BgL_lz00_9633 = BgL_valsz00_17282;
								BgL_iz00_9634 = BgL_g1105z00_2843;
							BgL_recz00_9632:
								if (NULLP(BgL_lz00_9633))
									{	/* Eval/evaluate_comp.scm 451 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 451 */
										{	/* Eval/evaluate_comp.scm 451 */
											obj_t BgL_arg2857z00_9641;

											{	/* Eval/evaluate_comp.scm 451 */
												obj_t BgL_fun2858z00_9642;

												BgL_fun2858z00_9642 = CAR(BgL_lz00_9633);
												BgL_arg2857z00_9641 =
													PROCEDURE_ENTRY(BgL_fun2858z00_9642)
													(BgL_fun2858z00_9642, BgL_sz00_2840, BEOA);
											}
											VECTOR_SET(BgL_sz00_2840,
												(int) (BgL_iz00_9634), BgL_arg2857z00_9641);
										}
										{
											long BgL_iz00_31634;
											obj_t BgL_lz00_31632;

											BgL_lz00_31632 = CDR(BgL_lz00_9633);
											BgL_iz00_31634 = (BgL_iz00_9634 + ((long) 1));
											BgL_iz00_9634 = BgL_iz00_31634;
											BgL_lz00_9633 = BgL_lz00_31632;
											goto BgL_recz00_9632;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_2855;

							BgL_lz00_2855 = BgL_iboxesz00_17283;
						BgL_zc3anonymousza32861ze3z83_2856:
							if (NULLP(BgL_lz00_2855))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_2858;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_31638;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_9657;

												BgL_pairz00_9657 = BgL_lz00_2855;
												BgL_auxz00_31638 = (long) CINT(CAR(BgL_pairz00_9657));
											}
											BgL_iz00_2858 =
												((long) CINT(BgL_bpz00_2842) + BgL_auxz00_31638);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg2863z00_2859;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg2864z00_2860;

												BgL_arg2864z00_2860 =
													VECTOR_REF(BgL_sz00_2840, (int) (BgL_iz00_2858));
												{	/* Eval/evaluate_comp.scm 458 */
													obj_t BgL_newz00_9664;

													BgL_newz00_9664 =
														create_struct(BGl_symbol5554z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 458 */
														int BgL_auxz00_31647;

														BgL_auxz00_31647 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_9664, BgL_auxz00_31647,
															BgL_arg2864z00_2860);
													}
													BgL_arg2863z00_2859 = BgL_newz00_9664;
											}}
											VECTOR_SET(BgL_sz00_2840,
												(int) (BgL_iz00_2858), BgL_arg2863z00_2859);
									}}
									{
										obj_t BgL_lz00_31652;

										BgL_lz00_31652 = CDR(BgL_lz00_2855);
										BgL_lz00_2855 = BgL_lz00_31652;
										goto BgL_zc3anonymousza32861ze3z83_2856;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17284) (BgL_bodyz00_17284,
							BgL_sz00_2840, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21658 */
	obj_t BGl_z62compzd2ev_prog21658zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17286, BgL_ev_prog2z00_bglt BgL_ez00_17287,
		obj_t BgL_stkz00_17288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2817;
				obj_t BgL_stkz00_2818;

				BgL_ez00_2817 = BgL_ez00_17287;
				BgL_stkz00_2818 = BgL_stkz00_17288;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_2822;
					obj_t BgL_e2z00_2823;

					BgL_e1z00_2822 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_2817))->BgL_e1z00),
						BgL_stkz00_2818);
					BgL_e2z00_2823 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_2817))->BgL_e2z00), BgL_stkz00_2818);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza32851ze3z83_16223;

						BgL_zc3anonymousza32851ze3z83_16223 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_16223,
							(int) (((long) 0)), BgL_e1z00_2822);
						PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_16223,
							(int) (((long) 1)), BgL_e2z00_2823);
						return BgL_zc3anonymousza32851ze3z83_16223;
					}
				}
			}
		}
	}



/* &<anonymous:2851> */
	obj_t BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17289, obj_t BgL_sz00_17292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_17290;
				obj_t BgL_e2z00_17291;

				BgL_e1z00_17290 = PROCEDURE_REF(BgL_envz00_17289, (int) (((long) 0)));
				BgL_e2z00_17291 = PROCEDURE_REF(BgL_envz00_17289, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2824;

					BgL_sz00_2824 = BgL_sz00_17292;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_9532;

						BgL_bpz00_9532 = VECTOR_REF(BgL_sz00_2824, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_17290) (BgL_e1z00_17290, BgL_sz00_2824,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_17291) (BgL_e2z00_17291,
							BgL_sz00_2824, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1656 */
	obj_t BGl_z62compzd2ev_and1656zb0zz__evaluate_compz00(obj_t BgL_envz00_17293,
		BgL_ev_andz00_bglt BgL_ez00_17294, obj_t BgL_stkz00_17295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_2784;
				obj_t BgL_stkz00_2785;

				BgL_ez00_2784 = BgL_ez00_17294;
				BgL_stkz00_2785 = BgL_stkz00_17295;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_2789;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1554z00_2803;

						BgL_l1554z00_2803 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2784)))->BgL_argsz00);
						if (NULLP(BgL_l1554z00_2803))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_2789 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1556z00_2805;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res4848z00_9437;

									BgL_res4848z00_9437 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1556z00_2805 = BgL_res4848z00_9437;
								}
								{
									obj_t BgL_l1554z00_9471;
									obj_t BgL_tail1557z00_9472;

									BgL_l1554z00_9471 = BgL_l1554z00_2803;
									BgL_tail1557z00_9472 = BgL_head1556z00_2805;
								BgL_zc3anonymousza32847ze3z83_9470:
									if (NULLP(BgL_l1554z00_9471))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_2789 = CDR(BgL_head1556z00_2805);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1558z00_9479;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg2850z00_9480;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_9481;

													BgL_ez00_9481 = CAR(BgL_l1554z00_9471);
													BgL_arg2850z00_9480 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9481),
														BgL_stkz00_2785);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res4854z00_9489;

													BgL_res4854z00_9489 =
														MAKE_PAIR(BgL_arg2850z00_9480, BNIL);
													BgL_newtail1558z00_9479 = BgL_res4854z00_9489;
												}
											}
											SET_CDR(BgL_tail1557z00_9472, BgL_newtail1558z00_9479);
											{
												obj_t BgL_tail1557z00_31698;
												obj_t BgL_l1554z00_31696;

												BgL_l1554z00_31696 = CDR(BgL_l1554z00_9471);
												BgL_tail1557z00_31698 = BgL_newtail1558z00_9479;
												BgL_tail1557z00_9472 = BgL_tail1557z00_31698;
												BgL_l1554z00_9471 = BgL_l1554z00_31696;
												goto BgL_zc3anonymousza32847ze3z83_9470;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza32841ze3z83_16225;

						BgL_zc3anonymousza32841ze3z83_16225 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16225,
							(int) (((long) 0)), BgL_argsz00_2789);
						return BgL_zc3anonymousza32841ze3z83_16225;
					}
				}
			}
		}
	}



/* &<anonymous:2841> */
	obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17296, obj_t BgL_sz00_17298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_17297;

				BgL_argsz00_17297 = PROCEDURE_REF(BgL_envz00_17296, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2790;

					BgL_sz00_2790 = BgL_sz00_17298;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_2792;

						BgL_bpz00_2792 = VECTOR_REF(BgL_sz00_2790, (int) (((long) 0)));
						{
							obj_t BgL_lz00_9516;
							obj_t BgL_rz00_9517;

							BgL_lz00_9516 = BgL_argsz00_17297;
							BgL_rz00_9517 = BTRUE;
						BgL_recz00_9515:
							if (NULLP(BgL_lz00_9516))
								{	/* Eval/evaluate_comp.scm 431 */
									return BgL_rz00_9517;
								}
							else
								{	/* Eval/evaluate_comp.scm 431 */
									obj_t BgL_vz00_9524;

									{	/* Eval/evaluate_comp.scm 431 */
										obj_t BgL_fun2845z00_9525;

										BgL_fun2845z00_9525 = CAR(BgL_lz00_9516);
										BgL_vz00_9524 =
											PROCEDURE_ENTRY(BgL_fun2845z00_9525) (BgL_fun2845z00_9525,
											BgL_sz00_2790, BEOA);
									}
									if (CBOOL(BgL_vz00_9524))
										{
											obj_t BgL_rz00_31719;
											obj_t BgL_lz00_31717;

											BgL_lz00_31717 = CDR(BgL_lz00_9516);
											BgL_rz00_31719 = BgL_vz00_9524;
											BgL_rz00_9517 = BgL_rz00_31719;
											BgL_lz00_9516 = BgL_lz00_31717;
											goto BgL_recz00_9515;
										}
									else
										{	/* Eval/evaluate_comp.scm 431 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1654 */
	obj_t BGl_z62compzd2ev_or1654zb0zz__evaluate_compz00(obj_t BgL_envz00_17299,
		BgL_ev_orz00_bglt BgL_ez00_17300, obj_t BgL_stkz00_17301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_2753;
				obj_t BgL_stkz00_2754;

				BgL_ez00_2753 = BgL_ez00_17300;
				BgL_stkz00_2754 = BgL_stkz00_17301;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_2758;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1549z00_2770;

						BgL_l1549z00_2770 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2753)))->BgL_argsz00);
						if (NULLP(BgL_l1549z00_2770))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_2758 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1551z00_2772;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res4839z00_9371;

									BgL_res4839z00_9371 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1551z00_2772 = BgL_res4839z00_9371;
								}
								{
									obj_t BgL_l1549z00_9405;
									obj_t BgL_tail1552z00_9406;

									BgL_l1549z00_9405 = BgL_l1549z00_2770;
									BgL_tail1552z00_9406 = BgL_head1551z00_2772;
								BgL_zc3anonymousza32837ze3z83_9404:
									if (NULLP(BgL_l1549z00_9405))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_2758 = CDR(BgL_head1551z00_2772);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1553z00_9413;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg2840z00_9414;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_9415;

													BgL_ez00_9415 = CAR(BgL_l1549z00_9405);
													BgL_arg2840z00_9414 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9415),
														BgL_stkz00_2754);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res4845z00_9423;

													BgL_res4845z00_9423 =
														MAKE_PAIR(BgL_arg2840z00_9414, BNIL);
													BgL_newtail1553z00_9413 = BgL_res4845z00_9423;
												}
											}
											SET_CDR(BgL_tail1552z00_9406, BgL_newtail1553z00_9413);
											{
												obj_t BgL_tail1552z00_31735;
												obj_t BgL_l1549z00_31733;

												BgL_l1549z00_31733 = CDR(BgL_l1549z00_9405);
												BgL_tail1552z00_31735 = BgL_newtail1553z00_9413;
												BgL_tail1552z00_9406 = BgL_tail1552z00_31735;
												BgL_l1549z00_9405 = BgL_l1549z00_31733;
												goto BgL_zc3anonymousza32837ze3z83_9404;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza32831ze3z83_16227;

						BgL_zc3anonymousza32831ze3z83_16227 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32831ze3z83_16227,
							(int) (((long) 0)), BgL_argsz00_2758);
						return BgL_zc3anonymousza32831ze3z83_16227;
					}
				}
			}
		}
	}



/* &<anonymous:2831> */
	obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17302, obj_t BgL_sz00_17304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_17303;

				BgL_argsz00_17303 = PROCEDURE_REF(BgL_envz00_17302, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2759;

					BgL_sz00_2759 = BgL_sz00_17304;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_2761;

						BgL_bpz00_2761 = VECTOR_REF(BgL_sz00_2759, (int) (((long) 0)));
						{
							obj_t BgL_lz00_2763;

							BgL_lz00_2763 = BgL_argsz00_17303;
						BgL_zc3anonymousza32832ze3z83_2764:
							if (NULLP(BgL_lz00_2763))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1100z00_2766;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun2835z00_2768;

										BgL_fun2835z00_2768 = CAR(BgL_lz00_2763);
										BgL__ortest_1100z00_2766 =
											PROCEDURE_ENTRY(BgL_fun2835z00_2768) (BgL_fun2835z00_2768,
											BgL_sz00_2759, BEOA);
									}
									if (CBOOL(BgL__ortest_1100z00_2766))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1100z00_2766;
										}
									else
										{
											obj_t BgL_lz00_31754;

											BgL_lz00_31754 = CDR(BgL_lz00_2763);
											BgL_lz00_2763 = BgL_lz00_31754;
											goto BgL_zc3anonymousza32832ze3z83_2764;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1652 */
	obj_t BGl_z62compzd2ev_if1652zb0zz__evaluate_compz00(obj_t BgL_envz00_17305,
		BgL_ev_ifz00_bglt BgL_ez00_17306, obj_t BgL_stkz00_17307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2737;
				obj_t BgL_stkz00_2738;

				BgL_ez00_2737 = BgL_ez00_17306;
				BgL_stkz00_2738 = BgL_stkz00_17307;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_2742;
					obj_t BgL_tz00_2743;
					obj_t BgL_ez00_2744;

					BgL_pz00_2742 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_2737))->BgL_pz00),
						BgL_stkz00_2738);
					BgL_tz00_2743 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2737))->BgL_tz00), BgL_stkz00_2738);
					BgL_ez00_2744 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2737))->BgL_ez00), BgL_stkz00_2738);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza32825ze3z83_16229;

						BgL_zc3anonymousza32825ze3z83_16229 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_16229,
							(int) (((long) 0)), BgL_ez00_2744);
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_16229,
							(int) (((long) 1)), BgL_tz00_2743);
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_16229,
							(int) (((long) 2)), BgL_pz00_2742);
						return BgL_zc3anonymousza32825ze3z83_16229;
					}
				}
			}
		}
	}



/* &<anonymous:2825> */
	obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17308, obj_t BgL_sz00_17312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_17309;
				obj_t BgL_tz00_17310;
				obj_t BgL_pz00_17311;

				BgL_ez00_17309 = PROCEDURE_REF(BgL_envz00_17308, (int) (((long) 0)));
				BgL_tz00_17310 = PROCEDURE_REF(BgL_envz00_17308, (int) (((long) 1)));
				BgL_pz00_17311 = PROCEDURE_REF(BgL_envz00_17308, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2745;

					BgL_sz00_2745 = BgL_sz00_17312;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_9363;

						BgL_bpz00_9363 = VECTOR_REF(BgL_sz00_2745, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_17311) (BgL_pz00_17311,
									BgL_sz00_2745, BEOA)))
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_tz00_17310) (BgL_tz00_17310,
									BgL_sz00_2745, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_ez00_17309) (BgL_ez00_17309,
									BgL_sz00_2745, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1650 */
	obj_t BGl_z62compzd2ev_litt1650zb0zz__evaluate_compz00(obj_t BgL_envz00_17313,
		BgL_ev_littz00_bglt BgL_ez00_17314, obj_t BgL_stkz00_17315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_2728;
				obj_t BgL_stkz00_2729;

				BgL_ez00_2728 = BgL_ez00_17314;
				BgL_stkz00_2729 = BgL_stkz00_17315;
				{	/* Eval/evaluate_comp.scm 408 */
					obj_t BgL_zc3anonymousza32824ze3z83_16231;

					BgL_zc3anonymousza32824ze3z83_16231 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32824ze3z83_16231, (int) (((long) 0)),
						((obj_t) BgL_ez00_2728));
					return BgL_zc3anonymousza32824ze3z83_16231;
				}
			}
		}
	}



/* &<anonymous:2824> */
	obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17316, obj_t BgL_sz00_17318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 408 */
				BgL_ev_littz00_bglt BgL_i1097z00_17317;

				BgL_i1097z00_17317 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_17316, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9358;

					BgL_sz00_9358 = BgL_sz00_17318;
					{	/* Eval/evaluate_comp.scm 408 */
						obj_t BgL_bpz00_9360;

						BgL_bpz00_9360 = VECTOR_REF(BgL_sz00_9358, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1097z00_17317))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1648 */
	obj_t BGl_z62compzd2ev_defglobal1648zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17319, BgL_ev_defglobalz00_bglt BgL_ez00_17320,
		obj_t BgL_stkz00_17321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_2689;
				obj_t BgL_stkz00_2690;

				BgL_ez00_2689 = BgL_ez00_17320;
				BgL_stkz00_2690 = BgL_stkz00_17321;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_2694;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg2823z00_2726;

						BgL_arg2823z00_2726 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2689)))->BgL_ez00);
						BgL_ez00_2694 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2823z00_2726,
							BgL_stkz00_2690);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza32798ze3z83_16233;

						BgL_zc3anonymousza32798ze3z83_16233 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_16233,
							(int) (((long) 0)), ((obj_t) BgL_ez00_2689));
						PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_16233,
							(int) (((long) 1)), BgL_ez00_2694);
						return BgL_zc3anonymousza32798ze3z83_16233;
					}
				}
			}
		}
	}



/* &<anonymous:2798> */
	obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17322, obj_t BgL_sz00_17325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1094z00_17323;
				obj_t BgL_ez00_17324;

				BgL_i1094z00_17323 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17322, (int) (((long) 0))));
				BgL_ez00_17324 = PROCEDURE_REF(BgL_envz00_17322, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2695;

					BgL_sz00_2695 = BgL_sz00_17325;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_2697;

						BgL_bpz00_2697 = VECTOR_REF(BgL_sz00_2695, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_2698;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg2821z00_2724;
								obj_t BgL_arg2822z00_2725;

								BgL_arg2821z00_2724 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
									BgL_modz00);
								BgL_arg2822z00_2725 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1094z00_17323)))->BgL_namez00);
								BgL_gz00_2698 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg2821z00_2724, BgL_arg2822z00_2725);
							}
							if (CBOOL(BgL_gz00_2698))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1096z00_2700;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res4837z00_9303;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_9300;

													BgL_evalzd2globalzd2_9300 = BgL_gz00_2698;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_9302;

														BgL_kz00_9302 = (int) (((long) 0));
														BgL_res4837z00_9303 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_9300,
																BgL_kz00_9302));
												}}
												BgL_aux1096z00_2700 = BgL_res4837z00_9303;
											}
											switch ((long) (BgL_aux1096z00_2700))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg2800z00_2702;
														obj_t BgL_arg2801z00_2703;

														BgL_arg2800z00_2702 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_locz00);
														BgL_arg2801z00_2703 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2800z00_2702,
															BGl_string5662z00zz__evaluate_compz00,
															BGl_string5663z00zz__evaluate_compz00,
															BgL_arg2801z00_2703);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg2802z00_2704;
														obj_t BgL_arg2803z00_2705;

														BgL_arg2802z00_2704 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_locz00);
														BgL_arg2803z00_2705 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list2804z00_2706;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg2805z00_2707;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg2806z00_2708;

																	BgL_arg2806z00_2708 =
																		MAKE_PAIR(BgL_arg2803z00_2705, BNIL);
																	BgL_arg2805z00_2707 =
																		MAKE_PAIR
																		(BGl_string5664z00zz__evaluate_compz00,
																		BgL_arg2806z00_2708);
																}
																BgL_list2804z00_2706 =
																	MAKE_PAIR
																	(BGl_string5544z00zz__evaluate_compz00,
																	BgL_arg2805z00_2707);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg2802z00_2704, BgL_list2804z00_2706);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg2807z00_2709;
														obj_t BgL_arg2808z00_2710;

														BgL_arg2807z00_2709 =
															VECTOR_REF(BgL_gz00_2698, (int) (((long) 2)));
														BgL_arg2808z00_2710 =
															PROCEDURE_ENTRY(BgL_ez00_17324) (BgL_ez00_17324,
															BgL_sz00_2695, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg2807z00_2709,
															BgL_arg2808z00_2710);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg2809z00_2711;

														BgL_arg2809z00_2711 =
															PROCEDURE_ENTRY(BgL_ez00_17324) (BgL_ez00_17324,
															BgL_sz00_2695, BEOA);
														VECTOR_SET(BgL_gz00_2698, (int) (((long) 2)),
															BgL_arg2809z00_2711);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg2810z00_2712;

														BgL_arg2810z00_2712 =
															PROCEDURE_ENTRY(BgL_ez00_17324) (BgL_ez00_17324,
															BgL_sz00_2695, BEOA);
														VECTOR_SET(BgL_gz00_2698, (int) (((long) 2)),
															BgL_arg2810z00_2712);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_9317;
														int BgL_tagz00_9318;

														BgL_evalzd2globalzd2_9317 = BgL_gz00_2698;
														BgL_tagz00_9318 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_9317,
															(int) (((long) 0)), BINT(BgL_tagz00_9318));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg2811z00_2713;

														BgL_arg2811z00_2713 =
															PROCEDURE_ENTRY(BgL_ez00_17324) (BgL_ez00_17324,
															BgL_sz00_2695, BEOA);
														VECTOR_SET(BgL_gz00_2698, (int) (((long) 2)),
															BgL_arg2811z00_2713);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_9327;
														int BgL_tagz00_9328;

														BgL_evalzd2globalzd2_9327 = BgL_gz00_2698;
														BgL_tagz00_9328 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_9327,
															(int) (((long) 0)), BINT(BgL_tagz00_9328));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg2812z00_2714;
														obj_t BgL_arg2813z00_2715;

														BgL_arg2812z00_2714 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_locz00);
														BgL_arg2813z00_2715 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17323)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2812z00_2714,
															BGl_string5662z00zz__evaluate_compz00,
															BGl_string5663z00zz__evaluate_compz00,
															BgL_arg2813z00_2715);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_2716;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg2818z00_2721;
										obj_t BgL_arg2819z00_2722;
										obj_t BgL_arg2820z00_2723;

										BgL_arg2818z00_2721 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_namez00);
										BgL_arg2819z00_2722 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_modz00);
										BgL_arg2820z00_2723 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1625z00_9335;

											BgL_v1625z00_9335 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1625z00_9335,
												(int) (((long) 4)), BgL_arg2820z00_2723);
											VECTOR_SET(BgL_v1625z00_9335,
												(int) (((long) 3)), BgL_arg2819z00_2722);
											VECTOR_SET(BgL_v1625z00_9335,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1625z00_9335,
												(int) (((long) 1)), BgL_arg2818z00_2721);
											VECTOR_SET(BgL_v1625z00_9335,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2716 = BgL_v1625z00_9335;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg2814z00_2717;

										BgL_arg2814z00_2717 =
											PROCEDURE_ENTRY(BgL_ez00_17324) (BgL_ez00_17324,
											BgL_sz00_2695, BEOA);
										VECTOR_SET(BgL_gz00_2716, (int) (((long) 2)),
											BgL_arg2814z00_2717);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg2815z00_2718;
										obj_t BgL_arg2816z00_2719;
										obj_t BgL_arg2817z00_2720;

										BgL_arg2815z00_2718 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_modz00);
										BgL_arg2816z00_2719 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_namez00);
										BgL_arg2817z00_2720 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg2815z00_2718, BgL_arg2816z00_2719, BgL_gz00_2716,
											BgL_arg2817z00_2720);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17323)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1646 */
	obj_t BGl_z62compzd2ev_setglobal1646zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17326, BgL_ev_setglobalz00_bglt BgL_ez00_17327,
		obj_t BgL_stkz00_17328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_2646;
				obj_t BgL_stkz00_2647;

				BgL_ez00_2646 = BgL_ez00_17327;
				BgL_stkz00_2647 = BgL_stkz00_17328;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_2651;
					obj_t BgL_ez00_2652;

					BgL_gz00_2651 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg2797z00_2687;

						BgL_arg2797z00_2687 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2646)))->BgL_ez00);
						BgL_ez00_2652 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2797z00_2687,
							BgL_stkz00_2647);
					}
					if (CBOOL(BgL_gz00_2651))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1093z00_2654;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res4836z00_9258;

									{	/* Eval/evaluate_comp.scm 357 */
										obj_t BgL_evalzd2globalzd2_9255;

										BgL_evalzd2globalzd2_9255 = BgL_gz00_2651;
										{	/* Eval/evaluate_comp.scm 357 */
											int BgL_kz00_9257;

											BgL_kz00_9257 = (int) (((long) 0));
											BgL_res4836z00_9258 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9255,
													BgL_kz00_9257));
									}}
									BgL_aux1093z00_2654 = BgL_res4836z00_9258;
								}
								switch ((long) (BgL_aux1093z00_2654))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza32773ze3z83_16236;

											BgL_zc3anonymousza32773ze3z83_16236 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32773ze3z83_16236,
												(int) (((long) 0)), BgL_gz00_2651);
											PROCEDURE_SET(BgL_zc3anonymousza32773ze3z83_16236,
												(int) (((long) 1)), BgL_ez00_2652);
											return BgL_zc3anonymousza32773ze3z83_16236;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
												BgL_locz00), BGl_string5662z00zz__evaluate_compz00,
											BGl_string5663z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza32778ze3z83_16237;

											BgL_zc3anonymousza32778ze3z83_16237 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32778ze3z83_16237,
												(int) (((long) 0)), BgL_ez00_2652);
											PROCEDURE_SET(BgL_zc3anonymousza32778ze3z83_16237,
												(int) (((long) 1)), BgL_gz00_2651);
											return BgL_zc3anonymousza32778ze3z83_16237;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_2667;

							BgL_slotz00_2667 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_2669;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg2784z00_2673;
										obj_t BgL_arg2785z00_2674;
										obj_t BgL_arg2786z00_2675;

										BgL_arg2784z00_2673 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_namez00);
										BgL_arg2785z00_2674 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_modz00);
										BgL_arg2786z00_2675 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1625z00_9270;

											BgL_v1625z00_9270 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1625z00_9270,
												(int) (((long) 4)), BgL_arg2786z00_2675);
											VECTOR_SET(BgL_v1625z00_9270,
												(int) (((long) 3)), BgL_arg2785z00_2674);
											VECTOR_SET(BgL_v1625z00_9270,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1625z00_9270,
												(int) (((long) 1)), BgL_arg2784z00_2673);
											VECTOR_SET(BgL_v1625z00_9270,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2669 = BgL_v1625z00_9270;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_9287;

										BgL_tagz00_9287 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2669,
											(int) (((long) 0)), BINT(BgL_tagz00_9287));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_namez00), BgL_gz00_2669,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2646))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza32788ze3z83_16235;

								BgL_zc3anonymousza32788ze3z83_16235 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_16235,
									(int) (((long) 0)), ((obj_t) BgL_ez00_2646));
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_16235,
									(int) (((long) 1)), BgL_slotz00_2667);
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_16235,
									(int) (((long) 2)), BgL_ez00_2652);
								return BgL_zc3anonymousza32788ze3z83_16235;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2773> */
	obj_t BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17329, obj_t BgL_sz00_17332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_17330;
				obj_t BgL_ez00_17331;

				BgL_gz00_17330 = PROCEDURE_REF(BgL_envz00_17329, (int) (((long) 0)));
				BgL_ez00_17331 = PROCEDURE_REF(BgL_envz00_17329, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2656;

					BgL_sz00_2656 = BgL_sz00_17332;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_9259;

						BgL_bpz00_9259 = VECTOR_REF(BgL_sz00_2656, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 359 */
							obj_t BgL_arg2774z00_9260;
							obj_t BgL_arg2775z00_9261;

							BgL_arg2774z00_9260 =
								VECTOR_REF(BgL_gz00_17330, (int) (((long) 2)));
							BgL_arg2775z00_9261 =
								PROCEDURE_ENTRY(BgL_ez00_17331) (BgL_ez00_17331, BgL_sz00_2656,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg2774z00_9260,
								BgL_arg2775z00_9261);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2778> */
	obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17333, obj_t BgL_sz00_17336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_17334;
				obj_t BgL_gz00_17335;

				BgL_ez00_17334 = PROCEDURE_REF(BgL_envz00_17333, (int) (((long) 0)));
				BgL_gz00_17335 = PROCEDURE_REF(BgL_envz00_17333, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2663;

					BgL_sz00_2663 = BgL_sz00_17336;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_9246;

						BgL_bpz00_9246 = VECTOR_REF(BgL_sz00_2663, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg2779z00_9247;

							BgL_arg2779z00_9247 =
								PROCEDURE_ENTRY(BgL_ez00_17334) (BgL_ez00_17334, BgL_sz00_2663,
								BEOA);
							return VECTOR_SET(BgL_gz00_17335, (int) (((long) 2)),
								BgL_arg2779z00_9247);
		}}}}}
	}



/* &<anonymous:2788> */
	obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17337, obj_t BgL_sz00_17341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1091z00_17338;
				obj_t BgL_slotz00_17339;
				obj_t BgL_ez00_17340;

				BgL_i1091z00_17338 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17337, (int) (((long) 0))));
				BgL_slotz00_17339 = PROCEDURE_REF(BgL_envz00_17337, (int) (((long) 1)));
				BgL_ez00_17340 = PROCEDURE_REF(BgL_envz00_17337, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2677;

					BgL_sz00_2677 = BgL_sz00_17341;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_2679;

						BgL_bpz00_2679 = VECTOR_REF(BgL_sz00_2677, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17339)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_17342;

									BgL_auxz00_17342 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17338))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17338))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17339, BgL_auxz00_17342);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17339)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17338))->
												BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
											BGl_string5665z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17338))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg2793z00_2684;

							BgL_arg2793z00_2684 =
								PROCEDURE_ENTRY(BgL_ez00_17340) (BgL_ez00_17340, BgL_sz00_2677,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_9293;

								BgL_evalzd2globalzd2_9293 = CELL_REF(BgL_slotz00_17339);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_9293,
									(int) (((long) 2)), BgL_arg2793z00_2684);
		}}}}}}
	}



/* &comp-ev_global1644 */
	obj_t BGl_z62compzd2ev_global1644zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17343, BgL_ev_globalz00_bglt BgL_varz00_17344,
		obj_t BgL_stkz00_17345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_2604;
				obj_t BgL_stkz00_2605;

				BgL_varz00_2604 = BgL_varz00_17344;
				BgL_stkz00_2605 = BgL_stkz00_17345;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_2609;

					BgL_gz00_2609 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->BgL_namez00));
					if (CBOOL(BgL_gz00_2609))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_32044;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg2751z00_2618;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res4832z00_9193;

									{	/* Eval/evaluate_comp.scm 331 */
										obj_t BgL_evalzd2globalzd2_9190;

										BgL_evalzd2globalzd2_9190 = BgL_gz00_2609;
										{	/* Eval/evaluate_comp.scm 331 */
											int BgL_kz00_9192;

											BgL_kz00_9192 = (int) (((long) 0));
											BgL_res4832z00_9193 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9190,
													BgL_kz00_9192));
									}}
									BgL_arg2751z00_2618 = BgL_res4832z00_9193;
								}
								BgL_testz00_32044 =
									(BINT(BgL_arg2751z00_2618) == BINT(((long) 1)));
							}
							if (BgL_testz00_32044)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza32748ze3z83_16239;

									BgL_zc3anonymousza32748ze3z83_16239 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32748ze3z83_16239,
										(int) (((long) 0)), BgL_gz00_2609);
									return BgL_zc3anonymousza32748ze3z83_16239;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza32750ze3z83_16240;

									BgL_zc3anonymousza32750ze3z83_16240 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32750ze3z83_16240,
										(int) (((long) 0)), BgL_gz00_2609);
									return BgL_zc3anonymousza32750ze3z83_16240;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_2619;

							BgL_slotz00_2619 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_2621;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg2756z00_2625;
										obj_t BgL_arg2757z00_2626;
										obj_t BgL_arg2758z00_2627;

										BgL_arg2756z00_2625 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_namez00);
										BgL_arg2757z00_2626 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_modz00);
										BgL_arg2758z00_2627 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1625z00_9210;

											BgL_v1625z00_9210 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1625z00_9210,
												(int) (((long) 4)), BgL_arg2758z00_2627);
											VECTOR_SET(BgL_v1625z00_9210,
												(int) (((long) 3)), BgL_arg2757z00_2626);
											VECTOR_SET(BgL_v1625z00_9210,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1625z00_9210,
												(int) (((long) 1)), BgL_arg2756z00_2625);
											VECTOR_SET(BgL_v1625z00_9210,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2621 = BgL_v1625z00_9210;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_9227;

										BgL_tagz00_9227 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2621,
											(int) (((long) 0)), BINT(BgL_tagz00_9227));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_namez00), BgL_gz00_2621,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2604))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza32760ze3z83_16241;

								BgL_zc3anonymousza32760ze3z83_16241 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_16241,
									(int) (((long) 0)), ((obj_t) BgL_varz00_2604));
								PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_16241,
									(int) (((long) 1)), BgL_slotz00_2619);
								return BgL_zc3anonymousza32760ze3z83_16241;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2748> */
	obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17346, obj_t BgL_sz00_17348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_17347;

				BgL_gz00_17347 = PROCEDURE_REF(BgL_envz00_17346, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2611;

					BgL_sz00_2611 = BgL_sz00_17348;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_9194;

						BgL_bpz00_9194 = VECTOR_REF(BgL_sz00_2611, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 332 */
							obj_t BgL_auxz00_32100;

							BgL_auxz00_32100 = VECTOR_REF(BgL_gz00_17347, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_32100);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2750> */
	obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17349, obj_t BgL_sz00_17351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_17350;

				BgL_gz00_17350 = PROCEDURE_REF(BgL_envz00_17349, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2615;

					BgL_sz00_2615 = BgL_sz00_17351;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_9201;

						BgL_bpz00_9201 = VECTOR_REF(BgL_sz00_2615, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_17350, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:2760> */
	obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17352, obj_t BgL_sz00_17355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1090z00_17353;
				obj_t BgL_slotz00_17354;

				BgL_i1090z00_17353 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17352, (int) (((long) 0))));
				BgL_slotz00_17354 = PROCEDURE_REF(BgL_envz00_17352, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2629;

					BgL_sz00_2629 = BgL_sz00_17355;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_2631;

						BgL_bpz00_2631 = VECTOR_REF(BgL_sz00_2629, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17354)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_17356;

									BgL_auxz00_17356 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17354, BgL_auxz00_17356);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17354)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
												BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
											BGl_string5665z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_2636;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_9233;

								BgL_evalzd2globalzd2_9233 = CELL_REF(BgL_slotz00_17354);
								BgL_vz00_2636 =
									VECTOR_REF(BgL_evalzd2globalzd2_9233, (int) (((long) 2)));
							}
							if ((BgL_vz00_2636 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_2638;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res4833z00_9239;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_9236;

											BgL_evalzd2globalzd2_9236 = CELL_REF(BgL_slotz00_17354);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_9238;

												BgL_kz00_9238 = (int) (((long) 0));
												BgL_res4833z00_9239 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_9236,
														BgL_kz00_9238));
										}}
										BgL_tz00_2638 = BgL_res4833z00_9239;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_32134;

										if (((long) (BgL_tz00_2638) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32134 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32134 =
													((long) (BgL_tz00_2638) == ((long) 4));
											}
										if (BgL_testz00_32134)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
														BgL_locz00), BGl_string5544z00zz__evaluate_compz00,
													BGl_string5666z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17353))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_2636;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_2636;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1642 */
	obj_t BGl_z62compzd2ev_setlocal1642zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17357, BgL_ev_setlocalz00_bglt BgL_ez00_17358,
		obj_t BgL_stkz00_17359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2581;
				obj_t BgL_stkz00_2582;

				BgL_ez00_2581 = BgL_ez00_17358;
				BgL_stkz00_2582 = BgL_stkz00_17359;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_2586;
					obj_t BgL_ez00_2587;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg2745z00_2601;

						BgL_arg2745z00_2601 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2581))->BgL_vz00);
						BgL_iz00_2586 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg2745z00_2601), BgL_stkz00_2582);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg2746z00_2602;

						BgL_arg2746z00_2602 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2581)))->BgL_ez00);
						BgL_ez00_2587 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2746z00_2602,
							BgL_stkz00_2582);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2581))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza32738ze3z83_16243;

							BgL_zc3anonymousza32738ze3z83_16243 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_16243,
								(int) (((long) 0)), BgL_iz00_2586);
							PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_16243,
								(int) (((long) 1)), BgL_ez00_2587);
							return BgL_zc3anonymousza32738ze3z83_16243;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza32742ze3z83_16244;

							BgL_zc3anonymousza32742ze3z83_16244 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32742ze3z83_16244,
								(int) (((long) 0)), BgL_iz00_2586);
							PROCEDURE_SET(BgL_zc3anonymousza32742ze3z83_16244,
								(int) (((long) 1)), BgL_ez00_2587);
							return BgL_zc3anonymousza32742ze3z83_16244;
						}
				}
			}
		}
	}



/* &<anonymous:2738> */
	obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17360, obj_t BgL_sz00_17363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_17361;
				obj_t BgL_ez00_17362;

				BgL_iz00_17361 = PROCEDURE_REF(BgL_envz00_17360, (int) (((long) 0)));
				BgL_ez00_17362 = PROCEDURE_REF(BgL_envz00_17360, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2590;

					BgL_sz00_2590 = BgL_sz00_17363;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_9163;

						BgL_bpz00_9163 = VECTOR_REF(BgL_sz00_2590, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_arg2739z00_9164;
							obj_t BgL_arg2740z00_9165;

							{	/* Eval/evaluate_comp.scm 314 */
								long BgL_arg2741z00_9166;

								BgL_arg2741z00_9166 =
									((long) CINT(BgL_bpz00_9163) + (long) CINT(BgL_iz00_17361));
								BgL_arg2739z00_9164 =
									VECTOR_REF(BgL_sz00_2590, (int) (BgL_arg2741z00_9166));
							}
							BgL_arg2740z00_9165 =
								PROCEDURE_ENTRY(BgL_ez00_17362) (BgL_ez00_17362, BgL_sz00_2590,
								BEOA);
							{	/* Eval/evaluate_comp.scm 314 */
								obj_t BgL_sz00_9176;

								BgL_sz00_9176 = BgL_arg2739z00_9164;
								{	/* Eval/evaluate_comp.scm 314 */
									obj_t BgL_xz00_17673;

									{	/* Eval/evaluate_comp.scm 314 */
										int BgL_auxz00_32182;

										BgL_auxz00_32182 = (int) (((long) 0));
										BgL_xz00_17673 =
											STRUCT_SET(BgL_sz00_9176, BgL_auxz00_32182,
											BgL_arg2740z00_9165);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2742> */
	obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17364, obj_t BgL_sz00_17367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_17365;
				obj_t BgL_ez00_17366;

				BgL_iz00_17365 = PROCEDURE_REF(BgL_envz00_17364, (int) (((long) 0)));
				BgL_ez00_17366 = PROCEDURE_REF(BgL_envz00_17364, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2596;

					BgL_sz00_2596 = BgL_sz00_17367;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_9179;

						BgL_bpz00_9179 = VECTOR_REF(BgL_sz00_2596, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 316 */
							long BgL_arg2743z00_9180;
							obj_t BgL_arg2744z00_9181;

							BgL_arg2743z00_9180 =
								((long) CINT(BgL_bpz00_9179) + (long) CINT(BgL_iz00_17365));
							BgL_arg2744z00_9181 =
								PROCEDURE_ENTRY(BgL_ez00_17366) (BgL_ez00_17366, BgL_sz00_2596,
								BEOA);
							return VECTOR_SET(BgL_sz00_2596, (int) (BgL_arg2743z00_9180),
								BgL_arg2744z00_9181);
		}}}}}
	}



/* &comp-ev_var1640 */
	obj_t BGl_z62compzd2ev_var1640zb0zz__evaluate_compz00(obj_t BgL_envz00_17368,
		BgL_ev_varz00_bglt BgL_varz00_17369, obj_t BgL_stkz00_17370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_2521;
				obj_t BgL_stkz00_2522;

				BgL_varz00_2521 = BgL_varz00_17369;
				BgL_stkz00_2522 = BgL_stkz00_17370;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_2525;

					BgL_iz00_2525 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_2521), BgL_stkz00_2522);
					{

						if (INTEGERP(BgL_iz00_2525))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_2525))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2521))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5667z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5668z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2521))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5669z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5670z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2521))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5671z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5672z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2521))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5673z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5674z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1085z00_2527:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2521))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32732ze3z83_16255;

												BgL_zc3anonymousza32732ze3z83_16255 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_16255,
													(int) (((long) 0)), BgL_iz00_2525);
												return BgL_zc3anonymousza32732ze3z83_16255;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32735ze3z83_16254;

												BgL_zc3anonymousza32735ze3z83_16254 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_16254,
													(int) (((long) 0)), BgL_iz00_2525);
												return BgL_zc3anonymousza32735ze3z83_16254;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1085z00_2527;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2726> */
	obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17371, obj_t BgL_sz00_17372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2561;

				BgL_sz00_2561 = BgL_sz00_17372;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9141;

					BgL_bpz00_9141 = VECTOR_REF(BgL_sz00_2561, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2727z00_9142;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2728z00_9143;

							BgL_arg2728z00_9143 = ((long) CINT(BgL_bpz00_9141) + ((long) 3));
							BgL_arg2727z00_9142 =
								VECTOR_REF(BgL_sz00_2561, (int) (BgL_arg2728z00_9143));
						}
						return STRUCT_REF(BgL_arg2727z00_9142, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2729> */
	obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17373, obj_t BgL_sz00_17374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2566;

				BgL_sz00_2566 = BgL_sz00_17374;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9154;

					BgL_bpz00_9154 = VECTOR_REF(BgL_sz00_2566, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2730z00_9155;

						BgL_arg2730z00_9155 = ((long) CINT(BgL_bpz00_9154) + ((long) 3));
						return VECTOR_REF(BgL_sz00_2566, (int) (BgL_arg2730z00_9155));
		}}}}
	}



/* &<anonymous:2720> */
	obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17375, obj_t BgL_sz00_17376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2551;

				BgL_sz00_2551 = BgL_sz00_17376;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9119;

					BgL_bpz00_9119 = VECTOR_REF(BgL_sz00_2551, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2721z00_9120;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2722z00_9121;

							BgL_arg2722z00_9121 = ((long) CINT(BgL_bpz00_9119) + ((long) 2));
							BgL_arg2721z00_9120 =
								VECTOR_REF(BgL_sz00_2551, (int) (BgL_arg2722z00_9121));
						}
						return STRUCT_REF(BgL_arg2721z00_9120, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2723> */
	obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17377, obj_t BgL_sz00_17378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2556;

				BgL_sz00_2556 = BgL_sz00_17378;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9132;

					BgL_bpz00_9132 = VECTOR_REF(BgL_sz00_2556, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2724z00_9133;

						BgL_arg2724z00_9133 = ((long) CINT(BgL_bpz00_9132) + ((long) 2));
						return VECTOR_REF(BgL_sz00_2556, (int) (BgL_arg2724z00_9133));
		}}}}
	}



/* &<anonymous:2713> */
	obj_t BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17379, obj_t BgL_sz00_17380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2541;

				BgL_sz00_2541 = BgL_sz00_17380;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9097;

					BgL_bpz00_9097 = VECTOR_REF(BgL_sz00_2541, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2715z00_9098;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2716z00_9099;

							BgL_arg2716z00_9099 = ((long) CINT(BgL_bpz00_9097) + ((long) 1));
							BgL_arg2715z00_9098 =
								VECTOR_REF(BgL_sz00_2541, (int) (BgL_arg2716z00_9099));
						}
						return STRUCT_REF(BgL_arg2715z00_9098, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2717> */
	obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17381, obj_t BgL_sz00_17382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2546;

				BgL_sz00_2546 = BgL_sz00_17382;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9110;

					BgL_bpz00_9110 = VECTOR_REF(BgL_sz00_2546, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2718z00_9111;

						BgL_arg2718z00_9111 = ((long) CINT(BgL_bpz00_9110) + ((long) 1));
						return VECTOR_REF(BgL_sz00_2546, (int) (BgL_arg2718z00_9111));
		}}}}
	}



/* &<anonymous:2707> */
	obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17383, obj_t BgL_sz00_17384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2531;

				BgL_sz00_2531 = BgL_sz00_17384;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9075;

					BgL_bpz00_9075 = VECTOR_REF(BgL_sz00_2531, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2708z00_9076;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2709z00_9077;

							BgL_arg2709z00_9077 = ((long) CINT(BgL_bpz00_9075) + ((long) 0));
							BgL_arg2708z00_9076 =
								VECTOR_REF(BgL_sz00_2531, (int) (BgL_arg2709z00_9077));
						}
						return STRUCT_REF(BgL_arg2708z00_9076, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2710> */
	obj_t BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17385, obj_t BgL_sz00_17386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2536;

				BgL_sz00_2536 = BgL_sz00_17386;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9088;

					BgL_bpz00_9088 = VECTOR_REF(BgL_sz00_2536, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2711z00_9089;

						BgL_arg2711z00_9089 = ((long) CINT(BgL_bpz00_9088) + ((long) 0));
						return VECTOR_REF(BgL_sz00_2536, (int) (BgL_arg2711z00_9089));
		}}}}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17387, obj_t BgL_sz00_17389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17388;

				BgL_iz00_17388 = PROCEDURE_REF(BgL_envz00_17387, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2571;

					BgL_sz00_2571 = BgL_sz00_17389;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9053;

						BgL_bpz00_9053 = VECTOR_REF(BgL_sz00_2571, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg2733z00_9054;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg2734z00_9055;

								BgL_arg2734z00_9055 =
									((long) CINT(BgL_bpz00_9053) + (long) CINT(BgL_iz00_17388));
								BgL_arg2733z00_9054 =
									VECTOR_REF(BgL_sz00_2571, (int) (BgL_arg2734z00_9055));
							}
							return STRUCT_REF(BgL_arg2733z00_9054, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:2735> */
	obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17390, obj_t BgL_sz00_17392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17391;

				BgL_iz00_17391 = PROCEDURE_REF(BgL_envz00_17390, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2576;

					BgL_sz00_2576 = BgL_sz00_17392;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9066;

						BgL_bpz00_9066 = VECTOR_REF(BgL_sz00_2576, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2736z00_9067;

							BgL_arg2736z00_9067 =
								((long) CINT(BgL_bpz00_9066) + (long) CINT(BgL_iz00_17391));
							return VECTOR_REF(BgL_sz00_2576, (int) (BgL_arg2736z00_9067));
		}}}}}
	}



/* &comp-ev_trap1638 */
	obj_t BGl_z62compzd2ev_trap1638zb0zz__evaluate_compz00(obj_t BgL_envz00_17393,
		BgL_ev_trapz00_bglt BgL_ez00_17394, obj_t BgL_stkz00_17395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_2503;
				obj_t BgL_stkz00_2504;

				BgL_ez00_2503 = BgL_ez00_17394;
				BgL_stkz00_2504 = BgL_stkz00_17395;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_2508;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg2704z00_2519;

						BgL_arg2704z00_2519 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2503)))->BgL_ez00);
						BgL_ez00_2508 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2704z00_2519,
							BgL_stkz00_2504);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza32697ze3z83_16257;

						BgL_zc3anonymousza32697ze3z83_16257 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32697ze3z83_16257,
							(int) (((long) 0)), BgL_ez00_2508);
						return BgL_zc3anonymousza32697ze3z83_16257;
					}
				}
			}
		}
	}



/* &<anonymous:2697> */
	obj_t BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17396, obj_t BgL_sz00_17398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_17397;

				BgL_ez00_17397 = PROCEDURE_REF(BgL_envz00_17396, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2509;

					BgL_sz00_2509 = BgL_sz00_17398;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_2511;

						BgL_bpz00_2511 = VECTOR_REF(BgL_sz00_2509, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_2512;

							BgL_cmdz00_2512 =
								PROCEDURE_ENTRY(BgL_ez00_17397) (BgL_ez00_17397, BgL_sz00_2509,
								BEOA);
							if ((BgL_cmdz00_2512 == BGl_symbol5675z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_2511;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_2512 == BGl_symbol5677z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_2512 ==
													BGl_symbol5679z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_2512 ==
															BGl_symbol5681z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5544z00zz__evaluate_compz00,
																BGl_string5683z00zz__evaluate_compz00,
																BgL_cmdz00_2512);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5684z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
