/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1324z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_global1242z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1300z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_app1404z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1276z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt);
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1306zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1376z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_labels1266z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1258zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1326zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1290z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1296z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt);
	static obj_t BGl_z62tailposzd2ev_letza21362z12zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1298z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_if1246z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_litt1342zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_list1384z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_prog21250z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_z62tailposzd2ev_var1338zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_global1378z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_list1248z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_prog21386z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62fsiza7ezd2ev_var1240z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1302z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_abs1406z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_let1360zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_if1344zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1286z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1322zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1273zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1260z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1394z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1288z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1380z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1314zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1332zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letza21262zb5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_litt1244z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1256zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_letrec1264z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1392z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1396z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_app1370zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1310zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1270z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1334zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_hook1350zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21316zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1402z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_global1340zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_labels1366zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1278z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1284z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_setlocal1352zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_abs1372zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_goto1368zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7e1237zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1292z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_binder1398z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_symbol2125z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2127z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1320z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1272z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1308zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1388z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2130z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2132z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailpos1335z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1328zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_hook1252z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1280z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt);
	static obj_t BGl_z62subst_goto1303z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1312zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1390z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_prog21348zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1318zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_goto1268z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1294z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	static obj_t BGl_z62hasvarzf31373z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1364zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1356z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1382z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1330zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1254zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1354z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1358z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1400z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1282z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt);
	static obj_t BGl_z62tailposzd2ev_list1346zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2120z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2120za700za7za7_2226za7, "subst_goto1303", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1237za7c2227za7,
		BGl_z62fsiza7e1237zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2122z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2122za700za7za7_2228za7, "tailpos1335", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2229z00,
		BGl_z62searchzd2letrec1273zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2124z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2124za700za7za7_2230za7, "hasvar?1373", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1302231za7,
		BGl_z62subst_goto1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2126z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2126za700za7za7_2232za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2209za700za7za7_2233za7, "hasvar?", 7);
	      DEFINE_STRING(BGl_string2128z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2128za700za7za7_2234za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string2129z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2129za700za7za7_2235za7, "not defined for", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2236z00,
		BGl_z62tailposzd2ev_withzd2hand1358z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2237z00,
		BGl_z62tailposzd2ev_let1360zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2238z00,
		BGl_z62tailposzd2ev_letza21362z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1335za762239z00,
		BGl_z62tailpos1335z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2240z00,
		BGl_z62tailposzd2ev_letrec1364zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2241z00,
		BGl_z62tailposzd2ev_labels1366zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f313732242z00,
		BGl_z62hasvarzf31373z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2243z00,
		BGl_z62tailposzd2ev_goto1368zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2244z00,
		BGl_z62tailposzd2ev_app1370zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2131z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2131za700za7za7_2245za7, "subst_goto", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2246z00,
		BGl_z62tailposzd2ev_abs1372zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2247za7,
		BGl_z62hasvarzf3zd2ev_var1376z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2133z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2133za700za7za7_2248za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2249za7, "eval", 4);
	      DEFINE_STRING(BGl_string2135z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2135za700za7za7_2250za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string2136z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2136za700za7za7_2251za7, "&fsize", 6);
	      DEFINE_STRING(BGl_string2137z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2137za700za7za7_2252za7, "bint", 4);
	      DEFINE_STRING(BGl_string2138z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2138za700za7za7_2253za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2139za700za7za7_2254za7, "&subst_goto", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2255za7,
		BGl_z62hasvarzf3zd2ev_global1378z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2256za7,
		BGl_z62hasvarzf3zd2ev_litt1380z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2257za7,
		BGl_z62hasvarzf3zd2ev_if1382z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2258za7,
		BGl_z62hasvarzf3zd2ev_list1384z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2259za7,
		BGl_z62hasvarzf3zd2ev_prog21386z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2260za7,
		BGl_z62hasvarzf3zd2ev_hook1388z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2261za7, "&tailpos", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2262za7,
		BGl_z62hasvarzf3zd2ev_setlocal1390z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2141za700za7za7_2263za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2264za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1392z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2142za700za7za7_2265za7, "&hasvar?", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2266za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1394z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2225za700za7za7_2267za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2268za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1396z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2144za700za7za7_2269za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2270za7,
		BGl_z62hasvarzf3zd2ev_binder1398z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2271za7,
		BGl_z62hasvarzf3zd2ev_labels1400z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2272za7,
		BGl_z62hasvarzf3zd2ev_goto1402z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2273za7,
		BGl_z62hasvarzf3zd2ev_app1404z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2274za7,
		BGl_z62hasvarzf3zd2ev_abs1406z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2275za7,
		BGl_z62fsiza7ezd2ev_var1240z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2276za7,
		BGl_z62fsiza7ezd2ev_global1242z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2277za7,
		BGl_z62fsiza7ezd2ev_litt1244z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2278za7,
		BGl_z62fsiza7ezd2ev_if1246z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2279za7,
		BGl_z62fsiza7ezd2ev_list1248z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2280za7,
		BGl_z62fsiza7ezd2ev_prog21250z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2281za7,
		BGl_z62fsiza7ezd2ev_hook1252z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2282za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1254zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2283za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1256zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2284za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1258zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2285za7,
		BGl_z62fsiza7ezd2ev_let1260z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2286za7,
		BGl_z62fsiza7ezd2ev_letza21262zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2287za7,
		BGl_z62fsiza7ezd2ev_letrec1264z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2288za7,
		BGl_z62fsiza7ezd2ev_labels1266z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2289za7,
		BGl_z62fsiza7ezd2ev_goto1268z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2290za7,
		BGl_z62fsiza7ezd2ev_app1270z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2291za7,
		BGl_z62fsiza7ezd2ev_abs1272z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2292z00,
		BGl_z62searchzd2letreczd2ev_var1276z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2293z00,
		BGl_z62searchzd2letreczd2ev_glo1278z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2294z00,
		BGl_z62searchzd2letreczd2ev_lit1280z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2295z00,
		BGl_z62searchzd2letreczd2ev_if1282z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2296z00,
		BGl_z62searchzd2letreczd2ev_lis1284z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2297z00,
		BGl_z62searchzd2letreczd2ev_pro1286z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2298z00,
		BGl_z62searchzd2letreczd2ev_hoo1288z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2299z00,
		BGl_z62searchzd2letreczd2ev_bin1290z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2300z00,
		BGl_z62searchzd2letreczd2ev_unw1292z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2301z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2302z00,
		BGl_z62searchzd2letreczd2ev_wit1294z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2303z00,
		BGl_z62searchzd2letreczd2ev_bin1296z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2304z00,
		BGl_z62searchzd2letreczd2ev_let1298z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2305z00,
		BGl_z62searchzd2letreczd2ev_app1300z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2306z00,
		BGl_z62searchzd2letreczd2ev_abs1302z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22307z00,
		BGl_z62subst_gotozd2ev_var1306zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22308z00,
		BGl_z62subst_gotozd2ev_global1308zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22309z00,
		BGl_z62subst_gotozd2ev_litt1310zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22310z00,
		BGl_z62subst_gotozd2ev_if1312zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22311z00,
		BGl_z62subst_gotozd2ev_list1314zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72312z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22313z00,
		BGl_z62subst_gotozd2ev_prog21316zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22314z00,
		BGl_z62subst_gotozd2ev_hook1318zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22315z00,
		BGl_z62subst_gotozd2ev_bindzd2e1320z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22316z00,
		BGl_z62subst_gotozd2ev_unwind1322zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22317z00,
		BGl_z62subst_gotozd2ev_withzd2h1324z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22318z00,
		BGl_z62subst_gotozd2ev_binder1326zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22319z00,
		BGl_z62subst_gotozd2ev_labels1328zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22320z00,
		BGl_z62subst_gotozd2ev_goto1330zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22321z00,
		BGl_z62subst_gotozd2ev_app1332zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22322z00,
		BGl_z62subst_gotozd2ev_abs1334zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2323z00,
		BGl_z62tailposzd2ev_var1338zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2324z00,
		BGl_z62tailposzd2ev_global1340zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2325z00,
		BGl_z62tailposzd2ev_litt1342zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2326z00,
		BGl_z62tailposzd2ev_if1344zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2327z00,
		BGl_z62tailposzd2ev_list1346zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2328z00,
		BGl_z62tailposzd2ev_prog21348zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2329z00,
		BGl_z62tailposzd2ev_hook1350zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2330z00,
		BGl_z62tailposzd2ev_setlocal1352zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2331z00,
		BGl_z62tailposzd2ev_bindzd2exit1354z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2332z00,
		BGl_z62tailposzd2ev_unwindzd2pr1356z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72333za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2334za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2335z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2336z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622337z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2111z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2111za700za7za7_2338za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2112z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2112za700za7za7_2339za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2113z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2113za700za7za7_2340za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2114z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2114za700za7za7_2341za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2116z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2116za700za7za7_2342za7, "fsize1237", 9);
	      DEFINE_STRING(BGl_string2118z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2118za700za7za7_2343za7, "search-letrec1273", 17);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3487, char *BgL_fromz00_3488)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2125z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2124z00zz__evaluate_fsiza7eza7);
			BGl_symbol2127z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_symbol2130z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2131z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2132z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2133z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3066,
		obj_t BgL_ez00_3067)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3502;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3503;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3067,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3503 = ((BgL_ev_exprz00_bglt) BgL_ez00_3067);
						}
					else
						{
							obj_t BgL_auxz00_3507;

							BgL_auxz00_3507 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2112z00zz__evaluate_fsiza7eza7,
								BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3067);
							FAILURE(BgL_auxz00_3507, BFALSE, BFALSE);
						}
					BgL_auxz00_3502 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3503);
				}
				return BINT(BgL_auxz00_3502);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_40));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3068, obj_t BgL_ez00_3069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			{	/* Eval/evaluate_fsize.scm 165 */
				BgL_ev_exprz00_bglt BgL_ez00_3455;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3069,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 165 */
						BgL_ez00_3455 = ((BgL_ev_exprz00_bglt) BgL_ez00_3069);
					}
				else
					{
						obj_t BgL_auxz00_3518;

						BgL_auxz00_3518 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 4866)),
							BGl_string2114z00zz__evaluate_fsiza7eza7,
							BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3069);
						FAILURE(BgL_auxz00_3518, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3455));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_41)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 168 */
			{
				obj_t BgL_lz00_807;

				BgL_lz00_807 = BgL_lz00_41;
			BgL_zc3anonymousza31440ze3z83_808:
				if (NULLP(BgL_lz00_807))
					{	/* Eval/evaluate_fsize.scm 170 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 170 */
						{	/* Eval/evaluate_fsize.scm 171 */
							obj_t BgL_arg1442z00_810;

							{	/* Eval/evaluate_fsize.scm 171 */
								obj_t BgL_arg1444z00_811;

								BgL_arg1444z00_811 = CAR(BgL_lz00_807);
								BgL_arg1442z00_810 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1444z00_811));
							}
							SET_CAR(BgL_lz00_807, BgL_arg1442z00_810);
						}
						{
							obj_t BgL_lz00_3530;

							BgL_lz00_3530 = CDR(BgL_lz00_807);
							BgL_lz00_807 = BgL_lz00_3530;
							goto BgL_zc3anonymousza31440ze3z83_808;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_57, obj_t BgL_valsz00_58, BgL_ev_exprz00_bglt BgL_bodyz00_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 257 */
			{	/* Eval/evaluate_fsize.scm 258 */
				BgL_ev_labelsz00_bglt BgL_rz00_814;

				{	/* Eval/evaluate_fsize.scm 258 */
					BgL_ev_labelsz00_bglt BgL_new1090z00_833;

					{	/* Eval/evaluate_fsize.scm 258 */
						BgL_ev_labelsz00_bglt BgL_new1089z00_837;

						BgL_new1089z00_837 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 258 */
							long BgL_arg1462z00_838;

							{	/* Eval/evaluate_fsize.scm 258 */
								long BgL_res1955z00_2021;

								{	/* Eval/evaluate_fsize.scm 258 */
									obj_t BgL_classz00_2018;

									BgL_classz00_2018 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_fsize.scm 258 */
										obj_t BgL_vectorz00_2019;
										int BgL_kz00_2020;

										BgL_vectorz00_2019 = BgL_classz00_2018;
										BgL_kz00_2020 = (int) (((long) 1));
										BgL_res1955z00_2021 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2019,
												BgL_kz00_2020));
								}}
								BgL_arg1462z00_838 = BgL_res1955z00_2021;
							}
							{	/* Eval/evaluate_fsize.scm 258 */
								BgL_objectz00_bglt BgL_objz00_2022;

								BgL_objz00_2022 = ((BgL_objectz00_bglt) BgL_new1089z00_837);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2022, BgL_arg1462z00_838);
						}}
						{	/* Eval/evaluate_fsize.scm 258 */
							BgL_objectz00_bglt BgL_auxz00_3538;

							BgL_auxz00_3538 = ((BgL_objectz00_bglt) BgL_new1089z00_837);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3538, BFALSE);
						}
						BgL_new1090z00_833 = BgL_new1089z00_837;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_varsz00) =
						((obj_t) BgL_varsz00_57), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3545;

						{	/* Eval/evaluate_fsize.scm 259 */
							BgL_ev_littz00_bglt BgL_new1093z00_834;

							{	/* Eval/evaluate_fsize.scm 259 */
								BgL_ev_littz00_bglt BgL_new1092z00_835;

								BgL_new1092z00_835 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 259 */
									long BgL_arg1461z00_836;

									{	/* Eval/evaluate_fsize.scm 259 */
										long BgL_res1956z00_2027;

										{	/* Eval/evaluate_fsize.scm 259 */
											obj_t BgL_classz00_2024;

											BgL_classz00_2024 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate_fsize.scm 259 */
												obj_t BgL_vectorz00_2025;
												int BgL_kz00_2026;

												BgL_vectorz00_2025 = BgL_classz00_2024;
												BgL_kz00_2026 = (int) (((long) 1));
												BgL_res1956z00_2027 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2025,
														BgL_kz00_2026));
										}}
										BgL_arg1461z00_836 = BgL_res1956z00_2027;
									}
									{	/* Eval/evaluate_fsize.scm 259 */
										BgL_objectz00_bglt BgL_objz00_2028;

										BgL_objz00_2028 = ((BgL_objectz00_bglt) BgL_new1092z00_835);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2028,
											BgL_arg1461z00_836);
								}}
								{	/* Eval/evaluate_fsize.scm 259 */
									BgL_objectz00_bglt BgL_auxz00_3552;

									BgL_auxz00_3552 = ((BgL_objectz00_bglt) BgL_new1092z00_835);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3552, BFALSE);
								}
								BgL_new1093z00_834 = BgL_new1092z00_835;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1093z00_834))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3545 = ((BgL_ev_exprz00_bglt) BgL_new1093z00_834);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3545), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_833))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_814 = BgL_new1090z00_833;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_814))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_59,
								BgL_varsz00_57, ((obj_t) BgL_rz00_814)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3564;

					if (NULLP(BgL_valsz00_58))
						{	/* Eval/evaluate_fsize.scm 262 */
							BgL_auxz00_3564 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 262 */
							obj_t BgL_head1187z00_818;

							{	/* Eval/evaluate_fsize.scm 262 */
								obj_t BgL_res1958z00_2034;

								BgL_res1958z00_2034 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1187z00_818 = BgL_res1958z00_2034;
							}
							{
								obj_t BgL_l1185z00_820;
								obj_t BgL_tail1188z00_821;

								BgL_l1185z00_820 = BgL_valsz00_58;
								BgL_tail1188z00_821 = BgL_head1187z00_818;
							BgL_zc3anonymousza31449ze3z83_822:
								if (NULLP(BgL_l1185z00_820))
									{	/* Eval/evaluate_fsize.scm 262 */
										BgL_auxz00_3564 = CDR(BgL_head1187z00_818);
									}
								else
									{	/* Eval/evaluate_fsize.scm 262 */
										obj_t BgL_newtail1189z00_824;

										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1457z00_826;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_valz00_827;

												{	/* Eval/evaluate_fsize.scm 262 */
													obj_t BgL_pairz00_2038;

													BgL_pairz00_2038 = BgL_l1185z00_820;
													BgL_valz00_827 = CAR(BgL_pairz00_2038);
												}
												{	/* Eval/evaluate_fsize.scm 263 */
													BgL_ev_absz00_bglt BgL_i1095z00_828;

													BgL_i1095z00_828 =
														((BgL_ev_absz00_bglt) BgL_valz00_827);
													{	/* Eval/evaluate_fsize.scm 264 */
														obj_t BgL_arg1458z00_829;
														obj_t BgL_arg1459z00_830;

														BgL_arg1458z00_829 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_828))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 264 */
															BgL_ev_exprz00_bglt BgL_arg1460z00_831;

															BgL_arg1460z00_831 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_828))->
																BgL_bodyz00);
															BgL_arg1459z00_830 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1460z00_831, BgL_varsz00_57,
																((obj_t) BgL_rz00_814));
														}
														BgL_arg1457z00_826 =
															MAKE_PAIR(BgL_arg1458z00_829, BgL_arg1459z00_830);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_res1960z00_2041;

												BgL_res1960z00_2041 =
													MAKE_PAIR(BgL_arg1457z00_826, BNIL);
												BgL_newtail1189z00_824 = BgL_res1960z00_2041;
											}
										}
										SET_CDR(BgL_tail1188z00_821, BgL_newtail1189z00_824);
										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1456z00_825;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_pairz00_2044;

												BgL_pairz00_2044 = BgL_l1185z00_820;
												BgL_arg1456z00_825 = CDR(BgL_pairz00_2044);
											}
											{
												obj_t BgL_tail1188z00_3582;
												obj_t BgL_l1185z00_3581;

												BgL_l1185z00_3581 = BgL_arg1456z00_825;
												BgL_tail1188z00_3582 = BgL_newtail1189z00_824;
												BgL_tail1188z00_821 = BgL_tail1188z00_3582;
												BgL_l1185z00_820 = BgL_l1185z00_3581;
												goto BgL_zc3anonymousza31449ze3z83_822;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_814))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3564), BUNSPEC);
				}
				return BgL_rz00_814;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60,
		obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{
				obj_t BgL_l1192z00_840;

				BgL_l1192z00_840 = BgL_varsz00_60;
			BgL_zc3anonymousza31463ze3z83_841:
				if (NULLP(BgL_l1192z00_840))
					{	/* Eval/evaluate_fsize.scm 269 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 269 */
						bool_t BgL_testz00_3586;

						{	/* Eval/evaluate_fsize.scm 270 */
							obj_t BgL_vz00_845;

							BgL_vz00_845 = CAR(BgL_l1192z00_840);
							{	/* Eval/evaluate_fsize.scm 270 */
								obj_t BgL__andtest_1096z00_846;

								BgL__andtest_1096z00_846 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
									((BgL_ev_varz00_bglt) BgL_vz00_845));
								if (CBOOL(BgL__andtest_1096z00_846))
									{
										obj_t BgL_l1190z00_848;

										BgL_l1190z00_848 = BgL_valsz00_61;
									BgL_zc3anonymousza31467ze3z83_849:
										if (NULLP(BgL_l1190z00_848))
											{	/* Eval/evaluate_fsize.scm 271 */
												BgL_testz00_3586 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 271 */
												bool_t BgL_testz00_3594;

												{	/* Eval/evaluate_fsize.scm 272 */
													obj_t BgL_ez00_853;

													BgL_ez00_853 = CAR(BgL_l1190z00_848);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_853,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 273 */
															BgL_ev_absz00_bglt BgL_i1097z00_855;

															BgL_i1097z00_855 =
																((BgL_ev_absz00_bglt) BgL_ez00_853);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1097z00_855))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 275 */
																	BgL_ev_exprz00_bglt BgL_arg1472z00_857;

																	BgL_arg1472z00_857 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1097z00_855))->BgL_bodyz00);
																	BgL_testz00_3594 =
																		CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1472z00_857,
																			((BgL_ev_varz00_bglt) BgL_vz00_845)));
																}
															else
																{	/* Eval/evaluate_fsize.scm 274 */
																	BgL_testz00_3594 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 272 */
															BgL_testz00_3594 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3594)
													{
														obj_t BgL_l1190z00_3607;

														BgL_l1190z00_3607 = CDR(BgL_l1190z00_848);
														BgL_l1190z00_848 = BgL_l1190z00_3607;
														goto BgL_zc3anonymousza31467ze3z83_849;
													}
												else
													{	/* Eval/evaluate_fsize.scm 271 */
														BgL_testz00_3586 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 270 */
										BgL_testz00_3586 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3586)
							{
								obj_t BgL_l1192z00_3609;

								BgL_l1192z00_3609 = CDR(BgL_l1192z00_840);
								BgL_l1192z00_840 = BgL_l1192z00_3609;
								goto BgL_zc3anonymousza31463ze3z83_841;
							}
						else
							{	/* Eval/evaluate_fsize.scm 269 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2115z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2116z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2117z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2118z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2119z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2120z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2121z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2122z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2123z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2124z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1373 */
	obj_t BGl_z62hasvarzf31373z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3075,
		BgL_ev_exprz00_bglt BgL_ez00_3076, BgL_ev_varz00_bglt BgL_vz00_3077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_890;
				BgL_ev_varz00_bglt BgL_vz00_891;

				BgL_ez00_890 = BgL_ez00_3076;
				BgL_vz00_891 = BgL_vz00_3077;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2125z00zz__evaluate_fsiza7eza7,
					BGl_string2126z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_890));
			}
		}
	}



/* &tailpos1335 */
	obj_t BGl_z62tailpos1335z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3078,
		BgL_ev_exprz00_bglt BgL_ez00_3079, BgL_ev_varz00_bglt BgL_vz00_3080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_885;
				BgL_ev_varz00_bglt BgL_vz00_886;

				BgL_ez00_885 = BgL_ez00_3079;
				BgL_vz00_886 = BgL_vz00_3080;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2127z00zz__evaluate_fsiza7eza7,
					BGl_string2129z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_885));
			}
		}
	}



/* &subst_goto1303 */
	obj_t BGl_z62subst_goto1303z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3081,
		BgL_ev_exprz00_bglt BgL_ez00_3082, obj_t BgL_varsz00_3083,
		obj_t BgL_lblsz00_3084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2130z00zz__evaluate_fsiza7eza7,
				BGl_string2129z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3082));
		}
	}



/* &search-letrec1273 */
	obj_t BGl_z62searchzd2letrec1273zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3085, BgL_ev_exprz00_bglt BgL_ez00_3086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_875;

				BgL_ez00_875 = BgL_ez00_3086;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2132z00zz__evaluate_fsiza7eza7,
					BGl_string2129z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_875));
			}
		}
	}



/* &fsize1237 */
	obj_t BGl_z62fsiza7e1237zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3087,
		BgL_ev_exprz00_bglt BgL_ez00_3088, obj_t BgL_nz00_3089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_870;
				int BgL_nz00_871;

				BgL_ez00_870 = BgL_ez00_3088;
				BgL_nz00_871 = CINT(BgL_nz00_3089);
				return
					BGl_errorz00zz__errorz00(BGl_string2134z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_870));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1238z00_894;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res1971z00_2096;

					{	/* Eval/evaluate_fsize.scm 68 */
						BgL_objectz00_bglt BgL_objz00_2068;

						BgL_objz00_2068 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_objzd2classzd2numz00_2069;

							{	/* Eval/evaluate_fsize.scm 68 */
								long BgL_res1965z00_2072;

								BgL_res1965z00_2072 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2068);
								BgL_objzd2classzd2numz00_2069 = BgL_res1965z00_2072;
							}
							{	/* Eval/evaluate_fsize.scm 68 */
								obj_t BgL_arg1948z00_2070;

								BgL_arg1948z00_2070 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 68 */
									obj_t BgL_arrayz00_2073;
									int BgL_offsetz00_2074;

									BgL_arrayz00_2073 = BgL_arg1948z00_2070;
									BgL_offsetz00_2074 = (int) (BgL_objzd2classzd2numz00_2069);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_offsetz00_2075;

										BgL_offsetz00_2075 =
											((long) (BgL_offsetz00_2074) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_modz00_2076;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1950z00_2077;

												BgL_arg1950z00_2077 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1968z00_2087;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3635;

														BgL_auxz00_3635 = (long) (BgL_arg1950z00_2077);
														BgL_res1968z00_2087 =
															(BgL_offsetz00_2075 / BgL_auxz00_3635);
													}
													BgL_modz00_2076 = BgL_res1968z00_2087;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_restz00_2078;

												{	/* Eval/evaluate_fsize.scm 68 */
													int BgL_arg1949z00_2079;

													BgL_arg1949z00_2079 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_res1970z00_2091;

														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_auxz00_3639;

															BgL_auxz00_3639 = (long) (BgL_arg1949z00_2079);
															BgL_res1970z00_2091 =
																(BgL_offsetz00_2075 % BgL_auxz00_3639);
														}
														BgL_restz00_2078 = BgL_res1970z00_2091;
												}}
												{	/* Eval/evaluate_fsize.scm 68 */

													BgL_res1971z00_2096 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2073,
															(int) (BgL_modz00_2076)),
														(int) (BgL_restz00_2078));
					}}}}}}}}
					BgL_method1238z00_894 = BgL_res1971z00_2096;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1238z00_894) (BgL_method1238z00_894,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3090,
		obj_t BgL_ez00_3091, obj_t BgL_nz00_3092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3654;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3663;
					BgL_ev_exprz00_bglt BgL_auxz00_3655;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3664;

						if (INTEGERP(BgL_nz00_3092))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3664 = BgL_nz00_3092;
							}
						else
							{
								obj_t BgL_auxz00_3667;

								BgL_auxz00_3667 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2111z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2136z00zz__evaluate_fsiza7eza7,
									BGl_string2137z00zz__evaluate_fsiza7eza7, BgL_nz00_3092);
								FAILURE(BgL_auxz00_3667, BFALSE, BFALSE);
							}
						BgL_auxz00_3663 = CINT(BgL_auxz00_3664);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3091,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3655 = ((BgL_ev_exprz00_bglt) BgL_ez00_3091);
						}
					else
						{
							obj_t BgL_auxz00_3659;

							BgL_auxz00_3659 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2136z00zz__evaluate_fsiza7eza7,
								BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3091);
							FAILURE(BgL_auxz00_3659, BFALSE, BFALSE);
						}
					BgL_auxz00_3654 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3655,
						BgL_auxz00_3663);
				}
				return BINT(BgL_auxz00_3654);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				obj_t BgL_method1274z00_895;

				{	/* Eval/evaluate_fsize.scm 174 */
					obj_t BgL_res1978z00_2125;

					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_objectz00_bglt BgL_objz00_2097;

						BgL_objz00_2097 = ((BgL_objectz00_bglt) BgL_ez00_42);
						{	/* Eval/evaluate_fsize.scm 174 */
							long BgL_objzd2classzd2numz00_2098;

							{	/* Eval/evaluate_fsize.scm 174 */
								long BgL_res1972z00_2101;

								BgL_res1972z00_2101 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2097);
								BgL_objzd2classzd2numz00_2098 = BgL_res1972z00_2101;
							}
							{	/* Eval/evaluate_fsize.scm 174 */
								obj_t BgL_arg1948z00_2099;

								BgL_arg1948z00_2099 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 174 */
									obj_t BgL_arrayz00_2102;
									int BgL_offsetz00_2103;

									BgL_arrayz00_2102 = BgL_arg1948z00_2099;
									BgL_offsetz00_2103 = (int) (BgL_objzd2classzd2numz00_2098);
									{	/* Eval/evaluate_fsize.scm 174 */
										long BgL_offsetz00_2104;

										BgL_offsetz00_2104 =
											((long) (BgL_offsetz00_2103) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 174 */
											long BgL_modz00_2105;

											{	/* Eval/evaluate_fsize.scm 174 */
												int BgL_arg1950z00_2106;

												BgL_arg1950z00_2106 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 174 */
													long BgL_res1975z00_2116;

													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_auxz00_3682;

														BgL_auxz00_3682 = (long) (BgL_arg1950z00_2106);
														BgL_res1975z00_2116 =
															(BgL_offsetz00_2104 / BgL_auxz00_3682);
													}
													BgL_modz00_2105 = BgL_res1975z00_2116;
											}}
											{	/* Eval/evaluate_fsize.scm 174 */
												long BgL_restz00_2107;

												{	/* Eval/evaluate_fsize.scm 174 */
													int BgL_arg1949z00_2108;

													BgL_arg1949z00_2108 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_res1977z00_2120;

														{	/* Eval/evaluate_fsize.scm 174 */
															long BgL_auxz00_3686;

															BgL_auxz00_3686 = (long) (BgL_arg1949z00_2108);
															BgL_res1977z00_2120 =
																(BgL_offsetz00_2104 % BgL_auxz00_3686);
														}
														BgL_restz00_2107 = BgL_res1977z00_2120;
												}}
												{	/* Eval/evaluate_fsize.scm 174 */

													BgL_res1978z00_2125 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2102,
															(int) (BgL_modz00_2105)),
														(int) (BgL_restz00_2107));
					}}}}}}}}
					BgL_method1274z00_895 = BgL_res1978z00_2125;
				}
				return
					PROCEDURE_ENTRY(BgL_method1274z00_895) (BgL_method1274z00_895,
					((obj_t) BgL_ez00_42), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3093,
		obj_t BgL_ez00_3094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				BgL_ev_exprz00_bglt BgL_auxz00_3698;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3094,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_auxz00_3698 = ((BgL_ev_exprz00_bglt) BgL_ez00_3094);
					}
				else
					{
						obj_t BgL_auxz00_3702;

						BgL_auxz00_3702 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 5030)),
							BGl_string2138z00zz__evaluate_fsiza7eza7,
							BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3094);
						FAILURE(BgL_auxz00_3702, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3698);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				obj_t BgL_method1304z00_896;

				{	/* Eval/evaluate_fsize.scm 287 */
					obj_t BgL_res1985z00_2154;

					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_objectz00_bglt BgL_objz00_2126;

						BgL_objz00_2126 = ((BgL_objectz00_bglt) BgL_ez00_66);
						{	/* Eval/evaluate_fsize.scm 287 */
							long BgL_objzd2classzd2numz00_2127;

							{	/* Eval/evaluate_fsize.scm 287 */
								long BgL_res1979z00_2130;

								BgL_res1979z00_2130 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2126);
								BgL_objzd2classzd2numz00_2127 = BgL_res1979z00_2130;
							}
							{	/* Eval/evaluate_fsize.scm 287 */
								obj_t BgL_arg1948z00_2128;

								BgL_arg1948z00_2128 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 287 */
									obj_t BgL_arrayz00_2131;
									int BgL_offsetz00_2132;

									BgL_arrayz00_2131 = BgL_arg1948z00_2128;
									BgL_offsetz00_2132 = (int) (BgL_objzd2classzd2numz00_2127);
									{	/* Eval/evaluate_fsize.scm 287 */
										long BgL_offsetz00_2133;

										BgL_offsetz00_2133 =
											((long) (BgL_offsetz00_2132) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 287 */
											long BgL_modz00_2134;

											{	/* Eval/evaluate_fsize.scm 287 */
												int BgL_arg1950z00_2135;

												BgL_arg1950z00_2135 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 287 */
													long BgL_res1982z00_2145;

													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_auxz00_3715;

														BgL_auxz00_3715 = (long) (BgL_arg1950z00_2135);
														BgL_res1982z00_2145 =
															(BgL_offsetz00_2133 / BgL_auxz00_3715);
													}
													BgL_modz00_2134 = BgL_res1982z00_2145;
											}}
											{	/* Eval/evaluate_fsize.scm 287 */
												long BgL_restz00_2136;

												{	/* Eval/evaluate_fsize.scm 287 */
													int BgL_arg1949z00_2137;

													BgL_arg1949z00_2137 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_res1984z00_2149;

														{	/* Eval/evaluate_fsize.scm 287 */
															long BgL_auxz00_3719;

															BgL_auxz00_3719 = (long) (BgL_arg1949z00_2137);
															BgL_res1984z00_2149 =
																(BgL_offsetz00_2133 % BgL_auxz00_3719);
														}
														BgL_restz00_2136 = BgL_res1984z00_2149;
												}}
												{	/* Eval/evaluate_fsize.scm 287 */

													BgL_res1985z00_2154 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2131,
															(int) (BgL_modz00_2134)),
														(int) (BgL_restz00_2136));
					}}}}}}}}
					BgL_method1304z00_896 = BgL_res1985z00_2154;
				}
				return
					PROCEDURE_ENTRY(BgL_method1304z00_896) (BgL_method1304z00_896,
					((obj_t) BgL_ez00_66), BgL_varsz00_67, BgL_lblsz00_68, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3095,
		obj_t BgL_ez00_3096, obj_t BgL_varsz00_3097, obj_t BgL_lblsz00_3098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				BgL_ev_exprz00_bglt BgL_auxz00_3733;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3096,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_auxz00_3733 = ((BgL_ev_exprz00_bglt) BgL_ez00_3096);
					}
				else
					{
						obj_t BgL_auxz00_3737;

						BgL_auxz00_3737 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 8057)),
							BGl_string2139z00zz__evaluate_fsiza7eza7,
							BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3096);
						FAILURE(BgL_auxz00_3737, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3733,
					BgL_varsz00_3097, BgL_lblsz00_3098);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_114,
		BgL_ev_varz00_bglt BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				obj_t BgL_method1336z00_897;

				{	/* Eval/evaluate_fsize.scm 376 */
					obj_t BgL_res1992z00_2183;

					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_objectz00_bglt BgL_objz00_2155;

						BgL_objz00_2155 = ((BgL_objectz00_bglt) BgL_ez00_114);
						{	/* Eval/evaluate_fsize.scm 376 */
							long BgL_objzd2classzd2numz00_2156;

							{	/* Eval/evaluate_fsize.scm 376 */
								long BgL_res1986z00_2159;

								BgL_res1986z00_2159 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2155);
								BgL_objzd2classzd2numz00_2156 = BgL_res1986z00_2159;
							}
							{	/* Eval/evaluate_fsize.scm 376 */
								obj_t BgL_arg1948z00_2157;

								BgL_arg1948z00_2157 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 376 */
									obj_t BgL_arrayz00_2160;
									int BgL_offsetz00_2161;

									BgL_arrayz00_2160 = BgL_arg1948z00_2157;
									BgL_offsetz00_2161 = (int) (BgL_objzd2classzd2numz00_2156);
									{	/* Eval/evaluate_fsize.scm 376 */
										long BgL_offsetz00_2162;

										BgL_offsetz00_2162 =
											((long) (BgL_offsetz00_2161) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 376 */
											long BgL_modz00_2163;

											{	/* Eval/evaluate_fsize.scm 376 */
												int BgL_arg1950z00_2164;

												BgL_arg1950z00_2164 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 376 */
													long BgL_res1989z00_2174;

													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_auxz00_3750;

														BgL_auxz00_3750 = (long) (BgL_arg1950z00_2164);
														BgL_res1989z00_2174 =
															(BgL_offsetz00_2162 / BgL_auxz00_3750);
													}
													BgL_modz00_2163 = BgL_res1989z00_2174;
											}}
											{	/* Eval/evaluate_fsize.scm 376 */
												long BgL_restz00_2165;

												{	/* Eval/evaluate_fsize.scm 376 */
													int BgL_arg1949z00_2166;

													BgL_arg1949z00_2166 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_res1991z00_2178;

														{	/* Eval/evaluate_fsize.scm 376 */
															long BgL_auxz00_3754;

															BgL_auxz00_3754 = (long) (BgL_arg1949z00_2166);
															BgL_res1991z00_2178 =
																(BgL_offsetz00_2162 % BgL_auxz00_3754);
														}
														BgL_restz00_2165 = BgL_res1991z00_2178;
												}}
												{	/* Eval/evaluate_fsize.scm 376 */

													BgL_res1992z00_2183 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2160,
															(int) (BgL_modz00_2163)),
														(int) (BgL_restz00_2165));
					}}}}}}}}
					BgL_method1336z00_897 = BgL_res1992z00_2183;
				}
				return
					PROCEDURE_ENTRY(BgL_method1336z00_897) (BgL_method1336z00_897,
					((obj_t) BgL_ez00_114), ((obj_t) BgL_vz00_115), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3099,
		obj_t BgL_ez00_3100, obj_t BgL_vz00_3101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				BgL_ev_varz00_bglt BgL_auxz00_3776;
				BgL_ev_exprz00_bglt BgL_auxz00_3768;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3101,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_3776 = ((BgL_ev_varz00_bglt) BgL_vz00_3101);
					}
				else
					{
						obj_t BgL_auxz00_3780;

						BgL_auxz00_3780 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 10756)),
							BGl_string2140z00zz__evaluate_fsiza7eza7,
							BGl_string2141z00zz__evaluate_fsiza7eza7, BgL_vz00_3101);
						FAILURE(BgL_auxz00_3780, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3100,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_3768 = ((BgL_ev_exprz00_bglt) BgL_ez00_3100);
					}
				else
					{
						obj_t BgL_auxz00_3772;

						BgL_auxz00_3772 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 10756)),
							BGl_string2140z00zz__evaluate_fsiza7eza7,
							BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3100);
						FAILURE(BgL_auxz00_3772, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3768,
					BgL_auxz00_3776);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_152, BgL_ev_varz00_bglt BgL_vz00_153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				obj_t BgL_method1374z00_898;

				{	/* Eval/evaluate_fsize.scm 460 */
					obj_t BgL_res1999z00_2212;

					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_objectz00_bglt BgL_objz00_2184;

						BgL_objz00_2184 = ((BgL_objectz00_bglt) BgL_ez00_152);
						{	/* Eval/evaluate_fsize.scm 460 */
							long BgL_objzd2classzd2numz00_2185;

							{	/* Eval/evaluate_fsize.scm 460 */
								long BgL_res1993z00_2188;

								BgL_res1993z00_2188 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2184);
								BgL_objzd2classzd2numz00_2185 = BgL_res1993z00_2188;
							}
							{	/* Eval/evaluate_fsize.scm 460 */
								obj_t BgL_arg1948z00_2186;

								BgL_arg1948z00_2186 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 460 */
									obj_t BgL_arrayz00_2189;
									int BgL_offsetz00_2190;

									BgL_arrayz00_2189 = BgL_arg1948z00_2186;
									BgL_offsetz00_2190 = (int) (BgL_objzd2classzd2numz00_2185);
									{	/* Eval/evaluate_fsize.scm 460 */
										long BgL_offsetz00_2191;

										BgL_offsetz00_2191 =
											((long) (BgL_offsetz00_2190) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 460 */
											long BgL_modz00_2192;

											{	/* Eval/evaluate_fsize.scm 460 */
												int BgL_arg1950z00_2193;

												BgL_arg1950z00_2193 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 460 */
													long BgL_res1996z00_2203;

													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_auxz00_3793;

														BgL_auxz00_3793 = (long) (BgL_arg1950z00_2193);
														BgL_res1996z00_2203 =
															(BgL_offsetz00_2191 / BgL_auxz00_3793);
													}
													BgL_modz00_2192 = BgL_res1996z00_2203;
											}}
											{	/* Eval/evaluate_fsize.scm 460 */
												long BgL_restz00_2194;

												{	/* Eval/evaluate_fsize.scm 460 */
													int BgL_arg1949z00_2195;

													BgL_arg1949z00_2195 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_res1998z00_2207;

														{	/* Eval/evaluate_fsize.scm 460 */
															long BgL_auxz00_3797;

															BgL_auxz00_3797 = (long) (BgL_arg1949z00_2195);
															BgL_res1998z00_2207 =
																(BgL_offsetz00_2191 % BgL_auxz00_3797);
														}
														BgL_restz00_2194 = BgL_res1998z00_2207;
												}}
												{	/* Eval/evaluate_fsize.scm 460 */

													BgL_res1999z00_2212 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2189,
															(int) (BgL_modz00_2192)),
														(int) (BgL_restz00_2194));
					}}}}}}}}
					BgL_method1374z00_898 = BgL_res1999z00_2212;
				}
				return
					PROCEDURE_ENTRY(BgL_method1374z00_898) (BgL_method1374z00_898,
					((obj_t) BgL_ez00_152), ((obj_t) BgL_vz00_153), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3102,
		obj_t BgL_ez00_3103, obj_t BgL_vz00_3104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				BgL_ev_varz00_bglt BgL_auxz00_3819;
				BgL_ev_exprz00_bglt BgL_auxz00_3811;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3104,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_3819 = ((BgL_ev_varz00_bglt) BgL_vz00_3104);
					}
				else
					{
						obj_t BgL_auxz00_3823;

						BgL_auxz00_3823 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 13484)),
							BGl_string2142z00zz__evaluate_fsiza7eza7,
							BGl_string2141z00zz__evaluate_fsiza7eza7, BgL_vz00_3104);
						FAILURE(BgL_auxz00_3823, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3103,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_3811 = ((BgL_ev_exprz00_bglt) BgL_ez00_3103);
					}
				else
					{
						obj_t BgL_auxz00_3815;

						BgL_auxz00_3815 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2111z00zz__evaluate_fsiza7eza7, BINT(((long) 13484)),
							BGl_string2142z00zz__evaluate_fsiza7eza7,
							BGl_string2113z00zz__evaluate_fsiza7eza7, BgL_ez00_3103);
						FAILURE(BgL_auxz00_3815, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3811,
					BgL_auxz00_3819);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2143z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2145z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2146z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2147z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2148z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2149z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2150z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2151z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2153z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2155z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2157z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2159z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2160z00zz__evaluate_fsiza7eza7,
				BGl_string2144z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2161z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2162z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2163z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2164z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2166z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2131z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2215z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2209z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1406 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1406z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3185, BgL_ev_absz00_bglt BgL_ez00_3186,
		BgL_ev_varz00_bglt BgL_vz00_3187)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 521 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1749;
				BgL_ev_varz00_bglt BgL_vz00_1750;

				BgL_ez00_1749 = BgL_ez00_3186;
				BgL_vz00_1750 = BgL_vz00_3187;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1749))->BgL_bodyz00),
					BgL_vz00_1750);
			}
		}
	}



/* &hasvar?-ev_app1404 */
	obj_t BGl_z62hasvarzf3zd2ev_app1404z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3188, BgL_ev_appz00_bglt BgL_ez00_3189,
		BgL_ev_varz00_bglt BgL_vz00_3190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 517 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1732;
				BgL_ev_varz00_bglt BgL_vz00_1733;

				BgL_ez00_1732 = BgL_ez00_3189;
				BgL_vz00_1733 = BgL_vz00_3190;
				{	/* Eval/evaluate_fsize.scm 519 */
					obj_t BgL__ortest_1161z00_1737;

					BgL__ortest_1161z00_1737 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1732))->BgL_funz00),
						BgL_vz00_1733);
					if (CBOOL(BgL__ortest_1161z00_1737))
						{	/* Eval/evaluate_fsize.scm 519 */
							return BgL__ortest_1161z00_1737;
						}
					else
						{	/* Eval/evaluate_fsize.scm 519 */
							obj_t BgL_g1226z00_1738;

							BgL_g1226z00_1738 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1732))->BgL_argsz00);
							{
								obj_t BgL_l1224z00_1740;

								{	/* Eval/evaluate_fsize.scm 519 */
									bool_t BgL_auxz00_3915;

									BgL_l1224z00_1740 = BgL_g1226z00_1738;
								BgL_zc3anonymousza31751ze3z83_1741:
									if (NULLP(BgL_l1224z00_1740))
										{	/* Eval/evaluate_fsize.scm 519 */
											BgL_auxz00_3915 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 519 */
											bool_t BgL_testz00_3918;

											{	/* Eval/evaluate_fsize.scm 519 */
												obj_t BgL_ez00_1745;

												BgL_ez00_1745 = CAR(BgL_l1224z00_1740);
												BgL_testz00_3918 =
													CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
														((BgL_ev_exprz00_bglt) BgL_ez00_1745),
														BgL_vz00_1733));
											}
											if (BgL_testz00_3918)
												{	/* Eval/evaluate_fsize.scm 519 */
													BgL_auxz00_3915 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1224z00_3923;

													BgL_l1224z00_3923 = CDR(BgL_l1224z00_1740);
													BgL_l1224z00_1740 = BgL_l1224z00_3923;
													goto BgL_zc3anonymousza31751ze3z83_1741;
												}
										}
									return BBOOL(BgL_auxz00_3915);
								}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1402 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1402z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3191, BgL_ev_gotoz00_bglt BgL_ez00_3192,
		BgL_ev_varz00_bglt BgL_vz00_3193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 513 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1717;
				BgL_ev_varz00_bglt BgL_vz00_1718;

				{	/* Eval/evaluate_fsize.scm 514 */
					bool_t BgL_auxz00_3926;

					BgL_ez00_1717 = BgL_ez00_3192;
					BgL_vz00_1718 = BgL_vz00_3193;
					{	/* Eval/evaluate_fsize.scm 515 */
						obj_t BgL_g1223z00_1722;

						BgL_g1223z00_1722 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1717))->BgL_argsz00);
						{
							obj_t BgL_l1221z00_1724;

							BgL_l1221z00_1724 = BgL_g1223z00_1722;
						BgL_zc3anonymousza31747ze3z83_1725:
							if (NULLP(BgL_l1221z00_1724))
								{	/* Eval/evaluate_fsize.scm 515 */
									BgL_auxz00_3926 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 515 */
									bool_t BgL_testz00_3930;

									{	/* Eval/evaluate_fsize.scm 515 */
										obj_t BgL_ez00_1729;

										BgL_ez00_1729 = CAR(BgL_l1221z00_1724);
										BgL_testz00_3930 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1729), BgL_vz00_1718));
									}
									if (BgL_testz00_3930)
										{	/* Eval/evaluate_fsize.scm 515 */
											BgL_auxz00_3926 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1221z00_3935;

											BgL_l1221z00_3935 = CDR(BgL_l1221z00_1724);
											BgL_l1221z00_1724 = BgL_l1221z00_3935;
											goto BgL_zc3anonymousza31747ze3z83_1725;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3926);
				}
			}
		}
	}



/* &hasvar?-ev_labels1400 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1400z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3194, BgL_ev_labelsz00_bglt BgL_ez00_3195,
		BgL_ev_varz00_bglt BgL_vz00_3196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 508 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1699;
				BgL_ev_varz00_bglt BgL_vz00_1700;

				BgL_ez00_1699 = BgL_ez00_3195;
				BgL_vz00_1700 = BgL_vz00_3196;
				{	/* Eval/evaluate_fsize.scm 510 */
					bool_t BgL__ortest_1158z00_1704;

					{	/* Eval/evaluate_fsize.scm 510 */
						obj_t BgL_g1220z00_1706;

						BgL_g1220z00_1706 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1699))->BgL_valsz00);
						{
							obj_t BgL_l1218z00_1708;

							BgL_l1218z00_1708 = BgL_g1220z00_1706;
						BgL_zc3anonymousza31742ze3z83_1709:
							if (NULLP(BgL_l1218z00_1708))
								{	/* Eval/evaluate_fsize.scm 510 */
									BgL__ortest_1158z00_1704 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 510 */
									bool_t BgL_testz00_3941;

									{	/* Eval/evaluate_fsize.scm 510 */
										obj_t BgL_ez00_1713;

										BgL_ez00_1713 = CAR(BgL_l1218z00_1708);
										{	/* Eval/evaluate_fsize.scm 510 */
											obj_t BgL_arg1746z00_1714;

											BgL_arg1746z00_1714 = CDR(BgL_ez00_1713);
											BgL_testz00_3941 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1746z00_1714),
													BgL_vz00_1700));
										}
									}
									if (BgL_testz00_3941)
										{	/* Eval/evaluate_fsize.scm 510 */
											BgL__ortest_1158z00_1704 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1218z00_3947;

											BgL_l1218z00_3947 = CDR(BgL_l1218z00_1708);
											BgL_l1218z00_1708 = BgL_l1218z00_3947;
											goto BgL_zc3anonymousza31742ze3z83_1709;
										}
								}
						}
					}
					if (BgL__ortest_1158z00_1704)
						{	/* Eval/evaluate_fsize.scm 510 */
							return BBOOL(BgL__ortest_1158z00_1704);
						}
					else
						{	/* Eval/evaluate_fsize.scm 510 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1699))->BgL_bodyz00),
								BgL_vz00_1700);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1398 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1398z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3197, BgL_ev_binderz00_bglt BgL_ez00_3198,
		BgL_ev_varz00_bglt BgL_vz00_3199)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 503 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1682;
				BgL_ev_varz00_bglt BgL_vz00_1683;

				BgL_ez00_1682 = BgL_ez00_3198;
				BgL_vz00_1683 = BgL_vz00_3199;
				{	/* Eval/evaluate_fsize.scm 505 */
					bool_t BgL__ortest_1156z00_1687;

					{	/* Eval/evaluate_fsize.scm 505 */
						obj_t BgL_g1217z00_1689;

						BgL_g1217z00_1689 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1682))->BgL_valsz00);
						{
							obj_t BgL_l1215z00_1691;

							BgL_l1215z00_1691 = BgL_g1217z00_1689;
						BgL_zc3anonymousza31737ze3z83_1692:
							if (NULLP(BgL_l1215z00_1691))
								{	/* Eval/evaluate_fsize.scm 505 */
									BgL__ortest_1156z00_1687 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 505 */
									bool_t BgL_testz00_3956;

									{	/* Eval/evaluate_fsize.scm 505 */
										obj_t BgL_ez00_1696;

										BgL_ez00_1696 = CAR(BgL_l1215z00_1691);
										BgL_testz00_3956 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1696), BgL_vz00_1683));
									}
									if (BgL_testz00_3956)
										{	/* Eval/evaluate_fsize.scm 505 */
											BgL__ortest_1156z00_1687 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1215z00_3961;

											BgL_l1215z00_3961 = CDR(BgL_l1215z00_1691);
											BgL_l1215z00_1691 = BgL_l1215z00_3961;
											goto BgL_zc3anonymousza31737ze3z83_1692;
										}
								}
						}
					}
					if (BgL__ortest_1156z00_1687)
						{	/* Eval/evaluate_fsize.scm 505 */
							return BBOOL(BgL__ortest_1156z00_1687);
						}
					else
						{	/* Eval/evaluate_fsize.scm 505 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1682))->BgL_bodyz00),
								BgL_vz00_1683);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1396 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1396z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3200, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3201,
		BgL_ev_varz00_bglt BgL_vz00_3202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 499 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1673;
				BgL_ev_varz00_bglt BgL_vz00_1674;

				BgL_ez00_1673 = BgL_ez00_3201;
				BgL_vz00_1674 = BgL_vz00_3202;
				{	/* Eval/evaluate_fsize.scm 500 */
					obj_t BgL__ortest_1154z00_2791;

					BgL__ortest_1154z00_2791 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1673))->
							BgL_handlerz00), BgL_vz00_1674);
					if (CBOOL(BgL__ortest_1154z00_2791))
						{	/* Eval/evaluate_fsize.scm 500 */
							return BgL__ortest_1154z00_2791;
						}
					else
						{	/* Eval/evaluate_fsize.scm 500 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1673))->
									BgL_bodyz00), BgL_vz00_1674);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1394 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1394z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3203, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3204,
		BgL_ev_varz00_bglt BgL_vz00_3205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 495 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1664;
				BgL_ev_varz00_bglt BgL_vz00_1665;

				BgL_ez00_1664 = BgL_ez00_3204;
				BgL_vz00_1665 = BgL_vz00_3205;
				{	/* Eval/evaluate_fsize.scm 496 */
					obj_t BgL__ortest_1152z00_2787;

					BgL__ortest_1152z00_2787 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1664))->BgL_ez00),
						BgL_vz00_1665);
					if (CBOOL(BgL__ortest_1152z00_2787))
						{	/* Eval/evaluate_fsize.scm 496 */
							return BgL__ortest_1152z00_2787;
						}
					else
						{	/* Eval/evaluate_fsize.scm 496 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1664))->
									BgL_bodyz00), BgL_vz00_1665);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1392 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1392z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3206, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3207,
		BgL_ev_varz00_bglt BgL_vz00_3208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 491 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1657;
				BgL_ev_varz00_bglt BgL_vz00_1658;

				BgL_ez00_1657 = BgL_ez00_3207;
				BgL_vz00_1658 = BgL_vz00_3208;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1657))->BgL_bodyz00),
					BgL_vz00_1658);
			}
		}
	}



/* &hasvar?-ev_setlocal1390 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1390z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3209, BgL_ev_setlocalz00_bglt BgL_ez00_3210,
		BgL_ev_varz00_bglt BgL_varz00_3211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 487 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1648;
				BgL_ev_varz00_bglt BgL_varz00_1649;

				BgL_ez00_1648 = BgL_ez00_3210;
				BgL_varz00_1649 = BgL_varz00_3211;
				{	/* Eval/evaluate_fsize.scm 488 */
					bool_t BgL__ortest_1149z00_2781;

					BgL__ortest_1149z00_2781 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1648))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1649));
					if (BgL__ortest_1149z00_2781)
						{	/* Eval/evaluate_fsize.scm 488 */
							return BBOOL(BgL__ortest_1149z00_2781);
						}
					else
						{	/* Eval/evaluate_fsize.scm 488 */
							BgL_ev_exprz00_bglt BgL_arg1728z00_2783;

							BgL_arg1728z00_2783 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1648)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1728z00_2783,
								BgL_varz00_1649);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1388 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1388z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3212, BgL_ev_hookz00_bglt BgL_ez00_3213,
		BgL_ev_varz00_bglt BgL_vz00_3214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 483 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1641;
				BgL_ev_varz00_bglt BgL_vz00_1642;

				BgL_ez00_1641 = BgL_ez00_3213;
				BgL_vz00_1642 = BgL_vz00_3214;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1641))->BgL_ez00),
					BgL_vz00_1642);
			}
		}
	}



/* &hasvar?-ev_prog21386 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21386z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3215, BgL_ev_prog2z00_bglt BgL_ez00_3216,
		BgL_ev_varz00_bglt BgL_vz00_3217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 479 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1632;
				BgL_ev_varz00_bglt BgL_vz00_1633;

				BgL_ez00_1632 = BgL_ez00_3216;
				BgL_vz00_1633 = BgL_vz00_3217;
				{	/* Eval/evaluate_fsize.scm 480 */
					obj_t BgL__ortest_1146z00_2775;

					BgL__ortest_1146z00_2775 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1632))->BgL_e1z00),
						BgL_vz00_1633);
					if (CBOOL(BgL__ortest_1146z00_2775))
						{	/* Eval/evaluate_fsize.scm 480 */
							return BgL__ortest_1146z00_2775;
						}
					else
						{	/* Eval/evaluate_fsize.scm 480 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1632))->BgL_e2z00),
								BgL_vz00_1633);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1384 */
	obj_t BGl_z62hasvarzf3zd2ev_list1384z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3218, BgL_ev_listz00_bglt BgL_ez00_3219,
		BgL_ev_varz00_bglt BgL_vz00_3220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 475 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1617;
				BgL_ev_varz00_bglt BgL_vz00_1618;

				{	/* Eval/evaluate_fsize.scm 476 */
					bool_t BgL_auxz00_3998;

					BgL_ez00_1617 = BgL_ez00_3219;
					BgL_vz00_1618 = BgL_vz00_3220;
					{	/* Eval/evaluate_fsize.scm 477 */
						obj_t BgL_g1214z00_1622;

						BgL_g1214z00_1622 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1617))->BgL_argsz00);
						{
							obj_t BgL_l1212z00_1624;

							BgL_l1212z00_1624 = BgL_g1214z00_1622;
						BgL_zc3anonymousza31721ze3z83_1625:
							if (NULLP(BgL_l1212z00_1624))
								{	/* Eval/evaluate_fsize.scm 477 */
									BgL_auxz00_3998 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 477 */
									bool_t BgL_testz00_4002;

									{	/* Eval/evaluate_fsize.scm 477 */
										obj_t BgL_az00_1629;

										BgL_az00_1629 = CAR(BgL_l1212z00_1624);
										BgL_testz00_4002 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_az00_1629), BgL_vz00_1618));
									}
									if (BgL_testz00_4002)
										{	/* Eval/evaluate_fsize.scm 477 */
											BgL_auxz00_3998 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1212z00_4007;

											BgL_l1212z00_4007 = CDR(BgL_l1212z00_1624);
											BgL_l1212z00_1624 = BgL_l1212z00_4007;
											goto BgL_zc3anonymousza31721ze3z83_1625;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3998);
				}
			}
		}
	}



/* &hasvar?-ev_if1382 */
	obj_t BGl_z62hasvarzf3zd2ev_if1382z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3221, BgL_ev_ifz00_bglt BgL_ez00_3222,
		BgL_ev_varz00_bglt BgL_vz00_3223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 471 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1606;
				BgL_ev_varz00_bglt BgL_vz00_1607;

				BgL_ez00_1606 = BgL_ez00_3222;
				BgL_vz00_1607 = BgL_vz00_3223;
				{	/* Eval/evaluate_fsize.scm 472 */
					obj_t BgL__ortest_1142z00_2765;

					BgL__ortest_1142z00_2765 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1606))->BgL_pz00),
						BgL_vz00_1607);
					if (CBOOL(BgL__ortest_1142z00_2765))
						{	/* Eval/evaluate_fsize.scm 472 */
							return BgL__ortest_1142z00_2765;
						}
					else
						{	/* Eval/evaluate_fsize.scm 472 */
							obj_t BgL__ortest_1143z00_2767;

							BgL__ortest_1143z00_2767 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1606))->BgL_tz00),
								BgL_vz00_1607);
							if (CBOOL(BgL__ortest_1143z00_2767))
								{	/* Eval/evaluate_fsize.scm 472 */
									return BgL__ortest_1143z00_2767;
								}
							else
								{	/* Eval/evaluate_fsize.scm 472 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1606))->BgL_ez00),
										BgL_vz00_1607);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1380 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1380z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3224, BgL_ev_littz00_bglt BgL_ez00_3225,
		BgL_ev_varz00_bglt BgL_vz00_3226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 468 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1378 */
	obj_t BGl_z62hasvarzf3zd2ev_global1378z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3227, BgL_ev_globalz00_bglt BgL_ez00_3228,
		BgL_ev_varz00_bglt BgL_vz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 465 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1376 */
	obj_t BGl_z62hasvarzf3zd2ev_var1376z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3230, BgL_ev_varz00_bglt BgL_ez00_3231,
		BgL_ev_varz00_bglt BgL_vz00_3232)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 462 */
			return BBOOL((((obj_t) BgL_ez00_3231) == ((obj_t) BgL_vz00_3232)));
		}
	}



/* &tailpos-ev_abs1372 */
	obj_t BGl_z62tailposzd2ev_abs1372zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3233, BgL_ev_absz00_bglt BgL_ez00_3234,
		BgL_ev_varz00_bglt BgL_vz00_3235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 454 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1583;
				BgL_ev_varz00_bglt BgL_vz00_1584;

				{	/* Eval/evaluate_fsize.scm 455 */
					bool_t BgL_auxz00_4026;

					BgL_ez00_1583 = BgL_ez00_3234;
					BgL_vz00_1584 = BgL_vz00_3235;
					{	/* Eval/evaluate_fsize.scm 455 */
						bool_t BgL_testz00_4027;

						{	/* Eval/evaluate_fsize.scm 455 */
							BgL_ev_exprz00_bglt BgL_arg1717z00_2763;

							BgL_arg1717z00_2763 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1583))->BgL_bodyz00);
							BgL_testz00_4027 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1717z00_2763, BgL_vz00_1584));
						}
						if (BgL_testz00_4027)
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4026 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4026 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4026);
				}
			}
		}
	}



/* &tailpos-ev_app1370 */
	obj_t BGl_z62tailposzd2ev_app1370zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3236, BgL_ev_appz00_bglt BgL_ez00_3237,
		BgL_ev_varz00_bglt BgL_vz00_3238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 448 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1562;
				BgL_ev_varz00_bglt BgL_vz00_1563;

				{	/* Eval/evaluate_fsize.scm 449 */
					bool_t BgL_auxz00_4032;

					BgL_ez00_1562 = BgL_ez00_3237;
					BgL_vz00_1563 = BgL_vz00_3238;
					{	/* Eval/evaluate_fsize.scm 450 */
						bool_t BgL_testz00_4033;

						{	/* Eval/evaluate_fsize.scm 450 */
							obj_t BgL_g1211z00_1572;

							BgL_g1211z00_1572 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1562))->BgL_argsz00);
							{
								obj_t BgL_l1209z00_1574;

								BgL_l1209z00_1574 = BgL_g1211z00_1572;
							BgL_zc3anonymousza31711ze3z83_1575:
								if (NULLP(BgL_l1209z00_1574))
									{	/* Eval/evaluate_fsize.scm 450 */
										BgL_testz00_4033 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 450 */
										bool_t BgL_testz00_4037;

										{	/* Eval/evaluate_fsize.scm 450 */
											bool_t BgL_testz00_4038;

											{	/* Eval/evaluate_fsize.scm 450 */
												obj_t BgL_auxz00_4039;

												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_ev_exprz00_bglt BgL_auxz00_4040;

													{	/* Eval/evaluate_fsize.scm 450 */
														obj_t BgL_pairz00_2759;

														BgL_pairz00_2759 = BgL_l1209z00_1574;
														BgL_auxz00_4040 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2759));
													}
													BgL_auxz00_4039 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4040, BgL_vz00_1563);
												}
												BgL_testz00_4038 = CBOOL(BgL_auxz00_4039);
											}
											if (BgL_testz00_4038)
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_testz00_4037 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_testz00_4037 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_4037)
											{
												obj_t BgL_l1209z00_4045;

												BgL_l1209z00_4045 = CDR(BgL_l1209z00_1574);
												BgL_l1209z00_1574 = BgL_l1209z00_4045;
												goto BgL_zc3anonymousza31711ze3z83_1575;
											}
										else
											{	/* Eval/evaluate_fsize.scm 450 */
												BgL_testz00_4033 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4033)
							{	/* Eval/evaluate_fsize.scm 451 */
								bool_t BgL__ortest_1139z00_1568;

								BgL__ortest_1139z00_1568 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1562))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1563));
								if (BgL__ortest_1139z00_1568)
									{	/* Eval/evaluate_fsize.scm 451 */
										BgL_auxz00_4032 = BgL__ortest_1139z00_1568;
									}
								else
									{	/* Eval/evaluate_fsize.scm 452 */
										bool_t BgL_testz00_4052;

										{	/* Eval/evaluate_fsize.scm 452 */
											BgL_ev_exprz00_bglt BgL_arg1709z00_1570;

											BgL_arg1709z00_1570 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1562))->
												BgL_funz00);
											BgL_testz00_4052 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1709z00_1570, BgL_vz00_1563));
										}
										if (BgL_testz00_4052)
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4032 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4032 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 450 */
								BgL_auxz00_4032 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4032);
				}
			}
		}
	}



/* &tailpos-ev_goto1368 */
	obj_t BGl_z62tailposzd2ev_goto1368zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3239, BgL_ev_gotoz00_bglt BgL_ez00_3240,
		BgL_ev_varz00_bglt BgL_vz00_3241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 444 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1546;
				BgL_ev_varz00_bglt BgL_vz00_1547;

				{	/* Eval/evaluate_fsize.scm 445 */
					bool_t BgL_auxz00_4057;

					BgL_ez00_1546 = BgL_ez00_3240;
					BgL_vz00_1547 = BgL_vz00_3241;
					{	/* Eval/evaluate_fsize.scm 446 */
						obj_t BgL_g1208z00_1551;

						BgL_g1208z00_1551 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1546))->BgL_argsz00);
						{
							obj_t BgL_l1206z00_1553;

							BgL_l1206z00_1553 = BgL_g1208z00_1551;
						BgL_zc3anonymousza31703ze3z83_1554:
							if (NULLP(BgL_l1206z00_1553))
								{	/* Eval/evaluate_fsize.scm 446 */
									BgL_auxz00_4057 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 446 */
									bool_t BgL_testz00_4061;

									{	/* Eval/evaluate_fsize.scm 446 */
										bool_t BgL_testz00_4062;

										{	/* Eval/evaluate_fsize.scm 446 */
											obj_t BgL_auxz00_4063;

											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_ev_exprz00_bglt BgL_auxz00_4064;

												{	/* Eval/evaluate_fsize.scm 446 */
													obj_t BgL_pairz00_2755;

													BgL_pairz00_2755 = BgL_l1206z00_1553;
													BgL_auxz00_4064 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2755));
												}
												BgL_auxz00_4063 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4064, BgL_vz00_1547);
											}
											BgL_testz00_4062 = CBOOL(BgL_auxz00_4063);
										}
										if (BgL_testz00_4062)
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4061 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4061 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4061)
										{
											obj_t BgL_l1206z00_4069;

											BgL_l1206z00_4069 = CDR(BgL_l1206z00_1553);
											BgL_l1206z00_1553 = BgL_l1206z00_4069;
											goto BgL_zc3anonymousza31703ze3z83_1554;
										}
									else
										{	/* Eval/evaluate_fsize.scm 446 */
											BgL_auxz00_4057 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4057);
				}
			}
		}
	}



/* &tailpos-ev_labels1366 */
	obj_t BGl_z62tailposzd2ev_labels1366zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3242, BgL_ev_labelsz00_bglt BgL_ez00_3243,
		BgL_ev_varz00_bglt BgL_vz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 439 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1528;
				BgL_ev_varz00_bglt BgL_vz00_1529;

				BgL_ez00_1528 = BgL_ez00_3243;
				BgL_vz00_1529 = BgL_vz00_3244;
				{	/* Eval/evaluate_fsize.scm 441 */
					bool_t BgL_testz00_4072;

					{	/* Eval/evaluate_fsize.scm 441 */
						obj_t BgL_g1205z00_1535;

						BgL_g1205z00_1535 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1528))->BgL_valsz00);
						{
							obj_t BgL_l1203z00_1537;

							BgL_l1203z00_1537 = BgL_g1205z00_1535;
						BgL_zc3anonymousza31698ze3z83_1538:
							if (NULLP(BgL_l1203z00_1537))
								{	/* Eval/evaluate_fsize.scm 441 */
									BgL_testz00_4072 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 441 */
									bool_t BgL_testz00_4076;

									{	/* Eval/evaluate_fsize.scm 441 */
										obj_t BgL_ez00_1542;

										BgL_ez00_1542 = CAR(BgL_l1203z00_1537);
										{	/* Eval/evaluate_fsize.scm 441 */
											obj_t BgL_arg1702z00_1543;

											BgL_arg1702z00_1543 = CDR(BgL_ez00_1542);
											BgL_testz00_4076 =
												CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1702z00_1543),
													BgL_vz00_1529));
										}
									}
									if (BgL_testz00_4076)
										{
											obj_t BgL_l1203z00_4082;

											BgL_l1203z00_4082 = CDR(BgL_l1203z00_1537);
											BgL_l1203z00_1537 = BgL_l1203z00_4082;
											goto BgL_zc3anonymousza31698ze3z83_1538;
										}
									else
										{	/* Eval/evaluate_fsize.scm 441 */
											BgL_testz00_4072 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4072)
						{	/* Eval/evaluate_fsize.scm 441 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1528))->BgL_bodyz00),
								BgL_vz00_1529);
						}
					else
						{	/* Eval/evaluate_fsize.scm 441 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1364 */
	obj_t BGl_z62tailposzd2ev_letrec1364zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3245, BgL_ev_letrecz00_bglt BgL_ez00_3246,
		BgL_ev_varz00_bglt BgL_vz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 434 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1510;
				BgL_ev_varz00_bglt BgL_vz00_1511;

				BgL_ez00_1510 = BgL_ez00_3246;
				BgL_vz00_1511 = BgL_vz00_3247;
				{	/* Eval/evaluate_fsize.scm 436 */
					bool_t BgL_testz00_4086;

					{	/* Eval/evaluate_fsize.scm 436 */
						obj_t BgL_g1202z00_1517;

						BgL_g1202z00_1517 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1510)))->BgL_valsz00);
						{
							obj_t BgL_l1200z00_1519;

							BgL_l1200z00_1519 = BgL_g1202z00_1517;
						BgL_zc3anonymousza31692ze3z83_1520:
							if (NULLP(BgL_l1200z00_1519))
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4086 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 436 */
									bool_t BgL_testz00_4091;

									{	/* Eval/evaluate_fsize.scm 436 */
										bool_t BgL_testz00_4092;

										{	/* Eval/evaluate_fsize.scm 436 */
											obj_t BgL_auxz00_4093;

											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_ev_exprz00_bglt BgL_auxz00_4094;

												{	/* Eval/evaluate_fsize.scm 436 */
													obj_t BgL_pairz00_2746;

													BgL_pairz00_2746 = BgL_l1200z00_1519;
													BgL_auxz00_4094 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2746));
												}
												BgL_auxz00_4093 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4094, BgL_vz00_1511);
											}
											BgL_testz00_4092 = CBOOL(BgL_auxz00_4093);
										}
										if (BgL_testz00_4092)
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_testz00_4091 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_testz00_4091 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4091)
										{
											obj_t BgL_l1200z00_4099;

											BgL_l1200z00_4099 = CDR(BgL_l1200z00_1519);
											BgL_l1200z00_1519 = BgL_l1200z00_4099;
											goto BgL_zc3anonymousza31692ze3z83_1520;
										}
									else
										{	/* Eval/evaluate_fsize.scm 436 */
											BgL_testz00_4086 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4086)
						{	/* Eval/evaluate_fsize.scm 437 */
							BgL_ev_exprz00_bglt BgL_arg1691z00_1516;

							BgL_arg1691z00_1516 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1510)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1691z00_1516,
								BgL_vz00_1511);
						}
					else
						{	/* Eval/evaluate_fsize.scm 436 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1362 */
	obj_t BGl_z62tailposzd2ev_letza21362z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3248, BgL_ev_letza2za2_bglt BgL_ez00_3249,
		BgL_ev_varz00_bglt BgL_vz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 429 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1492;
				BgL_ev_varz00_bglt BgL_vz00_1493;

				BgL_ez00_1492 = BgL_ez00_3249;
				BgL_vz00_1493 = BgL_vz00_3250;
				{	/* Eval/evaluate_fsize.scm 431 */
					bool_t BgL_testz00_4104;

					{	/* Eval/evaluate_fsize.scm 431 */
						obj_t BgL_g1199z00_1499;

						BgL_g1199z00_1499 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1492)))->BgL_valsz00);
						{
							obj_t BgL_l1197z00_1501;

							BgL_l1197z00_1501 = BgL_g1199z00_1499;
						BgL_zc3anonymousza31686ze3z83_1502:
							if (NULLP(BgL_l1197z00_1501))
								{	/* Eval/evaluate_fsize.scm 431 */
									BgL_testz00_4104 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 431 */
									bool_t BgL_testz00_4109;

									{	/* Eval/evaluate_fsize.scm 431 */
										bool_t BgL_testz00_4110;

										{	/* Eval/evaluate_fsize.scm 431 */
											obj_t BgL_auxz00_4111;

											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_ev_exprz00_bglt BgL_auxz00_4112;

												{	/* Eval/evaluate_fsize.scm 431 */
													obj_t BgL_pairz00_2742;

													BgL_pairz00_2742 = BgL_l1197z00_1501;
													BgL_auxz00_4112 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2742));
												}
												BgL_auxz00_4111 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4112, BgL_vz00_1493);
											}
											BgL_testz00_4110 = CBOOL(BgL_auxz00_4111);
										}
										if (BgL_testz00_4110)
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_testz00_4109 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_testz00_4109 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4109)
										{
											obj_t BgL_l1197z00_4117;

											BgL_l1197z00_4117 = CDR(BgL_l1197z00_1501);
											BgL_l1197z00_1501 = BgL_l1197z00_4117;
											goto BgL_zc3anonymousza31686ze3z83_1502;
										}
									else
										{	/* Eval/evaluate_fsize.scm 431 */
											BgL_testz00_4104 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4104)
						{	/* Eval/evaluate_fsize.scm 432 */
							BgL_ev_exprz00_bglt BgL_arg1685z00_1498;

							BgL_arg1685z00_1498 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1492)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1685z00_1498,
								BgL_vz00_1493);
						}
					else
						{	/* Eval/evaluate_fsize.scm 431 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1360 */
	obj_t BGl_z62tailposzd2ev_let1360zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3251, BgL_ev_letz00_bglt BgL_ez00_3252,
		BgL_ev_varz00_bglt BgL_vz00_3253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 424 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1474;
				BgL_ev_varz00_bglt BgL_vz00_1475;

				BgL_ez00_1474 = BgL_ez00_3252;
				BgL_vz00_1475 = BgL_vz00_3253;
				{	/* Eval/evaluate_fsize.scm 426 */
					bool_t BgL_testz00_4122;

					{	/* Eval/evaluate_fsize.scm 426 */
						obj_t BgL_g1196z00_1481;

						BgL_g1196z00_1481 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1474)))->BgL_valsz00);
						{
							obj_t BgL_l1194z00_1483;

							BgL_l1194z00_1483 = BgL_g1196z00_1481;
						BgL_zc3anonymousza31680ze3z83_1484:
							if (NULLP(BgL_l1194z00_1483))
								{	/* Eval/evaluate_fsize.scm 426 */
									BgL_testz00_4122 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 426 */
									bool_t BgL_testz00_4127;

									{	/* Eval/evaluate_fsize.scm 426 */
										bool_t BgL_testz00_4128;

										{	/* Eval/evaluate_fsize.scm 426 */
											obj_t BgL_auxz00_4129;

											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_ev_exprz00_bglt BgL_auxz00_4130;

												{	/* Eval/evaluate_fsize.scm 426 */
													obj_t BgL_pairz00_2738;

													BgL_pairz00_2738 = BgL_l1194z00_1483;
													BgL_auxz00_4130 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2738));
												}
												BgL_auxz00_4129 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4130, BgL_vz00_1475);
											}
											BgL_testz00_4128 = CBOOL(BgL_auxz00_4129);
										}
										if (BgL_testz00_4128)
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_testz00_4127 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_testz00_4127 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4127)
										{
											obj_t BgL_l1194z00_4135;

											BgL_l1194z00_4135 = CDR(BgL_l1194z00_1483);
											BgL_l1194z00_1483 = BgL_l1194z00_4135;
											goto BgL_zc3anonymousza31680ze3z83_1484;
										}
									else
										{	/* Eval/evaluate_fsize.scm 426 */
											BgL_testz00_4122 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4122)
						{	/* Eval/evaluate_fsize.scm 427 */
							BgL_ev_exprz00_bglt BgL_arg1679z00_1480;

							BgL_arg1679z00_1480 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1474)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1679z00_1480,
								BgL_vz00_1475);
						}
					else
						{	/* Eval/evaluate_fsize.scm 426 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_with-hand1358 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1358z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3254, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3255,
		BgL_ev_varz00_bglt BgL_vz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 420 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1463;
				BgL_ev_varz00_bglt BgL_vz00_1464;

				{	/* Eval/evaluate_fsize.scm 421 */
					bool_t BgL_auxz00_4140;

					BgL_ez00_1463 = BgL_ez00_3255;
					BgL_vz00_1464 = BgL_vz00_3256;
					{	/* Eval/evaluate_fsize.scm 421 */
						bool_t BgL_testz00_4141;

						{	/* Eval/evaluate_fsize.scm 421 */
							bool_t BgL_testz00_4142;

							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_ev_exprz00_bglt BgL_arg1678z00_2733;

								BgL_arg1678z00_2733 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1463))->
									BgL_handlerz00);
								BgL_testz00_4142 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1678z00_2733, BgL_vz00_1464));
							}
							if (BgL_testz00_4142)
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4141 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4141 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4141)
							{	/* Eval/evaluate_fsize.scm 421 */
								bool_t BgL_testz00_4146;

								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_ev_exprz00_bglt BgL_arg1675z00_2735;

									BgL_arg1675z00_2735 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1463))->
										BgL_bodyz00);
									BgL_testz00_4146 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1675z00_2735, BgL_vz00_1464));
								}
								if (BgL_testz00_4146)
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4140 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4140 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_auxz00_4140 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4140);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1356 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1356z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3257, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3258,
		BgL_ev_varz00_bglt BgL_vz00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 416 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1452;
				BgL_ev_varz00_bglt BgL_vz00_1453;

				{	/* Eval/evaluate_fsize.scm 417 */
					bool_t BgL_auxz00_4151;

					BgL_ez00_1452 = BgL_ez00_3258;
					BgL_vz00_1453 = BgL_vz00_3259;
					{	/* Eval/evaluate_fsize.scm 417 */
						bool_t BgL_testz00_4152;

						{	/* Eval/evaluate_fsize.scm 417 */
							bool_t BgL_testz00_4153;

							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_ev_exprz00_bglt BgL_arg1673z00_2727;

								BgL_arg1673z00_2727 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1452))->
									BgL_ez00);
								BgL_testz00_4153 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1673z00_2727, BgL_vz00_1453));
							}
							if (BgL_testz00_4153)
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4152 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4152 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4152)
							{	/* Eval/evaluate_fsize.scm 417 */
								bool_t BgL_testz00_4157;

								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_ev_exprz00_bglt BgL_arg1671z00_2729;

									BgL_arg1671z00_2729 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1452))->
										BgL_bodyz00);
									BgL_testz00_4157 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1671z00_2729, BgL_vz00_1453));
								}
								if (BgL_testz00_4157)
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4151 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4151 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_auxz00_4151 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4151);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1354 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1354z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3260, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3261,
		BgL_ev_varz00_bglt BgL_vz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 412 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1444;
				BgL_ev_varz00_bglt BgL_vz00_1445;

				{	/* Eval/evaluate_fsize.scm 413 */
					bool_t BgL_auxz00_4162;

					BgL_ez00_1444 = BgL_ez00_3261;
					BgL_vz00_1445 = BgL_vz00_3262;
					{	/* Eval/evaluate_fsize.scm 413 */
						bool_t BgL_testz00_4163;

						{	/* Eval/evaluate_fsize.scm 413 */
							BgL_ev_exprz00_bglt BgL_arg1669z00_2723;

							BgL_arg1669z00_2723 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1444))->
								BgL_bodyz00);
							BgL_testz00_4163 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1669z00_2723, BgL_vz00_1445));
						}
						if (BgL_testz00_4163)
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4162 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4162 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4162);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1352 */
	obj_t BGl_z62tailposzd2ev_setlocal1352zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3263, BgL_ev_setlocalz00_bglt BgL_ez00_3264,
		BgL_ev_varz00_bglt BgL_varz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 408 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1433;
				BgL_ev_varz00_bglt BgL_varz00_1434;

				{	/* Eval/evaluate_fsize.scm 409 */
					bool_t BgL_auxz00_4168;

					BgL_ez00_1433 = BgL_ez00_3264;
					BgL_varz00_1434 = BgL_varz00_3265;
					{	/* Eval/evaluate_fsize.scm 409 */
						bool_t BgL_testz00_4169;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1433))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1434)))
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4169 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4169 = ((bool_t) 1);
							}
						if (BgL_testz00_4169)
							{	/* Eval/evaluate_fsize.scm 409 */
								bool_t BgL_testz00_4175;

								{	/* Eval/evaluate_fsize.scm 409 */
									BgL_ev_exprz00_bglt BgL_arg1665z00_2720;

									BgL_arg1665z00_2720 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1433)))->BgL_ez00);
									BgL_testz00_4175 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1665z00_2720, BgL_varz00_1434));
								}
								if (BgL_testz00_4175)
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4168 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4168 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_auxz00_4168 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4168);
				}
			}
		}
	}



/* &tailpos-ev_hook1350 */
	obj_t BGl_z62tailposzd2ev_hook1350zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3266, BgL_ev_hookz00_bglt BgL_ez00_3267,
		BgL_ev_varz00_bglt BgL_vz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 404 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1425;
				BgL_ev_varz00_bglt BgL_vz00_1426;

				{	/* Eval/evaluate_fsize.scm 405 */
					bool_t BgL_auxz00_4181;

					BgL_ez00_1425 = BgL_ez00_3267;
					BgL_vz00_1426 = BgL_vz00_3268;
					{	/* Eval/evaluate_fsize.scm 405 */
						bool_t BgL_testz00_4182;

						{	/* Eval/evaluate_fsize.scm 405 */
							BgL_ev_exprz00_bglt BgL_arg1663z00_2714;

							BgL_arg1663z00_2714 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1425))->BgL_ez00);
							BgL_testz00_4182 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1663z00_2714, BgL_vz00_1426));
						}
						if (BgL_testz00_4182)
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4181 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4181 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4181);
				}
			}
		}
	}



/* &tailpos-ev_prog21348 */
	obj_t BGl_z62tailposzd2ev_prog21348zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3269, BgL_ev_prog2z00_bglt BgL_ez00_3270,
		BgL_ev_varz00_bglt BgL_vz00_3271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 400 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1415;
				BgL_ev_varz00_bglt BgL_vz00_1416;

				BgL_ez00_1415 = BgL_ez00_3270;
				BgL_vz00_1416 = BgL_vz00_3271;
				{	/* Eval/evaluate_fsize.scm 401 */
					bool_t BgL_testz00_4187;

					{	/* Eval/evaluate_fsize.scm 401 */
						bool_t BgL_testz00_4188;

						{	/* Eval/evaluate_fsize.scm 401 */
							BgL_ev_exprz00_bglt BgL_arg1661z00_2710;

							BgL_arg1661z00_2710 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1415))->BgL_e1z00);
							BgL_testz00_4188 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1661z00_2710, BgL_vz00_1416));
						}
						if (BgL_testz00_4188)
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4187 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4187 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4187)
						{	/* Eval/evaluate_fsize.scm 401 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1415))->BgL_e2z00),
								BgL_vz00_1416);
						}
					else
						{	/* Eval/evaluate_fsize.scm 401 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1346 */
	obj_t BGl_z62tailposzd2ev_list1346zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3272, BgL_ev_listz00_bglt BgL_ez00_3273,
		BgL_ev_varz00_bglt BgL_vz00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1397;
				BgL_ev_varz00_bglt BgL_vz00_1398;

				BgL_ez00_1397 = BgL_ez00_3273;
				BgL_vz00_1398 = BgL_vz00_3274;
				{
					obj_t BgL_lz00_1404;

					BgL_lz00_1404 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1397))->BgL_argsz00);
				BgL_zc3anonymousza31651ze3z83_1405:
					if (NULLP(CDR(BgL_lz00_1404)))
						{	/* Eval/evaluate_fsize.scm 396 */
							obj_t BgL_arg1653z00_1407;

							BgL_arg1653z00_1407 = CAR(BgL_lz00_1404);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1653z00_1407), BgL_vz00_1398);
						}
					else
						{	/* Eval/evaluate_fsize.scm 397 */
							bool_t BgL_testz00_4200;

							{	/* Eval/evaluate_fsize.scm 397 */
								bool_t BgL_testz00_4201;

								{	/* Eval/evaluate_fsize.scm 397 */
									obj_t BgL_arg1657z00_1411;

									BgL_arg1657z00_1411 = CAR(BgL_lz00_1404);
									BgL_testz00_4201 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1657z00_1411),
											BgL_vz00_1398));
								}
								if (BgL_testz00_4201)
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4200 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4200 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4200)
								{
									obj_t BgL_lz00_4206;

									BgL_lz00_4206 = CDR(BgL_lz00_1404);
									BgL_lz00_1404 = BgL_lz00_4206;
									goto BgL_zc3anonymousza31651ze3z83_1405;
								}
							else
								{	/* Eval/evaluate_fsize.scm 397 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1344 */
	obj_t BGl_z62tailposzd2ev_if1344zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3275, BgL_ev_ifz00_bglt BgL_ez00_3276,
		BgL_ev_varz00_bglt BgL_vz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 388 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1385;
				BgL_ev_varz00_bglt BgL_vz00_1386;

				BgL_ez00_1385 = BgL_ez00_3276;
				BgL_vz00_1386 = BgL_vz00_3277;
				{	/* Eval/evaluate_fsize.scm 390 */
					bool_t BgL_testz00_4209;

					{	/* Eval/evaluate_fsize.scm 390 */
						bool_t BgL_testz00_4210;

						{	/* Eval/evaluate_fsize.scm 390 */
							BgL_ev_exprz00_bglt BgL_arg1649z00_1395;

							BgL_arg1649z00_1395 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1385))->BgL_pz00);
							BgL_testz00_4210 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1649z00_1395, BgL_vz00_1386));
						}
						if (BgL_testz00_4210)
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4209 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4209 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4209)
						{	/* Eval/evaluate_fsize.scm 390 */
							obj_t BgL__andtest_1115z00_1391;

							BgL__andtest_1115z00_1391 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1385))->BgL_tz00),
								BgL_vz00_1386);
							if (CBOOL(BgL__andtest_1115z00_1391))
								{	/* Eval/evaluate_fsize.scm 390 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1385))->BgL_ez00),
										BgL_vz00_1386);
								}
							else
								{	/* Eval/evaluate_fsize.scm 390 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 390 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1342 */
	obj_t BGl_z62tailposzd2ev_litt1342zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3278, BgL_ev_littz00_bglt BgL_ez00_3279,
		BgL_ev_varz00_bglt BgL_vz00_3280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 385 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1340 */
	obj_t BGl_z62tailposzd2ev_global1340zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3281, BgL_ev_globalz00_bglt BgL_ez00_3282,
		BgL_ev_varz00_bglt BgL_vz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 382 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1338 */
	obj_t BGl_z62tailposzd2ev_var1338zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3284, BgL_ev_varz00_bglt BgL_ez00_3285,
		BgL_ev_varz00_bglt BgL_vz00_3286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 379 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1369;
				BgL_ev_varz00_bglt BgL_vz00_1370;

				{	/* Eval/evaluate_fsize.scm 380 */
					bool_t BgL_auxz00_4222;

					BgL_ez00_1369 = BgL_ez00_3285;
					BgL_vz00_1370 = BgL_vz00_3286;
					if ((((obj_t) BgL_ez00_1369) == ((obj_t) BgL_vz00_1370)))
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4222 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4222 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4222);
				}
			}
		}
	}



/* &subst_goto-ev_abs1334 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1334zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3287, BgL_ev_absz00_bglt BgL_ez00_3288, obj_t BgL_varsz00_3289,
		obj_t BgL_lblsz00_3290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 367 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1361;
				obj_t BgL_varsz00_1362;
				obj_t BgL_lblsz00_1363;

				BgL_ez00_1361 = BgL_ez00_3288;
				BgL_varsz00_1362 = BgL_varsz00_3289;
				BgL_lblsz00_1363 = BgL_lblsz00_3290;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4228;

					{	/* Eval/evaluate_fsize.scm 368 */
						BgL_ev_exprz00_bglt BgL_arg1643z00_2699;

						BgL_arg1643z00_2699 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1361))->BgL_bodyz00);
						BgL_auxz00_4228 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1643z00_2699,
								BgL_varsz00_1362, BgL_lblsz00_1363));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1361))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4228), BUNSPEC);
				}
				return BgL_ez00_1361;
			}
		}
	}



/* &subst_goto-ev_app1332 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1332zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3291, BgL_ev_appz00_bglt BgL_ez00_3292, obj_t BgL_varsz00_3293,
		obj_t BgL_lblsz00_3294)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 359 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1347;
				obj_t BgL_varsz00_1348;
				obj_t BgL_lblsz00_1349;

				BgL_ez00_1347 = BgL_ez00_3292;
				BgL_varsz00_1348 = BgL_varsz00_3293;
				BgL_lblsz00_1349 = BgL_lblsz00_3294;
				{	/* Eval/evaluate_fsize.scm 361 */
					obj_t BgL_arg1637z00_1353;

					BgL_arg1637z00_1353 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->BgL_argsz00);
					{
						obj_t BgL_lz00_2681;

						BgL_lz00_2681 = BgL_arg1637z00_1353;
					BgL_recz00_2680:
						if (NULLP(BgL_lz00_2681))
							{	/* Eval/evaluate_fsize.scm 361 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 361 */
								{	/* Eval/evaluate_fsize.scm 361 */
									obj_t BgL_arg1477z00_2683;

									{	/* Eval/evaluate_fsize.scm 361 */
										obj_t BgL_arg1478z00_2684;

										BgL_arg1478z00_2684 = CAR(BgL_lz00_2681);
										BgL_arg1477z00_2683 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1478z00_2684),
											BgL_varsz00_1348, BgL_lblsz00_1349);
									}
									SET_CAR(BgL_lz00_2681, BgL_arg1477z00_2683);
								}
								{
									obj_t BgL_lz00_4240;

									BgL_lz00_4240 = CDR(BgL_lz00_2681);
									BgL_lz00_2681 = BgL_lz00_4240;
									goto BgL_recz00_2680;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->BgL_funz00)),
							BgL_varsz00_1348)))
					{	/* Eval/evaluate_fsize.scm 363 */
						BgL_ev_gotoz00_bglt BgL_new1111z00_1355;

						{	/* Eval/evaluate_fsize.scm 363 */
							BgL_ev_gotoz00_bglt BgL_new1110z00_1356;

							BgL_new1110z00_1356 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 363 */
								long BgL_arg1640z00_1357;

								{	/* Eval/evaluate_fsize.scm 363 */
									long BgL_res2037z00_2695;

									{	/* Eval/evaluate_fsize.scm 363 */
										obj_t BgL_classz00_2692;

										BgL_classz00_2692 = BGl_ev_gotoz00zz__evaluate_typesz00;
										{	/* Eval/evaluate_fsize.scm 363 */
											obj_t BgL_vectorz00_2693;
											int BgL_kz00_2694;

											BgL_vectorz00_2693 = BgL_classz00_2692;
											BgL_kz00_2694 = (int) (((long) 1));
											BgL_res2037z00_2695 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2693,
													BgL_kz00_2694));
									}}
									BgL_arg1640z00_1357 = BgL_res2037z00_2695;
								}
								{	/* Eval/evaluate_fsize.scm 363 */
									BgL_objectz00_bglt BgL_objz00_2696;

									BgL_objz00_2696 = ((BgL_objectz00_bglt) BgL_new1110z00_1356);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2696,
										BgL_arg1640z00_1357);
							}}
							{	/* Eval/evaluate_fsize.scm 363 */
								BgL_objectz00_bglt BgL_auxz00_4253;

								BgL_auxz00_4253 = ((BgL_objectz00_bglt) BgL_new1110z00_1356);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4253, BFALSE);
							}
							BgL_new1111z00_1355 = BgL_new1110z00_1356;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1355))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1355))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1347))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1355))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1349)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1355))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1111z00_1355);
					}
				else
					{	/* Eval/evaluate_fsize.scm 362 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4266;

							{	/* Eval/evaluate_fsize.scm 364 */
								BgL_ev_exprz00_bglt BgL_arg1641z00_1358;

								BgL_arg1641z00_1358 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->BgL_funz00);
								BgL_auxz00_4266 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1641z00_1358,
										BgL_varsz00_1348, BgL_lblsz00_1349));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1347))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4266), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1347);
					}
			}
		}
	}



/* &subst_goto-ev_goto1330 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1330zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3295, BgL_ev_gotoz00_bglt BgL_ez00_3296, obj_t BgL_varsz00_3297,
		obj_t BgL_lblsz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 354 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1339;
				obj_t BgL_varsz00_1340;
				obj_t BgL_lblsz00_1341;

				BgL_ez00_1339 = BgL_ez00_3296;
				BgL_varsz00_1340 = BgL_varsz00_3297;
				BgL_lblsz00_1341 = BgL_lblsz00_3298;
				{	/* Eval/evaluate_fsize.scm 355 */
					obj_t BgL_arg1636z00_2661;

					BgL_arg1636z00_2661 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1339))->BgL_argsz00);
					{
						obj_t BgL_lz00_2666;

						BgL_lz00_2666 = BgL_arg1636z00_2661;
					BgL_recz00_2665:
						if (NULLP(BgL_lz00_2666))
							{	/* Eval/evaluate_fsize.scm 355 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 355 */
								{	/* Eval/evaluate_fsize.scm 355 */
									obj_t BgL_arg1477z00_2668;

									{	/* Eval/evaluate_fsize.scm 355 */
										obj_t BgL_arg1478z00_2669;

										BgL_arg1478z00_2669 = CAR(BgL_lz00_2666);
										BgL_arg1477z00_2668 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1478z00_2669),
											BgL_varsz00_1340, BgL_lblsz00_1341);
									}
									SET_CAR(BgL_lz00_2666, BgL_arg1477z00_2668);
								}
								{
									obj_t BgL_lz00_4279;

									BgL_lz00_4279 = CDR(BgL_lz00_2666);
									BgL_lz00_2666 = BgL_lz00_4279;
									goto BgL_recz00_2665;
								}
							}
					}
				}
				return BgL_ez00_1339;
			}
		}
	}



/* &subst_goto-ev_labels1328 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1328zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3299, BgL_ev_labelsz00_bglt BgL_ez00_3300,
		obj_t BgL_varsz00_3301, obj_t BgL_lblsz00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 345 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1321;
				obj_t BgL_varsz00_1322;
				obj_t BgL_lblsz00_1323;

				BgL_ez00_1321 = BgL_ez00_3300;
				BgL_varsz00_1322 = BgL_varsz00_3301;
				BgL_lblsz00_1323 = BgL_lblsz00_3302;
				{
					obj_t BgL_lz00_1329;

					BgL_lz00_1329 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1321))->BgL_valsz00);
				BgL_zc3anonymousza31627ze3z83_1330:
					if (NULLP(BgL_lz00_1329))
						{	/* Eval/evaluate_fsize.scm 348 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 348 */
							{	/* Eval/evaluate_fsize.scm 349 */
								obj_t BgL_arg1629z00_1332;
								obj_t BgL_arg1630z00_1333;

								BgL_arg1629z00_1332 = CAR(BgL_lz00_1329);
								{	/* Eval/evaluate_fsize.scm 349 */
									obj_t BgL_arg1631z00_1334;

									{	/* Eval/evaluate_fsize.scm 349 */
										obj_t BgL_pairz00_2653;

										BgL_pairz00_2653 = BgL_lz00_1329;
										BgL_arg1631z00_1334 = CDR(CAR(BgL_pairz00_2653));
									}
									BgL_arg1630z00_1333 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1631z00_1334),
										BgL_varsz00_1322, BgL_lblsz00_1323);
								}
								SET_CDR(BgL_arg1629z00_1332, BgL_arg1630z00_1333);
							}
							{
								obj_t BgL_lz00_4289;

								BgL_lz00_4289 = CDR(BgL_lz00_1329);
								BgL_lz00_1329 = BgL_lz00_4289;
								goto BgL_zc3anonymousza31627ze3z83_1330;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4292;

					{	/* Eval/evaluate_fsize.scm 351 */
						BgL_ev_exprz00_bglt BgL_arg1635z00_1337;

						BgL_arg1635z00_1337 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1321))->BgL_bodyz00);
						BgL_auxz00_4292 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1635z00_1337,
								BgL_varsz00_1322, BgL_lblsz00_1323));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1321))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4292), BUNSPEC);
				}
				return BgL_ez00_1321;
			}
		}
	}



/* &subst_goto-ev_binder1326 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1326zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3303, BgL_ev_binderz00_bglt BgL_ez00_3304,
		obj_t BgL_varsz00_3305, obj_t BgL_lblsz00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 339 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1312;
				obj_t BgL_varsz00_1313;
				obj_t BgL_lblsz00_1314;

				BgL_ez00_1312 = BgL_ez00_3304;
				BgL_varsz00_1313 = BgL_varsz00_3305;
				BgL_lblsz00_1314 = BgL_lblsz00_3306;
				{	/* Eval/evaluate_fsize.scm 340 */
					obj_t BgL_arg1624z00_2633;

					BgL_arg1624z00_2633 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1312))->BgL_valsz00);
					{
						obj_t BgL_lz00_2639;

						BgL_lz00_2639 = BgL_arg1624z00_2633;
					BgL_recz00_2638:
						if (NULLP(BgL_lz00_2639))
							{	/* Eval/evaluate_fsize.scm 340 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 340 */
								{	/* Eval/evaluate_fsize.scm 340 */
									obj_t BgL_arg1477z00_2641;

									{	/* Eval/evaluate_fsize.scm 340 */
										obj_t BgL_arg1478z00_2642;

										BgL_arg1478z00_2642 = CAR(BgL_lz00_2639);
										BgL_arg1477z00_2641 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1478z00_2642),
											BgL_varsz00_1313, BgL_lblsz00_1314);
									}
									SET_CAR(BgL_lz00_2639, BgL_arg1477z00_2641);
								}
								{
									obj_t BgL_lz00_4304;

									BgL_lz00_4304 = CDR(BgL_lz00_2639);
									BgL_lz00_2639 = BgL_lz00_4304;
									goto BgL_recz00_2638;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4306;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1625z00_2634;

						BgL_arg1625z00_2634 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1312))->BgL_bodyz00);
						BgL_auxz00_4306 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1625z00_2634,
								BgL_varsz00_1313, BgL_lblsz00_1314));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1312))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4306), BUNSPEC);
				}
				return BgL_ez00_1312;
			}
		}
	}



/* &subst_goto-ev_with-h1324 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1324z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3307, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3308,
		obj_t BgL_varsz00_3309, obj_t BgL_lblsz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1303;
				obj_t BgL_varsz00_1304;
				obj_t BgL_lblsz00_1305;

				BgL_ez00_1303 = BgL_ez00_3308;
				BgL_varsz00_1304 = BgL_varsz00_3309;
				BgL_lblsz00_1305 = BgL_lblsz00_3310;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4311;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1622z00_2630;

						BgL_arg1622z00_2630 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1303))->
							BgL_handlerz00);
						BgL_auxz00_4311 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1622z00_2630,
								BgL_varsz00_1304, BgL_lblsz00_1305));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1303))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4311), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4316;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1623z00_2631;

						BgL_arg1623z00_2631 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1303))->
							BgL_bodyz00);
						BgL_auxz00_4316 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1623z00_2631,
								BgL_varsz00_1304, BgL_lblsz00_1305));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1303))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4316), BUNSPEC);
				}
				return BgL_ez00_1303;
			}
		}
	}



/* &subst_goto-ev_unwind1322 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1322zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3311, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3312,
		obj_t BgL_varsz00_3313, obj_t BgL_lblsz00_3314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 327 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1294;
				obj_t BgL_varsz00_1295;
				obj_t BgL_lblsz00_1296;

				BgL_exprz00_1294 = BgL_exprz00_3312;
				BgL_varsz00_1295 = BgL_varsz00_3313;
				BgL_lblsz00_1296 = BgL_lblsz00_3314;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4321;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1620z00_2627;

						BgL_arg1620z00_2627 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1294))->
							BgL_ez00);
						BgL_auxz00_4321 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1620z00_2627,
								BgL_varsz00_1295, BgL_lblsz00_1296));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1294))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4321), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4326;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1621z00_2628;

						BgL_arg1621z00_2628 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1294))->
							BgL_bodyz00);
						BgL_auxz00_4326 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1621z00_2628,
								BgL_varsz00_1295, BgL_lblsz00_1296));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1294))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4326), BUNSPEC);
				}
				return BgL_exprz00_1294;
			}
		}
	}



/* &subst_goto-ev_bind-e1320 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1320z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3315, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3316,
		obj_t BgL_varsz00_3317, obj_t BgL_lblsz00_3318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1286;
				obj_t BgL_varsz00_1287;
				obj_t BgL_lblsz00_1288;

				BgL_ez00_1286 = BgL_ez00_3316;
				BgL_varsz00_1287 = BgL_varsz00_3317;
				BgL_lblsz00_1288 = BgL_lblsz00_3318;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4331;

					{	/* Eval/evaluate_fsize.scm 323 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_2625;

						BgL_arg1619z00_2625 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1286))->BgL_bodyz00);
						BgL_auxz00_4331 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1619z00_2625,
								BgL_varsz00_1287, BgL_lblsz00_1288));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1286))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4331), BUNSPEC);
				}
				return BgL_ez00_1286;
			}
		}
	}



/* &subst_goto-ev_hook1318 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1318zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3319, BgL_ev_hookz00_bglt BgL_exprz00_3320,
		obj_t BgL_varsz00_3321, obj_t BgL_lblsz00_3322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1278;
				obj_t BgL_varsz00_1279;
				obj_t BgL_lblsz00_1280;

				BgL_exprz00_1278 = BgL_exprz00_3320;
				BgL_varsz00_1279 = BgL_varsz00_3321;
				BgL_lblsz00_1280 = BgL_lblsz00_3322;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4336;

					{	/* Eval/evaluate_fsize.scm 318 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_2623;

						BgL_arg1618z00_2623 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1278))->BgL_ez00);
						BgL_auxz00_4336 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1618z00_2623,
								BgL_varsz00_1279, BgL_lblsz00_1280));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1278))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4336), BUNSPEC);
				}
				return BgL_exprz00_1278;
			}
		}
	}



/* &subst_goto-ev_prog21316 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21316zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3323, BgL_ev_prog2z00_bglt BgL_ez00_3324, obj_t BgL_varsz00_3325,
		obj_t BgL_lblsz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 311 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1269;
				obj_t BgL_varsz00_1270;
				obj_t BgL_lblsz00_1271;

				BgL_ez00_1269 = BgL_ez00_3324;
				BgL_varsz00_1270 = BgL_varsz00_3325;
				BgL_lblsz00_1271 = BgL_lblsz00_3326;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4341;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1614z00_2620;

						BgL_arg1614z00_2620 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1269))->BgL_e1z00);
						BgL_auxz00_4341 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1614z00_2620,
								BgL_varsz00_1270, BgL_lblsz00_1271));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1269))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4341), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4346;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1615z00_2621;

						BgL_arg1615z00_2621 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1269))->BgL_e2z00);
						BgL_auxz00_4346 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1615z00_2621,
								BgL_varsz00_1270, BgL_lblsz00_1271));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1269))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4346), BUNSPEC);
				}
				return BgL_ez00_1269;
			}
		}
	}



/* &subst_goto-ev_list1314 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1314zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3327, BgL_ev_listz00_bglt BgL_ez00_3328, obj_t BgL_varsz00_3329,
		obj_t BgL_lblsz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 306 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1261;
				obj_t BgL_varsz00_1262;
				obj_t BgL_lblsz00_1263;

				BgL_ez00_1261 = BgL_ez00_3328;
				BgL_varsz00_1262 = BgL_varsz00_3329;
				BgL_lblsz00_1263 = BgL_lblsz00_3330;
				{	/* Eval/evaluate_fsize.scm 307 */
					obj_t BgL_arg1613z00_2603;

					BgL_arg1613z00_2603 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1261))->BgL_argsz00);
					{
						obj_t BgL_lz00_2608;

						BgL_lz00_2608 = BgL_arg1613z00_2603;
					BgL_recz00_2607:
						if (NULLP(BgL_lz00_2608))
							{	/* Eval/evaluate_fsize.scm 307 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 307 */
								{	/* Eval/evaluate_fsize.scm 307 */
									obj_t BgL_arg1477z00_2610;

									{	/* Eval/evaluate_fsize.scm 307 */
										obj_t BgL_arg1478z00_2611;

										BgL_arg1478z00_2611 = CAR(BgL_lz00_2608);
										BgL_arg1477z00_2610 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1478z00_2611),
											BgL_varsz00_1262, BgL_lblsz00_1263);
									}
									SET_CAR(BgL_lz00_2608, BgL_arg1477z00_2610);
								}
								{
									obj_t BgL_lz00_4358;

									BgL_lz00_4358 = CDR(BgL_lz00_2608);
									BgL_lz00_2608 = BgL_lz00_4358;
									goto BgL_recz00_2607;
								}
							}
					}
				}
				return BgL_ez00_1261;
			}
		}
	}



/* &subst_goto-ev_if1312 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1312zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3331, BgL_ev_ifz00_bglt BgL_exprz00_3332, obj_t BgL_varsz00_3333,
		obj_t BgL_lblsz00_3334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 299 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1251;
				obj_t BgL_varsz00_1252;
				obj_t BgL_lblsz00_1253;

				BgL_exprz00_1251 = BgL_exprz00_3332;
				BgL_varsz00_1252 = BgL_varsz00_3333;
				BgL_lblsz00_1253 = BgL_lblsz00_3334;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4360;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1610z00_2599;

						BgL_arg1610z00_2599 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_pz00);
						BgL_auxz00_4360 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1610z00_2599,
								BgL_varsz00_1252, BgL_lblsz00_1253));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4360), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4365;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_2600;

						BgL_arg1611z00_2600 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_tz00);
						BgL_auxz00_4365 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1611z00_2600,
								BgL_varsz00_1252, BgL_lblsz00_1253));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4365), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4370;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_2601;

						BgL_arg1612z00_2601 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_ez00);
						BgL_auxz00_4370 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1612z00_2601,
								BgL_varsz00_1252, BgL_lblsz00_1253));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1251))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4370), BUNSPEC);
				}
				return BgL_exprz00_1251;
			}
		}
	}



/* &subst_goto-ev_litt1310 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1310zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3335, BgL_ev_littz00_bglt BgL_ez00_3336, obj_t BgL_varsz00_3337,
		obj_t BgL_lblsz00_3338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 296 */
			return BgL_ez00_3336;
		}
	}



/* &subst_goto-ev_global1308 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1308zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3339, BgL_ev_globalz00_bglt BgL_ez00_3340,
		obj_t BgL_varsz00_3341, obj_t BgL_lblsz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 293 */
			return BgL_ez00_3340;
		}
	}



/* &subst_goto-ev_var1306 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1306zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3343, BgL_ev_varz00_bglt BgL_ez00_3344, obj_t BgL_varsz00_3345,
		obj_t BgL_lblsz00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 290 */
			return BgL_ez00_3344;
		}
	}



/* &search-letrec-ev_abs1302 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1302z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3347, BgL_ev_absz00_bglt BgL_ez00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 249 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1227;

				BgL_ez00_1227 = BgL_ez00_3348;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4375;

					{	/* Eval/evaluate_fsize.scm 250 */
						BgL_ev_exprz00_bglt BgL_arg1609z00_2597;

						BgL_arg1609z00_2597 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1227))->BgL_bodyz00);
						BgL_auxz00_4375 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1609z00_2597));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1227))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4375), BUNSPEC);
				}
				return BgL_ez00_1227;
			}
		}
	}



/* &search-letrec-ev_app1300 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1300z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3349, BgL_ev_appz00_bglt BgL_ez00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1220;

				BgL_ez00_1220 = BgL_ez00_3350;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4380;

					{	/* Eval/evaluate_fsize.scm 244 */
						BgL_ev_exprz00_bglt BgL_arg1606z00_2594;

						BgL_arg1606z00_2594 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1220))->BgL_funz00);
						BgL_auxz00_4380 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1606z00_2594));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1220))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4380), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1220))->BgL_argsz00));
				return BgL_ez00_1220;
			}
		}
	}



/* &search-letrec-ev_let1298 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1298z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3351, BgL_ev_letrecz00_bglt BgL_ez00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 232 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1206;

				BgL_ez00_1206 = BgL_ez00_3352;
				{	/* Eval/evaluate_fsize.scm 234 */
					obj_t BgL_arg1594z00_1210;

					BgL_arg1594z00_1210 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1594z00_1210);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4390;

					{	/* Eval/evaluate_fsize.scm 235 */
						BgL_ev_exprz00_bglt BgL_arg1595z00_1211;

						BgL_arg1595z00_1211 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_bodyz00);
						BgL_auxz00_4390 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1595z00_1211));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4390), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 239 */
					bool_t BgL_testz00_4397;

					{	/* Eval/evaluate_fsize.scm 236 */
						obj_t BgL_arg1599z00_1216;
						obj_t BgL_arg1603z00_1217;
						BgL_ev_exprz00_bglt BgL_arg1605z00_1218;

						BgL_arg1599z00_1216 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_varsz00);
						BgL_arg1603z00_1217 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_valsz00);
						BgL_arg1605z00_1218 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_bodyz00);
						BgL_testz00_4397 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1599z00_1216,
							BgL_arg1603z00_1217, BgL_arg1605z00_1218);
					}
					if (BgL_testz00_4397)
						{	/* Eval/evaluate_fsize.scm 240 */
							obj_t BgL_arg1596z00_1213;
							obj_t BgL_arg1597z00_1214;
							BgL_ev_exprz00_bglt BgL_arg1598z00_1215;

							BgL_arg1596z00_1213 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_varsz00);
							BgL_arg1597z00_1214 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_valsz00);
							BgL_arg1598z00_1215 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1206)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1596z00_1213, BgL_arg1597z00_1214,
									BgL_arg1598z00_1215));
						}
					else
						{	/* Eval/evaluate_fsize.scm 239 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1206);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1296 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1296z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3353, BgL_ev_binderz00_bglt BgL_ez00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 226 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1199;

				BgL_ez00_1199 = BgL_ez00_3354;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1199))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4416;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1593z00_2592;

						BgL_arg1593z00_2592 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1199))->BgL_bodyz00);
						BgL_auxz00_4416 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1593z00_2592));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1199))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4416), BUNSPEC);
				}
				return BgL_ez00_1199;
			}
		}
	}



/* &search-letrec-ev_wit1294 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1294z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3355, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 220 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1192;

				BgL_ez00_1192 = BgL_ez00_3356;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4421;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1589z00_2588;

						BgL_arg1589z00_2588 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1192))->
							BgL_handlerz00);
						BgL_auxz00_4421 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1589z00_2588));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1192))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4421), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4426;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1590z00_2589;

						BgL_arg1590z00_2589 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1192))->
							BgL_bodyz00);
						BgL_auxz00_4426 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1590z00_2589));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1192))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4426), BUNSPEC);
				}
				return BgL_ez00_1192;
			}
		}
	}



/* &search-letrec-ev_unw1292 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1292z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3357, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 214 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1185;

				BgL_exprz00_1185 = BgL_exprz00_3358;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4431;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1587z00_2585;

						BgL_arg1587z00_2585 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1185))->
							BgL_ez00);
						BgL_auxz00_4431 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1587z00_2585));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1185))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4431), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4436;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1588z00_2586;

						BgL_arg1588z00_2586 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1185))->
							BgL_bodyz00);
						BgL_auxz00_4436 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1588z00_2586));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1185))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4436), BUNSPEC);
				}
				return BgL_exprz00_1185;
			}
		}
	}



/* &search-letrec-ev_bin1290 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1290z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3359, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 209 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1179;

				BgL_ez00_1179 = BgL_ez00_3360;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4441;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1586z00_2583;

						BgL_arg1586z00_2583 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1179))->BgL_bodyz00);
						BgL_auxz00_4441 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1586z00_2583));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1179))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4441), BUNSPEC);
				}
				return BgL_ez00_1179;
			}
		}
	}



/* &search-letrec-ev_hoo1288 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1288z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3361, BgL_ev_hookz00_bglt BgL_exprz00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 204 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1173;

				BgL_exprz00_1173 = BgL_exprz00_3362;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4446;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1585z00_2581;

						BgL_arg1585z00_2581 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1173))->BgL_ez00);
						BgL_auxz00_4446 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1585z00_2581));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1173))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4446), BUNSPEC);
				}
				return BgL_exprz00_1173;
			}
		}
	}



/* &search-letrec-ev_pro1286 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1286z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3363, BgL_ev_prog2z00_bglt BgL_ez00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 198 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1166;

				BgL_ez00_1166 = BgL_ez00_3364;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4451;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1581z00_2578;

						BgL_arg1581z00_2578 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1166))->BgL_e1z00);
						BgL_auxz00_4451 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1581z00_2578));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1166))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4451), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4456;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1584z00_2579;

						BgL_arg1584z00_2579 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1166))->BgL_e2z00);
						BgL_auxz00_4456 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1584z00_2579));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1166))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4456), BUNSPEC);
				}
				return BgL_ez00_1166;
			}
		}
	}



/* &search-letrec-ev_lis1284 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1284z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3365, BgL_ev_listz00_bglt BgL_ez00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 193 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1160;

				BgL_ez00_1160 = BgL_ez00_3366;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1160))->BgL_argsz00));
				return BgL_ez00_1160;
			}
		}
	}



/* &search-letrec-ev_if1282 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1282z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3367, BgL_ev_ifz00_bglt BgL_exprz00_3368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 186 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1152;

				BgL_exprz00_1152 = BgL_exprz00_3368;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4463;

					{	/* Eval/evaluate_fsize.scm 188 */
						BgL_ev_exprz00_bglt BgL_arg1577z00_1156;

						BgL_arg1577z00_1156 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_pz00);
						BgL_auxz00_4463 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1577z00_1156));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4463), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4468;

					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_arg1578z00_1157;

						BgL_arg1578z00_1157 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_tz00);
						BgL_auxz00_4468 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1578z00_1157));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4468), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4473;

					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_arg1579z00_1158;

						BgL_arg1579z00_1158 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_ez00);
						BgL_auxz00_4473 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1579z00_1158));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1152))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4473), BUNSPEC);
				}
				return BgL_exprz00_1152;
			}
		}
	}



/* &search-letrec-ev_lit1280 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1280z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3369, BgL_ev_littz00_bglt BgL_ez00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 183 */
			return BgL_ez00_3370;
		}
	}



/* &search-letrec-ev_glo1278 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1278z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3371, BgL_ev_globalz00_bglt BgL_ez00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 180 */
			return BgL_ez00_3372;
		}
	}



/* &search-letrec-ev_var1276 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1276z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3373, BgL_ev_varz00_bglt BgL_ez00_3374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 177 */
			return BgL_ez00_3374;
		}
	}



/* &fsize-ev_abs1272 */
	obj_t BGl_z62fsiza7ezd2ev_abs1272z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3375, BgL_ev_absz00_bglt BgL_ez00_3376, obj_t BgL_nz00_3377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 154 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1130;
				int BgL_nz00_1131;

				{	/* Eval/evaluate_fsize.scm 155 */
					int BgL_auxz00_4478;

					BgL_ez00_1130 = BgL_ez00_3376;
					BgL_nz00_1131 = CINT(BgL_nz00_3377);
					{	/* Eval/evaluate_fsize.scm 155 */
						int BgL_nnz00_2571;

						{	/* Eval/evaluate_fsize.scm 155 */
							BgL_ev_exprz00_bglt BgL_arg1574z00_2572;
							long BgL_arg1575z00_2573;

							BgL_arg1574z00_2572 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1130))->BgL_bodyz00);
							BgL_arg1575z00_2573 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1130))->BgL_varsz00));
							BgL_nnz00_2571 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1574z00_2572,
								(int) (BgL_arg1575z00_2573));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1130))->BgL_siza7eza7) =
							((int) BgL_nnz00_2571), BUNSPEC);
						BgL_auxz00_4478 = BgL_nz00_1131;
					}
					return BINT(BgL_auxz00_4478);
				}
			}
		}
	}



/* &fsize-ev_app1270 */
	obj_t BGl_z62fsiza7ezd2ev_app1270z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3378, BgL_ev_appz00_bglt BgL_ez00_3379, obj_t BgL_nz00_3380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 147 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1106;
				int BgL_nz00_1107;

				BgL_ez00_1106 = BgL_ez00_3379;
				BgL_nz00_1107 = CINT(BgL_nz00_3380);
				{	/* Eval/evaluate_fsize.scm 149 */
					int BgL_g1076z00_1111;

					BgL_g1076z00_1111 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1106))->BgL_funz00),
						BgL_nz00_1107);
					{	/* Eval/evaluate_fsize.scm 149 */
						obj_t BgL_arg1563z00_1113;

						BgL_arg1563z00_1113 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1106))->BgL_argsz00);
						{
							obj_t BgL_lz00_2542;
							int BgL_nz00_2543;
							obj_t BgL_rz00_2544;

							BgL_lz00_2542 = BgL_arg1563z00_1113;
							BgL_nz00_2543 = BgL_nz00_1107;
							BgL_rz00_2544 = BINT(BgL_g1076z00_1111);
						BgL_recz00_2541:
							if (NULLP(BgL_lz00_2542))
								{	/* Eval/evaluate_fsize.scm 149 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2543),
										BgL_rz00_2544);
								}
							else
								{	/* Eval/evaluate_fsize.scm 149 */
									obj_t BgL_arg1566z00_2557;
									long BgL_arg1569z00_2558;
									obj_t BgL_arg1570z00_2559;

									BgL_arg1566z00_2557 = CDR(BgL_lz00_2542);
									BgL_arg1569z00_2558 = ((long) (BgL_nz00_2543) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 149 */
										int BgL_xz00_2560;

										{	/* Eval/evaluate_fsize.scm 149 */
											obj_t BgL_arg1571z00_2562;

											BgL_arg1571z00_2562 = CAR(BgL_lz00_2542);
											BgL_xz00_2560 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1571z00_2562),
												BgL_nz00_2543);
										}
										BgL_arg1570z00_2559 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2560),
											BgL_rz00_2544);
									}
									{
										obj_t BgL_rz00_4505;
										int BgL_nz00_4503;
										obj_t BgL_lz00_4502;

										BgL_lz00_4502 = BgL_arg1566z00_2557;
										BgL_nz00_4503 = (int) (BgL_arg1569z00_2558);
										BgL_rz00_4505 = BgL_arg1570z00_2559;
										BgL_rz00_2544 = BgL_rz00_4505;
										BgL_nz00_2543 = BgL_nz00_4503;
										BgL_lz00_2542 = BgL_lz00_4502;
										goto BgL_recz00_2541;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1268 */
	obj_t BGl_z62fsiza7ezd2ev_goto1268z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3381, BgL_ev_gotoz00_bglt BgL_ez00_3382, obj_t BgL_nz00_3383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 140 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1084;
				obj_t BgL_nz00_1085;

				BgL_ez00_1084 = BgL_ez00_3382;
				BgL_nz00_1085 = BgL_nz00_3383;
				{	/* Eval/evaluate_fsize.scm 142 */
					obj_t BgL_arg1555z00_1090;

					BgL_arg1555z00_1090 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1084))->BgL_argsz00);
					{
						obj_t BgL_lz00_2478;
						obj_t BgL_nz00_2479;
						obj_t BgL_rz00_2480;

						BgL_lz00_2478 = BgL_arg1555z00_1090;
						BgL_nz00_2479 = BgL_nz00_1085;
						BgL_rz00_2480 = BgL_nz00_1085;
					BgL_recz00_2477:
						if (NULLP(BgL_lz00_2478))
							{	/* Eval/evaluate_fsize.scm 142 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2479,
									BgL_rz00_2480);
							}
						else
							{	/* Eval/evaluate_fsize.scm 142 */
								obj_t BgL_arg1558z00_2493;
								long BgL_arg1559z00_2494;
								obj_t BgL_arg1560z00_2495;

								BgL_arg1558z00_2493 = CDR(BgL_lz00_2478);
								BgL_arg1559z00_2494 = ((long) CINT(BgL_nz00_2479) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 142 */
									int BgL_xz00_2496;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_arg1562z00_2498;

										BgL_arg1562z00_2498 = CAR(BgL_lz00_2478);
										BgL_xz00_2496 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1562z00_2498),
											CINT(BgL_nz00_2479));
									}
									BgL_arg1560z00_2495 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2496),
										BgL_rz00_2480);
								}
								{
									obj_t BgL_rz00_4524;
									obj_t BgL_nz00_4522;
									obj_t BgL_lz00_4521;

									BgL_lz00_4521 = BgL_arg1558z00_2493;
									BgL_nz00_4522 = BINT(BgL_arg1559z00_2494);
									BgL_rz00_4524 = BgL_arg1560z00_2495;
									BgL_rz00_2480 = BgL_rz00_4524;
									BgL_nz00_2479 = BgL_nz00_4522;
									BgL_lz00_2478 = BgL_lz00_4521;
									goto BgL_recz00_2477;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1266 */
	obj_t BGl_z62fsiza7ezd2ev_labels1266z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3384, BgL_ev_labelsz00_bglt BgL_ez00_3385, obj_t BgL_nz00_3386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 133 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1060;
				obj_t BgL_nz00_1061;

				BgL_ez00_1060 = BgL_ez00_3385;
				BgL_nz00_1061 = BgL_nz00_3386;
				{
					obj_t BgL_lz00_1067;
					obj_t BgL_rz00_1068;

					BgL_lz00_1067 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1060))->BgL_valsz00);
					BgL_rz00_1068 = BgL_nz00_1061;
				BgL_zc3anonymousza31542ze3z83_1069:
					if (NULLP(BgL_lz00_1067))
						{	/* Eval/evaluate_fsize.scm 137 */
							int BgL_xz00_1071;

							BgL_xz00_1071 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1060))->BgL_bodyz00),
								CINT(BgL_nz00_1061));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1071),
								BgL_rz00_1068);
						}
					else
						{	/* Eval/evaluate_fsize.scm 138 */
							obj_t BgL_arg1549z00_1074;
							obj_t BgL_arg1550z00_1075;

							BgL_arg1549z00_1074 = CDR(BgL_lz00_1067);
							{	/* Eval/evaluate_fsize.scm 138 */
								int BgL_xz00_1076;

								{	/* Eval/evaluate_fsize.scm 138 */
									obj_t BgL_arg1551z00_1078;
									long BgL_arg1552z00_1079;

									{	/* Eval/evaluate_fsize.scm 138 */
										obj_t BgL_pairz00_2431;

										BgL_pairz00_2431 = BgL_lz00_1067;
										BgL_arg1551z00_1078 = CDR(CAR(BgL_pairz00_2431));
									}
									{	/* Eval/evaluate_fsize.scm 138 */
										long BgL_auxz00_4535;

										{	/* Eval/evaluate_fsize.scm 138 */
											obj_t BgL_auxz00_4537;

											{	/* Eval/evaluate_fsize.scm 138 */
												obj_t BgL_pairz00_2435;

												BgL_pairz00_2435 = BgL_lz00_1067;
												BgL_auxz00_4537 = CAR(CAR(BgL_pairz00_2435));
											}
											BgL_auxz00_4535 = bgl_list_length(BgL_auxz00_4537);
										}
										BgL_arg1552z00_1079 =
											((long) CINT(BgL_nz00_1061) + BgL_auxz00_4535);
									}
									BgL_xz00_1076 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1551z00_1078),
										(int) (BgL_arg1552z00_1079));
								}
								BgL_arg1550z00_1075 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1076),
									BgL_rz00_1068);
							}
							{
								obj_t BgL_rz00_4548;
								obj_t BgL_lz00_4547;

								BgL_lz00_4547 = BgL_arg1549z00_1074;
								BgL_rz00_4548 = BgL_arg1550z00_1075;
								BgL_rz00_1068 = BgL_rz00_4548;
								BgL_lz00_1067 = BgL_lz00_4547;
								goto BgL_zc3anonymousza31542ze3z83_1069;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1264 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1264z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3387, BgL_ev_letrecz00_bglt BgL_ez00_3388, obj_t BgL_nz00_3389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 125 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1036;
				int BgL_nz00_1037;

				BgL_ez00_1036 = BgL_ez00_3388;
				BgL_nz00_1037 = CINT(BgL_nz00_3389);
				{	/* Eval/evaluate_fsize.scm 127 */
					long BgL_nz00_1041;

					BgL_nz00_1041 =
						(
						(long) (BgL_nz00_1037) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1036)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1044;
						obj_t BgL_rz00_1045;

						{	/* Eval/evaluate_fsize.scm 128 */
							obj_t BgL_arg1531z00_1043;

							BgL_arg1531z00_1043 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1036)))->BgL_valsz00);
							BgL_lz00_1044 = BgL_arg1531z00_1043;
							BgL_rz00_1045 = BINT(BgL_nz00_1041);
						BgL_zc3anonymousza31532ze3z83_1046:
							if (NULLP(BgL_lz00_1044))
								{	/* Eval/evaluate_fsize.scm 130 */
									int BgL_xz00_1048;

									{	/* Eval/evaluate_fsize.scm 130 */
										BgL_ev_exprz00_bglt BgL_arg1535z00_1050;

										BgL_arg1535z00_1050 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1036)))->
											BgL_bodyz00);
										BgL_xz00_1048 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1535z00_1050,
											(int) (BgL_nz00_1041));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1048),
										BgL_rz00_1045);
								}
							else
								{	/* Eval/evaluate_fsize.scm 131 */
									obj_t BgL_arg1536z00_1051;
									obj_t BgL_arg1537z00_1052;

									BgL_arg1536z00_1051 = CDR(BgL_lz00_1044);
									{	/* Eval/evaluate_fsize.scm 131 */
										int BgL_xz00_1053;

										{	/* Eval/evaluate_fsize.scm 131 */
											obj_t BgL_arg1538z00_1055;

											BgL_arg1538z00_1055 = CAR(BgL_lz00_1044);
											BgL_xz00_1053 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1538z00_1055),
												(int) (BgL_nz00_1041));
										}
										BgL_arg1537z00_1052 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1053),
											BgL_rz00_1045);
									}
									{
										obj_t BgL_rz00_4573;
										obj_t BgL_lz00_4572;

										BgL_lz00_4572 = BgL_arg1536z00_1051;
										BgL_rz00_4573 = BgL_arg1537z00_1052;
										BgL_rz00_1045 = BgL_rz00_4573;
										BgL_lz00_1044 = BgL_lz00_4572;
										goto BgL_zc3anonymousza31532ze3z83_1046;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1262 */
	obj_t BGl_z62fsiza7ezd2ev_letza21262zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3390, BgL_ev_letza2za2_bglt BgL_ez00_3391, obj_t BgL_nz00_3392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 118 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1013;
				int BgL_nz00_1014;

				BgL_ez00_1013 = BgL_ez00_3391;
				BgL_nz00_1014 = CINT(BgL_nz00_3392);
				{	/* Eval/evaluate_fsize.scm 120 */
					obj_t BgL_arg1518z00_1019;

					BgL_arg1518z00_1019 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1013)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2391;
						int BgL_nz00_2392;
						obj_t BgL_rz00_2393;

						BgL_lz00_2391 = BgL_arg1518z00_1019;
						BgL_nz00_2392 = BgL_nz00_1014;
						BgL_rz00_2393 = BINT(BgL_nz00_1014);
					BgL_recz00_2390:
						if (NULLP(BgL_lz00_2391))
							{	/* Eval/evaluate_fsize.scm 120 */
								int BgL_xz00_2405;

								{	/* Eval/evaluate_fsize.scm 120 */
									BgL_ev_exprz00_bglt BgL_arg1521z00_2407;

									BgL_arg1521z00_2407 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1013)))->BgL_bodyz00);
									BgL_xz00_2405 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1521z00_2407,
										BgL_nz00_2392);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2405),
									BgL_rz00_2393);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1522z00_2408;
								long BgL_arg1525z00_2409;
								obj_t BgL_arg1526z00_2410;

								BgL_arg1522z00_2408 = CDR(BgL_lz00_2391);
								BgL_arg1525z00_2409 = ((long) (BgL_nz00_2392) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_2411;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1527z00_2413;

										BgL_arg1527z00_2413 = CAR(BgL_lz00_2391);
										BgL_xz00_2411 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1527z00_2413),
											BgL_nz00_2392);
									}
									BgL_arg1526z00_2410 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2411),
										BgL_rz00_2393);
								}
								{
									obj_t BgL_rz00_4596;
									int BgL_nz00_4594;
									obj_t BgL_lz00_4593;

									BgL_lz00_4593 = BgL_arg1522z00_2408;
									BgL_nz00_4594 = (int) (BgL_arg1525z00_2409);
									BgL_rz00_4596 = BgL_arg1526z00_2410;
									BgL_rz00_2393 = BgL_rz00_4596;
									BgL_nz00_2392 = BgL_nz00_4594;
									BgL_lz00_2391 = BgL_lz00_4593;
									goto BgL_recz00_2390;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1260 */
	obj_t BGl_z62fsiza7ezd2ev_let1260z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3393, BgL_ev_letz00_bglt BgL_ez00_3394, obj_t BgL_nz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_letz00_bglt BgL_ez00_990;
				int BgL_nz00_991;

				BgL_ez00_990 = BgL_ez00_3394;
				BgL_nz00_991 = CINT(BgL_nz00_3395);
				{	/* Eval/evaluate_fsize.scm 113 */
					obj_t BgL_arg1509z00_996;

					BgL_arg1509z00_996 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_990)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2323;
						int BgL_nz00_2324;
						obj_t BgL_rz00_2325;

						BgL_lz00_2323 = BgL_arg1509z00_996;
						BgL_nz00_2324 = BgL_nz00_991;
						BgL_rz00_2325 = BINT(BgL_nz00_991);
					BgL_recz00_2322:
						if (NULLP(BgL_lz00_2323))
							{	/* Eval/evaluate_fsize.scm 113 */
								int BgL_xz00_2337;

								{	/* Eval/evaluate_fsize.scm 113 */
									BgL_ev_exprz00_bglt BgL_arg1513z00_2339;

									BgL_arg1513z00_2339 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_990)))->BgL_bodyz00);
									BgL_xz00_2337 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1513z00_2339,
										BgL_nz00_2324);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2337),
									BgL_rz00_2325);
							}
						else
							{	/* Eval/evaluate_fsize.scm 113 */
								obj_t BgL_arg1514z00_2340;
								long BgL_arg1515z00_2341;
								obj_t BgL_arg1516z00_2342;

								BgL_arg1514z00_2340 = CDR(BgL_lz00_2323);
								BgL_arg1515z00_2341 = ((long) (BgL_nz00_2324) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 113 */
									int BgL_xz00_2343;

									{	/* Eval/evaluate_fsize.scm 113 */
										obj_t BgL_arg1517z00_2345;

										BgL_arg1517z00_2345 = CAR(BgL_lz00_2323);
										BgL_xz00_2343 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1517z00_2345),
											BgL_nz00_2324);
									}
									BgL_arg1516z00_2342 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2343),
										BgL_rz00_2325);
								}
								{
									obj_t BgL_rz00_4619;
									int BgL_nz00_4617;
									obj_t BgL_lz00_4616;

									BgL_lz00_4616 = BgL_arg1514z00_2340;
									BgL_nz00_4617 = (int) (BgL_arg1515z00_2341);
									BgL_rz00_4619 = BgL_arg1516z00_2342;
									BgL_rz00_2325 = BgL_rz00_4619;
									BgL_nz00_2324 = BgL_nz00_4617;
									BgL_lz00_2323 = BgL_lz00_4616;
									goto BgL_recz00_2322;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_with-handle1258 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1258zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3396, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3397,
		obj_t BgL_nz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_980;
				int BgL_nz00_981;

				BgL_ez00_980 = BgL_ez00_3397;
				BgL_nz00_981 = CINT(BgL_nz00_3398);
				{	/* Eval/evaluate_fsize.scm 108 */
					int BgL_xz00_2281;
					int BgL_yz00_2282;

					BgL_xz00_2281 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_980))->
							BgL_handlerz00), BgL_nz00_981);
					BgL_yz00_2282 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_980))->
							BgL_bodyz00), BgL_nz00_981);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2281),
						BINT(BgL_yz00_2282));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1256 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1256zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3399, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3400,
		obj_t BgL_nz00_3401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_970;
				int BgL_nz00_971;

				BgL_ez00_970 = BgL_ez00_3400;
				BgL_nz00_971 = CINT(BgL_nz00_3401);
				{	/* Eval/evaluate_fsize.scm 104 */
					int BgL_xz00_2276;
					int BgL_yz00_2277;

					BgL_xz00_2276 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_970))->BgL_ez00),
						BgL_nz00_971);
					BgL_yz00_2277 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_970))->
							BgL_bodyz00), BgL_nz00_971);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2276),
						BINT(BgL_yz00_2277));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1254 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1254zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3402, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3403,
		obj_t BgL_nz00_3404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_962;
				int BgL_nz00_963;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4638;

					BgL_ez00_962 = BgL_ez00_3403;
					BgL_nz00_963 = CINT(BgL_nz00_3404);
					{	/* Eval/evaluate_fsize.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1502z00_2270;
						long BgL_arg1503z00_2271;

						BgL_arg1502z00_2270 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_962))->BgL_bodyz00);
						BgL_arg1503z00_2271 = ((long) (BgL_nz00_963) + ((long) 1));
						BgL_auxz00_4638 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1502z00_2270,
							(int) (BgL_arg1503z00_2271));
					}
					return BINT(BgL_auxz00_4638);
				}
			}
		}
	}



/* &fsize-ev_hook1252 */
	obj_t BGl_z62fsiza7ezd2ev_hook1252z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3405, BgL_ev_hookz00_bglt BgL_ez00_3406, obj_t BgL_nz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_955;
				int BgL_nz00_956;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4646;

					BgL_ez00_955 = BgL_ez00_3406;
					BgL_nz00_956 = CINT(BgL_nz00_3407);
					BgL_auxz00_4646 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_955))->BgL_ez00),
						BgL_nz00_956);
					return BINT(BgL_auxz00_4646);
				}
			}
		}
	}



/* &fsize-ev_prog21250 */
	obj_t BGl_z62fsiza7ezd2ev_prog21250z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3408, BgL_ev_prog2z00_bglt BgL_ez00_3409, obj_t BgL_nz00_3410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_945;
				int BgL_nz00_946;

				BgL_ez00_945 = BgL_ez00_3409;
				BgL_nz00_946 = CINT(BgL_nz00_3410);
				{	/* Eval/evaluate_fsize.scm 92 */
					int BgL_xz00_2263;
					int BgL_yz00_2264;

					BgL_xz00_2263 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_945))->BgL_e1z00),
						BgL_nz00_946);
					BgL_yz00_2264 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_945))->BgL_e2z00), BgL_nz00_946);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2263),
						BINT(BgL_yz00_2264));
				}
			}
		}
	}



/* &fsize-ev_list1248 */
	obj_t BGl_z62fsiza7ezd2ev_list1248z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3411, BgL_ev_listz00_bglt BgL_ez00_3412, obj_t BgL_nz00_3413)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_927;
				int BgL_nz00_928;

				BgL_ez00_927 = BgL_ez00_3412;
				BgL_nz00_928 = CINT(BgL_nz00_3413);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1493z00_933;

					BgL_arg1493z00_933 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_927))->BgL_argsz00);
					{
						obj_t BgL_lz00_2244;
						obj_t BgL_rz00_2245;

						BgL_lz00_2244 = BgL_arg1493z00_933;
						BgL_rz00_2245 = BINT(BgL_nz00_928);
					BgL_recz00_2243:
						if (NULLP(BgL_lz00_2244))
							{	/* Eval/evaluate_fsize.scm 86 */
								return BgL_rz00_2245;
							}
						else
							{	/* Eval/evaluate_fsize.scm 86 */
								obj_t BgL_arg1496z00_2253;
								obj_t BgL_arg1497z00_2254;

								BgL_arg1496z00_2253 = CDR(BgL_lz00_2244);
								{	/* Eval/evaluate_fsize.scm 86 */
									int BgL_yz00_2256;

									{	/* Eval/evaluate_fsize.scm 86 */
										obj_t BgL_arg1498z00_2257;

										BgL_arg1498z00_2257 = CAR(BgL_lz00_2244);
										BgL_yz00_2256 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1498z00_2257),
											BgL_nz00_928);
									}
									BgL_arg1497z00_2254 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2245,
										BINT(BgL_yz00_2256));
								}
								{
									obj_t BgL_rz00_4669;
									obj_t BgL_lz00_4668;

									BgL_lz00_4668 = BgL_arg1496z00_2253;
									BgL_rz00_4669 = BgL_arg1497z00_2254;
									BgL_rz00_2245 = BgL_rz00_4669;
									BgL_lz00_2244 = BgL_lz00_4668;
									goto BgL_recz00_2243;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1246 */
	obj_t BGl_z62fsiza7ezd2ev_if1246z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3414, BgL_ev_ifz00_bglt BgL_ez00_3415, obj_t BgL_nz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_914;
				int BgL_nz00_915;

				BgL_ez00_914 = BgL_ez00_3415;
				BgL_nz00_915 = CINT(BgL_nz00_3416);
				{	/* Eval/evaluate_fsize.scm 81 */
					int BgL_arg1486z00_2214;
					obj_t BgL_arg1487z00_2215;

					BgL_arg1486z00_2214 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_914))->BgL_pz00), BgL_nz00_915);
					{	/* Eval/evaluate_fsize.scm 81 */
						int BgL_xz00_2217;
						int BgL_yz00_2218;

						BgL_xz00_2217 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_914))->BgL_tz00),
							BgL_nz00_915);
						BgL_yz00_2218 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_914))->BgL_ez00), BgL_nz00_915);
						BgL_arg1487z00_2215 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2217),
							BINT(BgL_yz00_2218));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1486z00_2214),
						BgL_arg1487z00_2215);
				}
			}
		}
	}



/* &fsize-ev_litt1244 */
	obj_t BGl_z62fsiza7ezd2ev_litt1244z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3417, BgL_ev_littz00_bglt BgL_ez00_3418, obj_t BgL_nz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3419));
		}
	}



/* &fsize-ev_global1242 */
	obj_t BGl_z62fsiza7ezd2ev_global1242z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3420, BgL_ev_globalz00_bglt BgL_varz00_3421, obj_t BgL_nz00_3422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3422));
		}
	}



/* &fsize-ev_var1240 */
	obj_t BGl_z62fsiza7ezd2ev_var1240z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3423, BgL_ev_varz00_bglt BgL_ez00_3424, obj_t BgL_nz00_3425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3425));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2225z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
