/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.8c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:11:19 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2641z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2483z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2488z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2576z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2497z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31888ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2587z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2591z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2597z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31611ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31509ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31623ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31563ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31467ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31590ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2046z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2047z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31672ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31656ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31479ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31755ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31828ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31683ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32002ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31847ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2420z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2503z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2341z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2343z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2508z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2347z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2429z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2349z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_prog2z00_bglt BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2433z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2354z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2360z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2365z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2369z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31875ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2612z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2454z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2617z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2459z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31698ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2627z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2546z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2629z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2470z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2637z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2556z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2402z00zz__evaluate_typesz00,
		BgL_bgl_string2402za700za7za7_2652za7, "p", 1);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2653za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1577za7622654z00,
		BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72655za7,
		BGl_z62zc3anonymousza31563ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622656z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2411z00zz__evaluate_typesz00,
		BgL_bgl_string2411za700za7za7_2657za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1558za7622658z00,
		BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1596za7622659z00,
		BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1595za7622660z00,
		BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2416z00zz__evaluate_typesz00,
		BgL_bgl_string2416za700za7za7_2661za7, "ev_list", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72662za7,
		BGl_z62zc3anonymousza31590ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622663z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1586za7622664z00,
		BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2421z00zz__evaluate_typesz00,
		BgL_bgl_string2421za700za7za7_2665za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2504z00zz__evaluate_typesz00,
		BgL_bgl_string2504za700za7za7_2666za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72667za7,
		BGl_z62zc3anonymousza31611ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2342z00zz__evaluate_typesz00,
		BgL_bgl_string2342za700za7za7_2668za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1609za7622669z00,
		BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622670z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2344z00zz__evaluate_typesz00,
		BgL_bgl_string2344za700za7za7_2671za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72672za7,
		BGl_z62zc3anonymousza31467ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2426z00zz__evaluate_typesz00,
		BgL_bgl_string2426za700za7za7_2673za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1465za7622674z00,
		BGl_z62lambda1465z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2509z00zz__evaluate_typesz00,
		BgL_bgl_string2509za700za7za7_2675za7, "ev_with-handler", 15);
	      DEFINE_STRING(BGl_string2348z00zz__evaluate_typesz00,
		BgL_bgl_string2348za700za7za7_2676za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622677z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1785za7622678z00,
		BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622679z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1463za7622680z00,
		BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72681za7,
		BGl_z62zc3anonymousza31623ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1621za7622682z00,
		BGl_z62lambda1621z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72683za7,
		BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2430z00zz__evaluate_typesz00,
		BgL_bgl_string2430za700za7za7_2684za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1619za7622685z00,
		BGl_z62lambda1619z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1773za7622686z00,
		BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2350z00zz__evaluate_typesz00,
		BgL_bgl_string2350za700za7za7_2687za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622688z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622689z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1639za7622690z00,
		BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1484za7622691z00,
		BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2515z00zz__evaluate_typesz00,
		BgL_bgl_string2515za700za7za7_2692za7, "vals", 4);
	      DEFINE_STRING(BGl_string2434z00zz__evaluate_typesz00,
		BgL_bgl_string2434za700za7za7_2693za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1638za7622694z00,
		BGl_z62lambda1638z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2355z00zz__evaluate_typesz00,
		BgL_bgl_string2355za700za7za7_2695za7, "eff", 3);
	      DEFINE_STRING(BGl_string2519z00zz__evaluate_typesz00,
		BgL_bgl_string2519za700za7za7_2696za7, "vars", 4);
	      DEFINE_STRING(BGl_string2439z00zz__evaluate_typesz00,
		BgL_bgl_string2439za700za7za7_2697za7, "ev_prog2", 8);
	      DEFINE_STRING(BGl_string2359z00zz__evaluate_typesz00,
		BgL_bgl_string2359za700za7za7_2698za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1800za7622699z00,
		BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1799za7622700z00,
		BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1805za7622701z00,
		BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1644za7622702z00,
		BGl_z62lambda1644z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1804za7622703z00,
		BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622704z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72705za7,
		BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1492za7622706z00,
		BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1491za7622707z00,
		BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1811za7622708z00,
		BGl_z62lambda1811z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72709za7,
		BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1810za7622710z00,
		BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1631za7622711z00,
		BGl_z62lambda1631z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2361z00zz__evaluate_typesz00,
		BgL_bgl_string2361za700za7za7_2712za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2713za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2524z00zz__evaluate_typesz00,
		BgL_bgl_string2524za700za7za7_2714za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1629za7622715z00,
		BGl_z62lambda1629z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1499za7622716z00,
		BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1498za7622717z00,
		BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2446z00zz__evaluate_typesz00,
		BgL_bgl_string2446za700za7za7_2718za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2366z00zz__evaluate_typesz00,
		BgL_bgl_string2366za700za7za7_2719za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2529z00zz__evaluate_typesz00,
		BgL_bgl_string2529za700za7za7_2720za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1967za7622721z00,
		BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72722za7,
		BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72723za7,
		BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622724z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622725z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1661za7622726z00,
		BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1944za7622727z00,
		BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622728z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1660za7622729z00,
		BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72730za7,
		BGl_z62zc3anonymousza31656ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1653za7622731z00,
		BGl_z62lambda1653z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72732za7,
		BGl_z62zc3anonymousza31479ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72733za7,
		BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72734za7,
		BGl_z62zc3anonymousza31828ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1651za7622735z00,
		BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1477za7622736z00,
		BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2613z00zz__evaluate_typesz00,
		BgL_bgl_string2613za700za7za7_2737za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622738z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1827za7622739z00,
		BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2451z00zz__evaluate_typesz00,
		BgL_bgl_string2451za700za7za7_2740za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2370z00zz__evaluate_typesz00,
		BgL_bgl_string2370za700za7za7_2741za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1475za7622742z00,
		BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622743z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1826za7622744z00,
		BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72745za7,
		BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2534z00zz__evaluate_typesz00,
		BgL_bgl_string2534za700za7za7_2746za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72747za7,
		BGl_z62zc3anonymousza31672ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1670za7622748z00,
		BGl_z62lambda1670z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1516za7622749z00,
		BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2455z00zz__evaluate_typesz00,
		BgL_bgl_string2455za700za7za7_2750za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1668za7622751z00,
		BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1515za7622752z00,
		BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2618z00zz__evaluate_typesz00,
		BgL_bgl_string2618za700za7za7_2753za7, "free", 4);
	      DEFINE_STRING(BGl_string2376z00zz__evaluate_typesz00,
		BgL_bgl_string2376za700za7za7_2754za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622755z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622756z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72757za7,
		BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1819za7622758z00,
		BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622759z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72760za7,
		BGl_z62zc3anonymousza32002ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622761z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1521za7622762z00,
		BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2001za7622763z00,
		BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1687za7622764z00,
		BGl_z62lambda1687z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1520za7622765z00,
		BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2000za7622766z00,
		BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72767za7,
		BGl_z62zc3anonymousza31847ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2460z00zz__evaluate_typesz00,
		BgL_bgl_string2460za700za7za7_2768za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1528za7622769z00,
		BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2623z00zz__evaluate_typesz00,
		BgL_bgl_string2623za700za7za7_2770za7, "bind", 4);
	      DEFINE_STRING(BGl_string2542z00zz__evaluate_typesz00,
		BgL_bgl_string2542za700za7za7_2771za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1846za7622772z00,
		BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1527za7622773z00,
		BGl_z62lambda1527z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622774z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72775za7,
		BGl_z62zc3anonymousza31683ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2381z00zz__evaluate_typesz00,
		BgL_bgl_string2381za700za7za7_2776za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72777za7,
		BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72778za7,
		BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1681za7622779z00,
		BGl_z62lambda1681z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622780z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1679za7622781z00,
		BGl_z62lambda1679z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72782za7,
		BGl_z62zc3anonymousza31509ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1507za7622783z00,
		BGl_z62lambda1507z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2628z00zz__evaluate_typesz00,
		BgL_bgl_string2628za700za7za7_2784za7, "size", 4);
	      DEFINE_STRING(BGl_string2547z00zz__evaluate_typesz00,
		BgL_bgl_string2547za700za7za7_2785za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2385z00zz__evaluate_typesz00,
		BgL_bgl_string2385za700za7za7_2786za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1505za7622787z00,
		BGl_z62lambda1505z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2010za7622788z00,
		BGl_z62lambda2010z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2009za7622789z00,
		BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1834za7622790z00,
		BGl_z62lambda1834z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1703za7622791z00,
		BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2630z00zz__evaluate_typesz00,
		BgL_bgl_string2630za700za7za7_2792za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72793za7,
		BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72794za7,
		BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622795z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622796z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1855za7622797z00,
		BGl_z62lambda1855z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1708za7622798z00,
		BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1552za7622799z00,
		BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2016za7622800z00,
		BGl_z62lambda2016z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1853za7622801z00,
		BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1707za7622802z00,
		BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622803z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2471z00zz__evaluate_typesz00,
		BgL_bgl_string2471za700za7za7_2804za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1713za7622805z00,
		BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2390z00zz__evaluate_typesz00,
		BgL_bgl_string2390za700za7za7_2806za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1712za7622807z00,
		BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72808za7,
		BGl_z62zc3anonymousza31875ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72809za7,
		BGl_z62zc3anonymousza31698ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72810za7,
		BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1874za7622811z00,
		BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1696za7622812z00,
		BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1540za7622813z00,
		BGl_z62lambda1540z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622814z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2394z00zz__evaluate_typesz00,
		BgL_bgl_string2394za700za7za7_2815za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1538za7622816z00,
		BGl_z62lambda1538z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2638z00zz__evaluate_typesz00,
		BgL_bgl_string2638za700za7za7_2817za7, "arity", 5);
	      DEFINE_STRING(BGl_string2557z00zz__evaluate_typesz00,
		BgL_bgl_string2557za700za7za7_2818za7, "stk", 3);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2819za7, "ev_defglobal", 12);
	      DEFINE_STRING(BGl_string2398z00zz__evaluate_typesz00,
		BgL_bgl_string2398za700za7za7_2820za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2025za7622821z00,
		BGl_z62lambda2025z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622822z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2024za7622823z00,
		BGl_z62lambda2024z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622824z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2031za7622825z00,
		BGl_z62lambda2031z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622826z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2030za7622827z00,
		BGl_z62lambda2030z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72828za7,
		BGl_z62zc3anonymousza31888ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72829za7,
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1568za7622830z00,
		BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2037za7622831z00,
		BGl_z62lambda2037z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1887za7622832z00,
		BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622833z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1567za7622834z00,
		BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2642z00zz__evaluate_typesz00,
		BgL_bgl_string2642za700za7za7_2835za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622836z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1886za7622837z00,
		BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2480z00zz__evaluate_typesz00,
		BgL_bgl_string2480za700za7za7_2838za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622839z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2840za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1573za7622841z00,
		BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622842z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72843za7,
		BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622844z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1572za7622845z00,
		BGl_z62lambda1572z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1894za7622846z00,
		BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2484z00zz__evaluate_typesz00,
		BgL_bgl_string2484za700za7za7_2847za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1738za7622848z00,
		BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1578za7622849z00,
		BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2649z00zz__evaluate_typesz00,
		BgL_bgl_string2649za700za7za7_2850za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string2489z00zz__evaluate_typesz00,
		BgL_bgl_string2489za700za7za7_2851za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2041za7622852z00,
		BGl_z62lambda2041z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1893za7622853z00,
		BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2047za7622854z00,
		BGl_z62lambda2047z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1744za7622855z00,
		BGl_z62lambda1744z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2046za7622856z00,
		BGl_z62lambda2046z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1900za7622857z00,
		BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1743za7622858z00,
		BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2651z00zz__evaluate_typesz00,
		BgL_bgl_string2651za700za7za7_2859za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72860za7,
		BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1899za7622861z00,
		BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622862z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2571z00zz__evaluate_typesz00,
		BgL_bgl_string2571za700za7za7_2863za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622864z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1976za7622865z00,
		BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1904za7622866z00,
		BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72867za7,
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72868za7,
		BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7622869z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1866za7622870z00,
		BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1729za7622871z00,
		BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1864za7622872z00,
		BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STRING(BGl_string2577z00zz__evaluate_typesz00,
		BgL_bgl_string2577za700za7za7_2873za7, "labels", 6);
	      DEFINE_STRING(BGl_string2498z00zz__evaluate_typesz00,
		BgL_bgl_string2498za700za7za7_2874za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622875z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1921za7622876z00,
		BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1759za7622877z00,
		BGl_z62lambda1759z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622878z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1765za7622879z00,
		BGl_z62lambda1765z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1927za7622880z00,
		BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1764za7622881z00,
		BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2581z00zz__evaluate_typesz00,
		BgL_bgl_string2581za700za7za7_2882za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1926za7622883z00,
		BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72884za7,
		BGl_z62zc3anonymousza31755ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1753za7622885z00,
		BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1750za7622886z00,
		BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1933za7622887z00,
		BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1932za7622888z00,
		BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1780za7622889z00,
		BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2588z00zz__evaluate_typesz00,
		BgL_bgl_string2588za700za7za7_2890za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622891z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1937za7622892z00,
		BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72893za7,
		BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622894z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2592z00zz__evaluate_typesz00,
		BgL_bgl_string2592za700za7za7_2895za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622896z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622897z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2598z00zz__evaluate_typesz00,
		BgL_bgl_string2598za700za7za7_2898za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622899z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622900z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622901z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622902z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622903z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1968za7622904z00,
		BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3816, char *BgL_fromz00_3817)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2341z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2342z00zz__evaluate_typesz00);
			BGl_symbol2343z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2344z00zz__evaluate_typesz00);
			BGl_symbol2347z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2348z00zz__evaluate_typesz00);
			BGl_symbol2349z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2350z00zz__evaluate_typesz00);
			BGl_symbol2354z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2355z00zz__evaluate_typesz00);
			BGl_symbol2358z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00);
			BGl_symbol2360z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2361z00zz__evaluate_typesz00);
			BGl_symbol2365z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2366z00zz__evaluate_typesz00);
			BGl_symbol2369z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2370z00zz__evaluate_typesz00);
			BGl_symbol2375z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00);
			BGl_symbol2380z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00);
			BGl_symbol2384z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00);
			BGl_symbol2389z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00);
			BGl_symbol2393z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00);
			BGl_symbol2397z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00);
			BGl_symbol2401z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2410z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00);
			BGl_symbol2415z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00);
			BGl_symbol2420z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2421z00zz__evaluate_typesz00);
			BGl_symbol2425z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00);
			BGl_symbol2429z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2430z00zz__evaluate_typesz00);
			BGl_symbol2433z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2434z00zz__evaluate_typesz00);
			BGl_symbol2438z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00);
			BGl_symbol2445z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00);
			BGl_symbol2450z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00);
			BGl_symbol2454z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2455z00zz__evaluate_typesz00);
			BGl_symbol2459z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2460z00zz__evaluate_typesz00);
			BGl_symbol2470z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2471z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2479z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00);
			BGl_symbol2483z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2484z00zz__evaluate_typesz00);
			BGl_symbol2488z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2489z00zz__evaluate_typesz00);
			BGl_symbol2497z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2498z00zz__evaluate_typesz00);
			BGl_symbol2503z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2504z00zz__evaluate_typesz00);
			BGl_symbol2508z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2509z00zz__evaluate_typesz00);
			BGl_symbol2514z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00);
			BGl_symbol2518z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00);
			BGl_symbol2523z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00);
			BGl_symbol2528z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00);
			BGl_symbol2533z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00);
			BGl_symbol2541z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00);
			BGl_symbol2546z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2547z00zz__evaluate_typesz00);
			BGl_symbol2556z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2557z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2570z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00);
			BGl_symbol2576z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2577z00zz__evaluate_typesz00);
			BGl_symbol2580z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00);
			BGl_symbol2587z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2588z00zz__evaluate_typesz00);
			BGl_symbol2591z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2592z00zz__evaluate_typesz00);
			BGl_symbol2597z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2598z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2612z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2613z00zz__evaluate_typesz00);
			BGl_symbol2617z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2618z00zz__evaluate_typesz00);
			BGl_symbol2622z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00);
			BGl_symbol2627z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2628z00zz__evaluate_typesz00);
			BGl_symbol2629z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2630z00zz__evaluate_typesz00);
			BGl_symbol2637z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2638z00zz__evaluate_typesz00);
			BGl_symbol2641z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluate_typesz00);
			BGl_symbol2648z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00);
			return (BGl_symbol2650z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1461z00_613;
				obj_t BgL_arg1462z00_614;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1364z00_624;

					BgL_v1364z00_624 = create_vector((int) (((long) 0)));
					BgL_arg1461z00_613 = BgL_v1364z00_624;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1365z00_625;

					BgL_v1365z00_625 = create_vector((int) (((long) 0)));
					BgL_arg1462z00_614 = BgL_v1365z00_625;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2341z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2340z00zz__evaluate_typesz00,
					BGl_proc2339z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2338z00zz__evaluate_typesz00, BFALSE, BgL_arg1461z00_613,
					BgL_arg1462z00_614);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1472z00_632;
				obj_t BgL_arg1474z00_633;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1366z00_646;

					BgL_v1366z00_646 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1366z00_646,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2347z00zz__evaluate_typesz00,
							BGl_proc2346z00zz__evaluate_typesz00,
							BGl_proc2345z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1366z00_646, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2354z00zz__evaluate_typesz00,
							BGl_proc2353z00zz__evaluate_typesz00,
							BGl_proc2352z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2351z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1366z00_646, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2358z00zz__evaluate_typesz00,
							BGl_proc2357z00zz__evaluate_typesz00,
							BGl_proc2356z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2360z00zz__evaluate_typesz00));
					BgL_arg1472z00_632 = BgL_v1366z00_646;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1367z00_686;

					BgL_v1367z00_686 = create_vector((int) (((long) 0)));
					BgL_arg1474z00_633 = BgL_v1367z00_686;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2365z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2364z00zz__evaluate_typesz00,
					BGl_proc2363z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2362z00zz__evaluate_typesz00, BFALSE, BgL_arg1472z00_632,
					BgL_arg1474z00_633);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1503z00_693;
				obj_t BgL_arg1504z00_694;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1368z00_707;

					BgL_v1368z00_707 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1368z00_707,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2369z00zz__evaluate_typesz00,
							BGl_proc2368z00zz__evaluate_typesz00,
							BGl_proc2367z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1368z00_707, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2358z00zz__evaluate_typesz00,
							BGl_proc2372z00zz__evaluate_typesz00,
							BGl_proc2371z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2360z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1368z00_707, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2374z00zz__evaluate_typesz00,
							BGl_proc2373z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1503z00_693 = BgL_v1368z00_707;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1369z00_744;

					BgL_v1369z00_744 = create_vector((int) (((long) 0)));
					BgL_arg1504z00_694 = BgL_v1369z00_744;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2380z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2379z00zz__evaluate_typesz00,
					BGl_proc2378z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2377z00zz__evaluate_typesz00, BFALSE, BgL_arg1503z00_693,
					BgL_arg1504z00_694);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1536z00_751;
				obj_t BgL_arg1537z00_752;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1370z00_763;

					BgL_v1370z00_763 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1370z00_763,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2384z00zz__evaluate_typesz00,
							BGl_proc2383z00zz__evaluate_typesz00,
							BGl_proc2382z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1536z00_751 = BgL_v1370z00_763;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1371z00_776;

					BgL_v1371z00_776 = create_vector((int) (((long) 0)));
					BgL_arg1537z00_752 = BgL_v1371z00_776;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2388z00zz__evaluate_typesz00,
					BGl_proc2387z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2386z00zz__evaluate_typesz00, BFALSE, BgL_arg1536z00_751,
					BgL_arg1537z00_752);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1556z00_783;
				obj_t BgL_arg1557z00_784;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1372z00_797;

					BgL_v1372z00_797 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1372z00_797,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_797, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2397z00zz__evaluate_typesz00,
							BGl_proc2396z00zz__evaluate_typesz00,
							BGl_proc2395z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_797, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2401z00zz__evaluate_typesz00,
							BGl_proc2400z00zz__evaluate_typesz00,
							BGl_proc2399z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1556z00_783 = BgL_v1372z00_797;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1373z00_834;

					BgL_v1373z00_834 = create_vector((int) (((long) 0)));
					BgL_arg1557z00_784 = BgL_v1373z00_834;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2406z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2405z00zz__evaluate_typesz00,
					BGl_proc2404z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1556z00_783,
					BgL_arg1557z00_784);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1584z00_841;
				obj_t BgL_arg1585z00_842;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1374z00_853;

					BgL_v1374z00_853 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1374z00_853,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2409z00zz__evaluate_typesz00,
							BGl_proc2408z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1584z00_841 = BgL_v1374z00_853;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1375z00_866;

					BgL_v1375z00_866 = create_vector((int) (((long) 0)));
					BgL_arg1585z00_842 = BgL_v1375z00_866;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2415z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2414z00zz__evaluate_typesz00,
					BGl_proc2413z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2412z00zz__evaluate_typesz00, BFALSE, BgL_arg1584z00_841,
					BgL_arg1585z00_842);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1603z00_873;
				obj_t BgL_arg1605z00_874;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1376z00_885;

					BgL_v1376z00_885 = create_vector((int) (((long) 0)));
					BgL_arg1603z00_873 = BgL_v1376z00_885;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1377z00_886;

					BgL_v1377z00_886 = create_vector((int) (((long) 0)));
					BgL_arg1605z00_874 = BgL_v1377z00_886;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2420z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2419z00zz__evaluate_typesz00,
					BGl_proc2418z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2417z00zz__evaluate_typesz00, BFALSE, BgL_arg1603z00_873,
					BgL_arg1605z00_874);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1615z00_893;
				obj_t BgL_arg1618z00_894;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1378z00_905;

					BgL_v1378z00_905 = create_vector((int) (((long) 0)));
					BgL_arg1615z00_893 = BgL_v1378z00_905;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1379z00_906;

					BgL_v1379z00_906 = create_vector((int) (((long) 0)));
					BgL_arg1618z00_894 = BgL_v1379z00_906;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2425z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2424z00zz__evaluate_typesz00,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2422z00zz__evaluate_typesz00, BFALSE, BgL_arg1615z00_893,
					BgL_arg1618z00_894);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1627z00_913;
				obj_t BgL_arg1628z00_914;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1380z00_926;

					BgL_v1380z00_926 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1380z00_926,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2429z00zz__evaluate_typesz00,
							BGl_proc2428z00zz__evaluate_typesz00,
							BGl_proc2427z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1380z00_926, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2433z00zz__evaluate_typesz00,
							BGl_proc2432z00zz__evaluate_typesz00,
							BGl_proc2431z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1627z00_913 = BgL_v1380z00_926;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1381z00_951;

					BgL_v1381z00_951 = create_vector((int) (((long) 0)));
					BgL_arg1628z00_914 = BgL_v1381z00_951;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2438z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2437z00zz__evaluate_typesz00,
					BGl_proc2436z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BgL_arg1627z00_913,
					BgL_arg1628z00_914);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1649z00_958;
				obj_t BgL_arg1650z00_959;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1382z00_970;

					BgL_v1382z00_970 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1382z00_970,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2441z00zz__evaluate_typesz00,
							BGl_proc2440z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1649z00_958 = BgL_v1382z00_970;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1383z00_983;

					BgL_v1383z00_983 = create_vector((int) (((long) 0)));
					BgL_arg1650z00_959 = BgL_v1383z00_983;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2445z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2444z00zz__evaluate_typesz00,
					BGl_proc2443z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2442z00zz__evaluate_typesz00, BFALSE, BgL_arg1649z00_958,
					BgL_arg1650z00_959);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1666z00_990;
				obj_t BgL_arg1667z00_991;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1384z00_1002;

					BgL_v1384z00_1002 = create_vector((int) (((long) 0)));
					BgL_arg1666z00_990 = BgL_v1384z00_1002;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1385z00_1003;

					BgL_v1385z00_1003 = create_vector((int) (((long) 0)));
					BgL_arg1667z00_991 = BgL_v1385z00_1003;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2449z00zz__evaluate_typesz00,
					BGl_proc2448z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2447z00zz__evaluate_typesz00, BFALSE, BgL_arg1666z00_990,
					BgL_arg1667z00_991);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1676z00_1010;
				obj_t BgL_arg1678z00_1011;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1386z00_1023;

					BgL_v1386z00_1023 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1386z00_1023,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1676z00_1010 = BgL_v1386z00_1023;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1387z00_1036;

					BgL_v1387z00_1036 = create_vector((int) (((long) 0)));
					BgL_arg1678z00_1011 = BgL_v1387z00_1036;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2459z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2458z00zz__evaluate_typesz00,
					BGl_proc2457z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2456z00zz__evaluate_typesz00, BFALSE, BgL_arg1676z00_1010,
					BgL_arg1678z00_1011);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1692z00_1043;
				obj_t BgL_arg1693z00_1044;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1388z00_1058;

					BgL_v1388z00_1058 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1388z00_1058,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2369z00zz__evaluate_typesz00,
							BGl_proc2462z00zz__evaluate_typesz00,
							BGl_proc2461z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_1058, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2358z00zz__evaluate_typesz00,
							BGl_proc2464z00zz__evaluate_typesz00,
							BGl_proc2463z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2360z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_1058, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2466z00zz__evaluate_typesz00,
							BGl_proc2465z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1692z00_1043 = BgL_v1388z00_1058;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1389z00_1095;

					BgL_v1389z00_1095 = create_vector((int) (((long) 0)));
					BgL_arg1693z00_1044 = BgL_v1389z00_1095;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2470z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2469z00zz__evaluate_typesz00,
					BGl_proc2468z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2467z00zz__evaluate_typesz00, BFALSE, BgL_arg1692z00_1043,
					BgL_arg1693z00_1044);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1717z00_1102;
				obj_t BgL_arg1718z00_1103;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1390z00_1117;

					BgL_v1390z00_1117 = create_vector((int) (((long) 0)));
					BgL_arg1717z00_1102 = BgL_v1390z00_1117;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1391z00_1118;

					BgL_v1391z00_1118 = create_vector((int) (((long) 0)));
					BgL_arg1718z00_1103 = BgL_v1391z00_1118;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2475z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2474z00zz__evaluate_typesz00,
					BGl_proc2473z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2472z00zz__evaluate_typesz00, BFALSE, BgL_arg1717z00_1102,
					BgL_arg1718z00_1103);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1727z00_1125;
				obj_t BgL_arg1728z00_1126;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1392z00_1138;

					BgL_v1392z00_1138 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1392z00_1138,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00,
							BGl_proc2477z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_1138, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2483z00zz__evaluate_typesz00,
							BGl_proc2482z00zz__evaluate_typesz00,
							BGl_proc2481z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1727z00_1125 = BgL_v1392z00_1138;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1393z00_1163;

					BgL_v1393z00_1163 = create_vector((int) (((long) 0)));
					BgL_arg1728z00_1126 = BgL_v1393z00_1163;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2488z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2487z00zz__evaluate_typesz00,
					BGl_proc2486z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2485z00zz__evaluate_typesz00, BFALSE, BgL_arg1727z00_1125,
					BgL_arg1728z00_1126);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1748z00_1170;
				obj_t BgL_arg1749z00_1171;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1394z00_1183;

					BgL_v1394z00_1183 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1394z00_1183,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2491z00zz__evaluate_typesz00,
							BGl_proc2490z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1394z00_1183, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1748z00_1170 = BgL_v1394z00_1183;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1395z00_1208;

					BgL_v1395z00_1208 = create_vector((int) (((long) 0)));
					BgL_arg1749z00_1171 = BgL_v1395z00_1208;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2497z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2496z00zz__evaluate_typesz00,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE, BgL_arg1748z00_1170,
					BgL_arg1749z00_1171);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1769z00_1215;
				obj_t BgL_arg1770z00_1216;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1396z00_1228;

					BgL_v1396z00_1228 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1396z00_1228,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1396z00_1228, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2503z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00,
							BGl_proc2501z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1769z00_1215 = BgL_v1396z00_1228;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1397z00_1253;

					BgL_v1397z00_1253 = create_vector((int) (((long) 0)));
					BgL_arg1770z00_1216 = BgL_v1397z00_1253;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2508z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2507z00zz__evaluate_typesz00,
					BGl_proc2506z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2505z00zz__evaluate_typesz00, BFALSE, BgL_arg1769z00_1215,
					BgL_arg1770z00_1216);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1789z00_1260;
				obj_t BgL_arg1790z00_1261;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1398z00_1274;

					BgL_v1398z00_1274 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1398z00_1274,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2511z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1398z00_1274, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2514z00zz__evaluate_typesz00,
							BGl_proc2513z00zz__evaluate_typesz00,
							BGl_proc2512z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1398z00_1274, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2518z00zz__evaluate_typesz00,
							BGl_proc2517z00zz__evaluate_typesz00,
							BGl_proc2516z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1789z00_1260 = BgL_v1398z00_1274;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1399z00_1311;

					BgL_v1399z00_1311 = create_vector((int) (((long) 0)));
					BgL_arg1790z00_1261 = BgL_v1399z00_1311;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2523z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2522z00zz__evaluate_typesz00,
					BGl_proc2521z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1789z00_1260,
					BgL_arg1790z00_1261);
			}
			{	/* Eval/evaluate_types.scm 96 */
				obj_t BgL_arg1815z00_1318;
				obj_t BgL_arg1816z00_1319;

				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1400z00_1333;

					BgL_v1400z00_1333 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1400z00_1333,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00,
							BGl_proc2526z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2525z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1815z00_1318 = BgL_v1400z00_1333;
				}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1401z00_1349;

					BgL_v1401z00_1349 = create_vector((int) (((long) 0)));
					BgL_arg1816z00_1319 = BgL_v1401z00_1349;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2533z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2532z00zz__evaluate_typesz00,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1815z00_1318,
					BgL_arg1816z00_1319);
			}
			{	/* Eval/evaluate_types.scm 98 */
				obj_t BgL_arg1832z00_1356;
				obj_t BgL_arg1833z00_1357;

				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1402z00_1371;

					BgL_v1402z00_1371 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1402z00_1371,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00,
							BGl_proc2536z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2535z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1832z00_1356 = BgL_v1402z00_1371;
				}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1403z00_1387;

					BgL_v1403z00_1387 = create_vector((int) (((long) 0)));
					BgL_arg1833z00_1357 = BgL_v1403z00_1387;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2541z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2540z00zz__evaluate_typesz00,
					BGl_proc2539z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1832z00_1356,
					BgL_arg1833z00_1357);
			}
			{	/* Eval/evaluate_types.scm 100 */
				obj_t BgL_arg1851z00_1394;
				obj_t BgL_arg1852z00_1395;

				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1404z00_1408;

					BgL_v1404z00_1408 = create_vector((int) (((long) 0)));
					BgL_arg1851z00_1394 = BgL_v1404z00_1408;
				}
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1405z00_1409;

					BgL_v1405z00_1409 = create_vector((int) (((long) 0)));
					BgL_arg1852z00_1395 = BgL_v1405z00_1409;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2546z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2545z00zz__evaluate_typesz00,
					BGl_proc2544z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2543z00zz__evaluate_typesz00, BFALSE, BgL_arg1851z00_1394,
					BgL_arg1852z00_1395);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1862z00_1416;
				obj_t BgL_arg1863z00_1417;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1406z00_1433;

					BgL_v1406z00_1433 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1406z00_1433,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2550z00zz__evaluate_typesz00,
							BGl_proc2549z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2548z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1433, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1433, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2556z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00,
							BGl_proc2554z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2553z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1433, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2558z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1433, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2514z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00,
							BGl_proc2563z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1433, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2518z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1862z00_1416 = BgL_v1406z00_1433;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1407z00_1515;

					BgL_v1407z00_1515 = create_vector((int) (((long) 0)));
					BgL_arg1863z00_1417 = BgL_v1407z00_1515;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2570z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2569z00zz__evaluate_typesz00,
					BGl_proc2568z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2567z00zz__evaluate_typesz00, BFALSE, BgL_arg1862z00_1416,
					BgL_arg1863z00_1417);
			}
			{	/* Eval/evaluate_types.scm 109 */
				obj_t BgL_arg1910z00_1522;
				obj_t BgL_arg1911z00_1523;

				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1408z00_1537;

					BgL_v1408z00_1537 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1408z00_1537,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1537, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2575z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1537, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2580z00zz__evaluate_typesz00,
							BGl_proc2579z00zz__evaluate_typesz00,
							BGl_proc2578z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1537, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1910z00_1522 = BgL_v1408z00_1537;
				}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1409z00_1586;

					BgL_v1409z00_1586 = create_vector((int) (((long) 0)));
					BgL_arg1911z00_1523 = BgL_v1409z00_1586;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2587z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2586z00zz__evaluate_typesz00,
					BGl_proc2585z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2584z00zz__evaluate_typesz00, BFALSE, BgL_arg1910z00_1522,
					BgL_arg1911z00_1523);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1942z00_1593;
				obj_t BgL_arg1943z00_1594;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1410z00_1608;

					BgL_v1410z00_1608 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1410z00_1608,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1608, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2594z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1608, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2597z00zz__evaluate_typesz00,
							BGl_proc2596z00zz__evaluate_typesz00,
							BGl_proc2595z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1608, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1942z00_1593 = BgL_v1410z00_1608;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1411z00_1657;

					BgL_v1411z00_1657 = create_vector((int) (((long) 0)));
					BgL_arg1943z00_1594 = BgL_v1411z00_1657;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2604z00zz__evaluate_typesz00,
					BGl_symbol2343z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2603z00zz__evaluate_typesz00,
					BGl_proc2602z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1942z00_1593,
					BgL_arg1943z00_1594);
			}
			{	/* Eval/evaluate_types.scm 117 */
				obj_t BgL_arg1973z00_1664;
				obj_t BgL_arg1975z00_1665;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1412z00_1685;

					BgL_v1412z00_1685 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1412z00_1685,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2606z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2612z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2609z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2617z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00,
							BGl_proc2615z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2614z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2619z00zz__evaluate_typesz00,
							BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2624z00zz__evaluate_typesz00,
							BGl_symbol2629z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2518z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00,
							BGl_proc2633z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2637z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2641z00zz__evaluate_typesz00,
							BGl_proc2640z00zz__evaluate_typesz00,
							BGl_proc2639z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1685, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00));
					BgL_arg1973z00_1664 = BgL_v1412z00_1685;
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1413z00_1821;

					BgL_v1413z00_1821 = create_vector((int) (((long) 0)));
					BgL_arg1975z00_1665 = BgL_v1413z00_1821;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2648z00zz__evaluate_typesz00,
						BGl_symbol2343z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2647z00zz__evaluate_typesz00,
						BGl_proc2646z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2645z00zz__evaluate_typesz00, BFALSE, BgL_arg1973z00_1664,
						BgL_arg1975z00_1665), BUNSPEC);
		}}
	}



/* &<anonymous:1980> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3211, obj_t BgL_new1185z00_3212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_absz00_bglt BgL_new1185z00_1683;

				BgL_new1185z00_1683 = ((BgL_ev_absz00_bglt) BgL_new1185z00_3212);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4173;

					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_classz00_2815;

						BgL_classz00_2815 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL__ortest_1363z00_2816;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_vectorz00_2817;
								int BgL_kz00_2818;

								BgL_vectorz00_2817 = BgL_classz00_2815;
								BgL_kz00_2818 = (int) (((long) 17));
								BgL__ortest_1363z00_2816 =
									VECTOR_REF(BgL_vectorz00_2817, BgL_kz00_2818);
							}
							if (CBOOL(BgL__ortest_1363z00_2816))
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4173 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2816);
								}
							else
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4173 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2815));
								}
						}
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4173), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1683))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1185z00_1683;
			}
		}
	}



/* &lambda1978 */
	BgL_ev_absz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{

				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1184z00_1681;

					BgL_new1184z00_1681 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 117 */
						long BgL_arg1979z00_1682;

						{	/* Eval/evaluate_types.scm 117 */
							long BgL_res2307z00_2812;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_classz00_2809;

								BgL_classz00_2809 = BGl_ev_absz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_vectorz00_2810;
									int BgL_kz00_2811;

									BgL_vectorz00_2810 = BgL_classz00_2809;
									BgL_kz00_2811 = (int) (((long) 1));
									BgL_res2307z00_2812 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2810, BgL_kz00_2811));
							}}
							BgL_arg1979z00_1682 = BgL_res2307z00_2812;
						}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_objz00_2813;

							BgL_objz00_2813 = ((BgL_objectz00_bglt) BgL_new1184z00_1681);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2813, BgL_arg1979z00_1682);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_auxz00_4195;

						BgL_auxz00_4195 = ((BgL_objectz00_bglt) BgL_new1184z00_1681);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4195, BFALSE);
					}
					return BgL_new1184z00_1681;
				}
			}
		}
	}



/* &lambda1976 */
	BgL_ev_absz00_bglt BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3214, obj_t BgL_loc1174z00_3215, obj_t BgL_where1175z00_3216,
		obj_t BgL_arity1176z00_3217, obj_t BgL_vars1177z00_3218,
		obj_t BgL_body1178z00_3219, obj_t BgL_siza7e1179za7_3220,
		obj_t BgL_bind1180z00_3221, obj_t BgL_free1181z00_3222,
		obj_t BgL_inner1182z00_3223, obj_t BgL_boxes1183z00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				obj_t BgL_loc1174z00_1666;
				obj_t BgL_where1175z00_1667;
				obj_t BgL_arity1176z00_1668;
				obj_t BgL_vars1177z00_1669;
				BgL_ev_exprz00_bglt BgL_body1178z00_1670;
				int BgL_siza7e1179za7_1671;
				obj_t BgL_bind1180z00_1672;
				obj_t BgL_free1181z00_1673;
				obj_t BgL_inner1182z00_1674;
				obj_t BgL_boxes1183z00_1675;

				BgL_loc1174z00_1666 = BgL_loc1174z00_3215;
				BgL_where1175z00_1667 = BgL_where1175z00_3216;
				BgL_arity1176z00_1668 = BgL_arity1176z00_3217;
				BgL_vars1177z00_1669 = BgL_vars1177z00_3218;
				BgL_body1178z00_1670 = ((BgL_ev_exprz00_bglt) BgL_body1178z00_3219);
				BgL_siza7e1179za7_1671 = CINT(BgL_siza7e1179za7_3220);
				BgL_bind1180z00_1672 = BgL_bind1180z00_3221;
				BgL_free1181z00_1673 = BgL_free1181z00_3222;
				BgL_inner1182z00_1674 = BgL_inner1182z00_3223;
				BgL_boxes1183z00_1675 = BgL_boxes1183z00_3224;
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1321z00_2800;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_absz00_bglt BgL_new1320z00_2801;

						BgL_new1320z00_2801 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 117 */
							long BgL_arg1977z00_2802;

							{	/* Eval/evaluate_types.scm 117 */
								long BgL_res2306z00_2806;

								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_classz00_2803;

									BgL_classz00_2803 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 117 */
										obj_t BgL_vectorz00_2804;
										int BgL_kz00_2805;

										BgL_vectorz00_2804 = BgL_classz00_2803;
										BgL_kz00_2805 = (int) (((long) 1));
										BgL_res2306z00_2806 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2804,
												BgL_kz00_2805));
								}}
								BgL_arg1977z00_2802 = BgL_res2306z00_2806;
							}
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_objz00_2807;

								BgL_objz00_2807 = ((BgL_objectz00_bglt) BgL_new1320z00_2801);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2807, BgL_arg1977z00_2802);
						}}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_auxz00_4204;

							BgL_auxz00_4204 = ((BgL_objectz00_bglt) BgL_new1320z00_2801);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4204, BFALSE);
						}
						BgL_new1321z00_2800 = BgL_new1320z00_2801;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_locz00) =
						((obj_t) BgL_loc1174z00_1666), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_wherez00) =
						((obj_t) BgL_where1175z00_1667), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_arityz00) =
						((obj_t) BgL_arity1176z00_1668), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_varsz00) =
						((obj_t) BgL_vars1177z00_1669), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1178z00_1670), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_siza7eza7) =
						((int) BgL_siza7e1179za7_1671), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_bindz00) =
						((obj_t) BgL_bind1180z00_1672), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_freez00) =
						((obj_t) BgL_free1181z00_1673), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_innerz00) =
						((obj_t) BgL_inner1182z00_1674), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1321z00_2800))->BgL_boxesz00) =
						((obj_t) BgL_boxes1183z00_1675), BUNSPEC);
					return BgL_new1321z00_2800;
				}
			}
		}
	}



/* &lambda2047 */
	obj_t BGl_z62lambda2047z62zz__evaluate_typesz00(obj_t BgL_envz00_3225,
		obj_t BgL_oz00_3226, obj_t BgL_vz00_3227)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3658;

				BgL_oz00_3658 = ((BgL_ev_absz00_bglt) BgL_oz00_3226);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3658))->BgL_locz00) =
					((obj_t) BgL_vz00_3227), BUNSPEC);
			}
		}
	}



/* &lambda2046 */
	obj_t BGl_z62lambda2046z62zz__evaluate_typesz00(obj_t BgL_envz00_3228,
		obj_t BgL_oz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3229)))->BgL_locz00);
		}
	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3230,
		obj_t BgL_oz00_3231, obj_t BgL_vz00_3232)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3661;

				BgL_oz00_3661 = ((BgL_ev_absz00_bglt) BgL_oz00_3231);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3661))->BgL_wherez00) =
					((obj_t) BgL_vz00_3232), BUNSPEC);
			}
		}
	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t BgL_envz00_3233,
		obj_t BgL_oz00_3234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3234)))->BgL_wherez00);
		}
	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t BgL_envz00_3235,
		obj_t BgL_oz00_3236, obj_t BgL_vz00_3237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3664;

				BgL_oz00_3664 = ((BgL_ev_absz00_bglt) BgL_oz00_3236);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3664))->BgL_arityz00) =
					((obj_t) BgL_vz00_3237), BUNSPEC);
			}
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3238,
		obj_t BgL_oz00_3239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3239)))->BgL_arityz00);
		}
	}



/* &lambda2031 */
	obj_t BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t BgL_envz00_3240,
		obj_t BgL_oz00_3241, obj_t BgL_vz00_3242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3667;

				BgL_oz00_3667 = ((BgL_ev_absz00_bglt) BgL_oz00_3241);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3667))->BgL_varsz00) =
					((obj_t) BgL_vz00_3242), BUNSPEC);
			}
		}
	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t BgL_envz00_3243,
		obj_t BgL_oz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3244)))->BgL_varsz00);
		}
	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246, obj_t BgL_vz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3670;
				BgL_ev_exprz00_bglt BgL_vz00_3671;

				BgL_oz00_3670 = ((BgL_ev_absz00_bglt) BgL_oz00_3246);
				BgL_vz00_3671 = ((BgL_ev_exprz00_bglt) BgL_vz00_3247);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3670))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3671), BUNSPEC);
			}
		}
	}



/* &lambda2024 */
	BgL_ev_exprz00_bglt BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3248, obj_t BgL_oz00_3249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3249)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2018> */
	obj_t BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BINT(((long) 0));
		}
	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t BgL_envz00_3251,
		obj_t BgL_oz00_3252, obj_t BgL_vz00_3253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3673;
				int BgL_vz00_3674;

				BgL_oz00_3673 = ((BgL_ev_absz00_bglt) BgL_oz00_3252);
				BgL_vz00_3674 = CINT(BgL_vz00_3253);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3673))->BgL_siza7eza7) =
					((int) BgL_vz00_3674), BUNSPEC);
		}}
	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t BgL_envz00_3254,
		obj_t BgL_oz00_3255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3255)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2011> */
	obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t BgL_envz00_3257,
		obj_t BgL_oz00_3258, obj_t BgL_vz00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3676;

				BgL_oz00_3676 = ((BgL_ev_absz00_bglt) BgL_oz00_3258);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3676))->BgL_bindz00) =
					((obj_t) BgL_vz00_3259), BUNSPEC);
			}
		}
	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t BgL_envz00_3260,
		obj_t BgL_oz00_3261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3261)))->BgL_bindz00);
		}
	}



/* &<anonymous:2002> */
	obj_t BGl_z62zc3anonymousza32002ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3263,
		obj_t BgL_oz00_3264, obj_t BgL_vz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3679;

				BgL_oz00_3679 = ((BgL_ev_absz00_bglt) BgL_oz00_3264);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3679))->BgL_freez00) =
					((obj_t) BgL_vz00_3265), BUNSPEC);
			}
		}
	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3266,
		obj_t BgL_oz00_3267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3267)))->BgL_freez00);
		}
	}



/* &<anonymous:1994> */
	obj_t BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3269,
		obj_t BgL_oz00_3270, obj_t BgL_vz00_3271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3682;

				BgL_oz00_3682 = ((BgL_ev_absz00_bglt) BgL_oz00_3270);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3682))->BgL_innerz00) =
					((obj_t) BgL_vz00_3271), BUNSPEC);
			}
		}
	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3272,
		obj_t BgL_oz00_3273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3273)))->BgL_innerz00);
		}
	}



/* &<anonymous:1987> */
	obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3275,
		obj_t BgL_oz00_3276, obj_t BgL_vz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3685;

				BgL_oz00_3685 = ((BgL_ev_absz00_bglt) BgL_oz00_3276);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3685))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3277), BUNSPEC);
			}
		}
	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3278,
		obj_t BgL_oz00_3279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3279)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1948> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3280, obj_t BgL_new1172z00_3281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_appz00_bglt BgL_new1172z00_1606;

				BgL_new1172z00_1606 = ((BgL_ev_appz00_bglt) BgL_new1172z00_3281);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1606))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4264;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2746;

						BgL_classz00_2746 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1363z00_2747;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_vectorz00_2748;
								int BgL_kz00_2749;

								BgL_vectorz00_2748 = BgL_classz00_2746;
								BgL_kz00_2749 = (int) (((long) 17));
								BgL__ortest_1363z00_2747 =
									VECTOR_REF(BgL_vectorz00_2748, BgL_kz00_2749);
							}
							if (CBOOL(BgL__ortest_1363z00_2747))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4264 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2747);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4264 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2746));
								}
						}
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1606))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4264), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1606))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1606))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1172z00_1606;
			}
		}
	}



/* &lambda1946 */
	BgL_ev_appz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1170z00_1604;

					BgL_new1170z00_1604 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1947z00_1605;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2305z00_2743;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_classz00_2740;

								BgL_classz00_2740 = BGl_ev_appz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_vectorz00_2741;
									int BgL_kz00_2742;

									BgL_vectorz00_2741 = BgL_classz00_2740;
									BgL_kz00_2742 = (int) (((long) 1));
									BgL_res2305z00_2743 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2741, BgL_kz00_2742));
							}}
							BgL_arg1947z00_1605 = BgL_res2305z00_2743;
						}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2744;

							BgL_objz00_2744 = ((BgL_objectz00_bglt) BgL_new1170z00_1604);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2744, BgL_arg1947z00_1605);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_4282;

						BgL_auxz00_4282 = ((BgL_objectz00_bglt) BgL_new1170z00_1604);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4282, BFALSE);
					}
					return BgL_new1170z00_1604;
				}
			}
		}
	}



/* &lambda1944 */
	BgL_ev_appz00_bglt BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3283, obj_t BgL_loc1166z00_3284, obj_t BgL_fun1167z00_3285,
		obj_t BgL_args1168z00_3286, obj_t BgL_tailzf31169zf3_3287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				obj_t BgL_loc1166z00_1595;
				BgL_ev_exprz00_bglt BgL_fun1167z00_1596;
				obj_t BgL_args1168z00_1597;
				obj_t BgL_tailzf31169zf3_1598;

				BgL_loc1166z00_1595 = BgL_loc1166z00_3284;
				BgL_fun1167z00_1596 = ((BgL_ev_exprz00_bglt) BgL_fun1167z00_3285);
				BgL_args1168z00_1597 = BgL_args1168z00_3286;
				BgL_tailzf31169zf3_1598 = BgL_tailzf31169zf3_3287;
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1311z00_2731;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_appz00_bglt BgL_new1310z00_2732;

						BgL_new1310z00_2732 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg1945z00_2733;

							{	/* Eval/evaluate_types.scm 114 */
								long BgL_res2304z00_2737;

								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_classz00_2734;

									BgL_classz00_2734 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 114 */
										obj_t BgL_vectorz00_2735;
										int BgL_kz00_2736;

										BgL_vectorz00_2735 = BgL_classz00_2734;
										BgL_kz00_2736 = (int) (((long) 1));
										BgL_res2304z00_2737 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2735,
												BgL_kz00_2736));
								}}
								BgL_arg1945z00_2733 = BgL_res2304z00_2737;
							}
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_objz00_2738;

								BgL_objz00_2738 = ((BgL_objectz00_bglt) BgL_new1310z00_2732);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2738, BgL_arg1945z00_2733);
						}}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_4291;

							BgL_auxz00_4291 = ((BgL_objectz00_bglt) BgL_new1310z00_2732);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4291, BFALSE);
						}
						BgL_new1311z00_2731 = BgL_new1310z00_2732;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1311z00_2731))->BgL_locz00) =
						((obj_t) BgL_loc1166z00_1595), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1311z00_2731))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1167z00_1596), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1311z00_2731))->BgL_argsz00) =
						((obj_t) BgL_args1168z00_1597), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1311z00_2731))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31169zf3_1598), BUNSPEC);
					return BgL_new1311z00_2731;
				}
			}
		}
	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3288,
		obj_t BgL_oz00_3289, obj_t BgL_vz00_3290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3688;

				BgL_oz00_3688 = ((BgL_ev_appz00_bglt) BgL_oz00_3289);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3688))->BgL_locz00) =
					((obj_t) BgL_vz00_3290), BUNSPEC);
			}
		}
	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t BgL_envz00_3291,
		obj_t BgL_oz00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3292)))->BgL_locz00);
		}
	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3293,
		obj_t BgL_oz00_3294, obj_t BgL_vz00_3295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3691;
				BgL_ev_exprz00_bglt BgL_vz00_3692;

				BgL_oz00_3691 = ((BgL_ev_appz00_bglt) BgL_oz00_3294);
				BgL_vz00_3692 = ((BgL_ev_exprz00_bglt) BgL_vz00_3295);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3691))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3692), BUNSPEC);
			}
		}
	}



/* &lambda1962 */
	BgL_ev_exprz00_bglt BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3296, obj_t BgL_oz00_3297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3297)))->BgL_funz00);
		}
	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3298,
		obj_t BgL_oz00_3299, obj_t BgL_vz00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3694;

				BgL_oz00_3694 = ((BgL_ev_appz00_bglt) BgL_oz00_3299);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3694))->BgL_argsz00) =
					((obj_t) BgL_vz00_3300), BUNSPEC);
			}
		}
	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3301,
		obj_t BgL_oz00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3302)))->BgL_argsz00);
		}
	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3303,
		obj_t BgL_oz00_3304, obj_t BgL_vz00_3305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3697;

				BgL_oz00_3697 = ((BgL_ev_appz00_bglt) BgL_oz00_3304);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3697))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3305), BUNSPEC);
			}
		}
	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3306,
		obj_t BgL_oz00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3307)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1916> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3308,
		obj_t BgL_new1164z00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				BgL_ev_gotoz00_bglt BgL_new1164z00_1535;

				BgL_new1164z00_1535 = ((BgL_ev_gotoz00_bglt) BgL_new1164z00_3309);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1164z00_1535))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4317;

					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_classz00_2703;

						BgL_classz00_2703 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL__ortest_1363z00_2704;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_vectorz00_2705;
								int BgL_kz00_2706;

								BgL_vectorz00_2705 = BgL_classz00_2703;
								BgL_kz00_2706 = (int) (((long) 17));
								BgL__ortest_1363z00_2704 =
									VECTOR_REF(BgL_vectorz00_2705, BgL_kz00_2706);
							}
							if (CBOOL(BgL__ortest_1363z00_2704))
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4317 =
										((BgL_ev_varz00_bglt) BgL__ortest_1363z00_2704);
								}
							else
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4317 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2703));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1164z00_1535))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4317), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4326;

					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_classz00_2707;

						BgL_classz00_2707 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL__ortest_1363z00_2708;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_vectorz00_2709;
								int BgL_kz00_2710;

								BgL_vectorz00_2709 = BgL_classz00_2707;
								BgL_kz00_2710 = (int) (((long) 17));
								BgL__ortest_1363z00_2708 =
									VECTOR_REF(BgL_vectorz00_2709, BgL_kz00_2710);
							}
							if (CBOOL(BgL__ortest_1363z00_2708))
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4326 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1363z00_2708);
								}
							else
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4326 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2707));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1164z00_1535))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4326), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1164z00_1535))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1164z00_1535;
			}
		}
	}



/* &lambda1914 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{

				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1163z00_1533;

					BgL_new1163z00_1533 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 109 */
						long BgL_arg1915z00_1534;

						{	/* Eval/evaluate_types.scm 109 */
							long BgL_res2303z00_2700;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_classz00_2697;

								BgL_classz00_2697 = BGl_ev_gotoz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_vectorz00_2698;
									int BgL_kz00_2699;

									BgL_vectorz00_2698 = BgL_classz00_2697;
									BgL_kz00_2699 = (int) (((long) 1));
									BgL_res2303z00_2700 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2698, BgL_kz00_2699));
							}}
							BgL_arg1915z00_1534 = BgL_res2303z00_2700;
						}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_objz00_2701;

							BgL_objz00_2701 = ((BgL_objectz00_bglt) BgL_new1163z00_1533);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2701, BgL_arg1915z00_1534);
					}}
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_auxz00_4343;

						BgL_auxz00_4343 = ((BgL_objectz00_bglt) BgL_new1163z00_1533);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4343, BFALSE);
					}
					return BgL_new1163z00_1533;
				}
			}
		}
	}



/* &lambda1912 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3311, obj_t BgL_loc1159z00_3312, obj_t BgL_label1160z00_3313,
		obj_t BgL_labels1161z00_3314, obj_t BgL_args1162z00_3315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				obj_t BgL_loc1159z00_1524;
				BgL_ev_varz00_bglt BgL_label1160z00_1525;
				BgL_ev_labelsz00_bglt BgL_labels1161z00_1526;
				obj_t BgL_args1162z00_1527;

				BgL_loc1159z00_1524 = BgL_loc1159z00_3312;
				BgL_label1160z00_1525 = ((BgL_ev_varz00_bglt) BgL_label1160z00_3313);
				BgL_labels1161z00_1526 =
					((BgL_ev_labelsz00_bglt) BgL_labels1161z00_3314);
				BgL_args1162z00_1527 = BgL_args1162z00_3315;
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1301z00_2688;

					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_gotoz00_bglt BgL_new1300z00_2689;

						BgL_new1300z00_2689 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 109 */
							long BgL_arg1913z00_2690;

							{	/* Eval/evaluate_types.scm 109 */
								long BgL_res2302z00_2694;

								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_classz00_2691;

									BgL_classz00_2691 = BGl_ev_gotoz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 109 */
										obj_t BgL_vectorz00_2692;
										int BgL_kz00_2693;

										BgL_vectorz00_2692 = BgL_classz00_2691;
										BgL_kz00_2693 = (int) (((long) 1));
										BgL_res2302z00_2694 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2692,
												BgL_kz00_2693));
								}}
								BgL_arg1913z00_2690 = BgL_res2302z00_2694;
							}
							{	/* Eval/evaluate_types.scm 109 */
								BgL_objectz00_bglt BgL_objz00_2695;

								BgL_objz00_2695 = ((BgL_objectz00_bglt) BgL_new1300z00_2689);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2695, BgL_arg1913z00_2690);
						}}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_auxz00_4352;

							BgL_auxz00_4352 = ((BgL_objectz00_bglt) BgL_new1300z00_2689);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4352, BFALSE);
						}
						BgL_new1301z00_2688 = BgL_new1300z00_2689;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1301z00_2688))->BgL_locz00) =
						((obj_t) BgL_loc1159z00_1524), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1301z00_2688))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1160z00_1525), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1301z00_2688))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1161z00_1526), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1301z00_2688))->BgL_argsz00) =
						((obj_t) BgL_args1162z00_1527), BUNSPEC);
					return BgL_new1301z00_2688;
				}
			}
		}
	}



/* &lambda1938 */
	obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3316,
		obj_t BgL_oz00_3317, obj_t BgL_vz00_3318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3700;

				BgL_oz00_3700 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3317);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3700))->BgL_locz00) =
					((obj_t) BgL_vz00_3318), BUNSPEC);
			}
		}
	}



/* &lambda1937 */
	obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t BgL_envz00_3319,
		obj_t BgL_oz00_3320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3320)))->BgL_locz00);
		}
	}



/* &lambda1933 */
	obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3321,
		obj_t BgL_oz00_3322, obj_t BgL_vz00_3323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3703;
				BgL_ev_varz00_bglt BgL_vz00_3704;

				BgL_oz00_3703 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3322);
				BgL_vz00_3704 = ((BgL_ev_varz00_bglt) BgL_vz00_3323);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3703))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3704), BUNSPEC);
			}
		}
	}



/* &lambda1932 */
	BgL_ev_varz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3324, obj_t BgL_oz00_3325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3325)))->BgL_labelz00);
		}
	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3326,
		obj_t BgL_oz00_3327, obj_t BgL_vz00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3706;
				BgL_ev_labelsz00_bglt BgL_vz00_3707;

				BgL_oz00_3706 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3327);
				BgL_vz00_3707 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3328);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3706))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3707), BUNSPEC);
			}
		}
	}



/* &lambda1926 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3329, obj_t BgL_oz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3330)))->BgL_labelsz00);
		}
	}



/* &lambda1921 */
	obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3331,
		obj_t BgL_oz00_3332, obj_t BgL_vz00_3333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3709;

				BgL_oz00_3709 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3332);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3709))->BgL_argsz00) =
					((obj_t) BgL_vz00_3333), BUNSPEC);
			}
		}
	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3334,
		obj_t BgL_oz00_3335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3335)))->BgL_argsz00);
		}
	}



/* &<anonymous:1868> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3336,
		obj_t BgL_new1157z00_3337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_labelsz00_bglt BgL_new1157z00_1431;

				BgL_new1157z00_1431 = ((BgL_ev_labelsz00_bglt) BgL_new1157z00_3337);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4383;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_2664;

						BgL_classz00_2664 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1363z00_2665;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_vectorz00_2666;
								int BgL_kz00_2667;

								BgL_vectorz00_2666 = BgL_classz00_2664;
								BgL_kz00_2667 = (int) (((long) 17));
								BgL__ortest_1363z00_2665 =
									VECTOR_REF(BgL_vectorz00_2666, BgL_kz00_2667);
							}
							if (CBOOL(BgL__ortest_1363z00_2665))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4383 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2665);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4383 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2664));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4383), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1157z00_1431))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1157z00_1431;
			}
		}
	}



/* &lambda1866 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1156z00_1429;

					BgL_new1156z00_1429 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1867z00_1430;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2301z00_2661;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_classz00_2658;

								BgL_classz00_2658 = BGl_ev_labelsz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_vectorz00_2659;
									int BgL_kz00_2660;

									BgL_vectorz00_2659 = BgL_classz00_2658;
									BgL_kz00_2660 = (int) (((long) 1));
									BgL_res2301z00_2661 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2659, BgL_kz00_2660));
							}}
							BgL_arg1867z00_1430 = BgL_res2301z00_2661;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2662;

							BgL_objz00_2662 = ((BgL_objectz00_bglt) BgL_new1156z00_1429);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2662, BgL_arg1867z00_1430);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4400;

						BgL_auxz00_4400 = ((BgL_objectz00_bglt) BgL_new1156z00_1429);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4400, BFALSE);
					}
					return BgL_new1156z00_1429;
				}
			}
		}
	}



/* &lambda1864 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3339, obj_t BgL_vars1150z00_3340, obj_t BgL_vals1151z00_3341,
		obj_t BgL_env1152z00_3342, obj_t BgL_stk1153z00_3343,
		obj_t BgL_body1154z00_3344, obj_t BgL_boxes1155z00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1150z00_1418;
				obj_t BgL_vals1151z00_1419;
				obj_t BgL_env1152z00_1420;
				obj_t BgL_stk1153z00_1421;
				BgL_ev_exprz00_bglt BgL_body1154z00_1422;
				obj_t BgL_boxes1155z00_1423;

				BgL_vars1150z00_1418 = BgL_vars1150z00_3340;
				BgL_vals1151z00_1419 = BgL_vals1151z00_3341;
				BgL_env1152z00_1420 = BgL_env1152z00_3342;
				BgL_stk1153z00_1421 = BgL_stk1153z00_3343;
				BgL_body1154z00_1422 = ((BgL_ev_exprz00_bglt) BgL_body1154z00_3344);
				BgL_boxes1155z00_1423 = BgL_boxes1155z00_3345;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1287z00_2649;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_labelsz00_bglt BgL_new1286z00_2650;

						BgL_new1286z00_2650 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1865z00_2651;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2300z00_2655;

								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_classz00_2652;

									BgL_classz00_2652 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 101 */
										obj_t BgL_vectorz00_2653;
										int BgL_kz00_2654;

										BgL_vectorz00_2653 = BgL_classz00_2652;
										BgL_kz00_2654 = (int) (((long) 1));
										BgL_res2300z00_2655 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2653,
												BgL_kz00_2654));
								}}
								BgL_arg1865z00_2651 = BgL_res2300z00_2655;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2656;

								BgL_objz00_2656 = ((BgL_objectz00_bglt) BgL_new1286z00_2650);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2656, BgL_arg1865z00_2651);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4409;

							BgL_auxz00_4409 = ((BgL_objectz00_bglt) BgL_new1286z00_2650);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4409, BFALSE);
						}
						BgL_new1287z00_2649 = BgL_new1286z00_2650;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_varsz00) =
						((obj_t) BgL_vars1150z00_1418), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_valsz00) =
						((obj_t) BgL_vals1151z00_1419), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_envz00) =
						((obj_t) BgL_env1152z00_1420), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_stkz00) =
						((obj_t) BgL_stk1153z00_1421), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1154z00_1422), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1287z00_2649))->BgL_boxesz00) =
						((obj_t) BgL_boxes1155z00_1423), BUNSPEC);
					return BgL_new1287z00_2649;
				}
			}
		}
	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3346,
		obj_t BgL_oz00_3347, obj_t BgL_vz00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3712;

				BgL_oz00_3712 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3347);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3712))->BgL_varsz00) =
					((obj_t) BgL_vz00_3348), BUNSPEC);
			}
		}
	}



/* &lambda1904 */
	obj_t BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3349,
		obj_t BgL_oz00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3350)))->BgL_varsz00);
		}
	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3351,
		obj_t BgL_oz00_3352, obj_t BgL_vz00_3353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3715;

				BgL_oz00_3715 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3352);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3715))->BgL_valsz00) =
					((obj_t) BgL_vz00_3353), BUNSPEC);
			}
		}
	}



/* &lambda1899 */
	obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3354,
		obj_t BgL_oz00_3355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3355)))->BgL_valsz00);
		}
	}



/* &<anonymous:1895> */
	obj_t BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3357,
		obj_t BgL_oz00_3358, obj_t BgL_vz00_3359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3718;

				BgL_oz00_3718 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3358);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3718))->BgL_envz00) =
					((obj_t) BgL_vz00_3359), BUNSPEC);
			}
		}
	}



/* &lambda1893 */
	obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t BgL_envz00_3360,
		obj_t BgL_oz00_3361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3361)))->BgL_envz00);
		}
	}



/* &<anonymous:1888> */
	obj_t BGl_z62zc3anonymousza31888ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3363,
		obj_t BgL_oz00_3364, obj_t BgL_vz00_3365)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3721;

				BgL_oz00_3721 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3364);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3721))->BgL_stkz00) =
					((obj_t) BgL_vz00_3365), BUNSPEC);
			}
		}
	}



/* &lambda1886 */
	obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t BgL_envz00_3366,
		obj_t BgL_oz00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3367)))->BgL_stkz00);
		}
	}



/* &lambda1880 */
	obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t BgL_envz00_3368,
		obj_t BgL_oz00_3369, obj_t BgL_vz00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3724;
				BgL_ev_exprz00_bglt BgL_vz00_3725;

				BgL_oz00_3724 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3369);
				BgL_vz00_3725 = ((BgL_ev_exprz00_bglt) BgL_vz00_3370);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3724))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3725), BUNSPEC);
			}
		}
	}



/* &lambda1879 */
	BgL_ev_exprz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3371, obj_t BgL_oz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3372)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1875> */
	obj_t BGl_z62zc3anonymousza31875ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3374,
		obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3727;

				BgL_oz00_3727 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3375);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3727))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3376), BUNSPEC);
			}
		}
	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3377,
		obj_t BgL_oz00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3378)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1857> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3379,
		obj_t BgL_new1148z00_3380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				BgL_ev_letrecz00_bglt BgL_new1148z00_1406;

				BgL_new1148z00_1406 = ((BgL_ev_letrecz00_bglt) BgL_new1148z00_3380);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1148z00_1406)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1148z00_1406)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4448;

					{	/* Eval/evaluate_types.scm 100 */
						obj_t BgL_classz00_2615;

						BgL_classz00_2615 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 100 */
							obj_t BgL__ortest_1363z00_2616;

							{	/* Eval/evaluate_types.scm 100 */
								obj_t BgL_vectorz00_2617;
								int BgL_kz00_2618;

								BgL_vectorz00_2617 = BgL_classz00_2615;
								BgL_kz00_2618 = (int) (((long) 17));
								BgL__ortest_1363z00_2616 =
									VECTOR_REF(BgL_vectorz00_2617, BgL_kz00_2618);
							}
							if (CBOOL(BgL__ortest_1363z00_2616))
								{	/* Eval/evaluate_types.scm 100 */
									BgL_auxz00_4448 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2616);
								}
							else
								{	/* Eval/evaluate_types.scm 100 */
									BgL_auxz00_4448 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2615));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1148z00_1406)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4448), BUNSPEC);
				}
				return BgL_new1148z00_1406;
			}
		}
	}



/* &lambda1855 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{

				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1147z00_1404;

					BgL_new1147z00_1404 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 100 */
						long BgL_arg1856z00_1405;

						{	/* Eval/evaluate_types.scm 100 */
							long BgL_res2299z00_2612;

							{	/* Eval/evaluate_types.scm 100 */
								obj_t BgL_classz00_2609;

								BgL_classz00_2609 = BGl_ev_letrecz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_vectorz00_2610;
									int BgL_kz00_2611;

									BgL_vectorz00_2610 = BgL_classz00_2609;
									BgL_kz00_2611 = (int) (((long) 1));
									BgL_res2299z00_2612 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2610, BgL_kz00_2611));
							}}
							BgL_arg1856z00_1405 = BgL_res2299z00_2612;
						}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_objz00_2613;

							BgL_objz00_2613 = ((BgL_objectz00_bglt) BgL_new1147z00_1404);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2613, BgL_arg1856z00_1405);
					}}
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_auxz00_4465;

						BgL_auxz00_4465 = ((BgL_objectz00_bglt) BgL_new1147z00_1404);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4465, BFALSE);
					}
					return BgL_new1147z00_1404;
				}
			}
		}
	}



/* &lambda1853 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3382, obj_t BgL_vars1144z00_3383, obj_t BgL_vals1145z00_3384,
		obj_t BgL_body1146z00_3385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				obj_t BgL_vars1144z00_1396;
				obj_t BgL_vals1145z00_1397;
				BgL_ev_exprz00_bglt BgL_body1146z00_1398;

				BgL_vars1144z00_1396 = BgL_vars1144z00_3383;
				BgL_vals1145z00_1397 = BgL_vals1145z00_3384;
				BgL_body1146z00_1398 = ((BgL_ev_exprz00_bglt) BgL_body1146z00_3385);
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1285z00_2600;

					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_letrecz00_bglt BgL_new1284z00_2601;

						BgL_new1284z00_2601 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 100 */
							long BgL_arg1854z00_2602;

							{	/* Eval/evaluate_types.scm 100 */
								long BgL_res2298z00_2606;

								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_classz00_2603;

									BgL_classz00_2603 = BGl_ev_letrecz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 100 */
										obj_t BgL_vectorz00_2604;
										int BgL_kz00_2605;

										BgL_vectorz00_2604 = BgL_classz00_2603;
										BgL_kz00_2605 = (int) (((long) 1));
										BgL_res2298z00_2606 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2604,
												BgL_kz00_2605));
								}}
								BgL_arg1854z00_2602 = BgL_res2298z00_2606;
							}
							{	/* Eval/evaluate_types.scm 100 */
								BgL_objectz00_bglt BgL_objz00_2607;

								BgL_objz00_2607 = ((BgL_objectz00_bglt) BgL_new1284z00_2601);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2607, BgL_arg1854z00_2602);
						}}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_auxz00_4474;

							BgL_auxz00_4474 = ((BgL_objectz00_bglt) BgL_new1284z00_2601);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4474, BFALSE);
						}
						BgL_new1285z00_2600 = BgL_new1284z00_2601;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1285z00_2600)))->
							BgL_varsz00) = ((obj_t) BgL_vars1144z00_1396), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1285z00_2600)))->BgL_valsz00) =
						((obj_t) BgL_vals1145z00_1397), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1285z00_2600)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1146z00_1398), BUNSPEC);
					return BgL_new1285z00_2600;
				}
			}
		}
	}



/* &<anonymous:1840> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3386,
		obj_t BgL_new1142z00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				BgL_ev_letza2za2_bglt BgL_new1142z00_1369;

				BgL_new1142z00_1369 = ((BgL_ev_letza2za2_bglt) BgL_new1142z00_3387);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1142z00_1369)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1142z00_1369)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4488;

					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_classz00_2596;

						BgL_classz00_2596 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 98 */
							obj_t BgL__ortest_1363z00_2597;

							{	/* Eval/evaluate_types.scm 98 */
								obj_t BgL_vectorz00_2598;
								int BgL_kz00_2599;

								BgL_vectorz00_2598 = BgL_classz00_2596;
								BgL_kz00_2599 = (int) (((long) 17));
								BgL__ortest_1363z00_2597 =
									VECTOR_REF(BgL_vectorz00_2598, BgL_kz00_2599);
							}
							if (CBOOL(BgL__ortest_1363z00_2597))
								{	/* Eval/evaluate_types.scm 98 */
									BgL_auxz00_4488 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2597);
								}
							else
								{	/* Eval/evaluate_types.scm 98 */
									BgL_auxz00_4488 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2596));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1142z00_1369)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4488), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1142z00_1369))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1142z00_1369;
			}
		}
	}



/* &lambda1837 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{

				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1141z00_1367;

					BgL_new1141z00_1367 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 98 */
						long BgL_arg1839z00_1368;

						{	/* Eval/evaluate_types.scm 98 */
							long BgL_res2297z00_2593;

							{	/* Eval/evaluate_types.scm 98 */
								obj_t BgL_classz00_2590;

								BgL_classz00_2590 = BGl_ev_letza2za2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_vectorz00_2591;
									int BgL_kz00_2592;

									BgL_vectorz00_2591 = BgL_classz00_2590;
									BgL_kz00_2592 = (int) (((long) 1));
									BgL_res2297z00_2593 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2591, BgL_kz00_2592));
							}}
							BgL_arg1839z00_1368 = BgL_res2297z00_2593;
						}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_objz00_2594;

							BgL_objz00_2594 = ((BgL_objectz00_bglt) BgL_new1141z00_1367);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2594, BgL_arg1839z00_1368);
					}}
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_auxz00_4506;

						BgL_auxz00_4506 = ((BgL_objectz00_bglt) BgL_new1141z00_1367);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4506, BFALSE);
					}
					return BgL_new1141z00_1367;
				}
			}
		}
	}



/* &lambda1834 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3389, obj_t BgL_vars1137z00_3390, obj_t BgL_vals1138z00_3391,
		obj_t BgL_body1139z00_3392, obj_t BgL_boxes1140z00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				obj_t BgL_vars1137z00_1358;
				obj_t BgL_vals1138z00_1359;
				BgL_ev_exprz00_bglt BgL_body1139z00_1360;
				obj_t BgL_boxes1140z00_1361;

				BgL_vars1137z00_1358 = BgL_vars1137z00_3390;
				BgL_vals1138z00_1359 = BgL_vals1138z00_3391;
				BgL_body1139z00_1360 = ((BgL_ev_exprz00_bglt) BgL_body1139z00_3392);
				BgL_boxes1140z00_1361 = BgL_boxes1140z00_3393;
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1281z00_2581;

					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_letza2za2_bglt BgL_new1280z00_2582;

						BgL_new1280z00_2582 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 98 */
							long BgL_arg1836z00_2583;

							{	/* Eval/evaluate_types.scm 98 */
								long BgL_res2296z00_2587;

								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_classz00_2584;

									BgL_classz00_2584 = BGl_ev_letza2za2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 98 */
										obj_t BgL_vectorz00_2585;
										int BgL_kz00_2586;

										BgL_vectorz00_2585 = BgL_classz00_2584;
										BgL_kz00_2586 = (int) (((long) 1));
										BgL_res2296z00_2587 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2585,
												BgL_kz00_2586));
								}}
								BgL_arg1836z00_2583 = BgL_res2296z00_2587;
							}
							{	/* Eval/evaluate_types.scm 98 */
								BgL_objectz00_bglt BgL_objz00_2588;

								BgL_objz00_2588 = ((BgL_objectz00_bglt) BgL_new1280z00_2582);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2588, BgL_arg1836z00_2583);
						}}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_auxz00_4515;

							BgL_auxz00_4515 = ((BgL_objectz00_bglt) BgL_new1280z00_2582);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4515, BFALSE);
						}
						BgL_new1281z00_2581 = BgL_new1280z00_2582;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1281z00_2581)))->
							BgL_varsz00) = ((obj_t) BgL_vars1137z00_1358), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1281z00_2581)))->BgL_valsz00) =
						((obj_t) BgL_vals1138z00_1359), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1281z00_2581)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1139z00_1360), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1281z00_2581))->BgL_boxesz00) =
						((obj_t) BgL_boxes1140z00_1361), BUNSPEC);
					return BgL_new1281z00_2581;
				}
			}
		}
	}



/* &<anonymous:1847> */
	obj_t BGl_z62zc3anonymousza31847ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return BNIL;
		}
	}



/* &lambda1846 */
	obj_t BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t BgL_envz00_3395,
		obj_t BgL_oz00_3396, obj_t BgL_vz00_3397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_oz00_3730;

				BgL_oz00_3730 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3396);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3730))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3397), BUNSPEC);
			}
		}
	}



/* &lambda1845 */
	obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3398,
		obj_t BgL_oz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3399)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1821> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3400, obj_t BgL_new1135z00_3401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				BgL_ev_letz00_bglt BgL_new1135z00_1331;

				BgL_new1135z00_1331 = ((BgL_ev_letz00_bglt) BgL_new1135z00_3401);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1135z00_1331)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1135z00_1331)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4534;

					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_classz00_2572;

						BgL_classz00_2572 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 96 */
							obj_t BgL__ortest_1363z00_2573;

							{	/* Eval/evaluate_types.scm 96 */
								obj_t BgL_vectorz00_2574;
								int BgL_kz00_2575;

								BgL_vectorz00_2574 = BgL_classz00_2572;
								BgL_kz00_2575 = (int) (((long) 17));
								BgL__ortest_1363z00_2573 =
									VECTOR_REF(BgL_vectorz00_2574, BgL_kz00_2575);
							}
							if (CBOOL(BgL__ortest_1363z00_2573))
								{	/* Eval/evaluate_types.scm 96 */
									BgL_auxz00_4534 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2573);
								}
							else
								{	/* Eval/evaluate_types.scm 96 */
									BgL_auxz00_4534 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2572));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1135z00_1331)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4534), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) CREF(BgL_new1135z00_1331))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1135z00_1331;
			}
		}
	}



/* &lambda1819 */
	BgL_ev_letz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{

				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1134z00_1329;

					BgL_new1134z00_1329 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 96 */
						long BgL_arg1820z00_1330;

						{	/* Eval/evaluate_types.scm 96 */
							long BgL_res2295z00_2569;

							{	/* Eval/evaluate_types.scm 96 */
								obj_t BgL_classz00_2566;

								BgL_classz00_2566 = BGl_ev_letz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_vectorz00_2567;
									int BgL_kz00_2568;

									BgL_vectorz00_2567 = BgL_classz00_2566;
									BgL_kz00_2568 = (int) (((long) 1));
									BgL_res2295z00_2569 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2567, BgL_kz00_2568));
							}}
							BgL_arg1820z00_1330 = BgL_res2295z00_2569;
						}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_objz00_2570;

							BgL_objz00_2570 = ((BgL_objectz00_bglt) BgL_new1134z00_1329);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2570, BgL_arg1820z00_1330);
					}}
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_auxz00_4552;

						BgL_auxz00_4552 = ((BgL_objectz00_bglt) BgL_new1134z00_1329);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4552, BFALSE);
					}
					return BgL_new1134z00_1329;
				}
			}
		}
	}



/* &lambda1817 */
	BgL_ev_letz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3403, obj_t BgL_vars1130z00_3404, obj_t BgL_vals1131z00_3405,
		obj_t BgL_body1132z00_3406, obj_t BgL_boxes1133z00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				obj_t BgL_vars1130z00_1320;
				obj_t BgL_vals1131z00_1321;
				BgL_ev_exprz00_bglt BgL_body1132z00_1322;
				obj_t BgL_boxes1133z00_1323;

				BgL_vars1130z00_1320 = BgL_vars1130z00_3404;
				BgL_vals1131z00_1321 = BgL_vals1131z00_3405;
				BgL_body1132z00_1322 = ((BgL_ev_exprz00_bglt) BgL_body1132z00_3406);
				BgL_boxes1133z00_1323 = BgL_boxes1133z00_3407;
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1277z00_2557;

					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_letz00_bglt BgL_new1276z00_2558;

						BgL_new1276z00_2558 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 96 */
							long BgL_arg1818z00_2559;

							{	/* Eval/evaluate_types.scm 96 */
								long BgL_res2294z00_2563;

								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_classz00_2560;

									BgL_classz00_2560 = BGl_ev_letz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 96 */
										obj_t BgL_vectorz00_2561;
										int BgL_kz00_2562;

										BgL_vectorz00_2561 = BgL_classz00_2560;
										BgL_kz00_2562 = (int) (((long) 1));
										BgL_res2294z00_2563 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2561,
												BgL_kz00_2562));
								}}
								BgL_arg1818z00_2559 = BgL_res2294z00_2563;
							}
							{	/* Eval/evaluate_types.scm 96 */
								BgL_objectz00_bglt BgL_objz00_2564;

								BgL_objz00_2564 = ((BgL_objectz00_bglt) BgL_new1276z00_2558);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2564, BgL_arg1818z00_2559);
						}}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_auxz00_4561;

							BgL_auxz00_4561 = ((BgL_objectz00_bglt) BgL_new1276z00_2558);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4561, BFALSE);
						}
						BgL_new1277z00_2557 = BgL_new1276z00_2558;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1277z00_2557)))->
							BgL_varsz00) = ((obj_t) BgL_vars1130z00_1320), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1277z00_2557)))->BgL_valsz00) =
						((obj_t) BgL_vals1131z00_1321), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1277z00_2557)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1132z00_1322), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1277z00_2557))->BgL_boxesz00) =
						((obj_t) BgL_boxes1133z00_1323), BUNSPEC);
					return BgL_new1277z00_2557;
				}
			}
		}
	}



/* &<anonymous:1828> */
	obj_t BGl_z62zc3anonymousza31828ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return BNIL;
		}
	}



/* &lambda1827 */
	obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t BgL_envz00_3409,
		obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_oz00_3733;

				BgL_oz00_3733 = ((BgL_ev_letz00_bglt) BgL_oz00_3410);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3733))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3411), BUNSPEC);
			}
		}
	}



/* &lambda1826 */
	obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3412,
		obj_t BgL_oz00_3413)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3413)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1795> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3414,
		obj_t BgL_new1128z00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_binderz00_bglt BgL_new1128z00_1272;

				BgL_new1128z00_1272 = ((BgL_ev_binderz00_bglt) BgL_new1128z00_3415);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1128z00_1272))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1128z00_1272))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4578;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2548;

						BgL_classz00_2548 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1363z00_2549;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_vectorz00_2550;
								int BgL_kz00_2551;

								BgL_vectorz00_2550 = BgL_classz00_2548;
								BgL_kz00_2551 = (int) (((long) 17));
								BgL__ortest_1363z00_2549 =
									VECTOR_REF(BgL_vectorz00_2550, BgL_kz00_2551);
							}
							if (CBOOL(BgL__ortest_1363z00_2549))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4578 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2549);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4578 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2548));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1128z00_1272))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4578), BUNSPEC);
				}
				return BgL_new1128z00_1272;
			}
		}
	}



/* &lambda1793 */
	BgL_ev_binderz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1127z00_1270;

					BgL_new1127z00_1270 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1794z00_1271;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2293z00_2545;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_classz00_2542;

								BgL_classz00_2542 = BGl_ev_binderz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_vectorz00_2543;
									int BgL_kz00_2544;

									BgL_vectorz00_2543 = BgL_classz00_2542;
									BgL_kz00_2544 = (int) (((long) 1));
									BgL_res2293z00_2545 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2543, BgL_kz00_2544));
							}}
							BgL_arg1794z00_1271 = BgL_res2293z00_2545;
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_objz00_2546;

							BgL_objz00_2546 = ((BgL_objectz00_bglt) BgL_new1127z00_1270);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2546, BgL_arg1794z00_1271);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4594;

						BgL_auxz00_4594 = ((BgL_objectz00_bglt) BgL_new1127z00_1270);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4594, BFALSE);
					}
					return BgL_new1127z00_1270;
				}
			}
		}
	}



/* &lambda1791 */
	BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3417, obj_t BgL_vars1124z00_3418, obj_t BgL_vals1125z00_3419,
		obj_t BgL_body1126z00_3420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				obj_t BgL_vars1124z00_1262;
				obj_t BgL_vals1125z00_1263;
				BgL_ev_exprz00_bglt BgL_body1126z00_1264;

				BgL_vars1124z00_1262 = BgL_vars1124z00_3418;
				BgL_vals1125z00_1263 = BgL_vals1125z00_3419;
				BgL_body1126z00_1264 = ((BgL_ev_exprz00_bglt) BgL_body1126z00_3420);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1269z00_2533;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_binderz00_bglt BgL_new1268z00_2534;

						BgL_new1268z00_2534 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1792z00_2535;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2292z00_2539;

								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_classz00_2536;

									BgL_classz00_2536 = BGl_ev_binderz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 92 */
										obj_t BgL_vectorz00_2537;
										int BgL_kz00_2538;

										BgL_vectorz00_2537 = BgL_classz00_2536;
										BgL_kz00_2538 = (int) (((long) 1));
										BgL_res2292z00_2539 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2537,
												BgL_kz00_2538));
								}}
								BgL_arg1792z00_2535 = BgL_res2292z00_2539;
							}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2540;

								BgL_objz00_2540 = ((BgL_objectz00_bglt) BgL_new1268z00_2534);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2540, BgL_arg1792z00_2535);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4603;

							BgL_auxz00_4603 = ((BgL_objectz00_bglt) BgL_new1268z00_2534);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4603, BFALSE);
						}
						BgL_new1269z00_2533 = BgL_new1268z00_2534;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1269z00_2533))->BgL_varsz00) =
						((obj_t) BgL_vars1124z00_1262), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1269z00_2533))->BgL_valsz00) =
						((obj_t) BgL_vals1125z00_1263), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1269z00_2533))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1126z00_1264), BUNSPEC);
					return BgL_new1269z00_2533;
				}
			}
		}
	}



/* &lambda1811 */
	obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t BgL_envz00_3421,
		obj_t BgL_oz00_3422, obj_t BgL_vz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3736;

				BgL_oz00_3736 = ((BgL_ev_binderz00_bglt) BgL_oz00_3422);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3736))->BgL_varsz00) =
					((obj_t) BgL_vz00_3423), BUNSPEC);
			}
		}
	}



/* &lambda1810 */
	obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3424,
		obj_t BgL_oz00_3425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3425)))->BgL_varsz00);
		}
	}



/* &lambda1805 */
	obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3426,
		obj_t BgL_oz00_3427, obj_t BgL_vz00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3739;

				BgL_oz00_3739 = ((BgL_ev_binderz00_bglt) BgL_oz00_3427);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3739))->BgL_valsz00) =
					((obj_t) BgL_vz00_3428), BUNSPEC);
			}
		}
	}



/* &lambda1804 */
	obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3429,
		obj_t BgL_oz00_3430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3430)))->BgL_valsz00);
		}
	}



/* &lambda1800 */
	obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3431,
		obj_t BgL_oz00_3432, obj_t BgL_vz00_3433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3742;
				BgL_ev_exprz00_bglt BgL_vz00_3743;

				BgL_oz00_3742 = ((BgL_ev_binderz00_bglt) BgL_oz00_3432);
				BgL_vz00_3743 = ((BgL_ev_exprz00_bglt) BgL_vz00_3433);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3742))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3743), BUNSPEC);
			}
		}
	}



/* &lambda1799 */
	BgL_ev_exprz00_bglt BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3434, obj_t BgL_oz00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3435)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1775> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3436,
		obj_t BgL_new1122z00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1226;

				BgL_new1122z00_1226 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3437);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4623;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2510;

						BgL_classz00_2510 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1363z00_2511;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_vectorz00_2512;
								int BgL_kz00_2513;

								BgL_vectorz00_2512 = BgL_classz00_2510;
								BgL_kz00_2513 = (int) (((long) 17));
								BgL__ortest_1363z00_2511 =
									VECTOR_REF(BgL_vectorz00_2512, BgL_kz00_2513);
							}
							if (CBOOL(BgL__ortest_1363z00_2511))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4623 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2511);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4623 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2510));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1226))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4623), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4632;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2514;

						BgL_classz00_2514 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1363z00_2515;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_vectorz00_2516;
								int BgL_kz00_2517;

								BgL_vectorz00_2516 = BgL_classz00_2514;
								BgL_kz00_2517 = (int) (((long) 17));
								BgL__ortest_1363z00_2515 =
									VECTOR_REF(BgL_vectorz00_2516, BgL_kz00_2517);
							}
							if (CBOOL(BgL__ortest_1363z00_2515))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4632 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2515);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4632 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2514));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1226))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4632), BUNSPEC);
				}
				return BgL_new1122z00_1226;
			}
		}
	}



/* &lambda1773 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_1224;

					BgL_new1121z00_1224 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1774z00_1225;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2291z00_2507;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_classz00_2504;

								BgL_classz00_2504 =
									BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_vectorz00_2505;
									int BgL_kz00_2506;

									BgL_vectorz00_2505 = BgL_classz00_2504;
									BgL_kz00_2506 = (int) (((long) 1));
									BgL_res2291z00_2507 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2505, BgL_kz00_2506));
							}}
							BgL_arg1774z00_1225 = BgL_res2291z00_2507;
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_objz00_2508;

							BgL_objz00_2508 = ((BgL_objectz00_bglt) BgL_new1121z00_1224);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2508, BgL_arg1774z00_1225);
					}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4648;

						BgL_auxz00_4648 = ((BgL_objectz00_bglt) BgL_new1121z00_1224);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4648, BFALSE);
					}
					return BgL_new1121z00_1224;
				}
			}
		}
	}



/* &lambda1771 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3439, obj_t BgL_handler1119z00_3440, obj_t BgL_body1120z00_3441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1119z00_1217;
				BgL_ev_exprz00_bglt BgL_body1120z00_1218;

				BgL_handler1119z00_1217 =
					((BgL_ev_exprz00_bglt) BgL_handler1119z00_3440);
				BgL_body1120z00_1218 = ((BgL_ev_exprz00_bglt) BgL_body1120z00_3441);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1263z00_2495;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1262z00_2496;

						BgL_new1262z00_2496 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1772z00_2497;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2290z00_2501;

								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_classz00_2498;

									BgL_classz00_2498 =
										BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 89 */
										obj_t BgL_vectorz00_2499;
										int BgL_kz00_2500;

										BgL_vectorz00_2499 = BgL_classz00_2498;
										BgL_kz00_2500 = (int) (((long) 1));
										BgL_res2290z00_2501 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2499,
												BgL_kz00_2500));
								}}
								BgL_arg1772z00_2497 = BgL_res2290z00_2501;
							}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2502;

								BgL_objz00_2502 = ((BgL_objectz00_bglt) BgL_new1262z00_2496);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2502, BgL_arg1772z00_2497);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4657;

							BgL_auxz00_4657 = ((BgL_objectz00_bglt) BgL_new1262z00_2496);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4657, BFALSE);
						}
						BgL_new1263z00_2495 = BgL_new1262z00_2496;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1263z00_2495))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1119z00_1217), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1263z00_2495))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1120z00_1218), BUNSPEC);
					return BgL_new1263z00_2495;
				}
			}
		}
	}



/* &lambda1785 */
	obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t BgL_envz00_3442,
		obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3745;
				BgL_ev_exprz00_bglt BgL_vz00_3746;

				BgL_oz00_3745 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3443);
				BgL_vz00_3746 = ((BgL_ev_exprz00_bglt) BgL_vz00_3444);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3745))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3746), BUNSPEC);
			}
		}
	}



/* &lambda1784 */
	BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3445, obj_t BgL_oz00_3446)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3446)))->BgL_handlerz00);
		}
	}



/* &lambda1780 */
	obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3447,
		obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3748;
				BgL_ev_exprz00_bglt BgL_vz00_3749;

				BgL_oz00_3748 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3448);
				BgL_vz00_3749 = ((BgL_ev_exprz00_bglt) BgL_vz00_3449);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3748))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3749), BUNSPEC);
			}
		}
	}



/* &lambda1779 */
	BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3450, obj_t BgL_oz00_3451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3451)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1755> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31755ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3452,
		obj_t BgL_new1117z00_3453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1181;

				BgL_new1117z00_1181 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3453);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4674;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2477;

						BgL_classz00_2477 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1363z00_2478;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_vectorz00_2479;
								int BgL_kz00_2480;

								BgL_vectorz00_2479 = BgL_classz00_2477;
								BgL_kz00_2480 = (int) (((long) 17));
								BgL__ortest_1363z00_2478 =
									VECTOR_REF(BgL_vectorz00_2479, BgL_kz00_2480);
							}
							if (CBOOL(BgL__ortest_1363z00_2478))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4674 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2478);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4674 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2477));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1181))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4674), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4683;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2481;

						BgL_classz00_2481 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1363z00_2482;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_vectorz00_2483;
								int BgL_kz00_2484;

								BgL_vectorz00_2483 = BgL_classz00_2481;
								BgL_kz00_2484 = (int) (((long) 17));
								BgL__ortest_1363z00_2482 =
									VECTOR_REF(BgL_vectorz00_2483, BgL_kz00_2484);
							}
							if (CBOOL(BgL__ortest_1363z00_2482))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4683 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2482);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4683 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2481));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1181))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4683), BUNSPEC);
				}
				return BgL_new1117z00_1181;
			}
		}
	}



/* &lambda1753 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t BgL_envz00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1179;

					BgL_new1116z00_1179 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1754z00_1180;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2289z00_2474;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_classz00_2471;

								BgL_classz00_2471 =
									BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_vectorz00_2472;
									int BgL_kz00_2473;

									BgL_vectorz00_2472 = BgL_classz00_2471;
									BgL_kz00_2473 = (int) (((long) 1));
									BgL_res2289z00_2474 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2472, BgL_kz00_2473));
							}}
							BgL_arg1754z00_1180 = BgL_res2289z00_2474;
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_objz00_2475;

							BgL_objz00_2475 = ((BgL_objectz00_bglt) BgL_new1116z00_1179);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2475, BgL_arg1754z00_1180);
					}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4699;

						BgL_auxz00_4699 = ((BgL_objectz00_bglt) BgL_new1116z00_1179);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4699, BFALSE);
					}
					return BgL_new1116z00_1179;
				}
			}
		}
	}



/* &lambda1750 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3455,
		obj_t BgL_e1114z00_3456, obj_t BgL_body1115z00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1114z00_1172;
				BgL_ev_exprz00_bglt BgL_body1115z00_1173;

				BgL_e1114z00_1172 = ((BgL_ev_exprz00_bglt) BgL_e1114z00_3456);
				BgL_body1115z00_1173 = ((BgL_ev_exprz00_bglt) BgL_body1115z00_3457);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1257z00_2462;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1256z00_2463;

						BgL_new1256z00_2463 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1752z00_2464;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2288z00_2468;

								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_classz00_2465;

									BgL_classz00_2465 =
										BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 86 */
										obj_t BgL_vectorz00_2466;
										int BgL_kz00_2467;

										BgL_vectorz00_2466 = BgL_classz00_2465;
										BgL_kz00_2467 = (int) (((long) 1));
										BgL_res2288z00_2468 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2466,
												BgL_kz00_2467));
								}}
								BgL_arg1752z00_2464 = BgL_res2288z00_2468;
							}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2469;

								BgL_objz00_2469 = ((BgL_objectz00_bglt) BgL_new1256z00_2463);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2469, BgL_arg1752z00_2464);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4708;

							BgL_auxz00_4708 = ((BgL_objectz00_bglt) BgL_new1256z00_2463);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4708, BFALSE);
						}
						BgL_new1257z00_2462 = BgL_new1256z00_2463;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1257z00_2462))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1114z00_1172), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1257z00_2462))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1115z00_1173), BUNSPEC);
					return BgL_new1257z00_2462;
				}
			}
		}
	}



/* &lambda1765 */
	obj_t BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t BgL_envz00_3458,
		obj_t BgL_oz00_3459, obj_t BgL_vz00_3460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3751;
				BgL_ev_exprz00_bglt BgL_vz00_3752;

				BgL_oz00_3751 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3459);
				BgL_vz00_3752 = ((BgL_ev_exprz00_bglt) BgL_vz00_3460);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3751))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3752), BUNSPEC);
			}
		}
	}



/* &lambda1764 */
	BgL_ev_exprz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3461, obj_t BgL_oz00_3462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3462)))->BgL_ez00);
		}
	}



/* &lambda1760 */
	obj_t BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t BgL_envz00_3463,
		obj_t BgL_oz00_3464, obj_t BgL_vz00_3465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3754;
				BgL_ev_exprz00_bglt BgL_vz00_3755;

				BgL_oz00_3754 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3464);
				BgL_vz00_3755 = ((BgL_ev_exprz00_bglt) BgL_vz00_3465);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3754))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3755), BUNSPEC);
			}
		}
	}



/* &lambda1759 */
	BgL_ev_exprz00_bglt BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3466, obj_t BgL_oz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3467)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1733> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3468,
		obj_t BgL_new1112z00_3469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1136;

				BgL_new1112z00_1136 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3469);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4725;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2444;

						BgL_classz00_2444 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1363z00_2445;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_vectorz00_2446;
								int BgL_kz00_2447;

								BgL_vectorz00_2446 = BgL_classz00_2444;
								BgL_kz00_2447 = (int) (((long) 17));
								BgL__ortest_1363z00_2445 =
									VECTOR_REF(BgL_vectorz00_2446, BgL_kz00_2447);
							}
							if (CBOOL(BgL__ortest_1363z00_2445))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4725 =
										((BgL_ev_varz00_bglt) BgL__ortest_1363z00_2445);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4725 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2444));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1136))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_4725), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4734;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2448;

						BgL_classz00_2448 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1363z00_2449;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_vectorz00_2450;
								int BgL_kz00_2451;

								BgL_vectorz00_2450 = BgL_classz00_2448;
								BgL_kz00_2451 = (int) (((long) 17));
								BgL__ortest_1363z00_2449 =
									VECTOR_REF(BgL_vectorz00_2450, BgL_kz00_2451);
							}
							if (CBOOL(BgL__ortest_1363z00_2449))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4734 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2449);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4734 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2448));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1136))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4734), BUNSPEC);
				}
				return BgL_new1112z00_1136;
			}
		}
	}



/* &lambda1731 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1134;

					BgL_new1111z00_1134 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1732z00_1135;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2287z00_2441;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_classz00_2438;

								BgL_classz00_2438 = BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_vectorz00_2439;
									int BgL_kz00_2440;

									BgL_vectorz00_2439 = BgL_classz00_2438;
									BgL_kz00_2440 = (int) (((long) 1));
									BgL_res2287z00_2441 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2439, BgL_kz00_2440));
							}}
							BgL_arg1732z00_1135 = BgL_res2287z00_2441;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2442;

							BgL_objz00_2442 = ((BgL_objectz00_bglt) BgL_new1111z00_1134);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2442, BgL_arg1732z00_1135);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4750;

						BgL_auxz00_4750 = ((BgL_objectz00_bglt) BgL_new1111z00_1134);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4750, BFALSE);
					}
					return BgL_new1111z00_1134;
				}
			}
		}
	}



/* &lambda1729 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3471, obj_t BgL_var1109z00_3472, obj_t BgL_body1110z00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1109z00_1127;
				BgL_ev_exprz00_bglt BgL_body1110z00_1128;

				BgL_var1109z00_1127 = ((BgL_ev_varz00_bglt) BgL_var1109z00_3472);
				BgL_body1110z00_1128 = ((BgL_ev_exprz00_bglt) BgL_body1110z00_3473);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1251z00_2429;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1250z00_2430;

						BgL_new1250z00_2430 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1730z00_2431;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2286z00_2435;

								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_classz00_2432;

									BgL_classz00_2432 =
										BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 83 */
										obj_t BgL_vectorz00_2433;
										int BgL_kz00_2434;

										BgL_vectorz00_2433 = BgL_classz00_2432;
										BgL_kz00_2434 = (int) (((long) 1));
										BgL_res2286z00_2435 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2433,
												BgL_kz00_2434));
								}}
								BgL_arg1730z00_2431 = BgL_res2286z00_2435;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2436;

								BgL_objz00_2436 = ((BgL_objectz00_bglt) BgL_new1250z00_2430);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2436, BgL_arg1730z00_2431);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4759;

							BgL_auxz00_4759 = ((BgL_objectz00_bglt) BgL_new1250z00_2430);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4759, BFALSE);
						}
						BgL_new1251z00_2429 = BgL_new1250z00_2430;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1251z00_2429))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1109z00_1127), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1251z00_2429))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1110z00_1128), BUNSPEC);
					return BgL_new1251z00_2429;
				}
			}
		}
	}



/* &lambda1744 */
	obj_t BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t BgL_envz00_3474,
		obj_t BgL_oz00_3475, obj_t BgL_vz00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3757;
				BgL_ev_varz00_bglt BgL_vz00_3758;

				BgL_oz00_3757 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3475);
				BgL_vz00_3758 = ((BgL_ev_varz00_bglt) BgL_vz00_3476);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3757))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3758), BUNSPEC);
			}
		}
	}



/* &lambda1743 */
	BgL_ev_varz00_bglt BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3477, obj_t BgL_oz00_3478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3478)))->BgL_varz00);
		}
	}



/* &lambda1739 */
	obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3479,
		obj_t BgL_oz00_3480, obj_t BgL_vz00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3760;
				BgL_ev_exprz00_bglt BgL_vz00_3761;

				BgL_oz00_3760 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3480);
				BgL_vz00_3761 = ((BgL_ev_exprz00_bglt) BgL_vz00_3481);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3760))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3761), BUNSPEC);
			}
		}
	}



/* &lambda1738 */
	BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3482, obj_t BgL_oz00_3483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3483)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1723> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3484,
		obj_t BgL_new1107z00_3485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1107z00_1115;

				BgL_new1107z00_1115 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3485);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4776;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_2415;

						BgL_classz00_2415 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1363z00_2416;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_vectorz00_2417;
								int BgL_kz00_2418;

								BgL_vectorz00_2417 = BgL_classz00_2415;
								BgL_kz00_2418 = (int) (((long) 17));
								BgL__ortest_1363z00_2416 =
									VECTOR_REF(BgL_vectorz00_2417, BgL_kz00_2418);
							}
							if (CBOOL(BgL__ortest_1363z00_2416))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4776 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2416);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4776 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2415));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1107z00_1115)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4776), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_new1107z00_1115)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1115)))->BgL_namez00) =
					((obj_t) BGl_symbol2650z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1115)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1107z00_1115;
			}
		}
	}



/* &lambda1721 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1106z00_1113;

					BgL_new1106z00_1113 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1722z00_1114;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2285z00_2412;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_classz00_2409;

								BgL_classz00_2409 = BGl_ev_defglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_vectorz00_2410;
									int BgL_kz00_2411;

									BgL_vectorz00_2410 = BgL_classz00_2409;
									BgL_kz00_2411 = (int) (((long) 1));
									BgL_res2285z00_2412 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2410, BgL_kz00_2411));
							}}
							BgL_arg1722z00_1114 = BgL_res2285z00_2412;
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_objz00_2413;

							BgL_objz00_2413 = ((BgL_objectz00_bglt) BgL_new1106z00_1113);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2413, BgL_arg1722z00_1114);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4799;

						BgL_auxz00_4799 = ((BgL_objectz00_bglt) BgL_new1106z00_1113);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4799, BFALSE);
					}
					return BgL_new1106z00_1113;
				}
			}
		}
	}



/* &lambda1719 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3487, obj_t BgL_e1102z00_3488, obj_t BgL_loc1103z00_3489,
		obj_t BgL_name1104z00_3490, obj_t BgL_mod1105z00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1102z00_1104;
				obj_t BgL_loc1103z00_1105;
				obj_t BgL_name1104z00_1106;
				obj_t BgL_mod1105z00_1107;

				BgL_e1102z00_1104 = ((BgL_ev_exprz00_bglt) BgL_e1102z00_3488);
				BgL_loc1103z00_1105 = BgL_loc1103z00_3489;
				BgL_name1104z00_1106 = BgL_name1104z00_3490;
				BgL_mod1105z00_1107 = BgL_mod1105z00_3491;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1249z00_2400;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1248z00_2401;

						BgL_new1248z00_2401 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1720z00_2402;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2284z00_2406;

								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_classz00_2403;

									BgL_classz00_2403 = BGl_ev_defglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 82 */
										obj_t BgL_vectorz00_2404;
										int BgL_kz00_2405;

										BgL_vectorz00_2404 = BgL_classz00_2403;
										BgL_kz00_2405 = (int) (((long) 1));
										BgL_res2284z00_2406 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2404,
												BgL_kz00_2405));
								}}
								BgL_arg1720z00_2402 = BgL_res2284z00_2406;
							}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_2407;

								BgL_objz00_2407 = ((BgL_objectz00_bglt) BgL_new1248z00_2401);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2407, BgL_arg1720z00_2402);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4808;

							BgL_auxz00_4808 = ((BgL_objectz00_bglt) BgL_new1248z00_2401);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4808, BFALSE);
						}
						BgL_new1249z00_2400 = BgL_new1248z00_2401;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1249z00_2400)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1102z00_1104), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1249z00_2400)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_1105), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1249z00_2400)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_1106), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1249z00_2400)))->BgL_modz00) =
						((obj_t) BgL_mod1105z00_1107), BUNSPEC);
					return BgL_new1249z00_2400;
				}
			}
		}
	}



/* &<anonymous:1698> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31698ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3492,
		obj_t BgL_new1100z00_3493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1100z00_1056;

				BgL_new1100z00_1056 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3493);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4820;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_2396;

						BgL_classz00_2396 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1363z00_2397;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_vectorz00_2398;
								int BgL_kz00_2399;

								BgL_vectorz00_2398 = BgL_classz00_2396;
								BgL_kz00_2399 = (int) (((long) 17));
								BgL__ortest_1363z00_2397 =
									VECTOR_REF(BgL_vectorz00_2398, BgL_kz00_2399);
							}
							if (CBOOL(BgL__ortest_1363z00_2397))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4820 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2397);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4820 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2396));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1100z00_1056)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4820), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1056))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1056))->BgL_namez00) =
					((obj_t) BGl_symbol2650z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1056))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1100z00_1056;
			}
		}
	}



/* &lambda1696 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1099z00_1054;

					BgL_new1099z00_1054 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1697z00_1055;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2283z00_2393;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_classz00_2390;

								BgL_classz00_2390 = BGl_ev_setglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_vectorz00_2391;
									int BgL_kz00_2392;

									BgL_vectorz00_2391 = BgL_classz00_2390;
									BgL_kz00_2392 = (int) (((long) 1));
									BgL_res2283z00_2393 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2391, BgL_kz00_2392));
							}}
							BgL_arg1697z00_1055 = BgL_res2283z00_2393;
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_objz00_2394;

							BgL_objz00_2394 = ((BgL_objectz00_bglt) BgL_new1099z00_1054);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2394, BgL_arg1697z00_1055);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4840;

						BgL_auxz00_4840 = ((BgL_objectz00_bglt) BgL_new1099z00_1054);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4840, BFALSE);
					}
					return BgL_new1099z00_1054;
				}
			}
		}
	}



/* &lambda1694 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3495, obj_t BgL_e1095z00_3496, obj_t BgL_loc1096z00_3497,
		obj_t BgL_name1097z00_3498, obj_t BgL_mod1098z00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1095z00_1045;
				obj_t BgL_loc1096z00_1046;
				obj_t BgL_name1097z00_1047;
				obj_t BgL_mod1098z00_1048;

				BgL_e1095z00_1045 = ((BgL_ev_exprz00_bglt) BgL_e1095z00_3496);
				BgL_loc1096z00_1046 = BgL_loc1096z00_3497;
				BgL_name1097z00_1047 = BgL_name1097z00_3498;
				BgL_mod1098z00_1048 = BgL_mod1098z00_3499;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1241z00_2381;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1240z00_2382;

						BgL_new1240z00_2382 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1695z00_2383;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2282z00_2387;

								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_classz00_2384;

									BgL_classz00_2384 = BGl_ev_setglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 78 */
										obj_t BgL_vectorz00_2385;
										int BgL_kz00_2386;

										BgL_vectorz00_2385 = BgL_classz00_2384;
										BgL_kz00_2386 = (int) (((long) 1));
										BgL_res2282z00_2387 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2385,
												BgL_kz00_2386));
								}}
								BgL_arg1695z00_2383 = BgL_res2282z00_2387;
							}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_2388;

								BgL_objz00_2388 = ((BgL_objectz00_bglt) BgL_new1240z00_2382);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2388, BgL_arg1695z00_2383);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4849;

							BgL_auxz00_4849 = ((BgL_objectz00_bglt) BgL_new1240z00_2382);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4849, BFALSE);
						}
						BgL_new1241z00_2381 = BgL_new1240z00_2382;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1241z00_2381)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1095z00_1045), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1241z00_2381))->
							BgL_locz00) = ((obj_t) BgL_loc1096z00_1046), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1241z00_2381))->
							BgL_namez00) = ((obj_t) BgL_name1097z00_1047), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1241z00_2381))->
							BgL_modz00) = ((obj_t) BgL_mod1098z00_1048), BUNSPEC);
					return BgL_new1241z00_2381;
				}
			}
		}
	}



/* &lambda1713 */
	obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t BgL_envz00_3500,
		obj_t BgL_oz00_3501, obj_t BgL_vz00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3763;

				BgL_oz00_3763 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3501);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3763))->BgL_locz00) =
					((obj_t) BgL_vz00_3502), BUNSPEC);
			}
		}
	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3503,
		obj_t BgL_oz00_3504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3504)))->BgL_locz00);
		}
	}



/* &lambda1708 */
	obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3505,
		obj_t BgL_oz00_3506, obj_t BgL_vz00_3507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3766;
				obj_t BgL_vz00_3767;

				BgL_oz00_3766 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3506);
				BgL_vz00_3767 = BgL_vz00_3507;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3766))->BgL_namez00) =
					((obj_t) BgL_vz00_3767), BUNSPEC);
			}
		}
	}



/* &lambda1707 */
	obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3508,
		obj_t BgL_oz00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3509)))->BgL_namez00);
		}
	}



/* &lambda1703 */
	obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3769;

				BgL_oz00_3769 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3511);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3769))->BgL_modz00) =
					((obj_t) BgL_vz00_3512), BUNSPEC);
			}
		}
	}



/* &lambda1702 */
	obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3514)))->BgL_modz00);
		}
	}



/* &<anonymous:1683> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31683ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3515,
		obj_t BgL_new1093z00_3516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1093z00_1021;

				BgL_new1093z00_1021 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3516);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4870;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2358;

						BgL_classz00_2358 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1363z00_2359;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_vectorz00_2360;
								int BgL_kz00_2361;

								BgL_vectorz00_2360 = BgL_classz00_2358;
								BgL_kz00_2361 = (int) (((long) 17));
								BgL__ortest_1363z00_2359 =
									VECTOR_REF(BgL_vectorz00_2360, BgL_kz00_2361);
							}
							if (CBOOL(BgL__ortest_1363z00_2359))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4870 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2359);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4870 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2358));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1093z00_1021)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4870), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_4880;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2362;

						BgL_classz00_2362 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1363z00_2363;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_vectorz00_2364;
								int BgL_kz00_2365;

								BgL_vectorz00_2364 = BgL_classz00_2362;
								BgL_kz00_2365 = (int) (((long) 17));
								BgL__ortest_1363z00_2363 =
									VECTOR_REF(BgL_vectorz00_2364, BgL_kz00_2365);
							}
							if (CBOOL(BgL__ortest_1363z00_2363))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4880 =
										((BgL_ev_varz00_bglt) BgL__ortest_1363z00_2363);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4880 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2362));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1093z00_1021))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4880), BUNSPEC);
				}
				return BgL_new1093z00_1021;
			}
		}
	}



/* &lambda1681 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1092z00_1019;

					BgL_new1092z00_1019 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1682z00_1020;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2281z00_2355;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_classz00_2352;

								BgL_classz00_2352 = BGl_ev_setlocalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_vectorz00_2353;
									int BgL_kz00_2354;

									BgL_vectorz00_2353 = BgL_classz00_2352;
									BgL_kz00_2354 = (int) (((long) 1));
									BgL_res2281z00_2355 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2353, BgL_kz00_2354));
							}}
							BgL_arg1682z00_1020 = BgL_res2281z00_2355;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2356;

							BgL_objz00_2356 = ((BgL_objectz00_bglt) BgL_new1092z00_1019);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2356, BgL_arg1682z00_1020);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4896;

						BgL_auxz00_4896 = ((BgL_objectz00_bglt) BgL_new1092z00_1019);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4896, BFALSE);
					}
					return BgL_new1092z00_1019;
				}
			}
		}
	}



/* &lambda1679 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3518, obj_t BgL_e1090z00_3519, obj_t BgL_v1091z00_3520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1090z00_1012;
				BgL_ev_varz00_bglt BgL_v1091z00_1013;

				BgL_e1090z00_1012 = ((BgL_ev_exprz00_bglt) BgL_e1090z00_3519);
				BgL_v1091z00_1013 = ((BgL_ev_varz00_bglt) BgL_v1091z00_3520);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1237z00_2343;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1236z00_2344;

						BgL_new1236z00_2344 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1680z00_2345;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2280z00_2349;

								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_classz00_2346;

									BgL_classz00_2346 = BGl_ev_setlocalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 76 */
										obj_t BgL_vectorz00_2347;
										int BgL_kz00_2348;

										BgL_vectorz00_2347 = BgL_classz00_2346;
										BgL_kz00_2348 = (int) (((long) 1));
										BgL_res2280z00_2349 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2347,
												BgL_kz00_2348));
								}}
								BgL_arg1680z00_2345 = BgL_res2280z00_2349;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2350;

								BgL_objz00_2350 = ((BgL_objectz00_bglt) BgL_new1236z00_2344);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2350, BgL_arg1680z00_2345);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4905;

							BgL_auxz00_4905 = ((BgL_objectz00_bglt) BgL_new1236z00_2344);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4905, BFALSE);
						}
						BgL_new1237z00_2343 = BgL_new1236z00_2344;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1237z00_2343)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1090z00_1012), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1237z00_2343))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1091z00_1013), BUNSPEC);
					return BgL_new1237z00_2343;
				}
			}
		}
	}



/* &lambda1688 */
	obj_t BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3521,
		obj_t BgL_oz00_3522, obj_t BgL_vz00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1030;
				BgL_ev_varz00_bglt BgL_vz00_1031;

				BgL_oz00_1030 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3522);
				BgL_vz00_1031 = ((BgL_ev_varz00_bglt) BgL_vz00_3523);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1030))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1030))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1687 */
	BgL_ev_varz00_bglt BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3524, obj_t BgL_oz00_3525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3525)))->BgL_vz00);
		}
	}



/* &<anonymous:1672> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31672ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3526,
		obj_t BgL_new1088z00_3527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1088z00_1000;

				BgL_new1088z00_1000 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3527);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4919;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_2334;

						BgL_classz00_2334 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1363z00_2335;

							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL_vectorz00_2336;
								int BgL_kz00_2337;

								BgL_vectorz00_2336 = BgL_classz00_2334;
								BgL_kz00_2337 = (int) (((long) 17));
								BgL__ortest_1363z00_2335 =
									VECTOR_REF(BgL_vectorz00_2336, BgL_kz00_2337);
							}
							if (CBOOL(BgL__ortest_1363z00_2335))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4919 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2335);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4919 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2334));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1088z00_1000)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4919), BUNSPEC);
				}
				return BgL_new1088z00_1000;
			}
		}
	}



/* &lambda1670 */
	BgL_ev_trapz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1087z00_998;

					BgL_new1087z00_998 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1671z00_999;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2279z00_2331;

							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL_classz00_2328;

								BgL_classz00_2328 = BGl_ev_trapz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_vectorz00_2329;
									int BgL_kz00_2330;

									BgL_vectorz00_2329 = BgL_classz00_2328;
									BgL_kz00_2330 = (int) (((long) 1));
									BgL_res2279z00_2331 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2329, BgL_kz00_2330));
							}}
							BgL_arg1671z00_999 = BgL_res2279z00_2331;
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_objz00_2332;

							BgL_objz00_2332 = ((BgL_objectz00_bglt) BgL_new1087z00_998);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2332, BgL_arg1671z00_999);
					}}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4936;

						BgL_auxz00_4936 = ((BgL_objectz00_bglt) BgL_new1087z00_998);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4936, BFALSE);
					}
					return BgL_new1087z00_998;
				}
			}
		}
	}



/* &lambda1668 */
	BgL_ev_trapz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3529, obj_t BgL_e1086z00_3530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1086z00_992;

				BgL_e1086z00_992 = ((BgL_ev_exprz00_bglt) BgL_e1086z00_3530);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1235z00_2319;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1234z00_2320;

						BgL_new1234z00_2320 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1669z00_2321;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2278z00_2325;

								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_classz00_2322;

									BgL_classz00_2322 = BGl_ev_trapz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 75 */
										obj_t BgL_vectorz00_2323;
										int BgL_kz00_2324;

										BgL_vectorz00_2323 = BgL_classz00_2322;
										BgL_kz00_2324 = (int) (((long) 1));
										BgL_res2278z00_2325 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2323,
												BgL_kz00_2324));
								}}
								BgL_arg1669z00_2321 = BgL_res2278z00_2325;
							}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_2326;

								BgL_objz00_2326 = ((BgL_objectz00_bglt) BgL_new1234z00_2320);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2326, BgL_arg1669z00_2321);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4945;

							BgL_auxz00_4945 = ((BgL_objectz00_bglt) BgL_new1234z00_2320);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4945, BFALSE);
						}
						BgL_new1235z00_2319 = BgL_new1234z00_2320;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1235z00_2319)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1086z00_992), BUNSPEC);
					return BgL_new1235z00_2319;
				}
			}
		}
	}



/* &<anonymous:1656> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31656ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_new1084z00_3532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1084z00_968;

				BgL_new1084z00_968 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3532);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4951;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_2315;

						BgL_classz00_2315 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1363z00_2316;

							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL_vectorz00_2317;
								int BgL_kz00_2318;

								BgL_vectorz00_2317 = BgL_classz00_2315;
								BgL_kz00_2318 = (int) (((long) 17));
								BgL__ortest_1363z00_2316 =
									VECTOR_REF(BgL_vectorz00_2317, BgL_kz00_2318);
							}
							if (CBOOL(BgL__ortest_1363z00_2316))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4951 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2316);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4951 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2315));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1084z00_968))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4951), BUNSPEC);
				}
				return BgL_new1084z00_968;
			}
		}
	}



/* &lambda1653 */
	BgL_ev_hookz00_bglt BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1083z00_966;

					BgL_new1083z00_966 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1655z00_967;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2277z00_2312;

							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL_classz00_2309;

								BgL_classz00_2309 = BGl_ev_hookz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_vectorz00_2310;
									int BgL_kz00_2311;

									BgL_vectorz00_2310 = BgL_classz00_2309;
									BgL_kz00_2311 = (int) (((long) 1));
									BgL_res2277z00_2312 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2310, BgL_kz00_2311));
							}}
							BgL_arg1655z00_967 = BgL_res2277z00_2312;
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2313;

							BgL_objz00_2313 = ((BgL_objectz00_bglt) BgL_new1083z00_966);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2313, BgL_arg1655z00_967);
					}}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_4967;

						BgL_auxz00_4967 = ((BgL_objectz00_bglt) BgL_new1083z00_966);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4967, BFALSE);
					}
					return BgL_new1083z00_966;
				}
			}
		}
	}



/* &lambda1651 */
	BgL_ev_hookz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3534, obj_t BgL_e1082z00_3535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1082z00_960;

				BgL_e1082z00_960 = ((BgL_ev_exprz00_bglt) BgL_e1082z00_3535);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1231z00_2300;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1230z00_2301;

						BgL_new1230z00_2301 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1652z00_2302;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2276z00_2306;

								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_classz00_2303;

									BgL_classz00_2303 = BGl_ev_hookz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 73 */
										obj_t BgL_vectorz00_2304;
										int BgL_kz00_2305;

										BgL_vectorz00_2304 = BgL_classz00_2303;
										BgL_kz00_2305 = (int) (((long) 1));
										BgL_res2276z00_2306 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2304,
												BgL_kz00_2305));
								}}
								BgL_arg1652z00_2302 = BgL_res2276z00_2306;
							}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_2307;

								BgL_objz00_2307 = ((BgL_objectz00_bglt) BgL_new1230z00_2301);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2307, BgL_arg1652z00_2302);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_4976;

							BgL_auxz00_4976 = ((BgL_objectz00_bglt) BgL_new1230z00_2301);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4976, BFALSE);
						}
						BgL_new1231z00_2300 = BgL_new1230z00_2301;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1231z00_2300))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1082z00_960), BUNSPEC);
					return BgL_new1231z00_2300;
				}
			}
		}
	}



/* &lambda1661 */
	obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537, obj_t BgL_vz00_3538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_oz00_3773;
				BgL_ev_exprz00_bglt BgL_vz00_3774;

				BgL_oz00_3773 = ((BgL_ev_hookz00_bglt) BgL_oz00_3537);
				BgL_vz00_3774 = ((BgL_ev_exprz00_bglt) BgL_vz00_3538);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3773))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3774), BUNSPEC);
			}
		}
	}



/* &lambda1660 */
	BgL_ev_exprz00_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3539, obj_t BgL_oz00_3540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3540)))->BgL_ez00);
		}
	}



/* &<anonymous:1633> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3541,
		obj_t BgL_new1080z00_3542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1080z00_924;

				BgL_new1080z00_924 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3542);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4986;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2287;

						BgL_classz00_2287 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1363z00_2288;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_vectorz00_2289;
								int BgL_kz00_2290;

								BgL_vectorz00_2289 = BgL_classz00_2287;
								BgL_kz00_2290 = (int) (((long) 17));
								BgL__ortest_1363z00_2288 =
									VECTOR_REF(BgL_vectorz00_2289, BgL_kz00_2290);
							}
							if (CBOOL(BgL__ortest_1363z00_2288))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4986 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2288);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4986 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2287));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_924))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4986), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4995;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2291;

						BgL_classz00_2291 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1363z00_2292;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_vectorz00_2293;
								int BgL_kz00_2294;

								BgL_vectorz00_2293 = BgL_classz00_2291;
								BgL_kz00_2294 = (int) (((long) 17));
								BgL__ortest_1363z00_2292 =
									VECTOR_REF(BgL_vectorz00_2293, BgL_kz00_2294);
							}
							if (CBOOL(BgL__ortest_1363z00_2292))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4995 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2292);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4995 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2291));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_924))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4995), BUNSPEC);
				}
				return BgL_new1080z00_924;
			}
		}
	}



/* &lambda1631 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1079z00_922;

					BgL_new1079z00_922 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1632z00_923;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2275z00_2284;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_classz00_2281;

								BgL_classz00_2281 = BGl_ev_prog2z00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_vectorz00_2282;
									int BgL_kz00_2283;

									BgL_vectorz00_2282 = BgL_classz00_2281;
									BgL_kz00_2283 = (int) (((long) 1));
									BgL_res2275z00_2284 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2282, BgL_kz00_2283));
							}}
							BgL_arg1632z00_923 = BgL_res2275z00_2284;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2285;

							BgL_objz00_2285 = ((BgL_objectz00_bglt) BgL_new1079z00_922);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2285, BgL_arg1632z00_923);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_5011;

						BgL_auxz00_5011 = ((BgL_objectz00_bglt) BgL_new1079z00_922);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5011, BFALSE);
					}
					return BgL_new1079z00_922;
				}
			}
		}
	}



/* &lambda1629 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3544, obj_t BgL_e11077z00_3545, obj_t BgL_e21078z00_3546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11077z00_915;
				BgL_ev_exprz00_bglt BgL_e21078z00_916;

				BgL_e11077z00_915 = ((BgL_ev_exprz00_bglt) BgL_e11077z00_3545);
				BgL_e21078z00_916 = ((BgL_ev_exprz00_bglt) BgL_e21078z00_3546);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1225z00_2272;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1224z00_2273;

						BgL_new1224z00_2273 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1630z00_2274;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2274z00_2278;

								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_classz00_2275;

									BgL_classz00_2275 = BGl_ev_prog2z00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 70 */
										obj_t BgL_vectorz00_2276;
										int BgL_kz00_2277;

										BgL_vectorz00_2276 = BgL_classz00_2275;
										BgL_kz00_2277 = (int) (((long) 1));
										BgL_res2274z00_2278 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2276,
												BgL_kz00_2277));
								}}
								BgL_arg1630z00_2274 = BgL_res2274z00_2278;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2279;

								BgL_objz00_2279 = ((BgL_objectz00_bglt) BgL_new1224z00_2273);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2279, BgL_arg1630z00_2274);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_5020;

							BgL_auxz00_5020 = ((BgL_objectz00_bglt) BgL_new1224z00_2273);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5020, BFALSE);
						}
						BgL_new1225z00_2272 = BgL_new1224z00_2273;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1225z00_2272))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11077z00_915), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1225z00_2272))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21078z00_916), BUNSPEC);
					return BgL_new1225z00_2272;
				}
			}
		}
	}



/* &lambda1644 */
	obj_t BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t BgL_envz00_3547,
		obj_t BgL_oz00_3548, obj_t BgL_vz00_3549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3776;
				BgL_ev_exprz00_bglt BgL_vz00_3777;

				BgL_oz00_3776 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3548);
				BgL_vz00_3777 = ((BgL_ev_exprz00_bglt) BgL_vz00_3549);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3776))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3777), BUNSPEC);
			}
		}
	}



/* &lambda1643 */
	BgL_ev_exprz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3550, obj_t BgL_oz00_3551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3551)))->BgL_e1z00);
		}
	}



/* &lambda1639 */
	obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t BgL_envz00_3552,
		obj_t BgL_oz00_3553, obj_t BgL_vz00_3554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3779;
				BgL_ev_exprz00_bglt BgL_vz00_3780;

				BgL_oz00_3779 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3553);
				BgL_vz00_3780 = ((BgL_ev_exprz00_bglt) BgL_vz00_3554);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3779))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3780), BUNSPEC);
			}
		}
	}



/* &lambda1638 */
	BgL_ev_exprz00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3555, obj_t BgL_oz00_3556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3556)))->BgL_e2z00);
		}
	}



/* &<anonymous:1623> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31623ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3557, obj_t BgL_new1075z00_3558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1075z00_903;

				BgL_new1075z00_903 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3558);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1075z00_903)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1075z00_903;
			}
		}
	}



/* &lambda1621 */
	BgL_ev_andz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_901;

					BgL_new1073z00_901 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1622z00_902;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2273z00_2259;

							{	/* Eval/evaluate_types.scm 69 */
								obj_t BgL_classz00_2256;

								BgL_classz00_2256 = BGl_ev_andz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_vectorz00_2257;
									int BgL_kz00_2258;

									BgL_vectorz00_2257 = BgL_classz00_2256;
									BgL_kz00_2258 = (int) (((long) 1));
									BgL_res2273z00_2259 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2257, BgL_kz00_2258));
							}}
							BgL_arg1622z00_902 = BgL_res2273z00_2259;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2260;

							BgL_objz00_2260 = ((BgL_objectz00_bglt) BgL_new1073z00_901);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2260, BgL_arg1622z00_902);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_5046;

						BgL_auxz00_5046 = ((BgL_objectz00_bglt) BgL_new1073z00_901);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5046, BFALSE);
					}
					return BgL_new1073z00_901;
				}
			}
		}
	}



/* &lambda1619 */
	BgL_ev_andz00_bglt BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3560, obj_t BgL_args1072z00_3561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_895;

				BgL_args1072z00_895 = BgL_args1072z00_3561;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1223z00_2247;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1222z00_2248;

						BgL_new1222z00_2248 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1620z00_2249;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2272z00_2253;

								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_classz00_2250;

									BgL_classz00_2250 = BGl_ev_andz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 69 */
										obj_t BgL_vectorz00_2251;
										int BgL_kz00_2252;

										BgL_vectorz00_2251 = BgL_classz00_2250;
										BgL_kz00_2252 = (int) (((long) 1));
										BgL_res2272z00_2253 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2251,
												BgL_kz00_2252));
								}}
								BgL_arg1620z00_2249 = BgL_res2272z00_2253;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2254;

								BgL_objz00_2254 = ((BgL_objectz00_bglt) BgL_new1222z00_2248);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2254, BgL_arg1620z00_2249);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_5055;

							BgL_auxz00_5055 = ((BgL_objectz00_bglt) BgL_new1222z00_2248);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5055, BFALSE);
						}
						BgL_new1223z00_2247 = BgL_new1222z00_2248;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1223z00_2247)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_895), BUNSPEC);
					return BgL_new1223z00_2247;
				}
			}
		}
	}



/* &<anonymous:1611> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31611ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3562, obj_t BgL_new1070z00_3563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_883;

				BgL_new1070z00_883 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3563);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_883)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_883;
			}
		}
	}



/* &lambda1609 */
	BgL_ev_orz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_881;

					BgL_new1069z00_881 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1610z00_882;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2271z00_2244;

							{	/* Eval/evaluate_types.scm 68 */
								obj_t BgL_classz00_2241;

								BgL_classz00_2241 = BGl_ev_orz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_vectorz00_2242;
									int BgL_kz00_2243;

									BgL_vectorz00_2242 = BgL_classz00_2241;
									BgL_kz00_2243 = (int) (((long) 1));
									BgL_res2271z00_2244 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2242, BgL_kz00_2243));
							}}
							BgL_arg1610z00_882 = BgL_res2271z00_2244;
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_objz00_2245;

							BgL_objz00_2245 = ((BgL_objectz00_bglt) BgL_new1069z00_881);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2245, BgL_arg1610z00_882);
					}}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_5069;

						BgL_auxz00_5069 = ((BgL_objectz00_bglt) BgL_new1069z00_881);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5069, BFALSE);
					}
					return BgL_new1069z00_881;
				}
			}
		}
	}



/* &lambda1606 */
	BgL_ev_orz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3565, obj_t BgL_args1068z00_3566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_875;

				BgL_args1068z00_875 = BgL_args1068z00_3566;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1221z00_2232;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1220z00_2233;

						BgL_new1220z00_2233 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1608z00_2234;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2270z00_2238;

								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_classz00_2235;

									BgL_classz00_2235 = BGl_ev_orz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 68 */
										obj_t BgL_vectorz00_2236;
										int BgL_kz00_2237;

										BgL_vectorz00_2236 = BgL_classz00_2235;
										BgL_kz00_2237 = (int) (((long) 1));
										BgL_res2270z00_2238 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2236,
												BgL_kz00_2237));
								}}
								BgL_arg1608z00_2234 = BgL_res2270z00_2238;
							}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_2239;

								BgL_objz00_2239 = ((BgL_objectz00_bglt) BgL_new1220z00_2233);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2239, BgL_arg1608z00_2234);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_5078;

							BgL_auxz00_5078 = ((BgL_objectz00_bglt) BgL_new1220z00_2233);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5078, BFALSE);
						}
						BgL_new1221z00_2232 = BgL_new1220z00_2233;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1221z00_2232)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_875), BUNSPEC);
					return BgL_new1221z00_2232;
				}
			}
		}
	}



/* &<anonymous:1590> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31590ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_new1066z00_3568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_851;

				BgL_new1066z00_851 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3568);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_851))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_851;
			}
		}
	}



/* &lambda1588 */
	BgL_ev_listz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_849;

					BgL_new1065z00_849 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1589z00_850;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2269z00_2229;

							{	/* Eval/evaluate_types.scm 66 */
								obj_t BgL_classz00_2226;

								BgL_classz00_2226 = BGl_ev_listz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_vectorz00_2227;
									int BgL_kz00_2228;

									BgL_vectorz00_2227 = BgL_classz00_2226;
									BgL_kz00_2228 = (int) (((long) 1));
									BgL_res2269z00_2229 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2227, BgL_kz00_2228));
							}}
							BgL_arg1589z00_850 = BgL_res2269z00_2229;
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_objz00_2230;

							BgL_objz00_2230 = ((BgL_objectz00_bglt) BgL_new1065z00_849);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2230, BgL_arg1589z00_850);
					}}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_5091;

						BgL_auxz00_5091 = ((BgL_objectz00_bglt) BgL_new1065z00_849);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5091, BFALSE);
					}
					return BgL_new1065z00_849;
				}
			}
		}
	}



/* &lambda1586 */
	BgL_ev_listz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3570, obj_t BgL_args1064z00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_843;

				BgL_args1064z00_843 = BgL_args1064z00_3571;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1217z00_2217;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1216z00_2218;

						BgL_new1216z00_2218 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1587z00_2219;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2268z00_2223;

								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_classz00_2220;

									BgL_classz00_2220 = BGl_ev_listz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 66 */
										obj_t BgL_vectorz00_2221;
										int BgL_kz00_2222;

										BgL_vectorz00_2221 = BgL_classz00_2220;
										BgL_kz00_2222 = (int) (((long) 1));
										BgL_res2268z00_2223 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2221,
												BgL_kz00_2222));
								}}
								BgL_arg1587z00_2219 = BgL_res2268z00_2223;
							}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_2224;

								BgL_objz00_2224 = ((BgL_objectz00_bglt) BgL_new1216z00_2218);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2224, BgL_arg1587z00_2219);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_5100;

							BgL_auxz00_5100 = ((BgL_objectz00_bglt) BgL_new1216z00_2218);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5100, BFALSE);
						}
						BgL_new1217z00_2217 = BgL_new1216z00_2218;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1217z00_2217))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_843), BUNSPEC);
					return BgL_new1217z00_2217;
				}
			}
		}
	}



/* &lambda1596 */
	obj_t BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t BgL_envz00_3572,
		obj_t BgL_oz00_3573, obj_t BgL_vz00_3574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_oz00_3782;

				BgL_oz00_3782 = ((BgL_ev_listz00_bglt) BgL_oz00_3573);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3782))->BgL_argsz00) =
					((obj_t) BgL_vz00_3574), BUNSPEC);
			}
		}
	}



/* &lambda1595 */
	obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3575,
		obj_t BgL_oz00_3576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3576)))->BgL_argsz00);
		}
	}



/* &<anonymous:1563> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31563ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3577, obj_t BgL_new1062z00_3578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_795;

				BgL_new1062z00_795 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3578);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5108;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2200;

						BgL_classz00_2200 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1363z00_2201;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2202;
								int BgL_kz00_2203;

								BgL_vectorz00_2202 = BgL_classz00_2200;
								BgL_kz00_2203 = (int) (((long) 17));
								BgL__ortest_1363z00_2201 =
									VECTOR_REF(BgL_vectorz00_2202, BgL_kz00_2203);
							}
							if (CBOOL(BgL__ortest_1363z00_2201))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5108 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2201);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5108 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2200));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_795))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5108), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5117;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2204;

						BgL_classz00_2204 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1363z00_2205;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2206;
								int BgL_kz00_2207;

								BgL_vectorz00_2206 = BgL_classz00_2204;
								BgL_kz00_2207 = (int) (((long) 17));
								BgL__ortest_1363z00_2205 =
									VECTOR_REF(BgL_vectorz00_2206, BgL_kz00_2207);
							}
							if (CBOOL(BgL__ortest_1363z00_2205))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5117 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2205);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5117 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2204));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_795))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5117), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5126;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2208;

						BgL_classz00_2208 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1363z00_2209;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2210;
								int BgL_kz00_2211;

								BgL_vectorz00_2210 = BgL_classz00_2208;
								BgL_kz00_2211 = (int) (((long) 17));
								BgL__ortest_1363z00_2209 =
									VECTOR_REF(BgL_vectorz00_2210, BgL_kz00_2211);
							}
							if (CBOOL(BgL__ortest_1363z00_2209))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5126 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1363z00_2209);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5126 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2208));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_795))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5126), BUNSPEC);
				}
				return BgL_new1062z00_795;
			}
		}
	}



/* &lambda1560 */
	BgL_ev_ifz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_793;

					BgL_new1061z00_793 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1562z00_794;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2267z00_2197;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_classz00_2194;

								BgL_classz00_2194 = BGl_ev_ifz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_vectorz00_2195;
									int BgL_kz00_2196;

									BgL_vectorz00_2195 = BgL_classz00_2194;
									BgL_kz00_2196 = (int) (((long) 1));
									BgL_res2267z00_2197 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2195, BgL_kz00_2196));
							}}
							BgL_arg1562z00_794 = BgL_res2267z00_2197;
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_objz00_2198;

							BgL_objz00_2198 = ((BgL_objectz00_bglt) BgL_new1061z00_793);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2198, BgL_arg1562z00_794);
					}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_5142;

						BgL_auxz00_5142 = ((BgL_objectz00_bglt) BgL_new1061z00_793);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5142, BFALSE);
					}
					return BgL_new1061z00_793;
				}
			}
		}
	}



/* &lambda1558 */
	BgL_ev_ifz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3580, obj_t BgL_p1058z00_3581, obj_t BgL_t1059z00_3582,
		obj_t BgL_e1060z00_3583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_785;
				BgL_ev_exprz00_bglt BgL_t1059z00_786;
				BgL_ev_exprz00_bglt BgL_e1060z00_787;

				BgL_p1058z00_785 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3581);
				BgL_t1059z00_786 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3582);
				BgL_e1060z00_787 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3583);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1209z00_2185;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1208z00_2186;

						BgL_new1208z00_2186 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1559z00_2187;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2266z00_2191;

								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_classz00_2188;

									BgL_classz00_2188 = BGl_ev_ifz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 62 */
										obj_t BgL_vectorz00_2189;
										int BgL_kz00_2190;

										BgL_vectorz00_2189 = BgL_classz00_2188;
										BgL_kz00_2190 = (int) (((long) 1));
										BgL_res2266z00_2191 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2189,
												BgL_kz00_2190));
								}}
								BgL_arg1559z00_2187 = BgL_res2266z00_2191;
							}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_2192;

								BgL_objz00_2192 = ((BgL_objectz00_bglt) BgL_new1208z00_2186);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2192, BgL_arg1559z00_2187);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_5151;

							BgL_auxz00_5151 = ((BgL_objectz00_bglt) BgL_new1208z00_2186);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5151, BFALSE);
						}
						BgL_new1209z00_2185 = BgL_new1208z00_2186;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2185))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_785), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2185))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_786), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2185))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_787), BUNSPEC);
					return BgL_new1209z00_2185;
				}
			}
		}
	}



/* &lambda1578 */
	obj_t BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t BgL_envz00_3584,
		obj_t BgL_oz00_3585, obj_t BgL_vz00_3586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3785;
				BgL_ev_exprz00_bglt BgL_vz00_3786;

				BgL_oz00_3785 = ((BgL_ev_ifz00_bglt) BgL_oz00_3585);
				BgL_vz00_3786 = ((BgL_ev_exprz00_bglt) BgL_vz00_3586);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3785))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3786), BUNSPEC);
			}
		}
	}



/* &lambda1577 */
	BgL_ev_exprz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3587, obj_t BgL_oz00_3588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3588)))->BgL_pz00);
		}
	}



/* &lambda1573 */
	obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t BgL_envz00_3589,
		obj_t BgL_oz00_3590, obj_t BgL_vz00_3591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3788;
				BgL_ev_exprz00_bglt BgL_vz00_3789;

				BgL_oz00_3788 = ((BgL_ev_ifz00_bglt) BgL_oz00_3590);
				BgL_vz00_3789 = ((BgL_ev_exprz00_bglt) BgL_vz00_3591);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3788))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3789), BUNSPEC);
			}
		}
	}



/* &lambda1572 */
	BgL_ev_exprz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3592, obj_t BgL_oz00_3593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3593)))->BgL_tz00);
		}
	}



/* &lambda1568 */
	obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3594,
		obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3791;
				BgL_ev_exprz00_bglt BgL_vz00_3792;

				BgL_oz00_3791 = ((BgL_ev_ifz00_bglt) BgL_oz00_3595);
				BgL_vz00_3792 = ((BgL_ev_exprz00_bglt) BgL_vz00_3596);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3791))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3792), BUNSPEC);
			}
		}
	}



/* &lambda1567 */
	BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3597, obj_t BgL_oz00_3598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3598)))->BgL_ez00);
		}
	}



/* &<anonymous:1542> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3599,
		obj_t BgL_new1056z00_3600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_761;

				BgL_new1056z00_761 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3600);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_761))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_761;
			}
		}
	}



/* &lambda1540 */
	BgL_ev_littz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_759;

					BgL_new1055z00_759 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1541z00_760;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2265z00_2167;

							{	/* Eval/evaluate_types.scm 60 */
								obj_t BgL_classz00_2164;

								BgL_classz00_2164 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_vectorz00_2165;
									int BgL_kz00_2166;

									BgL_vectorz00_2165 = BgL_classz00_2164;
									BgL_kz00_2166 = (int) (((long) 1));
									BgL_res2265z00_2167 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2165, BgL_kz00_2166));
							}}
							BgL_arg1541z00_760 = BgL_res2265z00_2167;
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_objz00_2168;

							BgL_objz00_2168 = ((BgL_objectz00_bglt) BgL_new1055z00_759);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2168, BgL_arg1541z00_760);
					}}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_5183;

						BgL_auxz00_5183 = ((BgL_objectz00_bglt) BgL_new1055z00_759);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5183, BFALSE);
					}
					return BgL_new1055z00_759;
				}
			}
		}
	}



/* &lambda1538 */
	BgL_ev_littz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3602, obj_t BgL_value1054z00_3603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_753;

				BgL_value1054z00_753 = BgL_value1054z00_3603;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1205z00_2155;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1204z00_2156;

						BgL_new1204z00_2156 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1539z00_2157;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2264z00_2161;

								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_classz00_2158;

									BgL_classz00_2158 = BGl_ev_littz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 60 */
										obj_t BgL_vectorz00_2159;
										int BgL_kz00_2160;

										BgL_vectorz00_2159 = BgL_classz00_2158;
										BgL_kz00_2160 = (int) (((long) 1));
										BgL_res2264z00_2161 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2159,
												BgL_kz00_2160));
								}}
								BgL_arg1539z00_2157 = BgL_res2264z00_2161;
							}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_2162;

								BgL_objz00_2162 = ((BgL_objectz00_bglt) BgL_new1204z00_2156);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2162, BgL_arg1539z00_2157);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_5192;

							BgL_auxz00_5192 = ((BgL_objectz00_bglt) BgL_new1204z00_2156);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5192, BFALSE);
						}
						BgL_new1205z00_2155 = BgL_new1204z00_2156;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1205z00_2155))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_753), BUNSPEC);
					return BgL_new1205z00_2155;
				}
			}
		}
	}



/* &lambda1552 */
	obj_t BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3604,
		obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_oz00_3794;

				BgL_oz00_3794 = ((BgL_ev_littz00_bglt) BgL_oz00_3605);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3794))->BgL_valuez00) =
					((obj_t) BgL_vz00_3606), BUNSPEC);
			}
		}
	}



/* &lambda1551 */
	obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3607,
		obj_t BgL_oz00_3608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3608)))->BgL_valuez00);
		}
	}



/* &<anonymous:1509> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31509ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3609,
		obj_t BgL_new1052z00_3610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_705;

				BgL_new1052z00_705 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3610);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_705))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_705))->BgL_namez00) =
					((obj_t) BGl_symbol2650z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_705))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_705;
			}
		}
	}



/* &lambda1507 */
	BgL_ev_globalz00_bglt BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_703;

					BgL_new1051z00_703 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1508z00_704;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2263z00_2147;

							{	/* Eval/evaluate_types.scm 55 */
								obj_t BgL_classz00_2144;

								BgL_classz00_2144 = BGl_ev_globalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_vectorz00_2145;
									int BgL_kz00_2146;

									BgL_vectorz00_2145 = BgL_classz00_2144;
									BgL_kz00_2146 = (int) (((long) 1));
									BgL_res2263z00_2147 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2145, BgL_kz00_2146));
							}}
							BgL_arg1508z00_704 = BgL_res2263z00_2147;
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_objz00_2148;

							BgL_objz00_2148 = ((BgL_objectz00_bglt) BgL_new1051z00_703);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2148, BgL_arg1508z00_704);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_5210;

						BgL_auxz00_5210 = ((BgL_objectz00_bglt) BgL_new1051z00_703);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5210, BFALSE);
					}
					return BgL_new1051z00_703;
				}
			}
		}
	}



/* &lambda1505 */
	BgL_ev_globalz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3612, obj_t BgL_loc1048z00_3613, obj_t BgL_name1049z00_3614,
		obj_t BgL_mod1050z00_3615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_695;
				obj_t BgL_name1049z00_696;
				obj_t BgL_mod1050z00_697;

				BgL_loc1048z00_695 = BgL_loc1048z00_3613;
				BgL_name1049z00_696 = BgL_name1049z00_3614;
				BgL_mod1050z00_697 = BgL_mod1050z00_3615;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1197z00_2135;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1196z00_2136;

						BgL_new1196z00_2136 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1506z00_2137;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2262z00_2141;

								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_classz00_2138;

									BgL_classz00_2138 = BGl_ev_globalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 55 */
										obj_t BgL_vectorz00_2139;
										int BgL_kz00_2140;

										BgL_vectorz00_2139 = BgL_classz00_2138;
										BgL_kz00_2140 = (int) (((long) 1));
										BgL_res2262z00_2141 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2139,
												BgL_kz00_2140));
								}}
								BgL_arg1506z00_2137 = BgL_res2262z00_2141;
							}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_2142;

								BgL_objz00_2142 = ((BgL_objectz00_bglt) BgL_new1196z00_2136);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2142, BgL_arg1506z00_2137);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_5219;

							BgL_auxz00_5219 = ((BgL_objectz00_bglt) BgL_new1196z00_2136);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5219, BFALSE);
						}
						BgL_new1197z00_2135 = BgL_new1196z00_2136;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2135))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_695), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2135))->BgL_namez00) =
						((obj_t) BgL_name1049z00_696), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2135))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_697), BUNSPEC);
					return BgL_new1197z00_2135;
				}
			}
		}
	}



/* &lambda1528 */
	obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617, obj_t BgL_vz00_3618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3797;

				BgL_oz00_3797 = ((BgL_ev_globalz00_bglt) BgL_oz00_3617);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3797))->BgL_locz00) =
					((obj_t) BgL_vz00_3618), BUNSPEC);
			}
		}
	}



/* &lambda1527 */
	obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t BgL_envz00_3619,
		obj_t BgL_oz00_3620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3620)))->BgL_locz00);
		}
	}



/* &lambda1521 */
	obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3621,
		obj_t BgL_oz00_3622, obj_t BgL_vz00_3623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3800;
				obj_t BgL_vz00_3801;

				BgL_oz00_3800 = ((BgL_ev_globalz00_bglt) BgL_oz00_3622);
				BgL_vz00_3801 = BgL_vz00_3623;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3800))->BgL_namez00) =
					((obj_t) BgL_vz00_3801), BUNSPEC);
			}
		}
	}



/* &lambda1520 */
	obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3624,
		obj_t BgL_oz00_3625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3625)))->BgL_namez00);
		}
	}



/* &lambda1516 */
	obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3626,
		obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3803;

				BgL_oz00_3803 = ((BgL_ev_globalz00_bglt) BgL_oz00_3627);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3803))->BgL_modz00) =
					((obj_t) BgL_vz00_3628), BUNSPEC);
			}
		}
	}



/* &lambda1515 */
	obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3629,
		obj_t BgL_oz00_3630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3630)))->BgL_modz00);
		}
	}



/* &<anonymous:1479> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31479ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3631, obj_t BgL_new1046z00_3632)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_644;

				BgL_new1046z00_644 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3632);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_644))->BgL_namez00) =
					((obj_t) BGl_symbol2650z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_644))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_644))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_644;
			}
		}
	}



/* &lambda1477 */
	BgL_ev_varz00_bglt BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_642;

					BgL_new1045z00_642 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1478z00_643;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2261z00_2117;

							{	/* Eval/evaluate_types.scm 51 */
								obj_t BgL_classz00_2114;

								BgL_classz00_2114 = BGl_ev_varz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_vectorz00_2115;
									int BgL_kz00_2116;

									BgL_vectorz00_2115 = BgL_classz00_2114;
									BgL_kz00_2116 = (int) (((long) 1));
									BgL_res2261z00_2117 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2115, BgL_kz00_2116));
							}}
							BgL_arg1478z00_643 = BgL_res2261z00_2117;
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_objz00_2118;

							BgL_objz00_2118 = ((BgL_objectz00_bglt) BgL_new1045z00_642);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2118, BgL_arg1478z00_643);
					}}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_5247;

						BgL_auxz00_5247 = ((BgL_objectz00_bglt) BgL_new1045z00_642);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5247, BFALSE);
					}
					return BgL_new1045z00_642;
				}
			}
		}
	}



/* &lambda1475 */
	BgL_ev_varz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3634, obj_t BgL_name1042z00_3635, obj_t BgL_eff1043z00_3636,
		obj_t BgL_type1044z00_3637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_634;
				obj_t BgL_eff1043z00_635;
				obj_t BgL_type1044z00_636;

				BgL_name1042z00_634 = BgL_name1042z00_3635;
				BgL_eff1043z00_635 = BgL_eff1043z00_3636;
				BgL_type1044z00_636 = BgL_type1044z00_3637;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1189z00_2105;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1188z00_2106;

						BgL_new1188z00_2106 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1476z00_2107;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2260z00_2111;

								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_classz00_2108;

									BgL_classz00_2108 = BGl_ev_varz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 51 */
										obj_t BgL_vectorz00_2109;
										int BgL_kz00_2110;

										BgL_vectorz00_2109 = BgL_classz00_2108;
										BgL_kz00_2110 = (int) (((long) 1));
										BgL_res2260z00_2111 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2109,
												BgL_kz00_2110));
								}}
								BgL_arg1476z00_2107 = BgL_res2260z00_2111;
							}
							{	/* Eval/evaluate_types.scm 51 */
								BgL_objectz00_bglt BgL_objz00_2112;

								BgL_objz00_2112 = ((BgL_objectz00_bglt) BgL_new1188z00_2106);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2112, BgL_arg1476z00_2107);
						}}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_5256;

							BgL_auxz00_5256 = ((BgL_objectz00_bglt) BgL_new1188z00_2106);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5256, BFALSE);
						}
						BgL_new1189z00_2105 = BgL_new1188z00_2106;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2105))->BgL_namez00) =
						((obj_t) BgL_name1042z00_634), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2105))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_635), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2105))->BgL_typez00) =
						((obj_t) BgL_type1044z00_636), BUNSPEC);
					return BgL_new1189z00_2105;
				}
			}
		}
	}



/* &lambda1499 */
	obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639, obj_t BgL_vz00_3640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3806;
				obj_t BgL_vz00_3807;

				BgL_oz00_3806 = ((BgL_ev_varz00_bglt) BgL_oz00_3639);
				BgL_vz00_3807 = BgL_vz00_3640;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3806))->BgL_namez00) =
					((obj_t) BgL_vz00_3807), BUNSPEC);
			}
		}
	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3641,
		obj_t BgL_oz00_3642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3642)))->BgL_namez00);
		}
	}



/* &<anonymous:1493> */
	obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3644,
		obj_t BgL_oz00_3645, obj_t BgL_vz00_3646)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3809;

				BgL_oz00_3809 = ((BgL_ev_varz00_bglt) BgL_oz00_3645);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3809))->BgL_effz00) =
					((obj_t) BgL_vz00_3646), BUNSPEC);
			}
		}
	}



/* &lambda1491 */
	obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t BgL_envz00_3647,
		obj_t BgL_oz00_3648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3648)))->BgL_effz00);
		}
	}



/* &lambda1485 */
	obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t BgL_envz00_3649,
		obj_t BgL_oz00_3650, obj_t BgL_vz00_3651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3812;

				BgL_oz00_3812 = ((BgL_ev_varz00_bglt) BgL_oz00_3650);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3812))->BgL_typez00) =
					((obj_t) BgL_vz00_3651), BUNSPEC);
			}
		}
	}



/* &lambda1484 */
	obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3652,
		obj_t BgL_oz00_3653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3653)))->BgL_typez00);
		}
	}



/* &<anonymous:1467> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31467ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3654,
		obj_t BgL_new1040z00_3655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3655);
		}
	}



/* &lambda1465 */
	BgL_ev_exprz00_bglt BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_620;

					BgL_new1039z00_620 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1466z00_621;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2259z00_2087;

							{	/* Eval/evaluate_types.scm 49 */
								obj_t BgL_classz00_2084;

								BgL_classz00_2084 = BGl_ev_exprz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_vectorz00_2085;
									int BgL_kz00_2086;

									BgL_vectorz00_2085 = BgL_classz00_2084;
									BgL_kz00_2086 = (int) (((long) 1));
									BgL_res2259z00_2087 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2085, BgL_kz00_2086));
							}}
							BgL_arg1466z00_621 = BgL_res2259z00_2087;
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_objz00_2088;

							BgL_objz00_2088 = ((BgL_objectz00_bglt) BgL_new1039z00_620);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2088, BgL_arg1466z00_621);
					}}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5282;

						BgL_auxz00_5282 = ((BgL_objectz00_bglt) BgL_new1039z00_620);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5282, BFALSE);
					}
					return BgL_new1039z00_620;
				}
			}
		}
	}



/* &lambda1463 */
	BgL_ev_exprz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1187z00_616;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1186z00_617;

						BgL_new1186z00_617 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1464z00_618;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2258z00_2081;

								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_classz00_2078;

									BgL_classz00_2078 = BGl_ev_exprz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 49 */
										obj_t BgL_vectorz00_2079;
										int BgL_kz00_2080;

										BgL_vectorz00_2079 = BgL_classz00_2078;
										BgL_kz00_2080 = (int) (((long) 1));
										BgL_res2258z00_2081 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2079,
												BgL_kz00_2080));
								}}
								BgL_arg1464z00_618 = BgL_res2258z00_2081;
							}
							{	/* Eval/evaluate_types.scm 49 */
								BgL_objectz00_bglt BgL_objz00_2082;

								BgL_objz00_2082 = ((BgL_objectz00_bglt) BgL_new1186z00_617);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2082, BgL_arg1464z00_618);
						}}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5291;

							BgL_auxz00_5291 = ((BgL_objectz00_bglt) BgL_new1186z00_617);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5291, BFALSE);
						}
						BgL_new1187z00_616 = BgL_new1186z00_617;
					}
					return BgL_new1187z00_616;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 497046783),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2344z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
